<?php

// Bereiche autom. oeffnen (bei mehr als 20 Bereichen for Schleife anpassen!)
$subid_array = explode ( ",", $subid );

for($i = 0; $i < 20; $i ++) {
	if (in_array ( $i, $subid_array )) {
		$bereiche_oeffnen [$i] = "display: block;";
		$bereich_offen [$i] = 1;
	} else {
		$bereiche_oeffnen [$i] = "display: none;";
		$bereich_offen [$i] = 0;
	}
}

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td colspan=10 class=\"formularrahmen_oben\"></td></tr>";
echo "<tr><td valign=\"top\">";

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Beleg Materialposten
echo "<tr><td valign=\"top\" width=40>";
if ($bereich_offen [1]) {
	echo subbutton ( "hoch", $target, $typ, "", $subtarget, $subtyp, str_replace ( "1", "", $subid ), $benutzerrechte );
} else {
	echo subbutton ( "runter", $target, $typ, "", $subtarget, $subtyp, $subid . ",1", $benutzerrechte );
}

echo "</td><td valign=\"top\" ><b>Beleg Materialposten:</b></td>";
if ($bereich_offen [1]) {
	echo "<td style='text-align:right;'>" . zusatzfenster ( "export", "nach Textfeld exportieren", $subtarget, "fenster-buchungskontenexport", "Buchungskontenexport", false, 350, 650, "&id=1" ) . "</td>";
}
echo "</tr>";

echo "<tr><td colspan=3 height=1>";
echo "<div id=\"belegmaterialposten\" name=\"belegmaterialposten\" style=\"" . $bereiche_oeffnen [1] . " height: 350px; overflow: auto;\">";
if ($bereich_offen [1]) {
	
	if (! ($filter [$listenname] ["datumsbereich"] != "" and $filter [$listenname] ["datumsbereich"] != "01-01-1970-01-01-2030")) {
		fehlerausgabe ( 40, "", "meldungbox", 0, 0 );
	} else {
		
		// ++++ suche relevante Datenstze
		$query_detail = $sql_query ["belegmaterialpostenliste"];
		
		// Buchungskontofilter
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["buchungskonto"], "$tblbelegmaterialposten.fiBuchungsKonto" );
		
		// Belegstatusfilter
		if ($filter [$listenname] ["belegstatus"] != "") {
			// $query_detail .= " and $tblbelege.fiStatus = " . $filter[$listenname]["belegstatus"] . " " ;
			$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["belegstatus"], "$tblbelege.fiStatus" );
		} else {
			$query_detail .= " and $tblbelege.fiStatus < 900 ";
		}
		
		// Kundefilter
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblbelege.fiKunde" );
		
		// Datumsbereich
		if ($filter [$listenname] ["datumsbereich"] != "") {
			
			$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
			$datum_tag_von = $datum_explode [0];
			$datum_monat_von = $datum_explode [1];
			$datum_jahr_von = $datum_explode [2];
			$datum_tag_bis = $datum_explode [3];
			$datum_monat_bis = $datum_explode [4];
			$datum_jahr_bis = $datum_explode [5];
			
			if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
				$query_detail .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
				$query_detail .= " or  (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
				$query_detail .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')))";
			}
			
			if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
				$query_detail .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
				$query_detail .= " or (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
				$query_detail .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')))";
			}
		}
		
		$query_detail .= " order by $tblbuchungskonten.dtKontoID, $tblbelege.dtAnzeigeDatum desc";
		
		$show_fields = array (
				"dtKontoID",
				"dtKontoBezeichnung",
				"dtBelegNr",
				"dtAnzeigeDatum",
				"dtKunde_Anzeige",
				"dtArtikel",
				"dtMenge",
				"dtPreisNetto",
				"dtGesamtpreisNetto",
				"dtGebucht",
				"ButtonAnzeigen" 
		);
		$field_headlines = array (
				"Kto ID",
				"Buchungskonto",
				"BelegNr",
				"Datum",
				"Kunde",
				"Materialposten",
				"Menge",
				"Einzelpreis Netto",
				"Gesamtpreis Netto",
				"gebucht",
				"" 
		);
		$field_width = array (
				50,
				100,
				80,
				100,
				150,
				200,
				50,
				100,
				100,
				30,
				50 
		);
		$field_colors = array (
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"" 
		);
		$field_sort_options = array (
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort" 
		);
		
		// $liste = get_table_array($query_detail . " limit 0,$listenbegrenzung");
		$liste = get_table_array ( $query_detail );
		$gesamt_menge = 0;
		$gesamt_preis = 0;
		$bk_gesamt_menge = 0;
		$bk_gesamt_preis = 0;
		$bk_prev = "";
		$listenzeile_counter = 0;
		unset ( $liste_output );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $listenzeile ) {
				
				if ($bk_prev != "" and $bk_prev != $liste [$listenzeile_id] ["dtKontoID"]) {
					$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $bk_prev . "</b>";
					$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtBelegNr"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtAnzeigeDatum"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtKunde_Anzeige"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtArtikel"] = "<b>Gesamt:</b>";
					$liste_output [$listenzeile_counter] ["dtMenge"] = "<b>" . double_from_sql ( $bk_gesamt_menge, 0 ) . "</b>";
					$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = "<b>" . preis_from_sql ( $bk_gesamt_preis, null, 2 ) . "</b>";
					$bk_gesamt_menge = 0;
					$bk_gesamt_preis = 0;
					$listenzeile_counter ++;
				}
				$bk_prev = $liste [$listenzeile_id] ["dtKontoID"];
				
				// +++++++++++ Summenzeile
				$bk_gesamt_menge = $bk_gesamt_menge + $liste [$listenzeile_id] ["dtMenge"];
				$bk_gesamt_preis = $bk_gesamt_preis + $liste [$listenzeile_id] ["dtMenge"] * berechne_rabatt ( $liste [$listenzeile_id] ["dtPreisNetto"], $listenzeile ["dtMaterialpostenRabatt"], TRUE );
				$gesamt_menge = $gesamt_menge + $liste [$listenzeile_id] ["dtMenge"];
				$gesamt_preis = $gesamt_preis + $liste [$listenzeile_id] ["dtMenge"] * berechne_rabatt ( $liste [$listenzeile_id] ["dtPreisNetto"], $listenzeile ["dtMaterialpostenRabatt"], TRUE );
				
				// +++++++++++ Infos ber Kunde holen
				$subquery = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $liste [$listenzeile_id] ["fiKunde"];
				$field_kunde = get_table_row ( $subquery );
				$liste_output [$listenzeile_counter] ["dtKunde_Anzeige"] = shortcutlink ( format_name_html ( $field_kunde ["dtName_Anzeige"] ), "kontakte", "show", $liste [$listenzeile_id] ["fiKunde"], $benutzerrechte );
				
				// +++++++++++ Felder formatieren
				$liste_output [$listenzeile_counter] ["dtKontoID"] = $liste [$listenzeile_id] ["dtKontoID"];
				$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = $liste [$listenzeile_id] ["dtKontoBezeichnung"];
				$liste_output [$listenzeile_counter] ["dtBelegNr"] = $liste [$listenzeile_id] ["dtBelegNr"];
				$liste_output [$listenzeile_counter] ["dtArtikel"] = $liste [$listenzeile_id] ["dtArtikel"];
				
				if ($liste [$listenzeile_id] ["dtGebucht"] != 0) {
					$liste_output [$listenzeile_counter] ["dtGebucht"] = "X";
				}
				
				$liste_output [$listenzeile_counter] ["dtAnzeigeDatum"] = date_from_sql ( $liste [$listenzeile_id] ["dtAnzeigeDatum"] );
				$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = preis_from_sql ( berechne_rabatt ( $liste [$listenzeile_id] ["dtPreisNetto"], $listenzeile ["dtMaterialpostenRabatt"], TRUE ), null, 2 );
				$liste_output [$listenzeile_counter] ["dtMenge"] = double_from_sql ( $liste [$listenzeile_id] ["dtMenge"], 0 );
				$liste_output [$listenzeile_counter] ["dtPreisNetto"] = preis_from_sql ( berechne_rabatt ( $liste [$listenzeile_id] ["dtPreisNetto"], $listenzeile ["dtMaterialpostenRabatt"], TRUE ), null, 2 );
				
				// +++++++++++ Buttons hinzufgen
				$liste_output [$listenzeile_counter] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Beleg_id"], "belege", $benutzerrechte );
				$listenzeile_counter ++;
			}
		}
		
		// Summe zum letzten Buchungskonto
		$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $liste [$listenzeile_id] ["dtKontoID"] . "</b>";
		$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtBelegNr"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtAnzeigeDatum"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtKunde_Anzeige"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtArtikel"] = "<b>Gesamt:</b>";
		$liste_output [$listenzeile_counter] ["dtMenge"] = "<b>" . double_from_sql ( $bk_gesamt_menge, 0 ) . "</b>";
		$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = "<b>" . preis_from_sql ( $bk_gesamt_preis, null, 2 ) . "</b>";
		
		$summenzeile_array = array (
				"",
				"",
				"",
				"",
				"",
				"Gesamt:",
				double_from_sql ( $gesamt_menge, 0 ),
				"",
				preis_from_sql ( $gesamt_preis, null, 2 ),
				"",
				"" 
		);
		
		// ++++ gebe Tabelle aus
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
		echo "<tr><td valign=\"top\" colspan=10>";
		listenkopf ( $listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung [$listenname], $target, $typ );
		liste_output ( $liste_output, $show_fields, $field_width, $field_colors, $listenhoehe, $target, $typ );
		listenkopf ( $listenname, $summenzeile_array, $summenzeile_array, $field_width, $field_sort_options, $sortierung [$listenname], "", "" );
		echo "</td></tr>";
		echo "</table>";
	}
}

echo "</div>";
echo "</td></tr>";
echo "<tr><td colspan=10 class=\"formularrahmen_unten\"></td></tr>";
echo "<tr><td colspan=10 class=\"formularrahmen_oben\"></td></tr>";

ob_flush ();
flush ();

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Beleg Zeitposten
echo "<tr><td valign=\"top\" width=40>";
if ($bereich_offen [2]) {
	echo subbutton ( "hoch", $target, $typ, "", $subtarget, $subtyp, str_replace ( "2", "", $subid ), $benutzerrechte );
} else {
	echo subbutton ( "runter", $target, $typ, "", $subtarget, $subtyp, $subid . ",2", $benutzerrechte );
}

echo "</td><td valign=\"top\" ><b>Beleg Zeitposten:</b></td>";
if ($bereich_offen [2]) {
	echo "<td style='text-align:right;'>" . zusatzfenster ( "export", "nach Textfeld exportieren", $subtarget, "fenster-buchungskontenexport", "Buchungskontenexport", false, 350, 650, "&id=2" ) . "</td>";
}
echo "</tr>";

echo "<tr><td colspan=3 height=1>";
echo "<div id=\"belegzeitposten\" name=\"belegzeitposten\" style=\"" . $bereiche_oeffnen [2] . " height: 350px; overflow: auto;\">";
if ($bereich_offen [2]) {
	
	if (! ($filter [$listenname] ["datumsbereich"] != "" and $filter [$listenname] ["datumsbereich"] != "01-01-1970-01-01-2030")) {
		fehlerausgabe ( 40, "", "meldungbox", 0, 0 );
	} else {
		
		// ++++ zweistufige Abfrage: erst alle relevanten Belege und dann alle Zeitposten dieser Belege
		
		// ++++ suche alle relevanten Belege
		$query_detail = $sql_query ["belegliste"];
		
		// Belegstatusfilter
		if ($filter [$listenname] ["belegstatus"] != "") {
			// $query_detail .= " and $tblbelege.fiStatus = " . $filter[$listenname]["belegstatus"] . " " ;
			$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["belegstatus"], "$tblbelege.fiStatus" );
		} else {
			$query_detail .= " and $tblbelege.fiStatus < 900 ";
		}
		
		// Kundefilter
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblbelege.fiKunde" );
		
		// Datumsbereich
		if ($filter [$listenname] ["datumsbereich"] != "") {
			
			$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
			$datum_tag_von = $datum_explode [0];
			$datum_monat_von = $datum_explode [1];
			$datum_jahr_von = $datum_explode [2];
			$datum_tag_bis = $datum_explode [3];
			$datum_monat_bis = $datum_explode [4];
			$datum_jahr_bis = $datum_explode [5];
			
			if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
				$query_detail .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
				$query_detail .= " or  (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
				$query_detail .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')))";
			}
			
			if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
				$query_detail .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
				$query_detail .= " or (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
				$query_detail .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')))";
			}
		}
		
		// $liste_belege = get_table_array($query_detail . " limit 0,$listenbegrenzung");
		$liste_belege = get_table_array ( $query_detail );
		
		// ++++ baue where-Statement fr alle relevanten Belege auf
		foreach ( ( array ) $liste_belege as $beleg_id => $beleg_row ) {
			$beleg_search .= " or fiBeleg = " . $beleg_row ["Beleg_id"] . " ";
		}
		
		// ++++ suche relevante Datenstze zu relevanten Belegen
		$query_detail = $sql_query ["belegzeitpostenliste"];
		
		// Buchungskontofilter
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["buchungskonto"], "$tblbelegzeitposten.fiBuchungsKonto" );
		
		// Belegfilter
		$query_detail .= " and (1=2 " . $beleg_search . ") ";
		
		$query_detail .= " order by $tblbuchungskonten.dtKontoID, $tblbelegzeitposten.fiBeleg desc";
		$liste = get_table_array ( $query_detail . " limit 0,$listenbegrenzung" );
		
		$show_fields = array (
				"dtKontoID",
				"dtKontoBezeichnung",
				"dtBelegNr",
				"dtAnzeigeDatum",
				"dtKunde_Anzeige",
				"dtMitarbeiter_Anzeige",
				"dtBezeichnung",
				"dtMenge",
				"dtPreisNetto",
				"dtZusatzzeitNetto",
				"dtGesamtpreisNetto",
				"dtGebucht",
				"ButtonAnzeigen" 
		);
		$field_headlines = array (
				"Kto ID",
				"Buchungskonto",
				"BelegNr",
				"Datum",
				"Kunde",
				"Mitarbeiter",
				"Bezeichnung",
				"Dauer (h)",
				"Zeit Einzel",
				"Zusatzzeit",
				"Gesamt Netto",
				"gebucht",
				"" 
		);
		$field_width = array (
				50,
				80,
				80,
				100,
				150,
				120,
				120,
				50,
				80,
				80,
				80,
				30,
				50 
		);
		$field_colors = array (
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"" 
		);
		$field_sort_options = array (
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort" 
		);
		
		$gesamt_menge = 0;
		$gesamt_preis = 0;
		$bk_gesamt_menge = 0;
		$bk_gesamt_preis = 0;
		$bk_prev = "";
		$listenzeile_counter = 0;
		unset ( $liste_output );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $listenzeile ) {
				
				if ($bk_prev != "" and $bk_prev != $liste [$listenzeile_id] ["dtKontoID"]) {
					$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $bk_prev . "</b>";
					$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtBelegNr"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtAnzeigeDatum"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtKunde_Anzeige"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtArtikelBezeichnung"] = "<b>Gesamt:</b>";
					$liste_output [$listenzeile_counter] ["dtMenge"] = "<b>" . double_from_sql ( $bk_gesamt_menge, 2 ) . "</b>";
					$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = "<b>" . preis_from_sql ( $bk_gesamt_preis, null, 2 ) . "</b>";
					$bk_gesamt_menge = 0;
					$bk_gesamt_preis = 0;
					$listenzeile_counter ++;
				}
				$bk_prev = $liste [$listenzeile_id] ["dtKontoID"];
				
				// +++++++++++ Infos ber Zusatzzeit holen
				$query = $sql_query ["belegzeitpostenzusatzeitliste"] . " and $tblbelegzeitpostenzusatzzeiten.fiBelegZeitPosten = " . $liste [$listenzeile_id] ["BelegZeitPosten_id"];
				$zusatzzeiten_count = get_table_count ( $query );
				$zusatzzeiten_liste = get_table_array ( $query );
				$zusatzzeiten_gesamtpreis = 0;
				if (is_array ( $zusatzzeiten_liste )) {
					foreach ( $zusatzzeiten_liste as $key => $zusatzzeiten_field ) {
						if ($zusatzzeiten_field ["dtZusatzzeitTyp"] == 0) {
							$zusatzzeiten_gesamtpreis = $zusatzzeiten_gesamtpreis + ($zusatzzeiten_field ["dtZusatzzeitAnzahl"] * $liste [$listenzeile_id] ["dtPreisNetto"] / 100 * $zusatzzeiten_field ["dtZusatzzeitSatz"]);
						} else {
							$zusatzzeiten_gesamtpreis = $zusatzzeiten_gesamtpreis + ($zusatzzeiten_field ["dtZusatzzeitAnzahl"] * $zusatzzeiten_field ["dtZusatzzeitPreisNetto"]);
						}
					}
				}
				
				// +++++++++++ Summenzeile
				$gesamt_menge = $gesamt_menge + $liste [$listenzeile_id] ["dtMenge"];
				$gesamt_preis = $gesamt_preis + $zusatzzeiten_gesamtpreis + ($liste [$listenzeile_id] ["dtMenge"] * $liste [$listenzeile_id] ["dtPreisNetto"]);
				
				$bk_gesamt_menge = $bk_gesamt_menge + $liste [$listenzeile_id] ["dtMenge"];
				$bk_gesamt_preis = $bk_gesamt_preis + $zusatzzeiten_gesamtpreis + ($liste [$listenzeile_id] ["dtMenge"] * $liste [$listenzeile_id] ["dtPreisNetto"]);
				
				// +++++++++++ Infos ber Beleg holen
				$subquery = $sql_query ["belegliste"] . " and $tblbelege.id = " . $liste [$listenzeile_id] ["fiBeleg"];
				$field_beleg = get_table_row ( $subquery );
				$liste_output [$listenzeile_counter] ["dtBelegNr"] = $field_beleg ["dtBelegNr"];
				$liste_output [$listenzeile_counter] ["dtAnzeigeDatum"] = date_from_sql ( $field_beleg ["dtAnzeigeDatum"] );
				
				if ($field_beleg ["dtGebucht"] != 0) {
					$liste_output [$listenzeile_counter] ["dtGebucht"] = "X";
				}
				
				// +++++++++++ Infos ber Kunde holen
				$subquery = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $field_beleg ["fiKunde"];
				$field_kunde = get_table_row ( $subquery );
				$liste_output [$listenzeile_counter] ["dtKunde_Anzeige"] = shortcutlink ( format_name_html ( $field_kunde ["dtName_Anzeige"] ), "kontakte", "show", $liste [$listenzeile_id] ["fiKunde"], $benutzerrechte );
				
				// +++++++++++ Felder formatieren
				$liste_output [$listenzeile_counter] ["dtKontoID"] = $liste [$listenzeile_id] ["dtKontoID"];
				$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = $liste [$listenzeile_id] ["dtKontoBezeichnung"];
				$liste_output [$listenzeile_counter] ["dtMitarbeiter_Anzeige"] = $liste [$listenzeile_id] ["dtKontaktDDText"];
				$liste_output [$listenzeile_counter] ["dtBezeichnung"] = $liste [$listenzeile_id] ["dtBezeichnung"];
				
				$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = preis_from_sql ( $zusatzzeiten_gesamtpreis + ($liste [$listenzeile_id] ["dtMenge"] * $liste [$listenzeile_id] ["dtPreisNetto"]), null, 2 );
				$liste_output [$listenzeile_counter] ["dtMenge"] = double_from_sql ( $liste [$listenzeile_id] ["dtMenge"], 2 );
				$liste_output [$listenzeile_counter] ["dtPreisNetto"] = preis_from_sql ( $liste [$listenzeile_id] ["dtPreisNetto"], null, 2 );
				$liste_output [$listenzeile_counter] ["dtZusatzzeitNetto"] = preis_from_sql ( $zusatzzeiten_gesamtpreis, null, 2 );
				
				// +++++++++++ Buttons hinzufgen
				$liste_output [$listenzeile_counter] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Beleg_id"], "belege", $benutzerrechte );
				$listenzeile_counter ++;
			}
		}
		
		// Summe zum letzten Buchungskonto
		$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $liste [$listenzeile_id] ["dtKontoID"] . "</b>";
		$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtBelegNr"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtAnzeigeDatum"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtKunde_Anzeige"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtArtikel"] = "<b>Gesamt:</b>";
		$liste_output [$listenzeile_counter] ["dtMenge"] = "<b>" . double_from_sql ( $bk_gesamt_menge, 2 ) . "</b>";
		$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = "<b>" . preis_from_sql ( $bk_gesamt_preis, null, 2 ) . "</b>";
		
		$summenzeile_array = array (
				"",
				"",
				"",
				"",
				"",
				"",
				"Gesamt:",
				double_from_sql ( $gesamt_menge, 2 ),
				"",
				"",
				"",
				preis_from_sql ( $gesamt_preis, null, 2 ),
				"",
				"" 
		);
		
		// ++++ gebe Tabelle aus
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
		echo "<tr><td valign=\"top\" colspan=10>";
		listenkopf ( $listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung [$listenname], $target, $typ );
		liste_output ( $liste_output, $show_fields, $field_width, $field_colors, $listenhoehe, $target, $typ );
		listenkopf ( $listenname, $summenzeile_array, $summenzeile_array, $field_width, $field_sort_options, $sortierung [$listenname], "", "" );
		echo "</td></tr>";
		echo "</table>";
	}
}

echo "</div>";
echo "</td></tr>";
echo "<tr><td colspan=10 class=\"formularrahmen_unten\"></td></tr>";
echo "<tr><td colspan=10 class=\"formularrahmen_oben\"></td></tr>";

ob_flush ();
flush ();

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Beleg Posten
echo "<tr><td valign=\"top\" width=40>";
if ($bereich_offen [3]) {
	echo subbutton ( "hoch", $target, $typ, "", $subtarget, $subtyp, str_replace ( "3", "", $subid ), $benutzerrechte );
} else {
	echo subbutton ( "runter", $target, $typ, "", $subtarget, $subtyp, $subid . ",3", $benutzerrechte );
}

echo "</td><td valign=\"top\" ><b>Beleg Posten:</b></td>";
if ($bereich_offen [3]) {
	echo "<td style='text-align:right;'>" . zusatzfenster ( "export", "nach Textfeld exportieren", $subtarget, "fenster-buchungskontenexport", "Buchungskontenexport", false, 350, 650, "&id=3" ) . "</td>";
}
echo "</tr>";

echo "<tr><td colspan=3 height=1>";
echo "<div id=\"belegposten\" name=\"belegposten\" style=\"" . $bereiche_oeffnen [3] . " height: 350px; overflow: auto;\">";

if ($bereich_offen [3]) {
	
	if (! ($filter [$listenname] ["datumsbereich"] != "" and $filter [$listenname] ["datumsbereich"] != "01-01-1970-01-01-2030")) {
		fehlerausgabe ( 40, "", "meldungbox", 0, 0 );
	} else {
		
		// ++++ suche relevante Datenstze
		$query_detail = $sql_query ["belegpostenliste"];
		
		// Bunchungskontofilter
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["buchungskonto"], "$tblbelegposten.fiBuchungsKonto" );
		
		// Belegstatusfilter
		if ($filter [$listenname] ["belegstatus"] != "") {
			// $query_detail .= " and $tblbelege.fiStatus = " . $filter[$listenname]["belegstatus"] . " " ;
			$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["belegstatus"], "$tblbelege.fiStatus" );
		} else {
			$query_detail .= " and $tblbelege.fiStatus < 900 ";
		}
		
		// Kundefilter
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblbelege.fiKunde" );
		
		// Datumsbereich
		if ($filter [$listenname] ["datumsbereich"] != "") {
			
			$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
			$datum_tag_von = $datum_explode [0];
			$datum_monat_von = $datum_explode [1];
			$datum_jahr_von = $datum_explode [2];
			$datum_tag_bis = $datum_explode [3];
			$datum_monat_bis = $datum_explode [4];
			$datum_jahr_bis = $datum_explode [5];
			
			if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
				$query_detail .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
				$query_detail .= " or  (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
				$query_detail .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')))";
			}
			
			if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
				$query_detail .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
				$query_detail .= " or (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
				$query_detail .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')))";
			}
		}
		
		$query_detail .= " order by $tblbuchungskonten.dtKontoID, $tblbelege.dtAnzeigeDatum desc";
		
		$show_fields = array (
				"dtKontoID",
				"dtKontoBezeichnung",
				"dtBelegNr",
				"dtAnzeigeDatum",
				"dtKunde_Anzeige",
				"dtArtikelBezeichnung",
				"dtMenge",
				"dtPreisNetto",
				"dtGesamtpreisNetto",
				"dtGebucht",
				"ButtonAnzeigen" 
		);
		$field_headlines = array (
				"Kto ID",
				"Buchungskonto",
				"BelegNr",
				"Datum",
				"Kunde",
				"Posten",
				"Menge",
				"Einzelpreis Netto",
				"Gesamtpreis Netto",
				"gebucht",
				"" 
		);
		$field_width = array (
				50,
				100,
				80,
				100,
				150,
				200,
				50,
				100,
				100,
				30,
				50 
		);
		$field_colors = array (
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"" 
		);
		$field_sort_options = array (
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort" 
		);
		
		// $liste = get_table_array($query_detail . " limit 0,$listenbegrenzung");
		$liste = get_table_array ( $query_detail );
		
		$gesamt_menge = 0;
		$gesamt_preis = 0;
		$bk_gesamt_menge = 0;
		$bk_gesamt_preis = 0;
		$bk_prev = "";
		$listenzeile_counter = 0;
		unset ( $liste_output );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $listenzeile ) {
				
				if ($bk_prev != "" and $bk_prev != $liste [$listenzeile_id] ["dtKontoID"]) {
					$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $bk_prev . "</b>";
					$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtBelegNr"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtAnzeigeDatum"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtKunde_Anzeige"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtArtikelBezeichnung"] = "<b>Gesamt:</b>";
					$liste_output [$listenzeile_counter] ["dtMenge"] = "<b>" . double_from_sql ( $bk_gesamt_menge, 0 ) . "</b>";
					$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = "<b>" . preis_from_sql ( $bk_gesamt_preis, null, 2 ) . "</b>";
					$bk_gesamt_menge = 0;
					$bk_gesamt_preis = 0;
					$listenzeile_counter ++;
				}
				$bk_prev = $liste [$listenzeile_id] ["dtKontoID"];
				
				// +++++++++++ Summenzeile
				$gesamt_menge = $gesamt_menge + $liste [$listenzeile_id] ["dtMenge"];
				$gesamt_preis = $gesamt_preis + $liste [$listenzeile_id] ["dtMenge"] * berechne_rabatt ( $liste [$listenzeile_id] ["dtPreisNetto"], $listenzeile ["dtPostenRabatt"], TRUE );
				
				$bk_gesamt_menge = $bk_gesamt_menge + $liste [$listenzeile_id] ["dtMenge"];
				$bk_gesamt_preis = $bk_gesamt_preis + $liste [$listenzeile_id] ["dtMenge"] * berechne_rabatt ( $liste [$listenzeile_id] ["dtPreisNetto"], $listenzeile ["dtPostenRabatt"], TRUE );
				
				// +++++++++++ Infos ber Kunde holen
				$subquery = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $liste [$listenzeile_id] ["fiKunde"];
				$field_kunde = get_table_row ( $subquery );
				$liste_output [$listenzeile_counter] ["dtKunde_Anzeige"] = shortcutlink ( format_name_html ( $field_kunde ["dtName_Anzeige"] ), "kontakte", "show", $liste [$listenzeile_id] ["fiKunde"], $benutzerrechte );
				
				// +++++++++++ Felder formatieren
				$liste_output [$listenzeile_counter] ["dtKontoID"] = $liste [$listenzeile_id] ["dtKontoID"];
				$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = $liste [$listenzeile_id] ["dtKontoBezeichnung"];
				$liste_output [$listenzeile_counter] ["dtBelegNr"] = $liste [$listenzeile_id] ["dtBelegNr"];
				$liste_output [$listenzeile_counter] ["dtArtikelBezeichnung"] = str_replace ( "\n", " ", $liste [$listenzeile_id] ["dtArtikelBezeichnung"] );
				
				if ($liste [$listenzeile_id] ["dtGebucht"] != 0) {
					$liste_output [$listenzeile_counter] ["dtGebucht"] = "X";
				}
				
				$liste_output [$listenzeile_counter] ["dtAnzeigeDatum"] = date_from_sql ( $liste [$listenzeile_id] ["dtAnzeigeDatum"] );
				$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = preis_from_sql ( $liste [$listenzeile_id] ["dtMenge"] * berechne_rabatt ( $liste [$listenzeile_id] ["dtPreisNetto"], $listenzeile ["dtPostenRabatt"], TRUE ), null, 2 );
				$liste_output [$listenzeile_counter] ["dtMenge"] = double_from_sql ( $liste [$listenzeile_id] ["dtMenge"], 0 );
				$liste_output [$listenzeile_counter] ["dtPreisNetto"] = preis_from_sql ( berechne_rabatt ( $liste [$listenzeile_id] ["dtPreisNetto"], $listenzeile ["dtPostenRabatt"], TRUE ), null, 2 );
				
				// +++++++++++ Buttons hinzufgen
				$liste_output [$listenzeile_counter] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Beleg_id"], "belege", $benutzerrechte );
				$listenzeile_counter ++;
			}
		}
		
		// Summe zum letzten Buchungskonto
		$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $liste [$listenzeile_id] ["dtKontoID"] . "</b>";
		$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtBelegNr"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtAnzeigeDatum"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtKunde_Anzeige"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtArtikel"] = "<b>Gesamt:</b>";
		$liste_output [$listenzeile_counter] ["dtMenge"] = "<b>" . double_from_sql ( $bk_gesamt_menge, 0 ) . "</b>";
		$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = "<b>" . preis_from_sql ( $bk_gesamt_preis, null, 2 ) . "</b>";
		
		$summenzeile_array = array (
				"",
				"",
				"",
				"",
				"",
				"Gesamt:",
				double_from_sql ( $gesamt_menge, 0 ),
				"",
				preis_from_sql ( $gesamt_preis, null, 2 ),
				"",
				"" 
		);
		
		// ++++ gebe Tabelle aus
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
		echo "<tr><td valign=\"top\" colspan=10>";
		listenkopf ( $listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung [$listenname], $target, $typ );
		liste_output ( $liste_output, $show_fields, $field_width, $field_colors, $listenhoehe, $target, $typ );
		listenkopf ( $listenname, $summenzeile_array, $summenzeile_array, $field_width, $field_sort_options, $sortierung [$listenname], "", "" );
		echo "</td></tr>";
		echo "</table>";
	}
}

echo "</div>";
echo "</td></tr>";
echo "<tr><td colspan=10 class=\"formularrahmen_unten\"></td></tr>";
echo "<tr><td colspan=10 class=\"formularrahmen_oben\"></td></tr>";

ob_flush ();
flush ();

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Rechnung Posten
echo "<tr><td valign=\"top\" width=40>";
if ($bereich_offen [4]) {
	echo subbutton ( "hoch", $target, $typ, "", $subtarget, $subtyp, str_replace ( "4", "", $subid ), $benutzerrechte );
} else {
	echo subbutton ( "runter", $target, $typ, "", $subtarget, $subtyp, $subid . ",4", $benutzerrechte );
}

echo "</td><td valign=\"top\" ><b>Rechnung Posten:</b></td>";
if ($bereich_offen [4]) {
	echo "<td style='text-align:right;'>" . zusatzfenster ( "export", "nach Textfeld exportieren", $subtarget, "fenster-buchungskontenexport", "Buchungskontenexport", false, 350, 650, "&id=4" ) . "</td>";
}
echo "</tr>";

echo "<tr><td colspan=3 height=1>";
echo "<div id=\"rechnungposten\" name=\"rechnungposten\" style=\"" . $bereiche_oeffnen [4] . " height: 350px; overflow: auto;\">";
if ($bereich_offen [4]) {
	
	if (! ($filter [$listenname] ["datumsbereich"] != "" and $filter [$listenname] ["datumsbereich"] != "01-01-1970-01-01-2030")) {
		fehlerausgabe ( 40, "", "meldungbox", 0, 0 );
	} else {
		
		// ++++ suche relevante Datenstze
		$query_detail = $sql_query ["rechnungpostenliste"];
		
		// Buchungskontofilter
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["buchungskonto"], "$tblrechnungposten.fiBuchungsKonto" );
		
		// Rechnungstatusfilter
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["rechnungstatus"], "$tblrechnungen.fiStatus" );
		
		// Lieferantenfilter
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["lieferant"], "$tblrechnungen.fiLieferant" );
		
		// Datumsbereich
		if ($filter [$listenname] ["datumsbereich"] != "") {
			
			$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
			$datum_tag_von = $datum_explode [0];
			$datum_monat_von = $datum_explode [1];
			$datum_jahr_von = $datum_explode [2];
			$datum_tag_bis = $datum_explode [3];
			$datum_monat_bis = $datum_explode [4];
			$datum_jahr_bis = $datum_explode [5];
			
			if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
				$query_detail .= " and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
			}
			
			if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
				$query_detail .= " and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
			}
		}
		
		$query_detail .= " order by $tblbuchungskonten.dtKontoID, $tblrechnungen.dtRechnungDatum desc, $tblrechnungen.dtRechnungNrIntern desc";
		
		$show_fields = array (
				"dtKontoID",
				"dtKontoBezeichnung",
				"dtRechnungNrIntern",
				"dtRechnungDatum",
				"dtLieferant_Anzeige",
				"dtArtikelBezeichnung",
				"dtMenge",
				"dtPreisNetto",
				"dtGesamtpreisNetto",
				"dtGebucht",
				"ButtonAnzeigen" 
		);
		$field_headlines = array (
				"Kto ID",
				"Buchungskonto",
				"RechnungsNr",
				"Datum",
				"Lieferant",
				"Artikel",
				"Menge",
				"Einzelpreis Netto",
				"Gesamtpreis Netto",
				"gebucht",
				"" 
		);
		$field_width = array (
				50,
				100,
				80,
				100,
				150,
				200,
				50,
				100,
				100,
				30,
				50 
		);
		$field_colors = array (
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"" 
		);
		$field_sort_options = array (
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort" 
		);
		
		// $liste = get_table_array($query_detail . " limit 0,$listenbegrenzung");
		$liste = get_table_array ( $query_detail );
		
		$gesamt_menge = 0;
		$gesamt_preis = 0;
		$bk_gesamt_menge = 0;
		$bk_gesamt_preis = 0;
		$bk_prev = "";
		$listenzeile_counter = 0;
		unset ( $liste_output );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $listenzeile ) {
				
				if ($bk_prev != "" and $bk_prev != $liste [$listenzeile_id] ["dtKontoID"]) {
					$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $bk_prev . "</b>";
					$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtRechnungNrIntern"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtRechnungDatum"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtLieferant_Anzeige"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtArtikelBezeichnung"] = "<b>Gesamt:</b>";
					$liste_output [$listenzeile_counter] ["dtMenge"] = "<b>" . double_from_sql ( $bk_gesamt_menge, 0 ) . "</b>";
					$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = "<b>" . preis_from_sql ( $bk_gesamt_preis, null, 2 ) . "</b>";
					$bk_gesamt_menge = 0;
					$bk_gesamt_preis = 0;
					$listenzeile_counter ++;
				}
				$bk_prev = $liste [$listenzeile_id] ["dtKontoID"];
				
				// +++++++++++ Summenzeile
				$gesamt_menge = $gesamt_menge + $liste [$listenzeile_id] ["dtMenge"];
				$gesamt_preis = $gesamt_preis + $liste [$listenzeile_id] ["dtMenge"] * $liste [$listenzeile_id] ["dtPreisNetto"];
				
				$bk_gesamt_menge = $bk_gesamt_menge + $liste [$listenzeile_id] ["dtMenge"];
				$bk_gesamt_preis = $bk_gesamt_preis + $liste [$listenzeile_id] ["dtMenge"] * $liste [$listenzeile_id] ["dtPreisNetto"];
				
				// +++++++++++ Infos ber Kunde holen
				$subquery = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $liste [$listenzeile_id] ["fiLieferant"];
				$field_kunde = get_table_row ( $subquery );
				$liste_output [$listenzeile_counter] ["dtLieferant_Anzeige"] = shortcutlink ( format_name_html ( $field_kunde ["dtName_Anzeige"] ), "kontakte", "show", $liste [$listenzeile_id] ["fiLieferant"], $benutzerrechte );
				
				// +++++++++++ Felder formatieren
				$liste_output [$listenzeile_counter] ["dtKontoID"] = $liste [$listenzeile_id] ["dtKontoID"];
				$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = $liste [$listenzeile_id] ["dtKontoBezeichnung"];
				$liste_output [$listenzeile_counter] ["dtRechnungNrIntern"] = shortcutlink ( format_name_html ( $liste [$listenzeile_id] ["dtRechnungNrIntern"] ), "rechnungen", "show", $liste [$listenzeile_id] ["fiRechnung"], $benutzerrechte );
				if ($liste [$listenzeile_id] ["dtGebucht"] != 0) {
					$liste_output [$listenzeile_counter] ["dtGebucht"] = "X";
				}
				
				$liste_output [$listenzeile_counter] ["dtRechnungDatum"] = date_from_sql ( $liste [$listenzeile_id] ["dtRechnungDatum"] );
				$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = preis_from_sql ( $liste [$listenzeile_id] ["dtMenge"] * $liste [$listenzeile_id] ["dtPreisNetto"], null, 2 );
				$liste_output [$listenzeile_counter] ["dtMenge"] = double_from_sql ( $liste [$listenzeile_id] ["dtMenge"], 0 );
				$liste_output [$listenzeile_counter] ["dtPreisNetto"] = preis_from_sql ( $liste [$listenzeile_id] ["dtPreisNetto"], null, 2 );
				$liste_output [$listenzeile_counter] ["dtArtikelBezeichnung"] = shortcutlink ( format_name_html ( $liste [$listenzeile_id] ["dtArtikelBezeichnung"] ), "artikel", "show", $liste [$listenzeile_id] ["fiArtikel"], $benutzerrechte );
				
				// +++++++++++ Buttons hinzufgen
				$liste_output [$listenzeile_counter] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Rechnung_id"], "rechnungen", $benutzerrechte );
				$listenzeile_counter ++;
			}
		}
		
		// Summe zum letzten Buchungskonto
		$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $liste [$listenzeile_id] ["dtKontoID"] . "</b>";
		$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtRechnungNrIntern"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtRechnungDatum"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtLieferant_Anzeige"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtArtikelBezeichnung"] = "<b>Gesamt:</b>";
		$liste_output [$listenzeile_counter] ["dtMenge"] = "<b>" . double_from_sql ( $bk_gesamt_menge, 0 ) . "</b>";
		$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = "<b>" . preis_from_sql ( $bk_gesamt_preis, null, 2 ) . "</b>";
		
		$summenzeile_array = array (
				"",
				"",
				"",
				"",
				"",
				"Gesamt:",
				double_from_sql ( $gesamt_menge, 0 ),
				"",
				preis_from_sql ( $gesamt_preis, null, 2 ),
				"",
				"" 
		);
		
		// ++++ gebe Tabelle aus
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
		echo "<tr><td valign=\"top\" colspan=10>";
		listenkopf ( $listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung [$listenname], $target, $typ );
		liste_output ( $liste_output, $show_fields, $field_width, $field_colors, $listenhoehe, $target, $typ );
		listenkopf ( $listenname, $summenzeile_array, $summenzeile_array, $field_width, $field_sort_options, $sortierung [$listenname], "", "" );
		echo "</td></tr>";
		echo "</table>";
	}
}

echo "</div>";
echo "</td></tr>";
echo "<tr><td colspan=10 class=\"formularrahmen_unten\"></td></tr>";
echo "<tr><td colspan=10 class=\"formularrahmen_oben\"></td></tr>";

ob_flush ();
flush ();

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Umstze
echo "<tr><td valign=\"top\" width=40>";
if ($bereich_offen [5]) {
	echo subbutton ( "hoch", $target, $typ, "", $subtarget, $subtyp, str_replace ( "5", "", $subid ), $benutzerrechte );
} else {
	echo subbutton ( "runter", $target, $typ, "", $subtarget, $subtyp, $subid . ",5", $benutzerrechte );
}

echo "</td><td valign=\"top\" ><b>Umstze:</b></td>";
if ($bereich_offen [5]) {
	echo "<td style='text-align:right;'>" . zusatzfenster ( "export", "nach Textfeld exportieren", $subtarget, "fenster-buchungskontenexport", "Buchungskontenexport", false, 350, 650, "&id=5" ) . "</td>";
}
echo "</tr>";

echo "<tr><td colspan=3 height=1>";
echo "<div id=\"umsatze\" name=\"umsatze\" style=\"" . $bereiche_oeffnen [5] . " height: 350px; overflow: auto;\">";
if ($bereich_offen [5]) {
	
	if (! ($filter [$listenname] ["datumsbereich"] != "" and $filter [$listenname] ["datumsbereich"] != "01-01-1970-01-01-2030")) {
		fehlerausgabe ( 40, "", "meldungbox", 0, 0 );
	} else {
		
		// ++++ suche relevante Datenstze
		$query_detail = $sql_query ["umsatzliste"];
		
		// Bunchungskontofilter
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["buchungskonto"], "$tblbankumsatz.fiBuchungsKonto" );
		
		// Bankkontenfilter
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["bankkonto"], "$tblbankumsatz.fiBankKonto" );
		
		// Datumsbereich
		if ($filter [$listenname] ["datumsbereich"] != "") {
			
			$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
			$datum_tag_von = $datum_explode [0];
			$datum_monat_von = $datum_explode [1];
			$datum_jahr_von = $datum_explode [2];
			$datum_tag_bis = $datum_explode [3];
			$datum_monat_bis = $datum_explode [4];
			$datum_jahr_bis = $datum_explode [5];
			
			if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
				$query_detail .= " and to_days(dtValutaDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
			}
			
			if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
				$query_detail .= " and to_days(dtValutaDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
			}
		}
		
		$query_detail .= " order by $tblbuchungskonten.dtKontoID, $tblbankumsatz.dtValutaDatum desc, $tblbankumsatz.id desc";
		
		$show_fields = array (
				"dtKontoID",
				"dtKontoBezeichnung",
				"Umsatz_id",
				"dtValutaDatum",
				"dtValutaBetrag",
				"dtRechnungNrIntern",
				"dtBelegNr",
				"dtUmsatzGebucht",
				"ButtonAnzeigen" 
		);
		$field_headlines = array (
				"Kto ID",
				"Buchungskonto",
				"Umsatz ID",
				"Valuta Datum",
				"Betrag",
				"Rechnung",
				"Beleg",
				"gebucht",
				"" 
		);
		$field_width = array (
				50,
				200,
				50,
				100,
				100,
				100,
				100,
				30,
				50 
		);
		$field_colors = array (
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"" 
		);
		$field_sort_options = array (
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort" 
		);
		
		// $liste = get_table_array($query_detail . " limit 0,$listenbegrenzung");
		$liste = get_table_array ( $query_detail );
		
		$gesamt_menge = 0;
		$gesamt_preis = 0;
		$bk_gesamt_menge = 0;
		$bk_gesamt_preis = 0;
		$bk_prev = "";
		$listenzeile_counter = 0;
		unset ( $liste_output );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $listenzeile ) {
				
				if ($bk_prev != "" and $bk_prev != $liste [$listenzeile_id] ["dtKontoID"]) {
					$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $liste [$listenzeile_id] ["dtKontoID"] . "</b>";
					$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
					$liste_output [$listenzeile_counter] ["dtValutaDatum"] = "<b>Gesamt:</b>";
					$liste_output [$listenzeile_counter] ["Umsatz_id"] = "<b>-------</b>";
					$liste_output [$listenzeile_counter] ["dtValutaBetrag"] = "<b>" . preis_from_sql ( $bk_gesamt_preis, null, 2 ) . "</b>";
					$bk_gesamt_preis = 0;
					$listenzeile_counter ++;
				}
				$bk_prev = $liste [$listenzeile_id] ["dtKontoID"];
				
				// +++++++++++ Summenzeile
				$gesamt_preis = $gesamt_preis + $liste [$listenzeile_id] ["dtValutaBetrag"];
				$bk_gesamt_preis = $bk_gesamt_preis + $liste [$listenzeile_id] ["dtValutaBetrag"];
				
				// +++++++++++ Felder formatieren
				$liste_output [$listenzeile_counter] ["dtKontoID"] = $liste [$listenzeile_id] ["dtKontoID"];
				$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = $liste [$listenzeile_id] ["dtKontoBezeichnung"];
				$liste_output [$listenzeile_counter] ["Umsatz_id"] = $liste [$listenzeile_id] ["Umsatz_id"];
				$liste_output [$listenzeile_counter] ["dtValutaDatum"] = date_from_sql ( $liste [$listenzeile_id] ["dtValutaDatum"] );
				$liste_output [$listenzeile_counter] ["dtValutaBetrag"] = preis_from_sql ( $liste [$listenzeile_id] ["dtValutaBetrag"], null, 2 );
				$liste_output [$listenzeile_counter] ["dtRechnungNrIntern"] = shortcutlink ( format_name_html ( $liste [$listenzeile_id] ["dtRechnungNrIntern"] ), "rechnungen", "show", $liste [$listenzeile_id] ["fiRechnung"], $benutzerrechte );
				$liste_output [$listenzeile_counter] ["dtBelegNr"] = shortcutlink ( format_name_html ( $liste [$listenzeile_id] ["dtBelegNr"] ), "belege", "show", $liste [$listenzeile_id] ["fiBeleg"], $benutzerrechte );
				
				if ($liste [$listenzeile_id] ["dtUmsatzGebucht"] != 0) {
					$liste_output [$listenzeile_counter] ["dtUmsatzGebucht"] = "X";
				}
				
				// +++++++++++ Buttons hinzufgen
				$liste_output [$listenzeile_counter] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Umsatz_id"], "umsaetze", $benutzerrechte );
				$listenzeile_counter ++;
			}
		}
		
		// Summe zum letzten Buchungskonto
		$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $liste [$listenzeile_id] ["dtKontoID"] . "</b>";
		$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
		$liste_output [$listenzeile_counter] ["dtValutaDatum"] = "<b>Gesamt:</b>";
		$liste_output [$listenzeile_counter] ["Umsatz_id"] = "<b>-------</b>";
		$liste_output [$listenzeile_counter] ["dtValutaBetrag"] = "<b>" . preis_from_sql ( $bk_gesamt_preis, null, 2 ) . "</b>";
		
		$summenzeile_array = array (
				"",
				"",
				"",
				"Gesamt:",
				preis_from_sql ( $gesamt_preis, null, 2 ),
				"",
				"",
				"",
				"" 
		);
		
		// ++++ gebe Tabelle aus
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
		echo "<tr><td valign=\"top\" colspan=10>";
		listenkopf ( $listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung [$listenname], $target, $typ );
		liste_output ( $liste_output, $show_fields, $field_width, $field_colors, $listenhoehe, $target, $typ );
		listenkopf ( $listenname, $summenzeile_array, $summenzeile_array, $field_width, $field_sort_options, $sortierung [$listenname], "", "" );
		echo "</td></tr>";
		echo "</table>";
	}
}

echo "</div>";
echo "</td></tr>";
echo "<tr><td colspan=10 class=\"formularrahmen_unten\"></td></tr>";
echo "<tr><td colspan=10 class=\"formularrahmen_oben\"></td></tr>";

ob_flush ();
flush ();

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Lohn
echo "<tr><td valign=\"top\" width=40>";
if ($bereich_offen [6]) {
	echo subbutton ( "hoch", $target, $typ, "", $subtarget, $subtyp, str_replace ( "6", "", $subid ), $benutzerrechte );
} else {
	echo subbutton ( "runter", $target, $typ, "", $subtarget, $subtyp, $subid . ",6", $benutzerrechte );
}

echo "</td><td valign=\"top\" ><b>Lhne:</b></td>";
if ($bereich_offen [6]) {
	echo "<td style='text-align:right;'>" . zusatzfenster ( "export", "nach Textfeld exportieren", $subtarget, "fenster-buchungskontenexport", "Buchungskontenexport", false, 350, 650, "&id=6" ) . "</td>";
}
echo "</tr>";

echo "<tr><td colspan=3 height=1>";
echo "<div id=\"loehne\" name=\"loehne\" style=\"" . $bereiche_oeffnen [6] . " height: 350px; overflow: auto;\">";
if ($bereich_offen [6]) {
	
	if (! ($filter [$listenname] ["datumsbereich"] != "" and $filter [$listenname] ["datumsbereich"] != "01-01-1970-01-01-2030")) {
		fehlerausgabe ( 40, "", "meldungbox", 0, 0 );
	} else {
		
		// Buchungskontofilter
		if ($filter [$listenname] ["buchungskonto"] != "") {
			$buchungskonto_array = $filter [$listenname] ["buchungskonto"];
		} else {
			$query = "select id from $tblbuchungskonten";
			$result = mysql_query ( $query );
			while ( $sub_row = mysql_fetch_array ( $result, MYSQL_ASSOC ) ) {
				$buchungskonto_array [] = $sub_row ["id"];
			}
		}
		
		// Mitarbeiterfilter
		if ($filter [$listenname] ["mitarbeiter"] != "") {
			$mitarbeiter_array = $filter [$listenname] ["mitarbeiter"];
		} else {
			$query = "select id from $tblkontakte where dtIstMitarbeiter = 1 and dtAktiv=1 ";
			$result = mysql_query ( $query );
			while ( $sub_row = mysql_fetch_array ( $result, MYSQL_ASSOC ) ) {
				$mitarbeiter_array [] = $sub_row ["id"];
			}
		}
		
		$gesamt_menge = 0;
		$gesamt_preis = 0;
		$bk_gesamt_menge = 0;
		$bk_gesamt_preis = 0;
		$bk_prev = "";
		$listenzeile_counter = 0;
		unset ( $liste_output );
		
		// erstelle eine Liste aller relevanten Monate
		
		// baue ein Array zu jedem Monat, jedem Mitarbeiter und jedem Buchungskonto auf
		// und berechne fr jeden Eintrag den jeweiligen Lohn
		foreach ( ( array ) $buchungskonto_array as $bk_key => $bk_id ) {
			
			if ($buchungskonto_row [$bk_id] == "") {
				$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = $bk_id";
				$result = mysql_query ( $query );
				$buchungskonto_row [$bk_id] = mysql_fetch_array ( $result, MYSQL_ASSOC );
			}
			
			$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
			$datum_tag_von = $datum_explode [0];
			$datum_monat_von = $datum_explode [1];
			$datum_jahr_von = $datum_explode [2];
			$datum_tag_bis = $datum_explode [3];
			$datum_monat_bis = $datum_explode [4];
			$datum_jahr_bis = $datum_explode [5];
			
			$datum_von = concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von );
			$datum_bis = concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis );
			
			while ( mktime ( 0, 0, 0, $datum_monat_von, $datum_tag_von, $datum_jahr_von ) <= mktime ( 0, 0, 0, $datum_monat_bis, $datum_tag_bis, $datum_jahr_bis ) ) {
				
				foreach ( ( array ) $mitarbeiter_array as $ma_key => $ma_id ) {
					
					if ($mitarbeiter_row [$ma_id] == "") {
						$query = $sql_query ["mitarbeiterliste"] . "and dtIstMitarbeiter = 1 and dtAktiv=1 and $tblkontakte.id = $ma_id";
						$result = mysql_query ( $query );
						$mitarbeiter_row [$ma_id] = mysql_fetch_array ( $result, MYSQL_ASSOC );
					}
					
					// $lohn_array[$bk_id][$datum_von][$ma_id] = lohnberechnung($ma_id, $datum_von, $bk_id);
					$lohn = lohnberechnung ( $ma_id, $datum_von, $bk_id );
					
					if ($lohn != 0) {
						
						if ($bk_prev != "" and $bk_prev != $buchungskonto_row [$bk_id] ["dtKontoID"]) {
							$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $bk_prev . "</b>";
							$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
							$liste_output [$listenzeile_counter] ["dtDatum"] = "<b>----------</b>";
							$liste_output [$listenzeile_counter] ["dtMitarbeiter"] = "<b>Gesamt:</b>";
							$liste_output [$listenzeile_counter] ["dtBetrag"] = "<b>" . preis_from_sql ( $bk_gesamt_preis, null, 2 ) . "</b>";
							$bk_gesamt_preis = 0;
							$listenzeile_counter ++;
						}
						$bk_prev = $buchungskonto_row [$bk_id] ["dtKontoID"];
						
						// +++++++++++ Summenzeile
						$gesamt_preis = $gesamt_preis + $lohn;
						$bk_gesamt_preis = $bk_gesamt_preis + $lohn;
						
						// +++++++++++ Felder formatieren
						$liste_output [$listenzeile_counter] ["dtKontoID"] = $buchungskonto_row [$bk_id] ["dtKontoID"];
						$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = $buchungskonto_row [$bk_id] ["dtKontoBezeichnung"];
						$liste_output [$listenzeile_counter] ["dtDatum"] = date_from_sql ( $datum_von );
						$liste_output [$listenzeile_counter] ["dtMitarbeiter"] = $mitarbeiter_row [$ma_id] ["dtKontaktDDText2"];
						$liste_output [$listenzeile_counter] ["dtBetrag"] = preis_from_sql ( $lohn, null, 2 );
						
						// +++++++++++ Buttons hinzufgen
						$liste_output [$listenzeile_counter] ["ButtonAnzeigen"] = detailbutton ( $ma_id, "mitarbeiter", $benutzerrechte );
						$listenzeile_counter ++;
					}
				}
				
				// springe zum nchsten Monat
				$datum_von_array = split_date ( date ( "Y-m-d", mktime ( 0, 0, 0, $datum_monat_von + 1, $datum_tag_von, $datum_jahr_von ) ) );
				$datum_tag_von = $datum_von_array ["tag"];
				$datum_monat_von = $datum_von_array ["monat"];
				$datum_jahr_von = $datum_von_array ["jahr"];
				$datum_von = concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von );
			}
		}
		
		if ($listenzeile_counter != 0) {
			
			// Summe zum letzten Buchungskonto
			$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $bk_prev . "</b>";
			$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
			$liste_output [$listenzeile_counter] ["dtDatum"] = "<b>----------</b>";
			$liste_output [$listenzeile_counter] ["dtMitarbeiter"] = "<b>Gesamt:</b>";
			$liste_output [$listenzeile_counter] ["dtBetrag"] = "<b>" . preis_from_sql ( $bk_gesamt_preis, null, 2 ) . "</b>";
		}
		
		$summenzeile_array = array (
				"",
				"",
				"",
				"Gesamt:",
				preis_from_sql ( $gesamt_preis, null, 2 ),
				"" 
		);
		
		$show_fields = array (
				"dtKontoID",
				"dtKontoBezeichnung",
				"dtDatum",
				"dtMitarbeiter",
				"dtBetrag",
				"ButtonAnzeigen" 
		);
		$field_headlines = array (
				"Kto ID",
				"Buchungskonto",
				"Datum",
				"Mitarbeiter",
				"Betrag",
				"" 
		);
		$field_width = array (
				50,
				200,
				100,
				200,
				100,
				50 
		);
		$field_colors = array (
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"",
				"" 
		);
		$field_sort_options = array (
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort",
				"nosort" 
		);
		
		// ++++ gebe Tabelle aus
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
		echo "<tr><td valign=\"top\" colspan=10>";
		listenkopf ( $listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung [$listenname], $target, $typ );
		liste_output ( $liste_output, $show_fields, $field_width, $field_colors, $listenhoehe, $target, $typ );
		listenkopf ( $listenname, $summenzeile_array, $summenzeile_array, $field_width, $field_sort_options, $sortierung [$listenname], "", "" );
		echo "</td></tr>";
		echo "</table>";
	}
}

echo "</div>";
echo "</td></tr>";
echo "<tr><td colspan=10 class=\"formularrahmen_unten\"></td></tr>";

echo "</table>";

?>

