<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["kontaktliste"];
$anzahl_gesamt = get_table_count ( $query );

// nur die Kontakte dieses Contents anzeigen
if ($field ["fiKontakt"] != ";") {
	$contentkontakte_array = explode ( ";", $field ["fiKontakt"] );
	$query .= " and ( 0=1 ";
	foreach ( ( array ) $contentkontakte_array as $key => $kontaktid ) {
		if ($kontaktid != "") {
			$query .= " or $tblkontakte.id = " . $kontaktid . " ";
		}
	}
	$query .= " ) ";
} else {
	$query .= " and 2=4 ";
}

// Volltextsuche
$query .= create_fulltext_index_search ( $tblkontakte, $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ entferne Leerzeilen aus Namensfeld
		$listenzeile ["dtName_Anzeige"] = format_name_html ( $listenzeile ["dtName_Anzeige"] );
		
		// +++++++++++ entferne alle nicht-Ziffern aus Telefonnummer f. Suche
		$listenzeile ["dtTelefonSuche"] = format_string_allowed_chars ( $listenzeile ["dtTelefon"], array (
				"0",
				"1",
				"2",
				"3",
				"4",
				"5",
				"6",
				"7",
				"8",
				"9" 
		) );
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Kontakte_id"], "kontakte", $benutzerrechte );
		if ($readonly == "") {
			$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschensubbutton ( $target, $typ, $id, $subtarget, $liste [$listenzeile_id] ["Kontakte_id"], $benutzerrechte, "", "lschen", "Diese Zuordnung entfernen" );
		}
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>