<?php
echo "<!--formularid" . $ajaxid . "-->";

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["artikelstueckliste"];
$query .= " and $tblartikelstueck.id = " . $ajaxid;
$anzahl_gesamt = get_table_count ( $query );

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		// +++++++++++ Cache
		$cache = CacheListe_getFromCache ( $subtarget, $subtyp, $liste [$listenzeile_id] ["Artikel_id"], $tblartikelstueck, $listenzeile );
		if ($cache !== false) {
			$liste_output [$listenzeile_id] = $cache;
			continue;
		}
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$subtarget] ["textfilter"] );
		
		/*
		 * Variantenbox aufbauen
		 */
		if (! empty ( $liste_output [$listenzeile_id] ["dtVariante"] )) {
			unset ( $artikelvarianten_array );
			$varianten_output = "";
			
			$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = " . $listenzeile ["Artikel_id"];
			if (get_table_count ( $query ) > 0) {
				
				// aktuelle Varianteninfo
				$akt_varianten = unserialize ( $listenzeile ["dtVariante"] );
				
				// hole Artikelvariantendaten
				$artikelvarianten_liste = get_table_array ( $query );
				
				// baue Variantenarray auf
				foreach ( ( array ) $artikelvarianten_liste as $key => $value ) {
					$artikelvarianten_array [$value ["fiArtikelVariantenGruppe"]] [$value ["Variante_id"]] = $value;
				}
				
				$boxname = "variante_" . $listenzeile_id;
				
				$varianten_output .= "<div style=\"position: absolute; z-index:5000;\">";
				$varianten_output .= "<div style=\"position: relative;  top: 20px; left: 0px; display:none; \" id='" . $boxname . "' class=\"" . $historyboxclass . "\">";
				$varianten_output .= "<table border=0 cellspacing=5 cellpadding=0 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
				$varianten_output .= "<tr>";
				
				foreach ( ( array ) $artikelvarianten_array as $vgruppe => $artikelvarianten_gruppe ) {
					
					unset ( $array );
					foreach ( ( array ) $artikelvarianten_gruppe as $variantenid => $vrow ) {
						
						if ($vrow ["dtGruppenMehrfachauswahl"] != 1 && $vrow ["dtGruppenZwangsauswahl"] != 1) {
							$array [- 1] = "-------------------";
						}
						
						if ($vrow ["dtArtikelVariantenPreisEinheit"] == 0) {
							$preisdiff1 = double_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK1"], 2 ) . " %";
							$preisdiff2 = double_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK2"], 2 ) . " %";
							$preisdiff3 = double_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK3"], 2 ) . " %";
							$preisdiff4 = double_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK4"], 2 ) . " %";
							$preisdiff5 = double_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK5"], 2 ) . " %";
						} else if ($vrow ["dtArtikelVariantenPreisEinheit"] == 1) {
							$preisdiff1 = preis_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK1"] );
							$preisdiff2 = preis_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK2"] );
							$preisdiff3 = preis_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK3"] );
							$preisdiff4 = preis_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK4"] );
							$preisdiff5 = preis_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK5"] );
						}
						
						if (substr ( $preisdiff1, 0, 1 ) != "-")
							$preisdiff1 = "+" . $preisdiff1;
						if (substr ( $preisdiff2, 0, 1 ) != "-")
							$preisdiff2 = "+" . $preisdiff2;
						if (substr ( $preisdiff3, 0, 1 ) != "-")
							$preisdiff3 = "+" . $preisdiff3;
						if (substr ( $preisdiff4, 0, 1 ) != "-")
							$preisdiff4 = "+" . $preisdiff4;
						if (substr ( $preisdiff5, 0, 1 ) != "-")
							$preisdiff5 = "+" . $preisdiff5;
						
						$array [$variantenid] = $vrow ["dtArtikelVariantenNr"] . " | " . $vrow ["dtArtikelVariantenName"];
						$array [$variantenid] .= " | VK1: " . $preisdiff1;
						$array [$variantenid] .= " | VK2: " . $preisdiff2;
						$array [$variantenid] .= " | VK3: " . $preisdiff3;
						$array [$variantenid] .= " | VK4: " . $preisdiff4;
						$array [$variantenid] .= " | VK5: " . $preisdiff5;
					}
					
					$aVariantenOptionen = array ();
					if ($vrow ["dtGruppenMehrfachauswahl"] == 1) {
						$aVariantenOptionen [] = "Mehrfachauswahl";
					}
					
					if ($vrow ["dtGruppenZwangsauswahl"] == 1) {
						$aVariantenOptionen [] = "Zwangsauswahl";
					}
					
					if (count ( $aVariantenOptionen ) > 0) {
						$sVName = $vrow ["dtGruppenName"] . "<br>(" . join ( " |<br>", $aVariantenOptionen ) . ")";
					} else {
						$sVName = $vrow ["dtGruppenName"];
					}
					
					if ($vrow ["dtGruppenMehrfachauswahl"] != 1) {
						$varianten_output .= formular_dropdownbox_array ( $sVName, $array, "variante_" . $vrow ["fiArtikelVariantenGruppe"], $akt_varianten ["variante_" . $vrow ["fiArtikelVariantenGruppe"]], "input_select_250", "" );
					} else {
						$akt_varianten_array = explode ( ";", $akt_varianten ["variante_" . $vrow ["fiArtikelVariantenGruppe"]] );
						$varianten_output .= formular_dropdownbox_array ( $sVName, $array, "variante_" . $vrow ["fiArtikelVariantenGruppe"] . "[]", $akt_varianten_array, "input_select_250", "multiple size=5" );
					}
					$varianten_output .= "</tr><tr>";
				}
				
				$varianten_output .= "<td colspan=10><hr></td></tr><tr>";
				
				$variante_artikelnummer = $liste_output [$listenzeile_id] ["dtEigeneArtikelNr"] . $liste_output [$listenzeile_id] ["dtVarianteArtNr"];
				$varianten_output .= formular_text ( "Artikelnummer", "VariantenArtikelnummer", $variante_artikelnummer, "input_text_250", "readonly" );
				$varianten_output .= "</tr><tr>";
				$varianten_output .= formular_textarea ( "Beschreibung", "VariantenBeschreibung", $liste_output [$listenzeile_id] ["dtVarianteArtName"], "input_textarea_250x50", "wrap=virtual readonly" );
				$varianten_output .= "</tr></table></div></div>";
				
				$varianten_output .= input_hidden ( "dtVariante", $liste_output [$listenzeile_id] ["dtVariante"] );
			}
		}
		
		/*
		 * in Artikel
		 */
		if ($listenzeile ["fiArtikelStueckVerbrauch"] > 0) {
			$inArtikelRow = get_table_row ( $sql_query ["artikelliste"] . " and $tblartikel.id = " . $listenzeile ["fiArtikelStueckVerbrauch"] );
			$liste_output [$listenzeile_id] ["dtArtikelStueckVerbrauch"] = shortcutlink ( $inArtikelRow ["dtEigeneArtikelNr"], "lagerartikel", "show", $liste_output [$listenzeile_id] ["fiArtikelStueckVerbrauch"], $benutzerrechte, "", "", "", $inArtikelRow ["dtArtikelDDText"] );
		}
		
		// +++++++++++ Eingabefelder erzeugen
		$liste_output [$listenzeile_id] ["id"] = "<!--" . $liste [$listenzeile_id] ["ArtikelStueck_id"] . "//-->";
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "target", $target );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "typ", $typ );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "id", $liste [$listenzeile_id] ["Artikel_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "ajaxid", $liste [$listenzeile_id] ["ArtikelStueck_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtarget", $subtarget );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtyp", "send" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subid", $liste [$listenzeile_id] ["ArtikelStueck_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "referer", $typ );
		
		$liste_output [$listenzeile_id] ["dtCharge"] = input_text ( "Charge", "dtCharge", $liste [$listenzeile_id] ["dtCharge"], "input_text_50" );
		$liste_output [$listenzeile_id] ["dtSeriennummer"] = input_text ( "Seriennummer", "dtSeriennummer", $liste [$listenzeile_id] ["dtSeriennummer"], "input_text_100" );
		$liste_output [$listenzeile_id] ["dtProjektNr"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtProjektNr"] ), "projekte", "show", $liste_output [$listenzeile_id] ["Projekt_id"], $benutzerrechte, "projektartikel", "list" );
		$liste_output [$listenzeile_id] ["dtKontaktDDText"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtKontaktDDText"] ), "lieferanten", "show", $liste_output [$listenzeile_id] ["Kontakte_id"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["dtRechnungNrIntern"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtRechnungNrIntern"] ), "rechnungen", "show", $liste_output [$listenzeile_id] ["Rechnung_id"], $benutzerrechte );
		
		if (! empty ( $liste_output [$listenzeile_id] ["dtVariante"] )) {
			$liste_output [$listenzeile_id] ["dtVariante"] = klickbutton ( "anzeigen", "title='" . str_replace ( "\n", ", ", $liste_output [$listenzeile_id] ["dtVarianteArtName"] ) . "' onclick='$(\"#" . $boxname . "\").toggle();'" );
			$liste_output [$listenzeile_id] ["dtVariante"] .= $varianten_output;
		}
		
		if ($liste_output [$listenzeile_id] ["fiBeleg"] != 0) {
			$liste_output [$listenzeile_id] ["dtBelegNr"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtBelegNr"] . " / P" ), "belege", "show", $liste_output [$listenzeile_id] ["Beleg_id"], $benutzerrechte, "belegmaterialposten", "show" );
		} elseif ($liste_output [$listenzeile_id] ["fiBelegVerbrauch"] != 0) {
			$belegquery = $sql_query ["belegliste"] . " and $tblbelege.id = " . $liste_output [$listenzeile_id] ["fiBelegVerbrauch"];
			$belegrow = get_table_row ( $belegquery );
			$liste_output [$listenzeile_id] ["dtBelegNr"] = shortcutlink ( format_name_html ( $belegrow ["dtBelegNr"] . " / V" ), "belege", "show", $belegrow ["Beleg_id"], $benutzerrechte, "belegmaterialverbrauch", "show" );
		}
		
		$liste_output [$listenzeile_id] ["fiLagerOrt"] = input_dropdownbox_ajax ( "Lager-Ort", "%%%lagerorteliste%%%", "LagerOrt_id", "fiLagerOrt__" . $listenzeile_id . "__", $liste_output [$listenzeile_id] ["fiLagerOrt"], "dtLagerOrtDDText", "input_select_100" );
		
		$liste_output [$listenzeile_id] ["dtPreisEK"] = preis_from_sql ( $liste_output [$listenzeile_id] ["dtPreisEK"] );
		$liste_output [$listenzeile_id] ["dtMwstSatzEK"] = double_from_sql ( $liste_output [$listenzeile_id] ["dtMwstSatzEK"], 0 ) . " %";
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAendern"] = uebernehmenbutton_kurz ( $liste [$listenzeile_id] ["Artikel_id"], $target, $benutzerrechte, "", "nderungen speichern", "onClick='formular_senden(this.form); return false;'" );
		$liste_output [$listenzeile_id] ["ButtonZuruecksetzen"] = zuruecksetzenbutton_kurz ( $liste [$listenzeile_id] ["Artikel_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["Aenderungsanzeiger"] = aenderungsanzeiger ();
		
		// +++++++++++ Cache
		CacheListe_writeIntoCache ( $subtarget, $subtyp, $liste [$listenzeile_id] ["Artikel_id"], $tblartikelstueck, $listenzeile, $liste_output [$listenzeile_id] );
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>