<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["artikelstuecklistenliste"] . " and $tblartikelstuecklisten.fiArtikel = " . $id;
$anzahl_gesamt = get_table_count ( $query );

// Warengruppenfilter
if ($filter [$listenname] ["warengruppe"] != "") {
	$query .= " and $tblartikel.fiWarengruppe = " . $filter [$listenname] ["warengruppe"];
}

// Variantenfilter
if (isset ( $aAusgewaehlteVariante ) && ! empty ( $aAusgewaehlteVariante )) {
	ksort ( $aAusgewaehlteVariante );
	foreach ( ( array ) $aAusgewaehlteVariante as $key => $value ) {
		if ($value == - 1)
			unset ( $aAusgewaehlteVariante [$key] );
	}
	$query .= " and $tblartikelstuecklisten.dtArtikelVariante LIKE '" . serialize ( $aAusgewaehlteVariante ) . "'";
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblartikel,
		$tblwarengruppen 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) > 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		/*
		 * Variantenbox aufbauen
		 */
		if (! empty ( $liste_output [$listenzeile_id] ["dtArtikelStuecklisteVariante"] )) {
			unset ( $artikelvarianten_array );
			$varianten_output = "";
			
			$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = " . $listenzeile ["fiArtikelStueckliste"];
			if (get_table_count ( $query ) > 0) {
				
				// aktuelle Varianteninfo
				$akt_varianten = unserialize ( $listenzeile ["dtArtikelStuecklisteVariante"] );
				
				// hole Artikelvariantendaten
				$artikelvarianten_liste = get_table_array ( $query );
				
				// baue Variantenarray auf
				foreach ( ( array ) $artikelvarianten_liste as $key => $value ) {
					$artikelvarianten_array [$value ["fiArtikelVariantenGruppe"]] [$value ["Variante_id"]] = $value;
				}
				
				$boxname = "variante_" . $listenzeile_id;
				
				$varianten_output .= "<div style=\"position: absolute; z-index:5000;\">";
				$varianten_output .= "<div style=\"position: relative;  top: 20px; left: 0px; display:none; \" id='" . $boxname . "' class=\"" . $historyboxclass . "\">";
				$varianten_output .= "<table border=0 cellspacing=5 cellpadding=0 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
				$varianten_output .= "<tr>";
				
				foreach ( ( array ) $artikelvarianten_array as $vgruppe => $artikelvarianten_gruppe ) {
					
					unset ( $array );
					foreach ( ( array ) $artikelvarianten_gruppe as $variantenid => $vrow ) {
						
						if ($vrow ["dtGruppenMehrfachauswahl"] != 1 && $vrow ["dtGruppenZwangsauswahl"] != 1) {
							$array [- 1] = "-------------------";
						}
						
						if ($vrow ["dtArtikelVariantenPreisEinheit"] == 0) {
							$preisdiff1 = double_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK1"], 2 ) . " %";
							$preisdiff2 = double_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK2"], 2 ) . " %";
							$preisdiff3 = double_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK3"], 2 ) . " %";
							$preisdiff4 = double_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK4"], 2 ) . " %";
							$preisdiff5 = double_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK5"], 2 ) . " %";
						} else if ($vrow ["dtArtikelVariantenPreisEinheit"] == 1) {
							$preisdiff1 = preis_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK1"] );
							$preisdiff2 = preis_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK2"] );
							$preisdiff3 = preis_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK3"] );
							$preisdiff4 = preis_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK4"] );
							$preisdiff5 = preis_from_sql ( $vrow ["dtArtikelVariantenPreisdiffVK5"] );
						}
						
						if (substr ( $preisdiff1, 0, 1 ) != "-")
							$preisdiff1 = "+" . $preisdiff1;
						if (substr ( $preisdiff2, 0, 1 ) != "-")
							$preisdiff2 = "+" . $preisdiff2;
						if (substr ( $preisdiff3, 0, 1 ) != "-")
							$preisdiff3 = "+" . $preisdiff3;
						if (substr ( $preisdiff4, 0, 1 ) != "-")
							$preisdiff4 = "+" . $preisdiff4;
						if (substr ( $preisdiff5, 0, 1 ) != "-")
							$preisdiff5 = "+" . $preisdiff5;
						
						$array [$variantenid] = $vrow ["dtArtikelVariantenNr"] . " | " . $vrow ["dtArtikelVariantenName"];
						$array [$variantenid] .= " | VK1: " . $preisdiff1;
						$array [$variantenid] .= " | VK2: " . $preisdiff2;
						$array [$variantenid] .= " | VK3: " . $preisdiff3;
						$array [$variantenid] .= " | VK4: " . $preisdiff4;
						$array [$variantenid] .= " | VK5: " . $preisdiff5;
					}
					
					$aVariantenOptionen = array ();
					if ($vrow ["dtGruppenMehrfachauswahl"] == 1) {
						$aVariantenOptionen [] = "Mehrfachauswahl";
					}
					
					if ($vrow ["dtGruppenZwangsauswahl"] == 1) {
						$aVariantenOptionen [] = "Zwangsauswahl";
					}
					
					if (count ( $aVariantenOptionen ) > 0) {
						$sVName = $vrow ["dtGruppenName"] . "<br>(" . join ( " |<br>", $aVariantenOptionen ) . ")";
					} else {
						$sVName = $vrow ["dtGruppenName"];
					}
					
					if ($vrow ["dtGruppenMehrfachauswahl"] != 1) {
						$varianten_output .= formular_dropdownbox_array ( $sVName, $array, "variante_" . $vrow ["fiArtikelVariantenGruppe"], $akt_varianten ["variante_" . $vrow ["fiArtikelVariantenGruppe"]], "input_select_250", "" );
					} else {
						$akt_varianten_array = explode ( ";", $akt_varianten ["variante_" . $vrow ["fiArtikelVariantenGruppe"]] );
						$varianten_output .= formular_dropdownbox_array ( $sVName, $array, "variante_" . $vrow ["fiArtikelVariantenGruppe"] . "[]", $akt_varianten_array, "input_select_250", "multiple size=5" );
					}
					$varianten_output .= "</tr><tr>";
				}
				
				$varianten_output .= "</table></div></div>";
				
				$varianten_output .= input_hidden ( "dtArtikelStuecklisteVariante", $liste_output [$listenzeile_id] ["dtArtikelStuecklisteVariante"] );
				$varianten_output .= input_hidden ( "ArtikelStueckliste_id", $listenzeile ["ArtikelStueckliste_id"] );
			}
		}
		
		// +++++++++++ Eingabefelder erzeugen
		$liste_output [$listenzeile_id] ["id"] = input_hidden ( "target", $target );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "typ", $typ );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "id", $id );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtarget", $subtarget );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtyp", "send" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subid", $liste [$listenzeile_id] ["ArtikelStueckliste_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "referer", $typ );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "produktionsartikel", $liste [$listenzeile_id] ["dtArtikelIstProduktionsartikel"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "fiArtikelStueckliste", $listenzeile ["fiArtikelStueckliste"] );
		
		$liste_output [$listenzeile_id] ["dtWarengruppe"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtWarengruppe"] ), "warengruppen", "show", "1", $benutzerrechte );
		
		$liste_output [$listenzeile_id] ["dtEigeneArtikelNr"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtEigeneArtikelNr"] ), "lagerartikel", "show", $liste_output [$listenzeile_id] ["fiArtikelStueckliste"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["dtArtikel"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtArtikel"] ), "lagerartikel", "show", $liste_output [$listenzeile_id] ["fiArtikelStueckliste"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["dtFabrikat"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtFabrikat"] ), "lagerartikel", "show", $liste_output [$listenzeile_id] ["fiArtikelStueckliste"], $benutzerrechte );
		
		$aArtikel ["fiArtikel"] = $liste_output [$listenzeile_id] ["fiArtikelStueckliste"];
		$aArtikel ["dtVariante"] = $liste_output [$listenzeile_id] ["dtArtikelStuecklisteVariante"];
		
		if ($bEKAufschlagBeiStuecklistenartikelnBeruecksichtigen == 0)
			$iAufschlagBerechnenEK = 1;
		else
			$iAufschlagBerechnenEK = 0;
		
		$aBerechungEK = getBerechnungFuerEK ( $aArtikel, $iAufschlagBerechnenEK );
		
		$liste_output [$listenzeile_id] ["dtGesamtEK"] = input_text ( "((EK + Variante)+(EK / 100 * EK Aufschlag)) * Anzahl ", "dtGesamtEK", preis_from_sql ( ($aBerechungEK ["dtPreisNettoEK"] * $liste [$listenzeile_id] ["dtAnzahlStueckliste"]), 5 ), "input_text_50", "", "text-align: right;" );
		
		if (! empty ( $liste_output [$listenzeile_id] ["dtArtikelStuecklisteVariante"] )) {
			$liste_output [$listenzeile_id] ["dtArtikelStuecklisteVariante"] = klickbutton ( "anzeigen", "title='" . str_replace ( "\n", ", ", $liste_output [$listenzeile_id] ["dtVarianteArtName"] ) . "' onclick='$(\"#" . $boxname . "\").toggle();'" );
			$liste_output [$listenzeile_id] ["dtArtikelStuecklisteVariante"] .= $varianten_output;
		}
		
		$liste_output [$listenzeile_id] ["dtAnzahlStueckliste"] = input_text ( "Anzahl", "dtAnzahlStueckliste", double_from_sql ( $liste [$listenzeile_id] ["dtAnzahlStueckliste"], 5 ), "input_text_50", "", "text-align: right;" );
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAendern"] = uebernehmenbutton_kurz ( $liste [$listenzeile_id] ["ArtikelStueckliste_id"], $subtarget, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonZuruecksetzen"] = zuruecksetzenbutton_kurz ( $liste [$listenzeile_id] ["ArtikelStueckliste_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschensubbutton_kurz ( $target, $typ, $id, $subtarget, $liste [$listenzeile_id] ["ArtikelStueckliste_id"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["Aenderungsanzeiger"] = aenderungsanzeiger ();
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>