<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenkopfzeile
listenkopf ( $listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung [$listenname], $target, $typ );

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["mailverteilerliste"];
$anzahl_gesamt = get_table_count ( $query );

// Verteilergruppenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["mailverteilergruppe"], "$tblmailverteiler.fiVerteilergruppe" );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter ( $listenzeile, $field_textfilter_active, $filter [$target] ["textfilter"] );
		
		// +++++++++++ Eingabefelder erzeugen
		$liste_output [$listenzeile_id] ["id"] = "<!--" . $liste [$listenzeile_id] ["Mailverteiler_id"] . "//-->";
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "target", $target );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "typ", "send" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "id", $liste [$listenzeile_id] ["Mailverteiler_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "ajaxid", $liste [$listenzeile_id] ["Mailverteiler_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtarget", $subtarget );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtyp", $subtyp );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subid", $subid );
		
		$query = $sql_query ["mailverteilergruppenliste"] . " order by dtGruppenname";
		$liste_output [$listenzeile_id] ["dtGruppenname"] = input_dropdownbox ( "Gruppenname", $query, "MailverteilerGruppe_id", "fiVerteilergruppe", $liste [$listenzeile_id] ["fiVerteilergruppe"], "dtGruppenname", "input_select_150" );
		
		$liste_output [$listenzeile_id] ["dtAdressePost"] = input_text ( "Adresse Post", "dtAdressePost", $liste [$listenzeile_id] ["dtAdressePost"], "input_text_200" );
		$liste_output [$listenzeile_id] ["dtAdresseMail"] = input_text ( "Adresse eMail", "dtAdresseMail", $liste [$listenzeile_id] ["dtAdresseMail"], "input_text_150" );
		$liste_output [$listenzeile_id] ["dtAdresseMail"] .= mail_schreiben ( $liste [$listenzeile_id] ["dtAdresseMail"] );
		
		$liste_output [$listenzeile_id] ["dtTelefon"] = input_text ( "Telefonnummer", "dtTelefon", $liste [$listenzeile_id] ["dtTelefon"], "input_text_100" );
		$liste_output [$listenzeile_id] ["dtMobil"] = input_text ( "Mobilnummer", "dtMobil", $liste [$listenzeile_id] ["dtMobil"], "input_text_100" );
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAendern"] = uebernehmenbutton_kurz ( $liste [$listenzeile_id] ["Mailverteiler_id"], $target, $benutzerrechte, "", "nderungen speichern", "onClick='formular_senden(this.form); return false;'" );
		$liste_output [$listenzeile_id] ["ButtonZuruecksetzen"] = zuruecksetzenbutton_kurz ( $liste [$listenzeile_id] ["Mailverteiler_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonLoeschen"] = klickbutton ( "loeschen_kurz", "onClick='formular_loeschen(this.form)'", "width: 15px;", "Diesen Eintrag lschen" );
		$liste_output [$listenzeile_id] ["Aenderungsanzeiger"] = aenderungsanzeiger ();
		
		if ($liste [$listenzeile_id] ["fiKontakt"] != "") {
			$liste_output [$listenzeile_id] ["dtAdressePost"] .= shortcutbutton ( "kontakte", "show", $liste [$listenzeile_id] ["fiKontakt"], $benutzerrechte );
		}
		
		if ($liste [$listenzeile_id] ["fiKontaktASP"] != "") {
			$asp_query = $sql_query ["kontaktaspliste"] . " and $tblkontaktasp.id = " . $liste [$listenzeile_id] ["fiKontaktASP"];
			$asp_row = get_table_row ( $asp_query );
			$liste_output [$listenzeile_id] ["dtAdressePost"] .= shortcutbutton ( "kontakte", "show", $asp_row ["fiKontaktID"], $benutzerrechte, "ansprechpartner", "show" );
		}
	}
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Liste ausgeben
$anzahl = liste_output ( $liste_output, $show_fields, $field_width, $field_colors, $listenhoehe, $target, $typ );

// +++++++++++ Eingabefelder fr Neu-Zeile erzeugen
unset ( $liste_output );

$liste_output [0] ["dtGruppenname"] = "neuer Eintrag:";

$liste_output [1] ["id"] = input_hidden ( "target", $target );
$liste_output [1] ["id"] .= input_hidden ( "typ", "send" );
$liste_output [1] ["id"] .= input_hidden ( "id", "" );
$liste_output [1] ["id"] .= input_hidden ( "subtarget", $subtarget );
$liste_output [1] ["id"] .= input_hidden ( "subtyp", $subtyp );
$liste_output [1] ["id"] .= input_hidden ( "subid", $subid );

$query = $sql_query ["mailverteilergruppenliste"] . " order by dtIstStandard desc, dtGruppenname";
$liste_output [1] ["dtGruppenname"] = input_dropdownbox ( "Gruppenname", $query, "MailverteilerGruppe_id", "fiVerteilergruppe", "", "dtGruppenname", "input_select_150" );
$liste_output [1] ["dtAdressePost"] = input_text ( "Adresse", "dtAdressePost", "", "input_text_250" );
$liste_output [1] ["dtAdresseMail"] = input_text ( "eMail", "dtAdresseMail", "", "input_text_150" );

$liste_output [1] ["dtTelefon"] = input_text ( "Telefonnummer", "dtTelefon", "", "input_text_100" );
$liste_output [1] ["dtMobil"] = input_text ( "Mobilnummer", "dtMobil", "", "input_text_100" );

// +++++++++++ Buttons hinzufgen
$liste_output [1] ["ButtonAendern"] = uebernehmenbutton_kurz ( "neuer Eintrag", $subtarget, $benutzerrechte );
$liste_output [1] ["ButtonZuruecksetzen"] = zuruecksetzenbutton_kurz ( "neuer Eintrag", $subtarget, $benutzerrechte );
$liste_output [1] ["Aenderungsanzeiger"] = aenderungsanzeiger ();

// ++++++++++++++++++++++++++++++++
// +++++++++++ Neu-Zeile ausgeben
liste_output ( $liste_output, $show_fields, $field_width, $field_colors, 40, $target, $typ );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenfusszeile
listenfuss ( $listenname, $field_width, $sortierung [$listenname], $anzahl, $anzahl_ausgabe, $anzahl_gesamt, $target, $typ );

?>