<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenkopfzeile
listenkopf ( $listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung [$listenname], $subtarget, $subtyp );

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["mailverteilergruppenliste"];
$anzahl_gesamt = get_table_count ( $query );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		// $liste_output[$listenzeile_id] = liste_output_textfilter($listenzeile, $field_textfilter_active, $filter[$target]["textfilter"]);
		
		// +++++++++++ Eingabefelder erzeugen
		$liste_output [$listenzeile_id] ["id"] = "<!--" . $liste [$listenzeile_id] ["MailverteilerGruppe_id"] . "//-->";
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "target", $target );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "typ", $typ );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "id", $id );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtarget", $subtarget );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtyp", "send" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subid", $liste [$listenzeile_id] ["MailverteilerGruppe_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "ajaxid", $liste [$listenzeile_id] ["MailverteilerGruppe_id"] );
		
		$liste_output [$listenzeile_id] ["dtGruppenname"] = input_text ( "Gruppenname", "dtGruppenname", $liste [$listenzeile_id] ["dtGruppenname"], "input_text_150" );
		$liste_output [$listenzeile_id] ["dtBemerkung"] = input_text ( "Bemerkung", "dtBemerkung", $liste [$listenzeile_id] ["dtBemerkung"], "input_text_250" );
		if ($liste [$listenzeile_id] ["dtIstStandard"] != 1) {
			$liste_output [$listenzeile_id] ["dtIstStandard"] = input_checkbox ( "als Standard-Gruppe setzen", "dtIstStandard", $liste [$listenzeile_id] ["dtIstStandard"], "input_checkbox", "" );
		} else {
			$liste_output [$listenzeile_id] ["dtIstStandard"] = "Standard" . input_hidden ( "dtIstStandard", $liste [$listenzeile_id] ["dtIstStandard"] );
		}
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAendern"] = uebernehmenbutton_kurz ( $liste [$listenzeile_id] ["MailverteilerGruppe_id"], $target, $benutzerrechte, "", "nderungen speichern", "onClick='formular_senden(this.form); return false;'" );
		$liste_output [$listenzeile_id] ["ButtonZuruecksetzen"] = zuruecksetzenbutton_kurz ( $liste [$listenzeile_id] ["MailverteilerGruppe_id"], $subtarget, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonLoeschen"] = klickbutton ( "loeschen_kurz", "onClick='formular_loeschen(this.form)'", "width: 15px;", "Diesen Eintrag lschen" );
		$liste_output [$listenzeile_id] ["Aenderungsanzeiger"] = aenderungsanzeiger ();
	}
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Liste ausgeben
$anzahl = liste_output ( $liste_output, $show_fields, $field_width, $field_colors, $listenhoehe, $subtarget, $subtyp );

// +++++++++++ Eingabefelder fr Neu-Zeile erzeugen
unset ( $liste_output );

$liste_output [0] ["dtGruppenname"] = "neue Gruppe:";

$liste_output [1] ["id"] = input_hidden ( "target", $target );
$liste_output [1] ["id"] .= input_hidden ( "typ", $typ );
$liste_output [1] ["id"] .= input_hidden ( "id", $id );
$liste_output [1] ["id"] .= input_hidden ( "subtarget", $subtarget );
$liste_output [1] ["id"] .= input_hidden ( "subtyp", "send" );
$liste_output [1] ["id"] .= input_hidden ( "subid", "" );

$liste_output [1] ["dtGruppenname"] = input_text ( "Gruppenname", "dtGruppenname", "", "input_text_150" );
$liste_output [1] ["dtBemerkung"] = input_text ( "Bemerkung", "dtBemerkung", "", "input_text_250" );
$liste_output [1] ["dtIstStandard"] = input_checkbox ( "als Standard-Gruppe setzen", "dtIstStandard", "", "input_checkbox" );

// +++++++++++ Buttons hinzufgen
$liste_output [1] ["ButtonAendern"] = uebernehmenbutton_kurz ( "neue Gruppe", $subtarget, $benutzerrechte );
$liste_output [1] ["ButtonZuruecksetzen"] = zuruecksetzenbutton_kurz ( "neue Gruppe", $subtarget, $benutzerrechte );
$liste_output [1] ["Aenderungsanzeiger"] = aenderungsanzeiger ();

// ++++++++++++++++++++++++++++++++
// +++++++++++ Neu-Zeile ausgeben
liste_output ( $liste_output, $show_fields, $field_width, $field_colors, 40, $subtarget, $subtyp );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenfusszeile
listenfuss ( $listenname, $field_width, $sortierung [$listenname], $anzahl, $anzahl_ausgabe, $anzahl_gesamt, $target, $typ );

?>