<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenkopfzeile
// listenkopf ($listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung[$listenname], $target, $typ);

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = "SELECT * FROM $tblmenue WHERE 1=1 ";
$anzahl_gesamt = get_table_count ( $query );

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblmenue 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= " AND dtReferer != 'top'";
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

$filter [$target] ["textfilter"] = textfilter ( $filter [$target] ["textfilter"], $listenname, $target, $typ );

$sQuerySQL = "SELECT * FROM $tblmenue WHERE dtReferer = 'top'";
$aMenueTopResult = get_table_array ( $sQuerySQL );

foreach ( ( array ) $aMenueTopResult as $cpMenueTopResult ) {
	$aTopMenue [$cpMenueTopResult ["dtButtonname"]] = $cpMenueTopResult ["id"];
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"], 0 );
		
		// +++++++++++ Eingabefelder erzeugen
		$liste_output [$listenzeile_id] ["id"] = "<!--" . $liste [$listenzeile_id] ["id"] . "//-->";
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "target", $target );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "typ", "send" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "id", $liste [$listenzeile_id] ["id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "ajaxid", $liste [$listenzeile_id] ["id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtarget", $subtarget );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtyp", $subtyp );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subid", $subid );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "referer", $typ );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtButtonname"] = input_text ( "Name", "dtButtonname", $liste_output [$listenzeile_id] ["dtButtonname"], "input_text_200" );
		$liste_output [$listenzeile_id] ["dtSortierung"] = input_text ( "Sortierung", "dtSortierung", $liste_output [$listenzeile_id] ["dtSortierung"], "input_text_50" );
		$liste_output [$listenzeile_id] ["dtBeschreibung"] = input_text ( "Beschreibung", "dtBeschreibung", $liste_output [$listenzeile_id] ["dtBeschreibung"], "input_text_250" );
		$liste_output [$listenzeile_id] ["dtReferer"] = input_dropdownbox ( "Referer", $sQuerySQL, "id", "dtReferer", $aTopMenue [$liste_output [$listenzeile_id] ["dtReferer"]], "dtButtonname", "input_select_100" );
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAendern"] = uebernehmenbutton_kurz ( $liste [$listenzeile_id] ["id"], $target, $benutzerrechte, "", "nderungen speichern", "onClick='formular_senden(this.form);aenderung_in_liste_reset(this.form); return false;'" );
		$liste_output [$listenzeile_id] ["ButtonZuruecksetzen"] = zuruecksetzenbutton_kurz ( $liste [$listenzeile_id] ["id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["Aenderungsanzeiger"] = aenderungsanzeiger ();
	}
}

$oListe->addZeilen ( $liste_output );
?>