<?php
if (! class_exists ( "check" )) {
	class check {
		private $sInteger = "INTEGER";
		private $sString = "STRING";
		private $aSpecialCharacters = array (
				'<',
				'>',
				'?',
				'"',
				':',
				'|',
				'*',
				'/',
				'\\' 
		);
		function __construct() {
		}
		public function checkDataType($sDataKey, $sDataValue) {
			if ($sDataValue == " " || $sDataValue == "" || $sDataValue == NULL)
				return FALSE;
			
			switch ($sDataKey) {
				case "INTEGER" :
					$sDataValue = $this->checkInteger ( $sDataValue );
					break;
				
				case "STRING" :
					$sDataValue = $this->checkString ( $sDataValue );
					break;
			}
			return $sDataValue;
		}
		private function checkInteger($sDataValue) {
			$sDataValue = str_replace ( " ", "", $sDataValue );
			
			// Value is not an integer
			if (! ctype_digit ( $sDataValue ))
				return FALSE;
			
			return $sDataValue;
		}
		private function checkString($sDataValue) {
			$sDataValue = str_replace ( $this->aSpecialCharacters, "_", $sDataValue );
			$sDataValue = str_replace ( "&", " ", $sDataValue );
			
			return $sDataValue;
		}
	}
}
?>