<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_text" )) {
	function input_text($bezeichnung, $name, $value, $styletyp, $attrib = "", $style = "", $title = "") {
		if ($attrib != "") {
			$attrib_parts = explode ( " ", $attrib );
			$attrib = "";
			foreach ( $attrib_parts as $key => $attrib_part ) {
				if (substr ( $attrib_part, 0, 9 ) == "onChange=") {
					$attrib_part = substr ( $attrib_part, 0, - 1 ) . "; aenderung_in_liste(this.form)'";
					$onchange_set = 1;
				}
				$attrib .= $attrib_part . " ";
			}
		}
		if ($onchange_set != 1) {
			$attrib .= " onChange='aenderung_in_liste(this.form)'";
		}
		
		if ($title == "") {
			$title = $bezeichnung;
		}
		;
		
		$html = "<input type=\"text\" name=\"" . $name . "\" value=\"" . useHtmlEntities ( $value ) . "\" title=\"" . strip_tags ( $title ) . "\" class=\"" . $styletyp . "\" $attrib ";
		if ($style != "") {
			$html .= "style=\"" . $style . "\" ";
		}
		$html .= ">";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_getTextvorlagenSelektor" )) {
	function input_getTextvorlagenSelektor($sIdTextfeld, $bContentrelevant = false, $bBelegrelevant = false, $bWiedervorlagenrelevant = false, $bBestellungrelevant = false) {
		global $sql_query, $tbltextvorlagen;
		$sUID = uniqid ();
		
		$html .= klickbutton ( "T", "onclick=\"$('#textvorlagenDiv-" . $sUID . "').toggle();\"", "", "Textvorlage auswhlen" );
		
		$html .= "<div id='textvorlagenDiv-" . $sUID . "' class='textvorlagenDiv'><div style='position: relative; top: 10px; left: 10px;'>";
		$html .= "<select size=15 class='input_select_250'>";
		
		$aQuerySuche = array ();
		if ($bContentrelevant) {
			$aQuerySuche [] = "$tbltextvorlagen.dtTextVorlageContentrelevant = 1";
		}
		
		if ($bBelegrelevant) {
			$aQuerySuche [] = "$tbltextvorlagen.dtTextVorlageBelegpostenrelevant = 1";
		}
		
		if ($bWiedervorlagenrelevant) {
			$aQuerySuche [] = "$tbltextvorlagen.dtTextVorlageWiedervorlagenrelevant = 1";
		}
		
		if ($bBestellungrelevant) {
			$aQuerySuche [] = "$tbltextvorlagen.dtTextVorlageBestellpostenrelevant = 1";
		}
		
		if (count ( $aQuerySuche ) > 0) {
			$sQueryErweiterung = " and " . join ( " or ", $aQuerySuche );
		}
		
		$aTextvorlagen = get_table_array ( $sql_query ["textvorlagenliste"] . $sQueryErweiterung . " ORDER BY $tbltextvorlagen.dtTextVorlage" );
		if (count ( $aTextvorlagen ) > 0) {
			foreach ( $aTextvorlagen as $aTextvorlage ) {
				$html .= "<option onclick=\"$('#textvorlagenDiv-" . $sUID . "').hide(); getTextvorlageIntoForm('" . $aTextvorlage ["TextVorlagen_id"] . "', '" . $sIdTextfeld . "', $('#textvorlage_modus_" . $sUID . "').attr('checked'));\" title='" . $aTextvorlage ["dtBemerkung"] . "'>" . $aTextvorlage ["dtTextVorlage"] . "</option>";
			}
		}
		$html .= "</select><br>";
		
		$html .= "<input type=\"checkbox\" id=\"textvorlage_modus_$sUID\" checked> berschreiben";
		
		$html .= "</div></div>";
		
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_getTextvorlagenSelektor" )) {
	function formular_getTextvorlagenSelektor($sIdTextfeld, $bContentrelevant = false, $bBelegrelevant = false, $bWiedervorlagenrelevant = true) {
		$html = "<td valign=\"top\">Textvorlage:</td>";
		$html .= "<td valign=\"top\">" . input_getTextvorlagenSelektor ( $sIdTextfeld, $bContentrelevant, $bBelegrelevant, $bWiedervorlagenrelevant ) . "</td>";
		
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_passwd" )) {
	function input_passwd($bezeichnung, $name, $value, $styletyp, $attrib = "", $style = "", $title = "") {
		if ($attrib != "") {
			$attrib_parts = explode ( " ", $attrib );
			$attrib = "";
			foreach ( $attrib_parts as $key => $attrib_part ) {
				if (substr ( $attrib_part, 0, 9 ) == "onChange=") {
					$attrib_part = substr ( $attrib_part, 0, - 1 ) . "; aenderung_in_liste(this.form)'";
					$onchange_set = 1;
				}
				$attrib .= $attrib_part . " ";
			}
		}
		if ($onchange_set != 1) {
			$attrib .= " onChange='aenderung_in_liste(this.form)'";
		}
		
		if ($title == "") {
			$title = $bezeichnung;
		}
		;
		
		$html = "<input type=\"password\" name=\"" . $name . "\" value=\"" . useHtmlEntities ( $value ) . "\" title=\"" . strip_tags ( $title ) . "\" class=\"" . $styletyp . "\" $attrib ";
		if ($style != "") {
			$html .= "style=\"" . $style . "\" ";
		}
		$html .= ">";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_file" )) {
	function input_file($bezeichnung, $name, $value, $styletyp, $attrib = "", $style = "", $title = "") {
		if ($attrib != "") {
			$attrib_parts = explode ( " ", $attrib );
			$attrib = "";
			foreach ( $attrib_parts as $key => $attrib_part ) {
				if (substr ( $attrib_part, 0, 9 ) == "onChange=") {
					$attrib_part = substr ( $attrib_part, 0, - 1 ) . "; aenderung_in_liste(this.form)'";
					$onchange_set = 1;
				}
				$attrib .= $attrib_part . " ";
			}
		}
		if ($onchange_set != 1) {
			$attrib .= " onChange='aenderung_in_liste(this.form)'";
		}
		
		if ($title == "") {
			$title = $bezeichnung;
		}
		;
		
		$html = "<input type=\"file\" name=\"" . $name . "\" value=\"" . $value . "\" title=\"" . strip_tags ( $title ) . "\" class=\"" . $styletyp . "\" $attrib ";
		if ($style != "") {
			$html .= "style=\"" . $style . "\" ";
		}
		$html .= ">";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_hidden" )) {
	function input_hidden($name, $value) {
		$html = "<input type=\"hidden\" id =\"" . $name . "\" name=\"" . $name . "\" value=\"" . $value . "\">";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_textarea" )) {
	function input_textarea($bezeichnung, $name, $value, $styletyp, $attrib = "", $style = "", $title = "") {
		if ($attrib != "") {
			$attrib_parts = explode ( " ", $attrib );
			$attrib = "";
			foreach ( $attrib_parts as $key => $attrib_part ) {
				if (substr ( $attrib_part, 0, 9 ) == "onChange=") {
					$attrib_part = substr ( $attrib_part, 0, - 1 ) . "; aenderung_in_liste(this.form)'";
					$onchange_set = 1;
				}
				$attrib .= $attrib_part . " ";
			}
		}
		if ($onchange_set != 1) {
			$attrib .= " onChange='aenderung_in_liste(this.form)'";
		}
		
		if ($title == "") {
			$title = $bezeichnung;
		}
		;
		
		$html = "<textarea name=\"" . $name . "\"  class=\"" . $styletyp . "\" $attrib ";
		if ($style != "") {
			$html .= "style=\"" . $style . "\" ";
		}
		$html .= ">";
		$html .= useHtmlEntities ( $value ) . "</textarea>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_dropdownbox" )) {
	function input_dropdownbox($bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib = "", $style = "", $title = "") {
		$result = mysql_query ( platzhalter_durch_query_ersetzen ( $query ) );
		
		if ($attrib != "") {
			$attrib_parts = explode ( " ", $attrib );
			$attrib = "";
			foreach ( $attrib_parts as $key => $attrib_part ) {
				if ($attrib_part == "readonly") {
					$readonly = 1;
				}
				if (substr ( $attrib_part, 0, 9 ) == "onChange=") {
					$attrib_part = substr ( $attrib_part, 0, - 1 ) . "; aenderung_in_liste(this.form)'";
					$onchange_set = 1;
				}
				$attrib .= $attrib_part . " ";
			}
		}
		if ($onchange_set != 1) {
			$attrib .= " onChange='aenderung_in_liste(this.form)'";
		}
		
		if ($title == "") {
			$title = $bezeichnung;
		}
		;
		
		$html = "<select class=\"" . $styletyp . "\" name=\"" . $name . "\" title=\"" . strip_tags ( $title ) . "\" $attrib ";
		if ($style != "") {
			$html .= "style=\"" . $style . "\" ";
		}
		$html .= ">";
		
		while ( $field = mysql_fetch_array ( $result, MYSQL_ASSOC ) ) {
			if (strlen ( $field [$showvalue] ) > 60) {
				$field [$showvalue] = substr ( $field [$showvalue], 0, 60 ) . "...";
			}
			if ((is_array ( $value ) == false and $field [$id_field] == $value) or (is_array ( $value ) == true and in_array ( $field [$id_field], $value ))) {
				// if ($field[$id_field] == $value) {
				$html .= "<option value=\"" . $field [$id_field] . "\" selected>" . $field [$showvalue] . "</option>";
				
				$html_readonly = "<input type=\"text\" name=\"" . $name . "_readonly\" value=\"" . $field [$showvalue] . "\" title=\"" . strip_tags ( $title ) . "\" class=\"" . $styletyp . "\" $attrib ";
				if ($style != "") {
					$html_readonly .= "style=\"" . $style . "\" ";
				}
				$html_readonly .= ">";
			} else {
				$html .= "<option value=\"" . $field [$id_field] . "\">" . $field [$showvalue] . "</option>";
			}
		}
		$html .= "</select>";
		
		if ($readonly == 1) {
			$html = $html_readonly;
		}
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_dropdownbox_empty" )) {
	function input_dropdownbox_empty($bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib = "", $style = "", $title = "") {
		$result = mysql_query ( platzhalter_durch_query_ersetzen ( $query ) );
		
		if ($attrib != "") {
			$attrib_parts = explode ( " ", $attrib );
			$attrib = "";
			foreach ( $attrib_parts as $key => $attrib_part ) {
				if ($attrib_part == "readonly") {
					$readonly = 1;
				}
				if (substr ( $attrib_part, 0, 9 ) == "onChange=") {
					$attrib_part = substr ( $attrib_part, 0, - 1 ) . "; aenderung_in_liste(this.form)'";
					$onchange_set = 1;
				}
				$attrib .= $attrib_part . " ";
			}
		}
		if ($onchange_set != 1) {
			$attrib .= " onChange='aenderung_in_liste(this.form)'";
		}
		
		if ($title == "") {
			$title = $bezeichnung;
		}
		;
		
		if (strpos ( $attrib, "size=" ) === false) {
			$attrib .= " size=1";
		}
		;
		
		$html = "<select class=\"" . $styletyp . "\" name=\"" . $name . "\" title=\"" . strip_tags ( $title ) . "\" $attrib ";
		if ($style != "") {
			$html .= "style=\"" . $style . "\" ";
		}
		$html .= ">";
		
		$html .= "<option value=\"\">------------------</option>";
		
		while ( $field = mysql_fetch_array ( $result, MYSQL_ASSOC ) ) {
			if (strlen ( $field [$showvalue] ) > 60) {
				$field [$showvalue] = substr ( $field [$showvalue], 0, 60 ) . "...";
			}
			if ($value != "" and ((is_array ( $value ) == false and $field [$id_field] == $value) or (is_array ( $value ) == true and in_array ( $field [$id_field], $value )))) {
				// if ($field[$id_field] == $value) {
				$html .= "<option value=\"" . $field [$id_field] . "\" selected>" . $field [$showvalue] . "</option>";
				
				$html_readonly = "<input type=\"text\" name=\"" . $name . "_readonly\" value=\"" . $field [$showvalue] . "\" title=\"" . strip_tags ( $title ) . "\" class=\"" . $styletyp . "\" $attrib ";
				if ($style != "") {
					$html_readonly .= "style=\"" . $style . "\" ";
				}
				$html_readonly .= ">";
			} else {
				$html .= "<option value=\"" . $field [$id_field] . "\">" . $field [$showvalue] . "</option>";
			}
		}
		$html .= "</select>";
		
		if ($readonly == 1) {
			$html = $html_readonly;
		}
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_dropdownbox_array" )) {
	function input_dropdownbox_array($bezeichnung, $array, $name, $value, $styletyp, $attrib = "", $style = "", $title = "") {
		if ($attrib != "") {
			$attrib_parts = explode ( " ", $attrib );
			$attrib = "";
			foreach ( $attrib_parts as $key => $attrib_part ) {
				if (substr ( $attrib_part, 0, 9 ) == "onChange=") {
					$attrib_part = substr ( $attrib_part, 0, - 1 ) . "; aenderung_in_liste(this.form)'";
					$onchange_set = 1;
				}
				$attrib .= $attrib_part . " ";
			}
		}
		if ($onchange_set != 1) {
			$attrib .= " onChange='aenderung_in_liste(this.form)'";
		}
		
		if ($title == "") {
			$title = $bezeichnung;
		}
		;
		
		if (strpos ( $attrib, "size=" ) === false) {
			$attrib .= " size=1";
		}
		;
		
		$html = "<select class=\"" . $styletyp . "\" name=\"" . $name . "\" title=\"" . strip_tags ( $title ) . "\" $attrib ";
		if ($style != "") {
			$html .= "style=\"" . $style . "\" ";
		}
		$html .= ">";
		
		if (is_array ( $array )) {
			foreach ( $array as $key => $showvalue ) {
				if (strlen ( $showvalue ) > 60) {
					$showvalue = substr ( $showvalue, 0, 60 ) . "...";
				}
				if ($value != "" and ((is_array ( $value ) == false and $key == $value) or (is_array ( $value ) == true and in_array ( $key, $value )))) {
					$html .= "<option value=\"" . $key . "\" selected>" . $showvalue . "</option>";
				} else {
					$html .= "<option value=\"" . $key . "\">" . $showvalue . "</option>";
				}
			}
		}
		$html .= "</select>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_dropdownbox_baum_rekursion" )) {
	function input_dropdownbox_baum_rekursion($query_part1, $referer, $query_part2, $value, $showvalue, $id_field, $tiefe) {
		$result = mysql_query ( $query_part1 . $referer . $query_part2 );
		
		while ( $field = mysql_fetch_array ( $result, MYSQL_ASSOC ) ) {
			if ((is_array ( $value ) == false and $field [$id_field] == $value) or (is_array ( $value ) == true and in_array ( $field [$id_field], $value ))) {
				// if ($field[$id_field] == $value) {
				$html .= "<option value=\"" . $field [$id_field] . "\" selected>|" . str_repeat ( "__", $tiefe ) . " " . $field [$showvalue] . "</option>";
			} else {
				$html .= "<option value=\"" . $field [$id_field] . "\">|" . str_repeat ( "__", $tiefe ) . " " . $field [$showvalue] . "</option>";
			}
			
			$html .= input_dropdownbox_baum_rekursion ( $query_part1, $field ["$id_field"], $query_part2, $value, $showvalue, $id_field, $tiefe + 1 );
			
			// if ($tiefe == 0) {
			// $html .= "<option disabled> ----------------------------- </option>";
			// }
		}
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "input_dropdownbox_baum" )) {
	function input_dropdownbox_baum($bezeichnung, $query_part1, $referer, $query_part2, $id_field, $name, $value, $showvalue, $styletyp, $attrib = "", $style = "", $title = "") {
		if ($attrib != "") {
			$attrib_parts = explode ( " ", $attrib );
			$attrib = "";
			foreach ( $attrib_parts as $key => $attrib_part ) {
				if (substr ( $attrib_part, 0, 9 ) == "onChange=") {
					$attrib_part = substr ( $attrib_part, 0, - 1 ) . "; aenderung_in_liste(this.form)'";
					$onchange_set = 1;
				}
				$attrib .= $attrib_part . " ";
			}
		}
		if ($onchange_set != 1) {
			$attrib .= " onChange='aenderung_in_liste(this.form)'";
		}
		
		if ($title == "") {
			$title = $bezeichnung;
		}
		;
		
		$html = "<select class=\"" . $styletyp . "\" name=\"" . $name . "\" title=\"" . strip_tags ( $title ) . "\" $attrib ";
		if ($style != "") {
			$html .= "style=\"" . $style . "\" ";
		}
		$html .= ">";
		
		$html .= input_dropdownbox_baum_rekursion ( $query_part1, $referer, $query_part2, $value, $showvalue, $id_field, 0 );
		
		$html .= "</select>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_dropdownbox_ajax_empty" )) {
	function input_dropdownbox_ajax_empty($bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib = "", $style = "", $title = "", $dd_width = 450, $dd_height = 250, $dd_xoffset = 0) {
		return input_dropdownbox_ajax ( $bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib, $style, $title, false, "", $dd_width, $dd_height, $dd_xoffset, "dropdownboxtext", "dropdownbox", true );
	}
}

if (! function_exists ( "input_dropdownbox_ajax_array" )) {
	function input_dropdownbox_ajax_array($bezeichnung, $array, $name, $value, $styletyp, $attrib = "", $style = "", $title = "", $dd_width = 450, $dd_height = 250, $dd_xoffset = 0) {
		return input_dropdownbox_ajax ( $bezeichnung, $array, "dtId", $name, $value, "dtFeld", $styletyp, $attrib, $style, $title, false, "", $dd_width, $dd_height, $dd_xoffset, "dropdownboxtext", "dropdownbox", false, true );
	}
}

if (! function_exists ( "input_dropdownbox_ajax_array_empty" )) {
	function input_dropdownbox_ajax_array_empty($bezeichnung, $array, $name, $value, $styletyp, $attrib = "", $style = "", $title = "", $dd_width = 450, $dd_height = 250, $dd_xoffset = 0) {
		return input_dropdownbox_ajax ( $bezeichnung, $array, "dtId", $name, $value, "dtFeld", $styletyp, $attrib, $style, $title, false, "", $dd_width, $dd_height, $dd_xoffset, "dropdownboxtext", "dropdownbox", true, true );
	}
}

if (! function_exists ( "input_dropdownbox_ajax_autocomplete" )) {
	function input_dropdownbox_ajax_autocomplete($bezeichnung, $query, $id_field, $name, $value, $showvalue, $js_onopen = "", $styleclass = "input_text_200", $dd_width = 200, $add_array = false) {
		return input_dropdownbox_ajax ( $bezeichnung, $query, $id_field, $name, $value, $showvalue, $styleclass, "", "", "", false, "", $dd_width, 75, 0, "dropdownboxtext", "dropdownbox", true, false, false, false, $add_array, true, $js_onopen );
	}
}

if (! function_exists ( "input_dropdownbox_ajax" )) {
	function input_dropdownbox_ajax($bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib = "", $style = "", $title = "", $ajax = false, $textfilter = "", $dd_width = 450, $dd_height = 250, $dd_xoffset = 0, $dropdownboxtextclass = "dropdownboxtext", $dropdownboxclass = "dropdownbox", $empty = false, $arrayenabled = false, $filterbox = false, $filtertext = false, $add_array = false, $autocomplete = false, $js_zusatz = "") {
		global $filter_aktiv_color;
		global $ajax_dd_max_eintraege;
		$devlimit = false; // Limitiert die Ausgabe auf $devlimit_anz Eintraege
		$devlimit_anz = 20;
		
		// Eventuelle Platzhalter im Query ersetzen, trotzdem den unveraenderten Query ebenfalls speichern, und fuer AJAX speichern
		$query_unveraendert = $query;
		
		if (! is_array ( $query )) {
			$query = platzhalter_durch_query_ersetzen ( $query );
		}

		if ($arrayenabled && ! $filterbox) {
			foreach ( $query as $akey => $avalue ) {
				$liste [] = array (
						"dtId" => $akey,
						"dtFeld" => $avalue 
				);
			}
		} elseif ($arrayenabled && $filterbox) {
			$liste = $query;
		}

		if (! $ajax) {
			
			if ($title == "")
				$title = $bezeichnung;
			
			if ($value == "" && $filterbox && $filtertext) {
				$anzeige = $filtertext;
			}
			
			if ($filterbox && $value != "") {
				if (! is_array ( $value )) {
					// Kompatibilitaet zu alten Filtern
					$newarray = array ();
					$newarray [] = $value;
					unset ( $value );
					$value = $newarray;
					unset ( $newarray );
				}
				
				$anzahl_gew_filter = count ( $value );
				
				if ($anzahl_gew_filter > 1) {
					// X Eintraege ausgewaehlt nur bei mehreren Eintraegen zeigen
					$anzeige = "( " . $anzahl_gew_filter . " Eintr&auml;ge ausgew&auml;hlt )";
				}
			}
			
			if ($value == "" && ! $filterbox && ! $filtertext) {
				// value nicht vorgegeben
				if ($empty) {
					// dropdownbox_empty
					$anzeige = "------------------";
					$value = "";
				} else { // nicht empty, ersten Eintrag des Querys zeigen
					if (! $arrayenabled)
						$liste = get_table_array ( $query );
					
					if ($add_array !== false && is_array ( $add_array )) {
						// Add Array
						$array_neu = array_merge ( $add_array, $liste );
						$liste = $array_neu;
						unset ( $array_neu );
					}

					foreach ( ( array ) $liste as $key => $sub_row ) {
						$anzeige = $sub_row [$showvalue];
						$value = $sub_row [$id_field];
						break;
					}
				}
				
				echo $anzahl_gew_filter;
			} elseif (($filterbox && $anzahl_gew_filter == 1) || (! $filterbox && $value != "")) {
				// Standardwert bestimmen, value vorgegeben, wenn Anz. Filter == 1 oder keine Filterbox mit Auswahl
				
				if (is_array ( $value )) {
					$abfragewert = $value [0];
				} else {
					$abfragewert = $value;
				}
				
				if (! $arrayenabled && ! (strpos ( $query, "order by" ) === false)) {
					// schneide "order by" ab
					$query_orderby = substr ( $query, strpos ( $query, "order by" ) );
					$query = substr ( $query, 0, strpos ( $query, "order by" ) );
				}
				
				if (! $arrayenabled && (stripos ( $query, "where" ) === false)) {
					// where 1=1 hinzufuegen falls garkein where statement vorhanden
					$query .= " where 1=1";
				}
				
				if (! $arrayenabled && $add_array === false) {
					// Keine Arrays und keine Zusatzarrays
					$query .= " and " . get_real_fieldname ( $query, $id_field ) . " = '" . $abfragewert . "' "; // hnge ID an
					$sub_row = get_table_row ( $query );
					$anzeige = $sub_row [$showvalue];
					
					if ($anzeige == "") {
						// Versuche etwas durch Weglassen des where Teils in $anzeige zu schreiben
						$pos_where = strripos ( $query, "WHERE" );
						$query_temp = substr ( $query, 0, $pos_where ) . " where " . get_real_fieldname ( $query, $id_field ) . " = '" . $abfragewert . "'";
						$query_temp .= " limit 0,1";
						
						$sub_row_temp = get_table_row ( $query_temp );
						$anzeige = $sub_row_temp [$showvalue];
						
						if (empty ( $anzeige )) {
							// Keine Chance
							$anzeige = "------------------";
							$schriftfarbe_anders = false;
						} else {
							$schriftfarbe_anders = true;
						}
					}
				} elseif (! $arrayenabled && is_array ( $add_array )) {
					// Keine Arrays, aber Querys mit Zusatzarrays
					
					$liste = get_table_array ( $query );
					
					if ($add_array !== false && is_array ( $add_array )) {
						// Add Array
						$array_neu = array_merge ( $add_array, $liste );
						$liste = $array_neu;
						unset ( $array_neu );
					}
					
					foreach ( ( array ) $liste as $key => $sub_row ) {
						if ($sub_row [$id_field] == $abfragewert) {
							$anzeige = $sub_row [$showvalue];
							break;
						}
					}
				} elseif ($arrayenabled && $add_array === false) {
					
					foreach ( $query as $key => $wert ) {
						if (strcmp ( $abfragewert, $key ) == 0) {
							if (is_array ( $wert ))
								$anzeige = $wert [$showvalue];
							else
								$anzeige = $wert;
							break;
						}
					}
				} else {
					
					if (isset ( $query [$abfragewert] )) {
						$anzeige = $query [$abfragewert];
					} else {
						$anzeige = "";
					}
				}
			}
			
			$array = array (
					"bezeichnung" => $bezeichnung,
					"query" => $query_unveraendert,
					"id_field" => $id_field,
					"name" => $name,
					"value" => $value,
					"showvalue" => $showvalue,
					"styletyp" => $styletyp,
					"attrib" => $attrib,
					"style" => $style,
					"title" => $title,
					"dd_width" => $dd_width,
					"dd_height" => $dd_height,
					"dropdownboxtextclass" => $dropdownboxtextclass,
					"dropdownboxclass" => $dropdownboxclass,
					"empty" => $empty,
					"arrayenabled" => $arrayenabled,
					"filterbox" => $filterbox,
					"add_array" => $add_array,
					"autocomplete" => $autocomplete 
			);
			
			if ($autocomplete)
				$anzeige = "--- " . $bezeichnung . " ---";
			
			$html .= "<div style=\"position: relative; z-index:100; width: 1px; height: 1px; \">";
			
			$autocomplete ? $overflow = "hidden" : $overflow = "scroll";
			
			$html .= "<div id=\"dd_" . $name . "\" name=\"dd_" . $name . "\" class=\"" . $dropdownboxclass . "\"  style=\"position: absolute; top: 18px; left: " . $dd_xoffset . "px; width: " . $dd_width . "px; height: " . $dd_height . "px; z-index:10; visibility: hidden; overflow: $overflow;\"></div>";
			$html .= "</div>";
			
			$name2 = str_replace ( array (
					"[",
					"]" 
			), array (
					"_",
					"" 
			), $name );
			
			if ($schriftfarbe_anders) {
				$style .= " color:" . $textfilter_formular_inaktiv . ";";
				$title .= " (Eintrag nicht mehr verf&uuml;gbar)";
			}
			
			$vorgegebener_wert = $value;
			if (! $filterbox && is_array ( $vorgegebener_wert ))
				$vorgegebener_wert = $value [0]; // Bugfix der falsche Formularwerte verhindert, sollten Standardwerte aus einem Filter geladen worden sein.
			
			$html .= "<input type=\"hidden\" id=\"" . $name . "\" name=\"" . $name . "\" value=\"" . $vorgegebener_wert . "\">";
			$html .= "<input type=\"hidden\" id=\"" . $name2 . "_geladen\" name=\"" . $name2 . "_geladen\" value=\"nein\">";
			$html .= "<input type=\"hidden\" id=\"" . $name2 . "_text_orig\" name=\"" . $name2 . "_text_orig\" value=\"" . $anzeige . "\">";
			$html .= "<input type=\"hidden\" id=\"" . $name2 . "_zusatz\" name=\"" . $name2 . "_zusatz\" value=\"\">";
			$html .= "<input type=\"hidden\" id=\"" . $name2 . "_queryzusatz\" name=\"" . $name2 . "_queryzusatz\" value=\"" . $query_bedingungen . "\">";
			$html .= "<input type=\"hidden\" id=\"" . $name2 . "_typ\" name=\"" . $name2 . "_typ\" value=\"formular\">";
			$html .= "<nobr><input type=\"text\" autocomplete=\"off\" class=\"" . $styletyp . "\" id=\"" . $name2 . "_text\" name=\"" . $name2 . "_text\" title=\"" . $title . "\" ";
			
			if ($filterbox) {
				$style .= " width:185px;";
				if ($anzahl_gew_filter > 0) {
					$style .= " background-color:#89ACD7;";
				}
			}
			
			$html .= "style=\"" . $style . "\" " . $attrib . " ";
			
			if (! $autocomplete) {
				if ($filterbox && is_array ( $value )) {
					$html .= "onClick=\"dropdownbox_multi_putIntoArray('" . $name . "', '" . implode ( "::", $value ) . "'); filter_focus('" . $name . "', '" . base64_encode ( serialize ( $array ) ) . "')\" ";
				} elseif ($filterbox && ! is_array ( $value )) {
					$html .= "onClick=\"dropdownbox_multi_init('" . $name . "'); filter_focus('" . $name . "', '" . base64_encode ( serialize ( $array ) ) . "')\" ";
				} else {
					$html .= "onClick=\"filter_focus('" . $name . "', '" . base64_encode ( serialize ( $array ) ) . "')\" ";
				}
			} else {
				$html .= "onClick=\"this.select(); this.focus(); \"";
			}
			
			/*
			 * onKeyUp
			 */
			
			$html .= "onKeyUp=\"";
			
			if ($autocomplete) {
				$html .= "if(autocompleteDDignoriereKeyUp) { autocompleteDDignoriereKeyUp = false; return false; }; "; // Wenn die Box ueber den Pfeilbutton via Tastatur geoeffnet wird, ignoriere KeyUp Event
				$html .= "dropdownbox_autocomplete_onTextEingabe('" . $name . "', '" . $name2 . "', $dd_width, $dd_height);";
				$html .= $js_zusatz; // Zusatzfunktionen die z.B. Werte aus anderen Feldern uebernimmt
			}
			
			$html .= "dropdownbox_tastendruck('" . $name . "', '" . base64_encode ( serialize ( $array ) ) . "', event.keyCode?event.keyCode:event.which, this.value, '" . $bezeichnung . "');";
			$html .= "\" ";
			
			$html .= "value=\"" . useHtmlEntities ( $anzeige ) . "\">";
			
			if ($filterbox) {
				$html .= "<button type=\"button\" onClick=\"filter_multiselect_send('" . $name . "', '" . $bezeichnung . "');\" ";
				$html .= "style=\"cursor: pointer; border: none; width: 15px; height: 15px; position: absolute;";
				$html .= "background-image: url(config/pics/button_rechts.png);\"></button>";
			}
			
			if ($autocomplete) {
				$html .= "<button type=\"button\" onClick=\"";
				$html .= "dropdownbox_autocomplete_onPfeilKlick('" . $name . "', '" . $name2 . "');";
				$html .= $js_zusatz; // Zusatzfunktionen die z.B. Werte aus anderen Feldern uebernimmt
				$html .= "filter_focus('" . $name . "', '" . base64_encode ( serialize ( $array ) ) . "');";
				
				$html .= "\" style=\"cursor: pointer; border: none; width: 15px; height: 15px; position: relative; top: -3px;";
				$html .= "background-image: url(config/pics/button_runter.png);\"></button>";
			}

			$html .= "</nobr>";
		} else { // AJAX

			if (is_array ( $query )) {
				$arrayenabled = true;
			}
			
			if (! $arrayenabled) {
				// Eventuelle Platzhalter im Query ersetzen
				$query = platzhalter_durch_query_ersetzen ( $query );
				
				// schneide "order by" ab
				if (! (strpos ( $query, "order by" ) === false)) {
					$query_orderby = substr ( $query, strpos ( $query, "order by" ) );
					$query = substr ( $query, 0, strpos ( $query, "order by" ) );
				}
				
				// schneide "group by" ab
				if (! (strpos ( $query, "group by" ) === false)) {
					$query_groupby = substr ( $query, strpos ( $query, "group by" ) );
					$query = substr ( $query, 0, strpos ( $query, "group by" ) );
				}
				
				// fge textfilter ein
				if ($textfilter != "") {
					$query .= stripslashes ( " and (" . mysql_get_concat ( $query, $showvalue ) . " LIKE '%" . $textfilter . "%') " );
				}
				
				// hnge group by wieder hinten dran
				if ($query_groupby != "") {
					$query .= $query_groupby;
				}
				
				// hnge order by wieder hinten dran
				if ($query_orderby != "") {
					$query .= $query_orderby;
				}
				
				// hnge ggf. "order by" automatisch an (Automatik auf $showvalue)
				if (strpos ( $query, "order by" ) === false) {
					$query .= " order by " . $showvalue;
				}
				
				if ($devlimit)
					$query .= " LIMIT " . $devlimit_anz . " ";
				$query .= " LIMIT " . ($ajax_dd_max_eintraege + 5);
				
				$result = mysql_query ( $query );
				while ( $sub_row = mysql_fetch_array ( $result ) ) {
					$filter_values_array [] = $sub_row;
				}
			}
			
			$html = "<!--filtername" . $name . "-->";
			if (count ( $filter_values_array ) < $ajax_dd_max_eintraege) {
				$position = 1;
				
				if ($empty && ! $autocomplete) {
					$html .= "<div position=\"" . $position ++ . "\" name=\"ddvalue_" . $name . "\" ";
					$html .= "idfield=\"\"  ";
					$html .= "content=\"------------------\"  ";
					$html .= "class=\"" . $dropdownboxtextclass . "\" ";
					$html .= "onMouseOver=\"dropdownbox_mouseover('" . $name . "', this);\" ";
					$html .= "onClick=\"dropdownbox_close('" . $name . "'); dropdownbox_choose('" . $name . "', '', '------------------');\" ";
					$html .= ">------------------</div>";
				}
				
				if ($arrayenabled)
					$filter_values_array = $liste;
				
				if ($add_array !== false && is_array ( $add_array )) {
					// Add Array
					$array_neu = array_merge ( $add_array, $filter_values_array );
					$filter_values_array = $array_neu;
					unset ( $array_neu );
				}
				
				if ($filterbox) {
					// Erste Zeile bestehend aus Markierungsanzahl und Funktionsbutton in Filterboxen
					$html .= "<div id=\"filterbox" . $name . "_ersteZeile\" ";
					$html .= "class=\"" . $dropdownboxtextclass . "\" style=\"color: #777777; background-color: #eaedf1\" ";
					$html .= "><span id=\"ddstatus_" . $name . "\"></span>&nbsp;&nbsp;<span><a href=\"#\" onClick=\"dropdownbox_multi_alleEintraegeLoeschen('" . $name . "');\" ";
					$html .= "title=\"Alle Eintr&auml;ge l&ouml;schen\">[ x ]</a></span>";
					
					$html .= "&nbsp;&nbsp;<span><a href=\"#\" onClick=\"dropdownbox_multi_alleEintraegeMarkieren('" . $name . "');\" ";
					$html .= "title=\"Alle Eintr&auml;ge markieren\">[ alle ]</a></span>";
					
					$html .= "&nbsp;&nbsp;<span><a href=\"#\" onClick=\"dropdownbox_multi_invertiereMarkierung('" . $name . "');\" ";
					$html .= "title=\"Markierung invertieren\">[ inv ]</a></span>";
					
					$html .= "</div>";
				}
				
				foreach ( ( array ) $filter_values_array as $key => $sub_row ) {
					$sub_row [$showvalue] = str_replace ( array (
							"\n",
							"\r" 
					), " ", $sub_row [$showvalue] );
					
					if ($sub_row [$id_field] == "(disabled)") {
						// Eintrag disabled
						$html .= "<div class=\"" . $dropdownboxtextclass . "\" ";
						$html .= ">" . $sub_row [$value] . "</div>";
					} else { // normaler Eintrag
						if (strlen ( $sub_row [$showvalue] ) < 1)
							continue;
						
						$html .= "<div position=\"" . $position ++ . "\" name=\"ddvalue_" . $name . "\" ";
						$html .= "idfield=\"" . $sub_row [$id_field] . "\" ";
						$html .= "content=\"" . useHtmlEntities ( strtolower ( $sub_row [$showvalue] ) ) . "\"  ";
						$html .= "class=\"" . $dropdownboxtextclass . "\" ";
						if (! $filterbox) {
							$html .= "onMouseOver=\"dropdownbox_mouseover('" . $name . "', this);\" ";
							$html .= "onClick=\"dropdownbox_close('" . $name . "'); dropdownbox_choose('" . $name . "', '" . $sub_row [$id_field] . "', '" . addslashes ( useHtmlEntities ( $sub_row [$showvalue] ) ) . "');\" ";
						} else {
							$html .= "onClick=\"dropdownbox_multi_choose('" . $name . "', '" . $sub_row [$id_field] . "', '" . addslashes ( useHtmlEntities ( $sub_row [$showvalue] ) ) . "', this);\" onDblClick=\"filter_multiselect_send('" . $name . "', '" . $bezeichnung . "');\"";
						}
						$html .= ">" . useHtmlEntities ( $sub_row [$showvalue] ) . "</div>";
					}
				}
				$html .= "<div id=\"dd_overload_" . $name . "\" name=\"dd_overload_" . $name . "\" status=\"no\" class=\"" . $dropdownboxtextclass . "\"></div>";
			} else {
				$anzahl_eintraege = count ( $filter_values_array );
				
				$html .= "<div class=\"" . $dropdownboxtextclass . "\" ></div>";
				$html .= "<center>[ zu viele Eintrge gefunden (" . $anzahl_eintraege . ") ]";
				$html .= "<br>[ Bitte grenzen Sie die Auswahl durch Eingabe eines Suchtextes ein ]</center></div>";
				$html .= "<div id=\"dd_overload_" . $name . "\" name=\"dd_overload_" . $name . "\" status=\"overload\" class=\"" . $dropdownboxtextclass . "\"></div>";
			}
		}
		
		return ($html);
	}
}

if (! function_exists ( "input_dropdownbox_ajax_wrap" )) {
	function input_dropdownbox_ajax_wrap($array, $textfilter = "") {
		$array = unserialize ( base64_decode ( $array ) );
		extract ( ( array ) $array );
		echo input_dropdownbox_ajax ( $bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib, $style, $title, true, $textfilter, $dd_width, $dd_height, $dd_xoffset, $dropdownboxtextclass, $dropdownboxclass, $empty, $arrayenabled, $filterbox, false, $add_array, $autocomplete );
	}
}

if (! function_exists ( "remove_id_from_post_fields" )) {
	function remove_id_from_post_fields($array, $trenner = "__") {
		foreach ( ( array ) $array as $key => $value ) {
			if (! strpos ( $key, $trenner ) === false) {
				$getrennt = explode ( $trenner, $key );
				unset ( $array [$key] );
				$array [$getrennt [0] . $getrennt [2]] = $value;
			}
		}
		return ($array);
	}
}

if (! function_exists ( "platzhalter_durch_query_ersetzen" )) {
	// Massnahme gegen ueberlange Querys die irgendwelche Fehler beim POST ausloesen
	function platzhalter_durch_query_ersetzen($query) {
		global $sql_query;
		
		if (! (($pos1 = strpos ( $query, "%%%" )) === false)) {
			$pos2 = strpos ( $query, "%%%", $pos1 + 3 );
			$queryname = substr ( $query, $pos1 + 3, $pos2 - 3 );
			
			if (isset ( $sql_query [$queryname] )) {
				$query = $sql_query [$queryname] . " " . substr ( $query, $pos2 + 3 );
			} else {
				$query = returnAjaxArray ( $queryname, substr ( $query, $pos2 + 3 ) );
			}
		}
		return $query;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_checkbox" )) {
	function input_checkbox($bezeichnung, $name, $value, $attrib = "", $style = "", $title = "") {
		if ($attrib != "") {
			$attrib_parts = explode ( " ", $attrib );
			$attrib = "";
			foreach ( $attrib_parts as $key => $attrib_part ) {
				if (substr ( $attrib_part, 0, 9 ) == "onChange=") {
					$attrib_part = substr ( $attrib_part, 0, - 1 ) . "; aenderung_in_liste(this.form)'";
					$onchange_set = 1;
				}
				
				$attrib .= $attrib_part . " ";
				
				// Im speziellen Fall von der dtausExport wird onChange deaktiviert
				if ($attrib_part == "aenderungOff") {
					$onchange_set = 1;
					$attrib = "";
				}
				
				if ($attrib_part == "onlyAenderungOff") {
					$onchange_set = 1;
					$attrib = str_replace ( "aenderung_in_liste(this.form)", "", $attrib );
				}
			}
		}
		if ($onchange_set != 1) {
			$attrib .= " onChange='aenderung_in_liste(this.form)'";
		}
		
		if ($title == "") {
			$title = $bezeichnung;
		}
		;
		
		if ($value == 1) {
			$html = "<input type=\"checkbox\" name=\"" . $name . "\" value=1 title=\"" . strip_tags ( $title ) . "\" $attrib checked ";
		} else {
			$html = "<input type=\"checkbox\" name=\"" . $name . "\" value=1 title=\"" . strip_tags ( $title ) . "\" $attrib ";
		}
		if ($style != "") {
			$html .= "style=\"" . $style . "\" ";
		}
		$html .= ">";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_radiobutton" )) {
	function input_radiobutton($bezeichnung, $name, $value, $attrib = "", $style = "", $title = "") {
		if ($attrib != "") {
			$attrib_parts = explode ( " ", $attrib );
			$attrib = "";
			foreach ( $attrib_parts as $key => $attrib_part ) {
				if (substr ( $attrib_part, 0, 9 ) == "onChange=") {
					$attrib_part = substr ( $attrib_part, 0, - 1 ) . "; aenderung_in_liste(this.form)'";
					$onchange_set = 1;
				}
				$attrib .= $attrib_part . " ";
			}
		}
		if ($onchange_set != 1) {
			$attrib .= " onChange='aenderung_in_liste(this.form)'";
		}
		
		if ($title == "") {
			$title = $bezeichnung;
		}
		;
		
		if ($value == 1) {
			$html = "<input type=\"radio\" name=\"" . $name . "\" value=\"" . $value . "\" title=\"" . strip_tags ( $title ) . "\" $attrib checked ";
		} else {
			$html = "<input type=\"radio\" name=\"" . $name . "\" value=\"" . $value . "\" title=\"" . strip_tags ( $title ) . "\" $attrib ";
		}
		if ($style != "") {
			$html .= "style=\"" . $style . "\" ";
		}
		$html .= ">";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_datum" )) {
	function input_datum($bezeichnung, $name_tag, $name_monat, $name_jahr, $value, $attrib = "", $style = "", $shortcut_link = "", $title = "") {
		if ($value != "2030-01-01") {
			$datum = split_date ( $value );
		}
		
		if ($attrib != "readonly") {
			$attrib_tag = "onBlur=\"check_datum(this, 'tag');\" " . $attrib;
			$attrib_monat = "onBlur=\"check_datum(this, 'monat');\" " . $attrib;
			$attrib_jahr = "onBlur=\"check_datum(this, 'jahr');\" " . $attrib;
		} else {
			$attrib_tag = $attrib_monat = $attrib_jahr = $attrib;
		}
		
		$html .= input_text ( "Tag", $name_tag, $datum ["tag"], "input_date", $attrib_tag, $style, $title );
		$html .= input_text ( "Monat", $name_monat, $datum ["monat"], "input_date", $attrib_monat, $style, $title );
		$html .= input_text ( "Jahr", $name_jahr, $datum ["jahr"], "input_date", $attrib_jahr, $style, $title );
		
		$html .= $shortcut_link;
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "input_multiradiobutton" )) {
	function input_multiradiobutton($bezeichnung, $name, $value, $selectedvalue, $attrib = "", $style = "", $title = "") {
		if ($attrib != "") {
			$attrib_parts = explode ( " ", $attrib );
			$attrib = "";
			foreach ( $attrib_parts as $key => $attrib_part ) {
				if (substr ( $attrib_part, 0, 9 ) == "onChange=") {
					$attrib_part = substr ( $attrib_part, 0, - 1 ) . "; aenderung_in_liste(this.form)'";
					$onchange_set = 1;
				}
				$attrib .= $attrib_part . " ";
			}
		}
		if ($onchange_set != 1) {
			$attrib .= " onChange='aenderung_in_liste(this.form)'";
		}
		
		if ($title == "") {
			$title = $bezeichnung;
		}
		;
		
		$html = "<input type=\"radio\" name=\"" . $name . "\" value=\"" . $value . "\" title=\"" . strip_tags ( $title ) . "\" $attrib ";
		
		if ($selectedvalue == $value) {
			$html .= " checked ";
		}
		
		if ($style != "") {
			$html .= "style=\"" . $style . "\" ";
		}
		$html .= ">";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_text" )) {
	function formular_text($bezeichnung, $name, $value, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "", $sTextNachTextbox = "") {
		if (! empty ( $bezeichnung )) {
			$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		}
		
		$html .= "<td valign=\"top\"><nobr>";
		$html .= input_text ( $bezeichnung, $name, $value, $styletyp, $attrib, $style, $title );
		
		$html .= $shortcut_link;
		
		$html .= "</nobr>" . $sTextNachTextbox . "</td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_passwd" )) {
	function formular_passwd($bezeichnung, $name, $value, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "") {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\">";
		$html .= input_passwd ( $bezeichnung, $name, $value, $styletyp, $attrib, $style, $title );
		
		$html .= $shortcut_link;
		
		$html .= "</td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_file" )) {
	function formular_file($bezeichnung, $name, $value, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "") {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\">";
		$html .= input_file ( $bezeichnung, $name, $value, $styletyp, $attrib, $style, $title );
		
		$html .= $shortcut_link;
		
		$html .= "</td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_textarea" )) {
	function formular_textarea($bezeichnung, $name, $value, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "") {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\">";
		$html .= input_textarea ( $bezeichnung, $name, $value, $styletyp, $attrib, $style, $title );
		
		$html .= $shortcut_link;
		
		$html .= "</td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_checkbox" )) {
	function formular_checkbox($bezeichnung, $name, $value, $attrib = "", $shortcut_link = "", $title = "") {
		if (! empty ( $bezeichnung )) {
			$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		}
		
		$html .= "<td valign=\"top\">";
		$html .= input_checkbox ( $bezeichnung, $name, $value, $attrib, $style, $title );
		$html .= " </td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_radiobutton" )) {
	function formular_radiobutton($bezeichnung, $name, $value, $attrib = "", $shortcut_link = "", $title = "") {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\">";
		$html .= input_radiobutton ( $bezeichnung, $name, $value, $attrib, $style, $title );
		
		$html .= $shortcut_link;
		
		$html .= " </td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_multiradiobutton" )) {
	function formular_multiradiobutton($bezeichnung, $name, $value, $selectedvalue, $attrib = "", $shortcut_link = "", $title = "") {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\">";
		$html .= input_multiradiobutton ( $bezeichnung, $name, $value, $selectedvalue, $attrib, $style, $title );
		
		$html .= $shortcut_link;
		
		$html .= " </td>";
		
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_name" )) {
	function formular_name($bezeichnung, $name_anrede, $value_anrede, $name_vorname, $value_vorname, $name_nachname, $value_nachname, $attrib = "", $style = "", $shortcut_link = "", $title = "") {
		global $sql_query;
		
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\">";
		$html .= input_dropdownbox ( "Anrede", $sql_query ["anredenliste"], "Anreden_id", $name_anrede, $value_anrede, "dtAnrede", "input_select_50", $attrib, $style, $title );
		$html .= input_text ( "Vorname", $name_vorname, $value_vorname, "input_text_100", $attrib, $style, $title );
		$html .= input_text ( "Nachname", $name_nachname, $value_nachname, "input_text_100", $attrib, $style, $title );
		
		$html .= $shortcut_link;
		
		$html .= "</td>";
		
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_email" )) {
	function formular_email($bezeichnung, $name, $value, $styletyp, $attrib = "", $style = "", $title = "") {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\">";
		$html .= input_text ( $bezeichnung, $name, $value, $styletyp, $attrib, $style, $title );
		$html .= "&nbsp;&nbsp;&nbsp;";
		$html .= mail_schreiben ( $value );
		
		$html .= "</td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_url" )) {
	function formular_url($bezeichnung, $name, $value, $styletyp, $attrib = "", $style = "", $title = "") {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\">";
		$html .= input_text ( $bezeichnung, $name, $value, $styletyp, $attrib, $style, $title );
		$html .= "&nbsp;&nbsp;&nbsp;";
		$html .= link_anzeigen ( $value );
		
		$html .= "</td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_adresse" )) {
	function formular_adresse($bezeichnung, $name_strasse, $value_strasse, $name_plz, $value_plz, $name_ort, $value_ort, $name_land, $value_land, $attrib = "", $style = "", $title = "", $maps = false, $shortcut_link1 = "", $shortcut_link2 = "") {
		global $sql_query;
		
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\">";
		$html .= input_text ( "Strasse/Postfach", $name_strasse, $value_strasse, "input_text_250", $attrib, $style, $title );
		
		$html .= $shortcut_link1;
		$html .= "<br>";
		$html .= input_text ( "PLZ", $name_plz, $value_plz, "input_text_50", $attrib, $style, $title );
		
		$html .= input_text ( "Ort", $name_ort, $value_ort, "input_text_200", $attrib, $style, $title );
		$html .= $shortcut_link2;
		
		if ($maps && $value_strasse != "" && $value_plz != "" && $value_ort != "") {
			$adr_url = urlencode ( $value_strasse . ", " . $value_plz . " " . $value_ort );
			$html .= erzeuge_button ( "maps", "http://maps.google.de/maps?f=q&source=s_q&t=h&hl=de&q=" . $adr_url, "target=_blank" );
		}
		
		if ($name_land != "") {
			$query = $sql_query ["landliste"] . "order by dtLandesname";
			$html .= "<br>";
			$html .= input_dropdownbox ( "Land", $query, "Laender_id", $name_land, $value_land, "dtLandesname", "input_select_100", $title );
		}
		
		$html .= "</td>";
		
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_datum" )) {
	function formular_datum($bezeichnung, $name_tag, $name_monat, $name_jahr, $value, $attrib = "", $style = "", $shortcut_link = "", $title = "", $picker = true) {
		if ($value != "2030-01-01") {
			$datum = split_date ( $value );
		}
		
		$html .= "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\" nowrap>";
		
		if ($picker and strpos ( $attrib, "readonly" ) === false) {
			$html .= formular_datumspicker_obj ( $name_tag, $name_monat, $name_jahr );
		}
		$html .= input_text ( "Tag", $name_tag, $datum ["tag"], "input_date", "onBlur=\"check_datum(this, 'tag');\" " . $attrib, $style, $title );
		$html .= input_text ( "Monat", $name_monat, $datum ["monat"], "input_date", "onBlur=\"check_datum(this, 'monat');\" " . $attrib, $style, $title );
		$html .= input_text ( "Jahr", $name_jahr, $datum ["jahr"], "input_date", "onBlur=\"check_datum(this, 'jahr');\" " . $attrib, $style, $title );
		
		if ($picker and strpos ( $attrib, "readonly" ) === false)
			$html .= formular_datumspicker_button ( $name_tag, formular_datumspicker_datum ( $value ) );
		
		$html .= $shortcut_link;
		$html .= "</td>";
		
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// formular_datumspicker
if (! function_exists ( "formular_datumspicker_obj" )) {
	function formular_datumspicker_obj($name_tag, $name_monat, $name_jahr, $aenderung_in_liste = true) {
		$html = "<script language=\"JavaScript\" id=\"js_" . $name_tag . "\">";
		$html .= "var formularname_" . $name_tag . " = ''; ";
		$html .= "var obj_" . $name_tag . "_picker = new CalendarPopup(\"div_" . $name_tag . "\");";
		$html .= "obj_" . $name_tag . "_picker.setReturnFunction(\"return_" . $name_tag . "\");";
		
		$html .= "function return_" . $name_tag . "(y,m,d) {";
		$html .= "formularname_" . $name_tag . "." . $name_jahr . ".value=y;";
		$html .= "formularname_" . $name_tag . "." . $name_monat . ".value=LZ(m);";
		$html .= "formularname_" . $name_tag . "." . $name_tag . ".value=LZ(d);";
		$html .= "formularname_" . $name_tag . "." . $name_jahr . ".style.backgroundColor='#eeeeee';";
		$html .= "formularname_" . $name_tag . "." . $name_monat . ".style.backgroundColor='#eeeeee';";
		$html .= "formularname_" . $name_tag . "." . $name_tag . ".style.backgroundColor='#eeeeee';";
		if ($aenderung_in_liste)
			$html .= "aenderung_in_liste(formularname_" . $name_tag . ");";
		$html .= "}";
		
		$html .= "</script>";
		$html .= "<div id=\"div_" . $name_tag . "\" style=\"position:absolute; z-index:100;visibility:hidden;background-color:#dddddd;\">&nbsp;</div>";
		return $html;
	}
}

if (! function_exists ( "formular_datumspicker_button" )) {
	function formular_datumspicker_button($name_tag, $startdate, $type = "button") {
		$onclick = "\"formularname_" . $name_tag . " = this.form;";
		$onclick .= " obj_" . $name_tag . "_picker.showCalendar('anchor_" . $name_tag . "', '" . $startdate . "');";
		$onclick .= " return false;\"";
		
		switch ($type) {
			case "input" :
				$html .= "<input type=\"image\" onClick=$onclick name=\"anchor_" . $name_tag . "\" id=\"anchor_" . $name_tag . "\" src='config/pics/button_kalender.png'>";
				break;
			
			case "button" :
				$html .= "<button type=\"button\" onClick=$onclick name=\"anchor_" . $name_tag . "\" id=\"anchor_" . $name_tag . "\" style=\"cursor: pointer; border: none; width: 17px; height: 17px; background-image: url(config/pics/button_kalender.png);\">";
				break;
			
			case "formular" :
				$html .= "<button type=\"button\" onClick=$onclick style=\"cursor: pointer; border: none; width: 17px; height: 17px; background-image: url(config/pics/button_kalender.png);\">";
				break;
			
			case "text" :
				$html .= "<input type=\"text\" onClick=$onclick name=\"anchor_" . $name_tag . "\" id=\"anchor_" . $name_tag . "\" class='kalenderbutton' readonly>";
		}
		
		return $html;
	}
}

if (! function_exists ( "formular_datumspicker_datum" )) {
	function formular_datumspicker_datum($value) {
		if ($value != "2030-01-01" and $value != "1970-01-01") {
			$datum = split_date ( $value );
		}
		
		if (! is_numeric ( $datum ['jahr'] ) || ! is_numeric ( $datum ['monat'] ) || ! is_numeric ( $datum ['tag'] )) {
			return date ( "m/d/Y" );
		} else {
			return $datum ['monat'] . "/" . $datum ['tag'] . "/" . $datum ['jahr'];
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_dropdownbox" )) {
	function formular_dropdownbox($bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "", $dd_width = 450, $dd_height = 250) {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\"><nobr>";
		$html .= input_dropdownbox ( $bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib, $style, $title, false, "", $dd_width, $dd_height );
		
		$html .= $shortcut_link;
		
		$html .= "</nobr></td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_dropdownbox_empty" )) {
	function formular_dropdownbox_empty($bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "", $dd_width = 450, $dd_height = 250) {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\"><nobr>";
		$html .= input_dropdownbox_empty ( $bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib, $style, $title, false, "", $dd_width, $dd_height );
		
		$html .= $shortcut_link;
		
		$html .= "</nobr></td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_dropdownbox_array" )) {
	function formular_dropdownbox_array($bezeichnung, $array, $name, $value, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "", $dd_width = 450, $dd_height = 250) {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\"><nobr>";
		
		if (strpos ( $attrib, "readonly" ) === false) {
			$html .= input_dropdownbox_array ( $bezeichnung, $array, $name, $value, $styletyp, $attrib, $style, $title, false, "", $dd_width, $dd_height );
		} else {
			$html .= input_text ( $bezeichnung, $name, $array [$value], $styletyp, $attrib, $style, $title );
		}
		
		$html .= $shortcut_link;
		
		$html .= "</nobr></td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_dropdownbox_baum" )) {
	function formular_dropdownbox_baum($bezeichnung, $query_part1, $referer, $query_part2, $id_field, $name, $value, $showvalue, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "") {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\"><nobr>";
		$html .= input_dropdownbox_baum ( $bezeichnung, $query_part1, $referer, $query_part2, $id_field, $name, $value, $showvalue, $styletyp, $attrib, $style, $title );
		
		$html .= $shortcut_link;
		
		$html .= "</nobr></td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_dropdownbox_ajax" )) {
	function formular_dropdownbox_ajax($bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "", $dd_width = 450, $dd_height = 250, $dd_xoffset = 0, $add_array = false) {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\"><nobr>";
		$html .= input_dropdownbox_ajax ( $bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib, $style, $title, false, "", $dd_width, $dd_height, $dd_xoffset, "dropdownboxtext", "dropdownbox", false, false, false, false, $add_array );
		
		$html .= $shortcut_link;
		
		$html .= "</nobr></td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_dropdownbox_multiselect_ajax" )) {
	function formular_dropdownbox_multiselect_ajax($bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "", $dd_width = 450, $dd_height = 250, $dd_xoffset = 0, $add_array = false) {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\"><nobr>";
		$html .= input_dropdownbox_ajax ( $bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib, $style, $title, false, "", $dd_width, $dd_height, $dd_xoffset, "dropdownboxtext", "dropdownbox", false, false, true, false, $add_array );
		
		$html .= $shortcut_link;
		
		$html .= "</nobr></td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_dropdownbox_ajax_empty" )) {
	function formular_dropdownbox_ajax_empty($bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "", $dd_width = 450, $dd_height = 250, $dd_xoffset = 0) {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\"><nobr>";
		$html .= input_dropdownbox_ajax_empty ( $bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib, $style, $title, $dd_width, $dd_height, $dd_xoffset );
		
		$html .= $shortcut_link;
		
		$html .= "</nobr></td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_dropdownbox_blank_ajax_empty" )) {
	function formular_dropdownbox_blank_ajax_empty($bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "", $dd_width = 450, $dd_height = 250, $dd_xoffset = 0) {
		$html .= "<td valign=\"top\"><nobr>";
		$html .= input_dropdownbox_ajax_empty ( $bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib, $style, $title, $dd_width, $dd_height, $dd_xoffset );
		
		$html .= $shortcut_link;
		
		$html .= "</nobr></td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_dropdownbox_ajax_array" )) {
	function formular_dropdownbox_ajax_array($bezeichnung, $array, $name, $value, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "", $dd_width = 450, $dd_height = 250, $dd_xoffset = 0) {
		$html = "<td valign=\"top\">" . $bezeichnung . ":</td>";
		
		$html .= "<td valign=\"top\"><nobr>";
		
		if (strpos ( $attrib, "readonly" ) === false) {
			$html .= input_dropdownbox_ajax_array ( $bezeichnung, $array, $name, $value, $styletyp, $attrib, $style, $title, $dd_width, $dd_height, $dd_xoffset );
		} else {
			$html .= input_text ( $bezeichnung, $name, $array [$value], $styletyp, $attrib, $style, $title );
		}
		
		$html .= $shortcut_link;
		
		$html .= "</nobr></td>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_prozentbalken" )) {
	function formular_prozentbalken($wert, $balkenfaktor, $hintergrundfarbe, $prozentwert = "") {
		$laenge = round ( (abs ( $wert ) * $balkenfaktor), 0 );
		if ($prozentwert != "") {
			$prozentwert = double_from_sql ( $prozentwert, 2 ) . " %";
		}
		;
		
		$html = "<div style=\"width: " . $laenge . "px; background-color: " . $hintergrundfarbe . ";\" title=\"" . $prozentwert . "\">&nbsp;</div>";
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "formular_materialpostenauswahl" )) {
	function formular_materialpostenauswahl($bezeichnung, $query, $value, $artikelnr_feld, $styletyp, $attrib = "", $style = "", $shortcut_link = "", $title = "", $add_array = false) {
		global $sql_query;
		global $target, $typ, $id, $subtarget, $subtyp, $subid;
		
		/*
		 * Warengruppen
		 */
		$html .= "<td>";
		$html .= input_dropdownbox_ajax_autocomplete ( "Warengruppe", $sql_query ["warengruppenliste"], "Warengruppe_id", "warengruppe", "", "dtWarengruppe" );
		$html .= "</td>";
		
		/*
		 * Artikel
		 */
		$html .= "<td>";
		$html .= input_dropdownbox_ajax_autocomplete ( "Artikel", $query, "Artikel_id", $value, "", "dtArtikelDDText3", "document.getElementById('" . $value . "_zusatz').value = document.getElementById('warengruppe').value;", "input_text_250", 250, $add_array );
		$html .= "</td>";
		
		/*
		 * Varianten
		 */
		if ($subtarget == "belegmaterialposten") {
			$html .= "<td width=20></td><td>";
			$html .= klickbutton ( "Varianten", "onClick='fenster_artikelvariante(\"$PHPSESSID\",\"" . $subtarget . "\")'", "", "Variante zu diesem Artikel auswhlen" );
			$html .= "<input type=\"hidden\" name=\"dtVariante\" value=\"\" id=\"dtVariante\">";
			$html .= "</td>";
		}
		
		return $html;
	}
}

if (! function_exists ( "formular_materialpostenauswahl_ajaxwrap" )) {
	function formular_materialpostenauswahl_ajaxwrap($array, $textfilter = "", $zusatz) {
		$array = unserialize ( base64_decode ( $array ) );
		extract ( ( array ) $array );
		
		// schneide "group by" ab
		if (! (strpos ( $query, "group by" ) === false) && ! $arrayenabled) {
			$query_groupby = substr ( $query, strpos ( $query, "group by" ) );
			$query = substr ( $query, 0, strpos ( $query, "group by" ) );
		}
		
		// schneide "order by" ab
		if (! (strpos ( $query, "order by" ) === false) && ! $arrayenabled) {
			$query_orderby = substr ( $query, strpos ( $query, "order by" ) );
			$query = substr ( $query, 0, strpos ( $query, "order by" ) );
		}
		
		if ($zusatz > 0) {
			$query .= " and tblArtikel.fiWarengruppe = $zusatz ";
		}
		
		// hnge group by wieder hinten dran
		if ($query_groupby != "" && ! $arrayenabled) {
			$query .= $query_groupby;
		}
		
		echo input_dropdownbox_ajax ( $bezeichnung, $query, $id_field, $name, $value, $showvalue, $styletyp, $attrib, $style, $title, true, $textfilter, $dd_width, $dd_height, $dd_xoffset, $dropdownboxtextclass, $dropdownboxclass, $empty, $arrayenabled, $filterbox, false, $add_array, $autocomplete );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "decode_get_array" )) {
	function decode_get_array($get_array) {
		foreach ( ( array ) $get_array as $key => $value ) {
			if (is_array ( $value )) {
				$get_array_neu [$key] = str_replace ( array (
						"%und%",
						"%gleich%",
						"%cr%",
						"%tab%",
						"%dk%" 
				), array (
						"&",
						"=",
						"\n",
						"\t",
						"#" 
				), $value );
			} else {
				$get_array_neu [$key] = str_replace ( array (
						"%und%",
						"%gleich%",
						"%cr%",
						"%tab%",
						"%dk%" 
				), array (
						"&",
						"=",
						"\n",
						"\t",
						"#" 
				), iconv ( "UTF-8", "ISO-8859-15", $value ) );
			}
		}
		
		return $get_array_neu;
	}
}

if (! function_exists ( "erzeugeTitle" )) {
	function erzeugeTitle($sTyp, $iID) {
		global $target, $subtarget, $versionsinfo_module, $concepterpversion, $sql_query;
		
		$aTitleVarianten ["belege"] = array (
				"Query" => array (
						"query" => $sql_query ["belegliste"],
						"tbl" => "tblBelege" 
				),
				"Ausgabe" => array (
						"ausgabe_1" => "dtBelegNr",
						"ausgabe_2" => "dtBezeichnung" 
				),
				"Bezeichnung" => array (
						"ausgabe_1" => "Belegnummer",
						"ausgabe_2" => "Bezeichnung" 
				) 
		);
		$aTitleVarianten ["rechnungen"] = array (
				"Query" => array (
						"query" => $sql_query ["rechnungliste"],
						"tbl" => "tblRechnungen" 
				),
				"Ausgabe" => array (
						"ausgabe_1" => "dtRechnungNrIntern",
						"ausgabe_2" => "dtRechnungNrExtern" 
				),
				"Bezeichnung" => array (
						"ausgabe_1" => "RechnungNr. Intern",
						"ausgabe_2" => "RechnungNr. Extern" 
				) 
		);
		$aTitleVarianten ["kontakte"] = array (
				"Query" => array (
						"query" => $sql_query ["kontaktliste"],
						"tbl" => "tblKontakte" 
				),
				"Ausgabe" => array (
						"ausgabe_1" => "dtKontaktDDText2" 
				),
				"Bezeichnung" => array (
						"ausgabe_1" => "Kontakt" 
				) 
		);
		$aTitleVarianten ["lieferanten"] = array (
				"Query" => array (
						"query" => $sql_query ["kontaktliste"],
						"tbl" => "tblKontakte" 
				),
				"Ausgabe" => array (
						"ausgabe_1" => "dtKontaktDDText2" 
				),
				"Bezeichnung" => array (
						"ausgabe_1" => "Kontakt" 
				) 
		);
		$aTitleVarianten ["mitarbeiter"] = array (
				"Query" => array (
						"query" => $sql_query ["kontaktliste"],
						"tbl" => "tblKontakte" 
				),
				"Ausgabe" => array (
						"ausgabe_1" => "dtKontaktDDText2" 
				),
				"Bezeichnung" => array (
						"ausgabe_1" => "Kontakt" 
				) 
		);
		$aTitleVarianten ["bestellungen"] = array (
				"Query" => array (
						"query" => $sql_query ["bestellungliste"],
						"tbl" => "tblBestellungen" 
				),
				"Ausgabe" => array (
						"ausgabe_1" => "dtBestellungDDText",
						"ausgabe_2" => "dtBezeichnung" 
				),
				"Bezeichnung" => array (
						"ausgabe_1" => "Bestellungnummer",
						"ausgabe_2" => "Bezeichnung" 
				) 
		);
		$aTitleVarianten ["projekte"] = array (
				"Query" => array (
						"query" => $sql_query ["projektliste"],
						"tbl" => "tblProjekte" 
				),
				"Ausgabe" => array (
						"ausgabe_1" => "dtProjektname",
						"ausgabe_2" => "dtProjektNr" 
				),
				"Bezeichnung" => array (
						"ausgabe_1" => "Projektname",
						"ausgabe_2" => "Projektnummer" 
				) 
		);
		$aTitleVarianten ["content"] = array (
				"Query" => array (
						"query" => $sql_query ["contentliste"],
						"tbl" => "tblContent" 
				),
				"Ausgabe" => array (
						"ausgabe_1" => "dtContentDDText" 
				),
				"Bezeichnung" => array (
						"ausgabe_1" => "Contentname" 
				) 
		);
		$aTitleVarianten ["lagerartikel"] = array (
				"Query" => array (
						"query" => $sql_query ["artikelliste"],
						"tbl" => "tblArtikel" 
				),
				"Ausgabe" => array (
						"ausgabe_1" => "dtArtikelDDText" 
				),
				"Bezeichnung" => array (
						"ausgabe_1" => "Artikel" 
				) 
		);
		$aTitleVarianten ["umsaetze"] = array (
				"Query" => array (
						"query" => $sql_query ["umsatzliste"],
						"tbl" => "tblbankumsatz" 
				),
				"Ausgabe" => array (
						"ausgabe_1" => "dtArtikelDDText" 
				),
				"Bezeichnung" => array (
						"ausgabe_1" => "Artikel" 
				) 
		);
		
		$sTitle = "";
		
		if ($aTitleVarianten [$target] && $sTyp == "show") {
			$sSqlQuery = $aTitleVarianten [$target] ["Query"] ["query"] . " AND " . $aTitleVarianten [$target] ["Query"] ["tbl"] . ".id = " . $iID;
			$aTitleResult = get_table_array ( $sSqlQuery );
			
			for($iCounter = 1; $iCounter <= count ( $aTitleVarianten [$target] ["Ausgabe"] ); $iCounter ++) {
				if ($aTitleResult [0] [$aTitleVarianten [$target] ["Ausgabe"] ["ausgabe_" . $iCounter]] != "") {
					$sTitle .= $aTitleResult [0] [$aTitleVarianten [$target] ["Ausgabe"] ["ausgabe_" . $iCounter]] . " | ";
				}
			}
			$sTitle .= $target . " | conceptERP | LW-Systems";
		} else {
			if (! empty ( $target )) {
				$sTitle = $target . " | conceptERP | LW-Systems";
			} else {
				$sTitle = "conceptERP | LW-Systems";
			}
		}
		
		return $sTitle;
	}
}

if (! function_exists ( "returnDetailsDivBox" )) {
	function returnDetailsDivBox($name, $liste_output, $listenzeile_id) {
		global $bgcolor_formular, $historyboxclass, $tbltaetigkeiten, $tblbelege, $sql_query;
		
		$vk_preis_array = vk_preisberechnung ( $liste_output [$listenzeile_id] ["fiArtikel"] );
		
		$output .= aufzuklappbutton ( $name, "" );
		$output .= "<div style=\"position: absolute; z-index:5000;\">";
		$output .= "<div style=\"position: relative; display:none; \" id='" . $name . "' class=\"" . $historyboxclass . "\">";
		$output .= "<table border=0 cellspacing=2 cellpadding=0 colspan=2 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\"><tr>";
		
		$query = $sql_query ["taetigkeitenliste"] . " and $tbltaetigkeiten.dtIstMaterial = 1 order by $tbltaetigkeiten.dtTaetigkeitCode";
		$output .= "<td>Mat.Code: </td><td>";
		$output .= input_dropdownbox ( "Mat.Code", $query, "Taetigkeiten_id", "fiProjektTaetigkeit", $liste_output [$listenzeile_id] ["fiProjektTaetigkeit"], "dtTaetigkeitDDText", "input_select_150" );
		$output .= "</td>";
		$output .= "</tr><tr>";
		
		if ($liste_output [$listenzeile_id] ["fiBeleg"] != 0) {
			$liste_output [$listenzeile_id] ["dtBelegNr"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtBelegNr"] . " / P" ), "belege", "show", $liste_output [$listenzeile_id] ["Beleg_id"], $benutzerrechte, "belegmaterialposten", "show" );
		} elseif ($liste_output [$listenzeile_id] ["fiBelegVerbrauch"] != 0) {
			$belegquery = $sql_query ["belegliste"] . " and $tblbelege.id = " . $liste_output [$listenzeile_id] ["fiBelegVerbrauch"];
			$belegrow = get_table_row ( $belegquery );
			$liste_output [$listenzeile_id] ["dtBelegNr"] = shortcutlink ( format_name_html ( $belegrow ["dtBelegNr"] . " / V" ), "belege", "show", $belegrow ["Beleg_id"], $benutzerrechte, "belegmaterialverbrauch", "show" );
		}
		$output .= "<td><nobr>Ind. Artikeltext: </nobr></td><td>";
		$output .= input_text ( "Artikeltext", "dtProjektArtikelTextIndividuell", $liste_output [$listenzeile_id] ["dtProjektArtikelTextIndividuell"], "input_text_150", "", "", $liste_output [$listenzeile_id] ["dtProjektArtikelTextIndividuell"] );
		$output .= "</td>";
		$output .= "</tr><tr>";
		
		$pg_projekt_query = $sql_query ["preisgruppenprojektliste"] . " and fiProjekt = '" . $id . "' ";
		$pg_projekt_row = get_table_row ( $pg_projekt_query );
		if ($pg_projekt_row ["fiPreisgruppe"] != "") {
			$preisgruppe = $pg_projekt_row ["fiPreisgruppe"] - 1;
		} else {
			$pg_kunde_query = $sql_query ["preisgruppenkundenliste"] . " and fiKunde = '" . $field ["fiKunde"] . "' ";
			$pg_kunde_row = get_table_row ( $pg_kunde_query );
			if ($pg_kunde_row ["fiPreisgruppe"] != "") {
				$preisgruppe = $pg_kunde_row ["fiPreisgruppe"] - 1;
			} else {
				$preisgruppe = 0;
			}
		}
		
		$preisgruppen_array [- 1] = "(automatisch) ... (" . preis_from_sql ( $vk_preis_array [$preisgruppe] ) . ")";
		
		// Bestimmung der Preise der Preisgruppen
		$pg_query = $sql_query ["preisgruppenliste"];
		$pg_liste = get_table_array ( $pg_query );
		foreach ( $pg_liste as $pg_id => $pg_value ) {
			$preisgruppen_array [$pg_value ["PreisGruppen_id"]] = $pg_value ["dtPreisgruppeDDText"] . " ... (" . preis_from_sql ( $vk_preis_array [$pg_id] ) . ")";
		}
		$output .= "<td>Preisgruppe: </td><td>";
		$output .= input_dropdownbox_array ( "VK Preisgruppe", $preisgruppen_array, "fiPreisgruppe", $liste_output [$listenzeile_id] ["fiPreisgruppe"], "input_select_150", "", "", "", "", 450, 250, - 200 );
		$output .= "</td>";
		$output .= "</tr><tr>";
		
		$output .= "</table></div></div>";
		
		return $output;
	}
}

if (! function_exists ( "createForm" )) {
	function createForm($name, $liste_output, $listenzeile_id) {
		global $bgcolor_formular, $historyboxclass, $tbltaetigkeiten, $tblbelege, $sql_query;
		
		$vk_preis_array = vk_preisberechnung ( $liste_output [$listenzeile_id] ["fiArtikel"] );
		
		$output .= aufzuklappbutton ( $name, "" );
		$output .= "<div style=\"position: absolute; z-index:5000;\">";
		$output .= "<div style=\"position: relative; display:none; \" id='" . $name . "' class=\"" . $historyboxclass . "\">";
		$output .= "<table border=0 cellspacing=2 cellpadding=0 colspan=2 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\"><tr>";
		
		$query = $sql_query ["taetigkeitenliste"] . " and $tbltaetigkeiten.dtIstMaterial = 1 order by $tbltaetigkeiten.dtTaetigkeitCode";
		$output .= "<td>Mat.Code: </td><td>";
		$output .= input_dropdownbox ( "Mat.Code", $query, "Taetigkeiten_id", "fiProjektTaetigkeit", $liste_output [$listenzeile_id] ["fiProjektTaetigkeit"], "dtTaetigkeitDDText", "input_select_150" );
		$output .= "</td>";
		$output .= "</tr><tr>";
		
		if ($liste_output [$listenzeile_id] ["fiBeleg"] != 0) {
			$liste_output [$listenzeile_id] ["dtBelegNr"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtBelegNr"] . " / P" ), "belege", "show", $liste_output [$listenzeile_id] ["Beleg_id"], $benutzerrechte, "belegmaterialposten", "show" );
		} elseif ($liste_output [$listenzeile_id] ["fiBelegVerbrauch"] != 0) {
			$belegquery = $sql_query ["belegliste"] . " and $tblbelege.id = " . $liste_output [$listenzeile_id] ["fiBelegVerbrauch"];
			$belegrow = get_table_row ( $belegquery );
			$liste_output [$listenzeile_id] ["dtBelegNr"] = shortcutlink ( format_name_html ( $belegrow ["dtBelegNr"] . " / V" ), "belege", "show", $belegrow ["Beleg_id"], $benutzerrechte, "belegmaterialverbrauch", "show" );
		}
		$output .= "<td><nobr>Ind. Artikeltext: </nobr></td><td>";
		$output .= input_text ( "Artikeltext", "dtProjektArtikelTextIndividuell", $liste_output [$listenzeile_id] ["dtProjektArtikelTextIndividuell"], "input_text_150", "", "", $liste_output [$listenzeile_id] ["dtProjektArtikelTextIndividuell"] );
		$output .= "</td>";
		$output .= "</tr><tr>";
		
		$pg_projekt_query = $sql_query ["preisgruppenprojektliste"] . " and fiProjekt = '" . $id . "' ";
		$pg_projekt_row = get_table_row ( $pg_projekt_query );
		if ($pg_projekt_row ["fiPreisgruppe"] != "") {
			$preisgruppe = $pg_projekt_row ["fiPreisgruppe"] - 1;
		} else {
			$pg_kunde_query = $sql_query ["preisgruppenkundenliste"] . " and fiKunde = '" . $field ["fiKunde"] . "' ";
			$pg_kunde_row = get_table_row ( $pg_kunde_query );
			if ($pg_kunde_row ["fiPreisgruppe"] != "") {
				$preisgruppe = $pg_kunde_row ["fiPreisgruppe"] - 1;
			} else {
				$preisgruppe = 0;
			}
		}
		
		$preisgruppen_array [- 1] = "(automatisch) ... (" . preis_from_sql ( $vk_preis_array [$preisgruppe] ) . ")";
		
		// Bestimmung der Preise der Preisgruppen
		$pg_query = $sql_query ["preisgruppenliste"];
		$pg_liste = get_table_array ( $pg_query );
		foreach ( $pg_liste as $pg_id => $pg_value ) {
			$preisgruppen_array [$pg_value ["PreisGruppen_id"]] = $pg_value ["dtPreisgruppeDDText"] . " ... (" . preis_from_sql ( $vk_preis_array [$pg_id] ) . ")";
		}
		$output .= "<td>Preisgruppe: </td><td>";
		$output .= input_dropdownbox_array ( "VK Preisgruppe", $preisgruppen_array, "fiPreisgruppe", $liste_output [$listenzeile_id] ["fiPreisgruppe"], "input_select_150", "", "", "", "", 450, 250, - 200 );
		$output .= "</td>";
		$output .= "</tr><tr>";
		
		$output .= "</table></div></div>";
		
		return $output;
	}
}

?>