<?php

/*
 *
 * conceptERP
 *
 * Copyright (C) 2005 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke
 * http://www.mm-concept.de
 *
 *
 */
if (! isset ( $dontsendheader ) || ! $dontsendheader) {
	header ( 'Content-Type: text/html; charset=iso-8859-1' );
}

/*
 * Benchmarking
 */

if (! function_exists ( "getmicrotime" )) {
	function getmicrotime() {
		list ( $usec, $sec ) = explode ( " ", microtime () );
		return (( float ) $usec + ( float ) $sec);
	}
}

$fAufrufzeit = getmicrotime ();

/*
 * Register_globals Workaround
 */

if (ini_get ( 'register_globals' ) == 0) {
	if (! defined ( 'PMA_GRAB_GLOBALS_INCLUDED' )) {
		define ( 'PMA_GRAB_GLOBALS_INCLUDED', 1 );
		
		if (! empty ( $_GET )) {
			extract ( $_GET, EXTR_OVERWRITE );
		} else if (! empty ( $HTTP_GET_VARS )) {
			extract ( $HTTP_GET_VARS, EXTR_OVERWRITE );
		}
		
		if (! empty ( $_POST )) {
			extract ( $_POST, EXTR_OVERWRITE );
		} else if (! empty ( $HTTP_POST_VARS )) {
			extract ( $HTTP_POST_VARS, EXTR_OVERWRITE );
		}
		
		if (! empty ( $_FILES )) {
			while ( list ( $name, $value ) = each ( $_FILES ) ) {
				$$name = $value ['tmp_name'];
			}
		} else if (! empty ( $HTTP_POST_FILES )) {
			while ( list ( $name, $value ) = each ( $HTTP_POST_FILES ) ) {
				$$name = $value ['tmp_name'];
			}
		}
		
		if (! empty ( $_SERVER ) && isset ( $_SERVER ['PHP_SELF'] )) {
			$PHP_SELF = $_SERVER ['PHP_SELF'];
		} else if (! empty ( $HTTP_SERVER_VARS ) && isset ( $HTTP_SERVER_VARS ['PHP_SELF'] )) {
			$PHP_SELF = $HTTP_SERVER_VARS ['PHP_SELF'];
		}
		
		if (isset ( $goto ) && strpos ( ' ' . $goto, '/' ) > 0 && substr ( $goto, 0, 2 ) != './') {
			unset ( $goto );
		}
		
		if (get_magic_quotes_gpc ()) {
			if (isset ( $db )) {
				$db = stripslashes ( $db );
			}
			if (isset ( $table )) {
				$table = stripslashes ( $table );
			}
		}
	}
}

/*
 * magic_quotes_gpc() fix
 * http://www.php.net/manual/de/security.magicquotes.disabling.php
 */
if (get_magic_quotes_gpc ()) {
	$process = array (
			&$_GET,
			&$_POST,
			&$_COOKIE,
			&$_REQUEST 
	);
	while ( list ( $key, $val ) = each ( $process ) ) {
		foreach ( $val as $k => $v ) {
			unset ( $process [$key] [$k] );
			if (is_array ( $v )) {
				$process [$key] [stripslashes ( $k )] = $v;
				$process [] = &$process [$key] [stripslashes ( $k )];
			} else {
				$process [$key] [stripslashes ( $k )] = stripslashes ( $v );
			}
		}
	}
	unset ( $process );
}

/*
 * Pfad bestimmen
 */
file_exists ( "config/" ) ? $include_prefix = "" : $include_prefix = "../";

/*
 * Hauptkonfiguration laden
 */
include ($include_prefix . "config/config.php");
include ($include_prefix . "config/config-sqlserver.php");
include ($include_prefix . "config/config-menu.php");
include ($include_prefix . "versions.php");

/*
 * Custom-Funktionen laden (Pre)
 */
$sqlstructure = array ();
include ($include_prefix . $functionsordner_custom . "/function_custom_pre.php");

/*
 * Datenbankverbindung aufbauen und SQL-Funktionen laden
 */
mysql_connect ( $hostip, $user, $userpwd );
mysql_select_db ( $dbname ) or die ( "Fehler beim oeffnen der Datenbank" );

/*
 * ggf. Datenbankencoding anpassen
 */
if (isset ( $dbencoding )) {
	if (strtolower ( $dbencoding ) == "utf8") {
		mysql_query ( 'SET character_set_client = latin1;
		SET character_set_results = latin1;
		SET character_set_connection = latin1;
		SET character_set_server = latin1;
		SET collation_connection = latin1_swedish_ci;
		SET collation_server = latin1_swedish_ci;' );
	}
}

if (! file_exists ( "../config/" ) && ! file_exists ( "config/" ))
	$include_prefix = "../";
	/*
 * SQL-Funktionen laden
 */
require_once ($include_prefix . $functionsordner . "/function_sql.php");
require_once ($include_prefix . $functionsordner . "/function_sql_structure.php");
require_once ($include_prefix . $functionsordner . "/function_sql_query.php");

/*
 * Konfiguration initialisieren
 */
require_once ($include_prefix . $functionsordner . "/function_config.php");
extract ( exportiereKonfiguration () );

/*
 * Zeitzone
 */
date_default_timezone_set ( $sLocalTimezone );

/*
 * PHP Fehler anzeigen?
 */
if ($displayErrors) {
	ini_set ( 'display_errors', 1 );
} else {
	ini_set ( 'display_errors', 0 );
}

error_reporting ( E_ALL ^ E_NOTICE ^ E_DEPRECATED );

/*
 * Funktionen laden
 */
include ($include_prefix . $functionsordner . "/function_benno.php");
include ($include_prefix . $functionsordner . "/function_debug.php");
include ($include_prefix . $functionsordner . "/function_file.php");
include ($include_prefix . $functionsordner . "/function_button.php");
include ($include_prefix . $functionsordner . "/function_dashboard.php");
include ($include_prefix . $functionsordner . "/function_check.php");
include ($include_prefix . $functionsordner . "/function_csvohneliste.php");
include ($include_prefix . $functionsordner . "/function_fehler.php");
include ($include_prefix . $functionsordner . "/function_filter.php");
include ($include_prefix . $functionsordner . "/function_formular.php");
include ($include_prefix . $functionsordner . "/function_mail.php");
include ($include_prefix . $functionsordner . "/function_menue.php");
include ($include_prefix . $functionsordner . "/function_liste.php");
include ($include_prefix . $functionsordner . "/function_projekte.php");
include ($include_prefix . $functionsordner . "/function_rechte.php");
include ($include_prefix . $functionsordner . "/function_session.php");
include ($include_prefix . $functionsordner . "/function_history.php");
include ($include_prefix . $functionsordner . "/function_verwaltung.php");
include ($include_prefix . $functionsordner . "/function_taskplaner.php");
include ($include_prefix . $functionsordner . "/function_zeiten.php");
include ($include_prefix . $functionsordner . "/function_zeiterfassung.php");
include ($include_prefix . $functionsordner . "/function_kontaktsync.php");

if(file_exists("update.php"))
	include ($include_prefix . $functionsordner . "/function_update_check.php");

require_once ($include_prefix . $functionsordner . "/function_cache.php");

if ($bAgorumAktivieren == 1 && $ziel != "archiv") {
	include ($include_prefix . $functionsordner . "/ext/agorum/file.php");
	include ($include_prefix . $functionsordner . "/ext/agorum/folder.php");
	include ($include_prefix . $functionsordner . "/ext/agorum/xml.class.php");
}

include ($include_prefix . $functionsordner . "/ext/phpmailer/mail_send.php");

/*
 * PDF-Funktionen laden
 */
include ($include_prefix . $functionsordner . "/ext/fpdf/fpdf.php");
include ($include_prefix . $functionsordner . "/function_pdf.php");

/*
 * E-Mail-Funktionen laden
 */
require_once ($include_prefix . $functionsordner . "/ext/mimeparser/mime_parser.php");
require_once ($include_prefix . $functionsordner . "/ext/mimeparser/rfc822_addresses.php");

/*
 * Statische Konfiguration f�r Problemf�lle
 */

include ($include_prefix . "config/config-static.php");


/*
 * Barcode Generator
 */

include($include_prefix . $functionsordner . "/ext/barcode-generator/BarcodeGenerator.php");
include($include_prefix . $functionsordner . "/ext/barcode-generator/BarcodeGeneratorPNG.php");
include($include_prefix . $functionsordner . "/ext/barcode-generator/BarcodeGeneratorSVG.php");
include($include_prefix . $functionsordner . "/ext/barcode-generator/BarcodeGeneratorJPG.php");
include($include_prefix . $functionsordner . "/ext/barcode-generator/BarcodeGeneratorHTML.php");


/*
 * Session starten
 */

if (isset ( $_GET ["setsession"] )) {
	session_id ( $_GET ["setsession"] );
}

session_name ( "conceptERP-" . $me );
session_start ();

/*
 * Payment_dta
 */
$include_dta = true;
if ($include_dta) {
	$aktuelles_verzeichnis = getcwd ();
	chdir ( $include_prefix . $functionsordner . "/ext/Payment_DTA" );
	include ("DTA.php");
	chdir ( $aktuelles_verzeichnis );
}

/*
 * Zarafa Sync
 */
$zarafa_mapi_aktiv = false;
if (file_exists ( "/usr/share/php/mapi/mapi.util.php" ) && $zarafa_kontakt_sync_aktiv && function_exists ( "mapi_make_scode" )) {
	include ($include_prefix . $functionsordner . "/function_zarafa.php");
	$zarafa_mapi_aktiv = true;
}

/*
 * Open-Xchange Sync
 */
if ($bOXKontaktsyncAktiv) {
	include ($include_prefix . $functionsordner . "/function_openxchange.php");
}

/*
 * Custom-Funktionen laden (Post)
 */
include ($include_prefix . $functionsordner_custom . "/function_custom_post.php");

/*
 * Falls �ber function_custom keine Klasse PDF vererbt wurde, hole dies nun nach
 */
if (! class_exists ( "PDF" )) {
	class PDF extends PDF_default {
	}
}

/*
 * Wenn die Klasse dann existiert, speichere verfuegbare Schriftarten
 */
if (class_exists ( "PDF" )) {
	$pdf_schriftarten = array ();
	$pdf_tmp = new PDF ();
	$pdf_schriftarten_tmp = $pdf_tmp->CoreFonts;
	
	if (array_key_exists ( "helvetica", $pdf_schriftarten_tmp )) {
		$pdf_schriftarten_tmp ["arial"] = "Arial";
	}
	
	if (count ( $pdf_tmp->fonts ) > 0) {
		foreach ( $pdf_tmp->fonts as $sFont => $aFontInfo ) {
			$pdf_schriftarten_tmp [$sFont] = ucfirst ( $aFontInfo ["name"] );
		}
	}
	
	foreach ( $pdf_schriftarten_tmp as $sFont => $sFontName ) {
		if (strpos ( strtolower ( $sFontName ), "bold" ) === false && strpos ( strtolower ( $sFontName ), "italic" ) === false && strpos ( strtolower ( $sFontName ), "oblique" ) === false) {
			$pdf_schriftarten [$sFont] = $sFontName;
		}
	}
	
	asort ( $pdf_schriftarten );
	
	unset ( $pdf_schriftarten_tmp );
	unset ( $pdf_tmp );
}

/* Men� aufbauen */

// $cMenue = new Menue();
// $buttoninformationen = $cMenue->create_menuestructure();
// $buttonarray = $buttoninformationen["Buttonarray"];
// $buttontarget = $buttoninformationen["Buttontarget"];
// $buttoninfo = $buttoninformationen["Buttoninfo"];

?>