
/* Input
 * 
 * 
 */

/* Funktion: Datepicker fr Textboxen
 * Beschreibung: Eine normale Textbox fungiert durch die 
 * Jquery Erweiterung als Datepicker.
 * 
 */
$(function() {
	$( "#erpDatepicker" ).datepicker({
	      prevText: '&#x3c;zurck', prevStatus: '',
	      prevJumpText: '&#x3c;&#x3c;', prevJumpStatus: '',
	      nextText: 'Vor&#x3e;', nextStatus: '',
	      nextJumpText: '&#x3e;&#x3e;', nextJumpStatus: '',
	      currentText: 'heute', currentStatus: '',
	      todayText: 'heute', todayStatus: '',
	      clearText: '-', clearStatus: '',
	      closeText: 'schlieen', closeStatus: '',
	      monthNames: ['Januar','Februar','Mrz','April','Mai','Juni',
	      'Juli','August','September','Oktober','November','Dezember'],
	      monthNamesShort: ['Jan','Feb','Mr','Apr','Mai','Jun',
	      'Jul','Aug','Sep','Okt','Nov','Dez'],
	      dayNames: ['Sonntag','Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag'],
	      dayNamesShort: ['So','Mo','Di','Mi','Do','Fr','Sa'],
	      dayNamesMin: ['So','Mo','Di','Mi','Do','Fr','Sa'],
	      showMonthAfterYear: false,
	      dateFormat:'dd.m.yy'	
	});
});


/* Output
 * 
 * 
 */


/* Funktion: Textbox auslesen
 * 
 */

function readTextbox(txtTextbox)
{
	return $(txtTextbox).val();
}

