/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Returns Formular */

function formular_return(text) {
	/* das Ziel steht am Anfang des HTML Codes zwischen <!-- und --> */

	if (text.substring(0,14) == "<!--formularid") {
		log.debug("Senden Rueckmeldung: " + htmlentities(text.substring(0,10000)));

		var textarray = text.split("-->");
		var formularid = textarray[0].substring(14);
		insertHTML('row_id_'+formularid, text);
		aenderung_in_liste_reset2();
		
	} else if (text.substring(0,13) == "<!--meldungid") {
		log.debug("Senden Rueckmeldung: " + htmlentities(text.substring(0,10000)));

		var textarray = text.split("-->");
		var formularid = textarray[0].substring(13);
		insertHTML('meldungsbox', text);
		document.getElementById('meldungsbox').style.display = 'block';
		document.getElementById('meldungsbox').style.zIndex = 100;
		
	} else {
		log.error("Senden Rueckmeldung: " + htmlentities(text.substring(0,10000)));
	}
	
	log.profile("FormularSenden");
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Returns Formular loeschen */

function formular_loeschen_returntext(text) {
	log.debug("Loeschen Rueckmeldung: " + htmlentities(text.substring(0,10000)));

	/* das Ziel steht am Anfang des HTML Codes zwischen <!-- und --> */
	if (text.substring(0,14) == "<!--formularid") {

		var textarray = text.split("-->");
		var formularid = textarray[0].substring(14);
		insertHTML('row_id_'+formularid, 'test');  
		document.getElementById('row_id_'+formularid).style.display = 'none';
		
	} else if (text.substring(0,13) == "<!--meldungid") {

		var textarray = text.split("-->");
		var formularid = textarray[0].substring(13);
		insertHTML('meldungsbox', text);
		document.getElementById('meldungsbox').style.display = 'block';
		document.getElementById('meldungsbox').style.zIndex = 100;
		
	}
	
	log.profile("FormularLoeschen");
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Returns History */

function history_return(text) {
	log.debug("History Rueckmeldung: " + htmlentities(text.substring(0,10000)));

	/* das Ziel steht am Anfang des HTML Codes zwischen <!-- und --> */
	if (text.substring(0,13) == "<!--historyid") {

		var textarray = text.split("-->");
		var historyid = textarray[0].substring(13);

		insertHTML('dd_history'+historyid, text);  
	}
	
	log.profile("HistoryFocus");
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Returns Filter */

function filter_return() {

	/* Die Rckgabe setzt sich zusammen aus einem Steuercode und HTML-Code */
	var text = this.req.responseText;

	log.debug("Filter Rueckmeldung: " + htmlentities(text.substring(0,10000)));

	/* das Ziel steht am Anfang des HTML Codes zwischen <!-- und --> */
	if (text.substring(0,14) == "<!--filtername") {
		var textarray = text.split("-->");
		var filtername = textarray[0].substring(14);

		insertHTML('dd_'+filtername, text);  

		/* fhre ggf gleich einen Filterlauf aus */
		filtername_r = filtername.replace("[", "_").replace("]", "");
		if (document.getElementById(filtername_r+'_text').value != "") {
			dropdownbox_eingabefilter(filtername, document.getElementById(filtername_r+'_text').value);		    	
		}
		
		// Bei neuen Multiselects Eintraege faerben
		if(typeof(dropdownbox_multi[filtername]) == 'object') dropdownbox_multi_faerbeNeueEintraege(filtername);
	}
	log.profile("FilterFocus");
}
