



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Pausenberechnung */
function pausenberechnung (beginn,ende,teilzeit) {

	fruehstueckschwelle = stdmin2min("<?php echo $fruehstueck_schwelle ?>");
	fruehstueckvon = stdmin2min("<?php echo $fruehstueck_von ?>");
	fruehstueckbis = stdmin2min("<?php echo $fruehstueck_bis ?>");
	fruehstueckpause = parseInt("<?php echo $fruehstueck_standard ?>");

	mittagschwelle = stdmin2min("<?php echo $mittagspause_schwelle ?>");
	mittagvon = stdmin2min("<?php echo $mittagspause_von ?>");
	mittagbis = stdmin2min("<?php echo $mittagspause_bis ?>");
	mittagpause = parseInt("<?php echo $mittagspause_standard ?>");

	arbeitkurz = parseInt("<?php echo $kurzarbeit ?>");

	/* keine Pause bei Teilzeitkrften */
	if (teilzeit != 0) {
		pause = 0;}
	else {

		/* keine Pause, wenn nichts anderes zutrifft */
		pause = 0;

		/* anwesend whrend der Frhstckszeit */  
		if (beginn <= fruehstueckvon && ende >= fruehstueckschwelle && (ende - beginn) > arbeitkurz) {
			pause = pause + fruehstueckpause;}
		else if (beginn <= fruehstueckschwelle && ende >= fruehstueckbis && (ende - beginn) > arbeitkurz) {
			pause = pause + fruehstueckpause;}

		/* anwesend whrend der Mittagszeit */  
		if (beginn <= mittagvon && ende >= mittagschwelle && (ende - beginn) > arbeitkurz) {
			pause = pause + mittagpause;}
		else if (beginn <= mittagschwelle && ende >= mittagbis && (ende - beginn) > arbeitkurz) {
			pause = pause + mittagpause;}
	}

	return (pause);
}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Berechnung eines dezimalen Zeitfeldes aus einem Standard Zeitfeld */
function stdmin2dezmin(x) {

	projektzeitdezimal_intervall = parseInt("<?php echo $projektzeitdezimal_intervall ?>");

	zeit = x.split(":");


	if (projektzeitdezimal_intervall == 60) {

		if (zeit[1] >= 30) {
			min = "00";
			std = (zeit[0]*1) + 1;

		} else if (zeit[1] < 30) {
			min = "00";
			std = zeit[0]*1;
		}


	} else if (projektzeitdezimal_intervall == 30) {

		if (zeit[1] >= 45) {
			min = "00";
			std = (zeit[0]*1) + 1;

		} else if (zeit[1] >= 15) {
			min = "50";
			std = zeit[0]*1;

		} else if (zeit[1] < 15) {
			min = "00";
			std = zeit[0]*1;
		}


	} else if (projektzeitdezimal_intervall == 15) {

		if (zeit[1] >= 53) {
			min = "00";
			std = (zeit[0]*1) + 1;

		} else if (zeit[1] >= 38) {
			min = "75";
			std = zeit[0]*1;

		} else if (zeit[1] >= 23) {
			min = "50";
			std = zeit[0]*1;

		} else if (zeit[1] >= 8) {
			min = "25";
			std = zeit[0]*1;

		} else if (zeit[1] < 8) {
			min = "00";
			std = zeit[0]*1;
		}


	} else if (projektzeitdezimal_intervall == 10) {

		if (zeit[1] >= 55) {
			min = "00";
			std = (zeit[0]*1) + 1;

		} else if (zeit[1] >= 45) {
			min = "83";
			std = zeit[0]*1;

		} else if (zeit[1] >= 35) {
			min = "67";
			std = zeit[0]*1;

		} else if (zeit[1] >= 25) {
			min = "50";
			std = zeit[0]*1;

		} else if (zeit[1] >= 15) {
			min = "33";
			std = zeit[0]*1;

		} else if (zeit[1] >= 5) {
			min = "17";
			std = zeit[0]*1;

		} else if (zeit[1] < 5) {
			min = "00";
			std = zeit[0]*1;
		}


	} else if (projektzeitdezimal_intervall == 5) {

		if (zeit[1] >= 58) {
			min = "00";
			std = (zeit[0]*1) + 1;

		} else if (zeit[1] >= 53) {
			min = "92";
			std = zeit[0]*1;

		} else if (zeit[1] >= 48) {
			min = "83";
			std = zeit[0]*1;

		} else if (zeit[1] >= 43) {
			min = "75";
			std = zeit[0]*1;

		} else if (zeit[1] >= 38) {
			min = "67";
			std = zeit[0]*1;

		} else if (zeit[1] >= 33) {
			min = "58";
			std = zeit[0]*1;

		} else if (zeit[1] >= 28) {
			min = "50";
			std = zeit[0]*1;

		} else if (zeit[1] >= 23) {
			min = "42";
			std = zeit[0]*1;

		} else if (zeit[1] >= 18) {
			min = "33";
			std = zeit[0]*1;

		} else if (zeit[1] >= 13) {
			min = "25";
			std = zeit[0]*1;

		} else if (zeit[1] >= 8) {
			min = "17";
			std = zeit[0]*1;

		} else if (zeit[1] >= 3) {
			min = "08";
			std = zeit[0]*1;

		} else if (zeit[1] < 3) {
			min = "00";
			std = zeit[0]*1;
		}

	} else {

		std = zeit[0]*1;
		min = Math.floor(zeit[1] / 60 * 100);
		if (min < 10) { min = "0"+min; };
	
	}
	
	return (std + "," + min);

}

function roundTime(x, intervall)
{
	zeit = x.split(":");

	min = zeit[1] / intervall;
	min = Math.round(min) * intervall;
	
	if(min >= 60) {
		zeit[0]++;
		min = 0;
	}

	if(min < 10) {
		return zeit[0] + ":0" + min;
	} else {
		return zeit[0] + ":" + min;
	}

}

