<?php
/*
 * conceptERP Copyright (C) 2005 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke http://www.mm-concept.de
 * 
 */
require_once ('functions/init.php');

/*
 * Beim Login
 */
if ($login == "yes") {
	// Alte Temp-Dateien loeschen
	delete_old_files ( "content/tmp", "-2 days" );
	
	baueSession ( $benutzername, $passwort, $akttimestamp, $HTTP_USER_AGENT );
	
	// lade (etwas weiter unten) die Standard-Filter-Einstellungen und die Standard-Sortierungs-Einstellungen
	$allestandardfilterladen = 1;
	$allestandardsortierungladen = 1;
	
	/*
	 * Cache aufraeumen
	 */
	if (Cache_returnTableSize () >= Cache_returnMaxHeapTableSize () - 1024) {
		Cache_deleteOldestEntries ();
	}
	
	/*
	 * ft_min_word_len abrufen
	 */
	schreibeInKonfiguration ( "ft_min_word_len", get_ft_min_word_len () );
	
	// Bereinige Artikelst�ckeintr�ge dessen Variantenangaben inkorrekt sind
	//cleanDatabaseSerializeArray ();
}

// validiere Session, sonst zeige Login oder Fehlerbox
$PHPSESSID = session_id ();

check_valid_session ( $_SESSION ['benutzername'] );

// wenn sich gerade ausgeloggt wurde, beende die Session
if ($logout == "yes") {
	logout ();
	
	exit ();
}

// lade Benutzereinstellungen aus Datenbank
$benutzer_row = holeBenutzer ();

// Rechteverwaltung
include ("rechteverwaltung.php");

// Filterverwaltung
include ("filterverwaltung.php");

// Sortierungsverwaltung
include ("sortierungsverwaltung.php");

// Corporate Design aller Seiten
echo "$doctype\n\n";

// +++++ F�r die Identifizierung der Titledaten +++++ //
if ($typ == "show")
	$sTitleTyp = $typ;
else
	$sTitleTyp = $subtyp;

$htmltitelzeile = erzeugeTitle ( $sTitleTyp, $id );

echo "<html><head><title>$htmltitelzeile</title>\n\n$metatags\n\n";

/*
 * Stylesheets
 */
echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/custom-theme/jquery-ui-1.8.16.custom.css\">\n";

if ($_SESSION ['browsertyp'] != "") {
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle_" . $_SESSION ['browsertyp'] . ".css?ver=" . $concepterpversion . "\">\n";
} else {
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle.css?ver=" . $concepterpversion . "\">\n";
}

echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle.common.css?ver=" . $concepterpversion . "\">\n";

/*
 * OpenSearch
 */
echo "<link rel=\"search\" type=\"application/opensearchdescription+xml\" title=\"Kontaktsuche\" href=\"" . $functionsordner . "/opensearch.xml.php?target=kontakte\" />\n";
echo "<link rel=\"search\" type=\"application/opensearchdescription+xml\" title=\"Projektsuche\" href=\"" . $functionsordner . "/opensearch.xml.php?target=projekte\" />\n";
echo "<link rel=\"search\" type=\"application/opensearchdescription+xml\" title=\"Contentsuche\" href=\"" . $functionsordner . "/opensearch.xml.php?target=content\" />\n";

/*
 * BlackbirdJS Debugging Tool - Anzeigen: F2 - Position wechseln: ALT + F2
 */

if ($enableBlackbirdJs) {
	echo "<script type=\"text/javascript\" src=\"" . $functionsordner . "/ext/blackbirdjs/blackbird.js\"></script>\n";
	echo "<link type=\"text/css\" rel=\"stylesheet\" href=\"" . $functionsordner . "/ext/blackbirdjs/blackbird.css\">\n";
} else {
	echo "<script type=\"text/javascript\">var log = {
  toggle: function() {},
  move: function() {},
  resize: function() {},
  clear: function() {},
  debug: function() {},
  info: function() {},
  warn: function() {},
  error: function() {},
  profile: function() {}
};</script>";
}

/*
 * Emailansicht im Contentbereich
 */
if ($target == "content" || $target == "mailarchiv" || $target == "konfiguration") {
	echo "<script src=\"" . $functionsordner . "/ext/tiny_mce/tiny_mce.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
}

/*
 * Javascripts
 */
echo "<script src=\"" . $functionsordner . "/ext/jquery/jquery-1.6.2.min.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/ext/jquery/jquery-ui-1.8.16.custom.min.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/ext/jquery/jquery.cookie.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";

if ($bAgorumAktivieren == 1) {
	echo "<script src=\"" . $functionsordner . "/ext/agorum/fileTransfer.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
	echo "<script src=\"" . $functionsordner . "/ext/agorum/file.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
	echo "<script src=\"" . $functionsordner . "/ext/agorum/folder.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
	include ($include_prefix . $functionsordner . "/ext/agorum/authentication.php");
}

?>

<script>

var target = "<?php echo $target; ?>";
var typ = "<?php echo $typ; ?>";
var id = "<?php echo $id; ?>";

var subtarget = "<?php echo $subtarget; ?>";
var subtyp = "<?php echo $subtyp; ?>";
var subid = "<?php

echo $subid;
neuesKonfigurationsfeld ( "iAnzahlArtikelInArtikelauswahlListe", "Bestimmt wie viele Artikel in der Artikelauswahlliste erscheinen sollen", CONFIG_TYP_INT, 75, "Buchhaltung" );
?>";

var userid = "<?php echo $benutzer_row['id']; ?>";
var username = "<?php echo $benutzer_row['dtUsername']; ?>";
var submenubutton_aktiv = <?php echo json_encode(explode("-", $smbk)); ?>;


window.name = 'hauptfenster';
</script>



<?php

echo "<script src=\"" . $functionsordner . "/js/erpjavascript.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpjavascript_zeiten.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpjavascript_dhtml.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpjavascript_calendarpopup.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";

if (file_exists ( $functionsordner . "/js/$me.js" )) {
	echo "<script src=\"" . $functionsordner . "/js/$me.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
}
$sql = 'ALTER TABLE `tblBelegDruckInfo` ADD `dtStatischeInfos` TEXT NULL;';

mysql_query ( $sql );

$sql = 'ALTER TABLE `tblBelegDruckInfo` ADD `dtStatischeInfosDruckVorlage` TEXT NULL;';

mysql_query ( $sql );

echo "<script src=\"" . $functionsordner . "/js/erpajax.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpajaxevents.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpajaxreturns.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";

echo "<script src=\"" . $functionsordner . "/js/listen.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";

/*
 * Bei Problemen einmal deaktivieren
 */
echo "<script src=\"" . $functionsordner . "/js/notify/notify.min.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/notify/notifyAddStyle.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";


if (in_array ( $target, array (
		"stempelzeiten",
		"projektzeiten",
		"projektzteshaes",
		"projektztajax",
		"arbeitszeiten",
		"stundennachweis",
		"vznrwstundennachweis",
		"vznrwstundennachweisox",
		"stundenkontrolle",
		"eshaesstundenkontrolle",
		"ueberstundensaetze" 
) )) {
	echo "<script type=\"text/javascript\"> <!-- \n\n";
	include ("$functionsordner/js/erpjavascript_zeiten_dyn.js");
	echo "    //-->  </script>\n\n";
}

echo "</head><body leftmargin=\"0\" topmargin=\"0\" marginwidth=\"0\" marginheight=\"0\" ";
echo "class=\"body\" ";
echo "onKeyUp=\"keypress(event.keyCode?event.keyCode:event.which,  this.value);\">";

/*
 * Men�s
 */
// Top-Men�
echo "\n<table border=0 cellspacing=0 cellpadding=0 style=\"height: " . $appl_height . "\">";
echo "\n<colgroup><col width=\"" . $appl_menu_width . "\"><col width=\"" . ($appl_width - $appl_menu_width - 20) . "\"></colgroup>";

echo "\n<tr><td style=\"background-color: " . $bgcolor_menu . ";\" class=\"body_topmenu\" height=85 colspan=3>";
include ("menu.php");

// Quicklinks-Men�
unset ( $quicklinks );
include ("quicklinksmenu.php");

// History-Men�
include ("historymenu.php");

// Hauptseite
echo "</td>";
echo "\n<td style=\"width: " . ($appl_width - $appl_menu_width - 20) . "px; vertical-align: top; background-color: " . $bgcolor_main . "\">";
ob_flush ();
flush ();

/*
 * Fehler beim POST verhindern
 */
if ($typ == "send" && $subtyp == "send") {
	if (file_exists ( $targetsordner . "/" . $subtarget . "/show.php" )) {
		$subtyp = "show";
	} elseif (file_exists ( $targetsordner . "/" . $subtarget . "/list.php" )) {
		$subtyp = "list";
	} else {
		$subtyp = "";
	}
}

/*
 * Seite darstellen
 */

$file = $targetsordner . "/" . $target . "/" . $typ . ".php";
if ((file_exists ( $file ) && check_link_permission ( $target, $typ, $benutzerrechte, $id )) || $typ == "send_neuprojekt") {
	/*
	 * - Angefordertes Target aufrufen wenn es existiert - Exceptions fangen
	 */
	
	ob_start ( "history_buffer_save" );
	
	echo "<div style=\"margin-top: 10px; margin-left: 10px\" class=\"header\">";
	
	try {
		include $file;
	} 

	catch ( Fehler $e ) {
		$fehler = $e;
		echo $e->getErrorBox ();
		
		if (check_link_permission ( $e->target, $e->typ, $benutzerrechte, $e->id )) {
			if ($e->typ != "neu") {
				unset ( $_GET, $_POST, $_FILES );
			}
			
			$target = $e->target;
			$typ = $e->typ;
			$id = $e->id;
			
			$file = $targetsordner . "/" . $e->target . "/" . $e->typ . ".php";
			if (file_exists ( $file )) {
				include $file;
			}
		}
	}
	
	ob_end_flush ();
	
	/*
	 * Rufe Subtarget auf wenn es existiert und die Berechtigung vorhanden ist
	 */
	$file = $targetsordner . "/" . $subtarget . "/" . $subtyp . ".php";
	
	echo "<div id=\"subtargetdiv\">";
	
	if ($subtarget != "") {
		if (file_exists ( $file ) && check_link_permission ( $subtarget, $subtyp, $benutzerrechte, $subid )) {
			try {
				include ($file);
			} 

			catch ( Fehler $e ) {
				$fehler = $e;
				echo $e->getErrorBox ();
				
				if (check_link_permission ( $e->subtarget, $e->subtyp, $benutzerrechte, $e->subid )) {
					unset ( $_GET, $_POST, $_FILES );
					
					$target = $e->target;
					$typ = $e->typ;
					$id = $e->id;
					
					$subtarget = $e->subtarget;
					$subtyp = $e->subtyp;
					$subid = $e->subid;
					
					$file = $targetsordner . "/" . $e->subtarget . "/" . $e->subtyp . ".php";
					if (file_exists ( $file )) {
						include ($file);
					}
				}
			}
		}
	}
	
	echo "</div></div><br>";
} else {
	/*
	 * Startseite mit Widgets anzeigen
	 */
	echo "<div style=\"margin-top: 10px; margin-left: 10px\" class=\"header\">";
	echo "<div style=\"background-image: url(config/pics/logo2.jpg); background-repeat: no-repeat; background-position:center; height: 600px;\">";
	
	$aWidgetsToDisplay = getListOfWidgets ( $_SESSION ['benutzernr'], $_SESSION ['benutzergruppe'] );
	
	/*
	 * Rand oberhalb der Widgets
	 */
	if (count ( $aWidgetsToDisplay ) > 0) {
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
	}
	
	foreach ( $aWidgetsToDisplay as $aWidgetInfo ) {
		echo "<tr><td class=\"formularrahmen_oben\"></td></tr>";
		echo "<tr><td>";
		
		$sWidgetName = $aWidgetInfo ["sName"];
		$sWidgetAnzeige = $aWidgetInfo ["sAnzeige"];
		$sWidgetBeschreibung = $aWidgetInfo ["sBeschreibung"];
		$sWidgetDatei = "dashboard/" . $sWidgetName . "/show.php";
		$bShowWidget = $aWidgetInfo ["bShowWidget"];
		
		if (file_exists ( $sWidgetDatei )) {
			include_once ("dashboard/" . $sWidgetName . "/show.php");
		}
		
		echo "</td></tr><tr><td class=\"formularrahmen_unten\"></td></tr>";
	}
	
	/*
	 * Rand unterhalb der Widgets
	 */
	if (count ( $aWidgetsToDisplay ) > 0) {
		echo "</table>";
	}
	
	echo "</div>";
	echo "</div>";
}

ob_flush ();
flush ();

/*
 * Zusatzinfo Block Text Wird ben�tigt um den "Zusatzinfos anzeigen" Block unter Listen darzustellen
 */
echo "<div class='liste_zusatzinfo_block_text'>";
echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td colspan=10 class=\"formularrahmen_oben\"></td></tr>";
echo "<tr><td width=520> </td><td><b>";
echo str_repeat ( "&uarr;&nbsp;", 10 );
echo "</b></td></tr><tr><td colspan=10 class=\"formularrahmen_unten\"></td></tr>";
echo "</td></tr></table></div>";

// if($bAgorumAktivieren == 1 && ($target == "content"))
// {
// echo "<script src=\"" . $functionsordner . "/ext/agorum/form.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
// }

/*
 * Debugging
 */
$fZeitJetzt = getmicrotime ();
$fLadezeit = round ( $fZeitJetzt - $fAufrufzeit, 4 );

if ($displayDebugInfos) {
	echo "<hr>";
	echo "DEBUG-Infos:<br><br>";
	// echo "\$target=".$target." <br>\$typ=".$typ."<br><br>";
	// echo "\$_SESSION: "; print_r_html($_SESSION);
	// echo "\$_POST: "; print_r_html($_POST);
	// echo "\$field: "; print_r_html($field);
	// echo "\$buttonarray: "; print_r_html($buttonarray);
	// echo "\$buttontarget: "; print_r_html($buttontarget);
	// echo "\$buttoninfo: "; print_r_html($buttoninfo);
	// echo "\$filter: "; print_r_html($filter[$target]);
	// echo "\$quicklinks: "; print_r_html($quicklinks);
	// echo "\$standardfilter: "; print_r_html($standardfilter);
	// echo "\$sortierung: "; print_r_html($sortierung);
	// echo "\$standardsortierung: "; print_r_html($standardsortierung);
	// echo "\$benutzerrechte: "; print_r_html($benutzerrechte);
	// echo "\$liste_output: "; print_r_html($liste_output);
	// echo "\$liste: "; print_r_html($liste);
	// echo "\$field_new: "; print_r_html($field_new);
	// echo "\$field_old: "; print_r_html($field_old);
	// echo "\$field_bestellungdruckinfo: "; print_r_html($field_bestellungdruckinfo);
	// echo "\$sql_rechte_referer: "; print_r_html($sql_rechte_referer);
	// echo "\$tabelle_felder_array: "; print_r_html($tabelle_felder_array);
	
	echo "Seite in " . $fLadezeit . " Sekunden generiert.";
}

if ($fLadezeit > 3) {
	loggeLadezeit ( $fLadezeit );
}

echo "</td><td></td></tr></table>";
echo "<div id=\"meldungsbox\"></div>"; // (Fehler) -meldungen per Ajax
echo "</body></html>";

/*
 * �berpr�fen, ob ein Update vorhanden ist
 */

if($_SESSION["benutzername"] == "admin" || $_SESSION ['updatebenachrichtigung'] == 1)
	check_update();

/*
 * Datenbankverbindung schliessen
 */
mysql_close ();

?>