<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($subid != "") {
	$query = $sql_query ["belegpostenliste"] . " and $tblbelegposten.id = " . $subid;
	$field_old = get_table_row ( $query );
}

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
$erzeugelagerartikel = ( int ) $field_new ["dtErzeugeLagerArtikel"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte
unset ( $field_new ["dtPreisBrutto"] );
unset ( $field_new ["dtGesamtNetto"] );
unset ( $field_new ["dtGesamtBrutto"] );
unset ( $field_new ["dtErzeugeLagerArtikel"] );

$field_new ["fiBeleg"] = $id;

if ($subid != "") {
	check_fehlermeldung_output ( check_int ( $field_new ["dtPosNr"] ), 1, "Pos.Nr", $target, $typ, $id, $subtarget, "show", $subid );
}

check_double ( $field_new ["dtMenge"] );
check_double ( $field_new ["dtMwstSatz"] );
check_double ( $field_new ["dtPreisNetto"] );

$field_new ["dtMenge"] = double_to_sql ( $field_new ["dtMenge"] );
$field_new ["dtMwstSatz"] = double_to_sql ( $field_new ["dtMwstSatz"] );
$field_new ["dtPreisNetto"] = preis_to_sql ( $field_new ["dtPreisNetto"] );
$field_new ["dtPostenRabatt"] = double_to_sql ( $field_new ["dtPostenRabatt"] );

// prfe, ob mindestens Artikeltext eingegeben wurden
check_fehlermeldung_output ( check_nozero ( $field_new ["dtArtikelBezeichnung"] ), 3, "Artikel", $target, $typ, $id, $subtarget, "show", $subid );

// lsche alle Werte, die fr die Rechnungsposten-Tabelle nicht bentigt werden

// wenn Beleg = gebucht, dann nicht ndern oder neu hinzufgen
$query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $id;
$sub_row = get_table_row ( $query );
if ($sub_row ["dtGebucht"] != 0) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 22 );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
	throw $fehler;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($subid == "") {
	$field_la_new ["fiWarengruppe"] = $field_new ["fiWarengruppe"];
	unset ( $field_new ["fiWarengruppe"] );
	
	$field_new ["fiPreisgruppe"] = $field_preisgruppe ["fiPreisgruppe"];
	$field_new ["dtPreisNettoEK"] = $field_new ["dtPreisNetto"];
	$field_new ["dtMwstSatzEK"] = $field_new ["dtMwstSatz"];
	
	$subid = insert_into_table ( $tblbelegposten, $field_new );
	
	// ++++ erzeuge ggf. Lager-Artikel aus dem Posten
	if ($erzeugelagerartikel == 1) {
		
		// teile Artikelbeschreibung auf, wenn sie mehrzeilig ist
		$artikelbezeichnung_zeilen_array = explode ( "\n", str_replace ( "\r", "", $field_new ["dtArtikelBezeichnung"] ) );
		$artikelbezeichnung = $artikelbezeichnung_zeilen_array [0];
		$artikelbeschreibung = "";
		
		if (count ( $artikelbezeichnung_zeilen_array ) > 1) {
			for($i = 1; $i < count ( $artikelbezeichnung_zeilen_array ); $i ++) {
				$artikelbeschreibung .= $artikelbezeichnung_zeilen_array [$i] . "\n";
			}
		}
		$artikelbeschreibung = substr ( $artikelbeschreibung, 0, - 1 );
		
		// erzeuge Artikel
		$field_la_new ["dtEigeneArtikelNr"] = $field_new ["dtArtikelNr"];
		$field_la_new ["dtArtikel"] = $artikelbezeichnung;
		$field_la_new ["dtFabrikat"] = $field_new ["dtArtikelFabrikat"];
		$field_la_new ["dtBeschreibung"] = $artikelbeschreibung;
		$field_la_new ["fiEinheit"] = $field_new ["fiEinheit"];
		$field_la_new ["dtPreisVK1"] = $field_new ["dtPreisNetto"];
		$field_la_new ["dtPreisVK2"] = $field_new ["dtPreisNetto"];
		$field_la_new ["dtPreisVK3"] = $field_new ["dtPreisNetto"];
		$field_la_new ["dtPreisVK4"] = $field_new ["dtPreisNetto"];
		$field_la_new ["dtPreisVK5"] = $field_new ["dtPreisNetto"];
		$field_la_new ["dtMwstSatzVK"] = $field_new ["dtMwstSatz"];
		
		$lagerartikel_id = insert_into_table ( $tblartikel, $field_la_new );
	}
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	// +++++++++ wenn die Positionsnummer gendert wurde, dann sortiere den Artikel neu ein
	if ($field_old ["dtPosNr"] != $field_new ["dtPosNr"]) {
		$field_new ["dtPosNr"] = $field_new ["dtPosNr"] - 0.5;
	}
	update_into_table ( $tblbelegposten, $subid, $field_new );
	
	belegPostenDurchnummerieren ( $id );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ prfe ob verschoben/kopiert werden soll bei nderung
if ($field_new ["VerschiebeZuBeleg_" . $subid] != "") {
	
	$neuid = $field_new ["VerschiebeZuBeleg_" . $subid];
	
	// suche grte dtPosNr
	$max_pos = get_max_from_table ( $tblbelegposten, "dtPosNr", "where fiBeleg = " . $neuid );
	
	// ndere fiBeleg in tblBelegPosten
	$field_new ["fiBeleg"] = $neuid;
	$field_new ["dtPosNr"] = $max_pos + 1;
	update_into_table ( $tblbelegposten, $subid, $field_new );
	
	// Bilanzinfos aktualisieren
	bilanzbeleg_aktualisieren ( $neuid, true );
} else if ($field_new ["VerschiebeZuBestellung_" . $subid] != "") {
	
	$neuid = $field_new ["VerschiebeZuBestellung_" . $subid];
	
	// suche grte dtPosNr
	$max_pos = get_max_from_table ( $tblbestellungposten, "dtPosNr", "where fiBestellung = " . $neuid );
	
	// erstelle Zeile in tblBestellungPosten
	$field_bestellung = $field_new;
	unset ( $field_bestellung ["id"] );
	unset ( $field_bestellung ["fiBeleg"] );
	$field_bestellung ["fiBestellung"] = $neuid;
	$field_bestellung ["dtPosNr"] = $max_pos + 1;
	insert_into_table ( $tblbestellungposten, $field_bestellung );
	
	// lsche Zeile in tblBelegPosten
	delete_from_table ( $tblbelegposten, $subid );
} else if ($field_new ["KopiereZuBeleg_" . $subid] != "") {
	
	$neuid = $field_new ["KopiereZuBeleg_" . $subid];
	
	// suche grte dtPosNr
	$max_pos = get_max_from_table ( $tblbelegposten, "dtPosNr", "where fiBeleg = " . $neuid );
	
	// kopiere Zeile in tblBelegPosten mit neuer fiBeleg
	unset ( $field_new ["id"] );
	$field_new ["fiBeleg"] = $neuid;
	$field_new ["dtPosNr"] = $max_pos + 1;
	insert_into_table ( $tblbelegposten, $field_new );
	
	// Bilanzinfos aktualisieren
	bilanzbeleg_aktualisieren ( $neuid, true );
} else if ($field_new ["KopiereZuBestellung_" . $subid] != "") {
	
	$neuid = $field_new ["KopiereZuBestellung_" . $subid];
	
	// suche grte dtPosNr
	$max_pos = get_max_from_table ( $tblbestellungposten, "dtPosNr", "where fiBestellung = " . $neuid );
	
	// erstelle Zeile in tblBestellungPosten
	$field_bestellung = $field_new;
	unset ( $field_bestellung ["id"] );
	unset ( $field_bestellung ["fiBeleg"] );
	$field_bestellung ["fiBestellung"] = $neuid;
	$field_bestellung ["dtPosNr"] = $max_pos + 1;
	insert_into_table ( $tblbestellungposten, $field_bestellung );
}

delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>
