<?php
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($subid != "") {
	$query = $sql_query ["belegmaterialpostenliste"] . " and $tblbelegmaterialposten.id = " . $subid;
	$field_old = get_table_row ( $query );
	
	$field_new ["fiArtikel"] = $field_old ["fiArtikel"];
}

$subid_old = $subid;

unset ( $field_new ["warengruppe"] );
unset ( $field_new ["artikelnr"] );

unset ( $field_new ["VariantenArtikelnummer"] );
unset ( $field_new ["VariantenBeschreibung"] );

if (getArtikelTyp ( $field_new ["fiArtikel"] ) != 0) // Kein Stckgut
{
	$field_new ["dtMenge"] = double_to_sql ( $field_new ["dtMenge"] );
} else {
	$field_new ["dtMenge"] = ( int ) $field_new ["dtMenge"];
}

$field_new ["dtPreisNetto"] = preis_to_sql ( $field_new ["dtPreisNetto"] );

$field_new ["dtRabattfaehig"] = ( int ) $field_new ["dtRabattfaehig"];
$field_new ["dtMwstSatz"] = double_to_sql ( $field_new ["dtMwstSatz"] );

if ($field_new ["dtRabattfaehig"] == 0)
	$field_new ["dtMaterialpostenRabatt"] = 0;
else
	$field_new ["dtMaterialpostenRabatt"] = double_to_sql ( $field_new ["dtMaterialpostenRabatt"] );
	
	// +++++ Die Stornomenge darf nicht grer sein als die eingetragene Menge bzw. unter 0 sein +++++ //

if ($field_new ["dtStornomenge"] > $field_new ["dtMenge"]) {
	$field_new ["dtStornomenge"] = $field_new ["dtMenge"];
} elseif ($field_new ["dtStornomenge"] < 0) {
	$field_new ["dtStornomenge"] = 0;
}

$dStornoAbzugMenge = $field_new ["dtMenge"] - $field_new ["dtStornomenge"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

// prfe, ob mindestens Artikeltext eingegeben wurden
check_fehlermeldung_output ( check_nozero ( $field_new ["fiArtikel"] ), 3, "Artikel", $target, $typ, $id, $subtarget, "show", $subid );

/*
 * hole Belegstatus Datensatz
 */
$query = $sql_query ["belegstatusliste"] . " and id = '" . $field ["fiStatus"] . "'";
$field_belegstatus = get_table_row ( $query );

/*
 * Varianten
 */
$aFehlendeVariantenGruppen = array ();

/*
 * Keine Varianten bei neu bermittelt - Prfe ob Varianten zum Artikel gehren und ob diese zwangsweise sind
 */
if ($subid == "" && $field_new ["dtVariante"] == "") {
	$sSqlArtikel = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = '" . $field_new ["fiArtikel"] . "' and $tblartikelvariantengruppen.dtGruppenZwangsauswahl = 1";
	$aListeZwangsVarianten = get_table_array ( $sSqlArtikel );
	
	if (count ( $aListeZwangsVarianten ) > 0) {
		foreach ( $aListeZwangsVarianten as $aZwangsvariantenRow ) {
			$aFehlendeVariantenGruppen [] = $aZwangsvariantenRow ["dtGruppenName"];
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Varianteninformationen sind als einzelne Felder mitgekommen (Materialposten ndern)
if ($subid != "") {
	
	// hole Artikelvariantendaten
	$var_query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = " . $field_new ["fiArtikel"];
	$artikelvarianten_liste = get_table_array ( $var_query );
	
	// suche Felder/Werte je Variantengruppe
	foreach ( ( array ) $artikelvarianten_liste as $key => $value ) {
		$var_output = "";
		if ($value ["dtGruppenMehrfachauswahl"] != 1) {
			$var_output = $field_new ["variante_" . $value ["fiArtikelVariantenGruppe"]];
		} else {
			foreach ( ( array ) $field_new ["variante_" . $value ["fiArtikelVariantenGruppe"]] as $var_key => $var_value ) {
				$var_array [] = $var_value;
			}
			if (is_array ( $var_array ))
				$var_output = implode ( ";", array_unique ( $var_array ) );
		}
		
		if ($var_output != - 1 and $var_output != "") {
			$artikelvarianten_array ["variante_" . $value ["fiArtikelVariantenGruppe"]] = $var_output;
		}
		
		/*
		 * Prfe Zwangsauswahl
		 */
		if ($value ["dtGruppenZwangsauswahl"] == 1) {
			if (empty ( $artikelvarianten_array ["variante_" . $value ["fiArtikelVariantenGruppe"]] )) {
				$aFehlendeVariantenGruppen [] = $value ["dtGruppenName"];
			}
		}
	}
	
	$field_new ["dtVariante"] = serialize ( cleanVariantenArray ( $artikelvarianten_array ) );
	if ($field_new ["dtVariante"] == "N;")
		$field_new ["dtVariante"] = "";
		
		// wenn sich an den Varianten nichts gendert hat, dann belasse alle Varianteninformation wie sie ist
	if ($field_new ["dtVariante"] == $field_old ["dtVariante"]) {
		unset ( $field_new ["dtVariante"] );
		$field_new ["dtVarianteArtNr"] = $field_old ["dtVarianteArtNr"];
		// $field_new["dtVarianteArtName"] = $field_old["dtVarianteArtName"];
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Varianteninformationen liegen als Array vor: Berechne Preis und Varianten-Texte neu
if ($field_new ["dtVariante"] != "") {
	
	$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $field ["fiKunde"];
	$kunde_row = get_table_row ( $query );
	
	$query = "select * from $tblartikel where id = " . $field_new ["fiArtikel"];
	$artikel_row = get_table_row ( $query );
	
	if ($artikel_row ["dtArtikelBeschreibungZuVKGruppen"] == 1)
		$iBeschreibung = $kunde_row ["fiPreisgruppe"];
	else
		$iBeschreibung = $kunde_row ["dtKundeArtikeltextgruppe"];
	
	$varianten_array = unserialize ( $field_new ["dtVariante"] );
	
	foreach ( ( array ) $varianten_array as $key => $value_string ) {
		$key_explode = explode ( "_", $key );
		if (count ( $key_explode ) == 2 and $value_string != - 1) {
			/*
			 * Zwangsauswahl checken
			 */
			$sSqlVariantenGruppe = $sql_query ["artikelvariantengruppenliste"] . " and $tblartikelvariantengruppen.id = '" . $key_explode [1] . "'";
			;
			$aRowVariantenGruppe = get_table_row ( $sSqlVariantenGruppe );
			
			if ($aRowVariantenGruppe ["dtGruppenZwangsauswahl"] == 1 && trim ( $value_string ) == "") {
				$aFehlendeVariantenGruppen [] = $aRowVariantenGruppe ["dtGruppenName"];
			}
			
			$iVEVerkauf = 0;
			$value_array = explode ( ";", $value_string );
			foreach ( ( array ) $value_array as $valuekey => $value ) {
				if ($value != "") {
					
					$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.id ='" . $value . "'";
					$variante_row = get_table_row ( $query );
					
					$var_nr .= $variante_row ["dtGruppenArtikelNrPrefix"] . $variante_row ["dtArtikelVariantenNr"];
					
					if ($variante_row ["dtArtikelVariantenBeschreibung" . $iBeschreibung] != "") {
						$var_name .= $variante_row ["dtArtikelVariantenBeschreibung" . $iBeschreibung] . "\n";
					} else {
						$var_name .= $variante_row ["dtGruppenName"] . ": " . $variante_row ["dtArtikelVariantenName"] . "\n";
					}
					
					/*
					 * mbak spezifisch
					 * Sobald ein Artikel in der Warengruppe AV_Konfigurator liegt, darf keine Variantenberechnung
					 * ausgefhrt werde3n
					 */
					if ($iWarengruppeVorhaenge) {
						$sArtikelQuery = $sql_query ["artikelliste"] . " AND $tblartikel.id = " . $field_new ["fiArtikel"];
						$rArtikel = get_table_row ( $sArtikelQuery );
						
						if ($rArtikel ["fiWarengruppe"] == $iWarengruppeVorhaenge) {
						} else if ($variante_row ["dtArtikelVariantenPreisEinheit"] == 0) {
							$field_new ["dtPreisNetto"] = getArtikelPreis ( $field_new ["fiArtikel"], $field_new ["dtMenge"], getPreisgruppeKunde ( $field ["fiKunde"] ) );
							$anteil = $field_new ["dtPreisNetto"] / 100 * $variante_row ["dtArtikelVariantenPreisdiffVK" . getPreisgruppeKunde ( $field ["fiKunde"] )];
							$var_preis += $anteil;
						} elseif ($variante_row ["dtArtikelVariantenPreisEinheit"] == 1) // absolute Preisnderung
{
							$var_preis += ($variante_row ["dtArtikelVariantenPreisdiffVK" . getPreisgruppeKunde ( $field ["fiKunde"] )]);
						}
					} else if ($variante_row ["dtArtikelVariantenPreisEinheit"] == 0) // prozentuale Preisnderung
{
						$field_new ["dtPreisNetto"] = getArtikelPreis ( $field_new ["fiArtikel"], $field_new ["dtMenge"], getPreisgruppeKunde ( $field ["fiKunde"] ) );
						$anteil = $field_new ["dtPreisNetto"] / 100 * $variante_row ["dtArtikelVariantenPreisdiffVK" . getPreisgruppeKunde ( $field ["fiKunde"] )];
						$var_preis += $anteil;
					} elseif ($variante_row ["dtArtikelVariantenPreisEinheit"] == 1) // absolute Preisnderung
{
						$var_preis += ($variante_row ["dtArtikelVariantenPreisdiffVK" . getPreisgruppeKunde ( $field ["fiKunde"] )]);
					}
					
					if ($variante_row ["dtArtikelVariantenAnzahlVEVerkauf"] > $iVEVerkauf) {
						$iVEVerkauf = $variante_row ["dtArtikelVariantenAnzahlVEVerkauf"];
					}
				}
			}
		}
	}
	
	// Varianten-Zusatzinfos
	$field_new ["dtVariante"] = serialize ( cleanVariantenArray ( $varianten_array ) );
	
	$field_new ["dtVariante"] = check_varianten_array ( $field_new ["dtVariante"] );
	
	$field_new ["dtVarianteArtNr"] = $var_nr;
	$field_new ["dtVarianteArtName"] = substr ( $var_name, 0, - 1 );
	
	// neuer Preis wegen Varianteninfo
	if ($iVEVerkauf > 0 || ($iVEVerkauf = $artikel_row ["dtArtikelEinheitStueckzahl"]) > 0) {
		if ($field_new ["dtMenge"] % $iVEVerkauf) {
			$field_new ["dtMenge"] = ceil ( $field_new ["dtMenge"] / $iVEVerkauf ) * $iVEVerkauf;
			
			$meldung = new Meldung ();
			$meldung->Ueberschrift = "Stckzahl gendert";
			$meldung->Fehlertext = "Die Stckzahl wurde der Verpackungseinheit (" . double_from_sql ( $iVEVerkauf, 0 ) . ") des Artikels angepasst.";
			echo $meldung->getErrorBox ();
		}
	}
	
	/*
	 * mbak spezifisch
	 * Sobald ein Artikel in der Warengruppe AV_Konfigurator liegt, darf keine Variantenberechnung
	 * ausgefhrt werde3n
	 */
	if ($iWarengruppeVorhaenge) {
		if ($rArtikel ["fiWarengruppe"] == $iWarengruppeVorhaenge) {
			// Nichts tun
		} else {
			$field_new ["dtPreisNetto"] = getArtikelPreis ( $field_new ["fiArtikel"], $field_new ["dtMenge"], getPreisgruppeKunde ( $field ["fiKunde"] ) );
			$field_new ["dtPreisNetto"] += $var_preis;
		}
	} else {
		$field_new ["dtPreisNetto"] = getArtikelPreis ( $field_new ["fiArtikel"], $field_new ["dtMenge"], getPreisgruppeKunde ( $field ["fiKunde"] ) );
		$field_new ["dtPreisNetto"] += $var_preis;
	}
} else {
	$field_new ["dtVariante"] = $field_old ["dtVariante"];
}

/*
 * Fehlermeldung bei Zwangsauswahl werfen, falls ntig.
 */
if (count ( $aFehlendeVariantenGruppen ) > 0) {
	$fehler = new Fehler ();
	$fehler->setCustom ( "Zwangsvarianten", "Bei den folgenden Gruppen muss eine Variante ausgewhlt werden:<br>" . join ( "<br>", array_unique ( $aFehlendeVariantenGruppen ) ) );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
	throw $fehler;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++ Verpackungseinheiten +++++++++++++++++++++++
$query = "select * from $tblartikel where id = " . $field_new ["fiArtikel"];
$artikel_row = get_table_row ( $query );

if (($iVEVerkauf = $artikel_row ["dtArtikelEinheitStueckzahl"]) > 0) {
	if ($field_new ["dtMenge"] % $iVEVerkauf) {
		$field_new ["dtMenge"] = ceil ( $field_new ["dtMenge"] / $iVEVerkauf ) * $iVEVerkauf;
		
		$meldung = new Meldung ();
		$meldung->Ueberschrift = "Stckzahl gendert";
		$meldung->Fehlertext = "Die Stckzahl wurde der Verpackungseinheit (" . double_from_sql ( $iVEVerkauf, 0 ) . ") des Artikels angepasst.";
		echo $meldung->getErrorBox ();
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte bei nderung
if ($subid != "") {
	unset ( $field_new ["dtPreisBrutto"] );
	unset ( $field_new ["dtGesamtNetto"] );
	unset ( $field_new ["dtGesamtBrutto"] );
	
	$field_new ["fiBeleg"] = $id;
	$field_new ["fiArtikel"] = $field_old ["fiArtikel"];
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtPosNr"] ), 1, "Pos.Nr", $target, $typ, $id, $subtarget, "show", $subid );
	
	/*
	 * Prfen ob Artikel in entsprechender Menge vorhanden ist
	 */
	if ($field_belegstatus ["dtLagerRelevant"] != 0 && getArtikelTyp ( $field_new ["fiArtikel"] ) != 2) // Wenn Status >= Beauftragt erledigt und nicht virtueller Artikel
{
		if ($bAlleArtikelInProjektBelegenVerfuegbar == TRUE)
			$anzahlArtikelStueckVerfuegbar = getArtikelAnzahlVerfuegbar ( $field_new ["fiArtikel"], 0, unserialize ( $field_new ["dtVariante"] ) );
		else
			$anzahlArtikelStueckVerfuegbar = getArtikelAnzahlVerfuegbar ( $field_new ["fiArtikel"], $field ["fiProjekt"], unserialize ( $field_new ["dtVariante"] ) );
		
		if ($anzahlArtikelStueckVerfuegbar < ($field_new ["dtMenge"] - $field_old ["dtMenge"])) {
			$fehler = new Fehler ();
			$fehler->setPredefined ( 24, $anzahlArtikelStueckVerfuegbar );
			$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
			throw $fehler;
		}
		
		if ($field_old ["dtVariante"] != $field_new ["dtVariante"]) {
			if ($anzahlArtikelStueckVerfuegbar < $field_new ["dtMenge"]) {
				$fehler = new Fehler ();
				$fehler->setPredefined ( 24, $anzahlArtikelStueckVerfuegbar );
				$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
				throw $fehler;
			}
		}
	}
	
	// Staffelpreise ggf. anwenden
	if ($field_new ["dtMenge"] != $field_old ["dtMenge"]) {
		if (is_array ( unserialize ( $field_old ["dtStaffelVK" . getPreisgruppeKunde ( $field ["fiKunde"] )] ) )) {
			$field_new ["dtPreisNetto"] = getArtikelPreis ( $field_new ["fiArtikel"], $field_new ["dtMenge"], getPreisgruppeKunde ( $field ["fiKunde"] ) );
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte bei Neu
if ($subid == "") {
	
	unset ( $field_new ["dtPreisBrutto"] );
	unset ( $field_new ["dtGesamtNetto"] );
	unset ( $field_new ["dtGesamtBrutto"] );
	
	$field_new ["fiBeleg"] = $id;
	
	/*
	 * Prfen ob Artikel in entsprechender Menge vorhanden ist
	 */
	if ($field_belegstatus ["dtLagerRelevant"] != 0 && getArtikelTyp ( $field_new ["fiArtikel"] ) != 2) // Wenn Status >= Beauftragt erledigt und nicht virtueller Artikel
{
		if ($bAlleArtikelInProjektBelegenVerfuegbar == TRUE)
			$anzahlArtikelStueckVerfuegbar = getArtikelAnzahlVerfuegbar ( $field_new ["fiArtikel"], 0, unserialize ( $field_new ["dtVariante"] ) );
		else
			$anzahlArtikelStueckVerfuegbar = getArtikelAnzahlVerfuegbar ( $field_new ["fiArtikel"], $field ["fiProjekt"], unserialize ( $field_new ["dtVariante"] ) );
		
		if ($anzahlArtikelStueckVerfuegbar < $field_new ["dtMenge"]) {
			$fehler = new Fehler ();
			$fehler->setPredefined ( 24, $anzahlArtikelStueckVerfuegbar );
			$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
			throw $fehler;
		}
	}
	
	$sQueryArtikelStueck = "SELECT * FROM $tblartikelstueck WHERE fiArtikel = " . $field_new ["fiArtikel"];
	
	if ($field ["fiProjekt"] > 0) {
		$sQueryArtikelStueck .= " AND fiProjekt = " . $field ["fiProjekt"];
	}
	
	$sQueryArtikelStueck .= " LIMIT 1";
	
	$aArtikelStueck = get_table_row ( $sQueryArtikelStueck );
	$field_new ["dtArtikelTextIndividuell"] = $aArtikelStueck ["dtProjektArtikelTextIndividuell"];
	
	// wenn eine Preisgruppe ausgewhlt wurde, dann nimm den Preis zu dieser Preisgruppe
	if ($field_new ["fiPreisgruppe"] != - 1) {
		$iPreisgruppe = $field_new ["fiPreisgruppe"];
	} else {
		$iPreisgruppe = getPreisgruppeKunde ( $field ["fiKunde"] );
		
		// wenn es eine Preisgruppe zum Projekt gibt, dann hat diese Prioritt
		if ($field ["fiProjekt"] != 0) {
			$sQuery = "SELECT fiPreisgruppe FROM $tblpreisgruppenprojekte WHERE fiProjekt = " . $field ["fiProjekt"];
			
			if (($aPreisgruppe = get_table_row ( $sQuery ))) {
				$iPreisgruppe = $aPreisgruppe ["fiPreisgruppe"];
			}
		}
		
		// wenn es eine Preisgruppe zum Projektartikel gibt, dann hat diese Prioritt
		if ($aArtikelStueck ["fiPreisgruppe"] > 0 && $field ["fiProjekt"] > 0) {
			$iPreisgruppe = $aArtikelStueck ["fiPreisgruppe"];
		}
	}
	
	unset ( $field_new ["fiPreisgruppe"] );
	
	$query = "SELECT * FROM $tblartikel WHERE id = " . $field_new ["fiArtikel"];
	$artikel_row = get_table_row ( $query );
	
	/*
	 * Buchungskonto festlegen
	 */
	if ($field_new ["fiBuchungsKonto"] == "-1") {
		$field_new ["fiBuchungsKonto"] = $artikel_row ["fiArtikelBuchungsKonto"];
	}
	
	if ($field_new ["fiBuchungsKonto"] == "" || $field_new ["fiBuchungsKonto"] == "0") {
		$field_new ["fiBuchungsKonto"] = $standardbuchhaltungskonto_belegmaterialposten;
	}
	
	/*
	 * Beschreibung festlegen (hierbei Artikeltextgruppe bercksichtigen)
	 */
	$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $field ["fiKunde"];
	$kunde_row = get_table_row ( $query );
	
	if ($kunde_row ["dtKundeArtikeltextgruppe"] == "1" || ($artikel_row ["dtArtikelBeschreibungZuVKGruppen"] == 1 && $kunde_row ["fiPreisgruppe"] == 1)) {
		$field_new ["dtBeschreibungIndividuell"] = $artikel_row ["dtBeschreibung"];
		$iBeschreibung = 1;
	} else {
		if ($artikel_row ["dtArtikelBeschreibungZuVKGruppen"] == 1) {
			$iBeschreibung = $kunde_row ["fiPreisgruppe"];
		} else {
			$iBeschreibung = $kunde_row ["dtKundeArtikeltextgruppe"];
		}
		$field_new ["dtBeschreibungIndividuell"] = $artikel_row ["dtBeschreibung" . $iBeschreibung];
	}
	
	$field_new ["dtMwstSatz"] = $artikel_row ["dtMwstSatzVK"];
	$field_new ["fiEinheit"] = $artikel_row ["fiEinheit"];
	$field_new ["dtRabattfaehig"] = $artikel_row ["dtRabattfaehig"];
	
	if ($field_new ["dtPreisNetto"] == 0) {
		$field_new ["dtPreisNetto"] = getArtikelPreis ( $field_new ["fiArtikel"], $field_new ["dtMenge"], $iPreisgruppe );
	}
	
	/*
	 * Rabatt bestimmen - Kundenrabatt bercksichtigen - Artikelrabtt bercksichtigen Der hhere Rabatt zhlt immer, dabei jedoch Maximalrabatt bercksichtigen. Rabattfhigkeit ebenfalls beachten.
	 */
	if ($artikel_row ["dtRabattfaehig"] == 1) {
		if ($artikel_row ["dtArtikelRabatt"] > $kunde_row ["dtKundeRabattProzent"]) {
			if ($kunde_row ["dtKundeIstMaximalrabatt"] == 1) {
				$field_new ["dtMaterialpostenRabatt"] = $kunde_row ["dtKundeRabattProzent"];
			} else {
				$field_new ["dtMaterialpostenRabatt"] = $artikel_row ["dtArtikelRabatt"];
				
				// Staffelrabatt ggf. anwenden
				$fStaffelRabatt = getRabattStaffelSatz ( $field_new ["fiArtikel"], $field_new ["dtMenge"] );
				
				if ($fStaffelRabatt > 0)
					$field_new ["dtMaterialpostenRabatt"] = double_to_sql ( $fStaffelRabatt );
			}
		} else {
			if ($artikel_row ["dtArtikelMaximalrabatt"] == 1) {
				$field_new ["dtMaterialpostenRabatt"] = $artikel_row ["dtArtikelRabatt"];
				
				// Staffelrabatt ggf. anwenden
				$fStaffelRabatt = getRabattStaffelSatz ( $field_new ["fiArtikel"], $field_new ["dtMenge"] );
				
				if ($fStaffelRabatt > 0)
					$field_new ["dtMaterialpostenRabatt"] = double_to_sql ( $fStaffelRabatt );
			} else {
				$field_new ["dtMaterialpostenRabatt"] = $kunde_row ["dtKundeRabattProzent"];
			}
		}
	} else {
		$field_new ["dtMaterialpostenRabatt"] = 0;
	}
	
	/*
	 * Bei Rabattangabe im Neuformular
	 */
	
	if ($field_new ["dtMaterialpostenRabattNeu"] > 0) {
		$field_new ["dtRabattfaehig"] = 1;
		$field_new ["dtMaterialpostenRabatt"] = double_to_sql ( $field_new ["dtMaterialpostenRabattNeu"] );
	}
	
	// ermittle MwSt-Satz des Kunden und passe ggf Mwst-Satz des Artikels an
	$query = $sql_query ["mwstsatzkundenliste"] . " and $tblmwstsatzkunden.fiKunde = " . $field ["fiKunde"];
	
	if (get_table_count ( $query ) != 0) {
		$field_mwst = get_table_row ( $query );
		if ($field_mwst ["dtMwstSatzTyp"] == 1 or $field_mwst ["dtMwstSatzTyp"] == 2) {
			$field_new ["dtMwstSatz"] = 0;
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ wenn Beleg = gebucht, dann nicht ndern oder neu hinzufgen
$query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $id;
$sub_row = get_table_row ( $query );
if ($sub_row ["dtGebucht"] != 0) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 22 );
	$fehler->setNext ( $target, "show", $id );
	throw $fehler;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($subid == "") {
	
	$aArtikel ["fiArtikel"] = $field_new ["fiArtikel"];
	$aArtikel ["dtVariante"] = $field_new ["dtVariante"];
	$aArtikel ["dtMwstSatz"] = $field_new ["dtMwstSatz"];
	
	// +++++ Der EK Preis des Artikels wird berechnet +++++ //
	$aBerechnungEK = getBerechnungFuerEK ( $aArtikel );
	
	$field_new ["dtPreisNettoEK"] = $aBerechnungEK ["dtPreisNettoEK"];
	$field_new ["dtMwstNettoEK"] = $aBerechnungEK ["dtMwstNettoEK"];
	
	$subid = insert_into_table ( $tblbelegmaterialposten, $field_new );
	
	$field_new ["fiPreisgruppe"] = $iPreisgruppe;
	
	if ($field_belegstatus ["dtLagerRelevant"] != 0) // Wenn Status >= Beauftragt erledigt
{
		/*
		 * ordne die Artikel in tblArtikelStck diesem Beleg zu
		 */
		if ($subid_old == "") {
			$fMenge = $field_new ["dtMenge"];
			$bProjektHinzufuegen = true;
		} else {
			$fMenge = $field_new ["dtMenge"] - $field_old ["dtMenge"];
			
			if ($fMenge < 0) {
				$bProjektHinzufuegen = false;
			} else {
				$bProjektHinzufuegen = true;
			}
		}
		
		$bResultAdd = addArtikelStueckToBeleg ( $field_new ["fiArtikel"], $id, $fMenge, $field ["fiProjekt"], unserialize ( $field_new ["dtVariante"] ), false, $bAlleArtikelInProjektBelegenVerfuegbar, $dOldMenge, $field_old ["dtMenge"] );
		
		if (! $bResultAdd) {
			$fehler = new Fehler ();
			$fehler->setPredefined ( 24, $anzahlArtikelStueckVerfuegbar );
			$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
			throw $fehler;
		}
		
		if (getArtikelTyp ( $field_new ["fiArtikel"] ) != 1 && $belegmaterialposten_seriennummern_uebernehmen && $artikelstueck_row ["dtSeriennummer"] != "") {
			$sQuery = "SELECT dtSeriennummer FROM $tblartikelstueck WHERE fiBeleg = '" . $id . "' AND fiArtikel = '" . $field_new ["fiArtikel"] . "'";
			$aSeriennummern = get_table_array ( $sQuery );
			
			foreach ( $aSeriennummern as $aRow ) {
				$sn [] = $aRow ["dtSeriennummer"];
			}
		}
	} else {
		if (getArtikelTyp ( $field_new ["fiArtikel"] ) == 0 || getArtikelTyp ( $field_new ["fiArtikel"] ) == 2) // Stckgut, oder virtueller Artikel
{
			/*
			 * Artikel in tblArtikelStueckNegativ schreiben
			 */
			
			if ($field ["fiProjekt"] != "") {
				$sQuery = "SELECT * FROM ($tblartikelstuecknegativ, $tblartikel) WHERE $tblartikel.id = $tblartikelstuecknegativ.fiArtikel";
				$sQuery .= " AND $tblartikelstuecknegativ.fiProjekt = '" . $field ["fiProjekt"] . "'";
				$sQuery .= " AND $tblartikelstuecknegativ.fiArtikel = " . $field_new ["fiArtikel"] . " AND $tblartikelstuecknegativ.dtVariante = '" . $field_new ["dtVariante"] . "' AND $tblartikelstuecknegativ.fiBeleg = 0 LIMIT 0," . $field_new ["dtMenge"] . "";
				$aListe = get_table_array ( $sQuery );
			}
			
			$belegmaterialposten_seriennummern_uebernehmen = false;
			
			if ($aListe != NULL) {
				foreach ( $aListe as $aArtikel ) {
					$artikelstueckNegativNew = array ();
					$artikelstueckNegativNew ['fiBeleg'] = $id;
					$artikelstueckNegativNew ["fiBelegPosten"] = $subid;
					
					update_into_table ( $tblartikelstuecknegativ, $aArtikel [0], $artikelstueckNegativNew );
				}
			} else {
				
				for($i = 0; $i < ( int ) $field_new ["dtMenge"]; $i ++) {
					$artikelstueckNegativNew = array ();
					$artikelstueckNegativNew ['fiArtikel'] = $field_new ["fiArtikel"];
					$artikelstueckNegativNew ['dtStatus'] = 0;
					$artikelstueckNegativNew ['fiBeleg'] = $id;
					$artikelstueckNegativNew ['fiProjekt'] = $field ["fiProjekt"];
					$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
					$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
					
					$artikelstueckNegativNew ["dtVariante"] = $field_new ["dtVariante"];
					$artikelstueckNegativNew ["dtVarianteArtNr"] = $field_new ["dtVarianteArtNr"];
					$artikelstueckNegativNew ["dtVarianteArtName"] = $field_new ["dtVarianteArtName"];
					$artikelstueckNegativNew ["fiBelegPosten"] = $subid;
					
					insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
				}
			}
		} elseif (getArtikelTyp ( $field_new ["fiArtikel"] ) == 1) // Massengut
{
			if ($field ["fiProjekt"] != "") {
				$sQuery = "SELECT * FROM ($tblartikelstuecknegativ, $tblartikel) WHERE $tblartikel.id = $tblartikelstuecknegativ.fiArtikel";
				$sQuery .= " AND $tblartikelstuecknegativ.fiProjekt = '" . $field ["fiProjekt"] . "'";
				$sQuery .= " AND $tblartikelstuecknegativ.fiArtikel = " . $field_new ["fiArtikel"] . " AND $tblartikelstuecknegativ.dtVariante = '" . $field_new ["dtVariante"] . "' AND $tblartikelstuecknegativ.fiBeleg = 0 LIMIT 0," . $field_new ["dtMenge"] . "";
				$aListe = get_table_array ( $sQuery );
			}
			
			if ($aListe != NULL) {
				$artikelstueckNegativNew = array ();
				$artikelstueckNegativNew ["dtStueckMenge"] = $aListe [0] ["dtStueckMenge"] - $field_new ["dtMenge"];
				update_into_table ( $tblartikelstuecknegativ, $aListe [0] [0], $artikelstueckNegativNew );
				
				$sQuery = "SELECT * FROM ($tblartikelstuecknegativ, $tblartikel) WHERE $tblartikel.id = $tblartikelstuecknegativ.fiArtikel";
				$sQuery .= " AND $tblartikelstuecknegativ.fiProjekt = '" . $field ["fiProjekt"] . "'";
				$sQuery .= " AND $tblartikelstuecknegativ.fiArtikel = " . $field_new ["fiArtikel"] . " AND $tblartikelstuecknegativ.dtVariante = '" . $field_new ["dtVariante"] . "' AND $tblartikelstuecknegativ.fiBeleg = " . $id . " LIMIT 0," . $field_new ["dtMenge"] . "";
				$aArtikelstueckNegativBelegVorhanden = get_table_array ( $sQuery );
				
				if ($aArtikelstueckNegativBelegVorhanden != NULL) {
					$artikelstueckNegativNew = array ();
					$artikelstueckNegativNew ["dtStueckMenge"] = $aArtikelstueckNegativBelegVorhanden [0] ["dtStueckMenge"] + $field_new ["dtMenge"];
					
					update_into_table ( $tblartikelstuecknegativ, $aArtikelstueckNegativBelegVorhanden [0] [0], $artikelstueckNegativNew );
				} else {
					$artikelstueckNegativNew = array ();
					$artikelstueckNegativNew ['fiArtikel'] = $field_new ["fiArtikel"];
					$artikelstueckNegativNew ['dtStatus'] = 0;
					$artikelstueckNegativNew ['fiBeleg'] = $id;
					$artikelstueckNegativNew ['fiProjekt'] = $field ["fiProjekt"];
					$artikelstueckNegativNew ['fiProjektTaetigkeit'] = $aListe [0] ["fiProjektTaetigkeit"];
					$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
					
					$artikelstueckNegativNew ["dtVariante"] = $field_new ["dtVariante"];
					$artikelstueckNegativNew ["dtVarianteArtNr"] = $field_new ["dtVarianteArtNr"];
					$artikelstueckNegativNew ["dtVarianteArtName"] = $field_new ["dtVarianteArtName"];
					$artikelstueckNegativNew ["dtStueckMenge"] = $field_new ["dtMenge"];
					$artikelstueckNegativNew ["fiBelegPosten"] = $subid;
					
					insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
				}
			} else {
				$artikelstueckNegativNew = array ();
				$artikelstueckNegativNew ['fiArtikel'] = $field_new ["fiArtikel"];
				$artikelstueckNegativNew ['dtStatus'] = 0;
				$artikelstueckNegativNew ['fiBeleg'] = $id;
				$artikelstueckNegativNew ['fiProjekt'] = $field ["fiProjekt"];
				$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
				$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
				
				$artikelstueckNegativNew ["dtVariante"] = $field_new ["dtVariante"];
				$artikelstueckNegativNew ["dtVarianteArtNr"] = $field_new ["dtVarianteArtNr"];
				$artikelstueckNegativNew ["dtVarianteArtName"] = $field_new ["dtVarianteArtName"];
				$artikelstueckNegativNew ["dtStueckMenge"] = $field_new ["dtMenge"];
				$artikelstueckNegativNew ["fiBelegPosten"] = $subid;
				
				insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
			}
		}
	}
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	// +++++++++ wenn die Positionsnummer gendert wurde, dann sortiere den Artikel neu ein
	if ($field_old ["dtPosNr"] != $field_new ["dtPosNr"]) {
		$field_new ["dtPosNr"] = $field_new ["dtPosNr"] - 0.5;
	}
	
	update_into_table ( $tblbelegmaterialposten, $subid, $field_new );
	
	belegPostenDurchnummerieren ( $id );
	
	/*
	 * Je nach Status bei nderung Artikelanzahl in tblArtikelStueck oder tblArtikelStueckNegativ anpassen
	 */
	if ($field_belegstatus ["dtLagerRelevant"] != 0) // Wenn Status >= Beauftragt erledigt
{
		if ($subid_old == "") {
			$fMenge = $field_new ["dtMenge"];
			$bProjektHinzufuegen = true;
		} else {
			$fOhneStornoMenge = $field_new ["dtMenge"] - $field_old ["dtMenge"];
			
			// +++++ Wird nur die Menge gendert, wird die Stornoabfrage nicht mitgefhrt +++++ //
			if ($fOhneStornoMenge != 0) {
				$fMenge = $fOhneStornoMenge;
			} else {
				// +++++ Hier wird unterschieden zwischen Storno wurde hinzugefgt (stelle fiBeleg = 0)
				if ($field_new ["dtStornomenge"] > $field_old ["dtStornomenge"]) {
					$fMenge = ($field_new ["dtStornomenge"] - $field_old ["dtStornomenge"]) * - 1;
				} // +++++ Und hier wird Storno abgezogen (stelle fiBeleg = aktuelleBelegID)
elseif ($field_new ["dtStornomenge"] < $field_old ["dtStornomenge"]) {
					$fMenge = $field_old ["dtStornomenge"] - $field_new ["dtStornomenge"];
				}
			}
			
			if ($fMenge < 0) {
				$bProjektHinzufuegen = false;
			} else {
				$bProjektHinzufuegen = true;
			}
		}
		
		$bResultAdd = addArtikelStueckToBeleg ( $field_new ["fiArtikel"], $id, $fMenge, $field ["fiProjekt"], cleanVariantenArray ( unserialize ( $field_new ["dtVariante"] ) ), false );
		// $bResultAdd = addArtikelStueckToBeleg ( $field_new ["fiArtikel"], $id, $fMenge, $field ["fiProjekt"], unserialize ( $field_new ["dtVariante"] ), false,$bAlleArtikelInProjektBelegenVerfuegbar, $dOldMenge, $field_old["dtMenge"] );
		
		if (! $bResultAdd) {
			$fehler = new Fehler ();
			$fehler->setPredefined ( 24, $anzahlArtikelStueckVerfuegbar );
			$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
			throw $fehler;
		}
		
		if (getArtikelTyp ( $field_new ["fiArtikel"] ) != 1 && $belegmaterialposten_seriennummern_uebernehmen and $artikelstueck_row ["dtSeriennummer"] != "") {
			$sQuery = "SELECT dtSeriennummer FROM $tblartikelstueck WHERE fiBeleg = '" . $id . "' AND fiArtikel = '" . $field_new ["fiArtikel"] . "'";
			$aSeriennummern = get_table_array ( $sQuery );
			
			foreach ( $aSeriennummern as $aRow ) {
				$sn [] = $aRow ["dtSeriennummer"];
			}
		}
	} else {
		if ($field_new ["dtMenge"] > $field_old ["dtMenge"]) {
			$iAnzahlHinzufuegen = $field_new ["dtMenge"] - $field_old ["dtMenge"];
			
			if (getArtikelTyp ( $field_new ["fiArtikel"] ) == 0 || getArtikelTyp ( $field_new ["fiArtikel"] ) == 2) {
				// lege ggf. neue Artikelstcknegativ an
				for($i = 0; $i < $iAnzahlHinzufuegen; $i ++) {
					$artikelstueckNegativNew = array ();
					$artikelstueckNegativNew ['fiArtikel'] = $field_new ["fiArtikel"];
					$artikelstueckNegativNew ['dtStatus'] = 0;
					$artikelstueckNegativNew ['fiBeleg'] = $id;
					$artikelstueckNegativNew ['fiProjekt'] = 0;
					$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
					$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
					
					$artikelstueckNegativNew ["dtVariante"] = $field_new ["dtVariante"];
					$artikelstueckNegativNew ["dtVarianteArtNr"] = $field_new ["dtVarianteArtNr"];
					$artikelstueckNegativNew ["dtVarianteArtName"] = $field_new ["dtVarianteArtName"];
					$artikelstueckNegativNew ["fiBelegPosten"] = $subid;
					
					insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
				}
				
				// aktualisiere ggf. Varianteninfos bei allen Artikelstck
				$sSQL = "update $tblartikelstuecknegativ ";
				$sSQL .= "set $tblartikelstuecknegativ.dtVariante = '" . $field_new ["dtVariante"] . "' ";
				$sSQL .= ", $tblartikelstuecknegativ.dtVarianteArtNr = '" . $field_new ["dtVarianteArtNr"] . "' ";
				$sSQL .= ", $tblartikelstuecknegativ.dtVarianteArtName = '" . $field_new ["dtVarianteArtName"] . "' ";
				$sSQL .= "where $tblartikelstuecknegativ.fiArtikel = '" . $field_new ["fiArtikel"] . "' ";
				$sSQL .= "and $tblartikelstuecknegativ.fiBeleg = '" . $id . "' ";
				$sSQL .= "and $tblartikelstuecknegativ.fiBelegPosten = '" . $subid . "' ";
				mysql_query ( $sSQL );
			} elseif (getArtikelTyp ( $field_new ["fiArtikel"] ) == 1) {
				$artikelstueckNegativNew = array ();
				$artikelstueckNegativNew ['fiArtikel'] = $field_new ["fiArtikel"];
				$artikelstueckNegativNew ['dtStatus'] = 0;
				$artikelstueckNegativNew ['fiBeleg'] = $id;
				$artikelstueckNegativNew ['fiProjekt'] = 0;
				$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
				$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
				
				$artikelstueckNegativNew ["dtVariante"] = $field_new ["dtVariante"];
				$artikelstueckNegativNew ["dtVarianteArtNr"] = $field_new ["dtVarianteArtNr"];
				$artikelstueckNegativNew ["dtVarianteArtName"] = $field_new ["dtVarianteArtName"];
				$artikelstueckNegativNew ["dtStueckMenge"] = $field_new ["dtMenge"];
				
				$sQuery = mysql_query ( "SELECT id FROM $tblartikelstuecknegativ WHERE fiBelegPosten = " . $subid . "" );
				$aNegativID = mysql_fetch_array ( $sQuery );
				update_into_table ( $tblartikelstuecknegativ, $aNegativID [0], $artikelstueckNegativNew );
			}
		} elseif ($field_new ["dtMenge"] < $field_old ["dtMenge"]) {
			
			if (getArtikelTyp ( $field_new ["fiArtikel"] ) == 0 || getArtikelTyp ( $field_new ["fiArtikel"] ) == 2) {
				// entferne ggf. Artikelstcknegativ
				$iAnzahlLoeschen = $field_old ["dtMenge"] - $field_new ["dtMenge"];
				$sQuery = "DELETE FROM $tblartikelstuecknegativ WHERE fiArtikel = '" . $field_new ["fiArtikel"] . "' and fiBeleg = '" . $id . "' LIMIT " . $iAnzahlLoeschen;
				mysql_query ( $sQuery );
				
				// aktualisiere ggf. Varianteninfos bei allen Artikelstck
				$sSQL = "update $tblartikelstuecknegativ ";
				$sSQL .= "set $tblartikelstuecknegativ.dtVariante = '" . $field_new ["dtVariante"] . "' ";
				$sSQL .= ", $tblartikelstuecknegativ.dtVarianteArtNr = '" . $field_new ["dtVarianteArtNr"] . "' ";
				$sSQL .= ", $tblartikelstuecknegativ.dtVarianteArtName = '" . $field_new ["dtVarianteArtName"] . "' ";
				$sSQL .= "where $tblartikelstuecknegativ.fiArtikel = '" . $field_new ["fiArtikel"] . "' ";
				$sSQL .= "and $tblartikelstuecknegativ.fiBeleg = '" . $id . "' ";
				$sSQL .= "and $tblartikelstuecknegativ.fiBelegPosten = '" . $subid . "' ";
				mysql_query ( $sSQL );
			} elseif (getArtikelTyp ( $field_new ["fiArtikel"] ) == 1) {
				$artikelstueckNegativNew = array ();
				$artikelstueckNegativNew ['fiArtikel'] = $field_new ["fiArtikel"];
				$artikelstueckNegativNew ['dtStatus'] = 0;
				$artikelstueckNegativNew ['fiBeleg'] = $id;
				$artikelstueckNegativNew ['fiProjekt'] = 0;
				$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
				$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
				
				$artikelstueckNegativNew ["dtVariante"] = $field_new ["dtVariante"];
				$artikelstueckNegativNew ["dtVarianteArtNr"] = $field_new ["dtVarianteArtNr"];
				$artikelstueckNegativNew ["dtVarianteArtName"] = $field_new ["dtVarianteArtName"];
				$artikelstueckNegativNew ["dtStueckMenge"] = $field_new ["dtMenge"];
				
				$sQuery = mysql_query ( "SELECT id FROM $tblartikelstuecknegativ WHERE fiBelegPosten = " . $subid . "" );
				$aNegativID = mysql_fetch_array ( $sQuery );
				update_into_table ( $tblartikelstuecknegativ, $aNegativID [0], $artikelstueckNegativNew );
			}
		} elseif ($field_new ["dtMenge"] == $field_old ["dtMenge"]) {
			
			// aktualisiere ggf. Varianteninfos bei allen Artikelstck
			$sSQL = "update $tblartikelstuecknegativ ";
			$sSQL .= "set $tblartikelstuecknegativ.dtVariante = '" . $field_new ["dtVariante"] . "' ";
			$sSQL .= ", $tblartikelstuecknegativ.dtVarianteArtNr = '" . $field_new ["dtVarianteArtNr"] . "' ";
			$sSQL .= ", $tblartikelstuecknegativ.dtVarianteArtName = '" . $field_new ["dtVarianteArtName"] . "' ";
			$sSQL .= "where $tblartikelstuecknegativ.fiArtikel = '" . $field_new ["fiArtikel"] . "' ";
			$sSQL .= "and $tblartikelstuecknegativ.fiBeleg = '" . $id . "' ";
			$sSQL .= "and $tblartikelstuecknegativ.fiBelegPosten = '" . $subid . "' ";
			mysql_query ( $sSQL );
		}
	}
}

// ++++++++++++++++++++++++++++++++
// fge ggf. Seriennummern der Artikel-Stck in Beschreibungstext ein
if ($belegmaterialposten_seriennummern_uebernehmen and is_array ( $sn )) {
	
	// lsche zunchst alte Seriennummern aus Beschreibungstext
	if (strpos ( $field_new ["dtBeschreibungIndividuell"], "\nSN: " ) !== false) {
		$field_new ["dtBeschreibungIndividuell"] = substr ( $field_new ["dtBeschreibungIndividuell"], 0, strpos ( $field_new ["dtBeschreibungIndividuell"], "\nSN: " ) );
	} else if (substr ( $field_new ["dtBeschreibungIndividuell"], 0, 4 ) == "SN: ") {
		$field_new ["dtBeschreibungIndividuell"] = "";
	}
	
	// fge neue Seriennummern an
	$field_sn ["dtBeschreibungIndividuell"] = "";
	if ($field_new ["dtBeschreibungIndividuell"] != "") {
		$field_sn ["dtBeschreibungIndividuell"] = $field_new ["dtBeschreibungIndividuell"] . "\n";
	}
	
	$field_sn ["dtBeschreibungIndividuell"] .= "SN: ";
	
	foreach ( ( array ) $sn as $key => $value ) {
		$field_sn ["dtBeschreibungIndividuell"] .= $value . ", ";
	}
	$field_sn ["dtBeschreibungIndividuell"] = substr ( $field_sn ["dtBeschreibungIndividuell"], 0, - 2 );
	
	update_into_table ( $tblbelegmaterialposten, $subid, $field_sn );
}

if ($field_new ["fiArtikel"] > 0) {
	$aArtikelNeu = array ();
	$aArtikelNeu ["dtLetzteAenderung"] = date ( "Y-m-d H:i:s" );
	update_into_table ( $tblartikel, $field_new ["fiArtikel"], $aArtikelNeu );
}

delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>
