<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($subid != "") {
	$query = $sql_query ["belegzeitpostenliste"] . " and $tblbelegzeitposten.id = " . $subid;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;
$field_new = remove_id_from_post_fields ( $field_new, "__" );

$field_new ["dtBelegZeitZuBeleg"] = ( int ) $field_new ["dtBelegZeitZuBeleg"];

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

// prfe, ob mindestens Artikeltext eingegeben wurde
check_fehlermeldung_output ( check_nozero ( $field_new ["dtBezeichnung"] ), 3, "Bezeichnung", $target, $typ, $id, $subtarget, "show", $subid );

check_double ( $field_new ["dtMenge"] );
check_double ( $field_new ["dtMwstSatz"] );
check_double ( $field_new ["dtPreisNetto"] );

// wenn Beleg = gebucht, dann nicht ndern oder neu hinzufgen
$query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $id;
$sub_row = get_table_row ( $query );
if ($sub_row ["dtGebucht"] != 0) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 22 );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
	throw $fehler;
}

unset ( $field_new ["dtGesamtNetto"] );
unset ( $field_new ["dtZusatzzeitenPreisNetto"] );
unset ( $field_new ["dtGesamtPreisNetto"] );
unset ( $field_new ["dtPreisBrutto"] );
unset ( $field_new ["dtGesamtBrutto"] );

$field_new ["dtDatum"] = concat_date ( $field_new ["datum_tag"], $field_new ["datum_monat"], $field_new ["datum_jahr"] );

unset ( $field_new ["dtKW"] );
unset ( $field_new ["datum_tag"] );
unset ( $field_new ["datum_monat"] );
unset ( $field_new ["datum_jahr"] );

$field_new ["dtMenge"] = double_to_sql ( $field_new ["dtMenge"] );
$field_new ["dtMwstSatz"] = double_to_sql ( $field_new ["dtMwstSatz"] );
$field_new ["dtPreisNetto"] = preis_to_sql ( $field_new ["dtPreisNetto"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($subid == "") {
	
	$field_new ["fiBeleg"] = $id;
	$subid = insert_into_table ( $tblbelegzeitposten, $field_new );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	unset ( $field_new ["fiMitarbeiter"] );
	update_into_table ( $tblbelegzeitposten, $subid, $field_new );
}

delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>