<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
// $field_new["dtIstKunde"] = (int)$field_new["dtIstKunde"];

unset ( $field_new ["endbetrag"] );
unset ( $field_new ["fiBestellungAutor"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

/*
 * Setze Autor
 */
if ($id == "") {
	$field_new ["fiBestellungAutor"] = $_SESSION ['benutzerkontaktid'];
}

// Teste, ob BestellungNr nicht schon vergeben ist
if ($id != "") {
	$query = $sql_query ["bestellungliste"] . " and $tblbestellungen.dtBestellungNr = '$dtBestellungNr' and $tblbestellungen.id != $id";
	check_fehlermeldung_output ( check_unique ( $query ), 7, "Bestellung Nr.", $target, "show", $id );
} else {
	$query = $sql_query ["bestellungliste"] . " and $tblbestellungen.dtBestellungNr = '$dtBestellungNr'";
	check_fehlermeldung_output ( check_unique ( $query ), 7, "Bestellung Nr.", $target, "neu", $id );
}

// Erzeuge Datum, wenn keins eingetragen ist
if ($field_new ["datum_bestellung_tag"] == "" and $field_new ["datum_bestellung_monat"] == "" and $field_new ["datum_bestellung_jahr"] == "") {
	
	$field_new ["datum_bestellung_tag"] = $akttag;
	$field_new ["datum_bestellung_monat"] = $aktmonat;
	$field_new ["datum_bestellung_jahr"] = $aktjahr;
}

// Datumsfelder erzeugen
$field_new ["dtBestellungDatum"] = concat_date ( $field_new ["datum_bestellung_tag"], $field_new ["datum_bestellung_monat"], $field_new ["datum_bestellung_jahr"] );
unset ( $field_new ["datum_bestellung_tag"] );
unset ( $field_new ["datum_bestellung_monat"] );
unset ( $field_new ["datum_bestellung_jahr"] );

$field_new ["dtLieferungDatum"] = concat_date ( $field_new ["datum_lieferung_tag"], $field_new ["datum_lieferung_monat"], $field_new ["datum_lieferung_jahr"] );
unset ( $field_new ["datum_lieferung_tag"] );
unset ( $field_new ["datum_lieferung_monat"] );
unset ( $field_new ["datum_lieferung_jahr"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ trage ggf. Projektnr in Bestellnr ein (ES-HA-ES)
if (function_exists ( bestellnummer_aendern_eshaes )) {
	$field_new ["dtBestellungNr"] = bestellnummer_aendern_eshaes ( $field_new ["dtBestellungNr"], $field_new ["fiProjekt"] );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($id == "") {
	
	// wenn es ein Projekt gibt, dann setze ggf. Bezichnung und Bestellnr nach Projekt
	if ($field_new ["fiProjekt"] != "") {
		$projekt_query = $sql_query ["projektliste"] . " and $tblprojekte.id = " . $field_new ["fiProjekt"];
		$projekt_field = get_table_row ( $projekt_query );
		
		$field_new ["fiKunde"] = $projekt_field ["fiKunde"];
		
		if ($bestellung_bezeichnung_aus_projekt == 1) {
			$field_new ["dtBezeichnung"] = $projekt_field ["dtProjektname"];
		}
		if ($bestellung_bestellnr_aus_projekt == 1) {
			$field_new ["dtBestellungNr"] = $projekt_field ["dtBestellnummer"];
		}
	}
	
	$id = insert_into_table ( $tblbestellungen, $field_new );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ schreibe Beleg-Druck-Infos, wenn es ein neuer Eintrag ist
	$field_bestellungdruckinfo ["fiBestellung"] = $id;
	
	// setze zunchst alle Felder auf Leer
	$field_bestellungdruckinfo ["dtAlternativFirma"] = "";
	$field_bestellungdruckinfo ["dtAlternativZusatz"] = "";
	$field_bestellungdruckinfo ["fiAlternativAnrede"] = 1;
	$field_bestellungdruckinfo ["dtAlternativVorname"] = "";
	$field_bestellungdruckinfo ["dtAlternativNachname"] = "";
	$field_bestellungdruckinfo ["fiAlternativASP"] = 0;
	$field_bestellungdruckinfo ["dtAlternativASP"] = "";
	$field_bestellungdruckinfo ["dtAlternativStrasse"] = "";
	$field_bestellungdruckinfo ["dtAlternativPLZ"] = "";
	$field_bestellungdruckinfo ["dtAlternativOrt"] = "";
	$field_bestellungdruckinfo ["fiAlternativLand"] = 0;
	$field_bestellungdruckinfo ["dtEmailEmpfaenger"] = "";
	$field_bestellungdruckinfo ["dtAlternativAdresseVererben"] = 0;
	$field_bestellungdruckinfo ["dtZusatzInfofeldVererben"] = 0;
	
	// nehme Standard Beleg-texte
	$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = '" . $standard_layout_bestellung . "'";
	$field_temp = $row = get_table_row ( $query );
	unset ( $field_temp ["BelegTexte_id"] );
	unset ( $field_temp ["dtDokumentName"] );
	unset ( $field_temp ["dtTextbausteine"] );
	
	$field_bestellungdruckinfo ["dtTexteArray"] = serialize ( array_merge ( ( array ) $field_temp, ( array ) unserialize ( $row ['dtTextbausteine'] ) ) );
	
	// suche in den letzten 3 Belegen dieses Lieferant nach Vererbungen und berschreibe damit die Standard-Texte (Limit ist 4, weil der aktuelle neue Beleg mit gefunden wird)
	$query = $sql_query ["bestellungliste"] . " and $tblbestellungen.fiLieferant = " . $field_new ["fiLieferant"] . " order by $tblbestellungen.dtBestellungDatum desc, $tblbestellungen.id desc limit 0,4";
	$liste = get_table_array ( $query );
	if (count ( $liste ) != 0) {
		foreach ( $liste as $listenzeile_id => $listenzeile ) {
			if ($listenzeile ["Bestellung_id"] != $id) {
				
				// hole Druckinfos des alten Beleges
				$query = $sql_query ["bestellungdruckinfoliste"] . " and $tblbestellungen.id = " . $listenzeile ["Bestellung_id"];
				$field_bestellungdruckinfo_alt = get_table_row ( $query );
				
				// suche nach Vererbungen in alternativer Belegadresse
				if ($field_bestellungdruckinfo_alt ["dtAlternativAdresseVererben"] == 1 and $altadresse_vererbt == 0) {
					$field_bestellungdruckinfo ["dtAlternativFirma"] = $field_bestellungdruckinfo_alt ["dtAlternativFirma"];
					$field_bestellungdruckinfo ["dtAlternativZusatz"] = $field_bestellungdruckinfo_alt ["dtAlternativZusatz"];
					$field_bestellungdruckinfo ["fiAlternativAnrede"] = $field_bestellungdruckinfo_alt ["fiAlternativAnrede"];
					$field_bestellungdruckinfo ["dtAlternativVorname"] = $field_bestellungdruckinfo_alt ["dtAlternativVorname"];
					$field_bestellungdruckinfo ["dtAlternativNachname"] = $field_bestellungdruckinfo_alt ["dtAlternativNachname"];
					$field_bestellungdruckinfo ["fiAlternativASP"] = $field_bestellungdruckinfo_alt ["fiAlternativASP"];
					$field_bestellungdruckinfo ["dtAlternativASP"] = $field_bestellungdruckinfo_alt ["dtAlternativASP"];
					$field_bestellungdruckinfo ["dtAlternativStrasse"] = $field_bestellungdruckinfo_alt ["dtAlternativStrasse"];
					$field_bestellungdruckinfo ["dtAlternativPLZ"] = $field_bestellungdruckinfo_alt ["dtAlternativPLZ"];
					$field_bestellungdruckinfo ["dtAlternativOrt"] = $field_bestellungdruckinfo_alt ["dtAlternativOrt"];
					$field_bestellungdruckinfo ["fiAlternativLand"] = $field_bestellungdruckinfo_alt ["fiAlternativLand"];
					$field_bestellungdruckinfo ["dtEmailEmpfaenger"] = $field_bestellungdruckinfo_alt ["dtEmailEmpfaenger"];
					$field_bestellungdruckinfo ["dtAlternativAdresseVererben"] = $field_bestellungdruckinfo_alt ["dtAlternativAdresseVererben"];
					$altadresse_vererbt = 1;
				}
				
				// suche nach Vererbungen in Lieferadresse
				if ($field_bestellungdruckinfo_alt ["dtLieferungAdresseVererben"] == 1 and $lieferadresse_vererbt == 0) {
					$field_bestellungdruckinfo ["dtLieferungFirma"] = $field_bestellungdruckinfo_alt ["dtLieferungFirma"];
					$field_bestellungdruckinfo ["dtLieferungZusatz"] = $field_bestellungdruckinfo_alt ["dtLieferungZusatz"];
					$field_bestellungdruckinfo ["fiLieferungAnrede"] = $field_bestellungdruckinfo_alt ["fiLieferungAnrede"];
					$field_bestellungdruckinfo ["dtLieferungVorname"] = $field_bestellungdruckinfo_alt ["dtLieferungVorname"];
					$field_bestellungdruckinfo ["dtLieferungNachname"] = $field_bestellungdruckinfo_alt ["dtLieferungNachname"];
					$field_bestellungdruckinfo ["fiLieferungASP"] = $field_bestellungdruckinfo_alt ["fiLieferungASP"];
					$field_bestellungdruckinfo ["dtLieferungASP"] = $field_bestellungdruckinfo_alt ["dtLieferungASP"];
					$field_bestellungdruckinfo ["dtLieferungStrasse"] = $field_bestellungdruckinfo_alt ["dtLieferungStrasse"];
					$field_bestellungdruckinfo ["dtLieferungPLZ"] = $field_bestellungdruckinfo_alt ["dtLieferungPLZ"];
					$field_bestellungdruckinfo ["dtLieferungOrt"] = $field_bestellungdruckinfo_alt ["dtLieferungOrt"];
					$field_bestellungdruckinfo ["fiLieferungLand"] = $field_bestellungdruckinfo_alt ["fiLieferungLand"];
					$field_bestellungdruckinfo ["dtLieferungAdresseDrucken"] = $field_bestellungdruckinfo_alt ["dtLieferungAdresseDrucken"];
					$field_bestellungdruckinfo ["dtLieferungAdresseVererben"] = $field_bestellungdruckinfo_alt ["dtLieferungAdresseVererben"];
					$lieferadresse_vererbt = 1;
				}
				
				// suche nach Vererbungen in zustzlichen Infofeldern
				if ($field_bestellungdruckinfo_alt ["dtZusatzInfofeldVererben"] == 1 and $zusinfofelder_vererbt == 0) {
					$field_bestellungdruckinfo ["dtZusatzInfofeld1Name"] = $field_bestellungdruckinfo_alt ["dtZusatzInfofeld1Name"];
					$field_bestellungdruckinfo ["dtZusatzInfofeld1Wert"] = $field_bestellungdruckinfo_alt ["dtZusatzInfofeld1Wert"];
					$field_bestellungdruckinfo ["dtZusatzInfofeld2Name"] = $field_bestellungdruckinfo_alt ["dtZusatzInfofeld2Name"];
					$field_bestellungdruckinfo ["dtZusatzInfofeld2Wert"] = $field_bestellungdruckinfo_alt ["dtZusatzInfofeld2Wert"];
					$field_bestellungdruckinfo ["dtZusatzInfofeld3Name"] = $field_bestellungdruckinfo_alt ["dtZusatzInfofeld3Name"];
					$field_bestellungdruckinfo ["dtZusatzInfofeld3Wert"] = $field_bestellungdruckinfo_alt ["dtZusatzInfofeld3Wert"];
					$field_bestellungdruckinfo ["dtZusatzInfofeld4Name"] = $field_bestellungdruckinfo_alt ["dtZusatzInfofeld4Name"];
					$field_bestellungdruckinfo ["dtZusatzInfofeld4Wert"] = $field_bestellungdruckinfo_alt ["dtZusatzInfofeld4Wert"];
					$field_bestellungdruckinfo ["dtZusatzInfofeld5Name"] = $field_bestellungdruckinfo_alt ["dtZusatzInfofeld5Name"];
					$field_bestellungdruckinfo ["dtZusatzInfofeld5Wert"] = $field_bestellungdruckinfo_alt ["dtZusatzInfofeld5Wert"];
					$field_bestellungdruckinfo ["dtZusatzInfofeldVererben"] = $field_bestellungdruckinfo_alt ["dtZusatzInfofeldVererben"];
					$zusinfofelder_vererbt = 1;
				}
				
				// suche nach Vererbungen in Texten
				$field_temp = unserialize ( $field_bestellungdruckinfo_alt ["dtTexteArray"] );
				if ($field_temp ["dtTextVererben"] == 1 and $texte_vererben == 0) {
					$field_bestellungdruckinfo ["dtTexteArray"] = $field_bestellungdruckinfo_alt ["dtTexteArray"];
					$texte_vererben = 1;
				}
				
				// Drucklayouts vererben
				if ($field_bestellungdruckinfo_alt ["dtBestellungDruckLayoutVererben"] == 1 && ! $druckinfo_layout_vererbt) {
					$field_bestellungdruckinfo ["dtBestellungDruckLayout"] = $field_bestellungdruckinfo_alt ["dtBestellungDruckLayout"];
					$field_bestellungdruckinfo ["dtBestellungDruckLayoutVererben"] = $field_bestellungdruckinfo_alt ["dtBestellungDruckLayoutVererben"];
					$druckinfo_layout_vererbt = true;
				}
			}
		}
		
		listeanzahl_aendern ( $tblbestellungen, 1 );
	}
	
	// schreibe Beleg-Druck-Infos
	insert_into_table ( $tblbestellungdruckinfo, $field_bestellungdruckinfo );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	update_into_table ( $tblbestellungen, $id, $field_new );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige den Beleg wieder
$typ = "show";
include ($targetsordner . "/" . $target . "/show.php");

?>
