<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($subid != "") {
	$query = $sql_query ["belegpostenliste"] . " and $tblbelegposten.id = " . $subid;
	$field_old = get_table_row ( $query );
}

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
$erzeugelagerartikel = ( int ) $field_new ["dtErzeugeLagerArtikel"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte
unset ( $field_new ["dtPreisBrutto"] );
unset ( $field_new ["dtGesamtNetto"] );
unset ( $field_new ["dtGesamtBrutto"] );
unset ( $field_new ["dtErzeugeLagerArtikel"] );

$field_new ["fiBestellung"] = $id;

if ($subid != "") {
	check_fehlermeldung_output ( check_int ( $field_new ["dtPosNr"] ), 1, "Pos.Nr", $target, $typ, $id, $subtarget, "show", $subid );
}

check_double ( $field_new ["dtMenge"] );
check_double ( $field_new ["dtMwstSatz"] );
check_double ( $field_new ["dtPreisNetto"] );

$field_new ["dtMenge"] = double_to_sql ( $field_new ["dtMenge"] );
$field_new ["dtMwstSatz"] = double_to_sql ( $field_new ["dtMwstSatz"] );
$field_new ["dtPreisNetto"] = preis_to_sql ( $field_new ["dtPreisNetto"] );
$field_new ["dtPostenRabatt"] = double_to_sql ( $field_new ["dtPostenRabatt"] );

check_fehlermeldung_output ( check_nozero ( $field_new ["dtArtikelBezeichnung"] ), 3, "Artikel", $target, $typ, $id, $subtarget, "show", $subid ); // Artikeltext
check_fehlermeldung_output ( ! empty ( $field_new ["fiBuchungsKonto"] ), 3, "Buchungskonto", $target, $typ, $id, $subtarget, "show", $subid ); // Buchungskonto
                                                                                                                                               
// lsche alle Werte, die fr die Rechnungsposten-Tabelle nicht bentigt werden
                                                                                                                                               
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                                                                                                                                               // ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($subid == "") {
	
	$field_la_new ["fiWarengruppe"] = $field_new ["fiWarengruppe"];
	unset ( $field_new ["fiWarengruppe"] );
	
	$subid = insert_into_table ( $tblbestellungposten, $field_new );
	
	// ++++ erzeuge ggf. Lager-Artikel aus dem Posten
	if ($erzeugelagerartikel == 1) {
		
		// suche Lieferant der Bestellung
		$query = $sql_query ["bestellungliste"] . " and $tblbestellungen.id = $id";
		$field_bestellung = get_table_row ( $query );
		
		// erzeuge Artikel
		$field_la_new ["dtEigeneArtikelNr"] = $field_new ["dtArtikelNr"];
		$field_la_new ["dtArtikel"] = $field_new ["dtArtikelBezeichnung"];
		$field_la_new ["dtFabrikat"] = $field_new ["dtArtikelFabrikat"];
		$field_la_new ["dtBeschreibung"] = "";
		$field_la_new ["fiEinheit"] = $field_new ["fiEinheit"];
		$field_la_new ["dtPreisVK1"] = 0;
		$field_la_new ["dtPreisVK2"] = 0;
		$field_la_new ["dtPreisVK3"] = 0;
		$field_la_new ["dtPreisVK4"] = 0;
		$field_la_new ["dtPreisVK5"] = 0;
		$field_la_new ["dtMwstSatzVK"] = $field_new ["dtMwstSatz"];
		
		$lagerartikel_id = insert_into_table ( $tblartikel, $field_la_new );
		
		// erzeuge Lieferant zum Artikel
		$field_lalieferant_new ["fiArtikel"] = $lagerartikel_id;
		$field_lalieferant_new ["fiLieferant"] = $field_bestellung ["fiLieferant"];
		$field_lalieferant_new ["dtArtikelNrFremd"] = $field_new ["dtArtikelNr"];
		$field_lalieferant_new ["dtAnzahl"] = 1;
		$field_lalieferant_new ["dtStueckPreisEK"] = $field_new ["dtPreisNetto"];
		$field_lalieferant_new ["dtMwstSatzEK"] = $field_new ["dtMwstSatz"];
		$field_lalieferant_new ["dtBemerkung"] = "";
		
		$lagerartikellieferant_id = insert_into_table ( $tblartikellieferanten, $field_lalieferant_new );
	}
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	// +++++++++ wenn die Positionsnummer gendert wurde, dann sortiere den Artikel neu ein
	if ($field_old ["dtPosNr"] != $field_new ["dtPosNr"]) {
		$field_new ["dtPosNr"] = $field_new ["dtPosNr"] - 0.5;
	}
	
	update_into_table ( $tblbestellungposten, $subid, $field_new );
	bestellungPostenDurchnummerieren ( $id );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ prfe ob verschoben/kopiert werden soll bei nderung
if ($field_new ["VerschiebeZuBeleg_" . $subid] != "") {
	
	$neuid = $field_new ["VerschiebeZuBeleg_" . $subid];
	
	// suche grte dtPosNr
	$max_pos = get_max_from_table ( $tblbelegposten, "dtPosNr", "where fiBeleg = " . $neuid );
	
	// erstelle Zeile in tblBestellungPosten
	$field_belegposten = $field_new;
	unset ( $field_belegposten ["id"] );
	unset ( $field_belegposten ["fiBestellung"] );
	$field_belegposten ["fiBeleg"] = $neuid;
	$field_belegposten ["dtPosNr"] = $max_pos + 1;
	insert_into_table ( $tblbelegposten, $field_belegposten );
	
	// lsche Zeile in tblBelegPosten
	delete_from_table ( $tblbestellungposten, $subid );
	
	// Bilanzinfos aktualisieren
	bilanzbeleg_aktualisieren ( $neuid, true );
} else if ($field_new ["VerschiebeZuBestellung_" . $subid] != "") {
	
	$neuid = $field_new ["VerschiebeZuBestellung_" . $subid];
	
	// suche grte dtPosNr
	$max_pos = get_max_from_table ( $tblbestellungposten, "dtPosNr", "where fiBestellung = " . $neuid );
	
	// ndere fiBeleg in tblBelegPosten
	$field_new ["fiBestellung"] = $neuid;
	$field_new ["dtPosNr"] = $max_pos + 1;
	update_into_table ( $tblbestellungposten, $subid, $field_new );
} else if ($field_new ["KopiereZuBeleg_" . $subid] != "") {
	
	$neuid = $field_new ["KopiereZuBeleg_" . $subid];
	
	// suche grte dtPosNr
	$max_pos = get_max_from_table ( $tblbelegposten, "dtPosNr", "where fiBeleg = " . $neuid );
	
	// erstelle Zeile in tblBestellungPosten
	$field_belegposten = $field_new;
	unset ( $field_belegposten ["id"] );
	unset ( $field_belegposten ["fiBestellung"] );
	$field_belegposten ["fiBeleg"] = $neuid;
	$field_belegposten ["dtPosNr"] = $max_pos + 1;
	insert_into_table ( $tblbelegposten, $field_belegposten );
	
	// Bilanzinfos aktualisieren
	bilanzbeleg_aktualisieren ( $neuid, true );
} else if ($field_new ["KopiereZuBestellung_" . $subid] != "") {
	
	$neuid = $field_new ["KopiereZuBestellung_" . $subid];
	
	// suche grte dtPosNr
	$max_pos = get_max_from_table ( $tblbestellungposten, "dtPosNr", "where fiBestellung = " . $neuid );
	
	// kopiere Zeile in tblBelegPosten mit neuer fiBeleg
	unset ( $field_new ["id"] );
	$field_new ["fiBestellung"] = $neuid;
	$field_new ["dtPosNr"] = $max_pos + 1;
	insert_into_table ( $tblbestellungposten, $field_new );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>