<?php
$ordner = returnContentOrdner ( $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($id != "") {
	$query = $sql_query ["contentliste"] . " and $tblcontent.id = " . $id;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
if (! isset ( $fromemailimport ) && ! isset ( $fromotherimport )) {
	$field_new = $_POST;
}

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
$field_new ["dtSchreibschutz"] = ( int ) $field_new ["dtSchreibschutz"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

if (! isset ( $fromemailimport ))
	$field_new ["dtDatum"] = concat_date ( $field_new ["datum_tag"], $field_new ["datum_monat"], $field_new ["datum_jahr"] );
$field_new ["dtZeit"] = time_to_sql ( $field_new ["dtZeit"] );

// ++++ Wenn keine Gruppen bergeben wurden (fehlende Berechtigungen), dann lasse die Datenbankfelder unverndert
if ($field_new ["gruppen"] == "") {
	
	$field_new ["dtBerechtigung"] = $field_old ["dtBerechtigung"];
	$field_new ["dtSchreibschutz"] = ( int ) $field_old ["dtSchreibschutz"];
} else {
	
	// wenn keine Gruppen ausgewhlt wurden, dann fge trotzdem die bergeordneten Gruppen hinzu
	// fge dazu zunchst die eigene Gruppe hinzu
	if ((! is_array ( $field_new ["gruppen"] )) and ($_SESSION ['benutzername'] == "admin" or $field_new ["autor_id"] == $_SESSION ['benutzerkontaktid'])) {
		// $personaldaten_query = $sql_query["personaldatenliste"] . " and $tblpersonaldaten.fiKontaktNr = '".$field_new["autor_id"]."'";
		// $personaldaten_field = get_table_row($personaldaten_query);
		// $field_new["gruppen"][] = $personaldaten_field["fiAbteilung"];
		// $entferne_eigene_gruppe = $personaldaten_field["fiAbteilung"];
		$field_new ["gruppen"] [] = $_SESSION ['benutzergruppe'];
		$entferne_eigene_gruppe = $_SESSION ['benutzergruppe'];
	}
	
	// fge bergeordnete Gruppen hinzu
	if (is_array ( $field_new ["gruppen"] )) {
		foreach ( $field_new ["gruppen"] as $key => $gruppen_id ) {
			
			$gruppe_query = $sql_query ["benutzergruppenliste"] . " and id = " . $gruppen_id;
			$gruppe_field = get_table_row ( $gruppe_query );
			
			while ( $gruppe_field ["fiReferer"] != 0 ) {
				$field_new ["gruppen"] [] = $gruppe_field ["fiReferer"];
				
				$gruppe_query = $sql_query ["benutzergruppenliste"] . " and id = " . $gruppe_field ["fiReferer"];
				$gruppe_field = get_table_row ( $gruppe_query );
			}
		}
	}
	
	// wenn keine Gruppen ausgewhlt wurden, dann lsche nun wieder die eigene Gruppe
	if ($entferne_eigene_gruppe != "") {
		unset ( $field_new ["gruppen"] [0] );
	}
	
	// Baue Gruppen-String auf
	$gruppen_string = ";";
	if (is_array ( $field_new ["gruppen"] )) {
		
		$field_new ["gruppen"] = array_unique ( $field_new ["gruppen"] );
		
		foreach ( $field_new ["gruppen"] as $key => $gruppen_id ) {
			if ($gruppen_id != "") {
				$gruppen_string .= $gruppen_id . ";";
			}
		}
	}
	$field_new ["dtBerechtigung"] = $gruppen_string;
}

unset ( $field_new ["gruppen"] );
unset ( $field_new ["projekte"] );
unset ( $field_new ["kontakte"] );
unset ( $field_new ["belege"] );
unset ( $field_new ["rechnungen"] );
unset ( $field_new ["artikel"] );
unset ( $field_new ["bestellungen"] );
unset ( $field_new ["autor_id"] );

// setze Autor bei neuem Eintrag
if (! isset ( $fromemailimport )) {
	unset ( $field_new ["fiAutor"] );
	if ($id == "") {
		$field_new ["fiAutor"] = $_SESSION ['benutzerkontaktid'];
	}
} else {
	$field_new ["dtBerechtigung"] = $zarafa_standard_gruppen;
}

if (! empty ( $id )) {
	if (! check_link_permission ( "contentprojekte", "show", $benutzerrechte ))
		unset ( $field_new ["fiProjekt"] );
	if (! check_link_permission ( "contentkontakte", "show", $benutzerrechte ))
		unset ( $field_new ["fiKontakt"] );
	if (! check_link_permission ( "contentbelege", "show", $benutzerrechte ))
		unset ( $field_new ["fiBeleg"] );
	if (! check_link_permission ( "contentrechnungen", "show", $benutzerrechte ))
		unset ( $field_new ["fiRechnung"] );
	if (! check_link_permission ( "contentartikel", "show", $benutzerrechte ))
		unset ( $field_new ["fiArtikel"] );
	if (! check_link_permission ( "contentbestellungen", "show", $benutzerrechte ))
		unset ( $field_new ["fiBestellung"] );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($id == "") {
	
	$id = insert_into_table ( $tblcontent, $field_new );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge Content-Ordner, wenn es ein neuer Eintrag ist
	@mkdir ( $ordner );
	@chmod ( $ordner, 0777 );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	update_into_table ( $tblcontent, $id, $field_new );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige den Eintrag wieder
$typ = "show";
$subtyp = "list";
$subid = "";

if ($subtarget == "contenttext" || $subtarget == "bemerkungen") {
	$subtyp = "show";
}

if (! isset ( $fromemailimport ) && ! isset ( $fromotherimport )) {
	include ($targetsordner . "/" . $target . "/show.php");
}

?>
