<?php

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Layout Infos
$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = " . $id;
$field = get_table_row ( $query );

$layout_vorlagen_ersteseite = unserialize ( $field ["dtVorlagenErsteSeite"] );
$layout_vorlagen_folgeseiten = unserialize ( $field ["dtVorlagenFolgeSeiten"] );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Definiere Seitenrnder
$typ = "seitenraender";
include ("$functionsordner/function_pdf.php");

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge neues PDF Dokument
$pdf = new PDF ();
$pdf->new_document ( $field ["dtDokumentName"], $ausrichtung );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ markiere Adressfeld auf erster Seite
if ($field ["dtAdressfeldVorhanden"] == 1) {
	$pdf->SetFillColor ( 255 );
	$pdf->SetFont ( "$field[dtAdressfeldSchriftArt]", 'B', $field ["dtAdressfeldSchriftGroesse"] );
	$pdf->Rect ( $field ["dtAdressfeldLinks"], $field ["dtAdressfeldOben"], $seitenbreite - $field ["dtAdressfeldLinks"] - $field ["dtAdressfeldRechts"], $seitenhoehe - $field ["dtAdressfeldOben"] - $field ["dtAdressfeldUnten"], D );
	$pdf->SetXY ( $field ["dtAdressfeldLinks"], $field ["dtAdressfeldOben"] );
	$pdf->Cell ( $seitenbreite - $field ["dtAdressfeldLinks"] - $field ["dtAdressfeldRechts"], 10, "Adressfeld", 0, 1, "C" );
}

if ($field ["dtAdressfeld2Vorhanden"] == 1) {
	$pdf->SetFillColor ( 255 );
	$pdf->SetFont ( "$field[dtAdressfeld2SchriftArt]", 'B', $field ["dtAdressfeld2SchriftGroesse"] );
	$pdf->Rect ( $field ["dtAdressfeld2Links"], $field ["dtAdressfeld2Oben"], $seitenbreite - $field ["dtAdressfeld2Links"] - $field ["dtAdressfeld2Rechts"], $seitenhoehe - $field ["dtAdressfeld2Oben"] - $field ["dtAdressfeld2Unten"], D );
	$pdf->SetXY ( $field ["dtAdressfeld2Links"], $field ["dtAdressfeld2Oben"] );
	$pdf->Cell ( $seitenbreite - $field ["dtAdressfeld2Links"] - $field ["dtAdressfeld2Rechts"], 10, "Zweites Adressfeld", 0, 1, "C" );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ markiere Infofeld auf erster Seite
if ($field ["dtInfofeldVorhanden"] == 1) {
	$pdf->SetFillColor ( 255 );
	$pdf->SetFont ( "$field[dtInfofeldSchriftArt]", 'B', $field ["dtInfofeldSchriftGroesse"] );
	$pdf->Rect ( $field ["dtInfofeldLinks"], $field ["dtInfofeldOben"], $seitenbreite - $field ["dtInfofeldLinks"] - $field ["dtInfofeldRechts"], $seitenhoehe - $field ["dtInfofeldOben"] - $field ["dtInfofeldUnten"], D );
	$pdf->SetXY ( $field ["dtInfofeldLinks"], $field ["dtInfofeldOben"] );
	$pdf->Cell ( $seitenbreite - $field ["dtInfofeldLinks"] - $field ["dtInfofeldRechts"], 10, "Infofeld", 0, 1, "C" );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ markiere Datumsfeld auf erster Seite
if ($field ["dtDatumsfeldVorhanden"] == 1) {
	$pdf->SetFillColor ( 255 );
	$pdf->Rect ( $field ["dtDatumsfeldLinks"], $field ["dtDatumsfeldOben"], $seitenbreite - $field ["dtDatumsfeldLinks"] - $field ["dtDatumsfeldRechts"], $seitenhoehe - $field ["dtDatumsfeldOben"] - $field ["dtDatumsfeldUnten"], D );
	$pdf->datumsfeld ( $field ["dtDatumsfeldText"], $field ["dtDatumsfeldLinks"], $field ["dtDatumsfeldOben"], $seitenbreite - $field ["dtDatumsfeldLinks"] - $field ["dtDatumsfeldRechts"], $field ["dtDatumsfeldSchriftArt"], $field ["dtDatumsfeldSchriftGroesse"] );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ markiere Seitenzahl-Feld auf erster Seite
if ($field ["dtSeitenzahlfeldVorhanden"] == 1) {
	$pdf->SetFillColor ( 255 );
	$pdf->Rect ( $field ["dtSeitenzahlfeldLinks"], $field ["dtSeitenzahlfeldOben"], $seitenbreite - $field ["dtSeitenzahlfeldLinks"] - $field ["dtSeitenzahlfeldRechts"], $seitenhoehe - $field ["dtSeitenzahlfeldOben"] - $field ["dtSeitenzahlfeldUnten"], D );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ markiere Barcode-Feld auf erster Seite
if ($field ["dtBarcodefeldVorhanden"] == 1) {
	// $pdf->Rect($field["dtBarcodefeldLinks"], $field["dtBarcodefeldOben"], $seitenbreite - $field["dtBarcodefeldLinks"] - $field["dtBarcodefeldRechts"], $seitenhoehe - $field["dtBarcodefeldOben"] - $field["dtBarcodefeldUnten"], D);
	$pdf->SetFillColor ( 0 );
	$pdf->EAN13 ( $field ["dtBarcodefeldLinks"], $field ["dtBarcodefeldOben"], "123456789012", $field ["dtBarcodefeldZahlDrucken"], $seitenhoehe - $field ["dtBarcodefeldOben"] - $field ["dtBarcodefeldUnten"], ($seitenbreite - $field ["dtBarcodefeldLinks"] - $field ["dtBarcodefeldRechts"]) / 100 );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ markiere bedruckbaren Bereich auf erster Seite
$pdf->SetFillColor ( 200 );
$pdf->Rect ( $rand_links_p1, $rand_oben_p1, $druckbreite_p1, $druckhoehe_p1, FD );

$pdf->SetXY ( $rand_links_p1, $rand_oben_p1 );
$pdf->SetFont ( "$field[dtStandardSchriftArt]", 'B', 20 );
$pdf->Cell ( $druckbreite_p1, 10, "bedruckbarer Bereich", 0, 1, "C" );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ seitenweise Ausgabe des PDF
$pdf->Output ( $dateiname . ($seite ++) . ".pdf" );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge zweite Seite
$pdf = new PDF ();
$pdf->new_document ( $field ["dtDokumentName"], $ausrichtung );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ markiere Seitenzahl-Feld auf erster Seite
if ($field ["dtSeitenzahlfeldVorhanden"] == 1) {
	$pdf->SetFillColor ( 255 );
	$pdf->Rect ( $field ["dtSeitenzahlfeldLinks"], $field ["dtSeitenzahlfeldOben"], $seitenbreite - $field ["dtSeitenzahlfeldLinks"] - $field ["dtSeitenzahlfeldRechts"], $seitenhoehe - $field ["dtSeitenzahlfeldOben"] - $field ["dtSeitenzahlfeldUnten"], D );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ markiere Druckbereich auf zweiter Seite
$pdf->SetFillColor ( 200 );
$pdf->Rect ( $rand_links, $rand_oben, $druckbreite, $druckhoehe, FD );

$pdf->SetXY ( $rand_links, $rand_oben );
$pdf->SetFont ( "$field[dtStandardSchriftArt]", 'B', 20 );
$pdf->Cell ( $druckbreite, 10, "bedruckbarer Bereich", 0, 1, "C" );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ markiere Barcode-Feld auf erster Seite
if ($field ["dtBarcodefeldVorhanden"] == 1) {
	
	// $pdf->Rect($field["dtBarcodefeldLinks"], $field["dtBarcodefeldOben"], $seitenbreite - $field["dtBarcodefeldLinks"] - $field["dtBarcodefeldRechts"], $seitenhoehe - $field["dtBarcodefeldOben"] - $field["dtBarcodefeldUnten"], D);
	$pdf->SetFillColor ( 0 );
	$pdf->EAN13 ( $field ["dtBarcodefeldLinks"], $field ["dtBarcodefeldOben"], "123456789012", $field ["dtBarcodefeldZahlDrucken"], $seitenhoehe - $field ["dtBarcodefeldOben"] - $field ["dtBarcodefeldUnten"], ($seitenbreite - $field ["dtBarcodefeldLinks"] - $field ["dtBarcodefeldRechts"]) / 100 );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ seitenweise Ausgabe des PDF
$pdf->Output ( $dateiname . ($seite ++) . ".pdf" );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge ggf. Seiten mit Seitenzahl-Feld fr alle Seiten
if ($field ["dtSeitenzahlfeldVorhanden"] == 1) {
	create_seitenzahlseiten ( $field ["dtSeitenzahlfeldText"], $ausrichtung, $field ["dtSeitenzahlfeldLinks"], $field ["dtSeitenzahlfeldOben"], $seitenbreite - $field ["dtSeitenzahlfeldLinks"] - $field ["dtSeitenzahlfeldRechts"], $field ["dtSeitenzahlfeldSchriftArt"], $field ["dtSeitenzahlfeldSchriftGroesse"] );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hinzufgen des Layouts und zusammenfhren aller Seiten
$output_filename = create_document ( $layout_vorlagen_ersteseite, $layout_vorlagen_folgeseiten );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Ausgabe des PDF im Browser durch Reload der Seite
output_reload ( $output_filename );

?>