<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// kopiere ggf. Werte aus anderem Layout
if ($field_new ["drucklayout_kopieren"] != "") {
	
	$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = " . $field_new ["drucklayout_kopieren"];
	$field_new = get_table_row ( $query );
	
	unset ( $field_new ["DokumentLayout_id"] );
	unset ( $field_new ["dtDokumentName"] );
	unset ( $field_new ["dtIstBeleglayout"] );
	unset ( $field_new ["dtIstBestellunglayout"] );
	unset ( $field_new ["dtIstListenlayout"] );
} 

// ndere Layout
else {
	
	$field_new ["dtAdressfeldVorhanden"] = ( int ) $field_new ["dtAdressfeldVorhanden"];
	$field_new ["dtAdressfeld2Vorhanden"] = ( int ) $field_new ["dtAdressfeld2Vorhanden"];
	$field_new ["dtInfofeldVorhanden"] = ( int ) $field_new ["dtInfofeldVorhanden"];
	$field_new ["dtInfofeld2Vorhanden"] = ( int ) $field_new ["dtInfofeld2Vorhanden"];
	$field_new ["dtDatumsfeldVorhanden"] = ( int ) $field_new ["dtDatumsfeldVorhanden"];
	$field_new ["dtSeitenzahlfeldVorhanden"] = ( int ) $field_new ["dtSeitenzahlfeldVorhanden"];
	$field_new ["dtBarcodefeldVorhanden"] = ( int ) $field_new ["dtBarcodefeldVorhanden"];
	$field_new ["dtBarcodefeldZahlDrucken"] = ( int ) $field_new ["dtBarcodefeldZahlDrucken"];
	
	$field_new ["dtUeberschriftEinstellung"] = ( int ) $field_new ["dtUeberschriftEinstellung"];
	$field_new ["dtUeberschriftBold"] = ( int ) $field_new ["dtUeberschriftBold"];
	$field_new ["dtUeberschriftItalic"] = ( int ) $field_new ["dtUeberschriftItalic"];
	$field_new ["dtUeberschriftUnderline"] = ( int ) $field_new ["dtUeberschriftUnderline"];
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtStandardSchriftGroesse"] ), 1, "Standard Schriftgre", $target, $typ, $id, $subtarget, "show", $subid );
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtDruckbereichObenErsteSeite"] ), 1, "Druckbereich erste Seite oben", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtDruckbereichUntenErsteSeite"] ), 1, "Druckbereich erste Seite unten", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtDruckbereichLinksErsteSeite"] ), 1, "Druckbereich erste Seite links", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtDruckbereichRechtsErsteSeite"] ), 1, "Druckbereich erste Seite rechts", $target, $typ, $id, $subtarget, "show", $subid );
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtDruckbereichObenFolgeSeiten"] ), 1, "Druckbereich Folgeseiten oben", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtDruckbereichUntenFolgeSeiten"] ), 1, "Druckbereich Folgeseiten unten", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtDruckbereichLinksFolgeSeiten"] ), 1, "Druckbereich Folgeseiten links", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtStandardSchriftGroesse"] ), 1, "Druckbereich Folgeseiten rechts", $target, $typ, $id, $subtarget, "show", $subid );
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtAdressfeldSchriftGroesse"] ), 1, "Adressfeld Schriftgre", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtAdressfeldOben"] ), 1, "Druckbereich Adressfeld oben", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtAdressfeldUnten"] ), 1, "Druckbereich Adressfeld unten", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtAdressfeldLinks"] ), 1, "Druckbereich Adressfeld links", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtAdressfeldRechts"] ), 1, "Druckbereich Adressfeld rechts", $target, $typ, $id, $subtarget, "show", $subid );
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtInfofeldSchriftGroesse"] ), 1, "Infofeld Schriftgre", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtInfofeldOben"] ), 1, "Druckbereich Infofeld oben", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtInfofeldUnten"] ), 1, "Druckbereich Infofeld unten", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtInfofeldLinks"] ), 1, "Druckbereich Infofeld links", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtInfofeldRechts"] ), 1, "Druckbereich Infofeld rechts", $target, $typ, $id, $subtarget, "show", $subid );
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtInfofeld2SchriftGroesse"] ), 1, "Infofeld Schriftgre", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtInfofeld2Oben"] ), 1, "Druckbereich Infofeld oben", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtInfofeld2Unten"] ), 1, "Druckbereich Infofeld unten", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtInfofeld2Links"] ), 1, "Druckbereich Infofeld links", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtInfofeld2Rechts"] ), 1, "Druckbereich Infofeld rechts", $target, $typ, $id, $subtarget, "show", $subid );
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtDatumsfeldSchriftGroesse"] ), 1, "Datumsfeld Schriftgre", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtDatumsfeldOben"] ), 1, "Druckbereich Datumsfeld oben", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtDatumsfeldUnten"] ), 1, "Druckbereich Datumsfeld unten", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtDatumsfeldLinks"] ), 1, "Druckbereich Datumsfeld links", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtDatumsfeldRechts"] ), 1, "Druckbereich Datumsfeld rechts", $target, $typ, $id, $subtarget, "show", $subid );
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtSeitenzahlfeldSchriftGroesse"] ), 1, "Seitenzahlfeld Schriftgre", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtSeitenzahlfeldOben"] ), 1, "Druckbereich Seitenzahlfeld oben", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtSeitenzahlfeldUnten"] ), 1, "Druckbereich Seitenzahlfeld unten", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtSeitenzahlfeldLinks"] ), 1, "Druckbereich Seitenzahlfeld links", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtSeitenzahlfeldRechts"] ), 1, "Druckbereich Seitenzahlfeld rechts", $target, $typ, $id, $subtarget, "show", $subid );
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtUeberschriftSchriftGroesse"] ), 1, "Seitenzahlfeld Schriftgre", $target, $typ, $id, $subtarget, "show", $subid );
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtBarcodefeldOben"] ), 1, "Druckbereich Barcodefeld oben", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtBarcodefeldUnten"] ), 1, "Druckbereich Barcodefeld unten", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtBarcodefeldLinks"] ), 1, "Druckbereich Barcodefeld links", $target, $typ, $id, $subtarget, "show", $subid );
	check_fehlermeldung_output ( check_int ( $field_new ["dtBarcodefeldRechts"] ), 1, "Druckbereich Barcodefeld rechts", $target, $typ, $id, $subtarget, "show", $subid );
	
	$field_new ["dtVorlagenErsteSeite"] = serialize ( $field_new ["dtVorlagenErsteSeite_array"] );
	unset ( $field_new ["dtVorlagenErsteSeite_array"] );
	
	$field_new ["dtVorlagenFolgeSeiten"] = serialize ( $field_new ["dtVorlagenFolgeSeiten_array"] );
	unset ( $field_new ["dtVorlagenFolgeSeiten_array"] );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ ndere bestehenden Datensatz

update_into_table ( $tbldokumentlayout, $id, $field_new );

$typ = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>
