<?php

/*
 * Kopfzeile mit mglichen Feldern abgleichen
 */
$aSpaltenCSV = $aCSV [0];
$iSpaltenCount = count ( $aSpaltenCSV );
unset ( $aCSV [0] );

for($i = 0; $i <= $iSpaltenCount; $i ++) {
	$sTest = preg_replace ( array (
			"%_[0-9][0-9][0-9]_%",
			"%_[0-9][0-9]_%",
			"%_[0-9]_%" 
	), "_1_", $aSpaltenCSV [$i] );
	if (! array_search ( $sTest, $aSLFelder ) || empty ( $aSpaltenCSV [$i] )) {
		unset ( $aSpaltenCSV [$i] );
	}
}

if (count ( $aSpaltenCSV ) < 1) {
	$f = new Fehler ();
	$f->setCustom ( "Ungltige Importdatei", "Die Importdatei enthlt keine gltigen Kopfdaten!" );
	$f->setNext ( $target, $typ );
	throw ($f);
}

$aSpaltenCSV = array_flip ( $aSpaltenCSV );

foreach ( $aCSV as $aLine ) {
	
	// suche Artikel anhand der Artikelnummer
	$iArtikelId = 0;
	unset ( $aArtikel );
	
	if (! empty ( $aLine [$aSpaltenCSV ["ArtikelNr"]] )) {
		$aArtikel = get_table_row ( $sql_query ["artikelliste"] . " and $tblartikel.dtEigeneArtikelNr = '" . $aLine [$aSpaltenCSV ["ArtikelNr"]] . "'" );
		$iArtikelId = $aArtikel ["Artikel_id"];
	} else {
		continue;
	}
	
	if ($iArtikelId == 0) {
		continue;
	}
	
	// suche Variante des Zielartikels anhand der Variantennummer sofern es Varianteninformationen gibt
	$sVarianteId = "";
	if ($aLine [$aSpaltenCSV ["VarianteNr"]] != "") {
		$aVarianteNr = getArtikelVariantenArray ( $iArtikelId, $aLine [$aSpaltenCSV ["VarianteNr"]] );
		
		if (is_array ( $aVarianteNr )) {
			$sVarianteId = serialize ( $aVarianteNr );
		}
		
		if ($sVarianteId == "") {
			continue;
		}
	}
	
	// wenn es der erste Aufruf ist, dann lsche ggf. zuvor die Stckliste zum Artikel
	if (! in_array ( $iArtikelId . $sVarianteId, ( array ) $aArtikelBearbeitet ) and $field_new ["dtStuecklistenLoeschen"] == 1) {
		$sql = "delete from $tblartikelstuecklisten ";
		$sql .= " where $tblartikelstuecklisten.fiArtikel = '" . $iArtikelId . "' ";
		$sql .= " and $tblartikelstuecklisten.dtArtikelVariante = '" . $sVarianteId . "' ";
		mysql_query ( $sql );
	}
	$aArtikelBearbeitet [] = $iArtikelId . $sVarianteId;
	
	// bearbeite alle Stcklistenartikel der Reihe nach
	$iCountSub = 1;
	while ( isset ( $aLine [$aSpaltenCSV ["Stueckliste_" . $iCountSub . "_Artikelnummer"]] ) ) {
		
		// suche Stcklistenartikel anhand der Artikelnummer
		$iStuecklistenArtikelId = 0;
		unset ( $aStuecklistenArtikel );
		
		if (! empty ( $aLine [$aSpaltenCSV ["Stueckliste_" . $iCountSub . "_Artikelnummer"]] )) {
			$aStuecklistenArtikel = get_table_row ( $sql_query ["artikelliste"] . " and $tblartikel.dtEigeneArtikelNr = '" . $aLine [$aSpaltenCSV ["Stueckliste_" . $iCountSub . "_Artikelnummer"]] . "'" );
			$iStuecklistenArtikelId = $aStuecklistenArtikel ["Artikel_id"];
		} else {
			$iCountSub ++;
			continue;
		}
		
		if ($iStuecklistenArtikelId == 0) {
			$iCountSub ++;
			continue;
		}
		
		// Bestimme Menge (ganzzahlig oder Double) anhand der Einheit des Stcklistenartikels
		if ($aStuecklistenArtikel ["dtArtikelEinheitenArt"] == 0) {
			$aLine [$aSpaltenCSV ["Stueckliste_" . $iCountSub . "_Anzahl"]] = ( int ) $aLine [$aSpaltenCSV ["Stueckliste_" . $iCountSub . "_Anzahl"]];
		} else {
			$aLine [$aSpaltenCSV ["Stueckliste_" . $iCountSub . "_Anzahl"]] = double_to_sql ( $aLine [$aSpaltenCSV ["Stueckliste_" . $iCountSub . "_Anzahl"]] );
		}
		
		// wenn keine Anzahl bergeben wurde, breche ab
		if ($aLine [$aSpaltenCSV ["Stueckliste_" . $iCountSub . "_Anzahl"]] <= 0) {
			$iCountSub ++;
			continue;
		}
		
		// suche Variante des Stcklistenartikels anhand der Variantennummer sofern es Varianteninformationen gibt
		$sStuecklisteVarianteId = "";
		if ($aLine [$aSpaltenCSV ["Stueckliste_" . $iCountSub . "_Variantenummer"]] != "") {
			$aVarianteNr = getArtikelVariantenArray ( $iStuecklistenArtikelId, $aLine [$aSpaltenCSV ["Stueckliste_" . $iCountSub . "_Variantenummer"]] );
			
			if (is_array ( $aVarianteNr )) {
				$sStuecklisteVarianteId = serialize ( $aVarianteNr );
			}
		}
		
		// suche ob es diesen Artikel in der Stckliste bereits gibt
		$sQuery = $sql_query ["artikelstuecklistenliste"];
		$sQuery .= " and $tblartikelstuecklisten.fiArtikel = '" . $iArtikelId . "' ";
		$sQuery .= " and $tblartikelstuecklisten.dtArtikelVariante = '" . $sVarianteId . "' ";
		$sQuery .= " and $tblartikelstuecklisten.fiArtikelStueckliste = '" . $iStuecklistenArtikelId . "' ";
		$sQuery .= " and $tblartikelstuecklisten.dtArtikelStuecklisteVariante = '" . $sStuecklisteVarianteId . "' ";
		$aStuecklisteRow = get_table_row ( $sQuery );
		
		// wenn ja -> ndere die Anzahl
		unset ( $aStuecklisteArray );
		if ($aStuecklisteRow ["ArtikelStueckliste_id"] == "") {
			$aStuecklisteArray ["fiArtikel"] = $iArtikelId;
			$aStuecklisteArray ["dtArtikelVariante"] = $sVarianteId;
			$aStuecklisteArray ["fiArtikelStueckliste"] = $iStuecklistenArtikelId;
			$aStuecklisteArray ["dtArtikelStuecklisteVariante"] = $sStuecklisteVarianteId;
			$aStuecklisteArray ["dtAnzahlStueckliste"] = $aLine [$aSpaltenCSV ["Stueckliste_" . $iCountSub . "_Anzahl"]];
			
			insert_into_table ( $tblartikelstuecklisten, $aStuecklisteArray );
			$iCountNeu ++;
		} 		

		// wenn nein -> lege ihn neu an
		else {
			$aStuecklisteArray ["dtAnzahlStueckliste"] = $aLine [$aSpaltenCSV ["Stueckliste_" . $iCountSub . "_Anzahl"]];
			
			update_into_table ( $tblartikelstuecklisten, $aStuecklisteRow ["ArtikelStueckliste_id"], $aStuecklisteArray );
			$iCountUpdate ++;
		}
		
		$iCountSub ++;
	}
}

?>