<?php

/*
 * rette den MWst-Satz des Artikels
 */
$mwst = $field ["dtMwstSatzVK"];

/*
 * Array Preisdiff. Einheit
 */
$arrayPreisDiffEinheit = array (
		0 => "%",
		1 => "&euro;" 
);

$neuFormularCounter = 0;

/*
 * VK-Box
 */
if (! function_exists ( "returnVKDivBox" )) {
	function returnVKDivBox($name, $vk1, $vk2, $vk3, $vk4, $vk5) {
		global $sql_query, $bgcolor_formular, $historyboxclass;
		
		$vk = array (
				$vk1,
				$vk2,
				$vk3,
				$vk4,
				$vk5 
		);
		
		/*
		 * Zur Darstellung der VK Preise
		 */
		
		$query = $sql_query ["preisgruppenliste"];
		
		$field_preisgruppen_array = get_table_array ( $query );
		foreach ( ( array ) $field_preisgruppen_array as $key => $value ) {
			$preisgruppen_array [$value ["PreisGruppen_id"]] = $value;
		}
		
		$output .= aufzuklappbutton ( $name, "" );
		$output .= "<div style=\"position: absolute; z-index:5000;\">";
		$output .= "<div style=\"position: relative; display:none; \" id='" . $name . "' class=\"" . $historyboxclass . "\">";
		$output .= "<table border=0 cellspacing=5 cellpadding=0 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\"><tr>";
		
		for($i = 1; $i <= 5; $i ++) {
			if ($preisgruppen_array [$i] ["dtBezeichnung"] != "") {
				$vkpreis_text [$i] = "VK Preis $i (" . $preisgruppen_array [$i] ["dtBezeichnung"] . ")";
			} else {
				$vkpreis_text [$i] = "VK Preis $i";
			}
		}
		
		for($i = 1; $i <= 5; $i ++) {
			$attrib = "";
			if ($i == 1) {
				$attrib = "onkeyup=\"this.form.vk_form.value = this.value;\"";
			}
			
			if ($i == 5) {
				$attrib = "onblur=\"toggleName('$name', 'hide', '$name');\"";
			}
			
			$output .= formular_text ( $vkpreis_text [$i], "dtArtikelVariantenPreisdiffVK" . $i, double_from_sql ( $vk [$i - 1], 2 ), "input_text_100", "", "text-align: right;" );
			$output .= "</tr><tr>";
		}
		
		$output .= "</table></div></div>";
		
		return $output;
	}
}

/*
 * Beschreibung-Box
 */
if (! function_exists ( "returnBeschreibungDivBox" )) {
	function returnBeschreibungDivBox($name, $desc1, $desc2, $desc3, $desc4, $desc5) {
		global $bgcolor_formular, $historyboxclass;
		
		$beschreibung = array (
				$desc1,
				$desc2,
				$desc3,
				$desc4,
				$desc5 
		);
		
		$output .= aufzuklappbutton ( $name, "" );
		$output .= "<div style=\"position: absolute; z-index:5000;\">";
		$output .= "<div style=\"position: relative; display:none; \" id='" . $name . "' class=\"" . $historyboxclass . "\">";
		$output .= "<table border=0 cellspacing=5 cellpadding=0 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\"><tr>";
		
		for($i = 1; $i <= 5; $i ++) {
			$attrib = "";
			if ($i == 1) {
				$attrib = "onkeyup=\"this.form.desc_form.value = this.value;\"";
			}
			
			if ($i == 5) {
				$attrib = "onblur=\"toggleName('$name', 'hide', '$name');\"";
			}
			
			$output .= formular_text ( "Beschreibung $i", "dtArtikelVariantenBeschreibung" . $i, $beschreibung [$i - 1], "input_text_250" );
			$output .= "</tr><tr>";
		}
		
		$output .= "</table></div></div>";
		
		return $output;
	}
}

/*
 * Details-Box
 */
if (! function_exists ( "returnDetailsDivBox2" )) {
	function returnDetailsDivBox2($name, $mindestbestand, $meldebestand, $lieferant, $hersteller, $veverkauf, $neu = false) {
		global $bgcolor_formular, $historyboxclass, $mwst;
		
		if (! empty ( $hersteller )) {
			$hersteller = unserialize ( $hersteller );
		}
		
		if (! empty ( $lieferant )) {
			$lieferant = unserialize ( $lieferant );
		}
		
		if ($neu) {
			$lieferant ["Lieferant_Anzahl"] = 1;
			$lieferant ["Lieferant_MwSt"] = $mwst;
		}
		
		$output .= aufzuklappbutton ( $name, "" );
		$output .= "<div style=\"position: absolute; z-index:5000;\">";
		$output .= "<div style=\"position: relative; display:none; \" id='" . $name . "' class=\"" . $historyboxclass . "\">";
		$output .= "<table border=0 cellspacing=5 cellpadding=0 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\"><tr>";
		
		$output .= formular_text ( "Anzahl / VE (Verkauf)", "dtArtikelVariantenAnzahlVEVerkauf", double_from_sql ( $veverkauf, 0 ), "input_text_100", "", "text-align: right" );
		$output .= "</tr><tr>";
		
		$output .= formular_text ( "Mindestbestand", "dtArtikelVariantenMindestbestand", $mindestbestand, "input_text_50" );
		$output .= "</tr><tr>";
		
		$output .= formular_text ( "Meldebestand", "dtArtikelVariantenMeldebestand", $meldebestand, "input_text_50" );
		$output .= "</tr><tr>";
		
		$output .= "<td colspan=30><hr></td>";
		$output .= "</tr><tr>";
		
		$query = "%%%kontaktliste%%% and dtAktiv = 1 order by dtKontaktSortierung";
		$output .= formular_dropdownbox_ajax_empty ( "Hersteller", $query, "Kontakte_id", "Hersteller_ID__" . $name . "__", $hersteller ["Hersteller_ID"], "dtKontaktDDText", "input_select_250" );
		$output .= "</tr><tr>";
		
		$output .= formular_text ( "Artikel Nr. Fremd", "Hersteller_Nr", $hersteller ["Hersteller_Nr"], "input_text_250" );
		$output .= "</tr><tr>";
		$output .= formular_text ( "Artikel Name", "Hersteller_Name", $hersteller ["Hersteller_Name"], "input_text_250" );
		$output .= "</tr><tr>";
		
		$output .= formular_text ( "Fabrikat", "Hersteller_Fabrikat", $hersteller ["Hersteller_Fabrikat"], "input_text_100" );
		$output .= "</tr><tr>";
		
		$output .= formular_text ( "EAN", "Hersteller_EAN", $hersteller ["Hersteller_EAN"], "input_text_100" );
		$output .= "</tr><tr>";
		
		$output .= "<td colspan=30><hr></td>";
		$output .= "</tr><tr>";
		
		$query = "%%%kontaktliste%%% and dtIstLieferant = 1 and (dtAktiv = 1 or tblKontakte.id = '" . $field ["fiLieferant"] . "') order by dtKontaktSortierung";
		$output .= formular_dropdownbox_ajax_empty ( "Lieferant", $query, "Kontakte_id", "Lieferant_ID__" . $name . "__", $lieferant ["Lieferant_ID"], "dtKontaktDDText", "input_select_250" );
		$output .= "</tr><tr>";
		
		$output .= formular_textarea ( "Bemerkung", "Lieferant_Bemerkung", $lieferant ["Lieferant_Bemerkung"], "input_textarea_250x50" );
		$output .= "</tr><tr>";
		
		$output .= formular_text ( "Artikel Nr. Fremd", "Lieferant_Nr", $lieferant ["Lieferant_Nr"], "input_text_100" );
		$output .= "</tr><tr>";
		$output .= formular_text ( "Anzahl / VE (Einkauf)", "Lieferant_Anzahl", double_from_sql ( $lieferant ["Lieferant_Anzahl"], 0 ), "input_text_100", "", "text-align: right" );
		$output .= "</tr><tr>";
		$output .= formular_text ( "Preisdiff. Netto EK", "Lieferant_EK", preis_from_sql ( $lieferant ["Lieferant_EK"] ), "input_text_100", "", "text-align: right" );
		$output .= "</tr><tr>";
		$output .= formular_text ( "Mwst. Satz (%)", "Lieferant_MwSt", double_from_sql ( $lieferant ["Lieferant_MwSt"], 0 ), "input_text_100", "", "text-align: right" );
		
		$output .= "</table></div></div>";
		
		return $output;
	}
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ neue Variante
include ("$elementsordner/$subtarget/lagerartikelvariantenneugruppeformular.php");

// ++++++++++++++++++++++++++++++++
// +++++++++++ alle Varianten anzeigen

/*
 * Zuerst alle Variantengruppen fr diesen Artikel abfragen
 */
$sqlVariantenGruppen = "SELECT DISTINCT(fiArtikelVariantenGruppe) FROM $tblartikelvarianten WHERE $tblartikelvarianten.fiArtikel = $id";
$variantenGruppenListe = get_table_array ( $sqlVariantenGruppen );

/*
 * Gruppe aus Neuformular hinzufgen
 */
if ($auswahlNeuGruppe > 0) {
	for($i = 0; $i < count ( $variantenGruppenListe ); $i ++) {
		if ($variantenGruppenListe [$i] ["fiArtikelVariantenGruppe"] == $auswahlNeuGruppe) {
			unset ( $auswahlNeuGruppe );
			break;
		}
	}
	
	if (isset ( $auswahlNeuGruppe )) {
		$variantenGruppenListe [] ["fiArtikelVariantenGruppe"] = $auswahlNeuGruppe;
	}
}

/*
 * Dann fr jede Gruppe einmal das Formular includen welches dann die Varianten enthlt
 */
$counter_kante = 1;
if (count ( $variantenGruppenListe ) > 0) {
	foreach ( $variantenGruppenListe as $variantenGruppenZeile ) {
		if ($counter_kante ++ != 0) {
			echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
			echo "<tr><td class=\"formularrahmen_oben\"></td></tr>";
			echo "</table>";
		}
		echo "<div style=\"overflow: auto; background-color: " . $bgcolor_formular . ";\">";
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
		
		/*
		 * GruppenId
		 */
		$variantenGruppenId = $variantenGruppenZeile ["fiArtikelVariantenGruppe"];
		
		/*
		 * Gruppenname
		 */
		$sqlVariantenGruppenname = $sql_query ["artikelvariantengruppenliste"] . " and $tblartikelvariantengruppen.id = " . $variantenGruppenId;
		$arrayVariantenGruppenname = get_table_row ( $sqlVariantenGruppenname );
		$variantenGruppenName = $arrayVariantenGruppenname ["dtGruppenName"];
		
		$aVariantenOptionen = array ();
		if ($arrayVariantenGruppenname ["dtGruppenMehrfachauswahl"] == 1) {
			$aVariantenOptionen [] = "Mehrfachauswahl";
		}
		
		if ($arrayVariantenGruppenname ["dtGruppenZwangsauswahl"] == 1) {
			$aVariantenOptionen [] = "Zwangsauswahl";
		}
		
		if (count ( $aVariantenOptionen ) > 0) {
			$variantenGruppenName .= " (" . join ( " | ", $aVariantenOptionen ) . ")";
		}
		
		/*
		 * Varianten
		 */
		$sqlVarianten = $sql_query ["artikelvariantenliste"] . " and fiArtikelVariantenGruppe = " . $variantenGruppenId . " and $tblartikelvarianten.fiArtikel = $id ORDER BY $tblartikelvarianten.dtArtikelVariantenNr";
		$variantenListe = get_table_array ( $sqlVarianten );
		
		include ("$elementsordner/$subtarget/lagerartikelvariantenformular.php");
		
		echo "</table>";
		echo "</div>";
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
		echo "<tr><td class=\"formularrahmen_unten\"></td></tr>";
		echo "</table>";
	}
}

?>
