<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte
$field_new ["fiUserNr"] = $id;

check_fehlermeldung_output ( check_nozero ( $field_new ["dtUsername"] ), 3, "Benutzername", $target, $typ, $id, $subtarget, "show", $subid );

// Teste, ob beide Passwrter gleich sind
if ($field_new ["passwort_1"] != $field_new ["passwort_2"]) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 6 );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
	throw $fehler;
}

// Wenn Passwortfeld leer, dann keine Aenderung
if (! empty ( $field_new ["passwort_1"] )) {
	$field_new ["dtPasswort"] = $passwort_1;
}

// Teste, ob Benutzername nicht schon vergeben ist
if ($id != "") {
	$query = $sql_query ["sessiondatenliste"] . " and $tblsession.dtUsername = '" . $field_new ["dtUsername"] . "' and $tblsession.fiUserNr != $id";
} else {
	$query = $sql_query ["sessiondatenliste"] . " and $tblsession.dtUsername = '" . $field_new ["dtUsername"] . "''";
}

check_fehlermeldung_output ( check_unique ( $query ), 7, "Benutzername", $target, $typ, $id, $subtarget, "show", $subid );

if (strlen ( $field_new ["passwort_1"] ) < 4 and ! empty ( $field_new ["passwort_1"] )) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 45 );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
	throw $fehler;
}

// Passwort hashen
$field_new ["dtPasswort"] = sha1 ( $field_new ["dtPasswort"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($subid == "") {
	
	$subid = insert_into_table ( $tblsession, $field_new );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	update_into_table ( $tblsession, $subid, $field_new );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>
