<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($id != "") {
	$query = $sql_query ["projektliste"] . " and $tblprojekte.id = " . $id;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
// $field_new["dtIstKunde"] = (int)$field_new["dtIstKunde"];

$field_new ["dtProjektAktiv"] = ( int ) $field_new ["dtProjektAktiv"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

// Teste, ob ProjektNr nicht schon vergeben ist
if ($id != "") {
	$query = $sql_query ["projektliste"] . " and $tblprojekte.dtProjektNr = '$dtProjektNr' and $tblprojekte.id != $id";
	$fehlertyp = "show";
} else {
	$query = $sql_query ["projektliste"] . " and $tblprojekte.dtProjektNr = '$dtProjektNr'";
	$fehlertyp = "neu";
}
check_fehlermeldung_output ( check_unique ( $query ), 7, "Projekt Nr.", $target, $fehlertyp, $id );

/*
 * Prfe Kunde
 */
if (! check_nozero ( $field_new ["fiKunde"] )) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 3, "Kunde" );
	($id == "") ? $fehler->setNext ( $target, "neu", $id ) : $fehler->setNext ( $target, "show", $id );
	throw ($fehler);
}

// Lsche ggf. die Ansprechpartner, wenn sich der Kontakt gendert hat
if ($field_new ["fiKunde"] != $field_old ["fiKunde"]) {
	$field_new ["fiKundeAnsprechpartner"] = "";
}
;
if ($field_new ["fiEndkunde"] != $field_old ["fiEndkunde"]) {
	$field_new ["fiEndkundeAnsprechpartner"] = "";
}
;

$field_new ["dtEingangsdatum"] = concat_date ( $field_new ["eingangsdatum_tag"], $field_new ["eingangsdatum_monat"], $field_new ["eingangsdatum_jahr"] );
$field_new ["dtEnddatum"] = concat_date ( $field_new ["Abschlussdatum_tag"], $field_new ["Abschlussdatum_monat"], $field_new ["Abschlussdatum_jahr"] );

if ($field_new ["fiStatus"] > 2 and $field_old ["fiStatus"] <= 2) { // Abschlussdatum setzen wenn Status abgeschlossen oder so
	$field_new ["dtEnddatum"] = date ( "Y-m-d" );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($id == "") {
	
	$field_new ["fiProjektUebersicht"] = 0;
	
	$id = insert_into_table ( $tblprojekte, $field_new );
	
	projektnummer_aendern ( $id );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	/*
	 * Projektartikel
	 */
	/*
	 * Status wechselt von "angeboten" oder "beauftragt" auf >= "in Arbeit"
	 * - tblArtikelStueckNegativ -> tblArtikelStueck
	 * - Zeilen in tblArtikelStueckNegativ lschen
	 * - Menge prfen
	 */
	// if($field_new["fiStatus"] >= 2 && $field_old["fiStatus"] < 2)
	// {
	// //ProjektArtikelStueckNegativZuArtikelStueck($id);
	// }
	
	// /*
	// * Status wechselt von >= "in Arbeit" auf "angeboten" oder "beauftragt"
	// * - tblArtikelStueck.fiProjekt auf 0 setzen
	// * - neue Zeilen in tblArtikelStueckNegativ einfgen
	// */
	// if($field_new["fiStatus"] < 2 && $field_old["fiStatus"] >= 2)
	// {
	// //ProjektArtikelStueckZuArtikelStueckNegativ($id);
	// }
	
	// /*
	// * Status ist angeboten
	// */
	// if($field_new["fiStatus"] == 0)
	// {
	// //ProjektArtikelStueckNegativAngeboten($id);
	// }
	
	// /*
	// * Status beauftragt offen
	// * -> Artikel mssen ggf. eingekauft werden
	// */
	// if($field_new["fiStatus"] == 1)
	// {
	// //ProjektArtikelStueckNegativBeauftragt($id);
	// }
	
	update_into_table ( $tblprojekte, $id, $field_new );
	projektnummer_aendern ( $id );
}

if ($bAgorumAktivieren == 1) {
	include ($include_prefix . $functionsordner . "/ext/agorum/fileTransfer.php");
	loginAgorum ();
	
	$sFilename = "Projekt_" . $id . ".txt";
	$sFilePath = $sAgorumContentPfad;
	$sXmlFilename = "Projekt_" . $id . ".ac.xml";
	
	$qAnsprechpartner = $sql_query ["kontaktaspliste"] . " AND $tblkontaktasp.id = " . $field_new ["fiKundeAnsprechpartner"];
	$rAnsprechpartner = get_table_row ( $qAnsprechpartner );
	
	$qKunde = $sql_query ["kontaktliste"] . " AND $tblkontakte.id = " . $field_new ["fiKunde"];
	$rKunde = get_table_row ( $qKunde );
	
	$aData ["UniqueID"] ["INTEGER"] = $id;
	$aData ["Projektnummer"] ["STRING"] = $field_new ["dtProjektNr"];
	$aData ["ProjektAsp"] ["STRING"] = $rAnsprechpartner ["dtVorname"] . " " . $rAnsprechpartner ["dtNachname"];
	$aData ["ProjektKunde"] ["STRING"] = $rKunde ["dtFirmenname"];
	$aData ["ProjektKundeID"] ["INTEGER"] = $rKunde ["Kontakte_id"];
	$aData ["Kontaktnummer"] ["STRING"] = $rKunde ["dtKontaktNr"];
	$aData ["Projektname"] ["STRING"] = $field_new ["dtProjektname"];
	
	$oFile = new file ();
	$file = $oFile->createFile ( $sFilename );
	
	$oFileTransfer = new fileTransfer ();
	$oFileTransfer->connect ( $sFilename, $sAgorumContentPfad . $sFilename );
	
	$oXml = new xml ( $aData );
	$oXml->createXml ( $sFilename, $sXmlFilename );
	$oFileTransfer = new fileTransfer ();
	$oFileTransfer->connect ( $sXmlFilename, $sAgorumContentPfad . $sXmlFilename );
	
	unlink ( $sFilename );
	unlink ( $sXmlFilename );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige den Eintrag wieder
$typ = "show";
include ($targetsordner . "/" . $target . "/show.php");

?>
