<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ Vorauswahl-Felder setzen
$vorauswahl_mitarbeiter = $field_new ["mitarbeitervorauswahl"];
$vorauswahl_projekt = $field_new ["projektvorauswahl"];
$vorauswahl_taetigkeit = $field_new ["taetigkeitvorauswahl"];
$vorauswahl_stdsatzvorauswahl = $field_new ["stdsatzvorauswahl"];
$vorauswahl_stdsatzautomanuellvorauswahl = $field_new ["stdsatzautomanuellvorauswahl"];
$vorauswahl_bemerkung = $field_new ["bemerkungvorauswahl"];
$vorauswahl_bemerkungfreitext = $field_new ["bemerkungvorauswahlfreitext"];
unset ( $field_new ["mitarbeitervorauswahl"] );
unset ( $field_new ["projektvorauswahl"] );
unset ( $field_new ["taetigkeitvorauswahl"] );
unset ( $field_new ["stdsatzvorauswahl"] );
unset ( $field_new ["stdsatzautomanuellvorauswahl"] );
unset ( $field_new ["bemerkungvorauswahl"] );
unset ( $field_new ["bemerkungvorauswahlfreitext"] );

$_SESSION ["Filter_Vorauswahl"] = array (
		$vorauswahl_mitarbeiter,
		$vorauswahl_projekt,
		$vorauswahl_taetigkeit,
		$vorauswahl_stdsatzvorauswahl,
		$vorauswahl_stdsatzautomanuellvorauswahl,
		$vorauswahl_bemerkung,
		$vorauswahl_bemerkungfreitext 
);

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

unset ( $field_new ["referer"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
$field_new ["dtProjektzeitAutoManuell"] = ( int ) $field_new ["dtProjektzeitAutoManuell"];
$field_new ["dtStdSatzAutoManuell"] = ( int ) $field_new ["dtStdSatzAutoManuell"];
$field_new ["dtStundennachweisGeprueft"] = ( int ) $field_new ["dtStundennachweisGeprueft"];
$field_new ["dtAbgerechnet"] = ( int ) $field_new ["dtAbgerechnet"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

if ($field_new ["fiTaetigkeit"] == $standard_taetigkeit_gleitzeitstandaenderung_relativ or $field_new ["fiTaetigkeit"] == $standard_taetigkeit_urlaubsstandaenderung_relativ or $field_new ["fiTaetigkeit"] == $standard_taetigkeit_gleitzeitstandaenderung_absolut or $field_new ["fiTaetigkeit"] == $standard_taetigkeit_urlaubsstandaenderung_absolut) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 41 );
	$fehler->setNext ( $target, "list", $id );
	throw $fehler;
}

check_fehlermeldung_output ( check_nozero ( $field_new ["fiMitarbeiter"] ), 3, "Mitarbeiter", $target, "list", $id );
check_double ( $field_new ["dtProjektzeitDezimal"] );
preis_to_sql ( $field_new ["dtStdSatz"] );

$field_new ["dtDatum"] = concat_date ( $field_new ["datum_tag"], $field_new ["datum_monat"], $field_new ["datum_jahr"] );

$field_new ["dtBeginnZeit"] = time_to_sql ( $field_new ["dtBeginnZeit"] );
$field_new ["dtEndeZeit"] = time_to_sql ( $field_new ["dtEndeZeit"] );
$field_new ["dtAnwesendZeit"] = time_to_sql ( $field_new ["dtAnwesendZeit"] );
$field_new ["dtPauseZeit"] = time_to_sql ( $field_new ["dtPauseZeit"] );
$field_new ["dtArbeitsZeit"] = time_to_sql ( $field_new ["dtArbeitsZeit"] );
$field_new ["dtZusatzZeit"] = time_to_sql ( $field_new ["dtZusatzZeit"] );
$field_new ["dtVergueteZeit"] = time_to_sql ( $field_new ["dtVergueteZeit"] );

$field_new ["dtProjektzeitDezimal"] = double_to_sql ( $field_new ["dtProjektzeitDezimal"] );

if ($field_new ["dtStdSatzAutoManuell"] == 1) {
	$field_new ["dtStdSatz"] = stundensatz_zu_projektzeit ( $field_new ["fiMitarbeiter"], $field_new ["fiProjekt"] );
} else {
	$field_new ["dtStdSatz"] = preis_to_sql ( $field_new ["dtStdSatz"] );
}

unset ( $field_new ["teilzeit"] );
unset ( $field_new ["standardstdsatz"] );
unset ( $field_new ["dtKontaktDDText"] );
unset ( $field_new ["dtProjektDDText"] );
unset ( $field_new ["dtTaetigkeitDDText"] );
unset ( $field_new ["dtStdSatzGesamt"] );

// ++++ prfe, ob Datum ein Feiertag ist und setze ggf Bemerkung und MatCode
$test_feiertag = check_feiertag ( $field_new ["datum_tag"], $field_new ["datum_monat"], $field_new ["datum_jahr"] );
if ($test_feiertag != "") {
	if ($field_new ["dtBemerkungProjektzeit"] == "") {
		$field_new ["dtBemerkungProjektzeit"] = "Feiertag! $test_feiertag - " . $field_new ["dtBemerkungProjektzeit"];
	} else {
		$field_new ["dtBemerkungProjektzeit"] = "Feiertag! $test_feiertag";
	}
	if ($field_new ["fiTaetigkeit"] == 0 or $field_new ["fiTaetigkeit"] == "") {
		$field_new ["fiTaetigkeit"] = $standard_taetigkeit_feiertag;
	}
}
unset ( $field_new ["datum_tag"] );
unset ( $field_new ["datum_monat"] );
unset ( $field_new ["datum_jahr"] );

// +++++++++++ Ermittle Sollzeit fr diesen Tag
$sollzeit = get_sollzeit ( $field_new ["fiMitarbeiter"], $field_new ["fiTaetigkeit"], $field_new ["dtDatum"] );
if ($field_new ["dtBemerkungProjektzeit"] == "") {
	$field_new ["dtBemerkungProjektzeit"] = $sollzeit [1];
}
if ($field_new ["dtBemerkungArbeitszeit"] == "") {
	$field_new ["dtBemerkungArbeitszeit"] = $sollzeit [1];
}
$field_new ["dtSollzeit"] = double_to_sql ( $sollzeit [0] );

if ($standard_taetigkeit_urlaub == $field_new ["fiTaetigkeit"])
	$field_new ["dtBemerkungProjektzeit"] = "Urlaub!";
else if ($standard_taetigkeit_urlaubhalbertag == $field_new ["fiTaetigkeit"])
	$field_new ["dtBemerkungProjektzeit"] = "Urlaub halber Tag!";
else if ($standard_taetigkeit_krankheit == $field_new ["fiTaetigkeit"])
	$field_new ["dtBemerkungProjektzeit"] = "Krank!";
else if ($standard_taetigkeit_arztbesuch == $field_new ["fiTaetigkeit"])
	$field_new ["dtBemerkungProjektzeit"] = "Arztbesuch!";
else if ($standard_taetigkeit_ueberstundenabbau == $field_new ["fiTaetigkeit"])
	$field_new ["dtBemerkungProjektzeit"] = "berstundenabbau!";
else if ($standard_taetigkeit_sonderurlaub == $field_new ["fiTaetigkeit"])
	$field_new ["dtBemerkungProjektzeit"] = "Sonderurlaub!";
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($id == "") {
	
	$field_new ["dtUeberstundenAutoManuell"] = 1;
	$field_new ["dtProjektzeitDezimalBericht"] = $field_new ["dtProjektzeitDezimal"];
	
	$id = insert_into_table ( $tblprojektzeiten, $field_new );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	update_into_table ( $tblprojektzeiten, $id, $field_new );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ ggf. automatische berstundenberechnung
$query = $sql_query ["projektzeitenliste"] . " and $tblprojektzeiten.id = " . $id;
$field_old = get_table_row ( $query );

if ($field_old ["dtUeberstundenAutoManuell"] == 1) {
	
	ueberstundenberechnung_auto ( $id );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Liste wieder
$typ = "list";
include ($targetsordner . "/" . $target . "/list.php");

?>
