<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ Formularkopf
echo "<table border=0>";
echo "<tr><td valign=\"top\">";
echo "<b>importierten Umsatz zuordnen:&nbsp;&nbsp;&nbsp;&nbsp;</b>";
echo "</td></tr></table>";

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td colspan=10 class=\"formularrahmen_oben\"></td></tr>";
echo "</table>";

// ++++++++++++++++++++++++++++++++
// ++++ Standard-Werte vorbelegen
if ($_POST ["schritt"] == "") {
	
	// ++++ hole Datensatz
	if ($id != "") {
		$query = $sql_query ["umsatzimportliste"] . " and $tblbankumsatzimport.id = " . $id;
		$field = get_table_row ( $query );
	}
	
	if ($field ["dtValutaBetrag"] < 0) {
		$field ["fiBuchungsKonto"] = - 2;
	} else {
		$field ["fiBuchungsKonto"] = - 1;
	}
} else {
	$field = $_POST;
}

// ++++++++++++++++++++++++++++++++
// ++++ Werte aus Schritt 1 berprfen und bearbeiten
if ($field ["schritt"] == 1 or $field ["schritt"] == 2) {
	
	check_double ( $field ["dtValutaBetrag"] );
	$field ["dtValutaBetrag"] = preis_to_sql ( $field ["dtValutaBetrag"] );
	
	if ($field ["datum_valuta_tag"] == "" and $field ["datum_valuta_monat"] == "" and $field ["datum_valuta_jahr"] == "") {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 13 );
		$fehler->setNext ( $target, "show", $id );
		throw $fehler;
	}
	$field ["dtValutaDatum"] = concat_date ( $field ["datum_valuta_tag"], $field ["datum_valuta_monat"], $field ["datum_valuta_jahr"] );
	unset ( $field ["datum_valuta_tag"] );
	unset ( $field ["datum_valuta_monat"] );
	unset ( $field ["datum_valuta_jahr"] );
}

// ++++++++++++++++++++++++++++++++
// ++++ Hole Details zum Buchungskonto
if ($field ["schritt"] == 2 or $field ["schritt"] == 3) {
	$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = " . $field ["fiBuchungsKonto"];
	$bk_field = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Formular anzeigen Schritt 1
if ($field ["schritt"] == "" or $field ["schritt"] == "1") {
	include ("$elementsordner/$target/umsatzimportformular_schritt1.php");
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Formular anzeigen Schritt 2a (Belegzuordnung)
// if ($field["schritt"] == 2 and $bk_field["dtBelegRelevant"] == 1) {
elseif ($field ["schritt"] == 2 && ($field ["fiBuchungsKonto"] == "-1" || $bk_field ["dtBelegRelevant"] == 1)) {
	// $readonly = "readonly";
	include ("$elementsordner/$target/umsatzimportformular_schritt1.php");
	
	$readonly = "";
	include ("$elementsordner/$target/umsatzimportformular_schritt2a.php");
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Formular anzeigen Schritt 2b (Rechnungszuordnung)
// elseif ($field["schritt"] == 2 and $bk_field["dtRechnungRelevant"] == 1) {
elseif ($field ["schritt"] == 2 && ($field ["fiBuchungsKonto"] == "-2" || $bk_field ["dtRechnungRelevant"] == 1)) {
	// $readonly = "readonly";
	include ("$elementsordner/$target/umsatzimportformular_schritt1.php");
	
	$readonly = "";
	include ("$elementsordner/$target/umsatzimportformular_schritt2b.php");
}

// ++++++++++++++++++++++++++++++++
// ++++ Werte aus Schritt 1 berprfen und bearbeiten, wenn es keinen Schritt 2 gibt
elseif ($field ["schritt"] == 2) {
	
	// ++++ ziehe den zugeordneten Betrag ab
	$query = "select * from $tblbankumsatzimport where id = '" . $field ["UmsatzImport_id"] . "'";
	$field_import = get_table_row ( $query );
	
	if (( double ) $field ["dtValutaBetrag"] == ( double ) $field_import ["dtValutaBetrag"]) {
		$field_update ["dtAnzeigen"] = 0;
	} else {
		$field_update ["dtAnzeigen"] = 1;
	}
	$field_update ["dtValutaBetrag"] = ( double ) $field_import ["dtValutaBetrag"] - ( double ) $field ["dtValutaBetrag"];
	update_into_table ( $tblbankumsatzimport, $field ["UmsatzImport_id"], $field_update );
	
	if ($field ["dtValutaBetrag"] != 0) {
		$umsatz_field = $field;
		unset ( $umsatz_field ["id"] );
		$umsatz_field ["dtUmsatzGebucht"] = 0;
		$umsatz_field ["fiUmsatzimport"] = $id;
		$gesendet_id [] = insert_into_table ( $tblbankumsatz, $umsatz_field );
	}
}

// ++++++++++++++++++++++++++++++++
// ++++ Werte aus Schritt 2a berprfen und bearbeiten
if ($field ["schritt"] == 3 and ($field ["fiBuchungsKonto"] == "-1" || $bk_field ["dtBelegRelevant"] == 1)) {
	
	if ($field ["belegeselected"] == "") {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 25 );
		$fehler->setNext ( $target, "show", $id );
		throw $fehler;
	}
	$field ["belege_selected_array"] = explode ( ";", substr ( $field ["belegeselected"], 0, - 1 ) );
	
	// ++++ ziehe den zugeordneten Betrag ab
	$query = "select * from $tblbankumsatzimport where id = '" . $field ["UmsatzImport_id"] . "'";
	$field_import = get_table_row ( $query );
	
	if (( double ) $field ["dtValutaBetrag"] == ( double ) $field_import ["dtValutaBetrag"]) {
		$field_update ["dtAnzeigen"] = 0;
	} else {
		$field_update ["dtAnzeigen"] = 1;
	}
	$field_update ["dtValutaBetrag"] = ( double ) $field_import ["dtValutaBetrag"] - ( double ) $field ["dtValutaBetrag"];
	update_into_table ( $tblbankumsatzimport, $field ["UmsatzImport_id"], $field_update );
	
	// ++++ lschen der nicht-Datenbank-relevanten Felder
	unset ( $field ["id"] );
	unset ( $field ["PHPSESSID"] );
	unset ( $field ["target"] );
	unset ( $field ["typ"] );
	unset ( $field ["UmsatzImport_id"] );
	unset ( $field ["aenderung"] );
	unset ( $field ["subtarget"] );
	unset ( $field ["subtyp"] );
	unset ( $field ["subid"] );
	
	unset ( $field ["schritt"] );
	
	unset ( $field ["datum_valuta_tag"] );
	unset ( $field ["datum_valuta_monat"] );
	unset ( $field ["datum_valuta_jahr"] );
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Aufteilen des Umsatzes auf die ausgewhlten Belege
	$field_new = $field;
	unset ( $field_new ["belege_selected_array"] );
	unset ( $field_new ["buchungsart"] );
	unset ( $field_new ["belegzuordnung"] );
	unset ( $field_new ["belegeselected"] );
	unset ( $field_new ["summebelege"] );
	
	// ++++ Zusammenstellen der notwendigen Inofs aller selektierten Belege
	foreach ( $field ["belege_selected_array"] as $key => $belegnr ) {
		$query = $sql_query ["belegliste"] . " and $tblbelege.dtBelegNr = '" . $belegnr . "' order by $tblbelege.dtRechnungDatum";
		$beleg_field = get_table_row ( $query );
		$beleg_id [$beleg_field ["Beleg_id"]] = array (
				"betrag_offen" => belegendbetrag_brutto ( $beleg_field ["Beleg_id"] ) - belegbuchungen_brutto ( $beleg_field ["Beleg_id"] ),
				"belegstatus_alt" => $beleg_field ["fiStatus"] 
		);
		$summe_offen_allebelege = $summe_offen_allebelege + $beleg_id [$beleg_field ["Beleg_id"]] ["betrag_offen"];
	}
	
	// ++++ Berechnung des Umsatz-Anteils pro Beleg
	// ++++ Aufteilung nach Datum
	if ($field ["buchungsart"] == 1) {
		$summe_valuta = $field_new ["dtValutaBetrag"];
		foreach ( $beleg_id as $key => $belegid ) {
			$beleg_id [$key] ["umsatz"] = min ( $summe_valuta, $beleg_id [$key] ["betrag_offen"] );
			$summe_valuta = $summe_valuta - $beleg_id [$key] ["umsatz"];
		}
		if ($summe_valuta != 0) {
			$beleg_id [$key] ["umsatz"] = $beleg_id [$key] ["umsatz"] + $summe_valuta;
		}
		
		// ++++ Aufteilung prozentual
	} elseif ($field ["buchungsart"] == 2) {
		$summe_valuta = $field_new ["dtValutaBetrag"];
		$anteil = preis_to_sql ( preis_from_sql_no_euro ( $summe_offen_allebelege / $summe_valuta ) );
		foreach ( $beleg_id as $key => $belegid ) {
			$beleg_id [$key] ["umsatz"] = preis_to_sql ( preis_from_sql_no_euro ( $beleg_id [$key] ["betrag_offen"] / $anteil ) );
			$summe_valuta = $summe_valuta - $beleg_id [$key] ["umsatz"];
		}
		if ($summe_valuta != 0) {
			$beleg_id [$key] ["umsatz"] = $beleg_id [$key] ["umsatz"] + $summe_valuta;
		}
	}
	
	// ++++ Erzeugen einer Datenbankzeile pro Beleg (wenn es einen Umsatz zu diesem Beleg gibt)
	foreach ( $beleg_id as $key => $belegid ) {
		if ($beleg_id [$key] ["umsatz"] != 0) {
			$field_new ["fiBeleg"] = $key;
			$field_new ["dtValutaBetrag"] = $beleg_id [$key] ["umsatz"];
			$field_new ["dtUmsatzGebucht"] = 0;
			$field_new ["fiUmsatzimport"] = $id;
			$gesendet_id [] = insert_into_table ( $tblbankumsatz, $field_new );
			
			// ++++ ggf. nderung des Belegstatus
			if (round ( belegendbetrag_brutto ( $key ) - belegbuchungen_brutto ( $key ), 2 ) == 0 and ($beleg_id [$key] ["belegstatus_alt"] == 3 or $beleg_id [$key] ["belegstatus_alt"] == 4)) {
				$beleg_field_new ["fiStatus"] = 5;
				update_into_table ( $tblbelege, $key, $beleg_field_new );
				delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $key );
				$statusaenderung_text [$key] = "Der Beleg ist vollstndig bezahlt";
			} elseif (round ( belegendbetrag_brutto ( $key ) - belegskonto_brutto ( $key ) - belegbuchungen_brutto ( $key ), 2 ) == 0 and ($beleg_id [$key] ["belegstatus_alt"] == 3 or $beleg_id [$key] ["belegstatus_alt"] == 4)) {
				$beleg_field_new ["fiStatus"] = 5;
				update_into_table ( $tblbelege, $key, $beleg_field_new );
				delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $key );
				$statusaenderung_text [$key] = "Der Beleg ist vollstndig bezahlt abzglich gewhrtem Skonto";
			} elseif (belegbuchungen_brutto ( $key ) != 0 and ($beleg_id [$key] ["belegstatus_alt"] == 3 or $beleg_id [$key] ["belegstatus_alt"] == 5)) {
				$beleg_field_new ["fiStatus"] = 4;
				update_into_table ( $tblbelege, $key, $beleg_field_new );
				delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $key );
				$statusaenderung_text [$key] = "Der Beleg ist teilweise bezahlt";
			}
			
			// lsche Cachedaten zu diesem Beleg
			$cachequerybedingungen = "dtTarget='umsaetze' and dtTyp='belege' and dtZeileID='" . $key . "' ";
			mysql_query ( "delete from tblCache where $cachequerybedingungen " );
		}
	}
}

// ++++++++++++++++++++++++++++++++
// ++++ Werte aus Schritt 2b berprfen und bearbeiten
elseif ($field ["schritt"] == 3 and ($field ["fiBuchungsKonto"] == "-2" || $bk_field ["dtRechnungRelevant"] == 1)) {
	
	if ($field ["rechnungenselected"] == "") {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 28 );
		$fehler->setNext ( $target, "show", $id );
		throw $fehler;
	}
	$field ["rechnungen_selected_array"] = explode ( ";", substr ( $field ["rechnungenselected"], 0, - 1 ) );
	
	// ++++ blende die Umsatz-Import Datenzeile aus oder ziehe den zugeordneten Betrag ab
	$query = "select * from $tblbankumsatzimport where id = '" . $field ["UmsatzImport_id"] . "'";
	$field_import = get_table_row ( $query );
	
	if (( double ) $field ["dtValutaBetrag"] == ( double ) $field_import ["dtValutaBetrag"]) {
		$field_update ["dtAnzeigen"] = 0;
	} else {
		$field_update ["dtAnzeigen"] = 1;
	}
	$field_update ["dtValutaBetrag"] = ( double ) $field_import ["dtValutaBetrag"] - ( double ) $field ["dtValutaBetrag"];
	update_into_table ( $tblbankumsatzimport, $field ["UmsatzImport_id"], $field_update );
	
	// ++++ lschen der nicht-Datenbank-relevanten Felder
	unset ( $field ["id"] );
	unset ( $field ["PHPSESSID"] );
	unset ( $field ["target"] );
	unset ( $field ["typ"] );
	unset ( $field ["UmsatzImport_id"] );
	unset ( $field ["aenderung"] );
	unset ( $field ["subtarget"] );
	unset ( $field ["subtyp"] );
	unset ( $field ["subid"] );
	
	unset ( $field ["schritt"] );
	
	unset ( $field ["datum_valuta_tag"] );
	unset ( $field ["datum_valuta_monat"] );
	unset ( $field ["datum_valuta_jahr"] );
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Aufteilen des Umsatzes auf die ausgewhlten Rechnungen
	$field_new = $field;
	unset ( $field_new ["rechnungen_selected_array"] );
	unset ( $field_new ["buchungsart"] );
	unset ( $field_new ["rechnungzuordnung"] );
	unset ( $field_new ["rechnungenselected"] );
	unset ( $field_new ["summerechnungen"] );
	
	// ++++ Zusammenstellen der notwendigen Inofs aller selektierten Rechnungen
	foreach ( $field ["rechnungen_selected_array"] as $key => $rechnungnr ) {
		$query = $sql_query ["rechnungliste"] . " and $tblrechnungen.dtRechnungNrIntern = '" . $rechnungnr . "' order by $tblrechnungen.dtRechnungDatum";
		$rechnung_field = get_table_row ( $query );
		$rechnung_id [$rechnung_field ["Rechnung_id"]] = array (
				"betrag_offen" => 0 - rechnungsendbetrag_brutto ( $rechnung_field ["Rechnung_id"] ) - rechnungbuchungen_brutto ( $rechnung_field ["Rechnung_id"] ),
				"rechnungsstatus_alt" => $rechnung_field ["fiStatus"] 
		);
		$summe_offen_allerechnungen = $summe_offen_allerechnungen + $rechnung_id [$rechnung_field ["Rechnung_id"]] ["betrag_offen"];
	}
	
	// ++++ Berechnung des Umsatz-Anteils pro Rechnung
	// ++++ Aufteilung nach Datum
	if ($field ["buchungsart"] == 1) {
		$summe_valuta = $field_new ["dtValutaBetrag"];
		foreach ( $rechnung_id as $key => $rechnungid ) {
			$rechnung_id [$key] ["umsatz"] = max ( $summe_valuta, $rechnung_id [$key] ["betrag_offen"] );
			$summe_valuta = $summe_valuta - $rechnung_id [$key] ["umsatz"];
		}
		if ($summe_valuta != 0) {
			$rechnung_id [$key] ["umsatz"] = $rechnung_id [$key] ["umsatz"] + $summe_valuta;
		}
		
		// ++++ Aufteilung prozentual
	} elseif ($field ["buchungsart"] == 2) {
		$summe_valuta = $field_new ["dtValutaBetrag"];
		$anteil = preis_to_sql ( preis_from_sql_no_euro ( $summe_offen_allerechnungen / $summe_valuta ) );
		foreach ( $rechnung_id as $key => $rechnungid ) {
			$rechnung_id [$key] ["umsatz"] = preis_to_sql ( preis_from_sql_no_euro ( $rechnung_id [$key] ["betrag_offen"] / $anteil ) );
			$summe_valuta = $summe_valuta - $rechnung_id [$key] ["umsatz"];
		}
		if ($summe_valuta != 0) {
			$rechnung_id [$key] ["umsatz"] = $rechnung_id [$key] ["umsatz"] + $summe_valuta;
		}
	}
	
	// ++++ Erzeugen einer Datenbankzeile pro Rechnung (wenn es einen Umsatz zu dieser Rechnung gibt)
	foreach ( $rechnung_id as $key => $rechnungid ) {
		if ($rechnung_id [$key] ["umsatz"] != 0) {
			$field_new ["fiRechnung"] = $key;
			$field_new ["dtValutaBetrag"] = $rechnung_id [$key] ["umsatz"];
			$field_new ["dtUmsatzGebucht"] = 0;
			$field_new ["fiUmsatzimport"] = $id;
			$gesendet_id [] = insert_into_table ( $tblbankumsatz, $field_new );
			
			// ++++ ggf. nderung des Rechnungsstatus
			if (round ( rechnungsendbetrag_brutto ( $key ) + rechnungbuchungen_brutto ( $key ), 2 ) == 0 and ($rechnung_id [$key] ["rechnungsstatus_alt"] == 3 or $rechnung_id [$key] ["rechnungsstatus_alt"] == 4)) {
				$rechnung_field_new ["fiStatus"] = 5;
				update_into_table ( $tblrechnungen, $key, $rechnung_field_new );
				delete_all_from_table ( $tblbilanzrechnungen, "fiRechnung", $key );
				insert_into_table ( $tblbilanzrechnungen, array (
						"fiRechnung" => $key,
						"dtAktuell" => "0" 
				) );
				$statusaenderung_text [$key] = "Die Rechnung ist vollstndig bezahlt";
			} elseif (rechnungbuchungen_brutto ( $key ) != 0 and ($rechnung_id [$key] ["rechnungsstatus_alt"] == 3 or $rechnung_id [$key] ["rechnungsstatus_alt"] == 5)) {
				$rechnung_field_new ["fiStatus"] = 4;
				update_into_table ( $tblrechnungen, $key, $rechnung_field_new );
				delete_all_from_table ( $tblbilanzrechnungen, "fiRechnung", $key );
				insert_into_table ( $tblbilanzrechnungen, array (
						"fiRechnung" => $key,
						"dtAktuell" => "0" 
				) );
				$statusaenderung_text [$key] = "Die Rechnung ist teilweise bezahlt";
			}
			
			// lsche Cachedaten zu diesem Beleg
			$cachequerybedingungen = "dtTarget='umsaetze' and dtTyp='rechnungen' and dtZeileID='" . $key . "' ";
			mysql_query ( "delete from tblCache where $cachequerybedingungen " );
		}
	}
}

// ++++++++++++++++++++++++++++++++
// ++++ Wenn neue Eintrge gesendet wurden, zeige Zusammenfassung der gesendeten Informatioen
if (is_array ( $gesendet_id )) {
	
	$readonly = "";
	include ("$elementsordner/$target/umsaetze_gesendet.php");
}

?>
