<?php
include ("$elementsordner/$target/warengruppenfilter.php");

if (get_table_count ( $sql_query ["taskplanerliste"] . " and $tbltaskplaner.dtIstExportTask = 1" ) > 0) {
	$bShowExport = true;
} else {
	$bShowExport = false;
}

unset ( $warengruppen_array );
warengruppenfilter_rekursion ( 0, $target, $target, $target, 0 );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// rekursiver Abbildung des Warengruppenbaums
if (! function_exists ( "warengruppenbaum" )) {
	function warengruppenbaum($field, $tiefe, $target, $typ, $id, $subtarget, $subtyp, $subid, $benutzerrechte) {
		global $warengruppen_array, $bShowExport, $sql_query, $tblwarengruppen, $elementsordner, $tbltaskplaner, $filter;
		
		$query = $sql_query ["warengruppenliste"];
		
		// Volltextsuche
		$query .= create_fulltext_index_search ( array (
				$tblwarengruppen 
		), $filter ["warengruppen"] ["textfilter"] );
		
		$query .= " and fiWarengruppeUebergeordnet = " . $field ["Warengruppe_id"] . " order by $tblwarengruppen.dtWarengruppenSortierung";
		
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $field ) {
				
				$field ["dtWarengruppeExportziele"] = unserialize ( $field ["dtWarengruppeExportziele"] );
				
				$neutyp = "abteilungsend";
				include ("$elementsordner/$target/warengruppenformular.php");
				
				warengruppenbaum ( $field, ($tiefe + 1), $target, $typ, $id, $subtarget, $subtyp, $subid, $benutzerrechte );
				
				if ($tiefe == 0) {
					echo "<tr><td colspan=20><br><br></td></tr>";
				}
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ neue Warengruppe
unset ( $field );
include ("$elementsordner/$target/warengruppenneuformular.php");

// ++++++++++++++++++++++++++++++++
// +++++++++++ Warengruppen anzeigen
echo "<div style=\"height: 550px; overflow: auto\">";

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td class=\"formularrahmen_oben\"></td></tr>";
echo "<tr><td valign=\"top\">";

echo "<table border=0 class=\"text\"  style=\"background-color: " . $bgcolor_formular . ";\">";

$field ["Warengruppe_id"] = 0;
warengruppenbaum ( $field, 0, $target, $typ, $id, $subtarget, $subtyp, $subid, $benutzerrechte );

echo "</table>";

echo "</td></tr>";
echo "<tr><td class=\"formularrahmen_unten\"></td></tr>";
echo "</table>";

echo "</div>";

?>