<?php
/*
 *
 * conceptERP
 *
 * Copyright (C) 2005 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke
 * http://www.mm-concept.de
 *
 *
 */

/*
 * Einstellungen
 */
neuesKonfigurationsfeld ( $sTask . "_mailbox", "Adresse zum POP3 oder IMAP Konto.\n\nBeispiele:\n{imap.concepterp.de:143}INBOX - Verbindung zu IMAP Server imap.concepterp.de und Postfach INBOX\n{imap.concepterp.de:993/imap/ssl/novalidate-cert}INBOX - Wie oben, sichere Verbindung.\n{pop3.concepterp.de:110/pop3}INBOX - POP3 Verbindung zu pop3.concepterp.de\n\nSiehe auch: http://de2.php.net/manual/de/function.imap-open.php", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_benutzername", "Benutzername zur angegebenen Mailbox.", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_passwort", "Passwort zur angegebenen Mailbox.", CONFIG_TYP_TEXT, "", $sTask );

$aConfig = exportiereKonfiguration ();

$sMailbox = $aConfig [$sTask . "_mailbox"];
$sBenutzername = $aConfig [$sTask . "_benutzername"];
$sPasswort = $aConfig [$sTask . "_passwort"];

if (! function_exists ( "imap_open" )) {
	echo "Bitte php-imap installieren.\n";
	$iReturncode = 3;
	return;
}

// Verbindung aufbauen
if (! ($rMbox = imap_open ( $sMailbox, $sBenutzername, $sPasswort ))) {
	echo "Konnte keine Verbindung zur Mailbox aufbauen!\n";
	$iReturncode = 3;
	return;
} else {
	echo "Verbindung zur Mailbox aufgebaut!\n";
}

$iAnzahl = imap_num_msg ( $rMbox );
echo $iAnzahl . " Nachricht(en) gefunden.\n";

if ($iAnzahl > 0) {
	for($i = 1; $i <= $iAnzahl; $i ++) {
		$sMessage = imap_fetchheader ( $rMbox, $i );
		$sMessage .= imap_body ( $rMbox, $i );
		
		$email = $sMessage;
		$target = "content";
		$typ = "taskplaner";
		include ("emailimport.php");
		
		echo "E-Mail importiert! Content-ID: '" . $contentid . "'\n";
		
		echo "Loesche die verarbeitete E-Mail nun.\n";
		
		imap_delete ( $rMbox, $i );
	}
}

imap_expunge ( $rMbox );
imap_close ( $rMbox );

echo "Verbindung geschlossen.\n";

?>