<?php
/*
 * conceptERP Copyright (C) 2005 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke http://www.mm-concept.de
 */
require ('functions/init.php');

// ************************** Berechtigung des anfragenden Rechners prfen
if (! (in_array ( getenv ( "REMOTE_ADDR" ), $zeiterfasser_ip_array ))) {
	echo "keine Berechtigung!";
	exit ();
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// +++++ Erfassung der Leser-Daten
if ($target == "erfassung") {
	
	if ($typ == "rfid" and $id != "") {
		
		// suche Mitarbeibeiter mit dieser ID
		$query = "select * from $tblpersonaldaten where dtKartenNr = '" . $id . "'";
		
		// wenn es keinen gibt, dann Meldung "Fehler bei der Erfassung"
		if (get_table_count ( $query ) == 0) {
			
			$meldung_array ["dtGeraet"] = $terminal;
			$meldung_array ["dtMeldung"] = zeiterfassung_meldung_fehler ( $id );
			insert_into_table ( $tblzeiterfassungmeldungen, $meldung_array, 0 );
			insert_into_table ( $tblzeiterfassungmeldungen, $meldung_array, 0 );
			
			// wenn es einen gibt, dann Stempelzeit eintragen und Meldung "Stempelzeit erfasst"
		} else {
			
			$personaldaten_field = get_table_row ( $query );
			
			// erzeuge Datum und Uhrzeit aus Text-Zeile
			$datum_zeile = $aktjahr . "-" . $aktmonat . "-" . $akttag;
			$uhrzeit_zeile = date ( "H" ) . ":" . date ( "i" );
			
			// vorher noch auf dopplete Erfassung checken
			if ($personaldaten_field ["fiKontaktNr"] != 0 and $personaldaten_field ["fiKontaktNr"] != "") {
				
				$query = "select * from $tblstempelzeiten where fiMitarbeiter = " . $personaldaten_field ["fiKontaktNr"] . " and dtDatum = '" . $datum_zeile . "' and dtUhrzeit = '" . $uhrzeit_zeile . "'";
				
				// wenn nicht, dann erfasse sie
				if (get_table_count ( $query ) == 0) {
					
					$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $personaldaten_field ["fiKontaktNr"];
					$kontakt_field = get_table_row ( $query );
					
					// wenn der Mitarbeiter nicht aktiv ist, erfasse nicht
					if ($kontakt_field ["dtAktiv"] != 1) {
						
						$meldung_array ["dtGeraet"] = $terminal;
						$meldung_array ["dtMeldung"] = zeiterfassung_meldung_mitarbeiternichtaktiv ( $kontakt_field, $personaldaten_field, $uhrzeit_zeile, $id );
						insert_into_table ( $tblzeiterfassungmeldungen, $meldung_array, 0 );
						insert_into_table ( $tblzeiterfassungmeldungen, $meldung_array, 0 );
					} else {
						
						$meldung_array ["dtGeraet"] = $terminal;
						$meldung_array ["dtMeldung"] = zeiterfassung_meldung_ok ( $kontakt_field, $personaldaten_field, $uhrzeit_zeile );
						insert_into_table ( $tblzeiterfassungmeldungen, $meldung_array, 0 );
						insert_into_table ( $tblzeiterfassungmeldungen, $meldung_array, 0 );
						
						unset ( $stempelzeit_array );
						$stempelzeit_array ["fiMitarbeiter"] = $personaldaten_field ["fiKontaktNr"];
						$stempelzeit_array ["dtDatum"] = $datum_zeile;
						$stempelzeit_array ["dtUhrzeit"] = $uhrzeit_zeile;
						$stempelzeit_array ["dtGeraet"] = $terminal;
						$stempelzeit_array ["dtStempelCode"] = "Arbeitsbeginn/-ende";
						$stempelzeit_array ["fiStatus"] = 0;
						
						insert_into_table ( $tblstempelzeiten, $stempelzeit_array );
					}
				}
			}
		}
	}
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	
	// +++++ Ausgabe auf einem Terminal
} elseif ($target == "ausgabe") {
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// +++++ Frameset laden
	if ($typ == "") {
		
		echo "$doctype\n\n";
		?>
<HTML>
<HEAD>
<TITLE>conceptERP Zeiterfassung</TITLE>
</HEAD>
<FRAMESET COLS="400, 600" FRAMEBORDER=NO FRAMESPACING=0>
	<FRAMESET ROWS="200, 400" FRAMEBORDER=NO FRAMESPACING=0>
		<FRAME
			SRC="zeiterfassung.php?target=ausgabe&typ=uhrzeit&terminal=<?php echo $terminal; ?>"
			NAME="uhrzeit" SCROLLING=NO FRAMEBORDER=NO FRAMESPACING=0
			MARGINWIDTH=0 MARGINHEIGHT=0>
		<FRAME
			SRC="zeiterfassung.php?target=ausgabe&typ=meldung&terminal=<?php echo $terminal; ?>"
			NAME="meldung" SCROLLING=NO FRAMEBORDER=NO FRAMESPACING=0
			MARGINWIDTH=0 MARGINHEIGHT=0>
	</FRAMESET>
	<FRAME
		SRC="zeiterfassung.php?target=ausgabe&typ=liste&terminal=<?php echo $terminal; ?>"
		NAME="liste" SCROLLING=NO FRAMEBORDER=NO FRAMESPACING=0 MARGINWIDTH=0
		MARGINHEIGHT=0>
</FRAMESET>
</HTML>

<?php
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// +++++ Uhrzeit-Fenster laden
	} elseif ($typ == "uhrzeit") {
		
		echo "$doctype\n\n";
		echo "<html><head><title>$htmltitel</title>\n\n$metatags\n\n";
		if ($_SESSION ['browsertyp'] != "") {
			echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle_" . $_SESSION ['browsertyp'] . ".css\">\n\n";
		} else {
			echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle.css\">\n\n";
		}
		?>
<script type="text/javascript" src="functions/js/erpjavascript_dhtml.js"></script>
<script type="text/javascript">
var count = 0;
function ZeitAnzeigen () {

  count = count+1;
  if (count > 1) {
    parent['meldung'].location.reload();
	count = 0;
  }

  var Wochentagname = new Array("Sonntag", "Montag", "Dienstag", "Mittwoch",
                                "Donnerstag", "Freitag", "Samstag");
  var Jetzt = new Date();
  var Tag = Jetzt.getDate();
  var Monat = Jetzt.getMonth() + 1;
  var Jahr = Jetzt.getYear();
  if (Jahr < 999)
    Jahr += 1900;
  var Stunden = Jetzt.getHours();
  var Minuten = Jetzt.getMinutes();
  var Sekunden = Jetzt.getSeconds();
  var WoTag = Jetzt.getDay();
  var Vortag = (Tag < 10) ? "0" : "";
  var Vormon = (Monat < 10) ? ".0" : ".";
  var Vorstd = (Stunden < 10) ? "0" : "";
  var Vormin = (Minuten < 10) ? ":0" : ":";
  var Vorsek = (Sekunden < 10) ? ":0" : ":";
  var Datum = Vortag + Tag + Vormon + Monat + "." + Jahr;
  var Uhrzeit = Vorstd + Stunden + Vormin + Minuten + Vorsek + Sekunden;
  var GesamtDatum = Wochentagname[WoTag] + ", " + Datum;
  var GesamtUhrzeit = Uhrzeit;

  if (DHTML) {
    if (NS4) {
      setContent("id", "Uhr", null, '<span class="Datum">' + GesamtDatum + "<\/span>");
      setContent("id", "Uhr", null, '<span class="Uhr">' + GesamtUhrzeit + "<\/span>");
    } else {
      setContent("id", "Datum", null, GesamtDatum);
      setContent("id", "Uhr", null, GesamtUhrzeit);
    }
    window.setTimeout("ZeitAnzeigen()", 1000);
  }
}

</script>
</head>

<?php
		
		echo "<body style=\"background-color: " . $bgcolor_menu . ";\" onload=\"window.setTimeout('ZeitAnzeigen()', 1000)\" leftmargin=\"0\" topmargin=\"0\" marginwidth=\"0\" marginheight=\"0\">";
		echo "<table border=0 cellspacing=0 cellpadding=0 width=\"100%\" style=\"height: 60\" class=\"header\" >";
		echo "<tr><td style=\"vertical-align: top; background-color: " . $bgcolor_menu . "; height: 60px\" background=\"config/pics/bg_menu_top.jpg\">";
		
		echo "<img src=\"config/pics/logo.png\" border=0 align=\"middle\"> ";
		echo "<font color=\"" . $fontcolor_menu . "\" size=3>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Zeiterfassung  </font>";
		
		echo "</td></tr></table>";
		
		?>
<table border=0 cellspacing=0 cellpadding=0 width="100%"
	style="height: 150" class="header">
	<tr>
		<td style="vertical-align: top; background-color: <?php echo $bgcolor_menu; ?>; height: 150px">
			<div id="Datum" style="text-align: center; font-size: 20px;">&nbsp;</div>
			<br>
			<div id="Uhr" style="text-align: center; font-size: 35px;">&nbsp;</div>
		</td>
	</tr>
</table>


</body>
</html>
<?php
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// +++++ Liste-Fenster laden
	} elseif ($typ == "liste") {
		
		$query = $sql_query ["stempelzeitenliste"] . " and fiStatus < 3 and dtDatum = '" . $aktdatum . "' order by dtUhrzeit desc limit 0,35";
		$stempelzeiten_liste = get_table_array ( $query );
		
		echo "$doctype\n\n";
		echo "<html><head><title>$htmltitel</title>\n\n$metatags\n\n";
		if ($_SESSION ['browsertyp'] != "") {
			echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle_" . $_SESSION ['browsertyp'] . ".css\">\n\n";
		} else {
			echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle.css\">\n\n";
		}
		?>
<script type="text/javascript">
  function neuladen() {
    location.reload();
  }
  window.setTimeout("neuladen()", 10000);

</script>
</head>
<?php
		echo "<body style=\"background-color: " . $bgcolor_menu . ";\" leftmargin=\"0\" topmargin=\"0\" marginwidth=\"0\" marginheight=\"0\">";
		echo "<table border=0 cellspacing=0 cellpadding=0 width=600 style=\"height: 60px\" class=\"header\" >";
		echo "<tr><td style=\"vertical-align: top; background-color: " . $bgcolor_menu . "; height: 60px\" background=\"config/pics/bg_menu_top.jpg\">";
		echo "</td></tr></table>";
		
		echo "<table cellspacing=0 cellpadding=0 width=\"95%\" style=\"color: #ffffff; font-family: arial; font-size:12px; line-height:15px; border: 1px solid #5555ff;\">";
		echo "<tr><td colspan=10>&nbsp;&nbsp;aktuelle Stempelungen:</td></tr>";
		
		if (is_array ( $stempelzeiten_liste )) {
			foreach ( $stempelzeiten_liste as $key => $value ) {
				
				$uhrzeit_array = explode ( ":", $value ["dtUhrzeit"] );
				$value ["dtUhrzeit"] = $uhrzeit_array [0] . ":" . $uhrzeit_array [1];
				
				echo "<tr><td width=60 style=\"border-top: 1px solid #5555ff;\">";
				echo "&nbsp;&nbsp;" . $value ["dtUhrzeit"];
				echo "</td><td width=250 style=\"border-top: 1px solid #5555ff;\">";
				echo $value ["dtVorname"] . " " . $value ["dtNachname"];
				echo "</td><td width=150 style=\"border-top: 1px solid #5555ff;\">";
				echo $value ["dtGeraet"];
				echo "</td><td width=150 style=\"border-top: 1px solid #5555ff;\">";
				echo $value ["dtStempelCode"];
				echo "&nbsp;&nbsp;&nbsp;</td></tr>";
			}
		}
		
		echo "</table></body></html>";
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// +++++ Meldung-Fenster laden
	} elseif ($typ == "meldung") {
		
		$query = "select * from $tblzeiterfassungmeldungen where dtGeraet = '" . $terminal . "' order by id";
		$meldung_field = get_table_row ( $query );
		
		if ($meldung_field ["id"] != "") {
			delete_from_table ( $tblzeiterfassungmeldungen, $meldung_field ["id"] );
		} else {
			$meldung_field ["dtMeldung"] = zeiterfassung_meldung_bereit ();
		}
		
		echo zeiterfassung_meldung_kopf ();
		echo $meldung_field ["dtMeldung"];
		echo zeiterfassung_meldung_fuss ();
	}
}

/*
 * Datenbankverbindung schliessen
 */
mysql_close ();

?>
