<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["projektzeitenliste"];

// Mitarbeiter
if ($filter [$listenname] ["mitarbeiter"] != "") {
	$query .= filter_multiselect_return_query ( $filter [$listenname] ["mitarbeiter"], "$tblprojektzeiten.fiMitarbeiter" );
} else {
	if ($benutzerrechte [$target] ["zugriffsart"] != 1) {
		$filter [$listenname] ["mitarbeiter"] = fehlerausgabe ( 39, "", "meldungbox" );
	} else {
		$filter [$listenname] ["mitarbeiter"] = $_SESSION ['benutzerkontaktid'];
	}
}

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] == "01-01-1970-01-01-2030") {
	fehlerausgabe ( 40, "", "meldungbox" );
} elseif ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Rechte
$rechte_sql = "";
if ($benutzerrechte [$target] ["zugriffsart"] != 0) {
	$rechte_sql = " and $tblprojektzeiten.fiMitarbeiter = " . $_SESSION ['benutzerkontaktid'];
}

// Sortierung - hier immer die selbe
$sortierung_sql = " order by $tblprojektzeiten.dtDatum";

// wenn es eine Limitierung der Liste gibt, dann f�ge sei dem SQL-String hinzu
// if ($sortierung[$listenname]["anzahl"] != "" and $filter[$listenname]["textfilter"] == "") {
// $limit_sql = " limit ".($sortierung[$listenname]["position"] - 1).",".$sortierung[$listenname]["anzahl"];
// } else {
$limit_sql = "";
// $sortierung[$listenname]["anzahl"] = "";
// }

$anzahl_gesamt = get_table_count ( $query . $rechte_sql . $sortierung_sql . $limit_sql );
$liste = get_table_array ( $query . $rechte_sql . $sortierung_sql . $limit_sql );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte vor-formatieren
unset ( $liste_temp );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		if (array_key_exists ( $listenzeile ["dtDatum"], ( array ) $liste_temp )) {
			
			if (stdmin_to_min ( $listenzeile ["dtBeginnZeit"] ) != 0 and stdmin_to_min ( $listenzeile ["dtEndeZeit"] ) != 0) {
				
				if (stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtBeginnZeit"] ) != 0) {
					$liste_temp [$listenzeile ["dtDatum"]] ["dtBeginnZeit"] = min_to_stdmin ( min ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtBeginnZeit"] ), stdmin_to_min ( $listenzeile ["dtBeginnZeit"] ) ) );
				} else {
					$liste_temp [$listenzeile ["dtDatum"]] ["dtBeginnZeit"] = $listenzeile ["dtBeginnZeit"];
				}
				$liste_temp [$listenzeile ["dtDatum"]] ["dtEndeZeit"] = min_to_stdmin ( max ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtEndeZeit"] ), stdmin_to_min ( $listenzeile ["dtEndeZeit"] ) ) );
				$liste_temp [$listenzeile ["dtDatum"]] ["dtAnwesendZeit"] = min_to_stdmin ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtEndeZeit"] ) - stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtBeginnZeit"] ) );
				$liste_temp [$listenzeile ["dtDatum"]] ["dtArbeitsZeit"] = min_to_stdmin ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtArbeitsZeit"] ) + stdmin_to_min ( $listenzeile ["dtArbeitsZeit"] ) );
				$liste_temp [$listenzeile ["dtDatum"]] ["dtZusatzZeit"] = min_to_stdmin ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtZusatzZeit"] ) + stdmin_to_min ( $listenzeile ["dtZusatzZeit"] ) );
				$liste_temp [$listenzeile ["dtDatum"]] ["dtVergueteZeit"] = min_to_stdmin ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtArbeitsZeit"] ) + stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtZusatzZeit"] ) );
				$liste_temp [$listenzeile ["dtDatum"]] ["dtPauseZeit"] = min_to_stdmin ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtAnwesendZeit"] ) - stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtArbeitsZeit"] ) );
			}
			
			if ($listenzeile ["dtBemerkungProjektzeit"] != "") {
				if ($liste_temp [$listenzeile ["dtDatum"]] ["dtBemerkungProjektzeit"] != "") {
					$liste_temp [$listenzeile ["dtDatum"]] ["dtBemerkungProjektzeit"] .= " *** ";
				}
				$liste_temp [$listenzeile ["dtDatum"]] ["dtBemerkungProjektzeit"] .= $listenzeile ["dtBemerkungProjektzeit"];
			}
		} else {
			
			$liste_temp [$listenzeile ["dtDatum"]] = $listenzeile;
		}
	}
}

unset ( $liste_zusgef );
$counter = 0;
if (count ( $liste_temp ) != 0) {
	foreach ( $liste_temp as $listenzeile_id => $listenzeile ) {
		
		$liste_zusgef [$counter ++] = $listenzeile;
	}
}

unset ( $liste_output );
if (count ( $liste_zusgef ) != 0) {
	foreach ( $liste_zusgef as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		// $liste_output[$listenzeile_id] = liste_output_textfilter($listenzeile, $field_textfilter_active, $filter[$listenname]["textfilter"]);
		
		// $liste_output[$listenzeile_id] = $listenzeile;
		
		// +++++++++++ Felder formatieren
		// $query = $sql_query["kontaktliste"]. " and $tblkontakte.id = " . $liste[$listenzeile_id]["fiMitarbeiter"];
		// $mitarbeiter_row = get_table_row($query);
		// $liste_output[$listenzeile_id]["dtKontaktDDText"] = $mitarbeiter_row["dtKontaktDDText"];
		
		if ($listenzeile ["dtDatum"] != "2030-01-01") {
			$datum = split_date ( $listenzeile ["dtDatum"] );
		}
		$liste_output [$listenzeile_id] ["dtDatum"] = $datum ["tag"] . "." . $datum ["monat"] . "." . $datum ["jahr"];
		$liste_output [$listenzeile_id] ["dtTag"] = weekday_from_date ( $listenzeile ["dtDatum"] );
		
		unset ( $uhrzeit );
		if ($listenzeile ["dtBeginnZeit"] != "24-60") {
			$uhrzeit = split_time ( $listenzeile ["dtBeginnZeit"] );
		}
		$liste_output [$listenzeile_id] ["dtBeginnZeit"] = $uhrzeit ["stunde"] . ":" . $uhrzeit ["minute"];
		
		unset ( $uhrzeit );
		if ($listenzeile ["dtEndeZeit"] != "24-60") {
			$uhrzeit = split_time ( $listenzeile ["dtEndeZeit"] );
		}
		$liste_output [$listenzeile_id] ["dtEndeZeit"] = $uhrzeit ["stunde"] . ":" . $uhrzeit ["minute"];
		
		unset ( $uhrzeit );
		if ($listenzeile ["dtAnwesendZeit"] != "24-60") {
			$uhrzeit = split_time ( $listenzeile ["dtAnwesendZeit"] );
		}
		$liste_output [$listenzeile_id] ["dtAnwesendZeit"] = $uhrzeit ["stunde"] . ":" . $uhrzeit ["minute"];
		
		unset ( $uhrzeit );
		if ($listenzeile ["dtPauseZeit"] != "24-60") {
			$uhrzeit = split_time ( $listenzeile ["dtPauseZeit"] );
		}
		$liste_output [$listenzeile_id] ["dtPauseZeit"] = $uhrzeit ["stunde"] . ":" . $uhrzeit ["minute"];
		
		unset ( $uhrzeit );
		if ($listenzeile ["dtArbeitsZeit"] != "24-60") {
			$uhrzeit = split_time ( $listenzeile ["dtArbeitsZeit"] );
		}
		$liste_output [$listenzeile_id] ["dtArbeitsZeit"] = $uhrzeit ["stunde"] . ":" . $uhrzeit ["minute"];
		
		unset ( $uhrzeit );
		if ($listenzeile ["dtZusatzZeit"] != "24-60") {
			$uhrzeit = split_time ( $listenzeile ["dtZusatzZeit"] );
		}
		$liste_output [$listenzeile_id] ["dtZusatzZeit"] = $uhrzeit ["stunde"] . ":" . $uhrzeit ["minute"];
		
		unset ( $uhrzeit );
		if ($listenzeile ["dtVergueteZeit"] != "24-60") {
			$uhrzeit = split_time ( $listenzeile ["dtVergueteZeit"] );
		}
		$liste_output [$listenzeile_id] ["dtVergueteZeit"] = $uhrzeit ["stunde"] . ":" . $uhrzeit ["minute"];
		
		$liste_output [$listenzeile_id] ["dtSollzeit"] = double_from_sql ( $listenzeile ["dtSollzeit"], 2 );
		
		$gleitzeit_min = get_gleitzeit ( $liste_zusgef [$listenzeile_id] ["fiMitarbeiter"], $liste_zusgef [$listenzeile_id] ["dtDatum"], $liste_zusgef [$listenzeile_id] ["dtDatum"], "bericht" );
		$gleitzeit_stdmin = min_to_stdmin ( $gleitzeit_min );
		$liste_output [$listenzeile_id] ["dtSummeGleitzeit"] = $gleitzeit_stdmin;
		
		$liste_output [$listenzeile_id] ["dtBemerkungArbeitszeit"] = substr ( $listenzeile ["dtBemerkungArbeitszeit"], 0, 20 );
	}
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Layout Infos
$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = '" . $standard_layout_liste_hochformat . "'";
$field = get_table_row ( $query );

$layout_vorlagen_ersteseite = unserialize ( $field ["dtVorlagenErsteSeite"] );
$layout_vorlagen_folgeseiten = unserialize ( $field ["dtVorlagenFolgeSeiten"] );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Definiere Seitenr�nder
$typ = "seitenraender";
include ("$functionsordner/function_pdf.php");

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge neues PDF Dokument (nur f�r Berechnung von Feldbreiten, je nach Schriftart)
$pdf = new PDF ();
$pdf->new_document ( $field ["dtDokumentName"], $ausrichtung );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge Listenkopf
$printzeile = 0;

foreach ( $show_fields as $key => $show_field ) {
	$feldinhalte [$show_field] = $field_headlines [$key];
}

$liste_print [$printzeile] ["zeilentyp"] = "kopfzeile";
$liste_print [$printzeile] ["zeilennr"] = 1;
$liste_print [$printzeile] ["zeilenmaxnr"] = 1;
$liste_print [$printzeile] ["zeilenhoehe"] = round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ) + $zeilen_spacing_innen;
$liste_print [$printzeile] ["zeilen_spacing"] = $zeilen_spacing;
$liste_print [$printzeile] ["zellen_spacing"] = $zellen_spacing;
$liste_print [$printzeile] ["feldinhalte"] = $feldinhalte;
$liste_print [$printzeile] ["feldbreiten"] = $field_width;
$liste_print [$printzeile] ["formatierungen"] ["hintergrund"] = $hintergrund_kopfzeile;
$liste_print [$printzeile] ["formatierungen"] ["schriftfarbe"] = $schriftfarbe_kopfzeile;
$liste_print [$printzeile] ["formatierungen"] ["rahmenstil"] = $rahmenstil_kopfzeile;
$liste_print [$printzeile] ["formatierungen"] ["schriftstil"] = $schriftstil_kopfzeile;
$liste_print [$printzeile] ["formatierungen"] ["schriftausrichtung"] = $schriftausrichtung_kopfzeile;
$liste_print [$printzeile] ["formatierungen"] ["schriftart"] = $field ["dtStandardSchriftArt"];
$liste_print [$printzeile] ["formatierungen"] ["schriftgroesse"] = $field ["dtStandardSchriftGroesse"];

$printzeile ++;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ bearbeite Liste zeilenweise, wenn es der Textfilter erlaubt
$zeilenzahl = 1;
if (is_array ( $liste_output )) {
	foreach ( $liste_output as $zeile => $listenzeile ) {
		if ($liste_output [$zeile] ["Textfilter"] != "nomatch") {
			
			// ++++ formatiere Listenfelder (HTML zu PDF) (Schriftart muss gesetzt sein f�r Zeilenberechnung)
			foreach ( $show_fields as $key => $show_field ) {
				
				$pdf->SetFont ( "$field[dtStandardSchriftArt]", "", $field ["dtStandardSchriftGroesse"] );
				$tabellenzeile [$show_field] = $pdf->format_tabellenfeld ( $listenzeile [$show_field], $field_width [$key] );
			}
			
			// ++++ berechne gr��te Zeilenanzahl der Listenfelder
			$maxzeilen = $pdf->get_maxzeilen ( $tabellenzeile );
			
			// ++++ erzeuge neues Array mit jeweils einer Textzeile
			for($n = 0; $n < $maxzeilen; $n ++) {
				
				foreach ( $show_fields as $key => $show_field ) {
					$feldinhalte [$show_field] = $pdf->extract_print_zeile ( $tabellenzeile [$show_field], $n );
				}
				
				$liste_print [$printzeile] ["zeilentyp"] = "zeile";
				$liste_print [$printzeile] ["zeilennr"] = $n + 1;
				$liste_print [$printzeile] ["zeilenmaxnr"] = $maxzeilen;
				$liste_print [$printzeile] ["zeilenhoehe"] = round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ) + $zeilen_spacing_innen;
				$liste_print [$printzeile] ["zeilen_spacing"] = $zeilen_spacing;
				$liste_print [$printzeile] ["zellen_spacing"] = $zellen_spacing;
				$liste_print [$printzeile] ["feldinhalte"] = $feldinhalte;
				$liste_print [$printzeile] ["feldbreiten"] = $field_width;
				// if ($zeilenzahl % 2 == 0) {
				// $liste_print[$printzeile]["formatierungen"]["hintergrund"] = $hintergrund_textzeile_gerade;
				// } else {
				// $liste_print[$printzeile]["formatierungen"]["hintergrund"] = $hintergrund_textzeile_ungerade;
				// }
				if ($liste_print [$printzeile] ["feldinhalte"] ["dtTag"] == "Sa" or $liste_print [$printzeile] ["feldinhalte"] ["dtTag"] == "So") {
					$liste_print [$printzeile] ["formatierungen"] ["hintergrund"] = $hintergrund_textzeile_gerade;
				} else {
					$liste_print [$printzeile] ["formatierungen"] ["hintergrund"] = $hintergrund_textzeile_ungerade;
				}
				$liste_print [$printzeile] ["formatierungen"] ["schriftfarbe"] = $schriftfarbe_textzeile;
				$liste_print [$printzeile] ["formatierungen"] ["rahmenstil"] = $rahmenstil_textzeile;
				$liste_print [$printzeile] ["formatierungen"] ["schriftstil"] = $schriftstil_textzeile;
				$liste_print [$printzeile] ["formatierungen"] ["schriftausrichtung"] = $schriftausrichtung_textzeile;
				$liste_print [$printzeile] ["formatierungen"] ["schriftart"] = $field ["dtStandardSchriftArt"];
				$liste_print [$printzeile] ["formatierungen"] ["schriftgroesse"] = $field ["dtStandardSchriftGroesse"];
				
				$printzeile ++;
			}
			$zeilenzahl ++;
		}
	}
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge Listenfu�

$liste_print [$printzeile] = $liste_print [0];
$liste_print [$printzeile] ["zeilentyp"] = "fusszeile";
$liste_print [$printzeile] ["feldinhalte"] = array (
		" " 
);
$liste_print [$printzeile] ["feldbreiten"] = array (
		array_sum ( $field_width ) 
);

$printzeile ++;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Erzeuge Zusammenfassung

$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
$datum_tag_von = $datum_explode [0];
$datum_monat_von = $datum_explode [1];
$datum_jahr_von = $datum_explode [2];
$datum_tag_bis = $datum_explode [3];
$datum_monat_bis = $datum_explode [4];
$datum_jahr_bis = $datum_explode [5];

$datum_von = $datum_jahr_von . "-" . $datum_monat_von . "-" . $datum_tag_von;
$datum_bis = $datum_jahr_bis . "-" . $datum_monat_bis . "-" . $datum_tag_bis;

$vorangezeigtdatum = date ( "Y-m-d", mktime ( 0, 0, 0, $datum_monat_von, $datum_tag_von - 1, $datum_jahr_von ) );
$vormonatdatum = date ( "Y-m-d", mktime ( 0, 0, 0, $aktmonat, 0, $aktjahr ) );
$aktmonatdatum = date ( "Y-m-d", mktime ( 0, 0, 0, $aktmonat, 1, $aktjahr ) );
$gesterndatum = date ( "Y-m-d", mktime ( 0, 0, 0, $aktmonat, $akttag - 1, $aktjahr ) );

$gleitzeitkontovorangezeigtmin = get_gleitzeit ( $filter [$listenname] ["mitarbeiter"], "1970-01-01", $vorangezeigtdatum, "liste" );
$gleitzeitkontovorangezeigt = min_to_stdmin ( $gleitzeitkontovorangezeigtmin );

$gleitzeitkontoangezeigtmin = get_gleitzeit ( $filter [$listenname] ["mitarbeiter"], $datum_von, $datum_bis, "liste" );
$gleitzeitkontoangezeigt = min_to_stdmin ( $gleitzeitkontoangezeigtmin );

$gleitzeitkontoangezeigtminbericht = get_gleitzeit ( $filter [$listenname] ["mitarbeiter"], $datum_von, $datum_bis, "bericht" );
$gleitzeitkontoangezeigtbericht = min_to_stdmin ( $gleitzeitkontoangezeigtminbericht );

$gleitzeitkontobisangezeigtmin = get_gleitzeit ( $filter [$listenname] ["mitarbeiter"], "1970-01-01", $datum_bis, "liste" );
$gleitzeitkontobisangezeigt = min_to_stdmin ( $gleitzeitkontobisangezeigtmin );

$gleitzeitkontobisangezeigtminbericht = get_gleitzeit ( $filter [$listenname] ["mitarbeiter"], "1970-01-01", $datum_bis, "bericht_zeitraum_ende" );
$gleitzeitkontobisangezeigtbericht = min_to_stdmin ( $gleitzeitkontobisangezeigtminbericht );

$gleitzeitkontovormonatmin = get_gleitzeit ( $filter [$listenname] ["mitarbeiter"], "1970-01-01", $vormonatdatum, "liste" );
$gleitzeitkontovormonat = min_to_stdmin ( $gleitzeitkontovormonatmin );

$gleitzeitkontomonatmin = get_gleitzeit ( $filter [$listenname] ["mitarbeiter"], $aktmonatdatum, $gesterndatum, "liste" );
$gleitzeitkontomonat = min_to_stdmin ( $gleitzeitkontomonatmin );

$gleitzeitkontomonatminbericht = get_gleitzeit ( $filter [$listenname] ["mitarbeiter"], $aktmonatdatum, $gesterndatum, "bericht" );
$gleitzeitkontomonatbericht = min_to_stdmin ( $gleitzeitkontomonatminbericht );

$gleitzeitkontomin = get_gleitzeit ( $filter [$listenname] ["mitarbeiter"], "1970-01-01", $gesterndatum, "liste" );
$gleitzeitkonto = min_to_stdmin ( $gleitzeitkontomin );

$urlaubsstandvorangezeigt = get_urlaubsstand ( $filter [$listenname] ["mitarbeiter"], "1970-01-01", $vorangezeigtdatum, "liste" );
$urlaubsstandangezeigt = get_urlaubsstand ( $filter [$listenname] ["mitarbeiter"], $datum_von, $datum_bis, "liste" );
$urlaubsstandangezeigtbericht = get_urlaubsstand ( $filter [$listenname] ["mitarbeiter"], $datum_von, $datum_bis, "bericht" );
$urlaubsstandbisangezeigt = get_urlaubsstand ( $filter [$listenname] ["mitarbeiter"], "1970-01-01", $datum_bis, "liste" );

$urlaubsstandvormonat = get_urlaubsstand ( $filter [$listenname] ["mitarbeiter"], "1970-01-01", $vormonatdatum, "liste" );
$urlaubsstandmonat = get_urlaubsstand ( $filter [$listenname] ["mitarbeiter"], $aktmonatdatum, $gesterndatum, "liste" );
$urlaubsstandmonatbericht = get_urlaubsstand ( $filter [$listenname] ["mitarbeiter"], $aktmonatdatum, $gesterndatum, "bericht" );
$urlaubsstand = get_urlaubsstand ( $filter [$listenname] ["mitarbeiter"], "1970-01-01", $gesterndatum, "liste" );

$liste_zusammenfassung [1] ["Ueberschrift1"] = "Gleitzeitkontostand vor $datum_tag_von.$datum_monat_von.$datum_jahr_von";
$liste_zusammenfassung [1] ["Wert1"] = $gleitzeitkontovorangezeigt;
$liste_zusammenfassung [1] ["Leer"] = "";
$liste_zusammenfassung [1] ["Ueberschrift2"] = "Urlaubsstand vor $datum_tag_von.$datum_monat_von.$datum_jahr_von";
$liste_zusammenfassung [1] ["Wert2"] = double_from_sql ( $urlaubsstandvorangezeigt, 1 );

$liste_zusammenfassung [2] ["Ueberschrift1"] = "berstunden im angezeigten Zeitraum";
$liste_zusammenfassung [2] ["Wert1"] = $gleitzeitkontoangezeigtbericht;
$liste_zusammenfassung [2] ["Leer"] = "";
$liste_zusammenfassung [2] ["Ueberschrift2"] = "Urlaub im angezeigten Zeitraum";
$liste_zusammenfassung [2] ["Wert2"] = double_from_sql ( $urlaubsstandangezeigtbericht, 1 );

$liste_zusammenfassung [3] ["Ueberschrift1"] = "Gleitzeitkontostand am $datum_tag_bis.$datum_monat_bis.$datum_jahr_bis";
$liste_zusammenfassung [3] ["Wert1"] = $gleitzeitkontobisangezeigtbericht;
$liste_zusammenfassung [3] ["Leer"] = "";
$liste_zusammenfassung [3] ["Ueberschrift2"] = "Urlaubsstand am $datum_tag_bis.$datum_monat_bis.$datum_jahr_bis";
$liste_zusammenfassung [3] ["Wert2"] = double_from_sql ( $urlaubsstandbisangezeigt, 1 );

$liste_print [$printzeile] = $liste_print [0];
$liste_print [$printzeile] ["zeilentyp"] = "zeile";
$liste_print [$printzeile] ["feldinhalte"] = array (
		" " 
);
$liste_print [$printzeile] ["feldbreiten"] = array (
		50,
		15,
		35,
		50,
		15 
);
$liste_print [$printzeile] ["formatierungen"] ["hintergrund"] = $hintergrund_textzeile_ungerade;
$liste_print [$printzeile] ["formatierungen"] ["schriftfarbe"] = $schriftfarbe_textzeile;
$liste_print [$printzeile] ["formatierungen"] ["rahmenstil"] = $rahmenstil_textzeile;
$liste_print [$printzeile] ["formatierungen"] ["schriftstil"] = $schriftstil_textzeile;
$liste_print [$printzeile] ["formatierungen"] ["schriftausrichtung"] = array (
		"L",
		"R",
		"L",
		"L",
		"R" 
);
$liste_print [$printzeile] ["formatierungen"] ["schriftart"] = $field ["dtStandardSchriftArt"];
$liste_print [$printzeile] ["formatierungen"] ["schriftgroesse"] = $field ["dtStandardSchriftGroesse"];

$printzeile ++;

$liste_print [$printzeile] = $liste_print [$printzeile - 1];
$liste_print [$printzeile] ["feldinhalte"] = $liste_zusammenfassung [1];
$printzeile ++;

$liste_print [$printzeile] = $liste_print [$printzeile - 1];
$liste_print [$printzeile] ["feldinhalte"] = $liste_zusammenfassung [2];

$printzeile ++;

$liste_print [$printzeile] = $liste_print [$printzeile - 1];
$liste_print [$printzeile] ["feldinhalte"] = $liste_zusammenfassung [3];

$printzeile ++;

$liste_print [$printzeile] = $liste_print [$printzeile - 1];
$liste_print [$printzeile] ["feldinhalte"] = array (
		" " 
);
$printzeile ++;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Erzeuge Bemerkungen
$query = $sql_query ["bemerkungenliste"] . " and $tblbemerkungen.dtZugehoerigkeit = 'tblKontakte' and $tblbemerkungen.fiZugehoerigkeitNr = " . $filter [$listenname] ["mitarbeiter"];
$query .= " and to_days($tblbemerkungen.dtDatum) >= to_days('$datum_von')";
$query .= " and to_days($tblbemerkungen.dtDatum) <= to_days('$datum_bis')  ";
$query .= " and $tblbemerkungen.dtZusatz1Wert = 1";
$query .= " order by $tblbemerkungen.dtDatum";

$liste = get_table_array ( $query );

unset ( $liste_output );
unset ( $feldinhalte );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		if ($listenzeile ["dtDatum"] != "2030-01-01") {
			$datum = split_date ( $listenzeile ["dtDatum"] );
		}
		$liste_output [$listenzeile_id] ["dtDatum"] = $datum ["tag"] . "." . $datum ["monat"] . "." . $datum ["jahr"];
		$liste_output [$listenzeile_id] ["dtBemerkung"] = $listenzeile ["dtBemerkung"];
	}
}

$zeilenzahl = 1;
if (is_array ( $liste_output )) {
	foreach ( $liste_output as $zeile => $listenzeile ) {
		
		$field_width = array (
				20,
				145 
		);
		
		// ++++ formatiere Listenfelder (HTML zu PDF) (Schriftart muss gesetzt sein f�r Zeilenberechnung)
		foreach ( array (
				"dtDatum",
				"dtBemerkung" 
		) as $key => $show_field ) {
			
			$pdf->SetFont ( "$field[dtStandardSchriftArt]", "", $field ["dtStandardSchriftGroesse"] );
			$tabellenzeile [$show_field] = $pdf->format_tabellenfeld ( $listenzeile [$show_field], $field_width [$key] );
		}
		
		// ++++ berechne gr��te Zeilenanzahl der Listenfelder
		$maxzeilen = $pdf->get_maxzeilen ( $tabellenzeile );
		
		// ++++ erzeuge neues Array mit jeweils einer Textzeile
		for($n = 0; $n < $maxzeilen; $n ++) {
			
			foreach ( array (
					"dtDatum",
					"dtBemerkung" 
			) as $key => $show_field ) {
				$feldinhalte [$show_field] = $pdf->extract_print_zeile ( $tabellenzeile [$show_field], $n );
			}
			
			$liste_print [$printzeile] ["zeilentyp"] = "zeile";
			$liste_print [$printzeile] ["zeilennr"] = $n + 1;
			$liste_print [$printzeile] ["zeilenmaxnr"] = $maxzeilen;
			$liste_print [$printzeile] ["zeilenhoehe"] = round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ) + $zeilen_spacing_innen;
			$liste_print [$printzeile] ["zeilen_spacing"] = $zeilen_spacing;
			$liste_print [$printzeile] ["zellen_spacing"] = $zellen_spacing;
			$liste_print [$printzeile] ["feldinhalte"] = $feldinhalte;
			$liste_print [$printzeile] ["feldbreiten"] = $field_width;
			$liste_print [$printzeile] ["formatierungen"] ["hintergrund"] = $hintergrund_textzeile_ungerade;
			$liste_print [$printzeile] ["formatierungen"] ["schriftfarbe"] = $schriftfarbe_textzeile;
			$liste_print [$printzeile] ["formatierungen"] ["rahmenstil"] = $rahmenstil_textzeile;
			$liste_print [$printzeile] ["formatierungen"] ["schriftstil"] = $schriftstil_textzeile;
			$liste_print [$printzeile] ["formatierungen"] ["schriftausrichtung"] = $schriftausrichtung_textzeile;
			$liste_print [$printzeile] ["formatierungen"] ["schriftart"] = $field ["dtStandardSchriftArt"];
			$liste_print [$printzeile] ["formatierungen"] ["schriftgroesse"] = $field ["dtStandardSchriftGroesse"];
			
			$printzeile ++;
		}
		$zeilenzahl ++;
	}
}

// echo '<pre>'.str_replace(array("\n" , " "), array('<br>', '&nbsp;'), print_r($liste_print, true)).'</pre><br><br>';
// exit;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schliesse tempor�res PDF Dokument
$pdf->Close ();

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ f�ge Seitenumbr�che ein
$liste_print = $pdf->tabellenseitenumbrueche ( $liste_print, round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ), $druckhoehe_p1, $druckhoehe, 0 );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ drucke alle Seiten
$pdf->tabelle_output ( $liste_print, $rand_links_p1, $rand_oben_p1, $rand_links, $rand_oben, $druckbreite_p1, $druckbreite, $dateiname, $field ["dtDokumentName"], $ausrichtung );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge ggf. Seite mit Infofeld auf erster Seite

$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $filter [$listenname] ["mitarbeiter"];
$mitarbeiter_row = get_table_row ( $query );

if ($field ["dtInfofeldVorhanden"] == 1) {
	$infofelder = array (
			"Pers-Nr." => $mitarbeiter_row ["dtKontaktNr"],
			"Vorname" => $mitarbeiter_row ["dtVorname"],
			"Nachname" => $mitarbeiter_row ["dtNachname"],
			"Strae" => $mitarbeiter_row ["dtStrasse"],
			"PLZ / Wohnort" => $mitarbeiter_row ["dtPLZ"] . " " . $mitarbeiter_row ["dtOrt"] 
	);
	
	$infofeld_array = create_infofeld_liste_array ( "Zeitabrechnung $datum_tag_von.$datum_monat_von.$datum_jahr_von - $datum_tag_bis.$datum_monat_bis.$datum_jahr_bis", $field ["dtInfofeldSchriftArt"], $field ["dtInfofeldSchriftGroesse"], $infofelder, array (), $field_headlines, $show_fields );
	create_infofeldseite ( $infofeld_array, $ausrichtung, $field ["dtInfofeldLinks"], $field ["dtInfofeldOben"], $seitenbreite - $field ["dtInfofeldLinks"] - $field ["dtInfofeldRechts"], $seitenhoehe - $field ["dtInfofeldOben"] - $field ["dtInfofeldUnten"] );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge ggf. Seite mit Datumsfeld auf erster Seite
if ($field ["dtDatumsfeldVorhanden"] == 1) {
	create_datumsfeldseite ( $field ["dtDatumsfeldText"], $ausrichtung, $field ["dtDatumsfeldLinks"], $field ["dtDatumsfeldOben"], $seitenbreite - $field ["dtDatumsfeldLinks"] - $field ["dtDatumsfeldRechts"], $field ["dtDatumsfeldSchriftArt"], $field ["dtDatumsfeldSchriftGroesse"] );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge ggf. Seiten mit Seitenzahl-Feld f�r alle Seiten
if ($field ["dtSeitenzahlfeldVorhanden"] == 1) {
	create_seitenzahlseiten ( $field ["dtSeitenzahlfeldText"], $ausrichtung, $field ["dtSeitenzahlfeldLinks"], $field ["dtSeitenzahlfeldOben"], $seitenbreite - $field ["dtSeitenzahlfeldLinks"] - $field ["dtSeitenzahlfeldRechts"], $field ["dtSeitenzahlfeldSchriftArt"], $field ["dtSeitenzahlfeldSchriftGroesse"] );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hinzuf�gen des Layouts und zusammenf�hren aller Seiten
$output_filename = create_document ( $layout_vorlagen_ersteseite, $layout_vorlagen_folgeseiten );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Ausgabe des PDF im Browser durch Reload der Seite
output_reload ( $output_filename );

?>