<?php
if ($typ == "neu") {
	if (is_array ( $field ["fiKunde"] ))
		$field ["fiKunde"] = $field ["fiKunde"] [0];
	if (is_array ( $field ["fiEndkunde"] ))
		$field ["fiEndkunde"] = $field ["fiEndkunde"] [0];
	if (is_array ( $field ["fiProjekt"] ))
		$field ["fiProjekt"] = $field ["fiProjekt"] [0];
}

/*
 * Anzeige aller Belegrelevanten Bemerkungen
 */

$sIdInfokiste = "infokiste-" . uniqid ();

if ($field ["fiKunde"] > 0) {
	$sQueryKunde = $sql_query ["bemerkungenliste"] . " and $tblbemerkungen.dtZugehoerigkeit = 'tblKontakte' and $tblbemerkungen.dtBelegrelevant = 1 and $tblbemerkungen.fiZugehoerigkeitNr = " . $field ["fiKunde"] . " order by $tblbemerkungen.dtDatum desc";
	$aBemerkungenKunde = get_table_array ( $sQueryKunde );
}

if ($field ["fiEndkunde"] > 0) {
	$sQueryEndkunde = $sql_query ["bemerkungenliste"] . " and $tblbemerkungen.dtZugehoerigkeit = 'tblKontakte' and $tblbemerkungen.dtBelegrelevant = 1 and $tblbemerkungen.fiZugehoerigkeitNr = " . $field ["fiEndkunde"] . " order by $tblbemerkungen.dtDatum desc";
	$aBemerkungenEndkunde = get_table_array ( $sQueryEndkunde );
}

if ($field ["fiProjekt"] > 0) {
	$sQueryProjekt = $sql_query ["bemerkungenliste"] . " and $tblbemerkungen.dtZugehoerigkeit = 'tblProjekte' and $tblbemerkungen.dtBelegrelevant = 1 and $tblbemerkungen.fiZugehoerigkeitNr = " . $field ["fiProjekt"] . " order by $tblbemerkungen.dtDatum desc";
	$aBemerkungenProjekt = get_table_array ( $sQueryProjekt );
}

$aBemerkungen = array_merge ( ( array ) $aBemerkungenKunde, ( array ) $aBemerkungenEndkunde, ( array ) $aBemerkungenProjekt );

if ((count ( $aBemerkungen ) > 0 && $typ == "neu") || ($bShowInfokiste && count ( $aBemerkungen ) > 0) || ($bZeigeBelegInfoboxImmer && count ( $aBemerkungen ) > 0)) {
	$sDisplay = "display: block;";
} else {
	$sDisplay = "display: none;";
}

echo "<div id='" . $sIdInfokiste . "' class='meldungbox' onClick=\"$(this).hide();\" style=\"" . $sDisplay . "\"><br>";
echo "<div style='font-size:13px;'>Kunden-/ Endkundeninformationen</div>";
echo "<div>";
echo "<table class='text meldungbox'>";
echo "<tr style='background-color: $zeilenhintergrund_listenkopf;'>";
echo "<td style='vertical-align: top; width: 80px;'>Datum</td>";
echo "<td style='vertical-align: top; width: 80px;'>Zugehrigkeit</td>";
echo "<td style='vertical-align: top; width: 100%;'>Bemerkung</td>";
echo "</tr>";

$i = 0;
if (count ( $aBemerkungen ) > 0) {
	$shortcut_link_infokiste = klickbutton ( "i", "onclick=\"$('#" . $sIdInfokiste . "').toggle();\"", "", "Info anzeigen" );
	
	// prfe auf Berechtigung zum ansehen
	if ($_SESSION ['benutzername'] != "admin") {
		$personaldaten_query = $sql_query ["personaldatenliste"] . " and $tblpersonaldaten.fiKontaktNr = '" . $_SESSION ['benutzerkontaktid'] . "'";
		$personaldaten_field = get_table_row ( $personaldaten_query );
	}
	
	foreach ( $aBemerkungen as $aBemerkung ) {
		
		unset ( $aBerechtigteAbteilungen );
		foreach ( explode ( ";", $aBemerkung ["dtBerechtigung"] ) as $key => $value ) {
			if ($value != "")
				$aBerechtigteAbteilungen [] = $value;
		}
		
		if ($_SESSION ['benutzername'] == "admin" || in_array ( $personaldaten_field ["fiAbteilung"], ( array ) $aBerechtigteAbteilungen )) {
			/*
			 * Hintergrund
			 */
			if ($i % 2) {
				$sStyleZeileHintergrund = $zeilenhintergrund1;
			} else {
				$sStyleZeileHintergrund = $zeilenhintergrund2;
			}
			
			/*
			 * Zugehrigkeit
			 */
			if ($aBemerkung ["dtZugehoerigkeit"] == "tblKontakte" && $aBemerkung ["fiZugehoerigkeitNr"] == $field ["fiKunde"]) {
				$sZugehoerigkeit = "Kunde";
			}
			
			if ($aBemerkung ["dtZugehoerigkeit"] == "tblKontakte" && $aBemerkung ["fiZugehoerigkeitNr"] == $field ["fiEndkunde"]) {
				$sZugehoerigkeit = "Endkunde";
			}
			
			if ($aBemerkung ["dtZugehoerigkeit"] == "tblProjekte" && $aBemerkung ["fiZugehoerigkeitNr"] == $field ["fiProjekt"]) {
				$sZugehoerigkeit = "Projekt";
			}
			
			echo "<tr style='background-color: $sStyleZeileHintergrund;'>";
			echo "<td style='vertical-align: top;'>" . date_from_sql ( $aBemerkung ["dtDatum"] ) . "</td>";
			echo "<td style='vertical-align: top;'>" . $sZugehoerigkeit . "</td>";
			echo "<td style='vertical-align: top;'>" . nl2br ( $aBemerkung ["dtBemerkung"] ) . "</td>";
			echo "</tr>";
			$i ++;
		}
	}
} else {
	$shortcut_link_infokiste = "";
}

echo "</table></div>";

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td class=\"formularrahmen_unten\"></td></tr>";
echo "</table>";

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td class=\"formularrahmen_oben\"></td></tr>";
echo "</table>";

echo "</div>";

/*
 * Anzeige des Kreditlimits wenn Kunde vorhanden und Kreditlimit > 0
 */

if ($field ["fiKunde"] > 0) {
	$aKunde = get_table_row ( $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $field ["fiKunde"] );
	if ($aKunde ["dtKreditlimit"] > 0) {
		$sQueryBilanz = "select (sum(dtSummeVerkaufBrutto) - sum(dtSummeBezahltBrutto)) as Kredit FROM $tblbilanzbelege WHERE ($tblbilanzbelege.fiStatus = 3 OR $tblbilanzbelege.fiStatus = 4) AND $tblbilanzbelege.fiKunde = " . $field ["fiKunde"];
		$aBilanz = get_table_row ( $sQueryBilanz );
		
		echo "<div id='info-kreditlimit' class='meldungbox' style=\"display: block;\"><br>";
		echo "<div style='font-size:13px;'>Kreditlimit</div>";
		echo "<div><table class='text meldungbox'>";
		
		echo "<tr><td>Kreditlimit bei Kunde:</td><td style='text-align: right;'>" . preis_from_sql ( $aKunde ["dtKreditlimit"] ) . "</td></tr>";
		echo "<tr><td>Summe offene Posten:</td><td style='text-align: right;'>" . preis_from_sql ( $aBilanz ["Kredit"] ) . "</td></tr>";
		echo "<tr><td><b>Verbleibender Kredit:</b></td><td style='text-align: right;'><b>" . preis_from_sql ( $aKunde ["dtKreditlimit"] - $aBilanz ["Kredit"] ) . "</b></td></tr>";
		echo "</table></div>";
		
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
		echo "<tr><td class=\"formularrahmen_unten\"></td></tr>";
		echo "</table>";
		
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
		echo "<tr><td class=\"formularrahmen_oben\"></td></tr>";
		echo "</table>";
		
		echo "</div>";
	}
}

/*
 * Warnmeldung bei Auslandskunden ohne VAT
 */

if ($field ["fiKunde"] > 0) {
	// $aKunde = get_table_row($sql_query["kontaktliste"] . " and $tblkontakte.id = " . $field["fiKunde"]);
	if ($aKunde ["dtVAT"] == "" and $aKunde ["dtIstHeimLand"] != 1) {
		
		echo "<div id='info-vat' class='meldungbox' style=\"display: block;\"><br>";
		echo "<div style='font-size:13px;'>Auslandskunde und Steuernummer (VAT) nicht vorhanden!</div>";
		
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
		echo "<tr><td class=\"formularrahmen_unten\"></td></tr>";
		echo "</table>";
		
		echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
		echo "<tr><td class=\"formularrahmen_oben\"></td></tr>";
		echo "</table>";
		
		echo "</div>";
	}
}
?>