<?php
unset ( $listeAbgezogen );

if (! function_exists ( "returnProjekteDivBox" )) {
	function returnProjekteDivBox($iArtikelNr, $sVariante, $dMenge, $iProjekt, $iListenzeileID) {
		global $historyboxclass, $bgcolor_formular;
		global $sql_query, $tblartikelstueck, $tblbelege, $tblkontakte, $tblbelegstatus, $tblprojekte;
		global $benutzerrechte;
		
		// +++++ Ist eine Variante vorhanden, wir das Array gesubert von falschen Eintrgen
		if ($sVariante != "") {
			$varianten_array = unserialize ( $sVariante );
			
			foreach ( $varianten_array as $sVariantenName => $iVarianteKey ) {
				if ($iVarianteKey == - 1) {
					// +++++ Der Eintrag wird gelscht, da dieser falsch ist
					unset ( $varianten_array [$sVariantenName] );
				}
			}
			// +++++ Das Array wird wieder serialisiert
			$sVariante = serialize ( $varianten_array );
			
			// +++++ Die SQL-Query wird erweitert um die Abfrage, ob die Variante vorhanden ist oder nicht
			$sSqlVariante = " AND $tblartikelstueck.dtVariante = '" . $sVariante . "' ";
		} else
			$sSqlVariante = " AND $tblartikelstueck.dtVariante = '' ";
		
		$sBoxID = "Projekte_" . $iListenzeileID;
		
		$dMenge = double_from_sql ( $dMenge, 2 );
		
		$html = aufzuklappbutton ( $sBoxID, "" );
		$html .= "<div style=\"position: absolute;\">";
		$html .= "<div style=\"position: relative; display:none; z-index: 5000; left: -300px; width: 420px;\" id=\"" . $sBoxID . "\" class=\"" . $historyboxclass . "\"  >";
		
		$html .= "<table border=0 cellspacing=5 cellpadding=0 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
		
		// +++++ ArtikelStueck und Projekte werden ausgelesen und nach Eintrgen gesucht, die den Artikel mit der vorhandenen Variante beinhalten
		$sQueryNegativ = "SELECT * FROM $tblartikelstueck,$tblprojekte WHERE $tblartikelstueck.fiProjekt = $tblprojekte.id AND $tblartikelstueck.fiArtikel = '" . $iArtikelNr . "' $sSqlVariante GROUP BY fiProjekt";
		$aProjekteZuArtikel = get_table_array ( $sQueryNegativ );
		
		$projekteehtml = "";
		
		// +++++ Die Projekte werden ausgelesen
		foreach ( $aProjekteZuArtikel as $key => $acpProjekteZuArtikel ) {
			$sQueryProjektKunde = $sql_query ["projektliste"];
			$sQueryProjektKunde .= " and $tblkontakte.id = $tblprojekte.fiKunde";
			$sQueryProjektKunde .= " and $tblprojekte.id = '" . $acpProjekteZuArtikel ["fiProjekt"] . "'";
			
			$aResultProjektKunde = mysql_fetch_array ( mysql_query ( $sQueryProjektKunde ) );
			
			if (is_array ( $aResultProjektKunde )) {
				$projekteehtml .= "<form name=\"FormularProjekte" . $sBoxID . $key . "\" action=\"$PHP_SELF\" enctype=\"multipart/form-data\" method=\"post\">";
				$projekteehtml .= "<input type=\"hidden\" name=\"" . session_name () . "\" VALUE=\"" . session_id () . "\">";
				
				$projekteehtml .= "<input type=\"hidden\" name=\"target\" VALUE=\"projekte\">";
				$projekteehtml .= "<input type=\"hidden\" name=\"typ\" VALUE=\"show\">";
				$projekteehtml .= "<input type=\"hidden\" name=\"id\" VALUE=\"" . $acpProjekteZuArtikel ["fiProjekt"] . "\">";
				
				$projekteehtml .= "<tr><td valign=\"top\">";
				$projekteehtml .= input_text ( $acpProjekteZuArtikel ["dtProjektNr"], "projektnr", $acpProjekteZuArtikel ["dtProjektNr"] . " | " . $acpProjekteZuArtikel ["dtProjektname"], "input_text_350", "readonly" );
				$projekteehtml .= button ( "anzeigen", "projekte", "show", $acpProjekteZuArtikel ["fiProjekt"], $benutzerrechte );
				
				$projekteehtml .= "</td></tr>";
				$projekteehtml .= "</form>";
			}
		}
		
		// +++++ Gibt es keinen Eintrag, wird darauf hingewiesen
		if ($projekteehtml == "") {
			$html .= "<tr><td valign=\"top\">";
			$html .= "Keine Projekte vorhanden.";
			$html .= "</td></tr>";
		} else {
			$html .= "Projekte zum Artikel:";
			$html .= $projekteehtml;
		}
		$html .= "</table></div></div>";
		
		return $html;
	}
}

if (! function_exists ( "returnBelegeDivBox" )) {
	function returnBelegeDivBox($iArtikelNr, $sVariante, $dMenge, $iBeleg, $iListenzeileID) {
		global $historyboxclass, $bgcolor_formular;
		global $sql_query, $tblartikelstuecknegativ, $tblbelege, $tblkontakte, $tblbelegstatus;
		global $benutzerrechte;
		
		// +++++ Ist eine Variante vorhanden, wir das Array gesubert von falschen Eintrgen
		if ($sVariante != "") {
			$varianten_array = unserialize ( $sVariante );
			
			foreach ( $varianten_array as $sVariantenName => $iVarianteKey ) {
				if ($iVarianteKey == - 1) {
					// +++++ Der Eintrag wird gelscht, da dieser falsch ist
					unset ( $varianten_array [$sVariantenName] );
				}
			}
			// +++++ Das Array wird wieder serialisiert
			$sVariante = serialize ( $varianten_array );
			
			// +++++ Die SQL-Query wird erweitert um die Abfrage, ob die Variante vorhanden ist oder nicht
			$sSqlVariante = " AND $tblartikelstuecknegativ.dtVariante = '" . $sVariante . "' ";
		} else
			$sSqlVariante = " AND $tblartikelstuecknegativ.dtVariante = '' ";
			
			// $sBoxID = "Belege_".$iBeleg."_".urlencode($sVariante);
		$sBoxID = "Belege_" . $iListenzeileID;
		
		$dMenge = double_from_sql ( $dMenge, 2 );
		
		$html = aufzuklappbutton ( $sBoxID, "" );
		$html .= "<div style=\"position: absolute;\">";
		$html .= "<div style=\"position: relative; display:none; z-index: 5000; left: -300px; width: 420px;\" id=\"" . $sBoxID . "\" class=\"" . $historyboxclass . "\"  >";
		
		$html .= "<table border=0 cellspacing=5 cellpadding=0 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
		
		// +++++ ArtikelStueckNegativ und Belege werden ausgelesen und nach Eintrgen gesucht, die den Artikel mit der vorhandenen Variante beinhalten
		$sQueryNegativ = "SELECT * FROM $tblartikelstuecknegativ,$tblbelege WHERE $tblartikelstuecknegativ.fiBeleg = $tblbelege.id AND $tblartikelstuecknegativ.fiArtikel = '" . $iArtikelNr . "' $sSqlVariante GROUP BY fiBeleg";
		$aBelegeZuArtikel = get_table_array ( $sQueryNegativ );
		$belegehtml = "";
		
		// +++++ Die Belege werden ausgelesen
		foreach ( $aBelegeZuArtikel as $key => $acpBelegeZuArtikel ) {
			
			$sQueryBelegKunde = $sql_query ["belegliste"];
			$sQueryBelegKunde .= " and $tblkontakte.id = $tblbelege.fiKunde";
			$sQueryBelegKunde .= " and $tblbelege.id = '" . $acpBelegeZuArtikel ["fiBeleg"] . "'";
			$sQueryBelegKunde .= " and $tblbelegstatus.dtAuftragRelevant = 1";
			
			$aResultBelegKunde = mysql_fetch_array ( mysql_query ( $sQueryBelegKunde ) );
			
			if (is_array ( $aResultBelegKunde )) {
				$belegehtml .= "<form name=\"FormularBestellung" . $sBoxID . $key . "\" action=\"$PHP_SELF\" enctype=\"multipart/form-data\" method=\"post\">";
				$belegehtml .= "<input type=\"hidden\" name=\"" . session_name () . "\" VALUE=\"" . session_id () . "\">";
				
				$belegehtml .= "<input type=\"hidden\" name=\"target\" VALUE=\"belege\">";
				$belegehtml .= "<input type=\"hidden\" name=\"typ\" VALUE=\"show\">";
				$belegehtml .= "<input type=\"hidden\" name=\"id\" VALUE=\"" . $acpBelegeZuArtikel ["fiBeleg"] . "\">";
				
				$belegehtml .= "<tr><td valign=\"top\">";
				$belegehtml .= input_text ( $aResultBelegKunde ["dtBelegDDText"], "belegnr", $aResultBelegKunde ["dtBelegDDText"], "input_text_350", "readonly" );
				$belegehtml .= button ( "anzeigen", "belege", "show", $acpBelegeZuArtikel ["fiBeleg"], $benutzerrechte );
				
				$belegehtml .= "</td></tr>";
				$belegehtml .= "</form>";
			}
		}
		
		// +++++ Gibt es keinen Eintrag, wird darauf hingewiesen
		if ($belegehtml == "") {
			$html .= "<tr><td valign=\"top\">";
			$html .= "Keine Belege vorhanden.";
			$html .= "</td></tr>";
		} else {
			$html .= "Belege zum Artikel:";
			$html .= $belegehtml;
		}
		$html .= "</table></div></div>";
		
		return $html;
	}
}

if (! function_exists ( "returnBestellenDivBox" )) {
	function returnBestellenDivBox($iArtikelNr, $sVariante, $dMenge, $fiBeleg) {
		global $historyboxclass, $bgcolor_formular;
		global $sql_query, $tblartikel, $tblartikellieferanten, $tblbestellungen;
		global $benutzerrechte;
		
		$sBoxID = "ArtikelBestellen_" . $iArtikelNr . "_" . urlencode ( $sVariante );
		
		$dMenge = double_from_sql ( $dMenge, 2 );
		
		$html = aufzuklappbutton ( $sBoxID, "" );
		$html .= "<div style=\"position: absolute;\">";
		$html .= "<div style=\"position: relative; display:none; z-index: 5000; left: -230px; width: 330px;\" id=\"" . $sBoxID . "\" class=\"" . $historyboxclass . "\"  >";
		
		$html .= "<table border=0 cellspacing=5 cellpadding=0 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
		
		// suche alle Lieferanten des Artikels
		$sql = $sql_query ["artikellieferantenliste"] . " and $tblartikellieferanten.fiArtikel = '" . $iArtikelNr . "' order by $tblartikellieferanten.dtLieferantIstHauptlieferant desc";
		$aArtikelLieferanten = get_table_array ( $sql );
		
		if (! is_array ( $aArtikelLieferanten )) {
			$html .= "<tr><td valign=\"top\">";
			$html .= "Bestellen nicht mglich. Zu diesem Artikel sind keine Lieferanten hinterlegt.";
			$html .= "</td></tr>";
		} else {
			
			// biete an eine neue Bestellung zu erzeugen
			$html .= "<tr><td valign=\"top\">";
			$html .= "Artikel bestellen bei (neue Bestellung):";
			$html .= "</td></tr>";
			$html .= "<form name=\"Formular" . $sBoxID . "\" action=\"$PHP_SELF\" enctype=\"multipart/form-data\" method=\"post\" target=\"_blank\">";
			
			$html .= "<input type=\"hidden\" name=\"" . session_name () . "\" VALUE=\"" . session_id () . "\">";
			
			$html .= "<input type=\"hidden\" name=\"target\" VALUE=\"bestellungen\">";
			$html .= "<input type=\"hidden\" name=\"typ\" VALUE=\"send_inklbestellungposten\">";
			
			$html .= "<input type=\"hidden\" name=\"artikelid\" VALUE=\"" . $iArtikelNr . "\">";
			$html .= "<input type=\"hidden\" name=\"dtVariante\" VALUE=\"" . urlencode ( $sVariante ) . "\">";
			$html .= "<input type=\"hidden\" name=\"fiBeleg\" VALUE=\"" . $fiBeleg . "\">";
			
			$html .= "<tr><td valign=\"top\">";
			
			foreach ( $aArtikelLieferanten as $key => $aArtikelLieferant ) {
				$aLieferantenDD [$aArtikelLieferant ["Kontakte_id"]] = $aArtikelLieferant ["dtKontaktDDText"];
			}
			$html .= input_text ( "Anzahl", "menge", $dMenge, "input_text_50", "", "text-align: right;" );
			$html .= input_dropdownbox_array ( "Lieferanten", $aLieferantenDD, "fiLieferant", "", "input_select_200" );
			$html .= uebernehmenbutton ( $listeAbgezogen [$listenzeile_id] ["Artikel_id"], "bestellungen", $benutzerrechte, "bestellen", "Diesen Artikel in der bentigten Menge mit einer neuen Bestellung bestellen", "onclick=\"this.form.target='_blank';setTimeout(function() {location.reload(true)},1000); \"" );
			
			$html .= "</td></tr>";
			$html .= "</form>";
			
			// suche bestehende Bestellungen und biete an den Artikel als Posten hinzuzufgen
			$sql_lieferant = "";
			foreach ( $aArtikelLieferanten as $key => $aArtikelLieferant ) {
				$sql_lieferant .= "or $tblbestellungen.fiLieferant = '" . $aArtikelLieferant ["Kontakte_id"] . "' ";
			}
			$sql = $sql_query ["bestellungliste"] . " and (1=2 " . $sql_lieferant . ") and $tblbestellungen.fiStatus = 0";
			
			$aArtikelBestellungen = get_table_array ( $sql );
			
			if (count ( $aArtikelBestellungen ) > 0) {
				
				$html .= "<tr><td colspan=20><hr></td></tr>";
				$html .= "<tr><td valign=\"top\">";
				$html .= "Artikel zu einer bestehenden Bestellung hinzufgen:";
				$html .= "</td></tr>";
				
				foreach ( $aArtikelBestellungen as $key => $aArtikelBestellung ) {
					
					$sql = $sql_query ["artikelliste"] . " and $tblartikel.id = '" . $iArtikelNr . "' and $tblartikellieferanten.fiLieferant = '" . $aArtikelLieferant ["Kontakte_id"] . "'";
					$aArtikel = get_table_array ( $sql );
					
					$iArtikelEinheit = $aArtikel ["fiEinheit"];
					$dMwstSatzEK = $aArtikel ["dtMwstSatzEK"];
					$dPreisEK = $aArtikel ["dtStueckPreisEK"];
					$dEKRabatt = $aArtikel ["dtLieferantRabatt"];
					
					$html .= "<form name=\"FormularBestellung" . $sBoxID . $key . "\" action=\"$PHP_SELF\" enctype=\"multipart/form-data\" method=\"post\">";
					$html .= "<input type=\"hidden\" name=\"" . session_name () . "\" VALUE=\"" . session_id () . "\">";
					
					$html .= "<input type=\"hidden\" name=\"target\" VALUE=\"bestellungen\">";
					$html .= "<input type=\"hidden\" name=\"typ\" VALUE=\"show\">";
					$html .= "<input type=\"hidden\" name=\"id\" VALUE=\"" . $aArtikelBestellung ["Bestellung_id"] . "\">";
					
					$html .= "<input type=\"hidden\" name=\"subtarget\" VALUE=\"bestellungmaterialposten\">";
					$html .= "<input type=\"hidden\" name=\"subtyp\" VALUE=\"send\">";
					
					$html .= "<input type=\"hidden\" name=\"artikelid\" VALUE=\"" . $iArtikelNr . "\">";
					$html .= "<input type=\"hidden\" name=\"dtVariante\" VALUE=\"" . urlencode ( $sVariante ) . "\">";
					
					$html .= "<input type=\"hidden\" name=\"fiBestellung\" VALUE=\"" . $aArtikelBestellung ["Bestellung_id"] . "\">";
					$html .= "<input type=\"hidden\" name=\"fiArtikel\" VALUE=\"" . $iArtikelNr . "\">";
					$html .= "<input type=\"hidden\" name=\"fiEinheit\" VALUE=\"" . $iArtikelEinheit . "\">";
					$html .= "<input type=\"hidden\" name=\"dtMwstSatz\" VALUE=\"" . $dMwstSatzEK . "\">";
					$html .= "<input type=\"hidden\" name=\"dtPreisNetto\" VALUE=\"" . $dPreisEK . "\">";
					$html .= "<input type=\"hidden\" name=\"dtBestellpostenRabatt\" VALUE=\"" . $dEKRabatt . "\">";
					
					$html .= "<tr><td valign=\"top\">";
					$html .= input_text ( "Anzahl", "dtMenge", $dMenge, "input_text_50", "", "text-align: right;" );
					$html .= input_text ( "Bestellung", "bestellung", $aArtikelBestellung ["dtBestellungDDText"], "input_text_200", "readonly" );
					$html .= uebernehmenbutton ( $listeAbgezogen [$listenzeile_id] ["Artikel_id"], "bestellungen", $benutzerrechte, "hinzufgen", "Diesen Artikel in der bentigten Menge zur Bestellung hinzufgen", "onclick=\"this.form.target='_blank';setTimeout(function() {location.reload(true)},1000);\"" );
					
					$html .= "</td></tr>";
					$html .= "</form>";
				}
			}
		}
		
		$html .= "</table></div></div>";
		
		return $html;
	}
}

/*
 * suche Artikel die eingekauft oder produziert werden mssen
 */
$sqlNegativ = $sql_query ["artikelstuecklistegrouped-negativ"] . " and dtStatus < 2 ";
$sqlNegativ .= " and dtArtikelEinheitenArt != 2 and dtAuftragRelevant = 1 and fiBeleg = " . $id;
$sqlNegativ .= " group by $tblartikelstuecknegativ.fiArtikel,$tblartikelstuecknegativ.dtVariante ";

$sqlNegativSortierung = "order by $tblartikelstuecknegativ.fiArtikel";

if ($bWidgetEinkaufBelegeZusammenfassen == 0) {
	$sqlNegativ .= ",$tblartikelstuecknegativ.fiBeleg ";
	$sqlNegativSortierung = " ,$tblbelege.dtAngebotDatum";
}
if ($bWidgetEinkaufProjekteZusammenfassen == 1) {
	$sqlNegativ .= ",$tblartikelstuecknegativ.fiProjekt ";
	$sqlNegativSortierung = " ,$tblprojekte.dtEingangsdatum";
}
$sqlNegativ .= $sqlNegativSortierung;

$listeNegativ = get_table_array ( $sqlNegativ );

/*
 * Verfgbare Mengen bestimmen und abziehen
 */
foreach ( ( array ) $listeNegativ as $listenzeile_id => $listenzeile ) {
	
	$akt_varianten = unserialize ( $listenzeile ["dtVariante"] );
	
	if ($bWidgetEinkaufBelegeZusammenfassen == 0) {
		// +++++ Die Menge wird einmal ermittelt. Taucht die gleiche ArtikelID wieder auf, ndert sich die Menge nicht -->
		// +++++ Folgt ein neuer Artikel, wird wieder die Menge ermittelt +++++ //
		if ($listenzeile ["fiArtikel"] . "###" . $listenzeile ["dtVariante"] != $iFiArtikel) {
			if ($akt_varianten) {
				$artikelMengeVerfuegbar = getArtikelAnzahlVerfuegbar ( $listenzeile ["fiArtikel"], 0, $akt_varianten );
			} else {
				$artikelMengeVerfuegbar = getArtikelAnzahlVerfuegbar ( $listenzeile ["fiArtikel"], 0 );
			}
		}
	} else {
		if ($akt_varianten) {
			$artikelMengeVerfuegbar = getArtikelAnzahlVerfuegbar ( $listenzeile ["fiArtikel"], 0, $akt_varianten );
		} else {
			$artikelMengeVerfuegbar = getArtikelAnzahlVerfuegbar ( $listenzeile ["fiArtikel"], 0 );
		}
	}
	
	if ($bWidgetEinkaufBelegeZusammenfassen == 0) {
		// +++++ Gibt es mehrere Belege mit dem gleichen Artikel, wird die Menge negiert, -->
		// +++++ bis ein neuer Artikel auftaucht. Dann wird wieder die neue Menge des Artikels ermittelt +++++ //
		if ($listenzeile ["fiArtikel"] . "###" . $listenzeile ["dtVariante"] != $iFiArtikel) {
			$countNegativ = 0;
			$iFiArtikel = $listenzeile ["fiArtikel"] . "###" . $listenzeile ["dtVariante"];
			
			$countNegativ = $listenzeile ["dtMassenMenge"] - $artikelMengeVerfuegbar;
			$artikelMengeVerfuegbar -= $listenzeile ["dtMassenMenge"];
			
			if ($artikelMengeVerfuegbar < 0) {
				$artikelMengeVerfuegbar = 0;
			}
		} else {
			$countNegativ = $listenzeile ["dtMassenMenge"] - $artikelMengeVerfuegbar;
			$artikelMengeVerfuegbar -= $listenzeile ["dtMassenMenge"];
			
			// +++++ Die Menge an Artikeln darf niemals im - Bereich landen +++++ //
			if ($artikelMengeVerfuegbar < 0) {
				$artikelMengeVerfuegbar = 0;
			}
		}
	} else {
		$countNegativ = $listenzeile ["dtMassenMenge"] - $artikelMengeVerfuegbar;
	}
	
	if ($countNegativ > 0) {
		$listenzeile ["dtMassenMenge"] = $countNegativ;
		$listeAbgezogen [] = $listenzeile;
	}
}

if (count ( $listeAbgezogen ) != 0) {
	foreach ( $listeAbgezogen as $listenzeile_id => $listenzeile ) {
		// +++++++++++ Cache
		$cache = CacheListe_getFromCache ( $target, $typ, $listeAbgezogen [$listenzeile_id] ["Artikel_id"], $tblartikel, $listeAbgezogen [$listenzeile_id] );
		
		// +++++++++++ Felder formatieren
		$listeAbgezogen [$listenzeile_id] ["dtMassenMengeAnzeige"] = double_from_sql ( $listeAbgezogen [$listenzeile_id] ["dtMassenMenge"], 2 );
		$listeAbgezogen [$listenzeile_id] ["dtEigeneArtikelNr"] = shortcutlink ( $listeAbgezogen [$listenzeile_id] ["dtEigeneArtikelNr"], "lagerartikel", "show", $listeAbgezogen [$listenzeile_id] ["Artikel_id"], $benutzerrechte );
		$listeAbgezogen [$listenzeile_id] ["dtVarianteArtNr"] = shortcutlink ( $listeAbgezogen [$listenzeile_id] ["dtVarianteArtNr"], "lagerartikel", "show", $listeAbgezogen [$listenzeile_id] ["Artikel_id"], $benutzerrechte );
		$listeAbgezogen [$listenzeile_id] ["dtArtikel"] = shortcutlink ( $listeAbgezogen [$listenzeile_id] ["dtArtikel"], "lagerartikel", "show", $listeAbgezogen [$listenzeile_id] ["Artikel_id"], $benutzerrechte );
		
		// +++++++++++ Buttons hinzufgen
		if (check_link_permission ( "lagerartikelproduktion", "show", $benutzerrechte ) and $listenzeile ["dtArtikelIstProduktionsartikel"]) {
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] = "<form name=\"lagerartikelproduktionformular\" action=\"$PHP_SELF\" enctype=\"multipart/form-data\" method=\"post\">";
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] .= "<input type=\"hidden\" name=\"" . session_name () . "\" VALUE=\"" . session_id () . "\">";
			
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] .= "<input type=\"hidden\" name=\"target\" VALUE=\"lagerartikel\">";
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] .= "<input type=\"hidden\" name=\"typ\" VALUE=\"show\">";
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] .= "<input type=\"hidden\" name=\"id\" VALUE=\"" . $listeAbgezogen [$listenzeile_id] ["Artikel_id"] . "\">";
			
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] .= "<input type=\"hidden\" name=\"subtarget\" VALUE=\"lagerartikelproduktion\">";
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] .= "<input type=\"hidden\" name=\"subtyp\" VALUE=\"show\">";
			
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] .= "<input type=\"hidden\" name=\"menge\" VALUE=\"" . $listeAbgezogen [$listenzeile_id] ["dtMassenMenge"] . "\">";
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] .= "<input type=\"hidden\" name=\"variante\" VALUE='" . $listeAbgezogen [$listenzeile_id] ["dtVariante"] . "' >";
			
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] .= uebernehmenbutton ( $listeAbgezogen [$listenzeile_id] ["Artikel_id"], "lagerartikelproduktion", $benutzerrechte, "Artikel produzieren", "Diesen Artikel in der bentigten Menge produzieren" );
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] .= "</form>";
		}
		
		if (check_link_permission ( "bestellungen", "send", $benutzerrechte ) and ! $listenzeile ["dtArtikelIstProduktionsartikel"]) {
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] = "Artikel bestellen";
			$listeAbgezogen [$listenzeile_id] ["ButtonProduktion"] .= returnBestellenDivBox ( $listeAbgezogen [$listenzeile_id] ["Artikel_id"], $listeAbgezogen [$listenzeile_id] ["dtVariante"], $listeAbgezogen [$listenzeile_id] ["dtMassenMenge"], $listeAbgezogen [$listenzeile_id] ["fiBeleg"] );
		}
		
		// Button zu Belegen
		if ($bWidgetEinkaufBelegeZusammenfassen == 0) {
			$listeAbgezogen [$listenzeile_id] ["ButtonBelege"] = "Beleg: " . shortcutlink ( $listeAbgezogen [$listenzeile_id] ["dtBelegNr"], "belege", "show", $listeAbgezogen [$listenzeile_id] ["fiBeleg"], $benutzerrechte );
		} elseif ($bWidgetEinkaufBelegeZusammenfassen == 0) {
			$listeAbgezogen [$listenzeile_id] ["ButtonBelege"] = "Belege anzeigen";
			$listeAbgezogen [$listenzeile_id] ["ButtonBelege"] .= returnBelegeDivBox ( $listeAbgezogen [$listenzeile_id] ["Artikel_id"], $listeAbgezogen [$listenzeile_id] ["dtVariante"], $listeAbgezogen [$listenzeile_id] ["dtMassenMenge"], $listeAbgezogen [$listenzeile_id] ["fiBeleg"], $listenzeile_id );
		}
		
		if ($bWidgetEinkaufProjekteZusammenfassen == 1) {
			$listeAbgezogen [$listenzeile_id] ["ButtonProjekte"] = "Projekte anzeigen";
			$listeAbgezogen [$listenzeile_id] ["ButtonProjekte"] .= returnProjekteDivBox ( $listeAbgezogen [$listenzeile_id] ["Artikel_id"], $listeAbgezogen [$listenzeile_id] ["dtVariante"], $listeAbgezogen [$listenzeile_id] ["dtMassenMenge"], $listeAbgezogen [$listenzeile_id] ["fiProjekt"], $listenzeile_id );
		}
		
		// +++++++++++ Cache
		CacheListe_writeIntoCache ( $target, $typ, $listeAbgezogen [$listenzeile_id] ["Artikel_id"], $tblartikel, $listenzeile, $listeAbgezogen [$listenzeile_id] );
	}
}

listenkopf ( $listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung [$listenname], $target, $typ );
liste_output ( $listeAbgezogen, $show_fields, $field_width, $field_colors, $listenhoehe, $target, $typ );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenfusszeile
listenfuss ( $listenname, $field_width, $sortierung [$listenname], $anzahl, $anzahl_ausgabe, $anzahl_gesamt, $target, $typ, $id, $subtarget, $subtyp );

?>
