<?php
if ($ziel != "archiv") {
	
	// Belegdruck loggen
	switch ($ziel) {
		case "anzeigen" :
			$logfeld ["dtAusgabeTyp"] = 0;
			break;
		
		case "drucken" :
			$logfeld ["dtAusgabeTyp"] = 1;
			break;
		
		case "email" :
			$logfeld ["dtAusgabeTyp"] = 2;
			$logfeld ["dtEmpfaenger"] = $bestellungdruckinfo_field ["dtEmailEmpfaenger"];
			break;
	}
	
	switch ($layout) {
		case "bestellung" :
			$logfeld ["dtBelegTyp"] = 0;
			break;
	}
	
	$logfeld ["fiBeleg"] = $id;
	$logfeld ["fiBenutzer"] = $_SESSION ["benutzerkontaktid"];
	$logfeld ["dtDatumZeit"] = date ( "Y-m-d H:i:s" );
	$logfeld ["fiDokumentLayout"] = $_GET ["dokumentlayout"];
	
	if ($ziel != "vorschau") {
		$archivid = insert_into_table ( $tblbestellungdrucklog, $logfeld );
	}
	
	// ++++++++++++++++++++++++++++++++
	// +++++++++++ SQL Abfragen aller relevanten Informationen
	$query = $sql_query ["bestellungliste"] . " and $tblbestellungen.id = " . $id;
	$bestellung_field = get_table_row ( $query );
	
	$anzahl_posten_gesamt = 0;
	
	$query = $sql_query ["bestellungmaterialpostenliste"] . " and $tblbestellungen.id = " . $id . " order by $tblbestellungmaterialposten.dtPosNr";
	$anzahl_posten_gesamt += get_table_count ( $query );
	$liste_materialposten = get_table_array ( $query );
	
	$query = $sql_query ["bestellungpostenliste"] . " and $tblbestellungen.id = " . $id . " order by $tblbestellungposten.dtPosNr";
	$anzahl_posten_gesamt += get_table_count ( $query );
	$liste_posten = get_table_array ( $query );
	
	$query = $sql_query ["bestellungdruckinfoliste"] . " and $tblbestellungen.id = " . $id;
	$bestellungdruckinfo_field = get_table_row ( $query );
	
	if ($layout == "bestellung") {
		$bestellungdruckinfo_texte = unserialize ( $bestellungdruckinfo_field ["dtTexteArray"] );
		$bestellungdatum = split_date ( $bestellung_field ["dtBestellungDatum"] );
	}
	
	if ($bestellungdruckinfo_texte ["dtPostenDrucken"] == 1) {
		$aListePosten = array_merge ( ( array ) $liste_posten, ( array ) $liste_materialposten );
		$aListePostenNeu = array ();
		
		$iAnzahlPostenGesamt = count ( $aListePosten );
		$iZaehlerPostenAddition = 0;
		
		for($i = 0; $i < $iAnzahlPostenGesamt; $i ++) {
			$iPos = ( int ) $aListePosten [$i] ["dtPosNr"];
			
			if (isset ( $aListePostenNeu [$iPos] )) {
				$iZaehlerPostenAddition ++;
			}
			
			$aListePostenNeu [$iPos + $iZaehlerPostenAddition] = $aListePosten [$i];
		}
		
		unset ( $aListePosten, $liste_posten, $liste_materialposten );
		ksort ( $aListePostenNeu ); // Array sortieren
		
		/*
		 * Posten Listenwerte formatieren
		 */
		if (count ( $aListePostenNeu ) > 0) {
			foreach ( $aListePostenNeu as $listenzeile_id => $listenzeile ) {
				// +++++++++++ Preisberechnung
				$posten_netto = $listenzeile ["dtPreisNetto"];
				$posten_netto_gesamt = $posten_netto * $listenzeile ["dtMenge"];
				
				if ($listenzeile ["dtBestellpostenRabatt"] > 0) {
					$posten_netto = $listenzeile ["dtPreisNetto"] - $listenzeile ["dtPreisNetto"] / 100 * $listenzeile ["dtBestellpostenRabatt"];
				} else {
					$posten_netto = $listenzeile ["dtPreisNetto"];
				}
				
				$posten_netto_gesamt = $posten_netto * $listenzeile ["dtMenge"];
				
				$gesamtbetrag_beleg_netto = $gesamtbetrag_beleg_netto + $posten_netto_gesamt;
				$gesamtbetrag_beleg_brutto = $gesamtbetrag_beleg_brutto + $posten_netto_gesamt + ($posten_netto_gesamt / 100 * $listenzeile ["dtMwstSatz"]);
				$mwstbetrag [$listenzeile ["dtMwstSatz"]] = $mwstbetrag [$listenzeile ["dtMwstSatz"]] + ($posten_netto_gesamt / 100 * $listenzeile ["dtMwstSatz"]);
				
				// +++++++++++ Felder formatieren
				$liste_output [$listenzeile_id] ["dtPosNr"] = double_from_sql ( $listenzeile ["dtPosNr"], 0 );
				$liste_output [$listenzeile_id] ["dtArtikelNr"] = $listenzeile ["dtArtikelNr"];
				$liste_output [$listenzeile_id] ["dtArtikel"] = $listenzeile ["dtArtikelBezeichnung"];
				
				$liste_output [$listenzeile_id] ["dtMenge"] = mengenfeld ( $listenzeile ["dtMenge"] ) . " " . $listenzeile ["dtEinheit"];
				$liste_output [$listenzeile_id] ["dtMwstSatz"] = double_from_sql ( $listenzeile ["dtMwstSatz"], 1 );
				$liste_output [$listenzeile_id] ["dtPreisNetto"] = preis_from_sql ( $posten_netto, "PDF" );
				$liste_output [$listenzeile_id] ["dtGesamtPreisNetto"] = preis_from_sql ( $posten_netto_gesamt, "PDF", 2 );
				
				/*
				 * Rabatt
				 */
				if ($listenzeile ["dtBestellpostenRabatt"] > 0) {
					$liste_output [$listenzeile_id] ["dtRabattSatz"] = double_from_sql ( $listenzeile ["dtBestellpostenRabatt"], 1 ) . " %";
					$liste_output [$listenzeile_id] ["dtPreisNettoExklRabatt"] = preis_from_sql ( $listenzeile ["dtPreisNetto"], "PDF" );
					$liste_output [$listenzeile_id] ["dtRabattHoehe"] = preis_from_sql ( double_from_sql ( $liste_output [$listenzeile_id] ["dtPreisNettoExklRabatt"], 2 ) - double_from_sql ( $liste_output [$listenzeile_id] ["dtPreisNetto"], 2 ), "PDF" );
				} else {
					$liste_output [$listenzeile_id] ["dtRabattSatz"] = double_from_sql ( 0, 1 );
					$liste_output [$listenzeile_id] ["dtRabattHoehe"] = preis_from_sql ( 0, "PDF" );
					$liste_output [$listenzeile_id] ["dtPreisNettoExklRabatt"] = $liste_output [$listenzeile_id] ["dtPreisNetto"];
				}
				
				if ($listenzeile ["dtEigeneArtikelNr"] != "auto") {
					$liste_output [$listenzeile_id] ["dtEigeneArtikelNr"] = $listenzeile ["dtEigeneArtikelNr"];
				}
				
				/*
				 * Pr�fe ob Lieferant eine eigene Artikelnummer hat
				 */
				if ($listenzeile ["Artikel_id"] > 0) {
					
					if (! $bBestellungmaterialposten_artikelnummerinartikelspalte_drucken) {
						$sArtikelDruckZeile = "dtEigeneArtikelNr";
						$sZeilenumbruch = "";
					} else {
						$sArtikelDruckZeile = "dtArtikel";
						$sZeilenumbruch = "<br>";
					}
					
					$sSqlArtikelNr = "select dtArtikelNrFremd from $tblartikellieferanten WHERE fiArtikel = '" . $listenzeile ["Artikel_id"] . "' and fiLieferant = '" . $listenzeile ["fiLieferant"] . "'";
					$aArtikelLieferant = get_table_row ( $sSqlArtikelNr );
					
					if (! empty ( $aArtikelLieferant ["dtArtikelNrFremd"] )) {
						$liste_output [$listenzeile_id] [$sArtikelDruckZeile] = $aArtikelLieferant ["dtArtikelNrFremd"];
					} else {
						$liste_output [$listenzeile_id] [$sArtikelDruckZeile] = $listenzeile ["dtEigeneArtikelNr"];
					}
					
					$aVariante = unserialize ( $listenzeile ["dtVariante"] );
					$sArtikelNr = "";
					
					if ($aVariante) {
						// ++++ Die Lieferantenartikelnr f�r die jeweilige Variante wird ausgelesen und dem Ausdruck hinzugef�gt
						foreach ( $aVariante as $name => $key ) {
							$sSqlQuery = mysql_query ( "SELECT dtArtikelVarianteLieferantenInfo FROM $tblartikelvarianten WHERE id = '" . $key . "'" );
							$sSqlRow = mysql_fetch_row ( $sSqlQuery );
							
							$aLieferantenInfo = unserialize ( $sSqlRow [0] );
							$sArtikelNr .= $aLieferantenInfo ["Lieferant_Nr"];
						}
						$liste_output [$listenzeile_id] [$sArtikelDruckZeile] .= " " . $sArtikelNr;
					}
					
					if (! $bBestellungmaterialposten_artikelnummerinartikelspalte_drucken)
						$liste_output [$listenzeile_id] ["dtArtikelNr"] = $liste_output [$listenzeile_id] [$sArtikelDruckZeile];
					
					$liste_output [$listenzeile_id] [$sArtikelDruckZeile] .= $sZeilenumbruch;
					
					$sZeilenumbruch = "";
					
					if ($listenzeile ["dtArtikelTextIndividuell"] != "") {
						$liste_output [$listenzeile_id] ["dtArtikel"] = $listenzeile ["dtArtikelTextIndividuell"];
					} else {
						
						if ($bBestellungmaterialposten_artikelname_drucken) {
							$liste_output [$listenzeile_id] ["dtArtikel"] .= $listenzeile ["dtArtikel"];
							$sZeilenumbruch = "<br>";
						}
					}
				}
				
				if ($listenzeile ["dtArtikelFabrikat"] != "" and $bestellungmaterialposten_artikelfabrikat_drucken == 1) {
					$liste_output [$listenzeile_id] ["dtArtikel"] .= $sZeilenumbruch . $listenzeile ["dtArtikelFabrikat"];
					$sZeilenumbruch = "<br>";
				}
				
				if ($listenzeile ["dtBeschreibungIndividuell"] != "" and $bestellungmaterialposten_artikelbeschreibung_drucken == 1) {
					$liste_output [$listenzeile_id] ["dtArtikel"] .= $sZeilenumbruch . $listenzeile ["dtBeschreibungIndividuell"];
					$sZeilenumbruch = "<br>";
				}
				if ($listenzeile ["dtVarianteArtName"] != "") {
					$liste_output [$listenzeile_id] ["dtArtikel"] .= $sZeilenumbruch . $listenzeile ["dtVarianteArtName"];
					$sZeilenumbruch = "<br>";
				}
				
				if ($listenzeile ["dtBestellpostenRabatt"] > 0) {
					$sRabattText = $belegdruckinfo_textbausteine ["Rabatt"];
					$sRabattText = str_replace ( array (
							"#Rabatt#",
							"#RabattBetrag#",
							"#RabattVor#" 
					), array (
							double_from_sql ( $listenzeile ["dtBestellpostenRabatt"], 1 ),
							double_from_sql ( $listenzeile ["dtPreisNetto"] / 100 * $listenzeile ["dtBestellpostenRabatt"], 2 ),
							double_from_sql ( $listenzeile ["dtPreisNetto"], 2 ) 
					), $sRabattText );
					
					$liste_output [$listenzeile_id] ["dtArtikel"] .= "\n%Rs%" . $sRabattText . "%Re%";
				}
			}
		}
		$liste_output_posten = $liste_output;
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	
	// Layout gem�� Druckinfo bestimmen
	if (! ($layout_array = unserialize ( $bestellungdruckinfo_field ["dtBestellungDruckLayout"] ))) {
		$layout_array = array ();
		$layout_array ["bestellung"] = $standard_layout_bestellung;
	}
	
	$listenlayout = $layout_array [$layout];
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ hole Layout Infos
	$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = '" . $listenlayout . "'";
	$field = get_table_row ( $query );
	
	$layout_vorlagen_ersteseite = unserialize ( $field ["dtVorlagenErsteSeite"] );
	$layout_vorlagen_folgeseiten = unserialize ( $field ["dtVorlagenFolgeSeiten"] );
	
	/*
	 * Pr�fe, ob Vorschauseite existiert
	 */
	
	if (! file_exists ( $pfad_vorschau_pdf ) && $ziel == "vorschau") {
		echo "Vorlagendatei f�r Vorschau existiert nicht";
		exit ();
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Definiere Seitenr�nder
	$typ = "seitenraender";
	include ("$functionsordner/function_pdf.php");
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge neues PDF Dokument (nur f�r Berechnung von Feldbreiten, je nach Schriftart)
	$pdf = new PDF ();
	$pdf->new_document ( $field ["dtDokumentName"], $ausrichtung );
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge Adressfeld-Array
	
	// f�lle Array mit Kundendaten
	$adressfeld = array (
			"Firma" => $bestellung_field ["dtFirmenname"],
			"Zusatz" => $bestellung_field ["dtNamenszusatz"],
			"Anrede" => $bestellung_field ["dtDruckAnrede"],
			"Vorname" => $bestellung_field ["dtVorname"],
			"Nachname" => $bestellung_field ["dtNachname"],
			"Land" => $bestellung_field ["dtLandesname"] 
	);
	
	$adressfeld ["Strasse"] = $bestellung_field ["dtStrasse"];
	$adressfeld ["PLZ"] = $bestellung_field ["dtPLZ"];
	$adressfeld ["Ort"] = $bestellung_field ["dtOrt"];
	
	// Ansprechpartner
	if ($bestellung_field ["fiLieferantAnsprechpartner"] != 0) {
		
		$query = $sql_query ["kontaktaspliste"] . " and $tblkontaktasp.id = " . $bestellung_field ["fiLieferantAnsprechpartner"];
		$asp_field = get_table_row ( $query );
		
		$query = $sql_query ["anredenliste"] . " and $tblanreden.id = " . $asp_field ["fiAnrede"];
		$anrede_field = get_table_row ( $query );
		
		// $adressfeld["zHd"] = "z.Hd.: " . $anrede_field["dtAnrede"] . " " . $asp_field["dtVorname"] . " " . $asp_field["dtNachname"];
		$adressfeld ["zHd"] = $anrede_field ["dtDruckAnrede"] . " " . $asp_field ["dtVorname"] . " " . $asp_field ["dtNachname"];
	}
	
	// �berschreibe Array ggf. mit alternativer Belegadresse
	if ($bestellungdruckinfo_field ["dtAlternativFirma"] != "" or $bestellungdruckinfo_field ["dtAlternativZusatz"] != "" or $bestellungdruckinfo_field ["dtAlternativVorname"] != "" or $bestellungdruckinfo_field ["dtAlternativNachname"] != "") {
		
		$query = $sql_query ["anredenliste"] . " and $tblanreden.id = " . $bestellungdruckinfo_field ["fiAlternativAnrede"];
		$anrede_field = get_table_row ( $query );
		
		$adressfeld ["Firma"] = $bestellungdruckinfo_field ["dtAlternativFirma"];
		$adressfeld ["Zusatz"] = $bestellungdruckinfo_field ["dtAlternativZusatz"];
		$adressfeld ["Anrede"] = $anrede_field ["dtDruckAnrede"];
		$adressfeld ["Vorname"] = $bestellungdruckinfo_field ["dtAlternativVorname"];
		$adressfeld ["Nachname"] = $bestellungdruckinfo_field ["dtAlternativNachname"];
	}
	
	// �berschreibe Array ggf. mit alternativer Belegadresse
	if ($bestellungdruckinfo_field ["fiAlternativASP"] != 0) {
		
		$query = $sql_query ["kontaktaspliste"] . " and $tblkontaktasp.id = " . $bestellungdruckinfo_field ["fiAlternativASP"];
		$asp_field = get_table_row ( $query );
		
		$query = $sql_query ["anredenliste"] . " and $tblanreden.id = " . $asp_field ["fiAnrede"];
		$anrede_field = get_table_row ( $query );
		
		// $adressfeld["zHd"] = "z.Hd.: " . $anrede_field["dtAnrede"] . " " . $asp_field["dtVorname"] . " " . $asp_field["dtNachname"];
		$adressfeld ["zHd"] = $anrede_field ["dtDruckAnrede"] . " " . $asp_field ["dtVorname"] . " " . $asp_field ["dtNachname"];
	}
	
	// �berschreibe Array ggf. mit alternativer Belegadresse
	if ($bestellungdruckinfo_field ["dtAlternativASP"] != "") {
		$adressfeld ["zHd"] = $bestellungdruckinfo_field ["dtAlternativASP"];
	}
	
	// �berschreibe Array ggf. mit alternativer Belegadresse
	if ($bestellungdruckinfo_field ["dtAlternativStrasse"] != "" or $bestellungdruckinfo_field ["dtAlternativPLZ"] != "" or $bestellungdruckinfo_field ["dtAlternativOrt"] != "") {
		$adressfeld ["Strasse"] = $bestellungdruckinfo_field ["dtAlternativStrasse"];
		$adressfeld ["PLZ"] = $bestellungdruckinfo_field ["dtAlternativPLZ"];
		$adressfeld ["Ort"] = $bestellungdruckinfo_field ["dtAlternativOrt"];
		$adressfeld ["Land"] = $bestellungdruckinfo_field ["dtLandesname"];
	}
	
	// setze Ardessfeld-Array zusammen
	$adressfeld_array = create_adressfeld_array ( $adressfeld, $field ["dtAdressfeldSchriftGroesse"], $field ["dtAdressfeldSchriftArt"] );
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge Infofeld-Array
	
	if ($bestellungueberschrift_ueber_infofeld_drucken != 0) {
		$infofeld_array [] = array (
				"text" => $bestellungdruckinfo_texte ["dtUeberschrift"],
				"ausrichtung" => "L",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"] + 2,
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.3, 0 ) 
		);
	}
	
	if ($bestellung_statische_infofelder [$layout] ["LieferantNr"] == 1 and $bestellung_field ["dtKontaktNr"] != "") {
		$infofeld_array [] = array (
				"text1" => $belegdruckinfo_textbausteine ["KundenNr"] . "  ",
				"text2" => $bestellung_field ["dtKontaktNr"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellung_statische_infofelder [$layout] ["LieferantNr"] == 1 and $bestellung_field ["dtKontaktNr"] != "") {
		$infofeld_array [] = array (
				"text1" => $belegdruckinfo_textbausteine ["KundenNr"] . "  ",
				"text2" => $bestellung_field ["dtKontaktNr"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellung_statische_infofelder [$layout] ["EigKdNr"] == 1 and $bestellung_field ["dtLieferantEigeneKdNr"] != "") {
		$infofeld_array [] = array (
				"text1" => $belegdruckinfo_textbausteine ["KundenNr"] . "  ",
				"text2" => $bestellung_field ["dtLieferantEigeneKdNr"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellung_statische_infofelder [$layout] ["BestellNr"] == 1 and $bestellung_field ["dtBestellungNr"] != "") {
		$infofeld_array [] = array (
				"text1" => $belegdruckinfo_textbausteine ["BestellNr"] . "  ",
				"text2" => $bestellung_field ["dtBestellungNr"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellung_statische_infofelder [$layout] ["AngebotNr"] == 1 and $bestellung_field ["dtAngebotNr"] != "") {
		$infofeld_array [] = array (
				"text1" => $belegdruckinfo_textbausteine ["AngebotNr"] . "  ",
				"text2" => $bestellung_field ["dtAngebotNr"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellung_statische_infofelder [$layout] ["BelegNr"] == 1 and $bestellung_field ["dtBelegNr"] != "") {
		$infofeld_array [] = array (
				"text1" => $belegdruckinfo_textbausteine ["BelegNr"] . "  ",
				"text2" => $bestellung_field ["dtBelegNr"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellung_statische_infofelder [$layout] ["BestellDatum"] == 1 and $bestellung_field ["dtBestellungDatum"] != "2030-01-01") {
		$infofeld_array [] = array (
				"text1" => $belegdruckinfo_textbausteine ["AuftragDatum"] . "  ",
				"text2" => date_from_sql ( $bestellung_field ["dtBestellungDatum"] ),
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellung_statische_infofelder [$layout] ["Lieferdatum"] == 1 and $bestellung_field ["dtLieferungDatum"] != "2030-01-01") {
		$infofeld_array [] = array (
				"text1" => $belegdruckinfo_textbausteine ["LieferungDatum"] . "  ",
				"text2" => date_from_sql ( $bestellung_field ["dtLieferungDatum"] ),
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellungbezeichnung_drucken == 1 and $bestellung_field ["dtBezeichnung"]) {
		$infofeld_array [] = array (
				"text1" => $belegdruckinfo_textbausteine ["Bezeichnung"] . "  ",
				"text2" => $bestellung_field ["dtBezeichnung"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellungdruckinfo_field ["dtZusatzInfofeld1Name"] != "" or $bestellungdruckinfo_field ["dtZusatzInfofeld1Wert"] != "") {
		$infofeld_array [] = array (
				"text1" => $bestellungdruckinfo_field ["dtZusatzInfofeld1Name"] . "  ",
				"text2" => $bestellungdruckinfo_field ["dtZusatzInfofeld1Wert"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellungdruckinfo_field ["dtZusatzInfofeld2Name"] != "" or $bestellungdruckinfo_field ["dtZusatzInfofeld2Wert"] != "") {
		$infofeld_array [] = array (
				"text1" => $bestellungdruckinfo_field ["dtZusatzInfofeld2Name"] . "  ",
				"text2" => $bestellungdruckinfo_field ["dtZusatzInfofeld2Wert"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellungdruckinfo_field ["dtZusatzInfofeld3Name"] != "" or $bestellungdruckinfo_field ["dtZusatzInfofeld3Wert"] != "") {
		$infofeld_array [] = array (
				"text1" => $bestellungdruckinfo_field ["dtZusatzInfofeld3Name"] . "  ",
				"text2" => $bestellungdruckinfo_field ["dtZusatzInfofeld3Wert"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellungdruckinfo_field ["dtZusatzInfofeld4Name"] != "" or $bestellungdruckinfo_field ["dtZusatzInfofeld4Wert"] != "") {
		$infofeld_array [] = array (
				"text1" => $bestellungdruckinfo_field ["dtZusatzInfofeld4Name"] . "  ",
				"text2" => $bestellungdruckinfo_field ["dtZusatzInfofeld4Wert"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellungdruckinfo_field ["dtZusatzInfofeld5Name"] != "" or $bestellungdruckinfo_field ["dtZusatzInfofeld5Wert"] != "") {
		$infofeld_array [] = array (
				"text1" => $bestellungdruckinfo_field ["dtZusatzInfofeld5Name"] . "  ",
				"text2" => $bestellungdruckinfo_field ["dtZusatzInfofeld5Wert"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	if ($bestellung_statische_infofelder [$layout] ["FaxNr"] == 1 and $bestellung_field ["dtFax"] != "") {
		$infofeld_array [] = array (
				"text1" => "Ihre Fax Nr.:  ",
				"text2" => $bestellung_field ["dtFax"],
				"ausrichtung1" => "L",
				"ausrichtung2" => "R",
				"schriftart" => $field ["dtInfofeldSchriftArt"],
				"schriftgroesse" => $field ["dtInfofeldSchriftGroesse"],
				"zeilenhoehe" => round ( $field ["dtInfofeldSchriftGroesse"] / 1.9, 0 ) 
		);
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge Textzeilen
	$textzeile ["zeilentyp"] = "textzeile";
	$textzeile ["zeilennr"] = 1;
	$textzeile ["zeilenmaxnr"] = 1;
	$textzeile ["zeilenhoehe"] = round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ) + $zeilen_spacing_innen;
	$textzeile ["zeilen_spacing"] = $zeilen_spacing;
	$textzeile ["zellen_spacing"] = $zellen_spacing;
	// $textzeile["feldinhalte"] = $feldinhalte;
	$textzeile ["feldbreiten"] = array (
			array_sum ( $field_width_posten ) 
	);
	$textzeile ["formatierungen"] ["hintergrund"] = $hintergrund_textzeile_ungerade;
	$textzeile ["formatierungen"] ["schriftfarbe"] = $schriftfarbe_textzeile;
	$textzeile ["formatierungen"] ["rahmenstil"] = $rahmenstil_textzeile;
	$textzeile ["formatierungen"] ["schriftstil"] = $schriftstil_textzeile;
	$textzeile ["formatierungen"] ["schriftausrichtung"] = $schriftausrichtung_textzeile_posten;
	$textzeile ["formatierungen"] ["schriftart"] = $field ["dtStandardSchriftArt"];
	$textzeile ["formatierungen"] ["schriftgroesse"] = $field ["dtStandardSchriftGroesse"];
	
	$textzeile_leer = $textzeile;
	$textzeile_leer ["feldinhalte"] = array (
			" " 
	);
	
	if ($bestellungueberschrift_ueber_posten_drucken != 0) {
		$textzeile_ueberschrift [0] = $textzeile;
		$textzeile_ueberschrift [0] ["feldinhalte"] = array (
				$bestellungdruckinfo_texte ["dtUeberschrift"] 
		);
		$textzeile_ueberschrift [0] ["formatierungen"] ["schriftstil"] = array (
				"B" 
		);
		$textzeile_ueberschrift [0] ["formatierungen"] ["schriftgroesse"] = $field ["dtStandardSchriftGroesse"] + 2;
	}
	
	$textzeile_unter_ueberschrift [0] = $textzeile;
	$textzeile_unter_ueberschrift [0] ["feldinhalte"] = array (
			$bestellungdruckinfo_texte ["dtTextUnterUeberschrift"] 
	);
	$textzeile_unter_ueberschrift [1] = $textzeile_leer;
	
	if ($anzahl_posten_gesamt != 0 and $bestellungdruckinfo_texte ["dtPostenDrucken"] == 1) {
		if ($bestellungdruckinfo_texte ["dtTextUeberPosten"] != "") {
			$textzeile_ueber_posten [0] = $textzeile;
			$textzeile_ueber_posten [0] ["feldinhalte"] = array (
					$bestellungdruckinfo_texte ["dtTextUeberPosten"] 
			);
		}
		if ($bestellungdruckinfo_texte ["dtTextUnterPosten"] != "") {
			$textzeile_unter_posten [0] = $textzeile;
			$textzeile_unter_posten [0] ["feldinhalte"] = array (
					$bestellungdruckinfo_texte ["dtTextUnterPosten"] 
			);
			$textzeile_unter_posten [1] = $textzeile_leer;
		}
	}
	
	$textzeile_unter_beleg [0] = $textzeile;
	$textzeile_unter_beleg [0] ["feldinhalte"] = array (
			$bestellungdruckinfo_texte ["dtTextUnterBeleg"] 
	);
	
	if ($bestellungdruckinfo_texte ["dtDruckeLieferart"] == 1) {
		/*
		 * - Lieferart aus Beleg holen - Lieferart Belegtext holen
		 */
		if ($bestellung_field ["fiLieferart"] != 0) {
			$text_row = get_table_row ( $sql_query ["lieferartenliste"] . " and $tbllieferarten.id = " . $bestellung_field ["fiLieferart"] );
			
			if (! empty ( $text_row ["dtLieferartBelegText"] )) {
				$textzeile_lieferart [0] = $textzeile_leer;
				$textzeile_lieferart [1] = $textzeile;
				$textzeile_lieferart [1] ["feldinhalte"] = array (
						$text_row ["dtLieferartBelegText"] 
				);
			}
		}
	}
	
	// Lieferadresse unter Belegen
	if ($bestellungdruckinfo_field ["dtLieferungAdresseDrucken"] == 1) {
		
		// �berschreibe Array ggf. mit Lieferadresse
		if ($bestellungdruckinfo_field ["dtLieferungFirma"] != "" or $bestellungdruckinfo_field ["dtLieferungZusatz"] != "" or $bestellungdruckinfo_field ["dtLieferungVorname"] != "" or $bestellungdruckinfo_field ["dtLieferungNachname"] != "") {
			
			$query = $sql_query ["anredenliste"] . " and $tblanreden.id = " . $bestellungdruckinfo_field ["fiLieferungAnrede"];
			$anrede_field = get_table_row ( $query );
			
			$lieferadressfeld ["Firma"] = $bestellungdruckinfo_field ["dtLieferungFirma"];
			$lieferadressfeld ["Zusatz"] = $bestellungdruckinfo_field ["dtLieferungZusatz"];
			$lieferadressfeld ["Anrede"] = $anrede_field ["dtDruckAnrede"];
			$lieferadressfeld ["Vorname"] = $bestellungdruckinfo_field ["dtLieferungVorname"];
			$lieferadressfeld ["Nachname"] = $bestellungdruckinfo_field ["dtLieferungNachname"];
		}
		
		// �berschreibe Array ggf. mit Lieferadresse
		if ($bestellungdruckinfo_field ["fiLieferungASP"] != 0) {
			
			$query = $sql_query ["kontaktaspliste"] . " and $tblkontaktasp.id = " . $bestellungdruckinfo_field ["fiLieferungASP"];
			$asp_field = get_table_row ( $query );
			
			$query = $sql_query ["anredenliste"] . " and $tblanreden.id = " . $asp_field ["fiAnrede"];
			$anrede_field = get_table_row ( $query );
			
			// $lieferadressfeld["zHd"] = "z.Hd.: " . $anrede_field["dtAnrede"] . " " . $asp_field["dtVorname"] . " " . $asp_field["dtNachname"];
			$lieferadressfeld ["zHd"] = "z.Hd.: " . $anrede_field ["dtDruckAnrede"] . " " . $asp_field ["dtVorname"] . " " . $asp_field ["dtNachname"];
		}
		
		// �berschreibe Array ggf. mit Lieferadresse
		if ($bestellungdruckinfo_field ["dtLieferungASP"] != "") {
			$lieferadressfeld ["zHd"] = $bestellungdruckinfo_field ["dtLieferungASP"];
		}
		
		// �berschreibe Array ggf. mit Lieferadresse
		if ($bestellungdruckinfo_field ["dtLieferungStrasse"] != "" or $bestellungdruckinfo_field ["dtLieferungPLZ"] != "" or $bestellungdruckinfo_field ["dtLieferungOrt"] != "") {
			
			$query = $sql_query ["landliste"] . " and $tbllaender.id = " . $bestellungdruckinfo_field ["fiLieferungLand"];
			$land_field = get_table_row ( $query );
			
			$lieferadressfeld ["Strasse"] = $bestellungdruckinfo_field ["dtLieferungStrasse"];
			$lieferadressfeld ["PLZ"] = $bestellungdruckinfo_field ["dtLieferungPLZ"];
			$lieferadressfeld ["Ort"] = $bestellungdruckinfo_field ["dtLieferungOrt"];
			$lieferadressfeld ["Land"] = $land_field ["dtLandesname"];
		}
		
		// setze Ardessfeld-Array zusammen
		$lieferadressfeld_array = create_adressfeld_array ( $lieferadressfeld, $field ["dtAdressfeldSchriftGroesse"], $field ["dtAdressfeldSchriftArt"] );
		unset ( $lieferadressfeld );
		if (is_array ( $lieferadressfeld_array )) {
			foreach ( $lieferadressfeld_array as $key => $zeile ) {
				$lieferadressfeld .= $zeile ["text"] . "\n";
			}
		}
		$lieferadressfeld = str_replace ( "\n\n", "\n", $lieferadressfeld );
		$textzeile_unter_beleg [0] ["feldinhalte"] [0] .= "\n\nLieferadresse:\n" . $lieferadressfeld;
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge Listenkopf Posten
	$printzeile_posten = 0;
	unset ( $feldinhalte );
	foreach ( $show_fields_posten as $key => $show_field ) {
		$feldinhalte [$show_field] = $field_headlines_posten [$key];
	}
	
	$liste_posten_print [$printzeile_posten] ["zeilentyp"] = "kopfzeile";
	$liste_posten_print [$printzeile_posten] ["zeilennr"] = 1;
	$liste_posten_print [$printzeile_posten] ["zeilenmaxnr"] = 1;
	$liste_posten_print [$printzeile_posten] ["zeilenhoehe"] = round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ) + $zeilen_spacing_innen;
	$liste_posten_print [$printzeile_posten] ["zeilen_spacing"] = $zeilen_spacing;
	$liste_posten_print [$printzeile_posten] ["zellen_spacing"] = $zellen_spacing;
	$liste_posten_print [$printzeile_posten] ["feldinhalte"] = $feldinhalte;
	$liste_posten_print [$printzeile_posten] ["feldbreiten"] = $field_width_posten;
	$liste_posten_print [$printzeile_posten] ["formatierungen"] ["hintergrund"] = $hintergrund_kopfzeile;
	$liste_posten_print [$printzeile_posten] ["formatierungen"] ["schriftfarbe"] = $schriftfarbe_kopfzeile;
	$liste_posten_print [$printzeile_posten] ["formatierungen"] ["rahmenstil"] = $rahmenstil_kopfzeile;
	$liste_posten_print [$printzeile_posten] ["formatierungen"] ["schriftstil"] = $schriftstil_kopfzeile;
	$liste_posten_print [$printzeile_posten] ["formatierungen"] ["schriftausrichtung"] = $schriftausrichtung_kopfzeile_posten;
	$liste_posten_print [$printzeile_posten] ["formatierungen"] ["schriftart"] = $field ["dtStandardSchriftArt"];
	$liste_posten_print [$printzeile_posten] ["formatierungen"] ["schriftgroesse"] = $field ["dtStandardSchriftGroesse"];
	
	$printzeile_posten ++;
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge Summenliste
	$printzeile_summe = 0;
	$summenzeile = $textzeile;
	$summenzeile ["feldbreiten"] = array (
			(array_sum ( $field_width_posten ) - $field_width_posten [count ( $field_width_posten ) - 1]),
			$field_width_posten [count ( $field_width_posten ) - 1] 
	);
	$summenzeile ["formatierungen"] ["schriftausrichtung"] = array (
			"R",
			"R" 
	);
	if (array_search ( "dtGesamtPreisNetto", $show_fields_posten ) !== false) {
		if (is_array ( $mwstbetrag )) {
			ksort ( $mwstbetrag );
		}
		
		$summenzeile = $textzeile;
		$summenzeile ["feldbreiten"] = array (
				(array_sum ( $field_width_posten ) - $field_width_posten [count ( $field_width_posten ) - 1]),
				$field_width_posten [count ( $field_width_posten ) - 1] 
		);
		$summenzeile ["formatierungen"] ["schriftausrichtung"] = array (
				"R",
				"R" 
		);
		
		if ($gesamtbetrag_beleg_netto != $gesamtbetrag_beleg_brutto) {
			$liste_summe [$printzeile_summe] = $summenzeile;
			$liste_summe [$printzeile_summe] ["feldinhalte"] = array (
					$belegdruckinfo_textbausteine ["Summenetto"],
					preis_from_sql ( $gesamtbetrag_beleg_netto, "PDF", 2 ) 
			);
			if ($bestellung_linie_ueber_summen_drucken != 0) {
				$liste_summe [$printzeile_summe] ["formatierungen"] ["rahmenstil"] = array (
						"T",
						"T" 
				);
			} else {
				$liste_summe [$printzeile_summe] ["formatierungen"] ["rahmenstil"] = array (
						"",
						"" 
				);
			}
			$printzeile_summe ++;
		}
		
		if (is_array ( $mwstbetrag )) {
			foreach ( $mwstbetrag as $mwst_satz => $mwst_betrag ) {
				if ($mwst_satz != 0) {
					if ($mwst_betrag > 0)
						$mwstGesamt += round ( $mwst_betrag, 2 );
					
					$liste_summe [$printzeile_summe] = $summenzeile;
					$liste_summe [$printzeile_summe] ["feldinhalte"] = array (
							str_replace ( "#MWST#", double_from_sql ( $mwst_satz, 1 ), $belegdruckinfo_textbausteine ["zzglMwst"] ),
							preis_from_sql ( $mwst_betrag, "PDF", 2 ) 
					);
					$printzeile_summe ++;
				}
			}
		}
		
		$liste_summe [$printzeile_summe] = $summenzeile;
		$liste_summe [$printzeile_summe] ["feldinhalte"] = array (
				$belegdruckinfo_textbausteine ["Gesamtsumme"],
				preis_from_sql ( $gesamtbetrag_beleg_brutto, "PDF", 2 ) 
		);
		$liste_summe [$printzeile_summe] ["formatierungen"] ["rahmenstil"] = array (
				"",
				"TB" 
		);
		$printzeile_summe ++;
		
		$liste_summe [$printzeile_summe] = $summenzeile;
		$liste_summe [$printzeile_summe] ["zeilenhoehe"] = 0.3 + $zeilen_spacing_innen;
		$liste_summe [$printzeile_summe] ["feldinhalte"] = array (
				"",
				"" 
		);
		$liste_summe [$printzeile_summe] ["formatierungen"] ["rahmenstil"] = array (
				"",
				"B" 
		);
		$printzeile_summe ++;
		
		$zeilenzahl = 1;
		if (is_array ( $liste_summe )) {
			foreach ( $liste_summe as $key => $zeile ) {
				$liste_summe [$key] ["zeilennr"] = $zeilenzahl ++;
				$liste_summe [$key] ["zeilenmaxnr"] = count ( $liste_summe );
			}
		}
	} else {
		$liste_summe [$printzeile_summe] = $summenzeile;
		$liste_summe [$printzeile_summe] ["feldinhalte"] = array (
				"",
				"" 
		);
		if ($bestellung_linie_ueber_summen_drucken != 0) {
			$liste_summe [$printzeile_summe] ["formatierungen"] ["rahmenstil"] = array (
					"T",
					"T" 
			);
		} else {
			$liste_summe [$printzeile_summe] ["formatierungen"] ["rahmenstil"] = array (
					"",
					"" 
			);
		}
		$printzeile_summe ++;
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ bearbeite Liste zeilenweise
	unset ( $tabellenzeile );
	unset ( $feldinhalte );
	// $printzeile_posten = 0;
	$zeilenzahl = 1;
	
	if (is_array ( $liste_output_posten )) {
		foreach ( $liste_output_posten as $zeile => $listenzeile ) {
			
			// ++++ formatiere Listenfelder (HTML zu PDF) (Schriftart muss gesetzt sein f�r Zeilenberechnung)
			foreach ( $show_fields_posten as $key => $show_field ) {
				
				$pdf->SetFont ( "$field[dtStandardSchriftArt]", "$schriftstil_textzeile[$key]", $field ["dtStandardSchriftGroesse"] );
				$tabellenzeile [$show_field] = $pdf->format_tabellenfeld ( $listenzeile [$show_field], $field_width_posten [$key] );
			}
			
			// ++++ berechne gr��te Zeilenanzahl der Listenfelder
			$maxzeilen = $pdf->get_maxzeilen ( $tabellenzeile );
			
			// ++++ erzeuge neues Array mit jeweils einer Textzeile
			for($n = 0; $n < $maxzeilen + 1; $n ++) {
				
				foreach ( $show_fields_posten as $key => $show_field ) {
					$feldinhalte [$show_field] = $pdf->extract_print_zeile ( $tabellenzeile [$show_field], $n );
				}
				
				$liste_posten_print [$printzeile_posten] ["zeilentyp"] = "zeile";
				$liste_posten_print [$printzeile_posten] ["zeilennr"] = $n + 1;
				$liste_posten_print [$printzeile_posten] ["zeilenmaxnr"] = $maxzeilen;
				$liste_posten_print [$printzeile_posten] ["zeilenhoehe"] = round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ) + $zeilen_spacing_innen;
				$liste_posten_print [$printzeile_posten] ["zeilen_spacing"] = $zeilen_spacing;
				$liste_posten_print [$printzeile_posten] ["zellen_spacing"] = $zellen_spacing;
				$liste_posten_print [$printzeile_posten] ["feldinhalte"] = $feldinhalte;
				$liste_posten_print [$printzeile_posten] ["feldbreiten"] = $field_width_posten;
				if ($zeilenzahl % 2 == 0) {
					$liste_posten_print [$printzeile_posten] ["formatierungen"] ["hintergrund"] = $hintergrund_textzeile_gerade;
				} else {
					$liste_posten_print [$printzeile_posten] ["formatierungen"] ["hintergrund"] = $hintergrund_textzeile_ungerade;
				}
				$liste_posten_print [$printzeile_posten] ["formatierungen"] ["schriftfarbe"] = $schriftfarbe_textzeile;
				$liste_posten_print [$printzeile_posten] ["formatierungen"] ["rahmenstil"] = $rahmenstil_textzeile;
				$liste_posten_print [$printzeile_posten] ["formatierungen"] ["schriftstil"] = $schriftstil_textzeile;
				$liste_posten_print [$printzeile_posten] ["formatierungen"] ["schriftausrichtung"] = $schriftausrichtung_textzeile_posten;
				$liste_posten_print [$printzeile_posten] ["formatierungen"] ["schriftart"] = $field ["dtStandardSchriftArt"];
				$liste_posten_print [$printzeile_posten] ["formatierungen"] ["schriftgroesse"] = $field ["dtStandardSchriftGroesse"];
				
				$printzeile_posten ++;
			}
			$zeilenzahl ++;
		}
	}
	
	// ++++ verkleinere Text in Posten-Rabattzeilen
	$bVerkleinereZeile = false;
	foreach ( ( array ) $liste_posten_print as $zeile => $listenzeile ) {
		if (strpos ( $liste_posten_print [$zeile] ["feldinhalte"] ["dtArtikel"], "%Rs%" ) !== false || $bVerkleinereZeile) {
			$bVerkleinereZeile = true;
			if (strpos ( $liste_posten_print [$zeile] ["feldinhalte"] ["dtArtikel"], "%Re%" ) !== false) {
				$bVerkleinereZeile = false;
			}
			
			$liste_posten_print [$zeile] ["feldinhalte"] ["dtArtikel"] = str_replace ( array (
					"%Rs%",
					"%Re%" 
			), "", $liste_posten_print [$zeile] ["feldinhalte"] ["dtArtikel"] );
			
			$liste_posten_print [$zeile] ["formatierungen"] ["schriftgroesse"] = round ( $liste_posten_print [$zeile] ["formatierungen"] ["schriftgroesse"] * 0.8, 0 );
			$liste_posten_print [$zeile] ["zeilenhoehe"] = round ( $liste_posten_print [$zeile] ["zeilenhoehe"] * 0.8, 0 );
		}
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ bearbeite sonstige Felder
	if ($bestellungueberschrift_ueber_posten_drucken != 0) {
		$textzeile_ueberschrift [1] ["feldinhalte"] [0] = $pdf->format_tabellenfeld ( $textzeile_ueberschrift [1] ["feldinhalte"] [0], $textzeile ["feldbreiten"] [0] );
	}
	// $textzeile_unter_ueberschrift[1]["feldinhalte"][0] = $pdf->format_tabellenfeld($textzeile_unter_ueberschrift[1]["feldinhalte"][0], $textzeile["feldbreiten"][0]);
	$textzeile_unter_ueberschrift_print = $pdf->format_text_in_liste_zeilenweise ( $textzeile_unter_ueberschrift, $field );
	
	// $textzeile_ueber_posten[0]["feldinhalte"][0] = $pdf->format_tabellenfeld($textzeile_ueber_posten[0]["feldinhalte"][0], $textzeile["feldbreiten"][0]);
	$textzeile_ueber_posten_print = $pdf->format_text_in_liste_zeilenweise ( $textzeile_ueber_posten, $field );
	
	// $textzeile_unter_posten[0]["feldinhalte"][0] = $pdf->format_tabellenfeld($textzeile_unter_posten[0]["feldinhalte"][0], $textzeile["feldbreiten"][0]);
	$textzeile_unter_posten_print = $pdf->format_text_in_liste_zeilenweise ( $textzeile_unter_posten, $field );
	
	// $textzeile_unter_beleg[1]["feldinhalte"][0] = $pdf->format_tabellenfeld($textzeile_unter_beleg[1]["feldinhalte"][0], $textzeile["feldbreiten"][0]);
	$textzeile_unter_beleg_print = $pdf->format_text_in_liste_zeilenweise ( $textzeile_unter_beleg, $field );
	
	// $textzeile_lieferart[1]["feldinhalte"][0] = $pdf->format_tabellenfeld($textzeile_lieferart[1]["feldinhalte"][0], $textzeile_breite);
	$textzeile_lieferart_print = $pdf->format_text_in_liste_zeilenweise ( $textzeile_lieferart, $field );
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ schliesse tempor�res PDF Dokument
	$pdf->Close ();
	
	// Kopfzeilen nach Seitenumbr�chen ein/ausschalten
	$kopfzeilen_einschalten [0] ["zeilentyp"] = "kopfzeilesteuerung";
	$kopfzeilen_einschalten [0] ["kopf_nach_umbruch"] = 1;
	
	$kopfzeilen_ausschalten [0] ["zeilentyp"] = "kopfzeilesteuerung";
	$kopfzeilen_ausschalten [0] ["kopf_nach_umbruch"] = 0;
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge eine Liste aus den drei Listen
	$liste_print = array_merge ( ( array ) $textzeile_ueberschrift, ( array ) $textzeile_unter_ueberschrift_print, ( array ) $kopfzeilen_einschalten, ( array ) $textzeile_ueber_posten_print, ( array ) $liste_posten_print, ( array ) $textzeile_unter_posten_print, ( array ) $kopfzeilen_ausschalten, ( array ) $liste_summe, ( array ) $textzeile_unter_beleg_print, ( array ) $textzeile_lieferart_print );
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ f�ge Seitenumbr�che ein
	$liste_print = $pdf->tabellenseitenumbrueche ( $liste_print, round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ), $druckhoehe_p1, $druckhoehe, 0 );
	
	// echo '<pre>'.str_replace(array("\n" , " "), array('<br>', '&nbsp;'), print_r($field, true)).'</pre><br><br>';
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge ggf. Seite mit Adressfeld auf erster Seite
	if ($field ["dtAdressfeldVorhanden"] == 1) {
		create_adressfeldseite ( $adressfeld_array, $ausrichtung, $field ["dtAdressfeldLinks"], $field ["dtAdressfeldOben"], $seitenbreite - $field ["dtAdressfeldLinks"] - $field ["dtAdressfeldRechts"], $seitenhoehe - $field ["dtAdressfeldOben"] - $field ["dtAdressfeldUnten"] );
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge ggf. Seite mit Infofeld auf erster Seite
	if ($field ["dtInfofeldVorhanden"] == 1) {
		$untere_grenze_infofeld = create_infofeldseite ( $infofeld_array, $ausrichtung, $field ["dtInfofeldLinks"], $field ["dtInfofeldOben"], $seitenbreite - $field ["dtInfofeldLinks"] - $field ["dtInfofeldRechts"], $seitenhoehe - $field ["dtInfofeldOben"] - $field ["dtInfofeldUnten"] );
	}
	
	if ($field ["dtInfofeld2Vorhanden"] == 1) {
		$iSeitenAnzahl = read_seitenzahlen ( $liste_print );
		for($iAktuelleSeite = 2; $iAktuelleSeite <= $iSeitenAnzahl; $iAktuelleSeite ++)
			$untere_grenze_infofeld2 = create_infofeldseite ( $infofeld_array, $ausrichtung, $field ["dtInfofeld2Links"], $field ["dtInfofeld2Oben"], $seitenbreite - $field ["dtInfofeld2Links"] - $field ["dtInfofeld2Rechts"], $seitenhoehe - $field ["dtInfofeld2Oben"] - $field ["dtInfofeld2Unten"], $iAktuelleSeite );
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Extravariablen zur Verwendung im Datums- und Seitenzahlenfeld
	$aReplaceExtraVariablenFrom = array (
			"%BU%",
			"%BN%" 
	);
	
	$aReplaceExtraVariablenTo = array (
			$bestellungdruckinfo_texte ["dtUeberschrift"],
			$bestellung_field ["dtBestellungNr"] 
	);
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge ggf. Seite mit Datumsfeld auf erster Seite
	if ($field ["dtDatumsfeldVorhanden"] == 1) {
		$field ["dtDatumsfeldText"] = str_replace ( $aReplaceExtraVariablenFrom, $aReplaceExtraVariablenTo, $field ["dtDatumsfeldText"] );
		
		create_datumsfeldseite ( $field ["dtDatumsfeldText"], $ausrichtung, $field ["dtDatumsfeldLinks"], $field ["dtDatumsfeldOben"], $seitenbreite - $field ["dtDatumsfeldLinks"] - $field ["dtDatumsfeldRechts"], $field ["dtDatumsfeldSchriftArt"], $field ["dtDatumsfeldSchriftGroesse"], $belegdatum ["tag"], $belegdatum ["monat"], $belegdatum ["jahr"] );
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge ggf. Seite mit Barcodefeld auf erster Seite
	if ($field ["dtBarcodefeldVorhanden"] == 1) {
		create_barcodefeldseite ( $beleg_field ["dtBelegNr"], $ausrichtung, $field ["dtBarcodefeldLinks"], $field ["dtBarcodefeldOben"], $seitenbreite - $field ["dtBarcodefeldLinks"] - $field ["dtBarcodefeldRechts"], $seitenhoehe - $field ["dtBarcodefeldOben"] - $field ["dtBarcodefeldUnten"], $field ["dtBarcodefeldZahlDrucken"] );
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ drucke alle Seiten
	if ($field ["dtInfofeld2Vorhanden"] == 1)
		$pdf->tabelle_output ( $liste_print, $rand_links_p1, max ( $rand_oben_p1, ($untere_grenze_infofeld + 5) ), $rand_links, $rand_oben, $druckbreite_p1, $druckbreite, $dateiname, $field ["dtDokumentName"], $ausrichtung, $untere_grenze_infofeld2 );
	else
		$pdf->tabelle_output ( $liste_print, $rand_links_p1, max ( $rand_oben_p1, ($untere_grenze_infofeld + 5) ), $rand_links, $rand_oben, $druckbreite_p1, $druckbreite, $dateiname, $field ["dtDokumentName"], $ausrichtung, null );
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ erzeuge ggf. Seiten mit Seitenzahl-Feld f�r alle Seiten
	if ($field ["dtSeitenzahlfeldVorhanden"] == 1) {
		$field ["dtSeitenzahlfeldText"] = str_replace ( $aReplaceExtraVariablenFrom, $aReplaceExtraVariablenTo, $field ["dtSeitenzahlfeldText"] );
		
		create_seitenzahlseiten ( $field ["dtSeitenzahlfeldText"], $ausrichtung, $field ["dtSeitenzahlfeldLinks"], $field ["dtSeitenzahlfeldOben"], $seitenbreite - $field ["dtSeitenzahlfeldLinks"] - $field ["dtSeitenzahlfeldRechts"], $field ["dtSeitenzahlfeldSchriftArt"], $field ["dtSeitenzahlfeldSchriftGroesse"] );
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ hinzuf�gen des Layouts und zusammenf�hren aller Seiten
	$output_filename = create_document ( $layout_vorlagen_ersteseite, $layout_vorlagen_folgeseiten );
	
	if ($ziel == "vorschau") {
		pdfAddVorschauBackground ( $pfad_vorschau_pdf, $output_filename );
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Archivieren des PDF
	if ($ziel != "vorschau") {
		archive_document ( $output_filename, $bestellungarchivordner, $id, $archivid . "_" . $layout . ".pdf" );
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ Pr�fsumme erzeugen
		
		$logfeld ["dtPruefsumme"] = create_pruefsumme ( $bestellungarchivordner, $id, $archivid . "_" . $layout . ".pdf" );
		update_into_table ( $tblbestellungdrucklog, $archivid, $logfeld );
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Ausgabe des PDF im Browser durch Reload der Seite
	if ($ziel == "anzeigen" || $ziel == "vorschau") {
		output_reload ( $output_filename );
	}
	;
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Ausgabe des PDF direkt auf Systemdrucker
	if ($ziel == "drucken") {
		output_print ( $output_filename );
	}
	;
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Ausgabe des PDF als eMail
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Ausgabe des PDF als eMail
	if ($ziel == "email") {
		//output_email ( $output_filename, $layout . ".pdf", $bestellungdruckinfo_field ["dtEmailEmpfaenger"], $bestellungdruckinfo_texte ["dtEmailText"], $bestellungdruckinfo_texte ["dtEmailBetreff"], $bestellung_field ["fiBestellungAutor"] );
		
		
		// Serialisiertes E-Mail Empf�nger 2 entserialisieren
		//$aeMailEmpfaengerAktiv2 = mb_unserialize($belegdruckinfo_field["dtEmailEmpfaengerAktiv2"]);
		/*
		 * TODO: F�r die Zukunft, bitte auslagern
		 *
		 * Durchsucht die E-Mail Texte und Betreffs und ersetzt Platzhalter
		 * $firma = Firma ABC
		 */
		$aKontakt = get_table_row ( $sql_query ["kontaktaspliste"] . " AND $tblkontaktasp.id = " . $bestellung_field ["fiBestellungAutor"]	);
		$aAnrede = get_table_row("SELECT dtAnrede FROM $tblanreden WHERE id = ".$aKontakt["fiAnrede"] );
		$aAspKunde = array("KundeVorname" => $aKontakt["dtVorname"], "KundeNachname" => $aKontakt["dtNachname"]);
		
		$sAbsenderAdresse = $mail_send_address;
		if (($bMailBelegEingeloggtePerson || $bMailBelegAbsenderAutor) && $iKontakt > 0) {
			$aKontakt = get_table_row ( $sql_query ["kontaktliste"] . " AND $tblkontakte.id = " . $iKontakt );
			
			if (! empty ( $aKontakt ["dtEmail"] )) {
				$sAbsenderAdresse = $aKontakt ["dtEmail"];
			}
		} else {
			$aKontakt ["dtVorname"] = "";
			$aKontakt ["dtNachname"] = "";
		}
		
		$aFrom ["mail"] = utf8_encode ( $sAbsenderAdresse );
		$aFrom ["name"] = utf8_encode ( $aKontakt ["dtVorname"] . " " . $aKontakt ["dtNachname"] );
		
		$aAttachment ["path"] = $output_filename;
		
		$aAttachment ["name"] = utf8_encode ( $archivid . "_" . $layout . ".pdf" );
		
		
		$aMailSend = new phpmailer_sendmail ();
		$aMailSend->build_mail ( $aFrom, utf8_encode ( $bestellungdruckinfo_field ["dtEmailEmpfaenger"] ), $aAttachment, utf8_encode ( $bestellungdruckinfo_texte ["dtEmailBetreff"] ), utf8_encode ( $bestellungdruckinfo_texte ["dtEmailText"] ) );
		
	}
	;
}

if ($bAgorumAktivieren == 1 && $ziel != "vorschau") {
	include ($include_prefix . $functionsordner . "/ext/agorum/fileTransfer.php");
	loginAgorum ();
	
	$bestellungarchiv = "bestellungarchivordner";
	$sSource = $dateipfad . "/" . $bestellungarchivordner . "/" . $id;
	$sFilename = $archivid . "_" . $layout . ".pdf";
	$sTargetFilename = $archivid . "_" . $layout . "_" . $logfeld ["dtPruefsumme"] . ".pdf";
	$sXmlFilename = $archivid . "_" . $layout . "_" . $logfeld ["dtPruefsumme"] . ".ac.xml";
	
	$oFileTransfer = new fileTransfer ();
	// $oFileTransfer->connect ( $sSource . "/" . $sFilename, $sAgorumAusdruckPfad . $bestellungarchiv . "/" . $id . "/" . $sFilename );
	$oFileTransfer->connect ( $sSource . "/" . $sFilename, $sAgorumAusdruckPfad . $sTargetFilename );
	$oFileTransfer->getId ( $sTargetFilename, "id", $archivid, $tblbestellungdrucklog );
	
	$qKontakt = $sql_query ["kontaktliste"] . " AND $tblkontakte.id = " . $beleg_field ["fiKunde"];
	$rKontaktResult = get_table_row ( $sSelectQuery );
	
	$aData ["Lieferant"] ["STRING"] = $bestellung_field ["dtFirmenname"];
	$aData ["Lieferantennummer"] ["STRING"] = $bestellung_field ["dtKontaktNr"];
	$aData ["LieferantAsp"] ["STRING"] = $adressfeld ["zHd"];
	$aData ["LieferantPlzOrt"] ["STRING"] = $bestellung_field ["dtPLZ"] . " " . $bestellung_field ["dtOrt"];
	$aData ["LieferantStrasse"] ["STRING"] = $bestellung_field ["dtStrasse"];
	$aData ["LieferantTelefon"] ["STRING"] = $bestellung_field ["dtTelefon"];
	$aData ["LieferantEmail"] ["STRING"] = $bestellung_field ["dtEmail"];
	
	$aData ["BestellungVerantwortlicher"] ["STRING"] = $sVerantwortlicher;
	$aData ["NettoSumme"] ["DOUBLE"] = $gesamtbetrag_beleg_netto;
	$aData ["BruttoSumme"] ["DOUBLE"] = $gesamtbetrag_beleg_brutto;
	// $aData ["MwstSumme"] ["DOUBLE"] = $mwstGesamt;
	$aData ["DokumentTyp"] ["STRING"] = $layout;
	
	if ($bestellungdatum)
		$aData ["BestellungDatum"] ["DATE"] ["YYYYMMDD"] = $bestellungdatum ["jahr"] . $bestellungdatum ["monat"] . $bestellungdatum ["tag"];
	
	if (date_from_sql ( $bestellung_field ["dtLieferungDatum"] ))
		$aData ["LieferungDatum"] ["DATE"] ["YYYYMMDD"] = str_replace ( "-", "", $bestellung_field ["dtLieferungDatum"] );
	
	$oXml = new xml ( $aData );
	
	$oXml->createXml ( $sTargetFilename, $sXmlFilename );
	// $oFileTransfer->connect ( $sXmlFilename, $sAgorumAusdruckPfad . $bestellungarchiv . "/" . $id . "/" . $sXmlFilename );
	$oFileTransfer->connect ( $sXmlFilename, $sAgorumAusdruckPfad . $sXmlFilename );
	
	unlink ( $sXmlFilename );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Ausgabe des PDF aus dem Archiv
if ($ziel == "archiv") {
	
	// +++++++++++++++++++++++++++++++++++++++++++
	// +++++++++++ SQL Abfragen aller relevanten Informationen
	$query = $sql_query ["bestellungliste"] . " and $tblbestellungen.id = " . $id;
	$bestellung_field = get_table_row ( $query );
	
	$layout_ausgabe = strtoupper ( substr ( $layout, 0, 1 ) ) . substr ( $layout, 1 );
	$bestellung_lieferant_ausgabe = substr ( format_filename ( $bestellung_field ["dtLieferant_Anzeige"] ), 0, 30 );
	
	$dateiname_output = $layout_ausgabe . "_" . $bestellung_field ["dtBestellungNr"] . "_" . $bestellung_lieferant_ausgabe . ".pdf";
	
	output_archiv ( $bestellungarchivordner, $id, $archivid . "_" . $layout . ".pdf", $dateiname_output );
}

?>