<?php
$sQueryFilter = "";

// Lieferantfilter
$sQueryFilterLieferant = filter_multiselect_return_query ( $filter [$listenname] ["lieferant"], "$tblartikelstueck.fiLieferant" );

// Kundenfilter
$sQueryFilterKunde = filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblbelege.fiKunde" );

// Belegfilter
$sQueryFilterBeleg = filter_multiselect_return_query ( $filter [$listenname] ["beleg"], "$tblbelege.id" );

// Projektfilter
$sQueryFilterProjekt = filter_multiselect_return_query ( $filter [$listenname] ["projekt"], "$tblartikelstueck.fiProjekt" );

// Projektfilter verkaufte Stck
$sQueryFilterVerkauftProjekt = filter_multiselect_return_query ( $filter [$listenname] ["projekt"], "$tblbelege.fiProjekt" );

// Datumsbereich
if ($filter [$target] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$target] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$sQueryDatumFilter .= " and (dtAnzeigeDatum <> '2030-01-01' and to_days(dtAnzeigeDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
		$sQueryDatumRechnungFilter .= " and (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$sQueryDatumFilter .= " and (dtAnzeigeDatum <> '2030-01-01' and to_days(dtAnzeigeDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
		$sQueryDatumRechnungFilter .= " and (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
	}
}

// Belegstatusfilter
if (is_array ( $filter [$listenname] ["belegstatus"] )) {
	$sQueryFilterBelegstatus .= filter_multiselect_return_query ( $filter [$listenname] ["belegstatus"], "$tblbelege.fiStatus" );
} else {
	$sQueryFilterBelegstatus .= " and $tblbelege.fiStatus < 900 ";
}

$fSummeEingekauft = 0.00;
$fSummeVerkauft = 0.00;
$fSummeWarenwert = 0.00;
$fVerkauftAnzahl = 0;
$fWarenwertAnzahl = 0;
$fEingekauftAnzahl = 0;

// $sQueryEingekauft = "SELECT SUM($tblartikelstueck.dtPreisEK) AS summe, COUNT(id) AS anzahl FROM $tblartikelstueck WHERE $tblartikelstueck.fiArtikel = '" . $id . "'" . $sQueryFilterLieferant . $sQueryFilterProjekt;
$sQueryEingekauft = "SELECT $tblartikelstueck.dtStueckMenge, $tblartikelstueck.dtPreisEK FROM $tblartikelstueck LEFT JOIN $tblbelege ON $tblartikelstueck.fibeleg = $tblbelege.id WHERE $tblartikelstueck.fiArtikel IN (" . $sArtikelIDs . ")" . $sQueryFilterLieferant . $sQueryDatumRechnungFilter;
$aListeEingekauft = get_table_array ( $sQueryEingekauft );

foreach ( ( array ) $aListeEingekauft as $key => $aEingekauft ) {
	$fEingekauftAnzahl += $aEingekauft ["dtStueckMenge"];
	$fSummeEingekauft += $aEingekauft ["dtStueckMenge"] * $aEingekauft ["dtPreisEK"];
}

// wenn EK Berechnung anders sein soll als durch dtPreisEK, dann hier die entsprechende Funktion aufrufen und mit Anzahl multiplizieren

$sQueryVerkauft = "SELECT $tblbelegmaterialposten.dtMenge, $tblbelegmaterialposten.dtPreisNetto FROM $tblbelege LEFT JOIN $tblbelegmaterialposten ON $tblbelegmaterialposten.fiBeleg = $tblbelege.id WHERE $tblbelegmaterialposten.fiArtikel IN (" . $sArtikelIDs . ")" . $sQueryFilterBeleg . $sQueryFilterBelegstatus . $sQueryFilterKunde . $sQueryFilterVerkauftProjekt . $sQueryDatumFilter;
$aListeVerkauft = get_table_array ( $sQueryVerkauft );

foreach ( ( array ) $aListeVerkauft as $key => $cpVerkauft ) {
	$fVerkauftAnzahl += $cpVerkauft ["dtMenge"];
	$fSummeVerkauft += $cpVerkauft ["dtMenge"] * $cpVerkauft ["dtPreisNetto"];
}

// left join auf tblBelege
// Datumsfilter beachten
// Belegstatus beachten (Belegstatusfilter einbauen)
// Anzahl und Summenberechnung wie oben

// berechnung passt nicht bei Massengtern!
// COUNT(id) ersetzten durch sum(dtStueckMenge)
// Anzahl und Summenberechnung wie oben
$sQueryWarenwert = "SELECT $tblartikelstueck.dtStueckMenge, $tblartikelstueck.dtPreisEK FROM $tblartikelstueck WHERE $tblartikelstueck.fiArtikel IN (" . $sArtikelIDs . ") AND $tblartikelstueck.fiProjekt = 0 AND $tblartikelstueck.fiBeleg = 0 AND $tblartikelstueck.fiBelegVerbrauch = 0 AND $tblartikelstueck.fiArtikelStueckVerbrauch = 0";
$aListeWarenwert = get_table_array ( $sQueryWarenwert );

foreach ( ( array ) $aListeWarenwert as $key => $cpWarenwert ) {
	$fWarenwertAnzahl += $cpWarenwert ["dtStueckMenge"];
	$fSummeWarenwert += $cpWarenwert ["dtStueckMenge"] * $cpWarenwert ["dtPreisEK"];
}

echo "<div style=\"height: 580px; overflow: auto\">";
echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td class=\"formularrahmen_oben\" colspan=10></td></tr>";

echo "<tr><td valign=\"top\"><br></td></tr>";
echo "<tr><td valign=\"top\"><br></td></tr>";

echo "<tr><td valign=\"top\" width=250></td>";
echo "<td width=110>Anzahl</td>";
echo "<td width=110>Summe</td>";
echo "<td width=110>berschu&szlig;</td>";
echo "<td> </td></tr>";

echo "<tr><td valign=\"top\">Eingekaufte Stck</td><td nowrap>";
echo input_text ( "Anzahl", "endbetrag", mengenfeld ( $fEingekauftAnzahl ), "input_text_100", "readonly", "text-align: right" );
echo "</td><td>";
echo input_text ( "Summe", "endbetrag", preis_from_sql ( $fSummeEingekauft ), "input_text_100", "readonly", "text-align: right" );
echo "</td><td>";
echo "</td></tr>";

echo "<tr><td valign=\"top\">Verkaufte Stck</td><td nowrap>";
echo input_text ( "Anzahl", "endbetrag", mengenfeld ( $fVerkauftAnzahl ), "input_text_100", "readonly", "text-align: right" );
echo "</td><td>";
echo input_text ( "Summe", "endbetrag", preis_from_sql ( $fSummeVerkauft ), "input_text_100", "readonly", "text-align: right" );
echo "</td><td>";
echo input_text ( "Ueberschuss", "endbetrag", preis_from_sql ( $fSummeVerkauft - $fSummeEingekauft ), "input_text_100", "readonly", "text-align: right" );
echo "</td></tr>";

echo "<tr><td valign=\"top\">Warenwert Lagerbestand</td><td nowrap>";
echo input_text ( "Anzahl", "endbetrag", mengenfeld ( $fWarenwertAnzahl ), "input_text_100", "readonly", "text-align: right" );
echo "</td><td>";
echo input_text ( "Summe", "endbetrag", preis_from_sql ( $fSummeWarenwert ), "input_text_100", "readonly", "text-align: right" );
echo "</td><td>";
echo "</td></tr>";

echo "<tr><td valign=\"top\"><br></td></tr>";
echo "<tr><td class=\"formularrahmen_unten\" colspan=10></td></tr>";
echo "</table>";

echo "</div>";

?>