<?php
// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["artikelliste"];
$anzahl_gesamt = get_table_count_complete ( $tblartikel );

// nur die Projekte dieses Contents anzeigen
if ($field ["fiArtikel"] != ";") {
	$contentartikel_array = explode ( ";", $field ["fiArtikel"] );
	$query .= " and ( 0=1 ";
	foreach ( ( array ) $contentartikel_array as $key => $artikelid ) {
		if ($artikelid != "") {
			$query .= " or $tblartikel.id = " . $artikelid . " ";
		}
	}
	$query .= " ) ";
} else {
	$query .= " and 2=4 ";
}

// Warengruppenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["warengruppe"], "$tblartikel.fiWarengruppe" );

// Lieferantenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["lieferant"], "$tblartikellieferanten.fiLieferant" );

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblartikel,
		$tblwarengruppen 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

/*
 * Zur Darstellung der VK Preise
 */

$query = $sql_query ["preisgruppenliste"];

$field_preisgruppen_array = get_table_array ( $query );
foreach ( ( array ) $field_preisgruppen_array as $key => $value ) {
	$preisgruppen_array [$value ["PreisGruppen_id"]] = $value;
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		$query_auflager = "SELECT count(id) as Anzahl FROM tblArtikelStueck WHERE `fiProjekt` = 0 AND `fiBeleg` = 0 AND `fiBelegVerbrauch` = 0 and fiArtikelStueckVerbrauch = 0 and `fiArtikel` = " . $liste [$listenzeile_id] ["Artikel_id"];
		$query_eingekauft = "SELECT count(id) as Anzahl FROM tblArtikelStueck WHERE `fiArtikel` = " . $liste [$listenzeile_id] ["Artikel_id"];
		$row_auflager = get_table_row ( $query_auflager );
		$row_eingekauft = get_table_row ( $query_eingekauft );
		
		// +++++++++++ Cache
		$cache = CacheListe_getFromCache ( $target, $typ, $liste [$listenzeile_id] ["Artikel_id"], $tblartikel, $liste [$listenzeile_id] );
		if ($cache !== false) {
			$liste_output [$listenzeile_id] = $cache;
			$liste_output [$listenzeile_id] ["dtAnz"] = "<span title=\"Auf Lager / Eingekauft\">" . $row_auflager ["Anzahl"] . " / " . $row_eingekauft ["Anzahl"] . "</span>";
			
			continue;
		}
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$target] ["textfilter"] );
		
		$liste_output [$listenzeile_id] ["dtAnz"] = "<span title=\"Auf Lager / Eingekauft\">" . $row_auflager ["Anzahl"] . " / " . $row_eingekauft ["Anzahl"] . "</span>";
		$liste_output [$listenzeile_id] ["dtVK"] = "</div><div style='text-align: right;'>" . preis_from_sql ( $liste_output [$listenzeile_id] ["dtPreisVK1"] ) . "&nbsp;";
		
		/*
		 * Info Box VK Preise Anfang
		 */
		$liste_output [$listenzeile_id] ["dtVK"] .= aufzuklappbutton ( $liste [$listenzeile_id] ["Artikel_id"], "" );
		$liste_output [$listenzeile_id] ["dtVK"] .= "<div style=\"position: absolute;\">";
		$liste_output [$listenzeile_id] ["dtVK"] .= "<div style=\"position: relative; display:none; z-index:350;\" id='" . $liste [$listenzeile_id] ["Artikel_id"] . "' class=\"" . $historyboxclass . "\" onClick=\"this.style.display = 'none';\" >";
		$liste_output [$listenzeile_id] ["dtVK"] .= "<table border=0 cellspacing=5 cellpadding=0 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
		
		for($i = 1; $i <= 5; $i ++) {
			if ($preisgruppen_array [$i] ["dtBezeichnung"] != "") {
				$vkpreis_text [$i] = "VK Preis $i (" . $preisgruppen_array [$i] ["dtBezeichnung"] . ")";
			} else {
				$vkpreis_text [$i] = "VK Preis $i";
			}
		}
		
		for($i = 1; $i <= 5; $i ++) {
			$liste_output [$listenzeile_id] ["dtVK"] .= formular_text ( $vkpreis_text [$i], "dtPreisVK" . $i, preis_from_sql ( $liste_output [$listenzeile_id] ["dtPreisVK" . $i] ), "input_text_100", "readonly", "text-align: right;" );
			$liste_output [$listenzeile_id] ["dtVK"] .= "</tr><tr>";
		}
		
		$liste_output [$listenzeile_id] ["dtVK"] .= formular_text ( "Mwst Satz VK", "dtMwstSatzVK", double_from_sql ( $liste_output [$listenzeile_id] ["dtMwstSatzVK"], 0 ), "input_text_100", "readonly", "text-align: right;" );
		
		$liste_output [$listenzeile_id] ["dtVK"] .= "</table></div></div></div>";
		/*
		 * Info Box VK Preise Ende
		 */
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Artikel_id"], "lagerartikel", $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschensubbutton ( $target, $typ, $id, $subtarget, $liste [$listenzeile_id] ["Artikel_id"], $benutzerrechte, "", "lschen", "Diese Zuordnung entfernen" );
		
		// +++++++++++ Cache
		CacheListe_writeIntoCache ( $target, $typ, $liste [$listenzeile_id] ["Artikel_id"], $tblartikel, $listenzeile, $liste_output [$listenzeile_id] );
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>