<?php
$fid = $field ["id"];

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";

echo "<tr>";
echo "<td valign=\"top\" style=\"width:400px;\"><b>" . $field ["id"] . ". " . $field ["dtVarname"] . "</b></td><td valign=\"top\">" . nl2br ( $field ["dtBeschreibung"] ) . "</td>";
echo "</tr><tr>";

switch ($field ["dtTyp"]) {
	case CONFIG_TYP_INT :
		echo formular_text ( "Wert", "dtValue__$fid", $field ["dtValue"], "input_text_50", "", "text-align: right;" );
		break;
	
	case CONFIG_TYP_DOUBLE :
		echo formular_text ( "Wert", "dtValue__$fid", double_from_sql ( $field ["dtValue"], 2 ), "input_text_50", "", "text-align: right;" );
		break;
	
	case CONFIG_TYP_ARRAY :
		$array_value = unserialize ( $field ["dtValue"] );
		echo "<td valign=\"top\">Wert</td><td valign=\"top\"><nobr>";
		
		foreach ( ( array ) $array_value as $aid => $aval ) {
			echo input_text ( "", "dtKey__" . $fid . "[]", $aid, "input_text_100" );
			echo input_text ( "", "dtValue__" . $fid . "[]", $aval, "input_text_300" ) . "<br>";
		}
		
		for($i = 0; $i < 3; $i ++) {
			echo input_text ( "", "dtKey__" . $fid . "[]", "", "input_text_100" );
			echo input_text ( "", "dtValue__" . $fid . "[]", "", "input_text_300" ) . "<br>";
		}
		
		echo "</nobr></td>";
		break;
	
	case CONFIG_TYP_ARRAY_CHECKBOX :
		$array_value = unserialize ( $field ["dtValue"] );
		echo "<td valign=\"top\">Wert</td><td valign=\"top\"><nobr>";
		
		$i = 0;
		
		foreach ( ( array ) $array_value as $aid => $aval ) {
			echo input_text ( "", "dtKey__" . $fid . "[" . $i . "]", $aid, "input_text_150", "readonly" );
			echo input_hidden ( "dtValue__" . $fid . "[" . $i . "]", 0 );
			echo input_checkbox ( "Aktivieren?", "dtValue__" . $fid . "[" . $i . "]", $aval ) . "<br>";
			$i ++;
		}
		
		echo "</nobr></td>";
		break;
	
	case CONFIG_TYP_ARRAY_NOINDEX :
		$array_value = unserialize ( $field ["dtValue"] );
		echo "<td valign=\"top\">Wert</td><td>";
		foreach ( ( array ) $array_value as $aid => $aval ) {
			echo input_text ( "", "dtValue__" . $fid . "[]", $aval, "input_text_300" ) . "<br>";
		}
		
		for($i = 0; $i < 3; $i ++) {
			echo input_text ( "", "dtValue__" . $fid . "[]", "", "input_text_300" ) . "<br>";
		}
		echo "</td>";
		break;
	
	case CONFIG_TYP_TEXT :
		echo formular_text ( "Wert", "dtValue__$fid", $field ["dtValue"], "input_text_400" );
		break;
		
	case CONFIG_TYP_PASSWORD : 
		echo formular_passwd ( "Wert", "dtValue__$fid", $field ["dtValue"], "input_text_400" );
		break;
	
	case CONFIG_TYP_BOOL :
		echo "<input type=\"hidden\" name=\"dtValue__$fid\" value=\"0\">"; // So werden auch deaktivierte Checkboxen gesendet.
		echo formular_checkbox ( "Wert", "dtValue__$fid", $field ["dtValue"] );
		break;
	
	case CONFIG_TYP_SINGLE_SELECT :
		echo formular_dropdownbox_ajax ( "Wert", $field ["dtZusatzinfo"], "id", "dtValue__$fid", $field ["dtValue"], "dtAnzeige", "input_select_400" );
		break;
	
	case CONFIG_TYP_ZEIT :
		echo formular_text ( "Wert", "dtValue__$fid", $field ["dtValue"], "input_text_50", "onChange='this.value=check_zeit(this.value);'" );
		break;
	
	case CONFIG_TYP_SINGLE_SELECT_ARRAY :
		if (is_array ( $aInhalt = unserialize ( $field ["dtZusatzinfo"] ) ) || is_array ( $aInhalt = $$field ["dtZusatzinfo"] )) {
			echo formular_dropdownbox_array ( "Wert", $aInhalt, "dtValue__$fid", $field ["dtValue"], "input_select_250" );
		}
		
		break;
	
	case CONFIG_TYP_LICENSE :
		$str_split = explode ( "-", chunk_split ( $field ["dtValue"], 7, "-" ) );
		
		echo "<td valign=\"top\">Wert:</td><td valign=\"top\"><nobr>";
		for($i = 0; $i < CONFIG_LICENSE_PARTS; $i ++) {
			if ($i > 0)
				echo " - ";
			
			echo input_text ( "", "dtValue__" . $fid . "[]", $str_split [$i], "input_text_100" );
		}
		
		echo " ";
		
		$modul = substr ( $field ["dtVarname"], strlen ( "lizenz_" ) );
		
		if ($lizenzstatus_hash [$modul]) {
			if ($lizenzstatus_ablauf [$modul] >= time ()) {
				echo "<span style=\"color:#55aa55;\">Lizenz g&uuml;ltig bis " . date ( "d.m.Y", $lizenzstatus_ablauf [$modul] ) . "</span>";
			} else {
				echo "<span style=\"color:#cccc55;\">Lizenz abgelaufen am " . date ( "d.m.Y", $lizenzstatus_ablauf [$modul] ) . "</span>";
			}
		} else {
			if ($$field ["dtVarname"] == "") {
				echo "<span style=\"color:#000;\">keine Lizenz vorhanden</span>";
			} else {
				echo "<span style=\"color:#ff5555;\">Lizenz ung&uuml;ltig</span>";
			}
		}
		
		echo "</nobr></td>";
		break;
	
	case CONFIG_TYP_TEXTLONG :
		echo formular_textarea ( "Wert", "dtValue__$fid", $field ["dtValue"], "input_text_400", "", "height: 200px;" );
		break;
	
	case CONFIG_TYP_TEXTHTML :
		echo formular_textarea ( "Wert", "dtValue__$fid", $field ["dtValue"], "input_text_400 mceEditor", "", "height: 400px;" );
		break;
}

echo "</tr></table>";

?>

