<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

unset ( $field_new ["referer"] );

unset ( $field_new ["mitarbeiter_orig"] );
unset ( $field_new ["datum_tag_orig"] );
unset ( $field_new ["datum_monat_orig"] );
unset ( $field_new ["datum_jahr_orig"] );
unset ( $field_new ["beginnzeit_orig"] );
unset ( $field_new ["endezeit_orig"] );
unset ( $field_new ["anwesendzeit_orig"] );
unset ( $field_new ["pausezeit_orig"] );
unset ( $field_new ["arbeitszeit_orig"] );
unset ( $field_new ["zusatzzeit_orig"] );
unset ( $field_new ["verguetezeit_orig"] );
unset ( $field_new ["einsatzort_orig"] );
unset ( $field_new ["projektzeit_orig"] );
unset ( $field_new ["projektzeit_automanuell_orig"] );
unset ( $field_new ["projekt_orig"] );
unset ( $field_new ["taetigkeit_orig"] );
unset ( $field_new ["stundensatz_orig"] );
unset ( $field_new ["stundensatzgesamt_orig"] );
unset ( $field_new ["stundensatz_automanuell_orig"] );
unset ( $field_new ["bemerkung_orig"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
$field_new ["dtProjektzeitAutoManuell"] = ( int ) $field_new ["dtProjektzeitAutoManuell"];
$field_new ["dtStdSatzAutoManuell"] = ( int ) $field_new ["dtStdSatzAutoManuell"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

if (! check_nozero ( $field_new ["fiMitarbeiter"] ))
	fehlerausgabe ( 3, "Mitarbeiter" );
check_double ( $field_new ["dtProjektzeitDezimal"] );
check_double ( $field_new ["dtStdSatz"] );

$field_new ["dtDatum"] = concat_date ( $field_new ["datum_tag"], $field_new ["datum_monat"], $field_new ["datum_jahr"] );

$field_new ["dtBeginnZeit"] = time_to_sql ( $field_new ["dtBeginnZeit"] );
$field_new ["dtEndeZeit"] = time_to_sql ( $field_new ["dtEndeZeit"] );
$field_new ["dtAnwesendZeit"] = time_to_sql ( $field_new ["dtAnwesendZeit"] );
$field_new ["dtPauseZeit"] = time_to_sql ( $field_new ["dtPauseZeit"] );
$field_new ["dtArbeitsZeit"] = time_to_sql ( $field_new ["dtArbeitsZeit"] );
$field_new ["dtZusatzZeit"] = time_to_sql ( $field_new ["dtZusatzZeit"] );
$field_new ["dtVergueteZeit"] = time_to_sql ( $field_new ["dtVergueteZeit"] );

$field_new ["dtProjektzeitDezimal"] = double_to_sql ( $field_new ["dtProjektzeitDezimal"] );

if ($field_new ["dtStdSatzAutoManuell"] == 1) {
	$field_new ["dtStdSatz"] = stundensatz_zu_projektzeit ( $field_new ["fiMitarbeiter"], $field_new ["fiProjekt"] );
} else {
	$field_new ["dtStdSatz"] = preis_to_sql ( $field_new ["dtStdSatz"] );
}

unset ( $field_new ["teilzeit"] );
unset ( $field_new ["standardstdsatz"] );
unset ( $field_new ["dtKontaktDDText"] );
unset ( $field_new ["dtProjektDDText"] );
unset ( $field_new ["dtTaetigkeitDDText"] );
unset ( $field_new ["dtStdSatzGesamt"] );

// ++++ prfe, ob Datum ein Feiertag ist und setze ggf Bemerkung und MatCode
$test_feiertag = check_feiertag ( $field_new ["datum_tag"], $field_new ["datum_monat"], $field_new ["datum_jahr"] );
if ($test_feiertag != "") {
	if ($field_new ["dtBemerkungProjektzeit"] == "") {
		$field_new ["dtBemerkungProjektzeit"] = "Feiertag! $test_feiertag - " . $field_new ["dtBemerkungProjektzeit"];
	} else {
		$field_new ["dtBemerkungProjektzeit"] = "Feiertag! $test_feiertag";
	}
	if ($field_new ["fiTaetigkeit"] == 0 or $field_new ["fiTaetigkeit"] == "") {
		$field_new ["fiTaetigkeit"] = $standard_taetigkeit_feiertag;
	}
}
unset ( $field_new ["datum_tag"] );
unset ( $field_new ["datum_monat"] );
unset ( $field_new ["datum_jahr"] );

// +++++++++++ Ermittle Sollzeit fr diesen Tag
$sollzeit = get_sollzeit ( $field_new ["fiMitarbeiter"], $field_new ["fiTaetigkeit"], $field_new ["dtDatum"] );
if ($field_new ["dtBemerkungProjektzeit"] == "") {
	$field_new ["dtBemerkungProjektzeit"] = $sollzeit [1];
}
if ($field_new ["dtBemerkungArbeitszeit"] == "") {
	$field_new ["dtBemerkungArbeitszeit"] = $sollzeit [1];
}
$field_new ["dtSollzeit"] = double_to_sql ( $sollzeit [0] );

$field_new ["dtProjektzeitDezimalBericht"] = $field_new ["dtProjektzeitDezimal"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz
$id = insert_into_table ( $tblprojektzeiten, $field_new );

?>
