<?php

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Layout Infos
$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.dtDokumentName = '" . $listenlayout . "'";
$field = get_table_row ( $query );

$layout_vorlagen_ersteseite = unserialize ( $field ["dtVorlagenErsteSeite"] );
$layout_vorlagen_folgeseiten = unserialize ( $field ["dtVorlagenFolgeSeiten"] );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Definiere Seitenrnder
$typ = "seitenraender";
include ("$functionsordner/function_pdf.php");

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge neues PDF Dokument
$pdf = new PDF ();
$pdf->new_document ( $field ["dtDokumentName"], $ausrichtung );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge Kopf

$pdf->SetTextColor ( 0 );
$pdf->SetFont ( "Arial", '', 24 );
$pdf->SetXY ( 90, 13 );
$pdf->Cell ( 80, 24, "Eingangsrechnung", 0, 1, "L" );

$pdf->SetDrawColor ( 0, 0, 0 );
$pdf->SetLineWidth ( 0.7 );
$pdf->Line ( 30, 30, 190, 30 );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ eruzeuge Formular
$printzeile = 0;
$offset = 40;
$zeilenhoehe = 5;

$pdf->SetTextColor ( 0 );
$pdf->SetFont ( "Arial", '', 10 );

$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
$pdf->Cell ( 60, 15, "Rechnung Nr Intern:", 0, 1, "L" );
$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
$pdf->Cell ( 110, 15, $field_document ["dtRechnungNrIntern"], 0, 1, "L" );
$printzeile ++;

$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = '" . $field_document ["fiLieferant"] . "'";
$field_sub = get_table_row ( $query );
$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
$pdf->Cell ( 60, 15, "Lieferant:", 0, 1, "L" );
$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
$pdf->Cell ( 110, 15, $field_sub ["dtKontaktDDText2"], 0, 1, "L" );
$printzeile ++;

$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
$pdf->Cell ( 60, 15, "Rechnung Nr Extern:", 0, 1, "L" );
$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
$pdf->Cell ( 110, 15, $field_document ["dtRechnungNrExtern"], 0, 1, "L" );
$printzeile ++;

$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
$pdf->Cell ( 60, 15, "Rechnungsdatum:", 0, 1, "L" );
$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
$pdf->Cell ( 110, 15, date_from_sql ( $field_document ["dtRechnungDatum"] ), 0, 1, "L" );
$printzeile ++;

$query = $sql_query ["rechnungstatusliste"] . " and $tblrechnungstatus.id = '" . $field_document ["fiStatus"] . "'";
$field_sub = get_table_row ( $query );
$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
$pdf->Cell ( 60, 15, "Status:", 0, 1, "L" );
$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
$pdf->Cell ( 110, 15, $field_sub ["dtRechnungStatus"], 0, 1, "L" );
$printzeile ++;
$printzeile ++;

$pdf->SetLineWidth ( 0.1 );
$pdf->Line ( 20, $offset + ($zeilenhoehe * ($printzeile + 1.5)), 190, $offset + ($zeilenhoehe * ($printzeile + 1.5)) );
$printzeile ++;
$printzeile ++;

// ++++++++++++++++++++++++++++++++
// +++++++++++ Rechnungsposten

$query = $sql_query ["rechnungpostenliste"] . " and $tblrechnungen.id = " . $id;
$query .= " order by $tblrechnungposten.id desc";

$anzahl_gesamt = get_table_count ( $query );
$liste = get_table_array ( $query );

if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		if ($offset + ($zeilenhoehe * $printzeile) > 220) {
			
			// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			// ++++ erzeuge Fu
			$pdf->SetTextColor ( 0 );
			$pdf->SetFont ( "Arial", '', 8 );
			$pdf->SetXY ( 20, 275 );
			$pdf->Cell ( 80, 15, "Ausgabe 02/08 Rev: 1   |   F xxx", 0, 1, "L" );
			
			// ++++ seitenweise Ausgabe des PDF
			$pdf->Output ( $dateiname . ($seite ++) . ".pdf" );
			
			// ++++ erzeuge nchste Seite
			$pdf = new PDF ();
			$pdf->new_document ( $field ["dtDokumentName"], $ausrichtung );
			
			// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			// ++++ erzeuge Kopf
			$pdf->SetTextColor ( 0 );
			$pdf->SetFont ( "Arial", '', 24 );
			$pdf->SetXY ( 87, 13 );
			$pdf->Cell ( 80, 24, "Eingangsrechnung", 0, 1, "L" );
			
			$pdf->SetDrawColor ( 0, 0, 0 );
			$pdf->SetLineWidth ( 0.7 );
			$pdf->Line ( 30, 30, 190, 30 );
			
			// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			// ++++ eruzeuge Formular
			$printzeile = 0;
			$offset = 32;
			$zeilenhoehe = 5;
			
			$pdf->SetTextColor ( 0 );
			$pdf->SetFont ( "Arial", '', 10 );
		}
		
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Artikel Nr.:", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 110, 15, $listenzeile ["dtArtikelNr"], 0, 1, "L" );
		$printzeile ++;
		
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Artikel:", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 110, 15, $listenzeile ["dtArtikelBezeichnung"], 0, 1, "L" );
		$printzeile ++;
		
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Fabrikat:", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 110, 15, $listenzeile ["dtArtikelFabrikat"], 0, 1, "L" );
		$printzeile ++;
		
		$query = $sql_query ["artikeleinheitenliste"] . " and $tblartikeleinheiten.id = '" . $listenzeile ["fiEinheit"] . "'";
		$field_sub = get_table_row ( $query );
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Einheit:", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 110, 15, $field_sub ["dtEinheit"], 0, 1, "L" );
		$printzeile ++;
		
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Mwst.:", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 110, 15, double_from_sql ( $listenzeile ["dtMwstSatz"], 0 ) . " %", 0, 1, "L" );
		$printzeile ++;
		
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Preis (netto):", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 110, 15, preis_from_sql ( $listenzeile ["dtPreisNetto"], "PDF" ), 0, 1, "L" );
		$printzeile ++;
		
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Preis (brutto):", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 110, 15, preis_from_sql ( ($listenzeile ["dtPreisNetto"] + ($listenzeile ["dtPreisNetto"] / 100 * $listenzeile ["dtMwstSatz"])), "PDF" ), 0, 1, "L" );
		$printzeile ++;
		$printzeile ++;
		
		// zeige Projektzuordnung und Kontoart zu jedem Posten
		$query = "select $tblartikelstueck.id, $tblartikelstueck.fiProjekt, $tblartikelstueck.fiProjektTaetigkeit ";
		$query .= "from $tblartikelstueck, $tblartikel where $tblartikelstueck.fiArtikel = $tblartikel.id ";
		$query .= "and $tblartikelstueck.fiRechnung = '" . $id . "' and $tblartikel.dtEigeneArtikelNr = '" . $listenzeile ["dtArtikelNr"] . "' ";
		$query .= "and $tblartikel.dtArtikel = '" . $listenzeile ["dtArtikelBezeichnung"] . "' and $tblartikel.dtFabrikat = '" . $listenzeile ["dtArtikelFabrikat"] . "' ";
		$field_artikelstueck = get_table_row ( $query );
		
		$query = $sql_query ["projektliste"] . " and $tblprojekte.id = '" . $field_artikelstueck ["fiProjekt"] . "'";
		$field_sub = get_table_row ( $query );
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Projekt:", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 110, 15, $field_sub ["dtProjektDDText"], 0, 1, "L" );
		$printzeile ++;
		
		$query = $sql_query ["taetigkeitenliste"] . " and $tbltaetigkeiten.id = '" . $field_artikelstueck ["fiProjektTaetigkeit"] . "'";
		$field_sub = get_table_row ( $query );
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Kontoart:", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 110, 15, $field_sub ["dtTaetigkeitDDText"], 0, 1, "L" );
		$printzeile ++;
		
		$query = "select dtZusatz1Wert from $tblprojekte WHERE id = " . $field_artikelstueck ["fiProjekt"];
		$field_sub = get_table_row ( $query );
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Verursacher/Kostentrger:", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 110, 15, $field_sub ["dtZusatz1Wert"], 0, 1, "L" );
		$printzeile ++;
		$printzeile ++;
		
		$query = "select * from $tblrechnungposten where id = " . $listenzeile ["RechnungPosten_id"];
		$listenzeile_zusatzwerte = get_table_row ( $query );
		
		$freigabe_technik_array = unserialize ( $listenzeile_zusatzwerte ["dtZusatz1Wert"] );
		$query = $sql_query ["kontaktliste"] . "and $tblkontakte.id = '" . $freigabe_technik_array ["mitarbeiter"] . "'";
		$field_sub = get_table_row ( $query );
		
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Freigabe Technik:", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 40, 15, date_from_sql ( $freigabe_technik_array ["datum"] ), 0, 1, "L" );
		$pdf->SetXY ( 120, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 70, 15, $field_sub ["dtKontaktDDText"], 0, 1, "L" );
		$printzeile ++;
		
		$freigabe_produktion_array = unserialize ( $listenzeile_zusatzwerte ["dtZusatz2Wert"] );
		$query = $sql_query ["kontaktliste"] . "and $tblkontakte.id = '" . $freigabe_produktion_array ["mitarbeiter"] . "'";
		$field_sub = get_table_row ( $query );
		
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Freigabe Produktion:", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 40, 15, date_from_sql ( $freigabe_produktion_array ["datum"] ), 0, 1, "L" );
		$pdf->SetXY ( 120, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 70, 15, $field_sub ["dtKontaktDDText"], 0, 1, "L" );
		$printzeile ++;
		
		$erledigt_wkzbau_array = unserialize ( $listenzeile_zusatzwerte ["dtZusatz6Wert"] );
		$query = $sql_query ["kontaktliste"] . "and $tblkontakte.id = '" . $erledigt_wkzbau_array ["mitarbeiter"] . "'";
		$field_sub = get_table_row ( $query );
		
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Erledigt Werkzeugbau:", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 40, 15, date_from_sql ( $erledigt_wkzbau_array ["datum"] ), 0, 1, "L" );
		$pdf->SetXY ( 120, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 70, 15, $field_sub ["dtKontaktDDText"], 0, 1, "L" );
		$printzeile ++;
		
		$erledigt_einkauf_array = unserialize ( $listenzeile_zusatzwerte ["dtZusatz3Wert"] );
		$query = $sql_query ["kontaktliste"] . "and $tblkontakte.id = '" . $erledigt_einkauf_array ["mitarbeiter"] . "'";
		$field_sub = get_table_row ( $query );
		
		$pdf->SetXY ( 20, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 60, 15, "Erledigt Buchhaltung:", 0, 1, "L" );
		$pdf->SetXY ( 80, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 40, 15, date_from_sql ( $erledigt_einkauf_array ["datum"] ), 0, 1, "L" );
		$pdf->SetXY ( 120, $offset + ($zeilenhoehe * $printzeile) );
		$pdf->Cell ( 70, 15, $field_sub ["dtKontaktDDText"], 0, 1, "L" );
		$printzeile ++;
		$printzeile ++;
		
		$pdf->SetLineWidth ( 0.1 );
		$pdf->Line ( 20, $offset + ($zeilenhoehe * ($printzeile + 1.5)), 190, $offset + ($zeilenhoehe * ($printzeile + 1.5)) );
		$printzeile ++;
		$printzeile ++;
	}
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge Fu

$pdf->SetTextColor ( 0 );
$pdf->SetFont ( "Arial", '', 8 );
$pdf->SetXY ( 20, 275 );
$pdf->Cell ( 80, 15, "Ausgabe 02/08 Rev: 1   |   F xxx", 0, 1, "L" );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ PDF erzeugen
$pdf->Output ( $dateiname . ($seite ++) . ".pdf" );
$pdf->Close ();

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge ggf. Seiten mit Seitenzahl-Feld fr alle Seiten
if ($field ["dtSeitenzahlfeldVorhanden"] == 1) {
	create_seitenzahlseiten ( $field ["dtSeitenzahlfeldText"], $ausrichtung, $field ["dtSeitenzahlfeldLinks"], $field ["dtSeitenzahlfeldOben"], $seitenbreite - $field ["dtSeitenzahlfeldLinks"] - $field ["dtSeitenzahlfeldRechts"], $field ["dtSeitenzahlfeldSchriftArt"], $field ["dtSeitenzahlfeldSchriftGroesse"] );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hinzufgen des Layouts und zusammenfhren aller Seiten
$output_filename = create_document ( $layout_vorlagen_ersteseite, $layout_vorlagen_folgeseiten );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Ausgabe des PDF im Browser durch Reload der Seite
output_reload ( $output_filename );

?>