<?php
include ("check.class.php");
if (! class_exists ( "xml" )) {
	class xml {
		protected $aData = Array ();
		private $cCheck;
		function __construct($aCData) {
			$this->aData = $aCData;
			$this->cCheck = new check ();
		}
		public function createXml($sName, $sXmlName) {
			$writer = new XMLWriter ();
			$writer->openURI ( $sXmlName );
			$writer->startDocument ( "1.0", "UTF-8" );
			$writer->startElement ( "ObjectList" );
			$writer->startElement ( "FileObject" );
			$writer->startElement ( "Update" );
			$writer->text ( utf8_encode ( $sName ) );
			$writer->endElement ();
			$writer->startElement ( 'UpdateExtendedAttributes' );
			$sCData = "";
			
			foreach ( $this->aData as $cpDataKey => $cpDataValue ) {
				foreach ( $cpDataValue as $ccpDataKey => $ccpDataValue ) {
					$ccpDataValue = $this->cCheck->checkDataType ( $ccpDataKey, $ccpDataValue );
					
					if ($ccpDataValue === FALSE)
						continue;
					
					if (is_array ( $ccpDataValue )) {
						$sFormat = "Format='" . key ( $ccpDataValue ) . "'";
						$ccpDataValue = $ccpDataValue [key ( $ccpDataValue )];
					} else
						$sFormat = "";
					
					$sCData .= "<" . $cpDataKey . " DataType='" . $ccpDataKey . "' " . $sFormat . ">" . utf8_encode ( $ccpDataValue ) . "</" . $cpDataKey . ">";
				}
			}
			
			$writer->writeCData ( $sCData );
			$writer->endElement ();
			$writer->endElement ();
			$writer->endElement ();
			$writer->endDocument ();
			$this->saveXml ( $writer );
		}
		public function readXml() {
		}
		private function saveXml($oWriter) {
			$oWriter->flush ();
		}
	}
}

?>
