<?php

// Pfad zu include Dateien bestimmen
file_exists ( "config/" ) ? $include_prefix = "" : $include_prefix = "../";

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if ($typ == "seitenraender") {
	
	if ($field ["dtAusrichtung"] == 0) {
		$ausrichtung = "P";
		$seitenhoehe = 297;
		
		if ($_GET ["liste_output"] == "pdf" && $_GET ["format"] == "hoch" && $_GET ["typ"] = "list")
			$seitenbreite = 222;
		else
			$seitenbreite = 210;
	} else {
		$ausrichtung = "L";
		$seitenhoehe = 210;
		$seitenbreite = 297;
	}
	;
	
	$rand_oben_p1 = $field ["dtDruckbereichObenErsteSeite"];
	$rand_unten_p1 = $field ["dtDruckbereichUntenErsteSeite"];
	$rand_links_p1 = $field ["dtDruckbereichLinksErsteSeite"];
	$rand_rechts_p1 = $field ["dtDruckbereichRechtsErsteSeite"];
	
	$druckhoehe_p1 = $seitenhoehe - $rand_oben_p1 - $rand_unten_p1;
	$druckbreite_p1 = $seitenbreite - $rand_links_p1 - $rand_rechts_p1;
	
	$rand_oben = $field ["dtDruckbereichObenFolgeSeiten"];
	$rand_unten = $field ["dtDruckbereichUntenFolgeSeiten"];
	$rand_links = $field ["dtDruckbereichLinksFolgeSeiten"];
	$rand_rechts = $field ["dtDruckbereichRechtsFolgeSeiten"];
	
	$druckhoehe = $seitenhoehe - $rand_oben - $rand_unten;
	$druckbreite = $seitenbreite - $rand_links - $rand_rechts;
	
	$seite ++;
	$dateiname = $dateipfad . "/" . $tmpoutputordner . "/" . session_id () . "_";
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "create_adressfeld_array" )) {
	function create_adressfeld_array($adressfeld, $schriftgroesse, $schriftart, $titel = "") {
		$adressfeld_zeile = 0;
		
		if (! empty ( $titel )) {
			$adressfeld_textarray [$adressfeld_zeile ++] = $titel;
		}
		
		if ($adressfeld ["Firma"] != "") {
			$adressfeld_textarray [$adressfeld_zeile ++] = $adressfeld ["Firma"];
		}
		;
		
		if ($adressfeld ["Zusatz"] != "") {
			$adressfeld_textarray [$adressfeld_zeile ++] = $adressfeld ["Zusatz"];
		}
		;
		
		if ($adressfeld ["Vorname"] != "" or $adressfeld ["Nachname"] != "") {
			if ($adressfeld ["Anrede"] != "") {
				$adressfeld_textarray [$adressfeld_zeile] = $adressfeld ["Anrede"] . " ";
			}
			;
			if ($adressfeld ["Vorname"] != "") {
				$adressfeld_textarray [$adressfeld_zeile] .= $adressfeld ["Vorname"] . " ";
			}
			;
			if ($adressfeld ["Nachname"] != "") {
				$adressfeld_textarray [$adressfeld_zeile] .= $adressfeld ["Nachname"];
			}
			;
			$adressfeld_zeile ++;
		}
		
		if ($adressfeld ["zHd"] != "") {
			$adressfeld_textarray [$adressfeld_zeile ++] = $adressfeld ["zHd"];
		}
		;
		if ($adressfeld ["Strasse"] != "") {
			$adressfeld_textarray [$adressfeld_zeile ++] = $adressfeld ["Strasse"];
		}
		;
		
		if ($adressfeld ["PLZ"] != "" or $adressfeld ["Ort"] != "") {
			// $adressfeld_textarray[$adressfeld_zeile++] = "";
			if ($adressfeld ["PLZ"] != "") {
				$adressfeld_textarray [$adressfeld_zeile] = $adressfeld ["PLZ"] . " ";
			}
			;
			if ($adressfeld ["Ort"] != "") {
				$adressfeld_textarray [$adressfeld_zeile] .= $adressfeld ["Ort"];
			}
			;
			$adressfeld_zeile ++;
		}
		
		if ($adressfeld ["Land"] != "") {
			$adressfeld_textarray [$adressfeld_zeile ++] = $adressfeld ["Land"];
		}
		;
		
		unset ( $adressfeld );
		foreach ( ( array ) $adressfeld_textarray as $adressfeld_zeile => $adressfeld ) {
			if ($adressfeld != "") {
				$zeilenhoehe_adressfeld = round ( $schriftgroesse / 1.9, 0 );
			} else {
				$zeilenhoehe_adressfeld = round ( $schriftgroesse / 3.8, 0 );
			}
			$adressfeld_array [] = array (
					"text" => $adressfeld,
					"ausrichtung" => "L",
					"schriftart" => $schriftart,
					"schriftgroesse" => $schriftgroesse,
					"zeilenhoehe" => $zeilenhoehe_adressfeld 
			);
		}
		
		return ($adressfeld_array);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "create_adressfeldseite" )) {
	function create_adressfeldseite($array, $ausrichtung, $x, $y, $breite, $hoehe, $seite = 1) {
		global $dateipfad, $tmpoutputordner;
		
		extract ( exportiereKonfiguration () );
		
		$dateiname = $dateipfad . "/" . $tmpoutputordner . "/" . session_id () . "_";
		
		$adressfeldseite = new PDF ();
		$adressfeldseite->Open ();
		$adressfeldseite->AddPage ( $ausrichtung );
		$adressfeldseite->SetAutoPageBreak ( false );
		$adressfeldseite->SetCreator ( 'conceptERP by LW-Systems' );
		$adressfeldseite->SetAuthor ( $_SESSION ['benutzername'] );
		
		$adressfeldseite->adressfeld ( $array, $x, $y, $breite, $hoehe );
		
		$adressfeldseite->Output ( $dateiname . ($seite ++) . "adressfeld.pdf" );
	}
}

if (! function_exists ( "create_adressfeldseite2" )) {
	function create_adressfeldseite2($array, $ausrichtung, $x, $y, $breite, $hoehe) {
		global $dateipfad, $tmpoutputordner;
		
		extract ( exportiereKonfiguration () );
		
		$dateiname = $dateipfad . "/" . $tmpoutputordner . "/" . session_id () . "_";
		
		$seite = 1;
		
		$adressfeldseite = new PDF ();
		$adressfeldseite->Open ();
		$adressfeldseite->AddPage ( $ausrichtung );
		$adressfeldseite->SetAutoPageBreak ( false );
		$adressfeldseite->SetCreator ( 'conceptERP by LW-Systems' );
		$adressfeldseite->SetAuthor ( $_SESSION ['benutzername'] );
		
		$adressfeldseite->adressfeld ( $array, $x, $y, $breite, $hoehe );
		
		$adressfeldseite->Output ( $dateiname . ($seite ++) . "adressfeld2.pdf" );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "create_infofeldseite" )) {
	function create_infofeldseite($array, $ausrichtung, $x, $y, $breite, $hoehe, $seite = 1) {
		include ($GLOBALS ['include_prefix'] . "config/config.php");
		extract ( exportiereKonfiguration () );
		
		$dateiname = $dateipfad . "/" . $tmpoutputordner . "/" . session_id () . "_";
		
		$infoseite = new PDF ();
		$infoseite->Open ();
		$infoseite->AddPage ( $ausrichtung );
		$infoseite->SetAutoPageBreak ( false );
		$infoseite->SetCreator ( 'conceptERP by LW-Systems' );
		$infoseite->SetAuthor ( $_SESSION ['benutzername'] );
		$untere_grenze_infofeld = $infoseite->infofeld ( $array, $x, $y, $breite, $hoehe );
		
		$infoseite->Output ( $dateiname . ($seite ++) . "infofeld.pdf" );
		return ($untere_grenze_infofeld);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "create_infofeld_liste_array" )) {
	function create_infofeld_liste_array($ueberschrift, $schriftart, $schriftgroesse, $listenfilter, $listensortierung, $field_headlines, $show_fields) {
		include ($GLOBALS ['include_prefix'] . "config/config.php");
		extract ( exportiereKonfiguration () );
		
		include ("$functionsordner_custom/function_custom_pre.php");
		include ("$functionsordner/function_filter.php");
		include ("$functionsordner_custom/function_custom_post.php");
		
		$infofeld_array [] = array (
				"text" => "$ueberschrift",
				"ausrichtung" => "L",
				"schriftart" => $schriftart,
				"schriftgroesse" => 18,
				"zeilenhoehe" => 10 
		);

		foreach ( ( array ) $listenfilter as $filtername => $filterwert ) {
			if ($filtername != "datumsfiltertyp") {
				if (($filtername != "datumsbereich" and $filterwert != "") or ($filtername == "datumsbereich" and $filterwert != "01-01-1970-01-01-2030")) {
					if (($filtername != "uhrzeitbereich" and $filterwert != "") or ($filtername == "uhrzeitbereich" and $filterwert != "24-60-24-60")) {
						$filterwerte_klartext = get_filter_werte ( $filtername, $filterwert );
						if ($filterwerte_klartext [0] != "") {
							$infofeld_array [] = array (
									"text1" => $filterwerte_klartext [0] . ": ",
									"text2" => $filterwerte_klartext [1],
									"ausrichtung1" => "L",
									"ausrichtung2" => "R",
									"schriftart" => $schriftart,
									"schriftgroesse" => $schriftgroesse,
									"zeilenhoehe" => round ( $schriftgroesse / 1.9, 0 ) 
							);
						} else {
							$infofeld_array [] = array (
									"text1" => $filtername . ": ",
									"text2" => $filterwert,
									"ausrichtung1" => "L",
									"ausrichtung2" => "R",
									"schriftart" => $schriftart,
									"schriftgroesse" => $schriftgroesse,
									"zeilenhoehe" => round ( $schriftgroesse / 1.9, 0 ) 
							);
						}
					}
				}
			}
		}
		
		if ($listensortierung ["feldname"] != "") {
			$sortierung_string = $field_headlines [array_search ( $listensortierung ["feldname"], $show_fields )];
			if ($listensortierung ["richtung"] == "desc") {
				$sortierung_string .= " (-)";
			} else {
				$sortierung_string .= " (+)";
			}
			
			if ($listensortierung ["feldname2"] != "" and $listensortierung ["feldname2"] != $listensortierung ["feldname"]) {
				$sortierung_string .= " / " . $field_headlines [array_search ( $listensortierung ["feldname2"], $show_fields )];
				if ($listensortierung ["richtung2"] == "desc") {
					$sortierung_string .= " (-)";
				} else {
					$sortierung_string .= " (+)";
				}
			}
			if ($listensortierung ["feldname3"] != "" and $listensortierung ["feldname3"] != $listensortierung ["feldname"] and $listensortierung ["feldname3"] != $listensortierung ["feldname2"]) {
				$sortierung_string .= " / " . $field_headlines [array_search ( $listensortierung ["feldname3"], $show_fields )];
				if ($listensortierung ["richtung3"] == "desc") {
					$sortierung_string .= " (-)";
				} else {
					$sortierung_string .= " (+)";
				}
			}
			
			$infofeld_array [] = array (
					"text1" => "Sortierung: ",
					"text2" => $sortierung_string,
					"ausrichtung1" => "L",
					"ausrichtung2" => "R",
					"schriftart" => $schriftart,
					"schriftgroesse" => $schriftgroesse,
					"zeilenhoehe" => round ( $schriftgroesse / 1.9, 0 ) 
			);
		}
		
		return ($infofeld_array);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "create_barcodefeldseite" )) {
	function create_barcodefeldseite($barcode, $ausrichtung, $x, $y, $breite, $hoehe, $druckezahl = 0) {
		include ($GLOBALS ['include_prefix'] . "config/config.php");
		extract ( exportiereKonfiguration () );
		
		$dateiname = $dateipfad . "/" . $tmpoutputordner . "/" . session_id () . "_";
		
		$seite = 1;
		// while (file_exists($dateiname . $seite . ".pdf")) {
		
		$bcseite = new PDF ();
		$bcseite->Open ();
		$bcseite->AddPage ( $ausrichtung );
		$bcseite->SetAutoPageBreak ( false );
		$bcseite->SetCreator ( 'conceptERP by LW-Systems' );
		$bcseite->SetAuthor ( $_SESSION ['benutzername'] );
		$bcseite->SetFillColor ( 0 );
		
		$barcode_gueltig = $bcseite->CreateRealBarcode ( $barcode, 12 );
		
		$bcseite->EAN13 ( $x, $y, $barcode_gueltig, $druckezahl, $hoehe, $breite / 100 );
		
		$bcseite->Output ( $dateiname . ($seite ++) . "barcode.pdf" );
		
		// }
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "create_datumsfeldseite" )) {
	function create_datumsfeldseite($text, $ausrichtung, $x, $y, $breite, $schriftart, $schriftgroesse, $tag = "", $monat = "", $jahr = "") {
		include ($GLOBALS ['include_prefix'] . "config/config.php");
		extract ( exportiereKonfiguration () );
		
		$dateiname = $dateipfad . "/" . $tmpoutputordner . "/" . session_id () . "_";
		
		if ($tag == "")
			$tag = $akttag;
		if ($monat == "")
			$monat = $aktmonat;
		if ($jahr == "")
			$jahr = $aktjahr;
		
		$seite = 1;
		
		$dtseite = new PDF ();
		$dtseite->Open ();
		$dtseite->AddPage ( $ausrichtung );
		$dtseite->SetAutoPageBreak ( false );
		$dtseite->SetCreator ( 'conceptERP by LW-Systems' );
		$dtseite->SetAuthor ( $_SESSION ['benutzername'] );
		
		$dtseite->datumsfeld ( $text, $x, $y, $breite, $schriftart, $schriftgroesse, $tag, $monat, $jahr );
		
		$dtseite->Output ( $dateiname . ($seite ++) . "datumsfeld.pdf" );
	}
}

if (! function_exists ( "read_seitenzahlen" )) {
	function read_seitenzahlen($array) {
		$iSeitenzahl = 1;
		// ++++ drucke alle Seiten zeilenweise
		for($n = 0; $n < count ( $array ); $n ++) {
			// ++++ Zhle die Seitenumbrche
			if ($array [$n] ["zeilentyp"] == "seitenumbruch") {
				$iSeitenzahl ++;
			}
		}
		$iSeitenzahl ++;
		return $iSeitenzahl;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "create_seitenzahlseiten" )) {
	function create_seitenzahlseiten($text, $ausrichtung, $x, $y, $breite, $schriftart, $schriftgroesse) {
		include ($GLOBALS ['include_prefix'] . "config/config.php");
		extract ( exportiereKonfiguration () );
		
		$dateiname = $dateipfad . "/" . $tmpoutputordner . "/" . session_id () . "_";
		
		$seitenzahl = 1;
		while ( file_exists ( $dateiname . $seitenzahl . ".pdf" ) ) {
			$seitenzahl ++;
		}
		
		$seite = 1;
		while ( file_exists ( $dateiname . $seite . ".pdf" ) ) {
			
			$szseite = new PDF ();
			$szseite->Open ();
			$szseite->AddPage ( $ausrichtung );
			$szseite->SetAutoPageBreak ( false );
			$szseite->SetCreator ( 'conceptERP by LW-Systems' );
			$szseite->SetAuthor ( $_SESSION ['benutzername'] );
			
			$szseite->seitenzahlfeld ( $text, $x, $y, $breite, $schriftart, $schriftgroesse, $seite, ($seitenzahl - 1) );
			
			$szseite->Output ( $dateiname . ($seite ++) . "seitenzahl.pdf" );
		}
		return $seite;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "create_document" )) {
	function create_document($layout_vorlagen_ersteseite, $layout_vorlagen_folgeseiten, $iKopieErstellen = 0) {
		include ($GLOBALS ['include_prefix'] . "config/config.php");
		extract ( exportiereKonfiguration () );
		
		if ($iKopieErstellen == 1)
			$dateiname = $dateipfad . "/" . $tmpoutputordner . "/k" . session_id () . "_";
		else
			$dateiname = $dateipfad . "/" . $tmpoutputordner . "/" . session_id () . "_";
			
			// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			// ++++ lsche output-Seite
		if (file_exists ( $dateiname . "output.pdf" )) {
			unlink ( $dateiname . "output.pdf" );
		}
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ fge Layouts zu erster Seite hinzu
		$seite = 1;
		
		if (file_exists ( $dateiname . $seite . ".pdf" ) && is_array ( $layout_vorlagen_ersteseite )) {
			foreach ( $layout_vorlagen_ersteseite as $vorlage ) {
				$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf background " . $dateipfad . "/" . $vorlagenordner . "/" . $vorlage . " output " . $dateiname . $seite . ".tmp.pdf";
				
				exec ( $pdf_befehl );
				unlink ( $dateiname . $seite . ".pdf" );
				rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
			}
		}
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ fge ggf. Seite mit Adressfeld zu erster Seite hinzu
		if (file_exists ( $dateiname . $seite . ".pdf" ) and file_exists ( $dateiname . $seite . "adressfeld.pdf" )) {
			
			$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf $sPrintLayerMethod " . $dateiname . $seite . "adressfeld.pdf output " . $dateiname . $seite . ".tmp.pdf";
			
			exec ( $pdf_befehl );
			unlink ( $dateiname . $seite . ".pdf" );
			rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
		}
		
		if (file_exists ( $dateiname . $seite . ".pdf" ) and file_exists ( $dateiname . $seite . "adressfeld2.pdf" )) {
			
			$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf $sPrintLayerMethod " . $dateiname . $seite . "adressfeld2.pdf output " . $dateiname . $seite . ".tmp.pdf";
			
			exec ( $pdf_befehl );
			unlink ( $dateiname . $seite . ".pdf" );
			rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
		}
		
		// ++++ fge ggf. Seite mit Datumsfeld zu erster Seite hinzu
		if (file_exists ( $dateiname . $seite . ".pdf" ) and file_exists ( $dateiname . $seite . "datumsfeld.pdf" )) {
			
			$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf $sPrintLayerMethod " . $dateiname . $seite . "datumsfeld.pdf output " . $dateiname . $seite . ".tmp.pdf";
			
			exec ( $pdf_befehl );
			unlink ( $dateiname . $seite . ".pdf" );
			rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
		}
		
		// ++++ fge ggf. Seite mit Infofeld zu erster Seite hinzu
		if (file_exists ( $dateiname . $seite . ".pdf" ) and file_exists ( $dateiname . $seite . "infofeld.pdf" )) {
			
			$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf $sPrintLayerMethod " . $dateiname . $seite . "infofeld.pdf output " . $dateiname . $seite . ".tmp.pdf";
			
			exec ( $pdf_befehl );
			unlink ( $dateiname . $seite . ".pdf" );
			rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
		}
		
		// ++++ fge ggf. Seite mit Barcodefeld zu erster Seite hinzu
		if (file_exists ( $dateiname . $seite . ".pdf" ) and file_exists ( $dateiname . $seite . "barcode.pdf" )) {
			
			$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf $sPrintLayerMethod " . $dateiname . $seite . "barcode.pdf output " . $dateiname . $seite . ".tmp.pdf";
			
			exec ( $pdf_befehl );
			unlink ( $dateiname . $seite . ".pdf" );
			rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
		}
		
		// ++++ fge ggf. Seite mit Seitenzahl zu erster Seite hinzu
		if (file_exists ( $dateiname . $seite . ".pdf" ) and file_exists ( $dateiname . $seite . "seitenzahl.pdf" )) {
			
			$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf $sPrintLayerMethod " . $dateiname . $seite . "seitenzahl.pdf output " . $dateiname . $seite . ".tmp.pdf";
			
			exec ( $pdf_befehl );
			unlink ( $dateiname . $seite . ".pdf" );
			rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
		}
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ fge Layouts zu Folgeseiten hinzu
		$seite ++;
		while ( file_exists ( $dateiname . $seite . ".pdf" ) ) {
			if (is_array ( $layout_vorlagen_folgeseiten )) {
				foreach ( $layout_vorlagen_folgeseiten as $vorlage ) {
					$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf background " . $dateipfad . "/" . $vorlagenordner . "/" . $vorlage . " output " . $dateiname . $seite . ".tmp.pdf";
					
					exec ( $pdf_befehl );
					unlink ( $dateiname . $seite . ".pdf" );
					rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
				}
			}
			
			// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			// ++++ fge ggf. Seite mit Adressfeld zu Folgeseiten hinzu
			if (file_exists ( $dateiname . $seite . ".pdf" ) and file_exists ( $dateiname . $seite . "adressfeld.pdf" )) {
				
				$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf $sPrintLayerMethod " . $dateiname . $seite . "adressfeld.pdf output " . $dateiname . $seite . ".tmp.pdf";
				
				exec ( $pdf_befehl );
				unlink ( $dateiname . $seite . ".pdf" );
				rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
			}
			
			if (file_exists ( $dateiname . $seite . ".pdf" ) and file_exists ( $dateiname . $seite . "adressfeld2.pdf" )) {
				
				$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf $sPrintLayerMethod " . $dateiname . $seite . "adressfeld2.pdf output " . $dateiname . $seite . ".tmp.pdf";
				
				exec ( $pdf_befehl );
				unlink ( $dateiname . $seite . ".pdf" );
				rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
			}
			
			// ++++ fge ggf. Seite mit Datumsfeld zu Folgeseiten hinzu
			if (file_exists ( $dateiname . $seite . ".pdf" ) and file_exists ( $dateiname . $seite . "datumsfeld.pdf" )) {
				
				$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf $sPrintLayerMethod " . $dateiname . $seite . "datumsfeld.pdf output " . $dateiname . $seite . ".tmp.pdf";
				
				exec ( $pdf_befehl );
				unlink ( $dateiname . $seite . ".pdf" );
				rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
			}
			
			// ++++ fge ggf. Seite mit Infofeld zu Folgeseiten hinzu
			if (file_exists ( $dateiname . $seite . ".pdf" ) and file_exists ( $dateiname . $seite . "infofeld.pdf" )) {
				
				$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf $sPrintLayerMethod " . $dateiname . $seite . "infofeld.pdf output " . $dateiname . $seite . ".tmp.pdf";
				
				exec ( $pdf_befehl );
				unlink ( $dateiname . $seite . ".pdf" );
				rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
			}
			
			// ++++ fge ggf. Seite mit Barcodefeld zu Folgeseiten hinzu
			if (file_exists ( $dateiname . $seite . ".pdf" ) and file_exists ( $dateiname . $seite . "barcode.pdf" )) {
				
				$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf $sPrintLayerMethod " . $dateiname . $seite . "barcode.pdf output " . $dateiname . $seite . ".tmp.pdf";
				
				exec ( $pdf_befehl );
				unlink ( $dateiname . $seite . ".pdf" );
				rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
			}
			
			// ++++ fge ggf. Seite mit Seitenzahl zu Folgeseiten hinzu
			if (file_exists ( $dateiname . $seite . ".pdf" ) and file_exists ( $dateiname . $seite . "seitenzahl.pdf" )) {
				
				$pdf_befehl = $pfad_pdftf . " " . $dateiname . $seite . ".pdf $sPrintLayerMethod " . $dateiname . $seite . "seitenzahl.pdf output " . $dateiname . $seite . ".tmp.pdf";
				
				exec ( $pdf_befehl );
				unlink ( $dateiname . $seite . ".pdf" );
				rename ( $dateiname . $seite . ".tmp.pdf", $dateiname . $seite . ".pdf" );
			}
			
			$seite ++;
		}
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ bestimme die Anzahl aller Seiten
		$anzahl_seiten = $seite;
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ lsche temporre Seiten mit Adressfeld
		$seite = 1;
		while ( file_exists ( $dateiname . $seite . "adressfeld.pdf" ) ) {
			unlink ( $dateiname . $seite ++ . "adressfeld.pdf" );
		}
		
		$seite = 1;
		while ( file_exists ( $dateiname . $seite . "adressfeld2.pdf" ) ) {
			unlink ( $dateiname . $seite ++ . "adressfeld2.pdf" );
		}
		
		// ++++ lsche temporre Seiten mit Infofeld
		$seite = 1;
		while ( file_exists ( $dateiname . $seite . "infofeld.pdf" ) ) {
			unlink ( $dateiname . $seite ++ . "infofeld.pdf" );
		}
		
		// ++++ lsche temporre Seiten mit Datumsfeld
		$seite = 1;
		while ( file_exists ( $dateiname . $seite . "datumsfeld.pdf" ) ) {
			unlink ( $dateiname . $seite ++ . "datumsfeld.pdf" );
		}
		
		// ++++ lsche temporre Seiten mit Barcodefeld
		$seite = 1;
		while ( file_exists ( $dateiname . $seite . "barcode.pdf" ) ) {
			unlink ( $dateiname . $seite ++ . "barcode.pdf" );
		}
		
		// ++++ lsche temporre Seiten mit Seitenzahlen
		$seite = 1;
		while ( file_exists ( $dateiname . $seite . "seitenzahl.pdf" ) ) {
			unlink ( $dateiname . $seite ++ . "seitenzahl.pdf" );
		}
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ nehme alle Seiten und sortiere sie richtig
		for($i = 1; $i < $anzahl_seiten; $i ++) {
			$dateinamen_liste .= $dateiname . $i . ".pdf ";
		}
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ fge einzelne Seiten zusammen
		// $pdf_befehl = $pfad_pdftf . " " . $dateiname . "*" . ".pdf cat output " . $dateiname . "output.pdf";
		$pdf_befehl = $pfad_pdftf . " " . $dateinamen_liste . " cat output " . $dateiname . "output.pdf";
		
		exec ( $pdf_befehl );
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ lsche temporre Seiten
		$seite = 1;
		while ( file_exists ( $dateiname . $seite . ".pdf" ) ) {
			unlink ( $dateiname . $seite ++ . ".pdf" );
		}
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ gebe Dateinamen der erzeugten PDF-Datei zurck
		return ($dateiname . "output.pdf");
	}
}

/*
 * Vorschauseite hinzufgen
 */

if (! function_exists ( "pdfAddVorschauBackground" )) {
	function pdfAddVorschauBackground($vorschau_pdf, $ziel, $aKopieBedinungen = FALSE) {
		global $pfad_pdftf, $sPrintLayerMethod;
		
		if ($aKopieBedinungen) {
			copy ( $aKopieBedinungen ["dateiname"], $ziel );
		}
		
		$pdf_befehl = $pfad_pdftf . " " . $ziel . " $sPrintLayerMethod " . $vorschau_pdf . " output " . $ziel . ".tmp";
		exec ( $pdf_befehl );
		unlink ( $ziel );
		rename ( $ziel . ".tmp", $ziel );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "merge_document" )) {
	function merge_document($dateiname) {
		include ($GLOBALS ['include_prefix'] . "config/config.php");
		extract ( exportiereKonfiguration () );
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ fge einzelne Parts zusammen
		$pdf_befehl = $pfad_pdftf . " " . $dateiname . ".part* cat output " . $dateiname;
		exec ( $pdf_befehl );
		
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ lsche temporre Seiten
		$part = 1;
		while ( file_exists ( $dateiname . ".part" . $part ) ) {
			unlink ( $dateiname . ".part" . ($part ++) );
		}
	}
}

if (! function_exists ( "erweiterePdfAufMehrereKopien" )) {
	function erweiterePdfAufMehrereKopien($sDateiname, $iAnzahl, $sDateiname2 = FALSE) {
		global $pfad_pdftf;
		
		if ($iAnzahl < 2) {
			return $sDateiname;
		}
		
		$sAusgabe = substr ( $sDateiname, 0, - 4 ) . "_dup.pdf";
		
		if ($sDateiname2)
			$sPdfBefehl = $pfad_pdftf . " " . $sDateiname . " " . $sDateiname2 . " cat output " . $sAusgabe;
		else
			$sPdfBefehl = $pfad_pdftf . " " . str_repeat ( $sDateiname . " ", $iAnzahl ) . " cat output " . $sAusgabe;
		
		exec ( $sPdfBefehl );
		
		return $sAusgabe;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "archive_document" )) {
	function archive_document($dateiname, $archivordner, $ordnername, $dateiname_archiv) {
		include ($GLOBALS ['include_prefix'] . "config/config.php");
		extract ( exportiereKonfiguration () );
		
		// ggf. Archivordner anlegen
		if (! (is_dir ( $dateipfad . "/" . $archivordner . "/" . $ordnername ))) {
			mkdir ( $dateipfad . "/" . $archivordner . "/" . $ordnername );
		}
		
		// ggf. vorhandene Datei im Archiv lschen
		if (is_file ( $dateipfad . "/" . $archivordner . "/" . $ordnername . "/" . $dateiname_archiv )) {
			unlink ( $dateipfad . "/" . $archivordner . "/" . $ordnername . "/" . $dateiname_archiv );
		}
		// neue Datei ins Archiv kopieren
		copy ( $dateiname, $dateipfad . "/" . $archivordner . "/" . $ordnername . "/" . $dateiname_archiv );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "create_pruefsumme" )) {
	function create_pruefsumme($archivordner, $ordnername, $dateiname_archiv) {
		include ($GLOBALS ['include_prefix'] . "config/config.php");
		extract ( exportiereKonfiguration () );
		if (! is_file ( $dateipfad . "/" . $archivordner . "/" . $ordnername . "/" . $dateiname_archiv ))
			return false;
		
		$hash = hash_file ( 'crc32b', $dateipfad . "/" . $archivordner . "/" . $ordnername . "/" . $dateiname_archiv );
		$array = unpack ( 'N', pack ( 'H*', $hash ) );
		return $array [1];
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "output_reload" )) {
	function output_reload($dateiname) {
		global $urlpfad, $dateipfad;
		extract ( exportiereKonfiguration () );
		
		if (isset ( $_SERVER ["HTTPS"] ) && strtolower ( $_SERVER ["HTTPS"] ) != "off") {
			$sProtokoll = "https://";
		} else {
			$sProtokoll = "http://";
		}
		
		// wandle Dateinamen in URL
		$urlname = $sProtokoll . $urlpfad . substr ( $dateiname, strlen ( $dateipfad ) ) . "?ver=" . microtime ( true );
		
		// Ausgabe der Umleitung
		echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">";
		echo "<html><head><title>conceptERP PDF-Ausgabe</title></head>";
		echo "<script language=\"javascript\">";
		echo " { self.location.href=\"" . $urlname . "\";}";
		echo "</script>";
		echo "</center></body></html>";
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "output_print" )) {
	function output_print($dateiname) {
		include ($GLOBALS ['include_prefix'] . "config/config.php");
		extract ( exportiereKonfiguration () );
		
		// baue Dateinamen in Script ein
		$script = str_replace ( "%%%pdfdatei%%%", $dateiname, $pdf_direktdruck_script );
		
		// fhre Druckscript aus
		system ( $script );
		
		// schliessen des Fensters
		echo "$doctype\n\n";
		echo "<html><head><title>conceptERP PDF-Ausgabe</title></head>";
		echo "<script language=\"javascript\">";
		echo " { window.close(); }";
		echo "</script>";
		echo "<body bgcolor=\"#dddddd\"><center><br><br><br>Das Dokument wurde zum Drucker gesendet";
		echo "</center></body></html>";
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "output_email" )) {
	function output_email($sPfadAnhang, $sNameAnhang, $sEmpfaenger, $sBody, $sBetreff, $iKontaktId = 0) {
		global $mail_send_address, $mail_error_receiver, $bMailBelegAbsenderAutor, $sql_query, $tblkontakte, $bMailBelegEingeloggtePerson;
		
		$sAbsenderAdresse = $mail_send_address;
		
		if (($bMailBelegEingeloggtePerson || $bMailBelegAbsenderAutor) && $iKontaktId > 0) {
			$aKontakt = get_table_row ( $sql_query ["kontaktliste"] . " AND $tblkontakte.id = " . $iKontaktId );

			if (! empty ( $aKontakt ["dtEmail"] )) {
				$sAbsenderAdresse = $aKontakt ["dtEmail"];
			}
		} else {
			$aKontakt ["dtVorname"] = "";
			$aKontakt ["dtNachname"] = "";
		}
		

		
		// splitte Empfnger
		$aAdressen = explode ( ";", $sEmpfaenger );

		// erzeuge eMail
		foreach ( $aAdressen as $sAdresse ) {
			$sAdresse = str_replace ( " ", "", $sAdresse );

			if (! empty ( $sAdresse )) {
				$oMail = new mime_mail ();
				$oMail->from = utf8_encode($aKontakt ["dtVorname"] . " " . $aKontakt ["dtNachname"] . " < $sAbsenderAdresse >");
				$oMail->headers = "Errors-To: " . $mail_error_receiver;
				$oMail->to = $sAdresse;
				$oMail->subject = $sBetreff;
				$oMail->body = $sBody;
				$oMail->fFrom = utf8_encode($sAbsenderAdresse);

				// hnge PDF-Dokument an
				$oMail->add_attachment ( file_get_contents ( $sPfadAnhang ), $sNameAnhang, "application/pdf" );

				// sende eMail
				$oMail->send ();
			}
		}
		
		// schliessen des Fensters
		echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">";
		echo "<html><head><title>conceptERP PDF-Ausgabe</title></head>";
		echo "<script language=\"javascript\">";
		echo " { window.close(); }";
		echo "</script>";
		echo "<body bgcolor=\"#dddddd\"><center><br><br><br>Das Dokument wurde als eMail gesendet";
		echo "</center></body></html>";
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "output_archiv" )) {
	function output_archiv($archivname, $ordnername, $dateiname_archiv, $dateiname_output = "") {
		include ($GLOBALS ['include_prefix'] . "config/config.php");
		extract ( exportiereKonfiguration () );
		
		$path = $dateipfad . "/" . $archivname . "/" . $ordnername . "/" . $dateiname_archiv;
		
		session_write_close ();
		ob_end_clean ();
		if (! is_file ( $path ) || connection_status () != 0)
			return (FALSE);
			
			// to prevent long file from getting cut off from //max_execution_time
		
		set_time_limit ( 0 );
		
		if ($dateiname_output == "") {
			$name = basename ( $path );
		} else {
			$name = $dateiname_output;
		}
		
		// filenames in IE containing dots will screw up the filename unless we add this
		if (strstr ( $_SERVER ['HTTP_USER_AGENT'], "MSIE" ))
			$name = preg_replace ( '/\./', '%2e', $name, substr_count ( $name, '.' ) - 1 );
			
			// required, or it might try to send the serving //document instead of the file
		header ( "Cache-Control: " );
		header ( "Pragma: " );
		header ( "Content-Type: application/octet-stream" );
		header ( "Content-Length: " . ( string ) (filesize ( $path )) );
		header ( 'Content-Disposition: attachment; filename="' . $name . '"' );
		header ( "Content-Transfer-Encoding: binary\n" );
		
		if ($file = fopen ( $path, 'rb' )) {
			while ( (! feof ( $file )) && (connection_status () == 0) ) {
				print (fread ( $file, 1024 * 8 )) ;
				flush ();
			}
			fclose ( $file );
		}
		return ((connection_status () == 0) and ! connection_aborted ());
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// Klasse "PDF" wird in init.php erzeugt. Namensgebung wg. function_custom
if (! class_exists ( "PDF_default" )) {
	class PDF_default extends FPDF {
		function new_document($name, $ausrichtung) {
			$this->Open ();
			$this->AddPage ( $ausrichtung );
			$this->SetAutoPageBreak ( false );
			$this->SetCreator ( 'conceptERP by LW-Systems' );
			$this->SetAuthor ( $_SESSION ['benutzername'] );
			$this->SetTitle ( $name );
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function adressfeld($array, $x, $y, $breite, $hoehe) {
			// Ausgabe
			foreach ( $array as $key => $zeile ) {
				if ($y_pos < $hoehe) {
					
					$this->SetXY ( $x, $y + $y_pos );
					$this->SetTextColor ( 0 );
					$this->SetFont ( "$zeile[schriftart]", '', $zeile ["schriftgroesse"] );
					
					if ($zeile ["text"] != "") {
						while ( $this->GetStringWidth ( $zeile ["text"] ) > $breite ) {
							$zeile ["text"] = substr ( $zeile ["text"], 0, - 1 );
						}
						$this->Cell ( $breite, $zeile ["zeilenhoehe"], $zeile ["text"], 0, 1, "$zeile[ausrichtung]" );
					}
					
					$y_pos = $y_pos + $zeile ["zeilenhoehe"];
				}
			}
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function infofeld($array, $x, $y, $breite, $hoehe) {
			// bestimme Breite des ersten Feldes
			Global $bAlleStatischeInfofelderAusgeben;
			$breite1 = 0;
			
			foreach ( ( array ) $array as $key => $zeile ) {
				$this->SetTextColor ( 0 );
				$this->SetFont ( "$zeile[schriftart]", '', $zeile ["schriftgroesse"] );
				
				if ($this->GetStringWidth ( $zeile ["text1"] ) > $breite1) {
					$breite1 = $this->GetStringWidth ( $zeile ["text1"] );
					$breite1 = round ( $breite1, 1 ) + 0.1;
				}
			}
			
			// bestimme Breite des zweiten Feldes
			$breite2 = round ( max ( 0, $breite - $breite1 ), 0 );
			
			// Ausgabe
			foreach ( ( array ) $array as $key => $zeile ) {
				
				// bAlleStatischeInfofelderAusgeben = Sollen alle statischen Infofelder ausgegeben werden unabhngig von der gesetzten Hhe?
				if ($y_pos < $hoehe || $bAlleStatischeInfofelderAusgeben == 1) {
					$this->SetXY ( $x, $y + $y_pos );
					$this->SetTextColor ( 0 );
					if ($zeile ["schriftstil"]) {
						$this->SetFont ( "$zeile[schriftart]", "$zeile[schriftstil]", $zeile ["schriftgroesse"] );
					} else
						$this->SetFont ( "$zeile[schriftart]", '', $zeile ["schriftgroesse"] );
					
					if ($zeile ["text"] != "") {
						while ( $this->GetStringWidth ( $zeile ["text"] ) > $breite ) {
							$zeile ["text"] = substr ( $zeile ["text"], 0, - 1 );
						}
						
						$this->Cell ( $breite, $zeile ["zeilenhoehe"], $zeile ["text"], 0, 1, "$zeile[ausrichtung]" );
					}
					
					if ($zeile ["text1"] != "") {
						while ( $this->GetStringWidth ( $zeile ["text1"] ) > $breite1 ) {
							$zeile ["text1"] = substr ( $zeile ["text1"], 0, - 1 );
						}
						
						while ( $this->GetStringWidth ( $zeile ["text2"] ) > $breite2 ) {
							$zeile ["text2"] = substr ( $zeile ["text2"], 0, - 1 );
						}
						
						$this->Cell ( $breite1, $zeile ["zeilenhoehe"], $zeile ["text1"], 0, 1, "$zeile[ausrichtung]" );
						$this->SetXY ( $x + $breite1, $y + $y_pos );
						$this->Cell ( $breite2, $zeile ["zeilenhoehe"], $zeile ["text2"], 0, 1, "$zeile[ausrichtung]" );
					}
					
					$y_pos = $y_pos + $zeile ["zeilenhoehe"];
				}
			}
			
			return ($y + $y_pos);
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function datumsfeld($text, $x, $y, $breite, $schriftart, $schriftgroesse, $tag = "", $monat = "", $jahr = "") {
			global $akttag;
			global $aktmonat;
			global $aktjahr;
			
			// aktuelles Datum oder bergebenes Datum
			if ($tag == "01" and $monat == "01" and $jahr == "2030") {
				$tag = "";
				$monat = "";
				$jahr = "";
			}
			;
			if ($tag == "") {
				$tag = $akttag;
			}
			;
			if ($monat == "") {
				$monat = $aktmonat;
			}
			;
			if ($jahr == "") {
				$jahr = $aktjahr;
			}
			;
			
			// ersetze Variablen
			$text = str_replace ( "%T%", date ( "j", mktime ( 0, 0, 0, $monat, $tag, $jahr ) ), $text );
			$text = str_replace ( "%TT%", date ( "d", mktime ( 0, 0, 0, $monat, $tag, $jahr ) ), $text );
			$text = str_replace ( "%M%", date ( "n", mktime ( 0, 0, 0, $monat, $tag, $jahr ) ), $text );
			$text = str_replace ( "%MM%", date ( "m", mktime ( 0, 0, 0, $monat, $tag, $jahr ) ), $text );
			$text = str_replace ( "%MT3%", datetext_to_datetext_de ( date ( "M", mktime ( 0, 0, 0, $monat, $tag, $jahr ) ), "MT3" ), $text );
			$text = str_replace ( "%MT%", datetext_to_datetext_de ( date ( "F", mktime ( 0, 0, 0, $monat, $tag, $jahr ) ), "MT" ), $text );
			$text = str_replace ( "%JJ%", date ( "y", mktime ( 0, 0, 0, $monat, $tag, $jahr ) ), $text );
			$text = str_replace ( "%JJJJ%", date ( "Y", mktime ( 0, 0, 0, $monat, $tag, $jahr ) ), $text );
			$text = str_replace ( "%WT3%", datetext_to_datetext_de ( date ( "D", mktime ( 0, 0, 0, $monat, $tag, $jahr ) ), "WT3" ), $text );
			$text = str_replace ( "%WT%", datetext_to_datetext_de ( date ( "l", mktime ( 0, 0, 0, $monat, $tag, $jahr ) ), "WT" ), $text );
			
			// Ausgabe
			$this->SetTextColor ( 0 );
			$this->SetFont ( "$schriftart", '', $schriftgroesse );
			$this->SetXY ( $x, $y );
			$this->Cell ( $breite, $schriftgroesse, "$text", 0, 1, "R" );
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function seitenzahlfeld($text, $x, $y, $breite, $schriftart, $schriftgroesse, $aktseite, $seitenzahl) {
			
			// ersetze Variablen
			$text = str_replace ( "%S%", $aktseite, $text );
			$text = str_replace ( "%A%", $seitenzahl, $text );
			
			// Ausgabe
			$this->SetTextColor ( 0 );
			$this->SetFont ( "$schriftart", '', $schriftgroesse );
			$this->SetXY ( $x, $y );
			$this->Cell ( $breite, $schriftgroesse, "$text", 0, 1, "R" );
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function tabellenseitenumbrueche($array, $zeilenhoehe, $druckhoehe_p1, $druckhoehe, $kopf_nach_umbruch = 1, $rahmen_entfernen = 1) {
			$seitenhoehe = $druckhoehe_p1;
			$y_pos = 0;
			$printzeile = 0;
			$n_old = 0;
			
			// ++++ markiere die Zeilen, nach denen ein Seitenumbruch stattfinden muss
			for($n = 0; $n < count ( $array ); $n ++) {
				
				// ++++ Position der Zeile
				if ($array [$n] ["zeilenhoehe"] != 0) {
					
					// $y_pos = $y_pos + $array[$n]["zeilenhoehe"] + ($array[$n]["zeilenhoehe"] / 5.5) + $array[$n]["zeilen_spacing"];
					$y_pos = $y_pos + $array [$n] ["zeilenhoehe"] + ($array [$n] ["zeilenhoehe"] / 14) + $array [$n] ["zeilen_spacing"];
					
					// ++++ wenn die Tabellenzeile nicht mehr auf die Seite passt, dann erzeuge (temporren) Seitenumbruch
					if ($array [$n] ["zeilenhoehe"] + $y_pos > $seitenhoehe) {
						
						// wenn dies zufllig die erste Zeile eines Blockes ist, dann setze genau hier den Seitenumbruch
						if ($array [$n] ["zeilennr"] == 1) {
							$array [$n_old] ["seitenumbruch"] = 1;
							
							// wenn der gesamte Block weniger als 6 Zeilen hat, dann setze den Seitenumbruch vor diesen Block
							// wenn der Block weniger als 5 Zeilen auf der alten Seite hat, dann setze den Seitenumbruch vor diesen Block
						} elseif ($array [$n] ["zeilenmaxnr"] < 6 or $array [$n] ["zeilennr"] < 5) {
							$n = $n - $array [$n] ["zeilennr"] + 1;
							$array [$n_old] ["seitenumbruch"] = 1;
							
							// wenn der Block weniger als 3 Zeilen auf der neuen Seite hat, dann verschiebe den Umbruch nach oben, bis genau 3 Zeilen auf der neuen Seite sind
						} elseif ($array [$n] ["zeilenmaxnr"] - $array [$n] ["zeilennr"] < 3) {
							$n = $n - $array [$n] ["zeilennr"] + 1 + $array [$n] ["zeilenmaxnr"] - 3;
							$array [$n_old] ["seitenumbruch"] = 1;
							
							// sonst breche genau hier um
						} else {
							$array [$n_old] ["seitenumbruch"] = 1;
						}
						
						$y_pos = 0;
						$seitenhoehe = $druckhoehe;
					}
					// Wurde vom Benutzer ein Seitenumbruch manuell hinzugefgt, wird er in dieser Methode normal nicht erkannt
					// Daher wird nun im Zeilentyp "Seitenumbruch" mitgegeben. Falls hier eine bereinstimmung zutrifft,
					// wird seitenhoehe und y_pos neu gesetzt
					if ($array [$n] ["zeilentyp"] == "Seitenumbruch") {
						$y_pos = 0;
						$seitenhoehe = $druckhoehe;
					}
					
					$n_old = $n;
				}
			}
			
			// ++++ ersetze Markierungen durch richtige Seitenumbrche
			$printzeile = 0;
			for($n = 0; $n < count ( $array ); $n ++) {
				$array_su [$printzeile ++] = $array [$n];
				
				// ++++ Steuercodes fr Kopfzeile nach Seitenumbruch ja/nein
				if ($array [$n] ["zeilentyp"] == "kopfzeilesteuerung") {
					$kopf_nach_umbruch = $array [$n] ["kopf_nach_umbruch"];
				} 				

				// ++++ Seitenumbruch einfgen
				else if ($array [$n] ["seitenumbruch"] == 1) {
					
					unset ( $array_su [$printzeile - 1] ["seitenumbruch"] );
					
					// ++++ Seitenumbruch-Zeile einfgen
					$array_su [$printzeile ++] ["zeilentyp"] = "seitenumbruch";
					
					// ++++ ggf. Listenkopf nach Seitenumbruch
					if ($kopf_nach_umbruch == 1) {
						
						foreach ( $array as $search_array_key => $search_array ) {
							if ($search_array_key > $n and $search_array ["zeilentyp"] == "zeile") {
								$print_kopf_nach_umbruch = 1;
							}
						}
						
						if ($print_kopf_nach_umbruch == 1) {
							$marker = 0;
							foreach ( array_reverse ( $array_su ) as $key => $zeile ) {
								if ($zeile ["zeilentyp"] == "kopfzeile" and ($marker ++) == 0) {
									$array_su [$printzeile ++] = $zeile;
								}
							}
						}
					}
				}
			}
			
			// ++++ bei mehrzeiligen Tabellenzeilen entferne ggf. Zeilen_spacing und Rahmen oben und unten
			if ($rahmen_entfernen == 1) {
				for($n = 0; $n < count ( $array_su ); $n ++) {
					if ($array_su [$n] ["zeilentyp"] == "zeile" and $array_su [$n] ["zeilennr"] == 1 and $array_su [$n] ["zeilenmaxnr"] != 1) {
						
						$array_su [$n] ["zeilenhoehe"] = $zeilenhoehe;
						$array_su [$n] ["zeilen_spacing"] = 0;
						$array_su [$n] ["formatierungen"] ["rahmenstil"] = str_replace ( "B", "", $array_su [$n] ["formatierungen"] ["rahmenstil"] );
					}
					if ($array_su [$n] ["zeilentyp"] == "zeile" and $array_su [$n] ["zeilennr"] != 1 and $array_su [$n] ["zeilennr"] != $array_su [$n] ["zeilenmaxnr"]) {
						
						$array_su [$n] ["zeilenhoehe"] = $zeilenhoehe;
						$array_su [$n] ["zeilen_spacing"] = 0;
						$array_su [$n] ["formatierungen"] ["rahmenstil"] = str_replace ( "T", "", $array_su [$n] ["formatierungen"] ["rahmenstil"] );
						$array_su [$n] ["formatierungen"] ["rahmenstil"] = str_replace ( "B", "", $array_su [$n] ["formatierungen"] ["rahmenstil"] );
					}
					if ($array_su [$n] ["zeilentyp"] == "zeile" and $array_su [$n] ["zeilennr"] != 1 and $array_su [$n] ["zeilennr"] == $array_su [$n] ["zeilenmaxnr"]) {
						
						$array_su [$n] ["formatierungen"] ["rahmenstil"] = str_replace ( "T", "", $array_su [$n] ["formatierungen"] ["rahmenstil"] );
					}
				}
			}
			
			return ($array_su);
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function tabellenzeile($x, $y, $druckbreite, $druckhoehe, $array) {
			$field_x = $x;
			$field_y = $y;
			
			if (! is_array ( $array ["formatierungen"] ["hintergrundtransparenz"] )) {
				$array ["formatierungen"] ["hintergrundtransparenz"] = array ();
			}
			
			$field_counter = 0;
			foreach ( $array ["feldinhalte"] as $key => $text ) {
				
				if ($field_x + $array ["feldbreiten"] [$field_counter] > $x + $druckbreite) {
					$array ["feldbreiten"] [$field_counter] = $x + $druckbreite - $field_x;
				}
				
				if (! isset ( $array ["formatierungen"] ["hintergrundtransparenz"] [$field_counter] )) {
					$array ["formatierungen"] ["hintergrundtransparenz"] [$field_counter] = 1;
				}
				
				$this->tabellenfeld ( $field_x, $field_y, $array ["feldbreiten"] [$field_counter], $druckhoehe, $text, $array ["formatierungen"] ["schriftart"], $array ["formatierungen"] ["schriftgroesse"], $array ["formatierungen"] ["rahmenstil"] [$field_counter], $array ["formatierungen"] ["hintergrund"] [$field_counter], $array ["formatierungen"] ["schriftstil"] [$field_counter], $array ["formatierungen"] ["schriftfarbe"] [$field_counter], $array ["formatierungen"] ["schriftausrichtung"] [$field_counter], $array ["formatierungen"] ["hintergrundtransparenz"] [$field_counter] );
				
				$field_x = min ( $field_x + $array ["feldbreiten"] [$field_counter] + $array ["zellen_spacing"], $x + $druckbreite );
				$field_counter ++;
			}
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function tabellenfeld($x, $y, $druckbreite, $druckhoehe, $text, $schriftart, $schriftgroesse, $rahmenstil = 0, $hintergrundfarbe = 255, $schriftstil = "", $schriftfarbe = 0, $schriftausrichtung = "L", $hintergrundtransparenz = 1) {
			if ($druckbreite > 0) {
				if ($hintergrundfarbe == 255)
					$hintergrundtransparenz = 0;
				
				$this->SetFillColor ( $hintergrundfarbe );
				$this->SetTextColor ( $schriftfarbe );
				$this->SetFont ( "$schriftart", "$schriftstil", $schriftgroesse );
				$this->SetXY ( $x, $y );
				$zeilen = explode ( "\n", $text );
				unset ( $text );
				if (is_array ( $zeilen )) {
					foreach ( $zeilen as $zeilenzahl => $zeilentext ) {
						while ( $this->GetStringWidth ( "$zeilentext" ) > $druckbreite ) {
							$zeilentext = substr ( $zeilentext, 0, - 1 );
						}
						$text .= $zeilentext . "\n";
					}
				}
				$text = substr ( $text, 0, - 1 );
				
				$this->MultiCell ( $druckbreite, $druckhoehe, "$text", "$rahmenstil", "$schriftausrichtung", $hintergrundtransparenz );
			}
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function format_tabellenfeld($text, $breite) {
			global $iPdf_umbruch_rand_ausgleich;
			
			/*
			 * Erklrung: Diese Abfrage wird ausgefhrt, wenn die Breite einer Tabellenspalte
			 * kleiner als 15 ist Denn sobald die Tabellenspalte zu klein ist,
			 * ist ein mm Abstand > 3 zu gro fr die Spalte Sodass dieser einen
			 * Seitenumbruch veranlasst, der da nicht kommen soll. Erluterung:
			 * Falls die Breite kleiner als 16 ist, ist der Randausgleich = 3,
			 * andernfalls $iPdf_umbruch_rand_ausgleich
			 */
			
			if ($breite > 15)
				$breite = $breite - $iPdf_umbruch_rand_ausgleich;
			else
				$breite = $breite - 3;
			
			if ($breite > $iPdf_umbruch_rand_ausgleich) {
				
				$text = strip_tags ( str_replace ( "<br>", "\n", $text ) );
				$zeilen = explode ( "\n", $text );
				
				unset ( $text );
				foreach ( $zeilen as $key => $zeile ) {
					
					unset ( $neuzeile );
					
					// wenn nichts in der Zeile steht, dann mache einfach nur einen Umbruch
					if ($zeile == "") {
						$text .= "\n";
					} 					

					// wenn Zeile breiter ist als Druckbreite, dann zerlege sie wortweise und breche ein Wort vor dem Druckbereich-Ende um
					else if ($this->GetStringWidth ( $zeile ) > $breite) {
						$zeile = str_replace ( "/", "/ ", $zeile );
						$zeile = str_replace ( "-", "- ", $zeile );
						
						$woerter = explode ( " ", $zeile );
						
						foreach ( $woerter as $wortkey => $wort ) {
							
							// wenn das erste Wort lnger ist als die Druckbreite, dann krze das Wort soweit ein, das es passt und breche dann um
							if ($this->GetStringWidth ( $wort ) >= $breite) {
								
								while ( $this->GetStringWidth ( $wort ) >= $breite ) {
									$wort = substr ( $wort, 0, - 1 );
								}
								$text .= substr ( $wort, 0, - 1 ) . "\n";
							} else {
								// echo $neuzeile . $wort." : ".$this->GetStringWidth($neuzeile . $wort)."<br>";
								if ($this->GetStringWidth ( $neuzeile . $wort ) > $breite) {
									$text .= $neuzeile . "\n";
									$neuzeile = $wort . " ";
								} else {
									$neuzeile .= $wort . " ";
								}
							}
						}
						
						$text .= $neuzeile . "\n";
					} else {
						
						$text .= $zeile . "\n";
					}
				}
			}
			
			// lsche Leerzeichen und Leerzeilen am Ende
			while ( substr ( $text, - 1 ) == "\n" or substr ( $text, - 1 ) == " " ) {
				$text = substr ( $text, 0, - 1 );
			}
			;
			return ($text);
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function get_maxzeilen($array) {
			if (is_array ( $array )) {
				foreach ( $array as $key => $text ) {
					
					$zeilenzahl [$key] = count ( explode ( "\n", $text ) );
				}
			}
			$zeilenzahl [- 1] = 1;
			$zeilenzahl [- 2] = 1;
			return (max ( $zeilenzahl ));
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function extract_print_zeile($text, $zeile) {
			$zeilen = explode ( "\n", $text );
			return ($zeilen [$zeile]);
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function format_text_in_liste_zeilenweise($array, $field) {
			global $schriftstil_textzeile;
			global $field_width_posten;
			
			$printzeile = 0;
			$zeilenzahl = 1;
			if (is_array ( $array )) {
				foreach ( $array as $zeile => $listenzeile ) {
					
					$this->SetFont ( "$field[dtStandardSchriftArt]", "$schriftstil_textzeile[0]", $field ["dtStandardSchriftGroesse"] );
					$tabellenzeile [$zeilenzahl] = $this->format_tabellenfeld ( $listenzeile ["feldinhalte"] [0], $listenzeile ["feldbreiten"] [0] );
					
					// ++++ berechne grte Zeilenanzahl der Listenfelder
					$maxzeilen = $this->get_maxzeilen ( ( array ) $tabellenzeile [$zeilenzahl] );
					
					// ++++ erzeuge neues Array mit jeweils einer Textzeile
					for($n = 0; $n < $maxzeilen + 1; $n ++) {
						
						if (($n + 1) <= $maxzeilen) {
							$liste_print [$printzeile] = $listenzeile;
							unset ( $liste_print [$printzeile] ["feldinhalte"] );
							
							$liste_print [$printzeile] ["feldinhalte"] [0] = $this->extract_print_zeile ( $tabellenzeile [$zeilenzahl], $n );
							
							$liste_print [$printzeile] ["zeilentyp"] = "zeile";
							$liste_print [$printzeile] ["zeilennr"] = $n + 1;
							$liste_print [$printzeile] ["zeilenmaxnr"] = $maxzeilen;
							
							$printzeile ++;
						}
					}
					$zeilenzahl ++;
				}
			}
			
			return $liste_print;
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function tabelle_output($array, $rand_links_p1, $rand_oben_p1, $rand_links, $rand_oben, $druckbreite_p1, $druckbreite, $dateiname, $dokumentname, $ausrichtung) {
			
			// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			// ++++ erzeuge neues PDF Dokument (erste Seite)
			$pdf = new PDF ();
			$pdf->new_document ( $dokumentname, $ausrichtung );
			
			$x = $rand_links_p1;
			$y = $rand_oben_p1;
			$breite = $druckbreite_p1;
			
			$aktuelleSeite = 1;
			
			$seite = 1;
			
			// ++++ drucke alle Seiten zeilenweise
			for($n = 0; $n < count ( $array ); $n ++) {
				
				// ++++ wenn Zeile = Seitenumbruch, dann fge Seitenumbruch ein
				if ($array [$n] ["zeilentyp"] == "seitenumbruch") {
					
					// ++++ seitenweise Ausgabe des PDF
					$pdf->Output ( $dateiname . ($seite ++) . ".pdf" );
					
					// ++++ erzeuge nchste Seite
					$pdf = new PDF ();
					$pdf->new_document ( $dokumentname, $ausrichtung );
					
					$x = $rand_links;
					$y = $rand_oben;
					$breite = $druckbreite;
				}
				
				// ++++ Ausgabe der Zeile
				if ($array [$n] ["zeilenhoehe"] != 0 and $array [$n] ["zeilenhoehe"] != "") {
					if ($array [$n] ["zeilentyp"] == "zeile" or $array [$n] ["zeilentyp"] == "kopfzeile" or $array [$n] ["zeilentyp"] == "fusszeile" or $array [$n] ["zeilentyp"] == "textzeile") {
						$pdf->tabellenzeile ( $x, $y, $breite, $array [$n] ["zeilenhoehe"], $array [$n] );
						$y = ($pdf->GetY ()) + $array [$n] ["zeilen_spacing"];
					}
				}
				
				// ++++ Ausgabe des Infofeldes ab Seite 2
				if ($aktuelleSeite != $seite) {
					$y = $rand_oben;
					$aktuelleSeite = $seite;
				}
			}
			// ++++ Ausgabe der letzten PDF-Seite
			$pdf->Output ( $dateiname . ($seite ++) . ".pdf" );
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function EAN13($x, $y, $barcode, $t = 1, $h = 16, $w = .35, $printtext = 0) {
			$this->Barcode ( $x, $y, $barcode, $h, $w, 13, $t, $printtext );
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function UPC_A($x, $y, $barcode, $t = 1, $h = 16, $w = .35, $printtext = 0) {
			$this->Barcode ( $x, $y, $barcode, $h, $w, 12, $t, $printtext );
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function CreateRealBarcode($barcode, $len) {
			// entferne alle nicht-Ziffern
			$gueltige_zeichen = array (
					0,
					1,
					2,
					3,
					4,
					5,
					6,
					7,
					8,
					9 
			);
			for($n = 0; $n < strlen ( $barcode ); $n ++) {
				$barcode_zeichen = substr ( $barcode, $n, 1 );
				if (in_array ( $barcode_zeichen, $gueltige_zeichen )) {
					$barcode_gueltig .= $barcode_zeichen;
				}
			}
			
			// bringe auf richtige Lnge (krzen, auffllen mit Nullen)
			$barcode_gueltig = substr ( $barcode_gueltig, 0, $len );
			while ( strlen ( $barcode_gueltig ) < $len ) {
				$barcode_gueltig = "0" . $barcode_gueltig;
			}
			
			return ($barcode_gueltig);
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function GetCheckDigit($barcode) {
			// Compute the check digit
			$sum = 0;
			for($i = 1; $i <= 11; $i += 2)
				$sum += 3 * $barcode {$i};
			for($i = 0; $i <= 10; $i += 2)
				$sum += $barcode {$i};
			$r = $sum % 10;
			if ($r > 0)
				$r = 10 - $r;
			return $r;
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function TestCheckDigit($barcode) {
			// Test validity of check digit
			$sum = 0;
			for($i = 1; $i <= 11; $i += 2)
				$sum += 3 * $barcode {$i};
			for($i = 0; $i <= 10; $i += 2)
				$sum += $barcode {$i};
			return ($sum + $barcode {12}) % 10 == 0;
		}
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		function Barcode($x, $y, $barcode, $h, $w, $len, $printtext) {
			// Padding
			$barcode = str_pad ( $barcode, $len - 1, '0', STR_PAD_LEFT );
			if ($len == 12)
				$barcode = '0' . $barcode;
				// Add or control the check digit
			if (strlen ( $barcode ) == 12)
				$barcode .= $this->GetCheckDigit ( $barcode );
			elseif (! $this->TestCheckDigit ( $barcode ))
				$this->Error ( 'Incorrect check digit' );
				// Convert digits to bars
			$codes = array (
					'A' => array (
							'0' => '0001101',
							'1' => '0011001',
							'2' => '0010011',
							'3' => '0111101',
							'4' => '0100011',
							'5' => '0110001',
							'6' => '0101111',
							'7' => '0111011',
							'8' => '0110111',
							'9' => '0001011' 
					),
					'B' => array (
							'0' => '0100111',
							'1' => '0110011',
							'2' => '0011011',
							'3' => '0100001',
							'4' => '0011101',
							'5' => '0111001',
							'6' => '0000101',
							'7' => '0010001',
							'8' => '0001001',
							'9' => '0010111' 
					),
					'C' => array (
							'0' => '1110010',
							'1' => '1100110',
							'2' => '1101100',
							'3' => '1000010',
							'4' => '1011100',
							'5' => '1001110',
							'6' => '1010000',
							'7' => '1000100',
							'8' => '1001000',
							'9' => '1110100' 
					) 
			);
			$parities = array (
					'0' => array (
							'A',
							'A',
							'A',
							'A',
							'A',
							'A' 
					),
					'1' => array (
							'A',
							'A',
							'B',
							'A',
							'B',
							'B' 
					),
					'2' => array (
							'A',
							'A',
							'B',
							'B',
							'A',
							'B' 
					),
					'3' => array (
							'A',
							'A',
							'B',
							'B',
							'B',
							'A' 
					),
					'4' => array (
							'A',
							'B',
							'A',
							'A',
							'B',
							'B' 
					),
					'5' => array (
							'A',
							'B',
							'B',
							'A',
							'A',
							'B' 
					),
					'6' => array (
							'A',
							'B',
							'B',
							'B',
							'A',
							'A' 
					),
					'7' => array (
							'A',
							'B',
							'A',
							'B',
							'A',
							'B' 
					),
					'8' => array (
							'A',
							'B',
							'A',
							'B',
							'B',
							'A' 
					),
					'9' => array (
							'A',
							'B',
							'B',
							'A',
							'B',
							'A' 
					) 
			);
			$code = '101';
			$p = $parities [$barcode {0}];
			for($i = 1; $i <= 6; $i ++)
				$code .= $codes [$p [$i - 1]] [$barcode {$i}];
			$code .= '01010';
			for($i = 7; $i <= 12; $i ++)
				$code .= $codes ['C'] [$barcode {$i}];
			$code .= '101';
			// Draw bars
			for($i = 0; $i < strlen ( $code ); $i ++) {
				if ($code {$i} == '1')
					$this->Rect ( $x + $i * $w, $y, $w, $h, 'F' );
			}
			// Print text uder barcode
			if ($printtext == 1) {
				do {
					$barcode_schriftgroesse ++;
					$this->SetFont ( 'Arial', '', $barcode_schriftgroesse );
				} while ( $this->GetStringWidth ( substr ( $barcode, - $len ) ) < ($w * 100) );
				$this->SetFont ( 'Arial', '', $barcode_schriftgroesse - 1 );
				$this->Text ( $x, $y + $h + ($barcode_schriftgroesse - 3) / $this->k, substr ( $barcode, - $len ) );
			}
		}
	}
}

?>
