/*
 * Verschiedenes beim Seitenaufruf
 */

$(function() {	
	// Feld mit ID 'setfocus' fokussieren
	$( ".setfocus" ).focus();
	$( ".setfocus" ).select();
	$( "#setfocus" ).focus();
	$( "#setfocus" ).select();

	// Ladebalken verstecken
	$( "#Laden" ).hide();

	// linkvars setzen
	linkvars = 'target=' + target + '&typ=' + typ + '&id=' + id + '&subtarget=' + subtarget + '&subtyp=' + subtyp + '&subid=' + subid;

	// Ladestatus
	$(document).ajaxStop(function() {
		ZeitEinblenden();
	});

	$(document).ajaxStart(function() {
		ZeitAusblenden();
	});
	
	// Content: Infobox "nachladen"
	if(target == "content" && (typ == "show" || typ == "send"))
	{
		$('#contentboxen').html($('#contentboxeninhalt').html());
	}

	startup();
});

/*
 * TinyMCE initialisieren
 */
$(function() {
	if(target == "content" || target == "mailarchiv")
	{
		tinyMCE.init({
			mode: "textareas",
			theme: "simple",
			readonly: true,
			editor_selector: "mceEditor",
			editor_deselector: "input_textarea_500x250"
		});
	}

	if(target == "konfiguration")
	{
		tinyMCE.init({
			mode: "textareas",
			theme: "advanced",
			readonly: false,
			editor_selector: "mceEditor",
			plugins: "emotions,advhr,preview,fullscreen", 

			// Theme options - button# indicated the row# only
			theme_advanced_buttons1: "newdocument,|,bold,italic,underline,|,justifyleft,justifycenter,justifyright,fontselect,fontsizeselect,formatselect",
			theme_advanced_buttons2: "cut,copy,paste,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,link,unlink,anchor,image,|,code,preview,fullscreen,|,forecolor,backcolor",
			theme_advanced_buttons3: "advhr,,removeformat,|,sub,sup,|,charmap,emotions",      
			theme_advanced_toolbar_location: "top",
			theme_advanced_toolbar_align: "left",
			theme_advanced_statusbar_location: "bottom"
		});
	}
});

/*
 * Kundenauswahl in Belegzuordnung
 */
$(function() {
	if(!$("#kunde_dd").length)
		return;
	
	$("#kunde_dd").click("focus", function() {
		$("#kunde_dd").select();
	});
	
	$("#kunde_dd").bind("input", function() {
		

		if(document.getElementById("belegzuordnungID") !== null)
			var aListe = document.getElementById("belegzuordnungID");
		else
			var aListe = document.getElementById("rechnungszuordnungID");


		for(i = 0; i < aListe.options.length; i++)
			{
				//Der zu durchsuchende Text
				var sSuchtext = aListe.options[i].text;
				sSuchtext = sSuchtext.toLowerCase(sSuchtext);
				
				//Das Suchwort, welches in der Textbox eingegeben wird
				var sSuchwort = document.getElementById("kunde_dd").value;
				sSuchwort = sSuchwort.toLowerCase(sSuchwort);
				
				//Es wird ?berpr?ft, ob das Suchwort im Suchtext vorhanden ist
				var iTreffer = sSuchtext.match(sSuchwort);
					
				//Ist das Suchwort vorhanden, zeige den Eintrag in der Liste an
				if(iTreffer != null)
					aListe.options[i].style.display = "block";
				else
					aListe.options[i].style.display = "none";
			}
	});

});

	
/*
 * Artikelauswahl in Belegposten
 */
$(function() {
	if(!$("#artikel_dd").length)
	{
		return;
	}
	
	$("#variantenbutton").hide();
	
	
	$("#warengruppe_dd").click("focus", function() {
		$("#warengruppe_dd").select();
	});

	$("#artikel_dd").click("focus", function() {
		$("#artikel_dd").select();
	});
	

	$("#artikel_dd_button").bind("click", function() {
		if($("#artikel_dd").autocomplete("widget").is( ":visible" ) ) {
			$("#artikel_dd").autocomplete("close");
			return;
		}

		$("#artikel_dd").autocomplete("search", "");
		$("#artikel_dd").focus();
	});

	$("#warengruppe_dd_button").bind("click", function() {
		if($("#warengruppe_dd").autocomplete("widget").is( ":visible" ) ) {
			$("#warengruppe_dd").autocomplete("close");
			return;
		}

		$("#warengruppe_dd").autocomplete("search", "");
		$("#warengruppe_dd").focus();
	});

	$("#warengruppe_dd").autocomplete({
		minLength: 0,
		source: "main_ajax.php?ajaxtarget=getWarengruppen",
		autoFocus: true,

		select: function(event, ui) {
			$("#warengruppe").val(ui.item.value);
			$(this).val(ui.item.label);
			return false;
		},

		focus: function(event, ui) {
			return false;
		},

		open: function(event, ui) {
			$("#artikel_dd").autocomplete("close");
		}
	});
	

	$("#artikel_dd").autocomplete({
		minLength: 0,
		source: "main_ajax.php?ajaxtarget=getArtikel",
		autoFocus: true,

		search: function(event, ui) {
			if($("#warengruppe").val() != "")
			{
				$(this).autocomplete("option", "source", $(this).autocomplete("option", "source") + "&Warengruppe=" + $("#warengruppe").val());
			}

			if($(this).attr("projekt") != "" && $(this).attr("projekt") > 0)
			{
				$(this).autocomplete("option", "source", $(this).autocomplete("option", "source") + "&Projekt=" + $(this).attr("projekt"));
			}

			if($(this).attr("lieferant") != "" && $(this).attr("lieferant") > 0)
			{
				$(this).autocomplete("option", "source", $(this).autocomplete("option", "source") + "&Lieferant=" + $(this).attr("lieferant"));
			}

			return true;
		},

		select: function(event, ui) {
			$("#artikel").val(ui.item.value);
			$(this).val(ui.item.label);

			if($(this).attr("variantenbutton") != "" && $(this).attr("variantenbutton") > 0)
			{
				if (ui.item.label.indexOf("| ZV") > 0 || ui.item.label.indexOf("| V") > 0 )
				{
					$("#variantenbutton").show(500);
				}
				else
				{
					$("#variantenbutton").hide(500);
				}
			}
			return false;
		},

		focus: function(event, ui) {
			return false;
		},

		open: function(event, ui) {
			$("#warengruppe_dd").autocomplete("close");
		}
	});
});



function inventur_selectNextAnzahlField(obj)
{
	bFocusNext = false;
	for(i = 0; i < document.forms.length; i++)
	{
		if(bFocusNext)
		{
			document.forms[i].elements["dtMengeNeu"].focus();
			return;
		}

		if(document.forms[i].name == obj.name)
		{
			bFocusNext = true;
		}
	}
}

function getTextvorlageIntoForm(iTextvorlageId, sFormId, sModus)
{
	$.get("main_ajax.php?ajaxtarget=getTextvorlagen&textvorlagenid=" + iTextvorlageId, function(data) {
		if(sModus == "checked")
		{
			$('#' + sFormId).val(data);
		}
		else
		{
			$('#' + sFormId).val($('#' + sFormId).val() + data);
		}
	});
}

function aktiviereAlleCheckboxen()
{
	$(":input[type=checkbox]").each(function() {
		if(!this.checked && !this.disabled)
		{
			this.checked = true;
		}
	})
}

function deaktiviereAlleCheckboxen()
{
	$(":input[type=checkbox]").each(function() {
		if(this.checked && !this.disabled)
		{
			this.checked = false;
		}
	})
}

function setzeBelegUmsatzAufBezahlt(iBuchungskontoRest, sTyp, iBelegRechnungId, iUmsatzId)
{
			$.get("zusatzfenster.php?target=umsaetze&typ=statusaenderung&umsatzid="
			+ iUmsatzId + "&buchungskonto=" + iBuchungskontoRest + "&belegtyp="
			+ sTyp + "&id=" + iBelegRechnungId, function(data) {
		if (sTyp == "beleg") {
			alert("Der Beleg wurde auf Status 'bezahlt' gesetzt.")
		} else {
			alert("Die Rechnung wurde auf Status 'bezahlt' gesetzt.")

		}
	});
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Funktion zum vorbesetzen von Variablen f?r sp?tere JavaScript aufrufe */
function startup() {


	aenderungsmerker = 0;
	aenderungsmerker_last = new Array();

	dropdownboxopen = "";
	historyboxopen = "";
	lastkeypress = "";
	autocomplete = false;

	dropdownbox_multi = new Array();

	/* Browsererkennung */
	IE  = document.all&&!window.opera;
	MOZ = document.getElementById&&!IE; 

	/* Scrolleiste des Submen?s positionieren */
	if (document.getElementById('submenu')) {
		submenuScrollOnLoad(submenubutton_aktiv[0],submenubutton_aktiv[1]);
	}

	ZeitAnzeigen();

}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Funktion zum direkten springen zu einem link  */
function Go(x,y) {

	if(x == "nothing") {
		document.forms[y].reset();
		document.forms[y].elements[y].blur();
		return;
	}
	else {
		top.location.href = x;
		if(typeof(y) == "object") {
			document.forms[y].reset();
			document.forms[y].elements[y].blur();
		}
	}
}




/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Funktion zum ?ffnen, schlie?en und f?llen der Impressumsbox  */
function impressumbox(impressum) {

	ibox = document.getElementById('impressumbox');

	if (ibox.style.display == 'block') {
		ibox.style.display = 'none';
		ibox.style.zIndex = -200; 
		ibox.innerHTML = '';
	} else {
		ibox.style.display = 'block';
		ibox.style.zIndex = 200; 
		ibox.innerHTML = impressum;
	}
}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ warte ein paar Millisekunden  */
function sleep(ms){

	var zeit=(new Date()).getTime();
	var stoppZeit=zeit+ms;
	while((new Date()).getTime()<stoppZeit){};

} 

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Funktion zum ?ffnen eines Fensters  */
function output(link, title) {

    if(title == "") 
    	title = "ConceptERP";

	PDFWindow=window.open(link, title, "resizable=yes,scrollbars=yes,status=no,toolbar=no,menubar=no");
	PDFWindow.focus();

}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Funktion zum ?ffnen des Druck-Ausgabe-Fensters  */
function PDFOutput(link) {

	PDFWindow=window.open(link, "PDFAusgabe", "resizable=yes,scrollbars=yes,status=no,toolbar=no,menubar=no");
	PDFWindow.focus();

}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Funktion zum ?ffnen des Druck-Ausgabe-Fensters  */
function dtausexport(link) {
	
	dtausexport=window.open(link, "DTAUSexport", "resizable=yes,scrollbars=yes,status=no,toolbar=no,menubar=no");
	dtausexport.focus();

}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Funktion zum ?ffnen des Contentordner-Ausgabe-Fensters  */
function ContentOutput(link) {
	
	ContentWindow=window.open(link, "ContentOrdnerAusgabe", "resizable=no,scrollbars=no,status=no,toolbar=no,menubar=no,width=20,height=10");
	ContentWindow.focus();

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* bei ?nderung eines Listenfeldes Merker abfragen und setzen */    
function aenderung_in_liste(x) {
	if(document.getElementById('fehlerbox')) {
		document.getElementById('fehlerbox').style.display = 'none';
	}

	if (aenderungsmerker > 0 && !in_array(x.name, aenderungsmerker_last) && !x.ajaxid) {
		alert("In einer anderen Datenzeile sind Aenderungen noch nicht uebernommen worden!\n\nBitte die roten Markierungen am Ende der Zeilen beachten!")
	}

	if(!in_array(x.name, aenderungsmerker_last)) {
		aenderungsmerker_last[aenderungsmerker_last.length] = x.name;
		aenderungsmerker++;
		// x.aenderung.style.backgroundColor="#ff0000";
		x.aenderung.style.backgroundImage="url('config/pics/aenderungsanzeiger_send.png')";
		x.aenderung.title="Die Daten dieser Datenzeile muessen noch uebernommen werden";
	} else {
		log.info('&Auml;nderung bereits bekannt! Position '+in_array_wo(x.name, aenderungsmerker_last));
	}

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* beim Zur?cksetzen eines Listenfeldes Merker l?schen */    
function aenderung_in_liste_reset(x) {
	aenderung_in_liste_reset2();
	// x.aenderung.style.backgroundColor="#00ff00";
	x.aenderung.style.backgroundImage="url('config/pics/aenderungsanzeiger_ok.png')";
	x.aenderung.title="Die Werte dieser Datenzeile sind aktuell";
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Aenderungsmerker zuruecksetzen */    
function aenderung_in_liste_reset2() {
	if (aenderungsmerker > 0) {
		aenderungsmerker_last = arraydel(aenderungsmerker_last, aenderungsmerker_last.length - 1);
		aenderungsmerker--;
	}
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* AJAX Meldungsbox schliessen */   
function ajax_meldungsbox_close() {
	document.getElementById('meldungsbox').style.display = 'none';
	document.getElementById('meldungsbox').style.zIndex = -100;
}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* bei verlassen der Seite Merker abfragen und ggf. warnen */
function unload() {
	if (aenderungsmerker > 0) {
		return confirm("Es sind noch nicht alle Aenderungen uebernommen worden!\nBitte die roten Markierungen am Ende der Zeilen beachten!\n\nWollen Sie die Aenderungen wirklich verwerfen?");
	}
}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* versteckten Layer auf einer Seite suchen */
function findLayer(n,d) {

	var p,i,x;  
	if(!d) d=document; 
	if((p=n.indexOf("?"))>0&&parent.frames.length) {
		d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
	if(!(x=d[n])&&d.all) x=d.all[n];   
	for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
	for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=findLayer(n,d.layers[i].document);
	if(!x && d.getElementById) x=d.getElementById(n); 
	return x;
}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* versteckten Layer auf einer Seite anzeigen */
function showLayer() {

	var g,b,k,f,args=showLayer.arguments;
	var a = parseInt(args[0]);

	if(isNaN(a))a=0;
	if(!document.p7setc) {
		p7c=new Array();
		document.p7setc=true;

		for (var u=0;u<10;u++) {
			p7c[u] = new Array();
		}
	}

	for(k=1; k<args.length; k++) {
		if((g=findLayer(args[k])) != null) {
			b=(document.layers)?g:g.style; {if (b.visibility!="visible") { b.visibility="visible" }else{ b.visibility="hidden" }};f=false;
			for(j=0;j<p7c[a].length;j++) {
				if(args[k]==p7c[a][j]) {
					f=true;
				}
			}
			if(!f) {
				p7c[a][p7c[a].length++]=args[k];
			}
		}
	}

}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Layer auf einer Seite ausblenden */
function hideLayer() {

	var g,b,k,f,args=hideLayer.arguments;
	var a = parseInt(args[0]);

	if(isNaN(a))a=0;
	if(!document.p7setc) {
		p7c=new Array();
		document.p7setc=true;

		for (var u=0;u<10;u++) {
			p7c[u] = new Array();
		}
	}

	for(k=1; k<args.length; k++) {
		if((g=findLayer(args[k])) != null) {
			b=(document.layers)?g:g.style;b.visibility="hidden";f=false;
			for(j=0;j<p7c[a].length;j++) {
				if(args[k]==p7c[a][j]) {
					f=true;
				}
			}
			if(!f) {
				p7c[a][p7c[a].length++]=args[k];
			}
		}
	}

}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Test auf g?ltiges Datumsfeld und markiere es ggf. rot */
function check_datum (x, y) {

	if (x.value == "") return;

	x.style.backgroundColor = '#eeeeee'
		x.value = parseInt(x.value, 10);

	if (isNaN(x.value)) x.value = 0;

	switch(y) {
	case "tag":
		if (x.value < 1 || x.value > 31) x.style.backgroundColor = '#ffaaaa';
		break;
	case "monat":
		if (x.value < 1 || x.value > 12) x.style.backgroundColor = '#ffaaaa';
		break;
	case "jahr":
		if (x.value < 1900 || x.value > 2029) x.style.backgroundColor = '#ffaaaa';
		break;
	}
}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Submen?-Leiste */   

document.onmousemove = submenuScrollPos;
submenuBreite = 0;
submenuMaxBreite = 0;
submenuOffset = 0;
submenuScrollActive = false;

function findPosX(obj) {
	var curleft = 0;
	if(obj.offsetParent)
		while(1) {
			curleft += obj.offsetLeft;
			if(!obj.offsetParent)
				break;
			obj = obj.offsetParent;
		}
	else if(obj.x)
		curleft += obj.x;
	return curleft;
}

function findPosY(obj) {
	var curtop = 0;
	if(obj.offsetParent)
		while(1) {
			curtop += obj.offsetTop;
			if(!obj.offsetParent)
				break;
			obj = obj.offsetParent;
		}
	else if(obj.y)
		curtop += obj.y;
	return curtop;
}



function submenuScrollPos(ereignis) {
	if(submenuScrollActive == true) {
		posx = document.all ? window.event.clientX : ereignis.pageX;
		var ScrollPos = Math.floor((submenuBreite - submenuMaxBreite) / 100 * ((posx - submenuOffset) / ((submenuMaxBreite-20) / 100))-10);
		submenuScrollTo(ScrollPos);
	}
}


function submenuScrollOnLoad(position, anzahl)
{
	submenuBreite = document.getElementById('submenu_table').offsetWidth;
	submenuMaxBreite = document.getElementById('submenu_outerframe').offsetWidth;

	if (submenuBreite > submenuMaxBreite) {
		var currentPos = document.getElementById('submenu_srcollframe').scrollLeft;  
		var ScrollOffset = Math.floor((submenuBreite - submenuMaxBreite) / anzahl * position);
		document.getElementById('submenu_srcollframe').scrollLeft+=ScrollOffset; 
	}
}


function submenuScrollTo(position) {
	var currentPos = document.getElementById('submenu_srcollframe').scrollLeft;
	var ScrollOffset = position - currentPos;

	document.getElementById('submenu_srcollframe').scrollLeft+=ScrollOffset; 
}


function submenuStartScroll()
{

	submenuBreite = document.getElementById('submenu_table').offsetWidth;
	submenuOffset = findPosX(document.getElementById('submenu_outerframe'));
	submenuMaxBreite = document.getElementById('submenu_outerframe').offsetWidth;

	if (submenuBreite > submenuMaxBreite) {
		submenuScrollActive = true;
	}
}


function submenuStopScroll()
{
	submenuScrollActive = false;
}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Preis nach Berechnung zur Anzeige formatieren */    
function formatierung_preis(x) {
	var preisNeu = "";
	var preis = x.toString();
	preis += (preis.indexOf('.') == -1)? '.00' : '00';
	var p = preis.indexOf('.');
	var m = preis.indexOf('-.');
	var f = (p == 0 || m == 0)? '0,' : ',';

	preis = preis.substring(0, p) + f + preis.substring(p+1, p+6);
	
	preisNeu = preis.substring(0, preis.indexOf(',')+3);

	var abschneiden = true;
	var rearpart = "";

	for(var i = (preis.length-1); i > preis.indexOf(',')+2; i--)
	{
		if(preis[i] != "0" && preis[i] != "") abschneiden = false;
		if (!abschneiden) rearpart = preis[i] + rearpart;
	}
	
	preisNeu += rearpart + " " + String.fromCharCode(8364);

	return preisNeu;
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Kommazahl nach Berechnung zur Anzeige formatieren */    
function formatierung_double(x) {

	var k = (Math.round(x * 100) / 100).toString();
	k += (k.indexOf('.') == -1)? '.00' : '00';
	var p = k.indexOf('.'), m = k.indexOf('-.');
	var f = (p == 0 || m == 0)? '0,' : ',';
	return k.substring(0, p) + f + k.substring(p+1, p+3);

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* textarea auf n Zeichen bei der Eingabe bergrenzen */    
function formatierung_textarea(x,n) {

	uebrig = n - x.value.length;

	if (uebrig < 0) {
		x.value = x.value.substr(0,n);        
	}

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ersetze Kommas durch Punkte zur Berechnung (l?sche vorher alle Punkte) */    
function kommazupunkt(x) {
	x = x.replace(".","");
	x = x.replace(/,/,".");
	return x;
}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Netto-Brutto-Berechnung bei Rechnungsposten */    
function rechnungsposten_nettozubrutto(x) {
	
	netto = parseFloat(kommazupunkt(x.dtPreisNetto.value));
	mwstsatz = parseFloat(kommazupunkt(x.dtMwstSatz.value));
	menge = parseFloat(kommazupunkt(x.dtMenge.value));

	brutto = parseFloat(netto + (netto * mwstsatz / 100));
	nettogesamt = parseFloat(netto * menge);
	bruttogesamt = parseFloat((netto * menge) + ((netto * menge) * mwstsatz / 100));

	if(typeof(x.dtMaterialpostenRabatt) == 'object')
	{
		rabatt = parseFloat(kommazupunkt(x.dtMaterialpostenRabatt.value));

		if(rabatt > 0)
		{
			x.dtPreisNettoRabatt.value = formatierung_preis(netto - netto / 100 * rabatt);
			x.dtGesamtNettoRabatt.value = formatierung_preis(nettogesamt - nettogesamt / 100 * rabatt);
			x.dtPreisBruttoRabatt.value = formatierung_preis(brutto - brutto / 100 * rabatt);
			x.dtGesamtBruttoRabatt.value = formatierung_preis(bruttogesamt - bruttogesamt / 100 * rabatt);
		}
	}

	x.dtPreisNetto.value = formatierung_preis(netto);
	x.dtPreisBrutto.value = formatierung_preis(brutto);
	x.dtGesamtNetto.value = formatierung_preis(nettogesamt);
	x.dtGesamtBrutto.value = formatierung_preis(bruttogesamt);
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Brutto-Netto-Berechnung bei Rechnungsposten */    
function rechnungsposten_bruttozunetto(x) {
	brutto = parseFloat(kommazupunkt(x.dtPreisBrutto.value));
	mwstsatz = parseFloat(kommazupunkt(x.dtMwstSatz.value));
	menge = parseFloat(kommazupunkt(x.dtMenge.value));

	netto = parseFloat(brutto / (mwstsatz + 100) * 100);
	nettogesamt = parseFloat(netto * menge);
	bruttogesamt = parseFloat((netto * menge) + ((netto * menge) * mwstsatz / 100));

	if(typeof(x.dtMaterialpostenRabatt) == 'object')
	{
		rabatt = parseFloat(kommazupunkt(x.dtMaterialpostenRabatt.value));

		if(rabatt > 0)
		{
			x.dtPreisNettoRabatt.value = formatierung_preis(netto - netto / 100 * rabatt);
			x.dtGesamtNettoRabatt.value = formatierung_preis(nettogesamt - nettogesamt / 100 * rabatt);
			x.dtPreisBruttoRabatt.value = formatierung_preis(brutto - brutto / 100 * rabatt);
			x.dtGesamtBruttoRabatt.value = formatierung_preis(bruttogesamt - bruttogesamt / 100 * rabatt);
		}
	}

	x.dtPreisNetto.value = formatierung_preis(netto);
	x.dtPreisBrutto.value = formatierung_preis(brutto);
	x.dtGesamtNetto.value = formatierung_preis(nettogesamt);
	x.dtGesamtBrutto.value = formatierung_preis(bruttogesamt);
}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Netto-Brutto-Berechnung bei RechnungsZEITposten */    
function rechnungszeitposten_nettozubrutto(x) {
	netto = parseFloat(kommazupunkt(x.dtPreisNetto.value));
	mwstsatz = parseFloat(kommazupunkt(x.dtMwstSatz.value));
	menge = parseFloat(kommazupunkt(x.dtMenge.value));
	zusatzzeit = parseFloat(kommazupunkt(x.dtZusatzzeitenPreisNetto.value));

	nettogesamt = parseFloat(netto * menge);
	nettogesamtpreis = parseFloat((netto * menge) + zusatzzeit);
	bruttogesamt = parseFloat((netto * menge) + zusatzzeit + (((netto * menge) + zusatzzeit) * mwstsatz / 100));

	x.dtPreisNetto.value = formatierung_preis(netto);
	x.dtGesamtNetto.value = formatierung_preis(nettogesamt);
	x.dtGesamtPreisNetto.value = formatierung_preis(nettogesamtpreis);
	x.dtGesamtBrutto.value = formatierung_preis(bruttogesamt);
}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Summe alle ausgew?hlten Belege in der Multi-Select-Box Ums?tze->Neu->Belege */    
function summe_umsaetze_belege(x) { 

	var selectedArraySplit = new Array();
	var betrag = 0;
	var belege = "";
	var i;

	belegelen = x.belegzuordnung.length;   
	var oBelegListe = document.getElementById("belegzuordnungID");
	
	for ( i=0; i<belegelen ; i++){
		if (x.belegzuordnung.options[i].selected == true && x.belegzuordnung.options[i].style.display == 'block') {      
			selectedArraySplit = x.belegzuordnung.options[i].text.split('(offen: ');
			betrag = betrag + parseFloat(kommazupunkt(selectedArraySplit[1].substr(0, selectedArraySplit[1].indexOf(' '))));

			selectedArraySplit = x.belegzuordnung.options[i].text.split(' | ');
			belege = belege + selectedArraySplit[0] + ";";
		}
	}

	x.belegeselected.value = belege;
	x.summebelege.value = formatierung_preis(betrag);

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Summe alle ausgew?hlten Rechnungen in der Multi-Select-Box Ums?tze->Neu->Rechnungen */    
function summe_umsaetze_rechnungen(x) { 

	var selectedArraySplit = new Array();
	var betrag = 0;
	var rechnungen = "";
	var i;

	rechnungenlen = x.rechnungzuordnung.length;   

	for ( i=0; i<rechnungenlen ; i++){
		if (x.rechnungzuordnung.options[i].selected == true && x.rechnungzuordnung.options[i].style.display == 'block') {      
			selectedArraySplit = x.rechnungzuordnung.options[i].text.split('(offen: ');
			betrag = betrag + parseFloat(kommazupunkt(selectedArraySplit[1].substr(0, selectedArraySplit[1].indexOf(' '))));

			selectedArraySplit = x.rechnungzuordnung.options[i].text.split(' | ');
			rechnungen = rechnungen + selectedArraySplit[0] + ";";
		}
	}

	x.rechnungenselected.value = rechnungen;
	x.summerechnungen.value = formatierung_preis(betrag);
}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Berechnung von Betraegen fuer Material */
function material_vk (x)
{
	x.dtPreisEK.value = formatierung_preis(kommazupunkt(x.dtPreisEK.value));

	vk = parseFloat(kommazupunkt(x.dtPreisVK1.value));

	if (vk == 0)
	{
		x.dtPreisVK1.value = x.dtPreisEK.value;
	}

}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Zusatzfenster */ 
function zusatzfenster(target, typ, titel, jsonload, hoehe, breite, args) {
	link = "zusatzfenster.php?target="+ target +"&typ="+ typ + "&jsonload="+ jsonload + "&titel="+ titel + args;
	eingabefenster = window.open(link, target, "resizable=no,scrollbars=no,status=no,toolbar=no,menubar=no,dependent=yes,width="+ breite +",height="+ hoehe);
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Zusatzfenster Artikelvariante ausw?hlen */ 
function fenster_artikelvariante (sessionid, target) {

	artikelid = document.getElementById('artikel').value;
	if (!artikelid) alert("Bitte waehlen Sie zunaechst einen Artikel aus.");
	else {
		link = "zusatzfenster.php?PHPSESSID=" + sessionid + "&target=" + target + "&typ=fenster-artikelvarianten&artikelid=" + artikelid + "&titel=Artikelvariante_auswaehlen";
		eingabefenster=window.open(link,"Artikelvarianten","resizable=yes,scrollbars=yes,status=no,toolbar=no,menubar=no,dependent=yes,width=" + 650 + ",height=" + 440);
	}
}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Zusatzfenster Artikelvariante absenden */ 
function fenster_artikelvariante_close () {

	var variantenarray = new Array();

	// suche alle relevanten Formularfelder
	obj = document.getElementsByTagName('input');
	for(i=0;i<obj.length;i++) {
		if (obj[i].name.substr(0,9) == 'variante_') {
			// baue Array mit Varianten-Auswahl
			variantenarray[obj[i].name] = obj[i].value;
		}
	}
	obj = document.getElementsByTagName('select');
	for(i=0;i<obj.length;i++) {
		if (obj[i].name.substr(0,9) == 'variante_') {

			// gehe durch alle Elemente des Selects und pr?fe ob sie ausgew?hlt sind
			multi = '';
			for (var n = 0; n < obj[i].options.length; n++) {
				if (obj[i].options[n].selected) {
					multi = multi + obj[i].options[n].value + ";";
				}
			}
			// baue Array mit Varianten-Auswahl
			variantenarray[obj[i].name] = multi;
		}
	}


	// ?bergebe serialisiertes Array an Hauptfenster
	opener.document.getElementById('dtVariante').value = php_serialize(variantenarray);
	self.close();
}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Aufsummierung von Prozentwerten */
function gewichtsanteile (x,art) {

	if (art == "1" || art == "2") {

		val1 = parseFloat(kommazupunkt(x.dtMaterialGewichtsAnteil.value));
		val2 = parseFloat(kommazupunkt(x.dtFarbeGewichtsAnteil.value));

		x.dtMaterialGewichtsAnteil.value = formatierung_double(val1); 
		x.dtFarbeGewichtsAnteil.value = formatierung_double(val2); 
		x.dtSonstigesGewichtsAnteil.value = formatierung_double(100 - val1 - val2);    

	} else {

		val1 = parseFloat(kommazupunkt(x.dtMaterialGewichtsAnteil.value));
		val3 = parseFloat(kommazupunkt(x.dtSonstigesGewichtsAnteil.value));

		x.dtMaterialGewichtsAnteil.value = formatierung_double(val1); 
		x.dtFarbeGewichtsAnteil.value = formatierung_double(100 - val1 - val3); 
		x.dtSonstigesGewichtsAnteil.value = formatierung_double(val3);    

	}

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Zeitanzeige in Men? */
function ZeitAnzeigen () {

	var Wochentagname = new Array("Sonntag", "Montag", "Dienstag", "Mittwoch",
			"Donnerstag", "Freitag", "Samstag");
	var Jetzt = new Date();
	var Tag = Jetzt.getDate();
	var Monat = Jetzt.getMonth() + 1;
	var Jahr = Jetzt.getYear();
	if (Jahr < 999)
		Jahr += 1900;
	var Stunden = Jetzt.getHours();
	var Minuten = Jetzt.getMinutes();
	var Sekunden = Jetzt.getSeconds();
	var WoTag = Jetzt.getDay();
	var Vortag = (Tag < 10) ? "0" : "";
	var Vormon = (Monat < 10) ? ".0" : ".";
	var Vorstd = (Stunden < 10) ? "0" : "";
	var Vormin = (Minuten < 10) ? ":0" : ":";
	var Vorsek = (Sekunden < 10) ? ":0" : ":";
	var Datum = Vortag + Tag + Vormon + Monat + "." + Jahr;
	var Uhrzeit = Vorstd + Stunden + Vormin + Minuten + Vorsek + Sekunden;
	var GesamtDatum = Datum;
	var GesamtUhrzeit = Uhrzeit;

	if (DHTML) {
		if (NS4) {
			setContent("id", "Uhr", null, '<span class="Tag">' + Wochentagname[WoTag] + "<\/span>");
			setContent("id", "Uhr", null, '<span class="Datum">' + GesamtDatum + "<\/span>");
			setContent("id", "Uhr", null, '<span class="Uhr">' + GesamtUhrzeit + "<\/span>");
		} else {
			setContent("id", "Tag", null, Wochentagname[WoTag]);
			setContent("id", "Datum", null, GesamtDatum);
			setContent("id", "Uhr", null, GesamtUhrzeit);
		}
		window.setTimeout("ZeitAnzeigen()", 1000);
	}
}


function ZeitAusblenden()
{
	$("#Tag").hide();
	$("#Datum").hide();
	$("#Uhr").hide();
	$("#Laden").show();

}

function ZeitEinblenden()
{
	$("#Laden").hide();
	$("#Tag").show();
	$("#Datum").show();
	$("#Uhr").show();
}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* in_array */
function in_array(item,arr) {
	if(typeof(arr) == 'object') {
		for(p=0;p<arr.length;p++) {
			if (item == arr[p]) return true;
		}
	}
	return false;
}

function in_array_wo(item,arr) { // Gibt die position zurueck. True und False muessen ebenfalls einer Typpruefung unterzogen werden (===, !==)!
	if(typeof(arr) == 'object') {
		for(p=0;p<arr.length;p++) {
			if (item == arr[p]) return p;
		}
	}
	return false;
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* php_serialize */
/*
 * PHP Serialize
 * Morten Amundsen
 * mor10am@gmail.com
 */
function php_serialize(obj)
{
	var string = '';

	if (typeof(obj) == 'object') {
		if (obj instanceof Array) {
			string = 'a:';
			tmpstring = '';
			count = 0;
			for (var key in obj) {
				tmpstring += php_serialize(key);
				tmpstring += php_serialize(obj[key]);
				count++;
			}
			string += count + ':{';
			string += tmpstring;
			string += '}';
		} else if (obj instanceof Object) {
			classname = obj.toString();

			if (classname == '[object Object]') {
				classname = 'StdClass';
			}

			string = 'O:' + classname.length + ':"' + classname + '":';
			tmpstring = '';
			count = 0;
			for (var key in obj) {
				tmpstring += php_serialize(key);
				if (obj[key]) {
					tmpstring += php_serialize(obj[key]);
				} else {
					tmpstring += php_serialize('');
				}
				count++;
			}
			string += count + ':{' + tmpstring + '}';
		}
	} else {
		switch (typeof(obj)) {
		case 'number':
			if (obj - Math.floor(obj) != 0) {
				string += 'd:' + obj + ';';
			} else {
				string += 'i:' + obj + ';';
			}
			break;
		case 'string':
			string += 's:' + obj.length + ':"' + obj + '";';
			break;
		case 'boolean':
			if (obj) {
				string += 'b:1;';
			} else {
				string += 'b:0;';
			}
			break;
		}
	}

	return string;
}

function htmlentities (string, quote_style) {
	// Convert all applicable characters to HTML entities  
	// 
	// version: 909.322
	// discuss at: http://phpjs.org/functions/htmlentities    // +   original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	// +    revised by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	// +   improved by: nobbler
	// +    tweaked by: Jack
	// +   bugfixed by: Onno Marsman    // +    revised by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	// +    bugfixed by: Brett Zamir (http://brett-zamir.me)
	// +      input by: Ratheous
	// -    depends on: get_html_translation_table
	// *     example 1: htmlentities('Kevin & van Zonneveld');    // *     returns 1: 'Kevin &amp; van Zonneveld'
	// *     example 2: htmlentities("foo'bar","ENT_QUOTES");
	// *     returns 2: 'foo&#039;bar'
	var hash_map = {}, symbol = '', tmp_str = '', entity = '';
	tmp_str = string.toString();    
	if (false === (hash_map = this.get_html_translation_table('HTML_ENTITIES', quote_style))) {
		return false;
	}
	hash_map["'"] = '&#039;';    for (symbol in hash_map) {
		entity = hash_map[symbol];
		tmp_str = tmp_str.split(symbol).join(entity);
	}
	return tmp_str;
}

function get_html_translation_table (table, quote_style) {
	// Returns the internal translation table used by htmlspecialchars and htmlentities  
	// 
	// version: 909.322
	// discuss at: http://phpjs.org/functions/get_html_translation_table    // +   original by: Philip Peterson
	// +    revised by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	// +   bugfixed by: noname
	// +   bugfixed by: Alex
	// +   bugfixed by: Marco    // +   bugfixed by: madipta
	// +   improved by: KELAN
	// +   improved by: Brett Zamir (http://brett-zamir.me)
	// +   bugfixed by: Brett Zamir (http://brett-zamir.me)
	// +      input by: Frank Forte    // +   bugfixed by: T.Wild
	// +      input by: Ratheous
	// %          note: It has been decided that we're not going to add global
	// %          note: dependencies to php.js, meaning the constants are not
	// %          note: real constants, but strings instead. Integers are also supported if someone    // %          note: chooses to create the constants themselves.
	// *     example 1: get_html_translation_table('HTML_SPECIALCHARS');
	// *     returns 1: {'"': '&quot;', '&': '&amp;', '<': '&lt;', '>': '&gt;'}

	var entities = {}, hash_map = {}, decimal = 0, symbol = '';    var constMappingTable = {}, constMappingQuoteStyle = {};
	var useTable = {}, useQuoteStyle = {};

	// Translate arguments
	constMappingTable[0]      = 'HTML_SPECIALCHARS';    constMappingTable[1]      = 'HTML_ENTITIES';
	constMappingQuoteStyle[0] = 'ENT_NOQUOTES';
	constMappingQuoteStyle[2] = 'ENT_COMPAT';
	constMappingQuoteStyle[3] = 'ENT_QUOTES';
	useTable       = !isNaN(table) ? constMappingTable[table] : table ? table.toUpperCase() : 'HTML_SPECIALCHARS';
	useQuoteStyle = !isNaN(quote_style) ? constMappingQuoteStyle[quote_style] : quote_style ? quote_style.toUpperCase() : 'ENT_COMPAT';

	if (useTable !== 'HTML_SPECIALCHARS' && useTable !== 'HTML_ENTITIES') {
		throw new Error("Table: "+useTable+' not supported');        // return false;
	}

	entities['38'] = '&amp;';
	if (useTable === 'HTML_ENTITIES') {        entities['160'] = '&nbsp;';
	entities['161'] = '&iexcl;';
	entities['162'] = '&cent;';
	entities['163'] = '&pound;';
	entities['164'] = '&curren;';        entities['165'] = '&yen;';
	entities['166'] = '&brvbar;';
	entities['167'] = '&sect;';
	entities['168'] = '&uml;';
	entities['169'] = '&copy;';        entities['170'] = '&ordf;';
	entities['171'] = '&laquo;';
	entities['172'] = '&not;';
	entities['173'] = '&shy;';
	entities['174'] = '&reg;';        entities['175'] = '&macr;';
	entities['176'] = '&deg;';
	entities['177'] = '&plusmn;';
	entities['178'] = '&sup2;';
	entities['179'] = '&sup3;';        entities['180'] = '&acute;';
	entities['181'] = '&micro;';
	entities['182'] = '&para;';
	entities['183'] = '&middot;';
	entities['184'] = '&cedil;';        entities['185'] = '&sup1;';
	entities['186'] = '&ordm;';
	entities['187'] = '&raquo;';
	entities['188'] = '&frac14;';
	entities['189'] = '&frac12;';        entities['190'] = '&frac34;';
	entities['191'] = '&iquest;';
	entities['192'] = '&Agrave;';
	entities['193'] = '&Aacute;';
	entities['194'] = '&Acirc;';        entities['195'] = '&Atilde;';
	entities['196'] = '&Auml;';
	entities['197'] = '&Aring;';
	entities['198'] = '&AElig;';
	entities['199'] = '&Ccedil;';        entities['200'] = '&Egrave;';
	entities['201'] = '&Eacute;';
	entities['202'] = '&Ecirc;';
	entities['203'] = '&Euml;';
	entities['204'] = '&Igrave;';        entities['205'] = '&Iacute;';
	entities['206'] = '&Icirc;';
	entities['207'] = '&Iuml;';
	entities['208'] = '&ETH;';
	entities['209'] = '&Ntilde;';        entities['210'] = '&Ograve;';
	entities['211'] = '&Oacute;';
	entities['212'] = '&Ocirc;';
	entities['213'] = '&Otilde;';
	entities['214'] = '&Ouml;';        entities['215'] = '&times;';
	entities['216'] = '&Oslash;';
	entities['217'] = '&Ugrave;';
	entities['218'] = '&Uacute;';
	entities['219'] = '&Ucirc;';        entities['220'] = '&Uuml;';
	entities['221'] = '&Yacute;';
	entities['222'] = '&THORN;';
	entities['223'] = '&szlig;';
	entities['224'] = '&agrave;';        entities['225'] = '&aacute;';
	entities['226'] = '&acirc;';
	entities['227'] = '&atilde;';
	entities['228'] = '&auml;';
	entities['229'] = '&aring;';        entities['230'] = '&aelig;';
	entities['231'] = '&ccedil;';
	entities['232'] = '&egrave;';
	entities['233'] = '&eacute;';
	entities['234'] = '&ecirc;';        entities['235'] = '&euml;';
	entities['236'] = '&igrave;';
	entities['237'] = '&iacute;';
	entities['238'] = '&icirc;';
	entities['239'] = '&iuml;';        entities['240'] = '&eth;';
	entities['241'] = '&ntilde;';
	entities['242'] = '&ograve;';
	entities['243'] = '&oacute;';
	entities['244'] = '&ocirc;';        entities['245'] = '&otilde;';
	entities['246'] = '&ouml;';
	entities['247'] = '&divide;';
	entities['248'] = '&oslash;';
	entities['249'] = '&ugrave;';        entities['250'] = '&uacute;';
	entities['251'] = '&ucirc;';
	entities['252'] = '&uuml;';
	entities['253'] = '&yacute;';
	entities['254'] = '&thorn;';        entities['255'] = '&yuml;';
	}

	if (useQuoteStyle !== 'ENT_NOQUOTES') {
		entities['34'] = '&quot;';    }
	if (useQuoteStyle === 'ENT_QUOTES') {
		entities['39'] = '&#39;';
	}
	entities['60'] = '&lt;';    entities['62'] = '&gt;';


	// ascii decimals to real symbols
	for (decimal in entities) {        symbol = String.fromCharCode(decimal);
	hash_map[symbol] = entities[decimal];
	}

	return hash_map;
}

function arraydel(arr, position) {

	for (var x = 0; x < arr.length; ++x) {

		if (x >= position) {

			arr[x] = arr[x + 1];
		}

	} arr.pop();

	return arr
};

function print_r( array, return_val ) {
	// http://kevin.vanzonneveld.net
	// +   original by: Michael White (http://crestidg.com)
	// +   improved by: Ben Bryan
	// *     example 1: print_r(1, true);
	// *     returns 1: 1

	var output = "", pad_char = " ", pad_val = 4;

	var formatArray = function (obj, cur_depth, pad_val, pad_char) {
		if (cur_depth > 0) {
			cur_depth++;
		}

		var base_pad = repeat_char(pad_val*cur_depth, pad_char);
		var thick_pad = repeat_char(pad_val*(cur_depth+1), pad_char);
		var str = "";

		if (obj instanceof Array || obj instanceof Object) {
			str += "Array\n" + base_pad + "(\n";
			for (var key in obj) {
				if (obj[key] instanceof Array) {
					str += thick_pad + "["+key+"] => "+formatArray(obj[key], cur_depth+1, pad_val, pad_char);
				} else {
					str += thick_pad + "["+key+"] => " + obj[key] + "\n";
				}
			}
			str += base_pad + ")\n";
		} else if(obj == null || obj == undefined) {
			str = '';
		} else {
			str = obj.toString();
		}

		return str;
	};

	var repeat_char = function (len, pad_char) {
		var str = "";
		for(var i=0; i < len; i++) { 
			str += pad_char; 
		};
		return str;
	};
	output = formatArray(array, 0, pad_val, pad_char);

	if (return_val !== true) {
		document.write("<pre>" + output + "</pre>");
		return true;
	} else {
		return output;
	}
}

function strip_tags (input, allowed) {
	allowed = (((allowed || "") + "").toLowerCase().match(/<[a-z][a-z0-9]*>/g) || []).join(''); // making sure the allowed arg is a string containing only tags in lowercase (<a><b><c>)
	var tags = /<\/?([a-z][a-z0-9]*)\b[^>]*>/gi,
	commentsAndPhpTags = /<!--[\s\S]*?-->|<\?(?:php)?[\s\S]*?\?>/gi;
	return input.replace(commentsAndPhpTags, '').replace(tags, function ($0, $1) {
		return allowed.indexOf('<' + $1.toLowerCase() + '>') > -1 ? $0 : '';
	});
}

function toggle(elem, state, buttonName) {
	if(elem.style.display == 'block' && state != 'show') {
		elem.style.display = 'none';
	} else {
		elem.style.display = 'block';
	}

	if(buttonName)
	{
		zuButton = document.getElementById('clickbutton_zu_' + buttonName);
		aufButton = document.getElementById('clickbutton_auf_' + buttonName);

		if(elem.style.display == 'block')
		{
			zuButton.style.display = '';
			aufButton.style.display = 'none';
		}
		else 
		{
			zuButton.style.display = 'none';
			aufButton.style.display = '';
		}

	}
}

function toggleName(name, state, buttonName)
{
	toggle(document.getElementById(name), state, buttonName);
}

/*
 * Wechselt im Wiedervorlageformular zwischen Besitzer / Gruppe
 */
function wiedervorlage_switchUserGroup(formular)
{
	if(formular.form.elements["owner"][0].checked) {
		formular.form.elements["fiBenutzer_text"].disabled = false;
		formular.form.elements["fiGruppe_text"].disabled = true;
	} else {
		formular.form.elements["fiBenutzer_text"].disabled = true;
		formular.form.elements["fiGruppe_text"].disabled = false;
	}
}

function trim(str, chars) {
	return ltrim(rtrim(str, chars), chars);
}

function ltrim(str, chars) {
	chars = chars || "\\s";
	return str.replace(new RegExp("^[" + chars + "]+", "g"), "");
}

function rtrim(str, chars) {
	chars = chars || "\\s";
	return str.replace(new RegExp("[" + chars + "]+$", "g"), "");
}

function textsucheCheckMinLength(suchString, minLength)
{
	strTrimmed = trim(suchString);

	if(strTrimmed.length < minLength && strTrimmed.length > 0) {
		alert("Die Suche kann nicht mit weniger als " + minLength + " Zeichen gestartet werden!");
		return false;
	} else {
		return true;
	}
}

function umsatzbkauswahl(x)
{
	umsatz = parseFloat(kommazupunkt(x.dtValutaBetrag.value));

	if (umsatz < 0)
	{
		x.fiBuchungsKonto.value = -2;
		x.fiBuchungsKonto_text.value = "Zuordnung zu Rechnung";
		x.fiBuchungsKonto_text_orig.value = "Zuordnung zu Rechnung";
	}
}

function updateAutoEK(x)
{
	x.dtEKAuto.checked = false;
	x.dtPreisNetto.style.backgroundColor = "#eeeeee";
	x.dtPreisBrutto.style.backgroundColor = "#eeeeee";
	x.dtGesamtNetto.style.backgroundColor = "#eeeeee";
	x.dtGesamtBrutto.style.backgroundColor = "#eeeeee";
}

function variantenbutton_onoff(inputfield, buttonid)
{
	alert(inputfield.value);

}


function mbakVorhangkonfigurator(id)
{
	if(id == "")
		{
			return;
		}
	
	if(window.XMLHttpRequest)
		{
			xmlhttp = new XMLHttpRequest();
		}
	else
		{
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
	xmlhttp.onreadystatechange=function()
	  {
	  if (xmlhttp.readyState==4 && xmlhttp.status==200)
	    {
	    document.getElementById("txtHint").innerHTML=xmlhttp.responseText;
	    }
	  }
	xmlhttp.open("GET","mainajax.php?q="+str,true);
	xmlhttp.send();
	
	
}

function textHeight($str)
{

	  $ary = explode("\n", $str);
	  $style = '';
	  if(is_array($ary) && count($ary)>1) {
	    $height = 18 * count($ary);
	    
	    $style=$height;
	  }
	  return $style;
}

function checkboxAendern($sCheckbox)
{
	var $oCheckbox = document.getElementById($sCheckbox);
	if ($oCheckbox.value == 1)
		$oCheckbox.value = 0;
	else
		$oCheckbox.value = 1;

	if (id == "") {
		return;
	}

	if (window.XMLHttpRequest) {
		xmlhttp = new XMLHttpRequest();
	} else {
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("txtHint").innerHTML = xmlhttp.responseText;
		}
	}

	xmlhttp.open("GET", "main_ajax.php?ajaxtarget=saveSession&name="+$sCheckbox+"&value="+$oCheckbox.value, true);
	xmlhttp.send();

}

function changeCheckbox(sName)
{
	/*
	 * Alle Checkboxen werden durch eine Checkbox deaktiviert bzw. aktiviert
	 * 
	 */
	if($('input:checkbox[name='+sName.name+']').is(':checked'))
	{
		$('input:checkbox:not(":checked")').attr('checked',true);
	}
	else
	{
		$('input:checkbox:checked').attr('checked',false);
	}
	
}

function changeSummeBetrag(sName, sWert)
{
	document.getElementById(sName).value = sWert;
}

function isRealDate(txtDate, separator,direction) {
    var aoDate,           // needed for creating array and object
        ms,               // date in milliseconds
        month, day, year; // (integer) month, day and year

    if(!direction)
    	direction = "";
    
    // if separator is not defined then set '/'
    if (separator === undefined) {
        separator = '/';
    }

    // split input date to month, day and year
    aoDate = txtDate.split(separator);

    // array length should be exactly 3 (no more no less)
    if (aoDate.length !== 3) {
        return false;
    }

    // define month, day and year from array (expected format is m/d/yyyy)
    // subtraction will cast variables to integer implicitly
    month = aoDate[0] - 1; // because months in JS start from 0
    day = aoDate[1] - 0;
    year = aoDate[2] - 0;
    // test year range
    if (year < 1000 || year > 4000) {
        return false;
    }


    // convert input date to milliseconds
    ms = (new Date(year, month, day)).getTime();
    // initialize Date() object from milliseconds (reuse aoDate variable)
    aoDate = new Date();
    aoDate.setTime(ms);

    if(direction == "-"){
        // compare input date and parts from Date() object
        if (aoDate.getFullYear() !== year) {

        	if(day == 0 && month == 0){
        		day = "31";
        		month = "12";
        		year--;
        	}
            }else if(aoDate.getDate() !== day || aoDate.getMonth() !== month){
            	
            		for(var i = 31; i >= 28; i--){
            			day = i;

            			if(aoDate.getDate() !== day)
            				continue;
            			else
            				break;
            		}
     		
                	if(month < 8)
                		month = "0" + (month);
                	else
                		month = (month);

            }else{
            	
            	if(day < 10){
            		day = "0" + day;
            	}
            	if(month < 9){
            		month = "0" + (month + 1);
            }else{
            		month = (month + 1);
            }
            	}
    }else{
    // compare input date and parts from Date() object
    if (aoDate.getFullYear() !== year) {
    	if(day == 32 && month == 11){
    		day = "01";
    		month = "01";   		
    		year++;
    	}
        }else if(aoDate.getDate() !== day || aoDate.getMonth() !== month){
        		day = "01";
            	if(month < 8)
            		month = "0" + (month + 2);
            	else
            		month = (month + 2);
        	
            	
        }else{
        	
        	if(day < 10){
        		day = "0" + day;
        	}
        	
        	if(month < 9){
        		month = "0" + (month + 1);
        }else{
        		month = (month + 1);
        }
        	}
    }

    var aDate = new Array(day,month,year);

    // date is OK, return date
    return aDate;
}




