<?php

/*
 * Wird nach dem Anlegen eines Artikels aufgerufen
 * und sorgt fr das Anlegen der Artikelcontents
 *
 * Achtung: Wird auch von Riflona Task aufgerufen!
 */
if (! function_exists ( "artikelAngelegt" )) {
	function artikelAngelegt($id) {
		global $sql_query, $tblkontakte, $aktdatum, $standard_content_berechtigung, $tblcontent, $zarafa_standard_gruppen, $tblartikel, $tblartikelvarianten;
		
		$query = $sql_query ["artikelliste"] . " and $tblartikel.id = " . $id;
		$aArtikel = get_table_row ( $query );
		
		if (get_table_count ( "SELECT fiArtikel FROM $tblcontent WHERE fiArtikel LIKE '%;" . $id . ";%'" ) < 1) {
			$field = array ();
			$field ["dtContentNr"] = contentnummer_neu ();
			$field ["dtDatum"] = $aktdatum;
			$field ["dtBerechtigung"] = $standard_content_berechtigung;
			$field ["dtZeit"] = time_to_sql ( date ( "H:i" ) );
			$field ["fiAutor"] = $_SESSION ['benutzerkontaktid'];
			$field ["fiArtikel"] = ";" . $id . ";";
			$field ["fiContentTyp"] = 1;
			$field ["dtUeberschrift"] = "Dateien zu Artikel " . $aArtikel ["dtArtikel"] . " (" . $aArtikel ["dtEigeneArtikelNr"] . ")";
			
			$id = insert_into_table ( $tblcontent, $field );
		} else {
			$aContent = get_table_row ( "SELECT id FROM $tblcontent WHERE fiArtikel LIKE '%;" . $id . ";%' LIMIT 1" );
			$id = $aContent ["id"];
		}
		
		$ordner = returnContentOrdner ( $id );
		@mkdir ( $ordner );
		@chmod ( $ordner, 0777 );
		
		$sQueryVarianten = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = " . $aArtikel ["Artikel_id"];
		$aVarianten = get_table_array ( $sQueryVarianten );
		
		if (count ( $aVarianten ) > 0) {
			foreach ( $aVarianten as $aVariante ) {
				$sOrdnerVariante = $ordner . "/" . $aVariante ["dtGruppenArtikelNrPrefix"] . $aVariante ["dtArtikelVariantenNr"];
				@mkdir ( $sOrdnerVariante );
				
				foreach ( array (
						"riflona_de",
						"riflona24_de",
						"yatego",
						"ebay" 
				) as $sSchnittstelle ) {
					@mkdir ( join ( "/", array (
							$sOrdnerVariante,
							$sSchnittstelle 
					) ) );
				}
			}
		}
		
		foreach ( array (
				"riflona_de",
				"riflona24_de",
				"yatego",
				"ebay" 
		) as $sSchnittstelle ) {
			@mkdir ( join ( "/", array (
					$ordner,
					$sSchnittstelle 
			) ) );
		}
	}
}

?>