<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01 Transitional//EN'>

<html>
<head>
<title>Installation | conceptERP | LW-Systems</title>

<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>
<link rel='shortcut icon' href='config/pics/erpicon.ico'>
<link rel='icon' href='config/pics/erpicon.ico'>


<link rel="stylesheet" type="text/css" href="install.css">

<script src="../functions/js/erpjavascript_zeiten.js"
	type="text/javascript"></script>

<script src="../functions/js/erpjavascript_dhtml.js"
	type="text/javascript"></script>
<script src="../functions/js/erpjavascript_calendarpopup.js"
	type="text/javascript"></script>
<script src="../functions/js/erpajax.js" type="text/javascript"></script>
<script src="../functions/js/erpajaxevents.js" type="text/javascript"></script>
<script src="../functions/js/erpajaxreturns.js" type="text/javascript"></script>
<script src="../functions/js/erppassword.js" type="text/javascript"></script>
<style type="text/css">
.strong-0 {
	width: 50px;
	background-color: #ff0000;
}

.strong-1 {
	width: 70px;
	background-color: #ff0000;
}

.strong-2 {
	width: 90px;
	background-color: #ff2c00;
}

.strong-3 {
	width: 110px;
	background-color: #ff4d00;
}

.strong-4 {
	width: 130px;
	background-color: #ff7300;
}

.strong-5 {
	width: 150px;
	background-color: #ff9900;
}

.strong-6 {
	width: 170px;
	background-color: #ffc700;
}

.strong-7 {
	width: 190px;
	background-color: #ffff00;
}

.strong-8 {
	width: 210px;
	background-color: #b6ff00;
}

.strong-9 {
	width: 230px;
	background-color: #53e200;
}

.strong-10 {
	width: 250px;
	background-color: #00e200;
}
</style>
</head>

<body>



<?php
include_once ("functions.php");

if (file_exists ( "install.lock" ))
	die ( "Bitte die Datei install/install.lock loeschen!" );
	
	/*
 * Eingaben pr�fen
 */

if ($schritt == 1) {
	if ($_POST ['akzeptiert'] != "akzeptiert") {
		$fehlermeldung = "Die Lizenz muss akzeptiert werden!";
		$schritt = 0;
	}
}

if ($schritt == 2) {
	$config = "<?php
\$hostip = '';
\$user = '';
\$userpwd = '';
\$dbname = '';
?>";
	@file_put_contents ( "../config/config-sqlserver.php", $config );
}

if ($schritt == 4) {
	/*
	 * Mysql Daten pr�fen
	 */
	if (! mysql_connect ( $_POST ['Host'], $_POST ['Benutzername'], $_POST ['Passwort'] ) || ! mysql_select_db ( $_POST ['Datenbankname'] )) {
		$fehlermeldung = "Die MySQL Zugangsdaten sind nicht korrekt!";
		$schritt = 3;
	} else {
		
		$config = "<?php
\$hostip = '" . $_POST ['Host'] . "';
\$user = '" . $_POST ['Benutzername'] . "';
\$userpwd = '" . $_POST ['Passwort'] . "';
\$dbname = '" . $_POST ['Datenbankname'] . "';
\$dbencoding = 'latin';
?>";
		
		file_put_contents ( "../config/config-sqlserver.php", $config );
		
		include ("../config/config-sqlserver.php");
		mysql_connect ( $hostip, $user, $userpwd );
		mysql_select_db ( $dbname );
		parse_mysql_dump ( "install.sql", true );
	}
}

if ($schritt == 5) {
	if (strlen ( $_POST ['Passwort'] ) < 5 || $_POST ['Passwort'] != $_POST ['Passwort_wiederholen']) {
		$fehlermeldung = "Das gew&auml;hlte Passwort muss mindestens 5 Zeichen lang sein. Ausserdem m&uuml;ssen beide Passwortfelder &uuml;bereinstimmen.";
		$schritt = 4;
	} else {
		include ("../config/config-sqlserver.php");
		mysql_connect ( $hostip, $user, $userpwd );
		mysql_select_db ( $dbname );
		
		setPassword ( "admin", $_POST ['Passwort'] );
	}
}

?>

<div id="mitte">
		<div id="logo"></div>
		<div id="inhalt">
			<h1>Installation</h1>

			<div style="color: red;"><?php
			if (strlen ( $fehlermeldung ) > 0) {
				echo $fehlermeldung;
			}
			?></div>
			<br>

<?php

// Lizenz
if ($schritt == 0) {
	echo "Willkommen zur Installation von conceptERP!<br>In den n&auml;chsten Schritten wird conceptERP eingerichtet.<br><br>";
	echo "Bitte lesen und best&auml;tigen Sie zun&auml;chst die Lizenzvereinbarung:<br><br>";
	
	$lizenztext = file_get_contents ( "lizenz.txt" );
	echo "<textarea id=\"lizenz\">";
	echo htmlentities ( $lizenztext );
	echo "</textarea>";
	
	echo "<form action=\"" . $PHP_SELF . "?schritt=1\" method=\"POST\">";
	echo "<input type=\"hidden\" name=\"submitted\">";
	echo "<input type=\"checkbox\" name=\"akzeptiert\" value=\"akzeptiert\"> Ich habe die Lizenzvereinbarung gelesen und best&auml;tige sie hiermit.<br>";
	
	echo "<br><br><input type=\"submit\" value=\"Weiter &gt;\">";
	echo "</form>";
}

// Systemcheck
elseif ($schritt == 1) {
	echo "In diesem Schritt werden einige Systemtests ausgef&uuml;hrt.<br><br>";
	echo "conceptERP kann auch bei fehlgeschlagenen Tests installiert werden. Es kann dann jedoch keine vollst&auml;ndige Funktionsgarantie gegeben werden.<br><br>";
	
	echo "<table class=\"text\" style=\"border: 1px solid #fff;\">";
	echo "<tr><td width=\"250\">Wert</td><td width=\"100\">Minimum</td><td width=\"100\">Optimal</td><td width=\"100\">Zustand</td></tr>";
	
	// safe_mode
	if (ini_get ( "safe_mode" ) == null or ini_get ( "safe_mode" ) == 0) {
		$zustand = "Off";
	} else {
		$zustand = "<span style=\"color: red;\">On</span>";
	}
	
	echo "<tr><td>PHP safe_mode</td><td>Off</td><td>Off</td><td>" . $zustand . "</td></tr>";
	
	// max_execution_time
	if (ini_get ( "max_execution_time" ) > 60 and ini_get ( "max_execution_time" ) < 600) {
		$zustand = "<span style=\"color: orange;\">" . ini_get ( "max_execution_time" ) . "</span>";
	} elseif (ini_get ( "max_execution_time" ) >= 600) {
		$zustand = ini_get ( "max_execution_time" );
	} else {
		$zustand = "<span style=\"color: red;\">?</span>";
	}
	
	echo "<tr><td>PHP max_execution_time</td><td>&gt; 60</td><td>&gt; 600</td><td>" . $zustand . "</td></tr>";
	
	// max_input_time
	if (ini_get ( "max_input_time" ) > 60 and ini_get ( "max_input_time" ) < 300) {
		$zustand = "<span style=\"color: orange;\">" . ini_get ( "max_input_time" ) . "</span>";
	} elseif (ini_get ( "max_input_time" ) >= 300) {
		$zustand = ini_get ( "max_input_time" );
	} else {
		$zustand = "<span style=\"color: red;\">?</span>";
	}
	
	echo "<tr><td>PHP max_input_time</td><td>&gt; 60</td><td>&gt; 300</td><td>" . $zustand . "</td></tr>";
	
	// allow_url_fopen
	if (ini_get ( "allow_url_fopen" ) == null or ini_get ( "allow_url_fopen" ) == 0) {
		$zustand = "<span style=\"color: red;\">Off</span>";
	} else {
		$zustand = "On";
	}
	
	echo "<tr><td>PHP allow_url_fopen</td><td>On</td><td>On</td><td>" . $zustand . "</td></tr>";
	
	// file_uploads
	if (ini_get ( "file_uploads" ) == null or ini_get ( "file_uploads" ) == 0) {
		$zustand = "<span style=\"color: red;\">Off</span>";
	} else {
		$zustand = "On";
	}
	
	echo "<tr><td>PHP file_uploads</td><td>On</td><td>On</td><td>" . $zustand . "</td></tr>";
	
	// memory_limit
	if (return_bytes ( ini_get ( "memory_limit" ) ) > 134217728 and return_bytes ( ini_get ( "memory_limit" ) ) < 268435456) {
		$zustand = "<span style=\"color: orange;\">" . ini_get ( "memory_limit" ) . "</span>";
	} elseif (return_bytes ( ini_get ( "memory_limit" ) ) >= 268435456) {
		$zustand = ini_get ( "memory_limit" );
	} else {
		$zustand = "<span style=\"color: red;\">" . ini_get ( "memory_limit" ) . "</span>";
	}
	
	echo "<tr><td>PHP memory_limit</td><td>&gt; 128M</td><td>&gt; 256M</td><td>" . $zustand . "</td></tr>";
	
	// post_max_size
	if (return_bytes ( ini_get ( "post_max_size" ) ) > 8388608 and return_bytes ( ini_get ( "post_max_size" ) ) < 12582912) {
		$zustand = "<span style=\"color: orange;\">" . ini_get ( "post_max_size" ) . "</span>";
	} elseif (return_bytes ( ini_get ( "post_max_size" ) ) >= 12582912) {
		$zustand = ini_get ( "post_max_size" );
	} else {
		$zustand = "<span style=\"color: red;\">" . ini_get ( "post_max_size" ) . "</span>";
	}
	
	echo "<tr><td>PHP post_max_size</td><td>&gt; 8M</td><td>&gt; 12M</td><td>" . $zustand . "</td></tr>";
	
	// upload_max_filesize
	if (return_bytes ( ini_get ( "upload_max_filesize" ) ) > 16777216 and return_bytes ( ini_get ( "upload_max_filesize" ) ) < 67108864) {
		$zustand = "<span style=\"color: orange;\">" . ini_get ( "upload_max_filesize" ) . "</span>";
	} elseif (return_bytes ( ini_get ( "upload_max_filesize" ) ) >= 67108864) {
		$zustand = ini_get ( "upload_max_filesize" );
	} else {
		$zustand = "<span style=\"color: red;\">" . ini_get ( "upload_max_filesize" ) . "</span>";
	}
	
	echo "<tr><td>PHP upload_max_filesize</td><td>&gt; 16M</td><td>&gt; 64M</td><td>" . $zustand . "</td></tr>";
	
	// pdftk
	echo "<tr><td>PDFTk</td><td colspan=3><center>muss installiert sein</center></td></tr>";
	
	echo "</table>";
	
	echo "<form action=\"" . $PHP_SELF . "?schritt=2\" method=\"POST\">";
	echo "<input type=\"hidden\" name=\"submitted\">";
	
	echo "<br><br><input type=\"submit\" value=\"Weiter &gt;\">";
	echo "</form>";
}

// Dateirechte pruefen
elseif ($schritt == 2) {
	echo "In diesem Schritt werden die Dateiberechtigungen &uuml;berpr&uuml;ft.<br><br>Eventuelle Fehler sollten behoben werden, um eine korrekte Funktion zu gew&auml;hrleisten.";
	echo "Damit der Updatemechanismus funktioniert, muss auf <u>alle</u> Dateien ein Schreibzugriff f&uuml;r den Benutzeraccount des Webservers (&uuml;blicherweise wwwrun oder www-data) m&ouml;glich sein.<br><br>";
	
	$array_beschreibbar [] = "content/belegarchiv";
	$array_beschreibbar [] = "content/kundenmahnungarchiv";
	$array_beschreibbar [] = "content/bestellungarchiv";
	$array_beschreibbar [] = "content/buchungsexport";
	$array_beschreibbar [] = "content/content";
	$array_beschreibbar [] = "content/tmp";
	$array_beschreibbar [] = "content/vorlagen";
	$array_beschreibbar [] = "config/config-sqlserver.php";
	
	$array_dateifehler [] = array ();
	
	foreach ( $array_beschreibbar as $ordnerdatei ) {
		if (! is_writeable ( "../" . $ordnerdatei ) || ! file_exists ( "../" . $ordnerdatei )) {
			echo "<span style=\"color: red;\">";
			
			if (is_file ( "../" . $ordnerdatei )) {
				echo "Datei ";
			} else {
				echo "Ordner ";
			}
			
			$array_dateifehler [] = $ordnerdatei;
			
			if ($ordnerdatei == "config/config-sqlserver.php") {
				echo "<i>" . $ordnerdatei . "</i> ist nicht beschreibbar! Diese muss manuell angelegt werden.</span><br>";
			} else {
				echo "<i>" . $ordnerdatei . "</i> ist nicht beschreibbar!</span><br>";
			}
		}
	}
	
	if (! in_array ( "config/config-sqlserver.php", $array_dateifehler )) {
		echo "<form action=\"" . $PHP_SELF . "?schritt=3\" method=\"POST\">";
		echo "<input type=\"hidden\" name=\"submitted\">";
		
		echo "<br><br><input type=\"submit\" value=\"Weiter &gt;\">";
		echo "</form>";
	}
}

// Zugang zur Datenbank abfragen
elseif ($schritt == 3) {
	echo "In diesem Schritt wird eine Datenbankverbindung aufgebaut und eine Datenbank eingerichtet.<br>";
	echo "Bitte geben Sie die Zugangsdaten zur MySQL-Datenbank ein:<br><br>";
	
	echo "<form action=\"" . $PHP_SELF . "?schritt=4\" method=\"POST\">";
	echo "<input type=\"hidden\" name=\"submitted\">";
	
	echo "<table>";
	echo "<tr><td>Host:</td><td><input type=\"text\" name=\"Host\" value=\"" . $_POST ['Host'] . "\"></td></tr>";
	echo "<tr><td>Benutzername:</td><td><input type=\"text\" autocomplete=\"off\" name=\"Benutzername\" value=\"" . $_POST ['Benutzername'] . "\"></td></tr>";
	echo "<tr><td>Passwort:</td><td><input type=\"password\" autocomplete=\"off\" name=\"Passwort\" value=\"" . $_POST ['Passwort'] . "\"></td></tr>";
	echo "<tr><td>Datenbankname:</td><td><input type=\"text\" name=\"Datenbankname\" value=\"" . $_POST ['Datenbankname'] . "\"></td></tr>";
	echo "</table>";
	
	echo "<br><br><input type=\"submit\" value=\"Weiter &gt;\">";
	echo "</form>";
}

// Datenbank einrichten
elseif ($schritt == 4) {
	echo "Die Datenbank wurde eingerichtet!<br><br>";
	echo "Bitte legen Sie nun ein Passwort f&uuml;r den Admin-Benutzer fest:<br>";
	
	echo "<form action=\"" . $PHP_SELF . "?schritt=5\" method=\"POST\">";
	echo "<input type=\"hidden\" name=\"submitted\">";
	
	echo "<table>";
	echo "<tr><td>Passwort:</td><td><input type=\"password\" autocomplete=\"off\" onkeyup=\"document.getElementById('strongness').style.display = 'block'; checkPass(this.value, 'strongness', 'strong', 'strongness', new Array('Schlecht', 'Mittel', 'Gut', 'Sehr Gut'));\" name=\"Passwort\"></td></tr>";
	echo "<tr><td>Passwort wiederholen:</td><td><input type=\"password\" autocomplete=\"off\" name=\"Passwort_wiederholen\"></td></tr>";
	echo "<tr><td>Passwortsicherheit:</td><td><div id=\"strongness\" style=\"height:15px; display: none;\" class=\"strong-0\"></div></td></tr>";
	echo "</table>";
	
	echo "<br><br><input type=\"submit\" value=\"Weiter &gt;\">";
	echo "</form>";
}

// Fertig
elseif ($schritt == 5) {
	
	echo "Die Installation ist hiermit fertiggestellt.";
	
	if (is_writable ( "install.lock" )) {
		touch ( "install.lock" );
	} else {
		echo " Sie sollten das Verzeichnis install jetzt l&ouml;schen.";
	}
}

?>
</div>
	</div>
</body>
</html>
