<?php
$benutzerrechte = array ();

// lade aktuelle Rechtestruktur des Benutzers (Gruppenrechte und Benutzerrechte)
if ($benutzer_row ["dtArrayRechte"] != "" or $_SESSION ["gruppenrechte"] != "") {
	
	$benutzerrechte = array_merge_recursive ( ( array ) unserialize ( $_SESSION ["gruppenrechte"] ), ( array ) unserialize ( $benutzer_row ["dtArrayRechte"] ) );
	
	// das Recht sein Passwort zu ndern hat man immer
	$benutzerrechte ["passwort"] [] = "send";
	$benutzerrechte ["passwort"] [] = "show";
	
	// die folgenden Targets sind an die Rechte anderer Targets gekoppelt und knnen nicht unabhngig gesetzt werden
	if (check_link_permission ( "kontakte", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["kontakte"] [] = "fenster-adressenexport";
	}
	
	if (check_link_permission ( "boekerumsaetze", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["boekerumsaetze"] [] = "send_projekt";
	}
	
	if (check_link_permission ( "kunden", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["kunden"] [] = "fenster-adressenexport";
	}
	
	if (check_link_permission ( "lieferanten", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["lieferanten"] [] = "fenster-adressenexport";
	}
	
	if (check_link_permission ( "mitarbeiter", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["mitarbeiter"] [] = "fenster-adressenexport";
	}
	
	if (check_link_permission ( "mitarbeiter2", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["mitarbeiter2"] [] = "fenster-adressenexport";
	}
	
	if (check_link_permission ( "ansprechpartner", "list", $benutzerrechte ) == true) {
		$benutzerrechte ["ansprechpartner"] [] = "fenster-adressenexport";
	}
	
	if (check_link_permission ( "belege", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["belege"] [] = "statusaendern";
	}
	
	if (check_link_permission ( "belegmaterialposten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["belegmaterialposten"] [] = "pos_up";
		$benutzerrechte ["belegmaterialposten"] [] = "pos_down";
		$benutzerrechte ["belegmaterialposten"] [] = "fenster-artikelvarianten";
		$benutzerrechte ["belegmaterialposten"] [] = "fenster-belegmaterialpostenneu";
	}
	
	if (check_link_permission ( "rechnungposten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["rechnungposten"] [] = "fenster-artikelvarianten";
	}
	
	if (check_link_permission ( "lagerartikelinventur", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["lagerartikelinventur"] [] = "fenster-artikelvarianten";
	}
	
	if (check_link_permission ( "lagerartikelproduktion", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["lagerartikelproduktion"] [] = "fenster-artikelvarianten";
	}
	
	if (check_link_permission ( "kluthbelegmaterialposten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["kluthbelegmaterialposten"] [] = "fenster-artikelvarianten";
	}
	
	if (check_link_permission ( "lwsbelegmaterialposten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["lwsbelegmaterialposten"] [] = "fenster-artikelvarianten";
	}
	
	if (check_link_permission ( "belegzeitposten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["belegzeitposten"] [] = "zusatzzeit";
		$benutzerrechte ["belegzeitposten"] [] = "zusatzzeitsend";
		$benutzerrechte ["belegzeitposten"] [] = "zusatzzeitloeschen";
		$benutzerrechte ["belegzeitposten"] [] = "projektzeitsend";
		$benutzerrechte ["belegzeitposten"] [] = "projektzeitabgerechnetsend";
	}
	
	if (check_link_permission ( "lagerartikel", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["lagerartikel"] [] = "vk_auto";
	}
	
	if (check_link_permission ( "lagerartikelstueckliste", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["lagerartikelstueckliste"] [] = "kopierenvon";
		$benutzerrechte ["lagerartikelstueckliste"] [] = "fenster-artikelvarianten";
	}
	
	if (check_link_permission ( "lagerartikelstueckliste", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["lagerartikelstueckliste"] [] = "variantenauswahl";
	}
	
	if (check_link_permission ( "lagerartikelvariantenbestand", "list", $benutzerrechte ) == true) {
		$benutzerrechte ["lagerartikelstueckliste"] [] = "variantenauswahl";
	}
	
	if (check_link_permission ( "lagerartikelattribute", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["lagerartikelattribute"] [] = "variantenauswahl";
	}
	
	if (check_link_permission ( "preisgruppen", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["preisgruppen"] [] = "vk_auto";
	}
	
	if (check_link_permission ( "bestellungen", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["bestellungen"] [] = "statusaendern";
	}
	
	if (check_link_permission ( "bestellungmaterialposten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["bestellungmaterialposten"] [] = "pos_up";
		$benutzerrechte ["bestellungmaterialposten"] [] = "pos_down";
		$benutzerrechte ["bestellungmaterialposten"] [] = "fenster-artikelvarianten";
	}
	
	if (check_link_permission ( "bestellungdruckinfos", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["bestellungdruckinfos"] [] = "stdtexte";
		$benutzerrechte ["bestellungdruckinfos"] [] = "setadraltlieferant";
		$benutzerrechte ["bestellungdruckinfos"] [] = "setadraltdelete";
		$benutzerrechte ["bestellungdruckinfos"] [] = "setadrlieferkunde";
		$benutzerrechte ["bestellungdruckinfos"] [] = "setadrlieferendkunde";
		$benutzerrechte ["bestellungdruckinfos"] [] = "setadrlieferdelete";
	}
	
	if (check_link_permission ( "bestellungen", "send", $benutzerrechte ) == true and check_link_permission ( "bestellungmaterialposten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["bestellungen"] [] = "send_inklbestellungposten";
	}
	
	if (check_link_permission ( "stempelzeiten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["stempelzeiten"] [] = "manuellerfassen";
	}
	
	if (check_link_permission ( "bankkonten", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["bankkonten"] [] = "list";
	}
	
	if (check_link_permission ( "arbeitszeiten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["arbeitszeiten"] [] = "send_urlaub";
		$benutzerrechte ["arbeitszeiten"] [] = "send_gleitzeit";
	}
	
	if (check_link_permission ( "projektzeiten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["projektzeiten"] [] = "zusatzzeit";
		$benutzerrechte ["projektzeiten"] [] = "sendgeprueft";
		$benutzerrechte ["projektzeiten"] [] = "sendabgerechnet";
		$benutzerrechte ["projektzeiten"] [] = "fenster-projektzeitenexport";
	}
	
	if (check_link_permission ( "lwsprojektzeiten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["lwsprojektzeiten"] [] = "zusatzzeit";
		$benutzerrechte ["lwsprojektzeiten"] [] = "sendgeprueft";
		$benutzerrechte ["lwsprojektzeiten"] [] = "sendabgerechnet";
		$benutzerrechte ["lwsprojektzeiten"] [] = "fenster-projektzeitenexport";
	}
	
	if (check_link_permission ( "projektzeiten", "list", $benutzerrechte ) == true) {
		$benutzerrechte ["projektzeiten"] [] = "fenster-projektzeitenexport";
	}
	
	if (check_link_permission ( "rechnungen", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["rechnungen"] [] = "statusaendern";
		$benutzerrechte ["umsaetze"] [] = "statusaenderung";
	}
	
	if (check_link_permission ( "belege", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["umsaetze"] [] = "statusaenderung";
	}
	
	if (check_link_permission ( "umsaetze", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["umsaetze"] [] = "datumaendern";
	}
	
	if (check_link_permission ( "projekte", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["projekte"] [] = "fenster-projektexport";
	}
	
	if (check_link_permission ( "stundenkontrolle", "drucken", $benutzerrechte ) == true) {
		$benutzerrechte ["stundenkontrolle"] [] = "drucken2";
	}
	
	if (check_link_permission ( "stundenkontrolle", "drucken", $benutzerrechte ) == true) {
		$benutzerrechte ["stundenkontrolle"] [] = "drucken3";
	}
	
	if (check_link_permission ( "bilanzlager", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["bilanzlager"] [] = "fenster-bilanzlagerexport";
	}
	
	if (check_link_permission ( "bilanzbuchungskonten", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["bilanzbuchungskonten"] [] = "fenster-buchungskontenexport";
	}
	
	if (check_link_permission ( "rechnungen", "list", $benutzerrechte ) == true) {
		$benutzerrechte ["rechnungen"] [] = "fenster-dtausexport";
	}
	
	if (check_link_permission ( "belege", "list", $benutzerrechte ) == true) {
		$benutzerrechte ["belege"] [] = "fenster-dtausexport";
	}
	
	if (check_link_permission ( "logindaten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["logindaten"] [] = "loeschen";
	}
	
	if (check_link_permission ( "qualitaetssicherungschritte", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["qualitaetssicherungschritte"] [] = "signieren";
		$benutzerrechte ["qualitaetssicherungschritte"] [] = "pos_down";
		$benutzerrechte ["qualitaetssicherungschritte"] [] = "pos_up";
	}
	
	if (check_link_permission ( "projektteilprojekte", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["projektartikel"] [] = "teilprojekte-erzeugen";
	}
	
	if (check_link_permission ( "projektartikel", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["projektartikel"] [] = "fenster-artikelvarianten";
	}
	
	if (check_link_permission ( "contentdateien", "loeschen", $benutzerrechte ) == true) {
		$benutzerrechte ["contentdateien"] [] = "alleloeschen";
	}
	
	if (check_link_permission ( "konfiguration", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["konfiguration"] [] = "sendkopfgrafik";
	}
	
	if (check_link_permission ( "konfiguration", "list", $benutzerrechte ) == true) {
		$benutzerrechte ["konfiguration"] [] = "show";
	}
	
	if (check_link_permission ( "content", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["mailarchiv"] [] = "import";
	}
	
	if (check_link_permission ( "mailarchiv", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["mailarchiv"] [] = "download";
	}
	
	if (check_link_permission ( "druckvorlagen", "loeschen", $benutzerrechte ) == true) {
		$benutzerrechte ["druckvorlagen"] [] = "layoutloeschen";
	}
	
	if (check_link_permission ( "personaldaten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["personaldaten"] [] = "syncallcontacts";
	}
	
	if (check_link_permission ( "update", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["update"] [] = "retry";
	}
	
	if (check_link_permission ( "wiedervorlagen", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["wiedervorlagen"] [] = "fenster-wiedervorlagehinzu";
		$benutzerrechte ["wiedervorlagen"] [] = "setzeerledigt";
	}
	
	if (check_link_permission ( "lagerartikelvarianten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["lagerartikelvarianten"] [] = "sendneugruppe";
		$benutzerrechte ["lagerartikelvarianten"] [] = "sendvariante";
	}
	
	if (check_link_permission ( "lagerartikelimport", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["lagerartikelimport"] [] = "send";
	}
	
	if (check_link_permission ( "kontaktimport", "show", $benutzerrechte ) == true) {
		$benutzerrechte ["kontaktimport"] [] = "send";
	}
	
	if (check_link_permission ( "projektartikelplanung", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["projektartikelplanung"] [] = "planung-zu-verbrauch";
		$benutzerrechte ["projektartikelplanung"] [] = "fenster-artikelvarianten";
	}
	
	if (check_link_permission ( "lwsbelegmaterialposten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["lwsbelegmaterialposten"] [] = "pos_up";
		$benutzerrechte ["lwsbelegmaterialposten"] [] = "pos_down";
		$benutzerrechte ["lwsbelegmaterialposten"] [] = "fenster-artikelvarianten";
	}
	
	if (check_link_permission ( "kluthbelegmaterialposten", "send", $benutzerrechte ) == true) {
		$benutzerrechte ["kluthbelegmaterialposten"] [] = "pos_up";
		$benutzerrechte ["kluthbelegmaterialposten"] [] = "pos_down";
		$benutzerrechte ["kluthbelegmaterialposten"] [] = "fenster-artikelvarianten";
	}
}

if (function_exists ( rechteverwaltung_custom )) {
	$benutzerrechte = rechteverwaltung_custom ( $benutzerrechte );
}

?>
