<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ berprfung, ob gelscht werden darf

// ++++ nicht lschen, wenn es Projekte gibt
$query = $sql_query ["projektliste"] . " and $tblprojekte.fiKundeAnsprechpartner = " . $subid;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Es sind Projekte zu diesem Ansprechpartner vorhanden", $target, $typ, $id, $subtarget, "show", $subid );

// ++++ nicht lschen, wenn es Projekte gibt (Endkunde)
$query = $sql_query ["projektliste"] . " and $tblprojekte.fiEndkundeAnsprechpartner = " . $subid;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Es gibt Projekte, die diesen Ansprechpartner als Endkunden haben", $target, $typ, $id, $subtarget, "show", $subid );

// ++++ nicht lschen, wenn es Belege gibt
$query = $sql_query ["belegliste"] . " and $tblbelege.fiKundeAnsprechpartner = " . $subid;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Es sind Belege zu diesem Ansprechpartner vorhanden (Kunde)", $target, $typ, $id, $subtarget, "show", $subid );

// ++++ nicht lschen, wenn es Belege gibt
$query = $sql_query ["belegliste"] . " and $tblbelege.fiEndkundeAnsprechpartner = " . $subid;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Es sind Belege zu diesem Ansprechpartner vorhanden (Endkunde)", $target, $typ, $id, $subtarget, "show", $subid );

// ++++ nicht lschen, wenn es Belege gibt, die diesen ASP als alternativen ASP haben
$query = $sql_query ["belegdruckinfoliste"] . " and $tblbelegdruckinfo.fiAlternativASP = " . $subid;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Dieser Ansprechpartner ist bei Belegen bei den Druck-Infos eingetragen", $target, $typ, $id, $subtarget, "show", $subid );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche den Datensatz
delete_from_table ( $tblkontaktasp, $subid );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Mailverteiler
delete_all_from_table ( $tblmailverteiler, "fiKontaktASP", $subid );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zarafa-Sync
if ($zarafa_kontakt_sync_aktiv == 1 and (($zarafa_sync_kunden == 1 and $field_new ["dtIstKunde"] == 1) or ($zarafa_sync_lieferanten == 1 and $field_new ["dtIstLieferant"] == 1) or ($zarafa_sync_mitarbeiter == 1 and $field_new ["dtIstMitarbeiter"] == 1) or ($zarafa_sync_sonstigekontakte == 1 and $field_new ["dtIstKunde"] == 0 and $field_new ["dtIstLieferant"] == 0 and $field_new ["dtIstMitarbeiter"] == 0))) {
	zarafa_sync_kontakt_loeschen ( $subid, "asp" );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
include ($targetsordner . "/" . $subtarget . "/" . $typ . ".php");

?>
