<?php
$lieferantid = $field ["fiLieferant"];

// Kurze oder lange Liste
if ($_SESSION ['minmaxstatus'] [$target] != "min") {
	$listenhoehe = 390;
} else {
	$listenhoehe = 580;
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ neuer Posten
unset ( $field );
$field ["dtMwstSatz"] = $stdmwstsatz;
$field ["fiBuchungsKonto"] = $standardbuchhaltungskonto_bestellungmaterialposten;
$field ["dtMenge"] = 1;

// MwSt. Overwrite wenn der Lieferant eine besondere Anganbe zum MwstSatz in den Stammdaten hat

$query_mwst = $sql_query ["mwstsatzkundenliste"] . " and $tblmwstsatzkunden.fiKunde = $lieferantid";
if (get_table_count ( $query_mwst ) != 0) {
	$field_lieferant_mwst = get_table_row ( $query_mwst );
	if ($field_lieferant_mwst ["dtMwstSatzTyp"] != 0) {
		$field ["dtMwstSatz"] = 0;
	}
}

/*
 * - Tabellenabfragen starten
 * - Ergebnisse in _einem_ Array speichern
 * - Array durchgehen und nach dtPosNr ein zweites Array aufbauen. Hierbei auf Eintrge aufpassen, die die gleiche dtPosNr haben.
 * - Neues Array sortieren
 * - Neuformular anzeigen
 * - Neues Array durchgehen und die passenden Formulare includen
 */

$sQueryMaterialposten = $sql_query ["bestellungmaterialpostenliste"] . " and $tblbestellungen.id = " . $id . " order by $tblbestellungmaterialposten.dtPosNr";
$aMaterialpostenListe = get_table_array ( $sQueryMaterialposten );

$sQueryFreitextposten = $sql_query ["bestellungpostenliste"] . " and $tblbestellungen.id = " . $id . " order by $tblbestellungposten.dtPosNr";
$aFreitextpostenListe = get_table_array ( $sQueryFreitextposten );

$aListeAlle = array_merge ( ( array ) $aMaterialpostenListe, ( array ) $aFreitextpostenListe );
$liste = array ();

$iAnzahlGesamt = count ( $aListeAlle );
$iZaehlerAddition = 0;

for($i = 0; $i < $iAnzahlGesamt; $i ++) {
	$iPos = ( int ) $aListeAlle [$i] ["dtPosNr"];
	
	if (isset ( $liste [$iPos] )) {
		$iZaehlerAddition ++;
	}
	
	$liste [$iPos + $iZaehlerAddition] = $aListeAlle [$i];
}

unset ( $aListeAlle, $aFreitextpostenListe, $aMaterialpostenListe );
ksort ( $liste ); // Array sortieren

if (count ( $liste ) < 1) {
	$bShowMaterialpostenNeu = true;
	$bShowFreitextpostenNeu = true;
} else {
	if ($bDarstellungBelegpostenUmgekehrt) {
		$liste = array_reverse ( $liste );
		$aFirst = array_shift ( array_values ( $liste ) );
	} else {
		$aFirst = array_pop ( array_values ( $liste ) );
	}
	
	if (isset ( $aFirst ["BestellungMaterialPosten_id"] )) {
		$bShowMaterialpostenNeu = true;
		$bShowFreitextpostenNeu = false;
	} else {
		$bShowMaterialpostenNeu = false;
		$bShowFreitextpostenNeu = true;
	}
	
	unset ( $aFirst );
}

if ($readonly != "readonly") {
	include ("$elementsordner/$subtarget/bestellungmaterialpostenneuformular.php");
	include ("$elementsordner/$subtarget/bestellungfreitextpostenneuformular.php");
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ alle Posten anzeigen
echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td class=\"formularrahmen_oben\"></td></tr>";
echo "</table>";

echo "<div style=\"height: " . $listenhoehe . "px; overflow: auto; background-color: " . $bgcolor_formular . ";\">";

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";

if (count ( $liste ) > 0) {
	foreach ( $liste as $listenzeile_id => $field ) {
		// +++++++++++ Formular anzeigen
		if (isset ( $field ["BestellungMaterialPosten_id"] )) {
			if ($field ["dtBestellpostenRabatt"] > 0) {
				if ($belegmaterialposten_rabattpreise_detailanzeige) {
					$rabattpreise_anzeigen = 1;
				} else {
					$rabattpreise_anzeigen = 0;
				}
			} else {
				$rabattpreise_anzeigen = - 1;
			}
			
			$neutyp = "postensend";
			include ("$elementsordner/$subtarget/bestellungmaterialpostenformular.php");
		} else {
			if ($field ["dtBestellpostenRabatt"] > 0) {
				if ($belegmaterialposten_rabattpreise_detailanzeige) {
					$rabattpreise_anzeigen = 1;
				} else {
					$rabattpreise_anzeigen = 0;
				}
			} else {
				$rabattpreise_anzeigen = - 1;
			}
			
			include ("$elementsordner/$subtarget/bestellungfreitextpostenformular.php");
		}
	}
}

echo "</table>";

echo "</div>";
echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td class=\"formularrahmen_unten\"></td></tr>";
echo "</table>";

// ++++++++++++++++++++++++++++++++
// +++++++++++ Summe anzeigen
include ("$elementsordner/$target/bestellungensumme.php");

?>