<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ Formularkopf
// echo "<table border=0>";
// echo "<tr><td valign=\"top\">";
// echo "<b>Kontaktdaten Nr. ". $field["dtKontaktNr"]." ndern&nbsp;&nbsp;&nbsp;&nbsp;</b>";
// echo "</td></tr></table><hr>";
$listenname = "bilanz";

// ++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++
// Verkauf
// $query = "select * from $tblbilanzrechnungen where 1=1 ";
$query = "select * from $tblbilanzrechnungen, $tblkontakte where $tblbilanzrechnungen.fiLieferant = $tblkontakte.id ";

// Lieferantfilter
if ($filter [$listenname] ["lieferant"] != "") {
	$query .= " and $tblbilanzrechnungen.fiLieferant = " . $filter [$listenname] ["lieferant"] . " ";
}

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and (dtDatum <> '2030-01-01' and to_days(dtDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and (dtDatum <> '2030-01-01' and to_days(dtDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
	}
}

$query .= create_fulltext_index_search ( array (
		$tblkontakte 
), $filter [$listenname] ["textfilter"] );

$liste = get_table_array ( $query );
$iAnzahlRechnungen = count ( $liste );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		$einkauf_netto [$listenzeile ["fiStatus"]] = $einkauf_netto [$listenzeile ["fiStatus"]] + $listenzeile ["dtSummeNetto"];
		$einkauf_brutto [$listenzeile ["fiStatus"]] = $einkauf_brutto [$listenzeile ["fiStatus"]] + $listenzeile ["dtSummeBrutto"];
		$umsaetze_brutto [$listenzeile ["fiStatus"]] = $umsaetze_brutto [$listenzeile ["fiStatus"]] + $listenzeile ["dtSummeBezahltBrutto"];
		
		if ($filter [$listenname] ["buchungskonto"] != "") {
			foreach ( ( array ) unserialize ( $listenzeile ["dtBuchungskontoSummenNetto"] ) as $key => $value ) {
				$einkauf_buchungskonten_netto [$listenzeile ["fiStatus"]] [$key] = $einkauf_buchungskonten_netto [$listenzeile ["fiStatus"]] [$key] + $value;
			}
			foreach ( ( array ) unserialize ( $listenzeile ["dtBuchungskontoSummenBrutto"] ) as $key => $value ) {
				$einkauf_buchungskonten_brutto [$listenzeile ["fiStatus"]] [$key] = $einkauf_buchungskonten_brutto [$listenzeile ["fiStatus"]] [$key] + $value;
			}
		}
	}
}

$einkauf_berechnet_netto = $einkauf_netto [3] + $einkauf_netto [4];
$einkauf_berechnet_brutto = $einkauf_brutto [3] + $einkauf_brutto [4];
$umsaetze = $umsaetze_brutto [3] + $umsaetze_brutto [4];

$balkenfaktor_einkauf = 400 / max ( array_merge ( ( array ) $einkauf_netto, array (
		0.0001 
) ) );
$balkenfaktor_umsaetze = 400 / max ( $einkauf_berechnet_brutto, $umsaetze, 0.0001 );

$status_query = $sql_query ["rechnungstatusliste"] . " order by dtSortierung";
$status_liste = get_table_array ( $status_query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Bilanz anzeigen
include ("$elementsordner/$subtarget/bilanzeinkauffilter.php");
include ("$elementsordner/$subtarget/bilanzeinkaufformular.php");

?>
