<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ Formularkopf
// echo "<table border=0>";
// echo "<tr><td valign=\"top\">";
// echo "<b>Kontaktdaten Nr. ". $field["dtKontaktNr"]." ndern&nbsp;&nbsp;&nbsp;&nbsp;</b>";
// echo "</td></tr></table><hr>";
$listenname = "bilanz";
$listenhoehe = 400;

// ++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++
// Verkauf
$query = $sql_query ["umsatzliste"];

// Bankkontofilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["bankkonto"], "$tblbankumsatz.fiBankKonto" );

// if ($filter[$listenname]["bankkonto"] != "") {
// $query .= " and $tblbankumsatz.fiBankKonto = " . $filter[$listenname]["bankkonto"] . " " ;
// }

// Buchungskontofilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["buchungskonto"], "$tblbankumsatz.fiBuchungsKonto" );
// if ($filter[$listenname]["buchungskonto"] != "") {
// $query .= " and $tblbankumsatz.fiBuchungsKonto = " . $filter[$listenname]["buchungskonto"] . " " ;
// }

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and (dtValutaDatum <> '2030-01-01' and to_days(dtValutaDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and (dtValutaDatum <> '2030-01-01' and to_days(dtValutaDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
	}
}

$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		$umsaetze [$listenzeile ["fiBuchungsKonto"]] = $umsaetze [$listenzeile ["fiBuchungsKonto"]] + $listenzeile ["dtValutaBetrag"];
		$umsaetze_konto [$listenzeile ["fiBankKonto"]] = $umsaetze_konto [$listenzeile ["fiBankKonto"]] + $listenzeile ["dtValutaBetrag"];
		$umsaetze_konto_gesamt = $umsaetze_konto_gesamt + $listenzeile ["dtValutaBetrag"];
	}
}

foreach ( ( array ) $umsaetze as $key => $value ) {
	$umsaetze_abs [$key] = abs ( $value );
	if ($value > 0) {
		$umsaetze_pos [$key] = $value;
	} else {
		$umsaetze_neg [$key] = $value;
	}
	;
}

foreach ( ( array ) $umsaetze_konto as $key => $value ) {
	$umsaetze_konto_abs [$key] = abs ( $value );
}

if (is_array ( $umsaetze_pos )) {
	arsort ( $umsaetze_pos );
}
;
if (is_array ( $umsaetze_neg )) {
	asort ( $umsaetze_neg );
}
;

$umsaetze = ( array ) $umsaetze_pos + ( array ) $umsaetze_neg;

$balkenfaktor = 400 / max ( array_merge ( ( array ) $umsaetze_abs, array (
		0.001 
) ) );
$balkenfaktor_konto = 400 / max ( array_merge ( ( array ) $umsaetze_konto_abs, array (
		0.001 
), array (
		abs ( $umsaetze_konto_gesamt ) 
) ) );

$konto_query = $sql_query ["buchungskontenliste"] . " order by dtKontoID";
$konto_liste = get_table_array ( $konto_query );
if (count ( $konto_liste ) != 0) {
	foreach ( $konto_liste as $key => $konto ) {
		$buchungskonten_array [$konto ["Buchungskonto_id"]] = $konto ["dtBuchungsKontoDDText"];
	}
}

$konto_query = $sql_query ["bankkontenliste"] . " order by dtKontoName";
$konto_liste = get_table_array ( $konto_query );
if (count ( $konto_liste ) != 0) {
	foreach ( $konto_liste as $key => $konto ) {
		$bankkonten_array [$konto ["Bankkonto_id"]] = $konto ["dtKontoName"];
	}
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Bilanz anzeigen
include ("$elementsordner/$subtarget/bilanzkontofilter.php");
include ("$elementsordner/$subtarget/bilanzkontoformular.php");

?>
