<?php
$listenname = "bilanz";

// ++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++
$query = $sql_query ["artikelstuecklistegrouped"];
$query .= " and $tblartikelstueck.fiBeleg = 0 and $tblartikelstueck.fiBelegverbrauch = 0 and $tblartikelstueck.fiArtikelStueckVerbrauch = 0";
$query .= " and $tblartikelstueck.fiProjekt = 0 ";
$query .= filter_multiselect_return_query ( $filter [$listenname] ["warengruppe"], "$tblartikel.fiWarengruppe" );
$query .= " group by $tblartikelstueck.fiArtikel, $tblartikelstueck.dtVariante";
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
foreach ( ( array ) $liste as $listenzeile_id => $listenzeile ) {
	$aArtikel ["fiArtikel"] = $listenzeile ["Artikel_id"];
	$aArtikel ["dtVariante"] = $listenzeile ["dtVariante"];
	$aArtikel ["dtMwstSatz"] = $field_new ["dtMwstSatz"];
	$iAufschlagBerechnenEK = 1;
	
	// +++++ Der EK Preis des Artikels wird berechnet +++++ //
	$aBerechnungEK = getBerechnungFuerEK ( $aArtikel, $iAufschlagBerechnenEK );
	
	$field_new ["dtPreisNettoEK"] = $aBerechnungEK ["dtPreisNettoEK"];
	$field_new ["dtMwstNettoEK"] = $aBerechnungEK ["dtMwstNettoEK"];
	
	if ($listenzeile ["dtMassenMenge"] > 0) {
		
		$artikel_einkaufwert [$listenzeile ["Artikel_id"]] += $listenzeile ["dtMassenMenge"] * $field_new ["dtPreisNettoEK"];
		
		if ($artikel_array [$listenzeile ["Artikel_id"]]) {
			$artikel_array [$listenzeile ["Artikel_id"]] ["dtMassenMenge"] += $listenzeile ["dtMassenMenge"];
		} else {
			$artikel_array [$listenzeile ["Artikel_id"]] = $listenzeile;
		}
		
		$artikelstueck_gesamt += $listenzeile ["dtMassenMenge"];
	}
}

arsort ( $artikel_einkaufwert );

foreach ( $artikel_einkaufwert as $key => $value ) {
	$artikel_einkauf_abs [$key] = abs ( $value );
	
	$artikel_einkaufwert_gesamt = $artikel_einkaufwert_gesamt + $value;
}

// ++++++++++++++++++++++++++++++++
// +++++++++++
include ("$elementsordner/$target/fenster-bilanzlagerexport.php");

?>
