<?php
$ordner = returnContentOrdner ( $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte
// +++ teste, ob der Zielordner vorhanden ist
if (! is_dir ( $ordner . "/" . $subid )) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 36 );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
	throw $fehler;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Eine Datei wurde heraufgeladen
if ($_FILES ['file'] ['tmp_name'] != "") {
	
	// +++ teste, ob die Datei schon vorhanden ist
	if (file_exists ( $ordner . $subid . "/" . $_FILES ['file'] ['name'] )) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 23 );
		$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
		throw $fehler;
	}
	
	$tmpname = $_FILES ['file'] ['tmp_name'];
	$filename = str_replace ( " ", "_", $_FILES ['file'] ['name'] );
	copy ( $tmpname, $ordner . $subid . "/" . $filename );
	
	if (returnDateiendung ( $filename ) == "zip") {
		/*
		 * Zip Dateien oeffnen und Inhalt hinzufuegen
		 */
		
		extrahiereZip ( $tmpname, $ordner );
	}
	if ($bAgorumAktivieren == 1 && $target == "eshaesangebote") {
		$logfeld ["dtPruefsumme"] = create_pruefsumme ( $belegarchivordner, $id, $archivkopieid . "_" . $layout . ".pdf" );
		
		$qBeleg = $sql_query ["belegliste"] . " AND $tblbelege.dtZusatz3Wert = " . $id;
		$beleg_field = get_table_row ( $qBeleg );
		
		include ($include_prefix . $functionsordner . "/ext/agorum/fileTransfer.php");
		loginAgorum ();
		
		$sSource = $ordner . $subid . "/" . $filename;
		$sFilename = $filename;
		$sTargetFilename = $filename;
		$sXmlFilename = substr ( $filename, 0, strpos ( $filename, "." ) ) . ".ac.xml";
		
		$oFileTransfer = new fileTransfer ();
		$oFileTransfer->connect ( $sSource, $sAgorumAusdruckPfad . $sTargetFilename );
		// $oFileTransfer->getId($sTargetFilename, "id", $archivid, $tblbelegdrucklog);
		
		$qProjektAsp = $sql_query ["Kontaktliste"] . " AND id = " . $beleg_field ["fiKundeAnsprechpartner"];
		$rProjektAsp = get_table_row ( $qProjektAsp );
		
		$aData ["Kunde"] ["STRING"] = $beleg_field ["dtFirmenname"];
		$aData ["KundeID"] ["INTEGER"] = $beleg_field ["fiKunde"];
		$aData ["Kundennummer"] ["STRING"] = $beleg_field ["dtKontaktNr"];
		//Fehlte in der Originalversion, wenn Fehler, dann streichen KundeASP
		//$aData ["KundeAsp"] ["STRING"] = $sAspKunde ["dtVorname"] . " " . $rProjektAsp ["dtNachname"];
		$aData ["KundePlzOrt"] ["STRING"] = $beleg_field ["dtPLZ"] . " " . $beleg_field ["dtOrt"];
		$aData ["KundeStrasse"] ["STRING"] = $beleg_field ["dtStrasse"];
		$aData ["KundeTelefon"] ["STRING"] = $beleg_field ["dtTelefon"];
		$aData ["KundeEmail"] ["STRING"] = $beleg_field ["dtEmail"];
		
		$rProjekt = get_table_row ( $sql_query ["projektliste"] . " AND $tblprojekte.id = " . $beleg_field ["fiProjekt"] );
		
		// $aData ["Projektname"]["STRING"] = $rProjekt ["dtProjektname"];
		// $aData ["Projektnummer"]["STRING"] = $rProjekt["dtProjektNr"];
		// $aData ["ProjektAsp"]["STRING"] = $rProjekt["dtProjektNr"];
		$aData ["AngebotBezeichnung"] ["STRING"] = $beleg_field ["dtBezeichnung"];
		// $aData ["Verantwortlicher"]["STRING"] = $sVerantwortlicher;
		$aData ["BelegNummer"] ["STRING"] = $beleg_field ["dtBelegNr"];
		$aData ["Autor"] ["STRING"] = $aAutor ["dtVorname"] . " " . $aAutor ["dtNachname"];
		$aData ["DokumentTyp"] ["STRING"] = "angebot";
		$aData ["Angebotnummer"] ["STRING"] = $beleg_field ["dtAngebotNr"];
		
		$aData ["AngebotDatum"] ["DATE"] ["YYYYMMDD"] = str_replace ( "-", "", $beleg_field ["dtAngebotDatum"] );
		$oXml = new xml ( $aData );
		
		$oXml->createXml ( $sTargetFilename, $sXmlFilename );
		$oFileTransfer->connect ( $sXmlFilename, $sAgorumAusdruckPfad . $sXmlFilename );
		
		unlink ( $sXmlFilename );
	}
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Eine neuer Ordner soll erstellt werden
} elseif ($ordnername != "") {
	
	// +++ entferne alle ungltigen Zeichen aus dem Ordnernamen
	$ordnername = trim ( str_replace ( array (
			"/",
			"\"",
			"\\",
			"'",
			"?",
			"`" 
	), "", $ordnername ) );
	
	// +++ teste, ob die Datei schon vorhanden ist
	if (file_exists ( $ordner . $subid . "/" . $ordnername )) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 23 );
		$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
		throw $fehler;
	}
	
	mkdir ( $ordner . $subid . "/" . $ordnername );
	chmod ( $ordner . $subid . "/" . $ordnername, 0777 );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Eine Content-Vorlage soll kopiert werden
} elseif ($vorlagename != "") {
	
	// +++ teste, ob die Datei schon vorhanden ist
	if (file_exists ( $ordner . $subid . "/" . $vorlagename )) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 23 );
		$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
		throw $fehler;
	}
	
	copy ( $dateipfad . "/" . $contentvorlagenordner . "/" . $vorlagename, $ordner . $subid . "/" . $vorlagename );
	chmod ( $ordner . $subid . "/" . $vorlagename, 0666 );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Liste
$subtyp = "list";
if (! isset ( $fromemailimport ))
	include ($targetsordner . "/" . $subtarget . "/list.php");

?>
