<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

/*
 * ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 * ++++ Kontrollieren, ob es schon unter den Dokumentlayouts einen Haken gibt, der sagt,
 * dass diese Infofelder automatisch bei der Belegertellung eingetragen werden sollen
 * Wenn es schon einen Hakeneintrag gibt, muss eine Fehlermeldung auftauchen
 */
$field_new ["dtStandardInfolfelder"] = ( int ) $field_new ["dtStandardInfolfelder"];

if ($field_new ["dtStandardInfolfelder"] == 1) {
	$sQueryBelegTexte = $sql_query ["dokumentlayoutliste"] . " AND $tblbelegtexte.fiDokumentlayout != " . $id . " AND $tblbelegtexte.dtStandardInfolfelder = 1";
	$rBelegTexte = get_table_row ( $sQueryBelegTexte );
	
	if ($rBelegTexte) {
		$fehler = new Fehler ();
		$fehler->setCustom ( "Standard bei Belegerstellung schon vergeben", "Sie drfen nur einem Dokumentlayout diesen Haken geben. Bitte deaktivieren Sie erst den Haken unter dem Dokumentlayout " . $rBelegTexte ["dtDokumentName"] );
		$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
		throw $fehler;
	}
}

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

$field_new ["dtDruckeLieferart"] = ( int ) $field_new ["dtDruckeLieferart"];
$field_new ["dtDruckeZahlungsziel"] = ( int ) $field_new ["dtDruckeZahlungsziel"];

$field_new ["dtMaterialpostenDrucken"] = ( int ) $field_new ["dtMaterialpostenDrucken"];
$field_new ["dtZeitpostenDrucken"] = ( int ) $field_new ["dtZeitpostenDrucken"];
$field_new ["dtPostenDrucken"] = ( int ) $field_new ["dtPostenDrucken"];
$field_new ["dtProjektInfoDrucken"] = ( int ) $field_new ["dtProjektInfoDrucken"];
$field_new ["dtDruckeMahninformationen"] = ( int ) $field_new ["dtDruckeMahninformationen"];
$field_new ["dtDruckeSummenblock"] = ( int ) $field_new ["dtDruckeSummenblock"];

$field_new ["dtUeberschrift"] = check_input_string_2 ( $field_new ["dtUeberschrift"] );
$field_new ["dtTextUnterUeberschrift"] = check_input_string_2 ( $field_new ["dtTextUnterUeberschrift"] );
$field_new ["dtTextUeberMaterialposten"] = check_input_string_2 ( $field_new ["dtTextUeberMaterialposten"] );
$field_new ["dtTextUnterMaterialposten"] = check_input_string_2 ( $field_new ["dtTextUnterMaterialposten"] );
$field_new ["dtTextUeberZeitposten"] = check_input_string_2 ( $field_new ["dtTextUeberZeitposten"] );
$field_new ["dtTextUnterZeitposten"] = check_input_string_2 ( $field_new ["dtTextUnterZeitposten"] );
$field_new ["dtTextUeberPosten"] = check_input_string_2 ( $field_new ["dtTextUeberPosten"] );
$field_new ["dtTextUnterPosten"] = check_input_string_2 ( $field_new ["dtTextUnterPosten"] );
$field_new ["dtTextUnterBeleg"] = check_input_string_2 ( $field_new ["dtTextUnterBeleg"] );

$infofelderdrucken_array = array (
		"dtZusatzInfofeld1AngebotDrucken" => ( int ) $field_new ["dtZusatzInfofeld1AngebotDrucken"],
		"dtZusatzInfofeld1AuftragsanfrageDrucken" => ( int ) $field_new ["dtZusatzInfofeld1AuftragsanfrageDrucken"],
		"dtZusatzInfofeld1AuftragsbestaetigungDrucken" => ( int ) $field_new ["dtZusatzInfofeld1AuftragsbestaetigungDrucken"],
		"dtZusatzInfofeld1LieferscheinDrucken" => ( int ) $field_new ["dtZusatzInfofeld1LieferscheinDrucken"],
		"dtZusatzInfofeld1RechnungDrucken" => ( int ) $field_new ["dtZusatzInfofeld1RechnungDrucken"],
		"dtZusatzInfofeld1MahnungDrucken" => ( int ) $field_new ["dtZusatzInfofeld1MahnungDrucken"],
		"dtZusatzInfofeld1StornierungDrucken" => ( int ) $field_new ["dtZusatzInfofeld1StornierungDrucken"],
		"dtZusatzInfofeld1PacklisteDrucken" => ( int ) $field_new ["dtZusatzInfofeld1PacklisteDrucken"],
		
		"dtZusatzInfofeld2AngebotDrucken" => ( int ) $field_new ["dtZusatzInfofeld2AngebotDrucken"],
		"dtZusatzInfofeld2AuftragsanfrageDrucken" => ( int ) $field_new ["dtZusatzInfofeld2AuftragsanfrageDrucken"],
		"dtZusatzInfofeld2AuftragsbestaetigungDrucken" => ( int ) $field_new ["dtZusatzInfofeld2AuftragsbestaetigungDrucken"],
		"dtZusatzInfofeld2LieferscheinDrucken" => ( int ) $field_new ["dtZusatzInfofeld2LieferscheinDrucken"],
		"dtZusatzInfofeld2RechnungDrucken" => ( int ) $field_new ["dtZusatzInfofeld2RechnungDrucken"],
		"dtZusatzInfofeld2MahnungDrucken" => ( int ) $field_new ["dtZusatzInfofeld2MahnungDrucken"],
		"dtZusatzInfofeld2StornierungDrucken" => ( int ) $field_new ["dtZusatzInfofeld2StornierungDrucken"],
		"dtZusatzInfofeld2PacklisteDrucken" => ( int ) $field_new ["dtZusatzInfofeld2PacklisteDrucken"],
		
		"dtZusatzInfofeld3AngebotDrucken" => ( int ) $field_new ["dtZusatzInfofeld3AngebotDrucken"],
		"dtZusatzInfofeld3AuftragsanfrageDrucken" => ( int ) $field_new ["dtZusatzInfofeld3AuftragsanfrageDrucken"],
		"dtZusatzInfofeld3AuftragsbestaetigungDrucken" => ( int ) $field_new ["dtZusatzInfofeld3AuftragsbestaetigungDrucken"],
		"dtZusatzInfofeld3LieferscheinDrucken" => ( int ) $field_new ["dtZusatzInfofeld3LieferscheinDrucken"],
		"dtZusatzInfofeld3RechnungDrucken" => ( int ) $field_new ["dtZusatzInfofeld3RechnungDrucken"],
		"dtZusatzInfofeld3MahnungDrucken" => ( int ) $field_new ["dtZusatzInfofeld3MahnungDrucken"],
		"dtZusatzInfofeld3StornierungDrucken" => ( int ) $field_new ["dtZusatzInfofeld3StornierungDrucken"],
		"dtZusatzInfofeld3PacklisteDrucken" => ( int ) $field_new ["dtZusatzInfofeld3PacklisteDrucken"],
		
		"dtZusatzInfofeld4AngebotDrucken" => ( int ) $field_new ["dtZusatzInfofeld4AngebotDrucken"],
		"dtZusatzInfofeld4AuftragsanfrageDrucken" => ( int ) $field_new ["dtZusatzInfofeld4AuftragsanfrageDrucken"],
		"dtZusatzInfofeld4AuftragsbestaetigungDrucken" => ( int ) $field_new ["dtZusatzInfofeld4AuftragsbestaetigungDrucken"],
		"dtZusatzInfofeld4LieferscheinDrucken" => ( int ) $field_new ["dtZusatzInfofeld4LieferscheinDrucken"],
		"dtZusatzInfofeld4RechnungDrucken" => ( int ) $field_new ["dtZusatzInfofeld4RechnungDrucken"],
		"dtZusatzInfofeld4MahnungDrucken" => ( int ) $field_new ["dtZusatzInfofeld4MahnungDrucken"],
		"dtZusatzInfofeld4StornierungDrucken" => ( int ) $field_new ["dtZusatzInfofeld4StornierungDrucken"],
		"dtZusatzInfofeld4PacklisteDrucken" => ( int ) $field_new ["dtZusatzInfofeld4PacklisteDrucken"],
		
		"dtZusatzInfofeld5AngebotDrucken" => ( int ) $field_new ["dtZusatzInfofeld5AngebotDrucken"],
		"dtZusatzInfofeld5AuftragsanfrageDrucken" => ( int ) $field_new ["dtZusatzInfofeld5AuftragsanfrageDrucken"],
		"dtZusatzInfofeld5AuftragsbestaetigungDrucken" => ( int ) $field_new ["dtZusatzInfofeld5AuftragsbestaetigungDrucken"],
		"dtZusatzInfofeld5LieferscheinDrucken" => ( int ) $field_new ["dtZusatzInfofeld5LieferscheinDrucken"],
		"dtZusatzInfofeld5RechnungDrucken" => ( int ) $field_new ["dtZusatzInfofeld5RechnungDrucken"],
		"dtZusatzInfofeld5MahnungDrucken" => ( int ) $field_new ["dtZusatzInfofeld5MahnungDrucken"],
		"dtZusatzInfofeld5StornierungDrucken" => ( int ) $field_new ["dtZusatzInfofeld5StornierungDrucken"],
		"dtZusatzInfofeld5PacklisteDrucken" => ( int ) $field_new ["dtZusatzInfofeld5PacklisteDrucken"] 
);
$field_new ["dtZusatzInfofeldDrucken"] = serialize ( $infofelderdrucken_array );

// kopiere ggf. Werte aus anderem Layout
if ($field_new ["drucklayout_kopieren"] != "") {
	
	$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = " . $field_new ["drucklayout_kopieren"];
	$field_new = get_table_row ( $query );
	
	unset ( $field_new ["DokumentLayout_id"] );
	unset ( $field_new ["dtDokumentName"] );
	unset ( $field_new ["fiDokumentLayout"] );
	unset ( $field_new ["dtTextbausteine"] );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ ndere bestehenden Datensatz

update_into_table ( $tblbelegtexte, $subid, $field_new );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Detailansicht

$typ = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>