<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ Liste formatieren
$oListe = getListeObject ( "lagerartikel" );
$oListe->addSpalte ( new Listenspalte ( "", "id", 0, true ) );
$oListe->addSpalte ( new Listenspalte ( "Warengruppe", "dtWarengruppe", 125, false ) );
$oListe->addSpalte ( new Listenspalte ( "ArtikelNr", "dtEigeneArtikelNr", 115, false ) );
$oListe->addSpalte ( new Listenspalte ( "Artikel", "dtArtikel", 240, false ) );
$oListe->addSpalte ( new Listenspalte ( "Fabrikat", "dtFabrikat", 120, false ) );
$oListe->addSpalte ( new Listenspalte ( "VE", "dtEinheit", 60, false ) );

if ($bZeigeLagerbestandInArtikelliste) {
	$oListe->addSpalte ( new Listenspalte ( "EK", "dtEkLetzter", 60, true ) );
}

if ($me == "lws" || $me == "develop") {
	$oListe->addSpalte ( new Listenspalte ( "Lieferant", "dtLieferant", 140, true ) );
	$oListe->addSpalte ( new Listenspalte ( "Fremdartikel Nr.", "dtFremdartikelNr", 100, true ) );
	$oListe->addSpalte ( new Listenspalte ( "Lieferant-EK", "dtLieferantEk", 100, true ) );
}

if (get_class ( $oListe ) != "ListeHTML") // Druck-, CSV-Ausgabe
{
	$oListe->addSpalte ( new Listenspalte ( "VK1", "dtPreisVK1", 60, false ) );
	$oListe->addSpalte ( new Listenspalte ( "VK2", "dtPreisVK2", 60, false ) );
	$oListe->addSpalte ( new Listenspalte ( "VK3", "dtPreisVK3", 60, false ) );
	$oListe->addSpalte ( new Listenspalte ( "VK4", "dtPreisVK4", 60, false ) );
	$oListe->addSpalte ( new Listenspalte ( "VK5", "dtPreisVK5", 60, false ) );
} else {
	$oSpalteVK = new Listenspalte ( "VK Preise", "dtVK", 100, true );
	$oSpalteVK->bAusrichtungRechts = true;
	$oListe->addSpalte ( $oSpalteVK );
}

if (get_class ( $oListe ) != "ListeHTML") // Druck-, CSV-Ausgabe
{
	if ($bZeigeLagerbestandInArtikelliste and $bZeigeUeberschussInArtikelliste) {
		$oListe->addSpalte ( new Listenspalte ( "b1", "dtUeberschuss1", 60, false ) );
		$oListe->addSpalte ( new Listenspalte ( "b2", "dtUeberschuss2", 60, false ) );
		$oListe->addSpalte ( new Listenspalte ( "b3", "dtUeberschuss3", 60, false ) );
		$oListe->addSpalte ( new Listenspalte ( "b4", "dtUeberschuss4", 60, false ) );
		$oListe->addSpalte ( new Listenspalte ( "b5", "dtUeberschuss5", 60, false ) );
	}
} else {
	if ($bZeigeLagerbestandInArtikelliste and $bZeigeUeberschussInArtikelliste) {
		$oSpalteUeb = new Listenspalte ( "berschu", "dtUeberschuss", 70, true );
		$oSpalteUeb->bAusrichtungRechts = true;
		$oListe->addSpalte ( $oSpalteUeb );
	}
}

if ($bZeigeLagerbestandInArtikelliste) {
	$oSpalteStk = new Listenspalte ( "Stck", "dtAnz", 100, true );
	$oSpalteStk->bAusrichtungRechts = true;
}

$oListe->addSpalte ( $oSpalteStk );
$oListe->addSpalte ( new ListenspalteButton ( "ButtonAnzeigen", 60 ) );
$oListe->addSpalte ( new ListenspalteButton ( "ButtonKopieren", 60 ) );
$oListe->addSpalte ( new ListenspalteButton ( "ButtonLoeschen", 60 ) );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Filter
include ("$elementsordner/$target/lagerartikelfilter.php");

// ++++++++++++++++++++++++++++++++
// +++++++++++ Liste
include ("$elementsordner/$target/lagerartikelliste.php");
$oListe->output ( $anzahl_ausgabe, $anzahl_gesamt );

?>