<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;
$field_new = remove_id_from_post_fields ( $field_new, "__" );

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );
unset ( $field_new ["referer"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
$field_new ["dtArtikelAktiv"] = ( int ) $field_new ["dtArtikelAktiv"];
$field_new ["dtArtikelIstLieferartikel"] = ( int ) $field_new ["dtArtikelIstLieferartikel"];
$field_new ["dtArtikelIstProduktionsartikel"] = ( int ) $field_new ["dtArtikelIstProduktionsartikel"];
$field_new ["dtRabattfaehig"] = ( int ) $field_new ["dtRabattfaehig"];
$field_new ["dtArtikelMaximalrabatt"] = ( int ) $field_new ["dtArtikelMaximalrabatt"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte
unset ( $field_new ["dtAnzahl"] );
unset ( $field_new ["dtAufLager"] );

$field_new ["dtMwstSatzVK"] = double_to_sql ( $field_new ["dtMwstSatzVK"] );

for($i = 1; $i <= 5; $i ++) {
	$field_new ["dtPreisVK" . $i] = preis_to_sql ( $field_new ["dtPreisVK" . $i] );
}

if (! empty ( $field_new ["dtArtikelEAN"] )) {
	if (! check_ean13 ( $field_new ["dtArtikelEAN"] )) {
		$f = new Fehler ();
		$f->setCustom ( "EAN nicht korrekt", "Die eingegebene EAN ist nicht korrekt!" );
		$f->setNext ( $target, $typ, $id );
		throw ($f);
	}
}

if ($field_new ["dtEigeneArtikelNr"] != "auto") {
	$aArtikel ["db"] = "dtEigeneArtikelNr";
	$aArtikel ["value"] = $field_new ["dtEigeneArtikelNr"];
	$oArtikelVorhanden = existsArtikelInDB ( $aArtikel );
	
	if ($oArtikelVorhanden && $oArtikelVorhanden != $id) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 51, "Bitte whlen Sie einen anderen Artikelnamen / andere Artikelnummer fr diesen Artikel" );
		$fehler->setNext ( $target, "show", $id );
		throw $fehler;
	}
}

$field_new ["dtArtikelEinheitStueckzahl"] = double_to_sql ( $field_new ["dtArtikelEinheitStueckzahl"] );
$field_new ["dtArtikelMeldebestand"] = double_to_sql ( $field_new ["dtArtikelMeldebestand"] );
$field_new ["dtArtikelMindestbestand"] = double_to_sql ( $field_new ["dtArtikelMindestbestand"] );
$field_new ["dtArtikelRabatt"] = double_to_sql ( $field_new ["dtArtikelRabatt"] );
$field_new ["dtArtikelEKAufschlag"] = double_to_sql ( $field_new ["dtArtikelEKAufschlag"] );

if ($field_new ["dtArtikelMindestbestand"] < 0) {
	$field_new ["dtArtikelMindestbestand"] = 0;
}

if ($field_new ["dtArtikelMeldebestand"] < 0) {
	$field_new ["dtArtikelMeldebestand"] = 0;
}

if ($field_new ["dtArtikelMindestbestand"] > $field_new ["dtArtikelMeldebestand"]) {
	$fMeldebestand = $field_new ["dtArtikelMeldebestand"];
	$fMindestbestand = $field_new ["dtArtikelMindestbestand"];
	
	$field_new ["dtArtikelMindestbestand"] = $fMeldebestand;
	$field_new ["dtArtikelMeldebestand"] = $fMindestbestand;
}

$field_new ["dtLetzteAenderung"] = date ( "Y-m-d H:i:s" );

for($n = 0; $n < 5; $n ++) {
	$abstueck_1 [$n] = ( int ) $abstueck_1 [$n];
	$abstueck_2 [$n] = ( int ) $abstueck_2 [$n];
	$abstueck_3 [$n] = ( int ) $abstueck_3 [$n];
	$abstueck_4 [$n] = ( int ) $abstueck_4 [$n];
	$abstueck_5 [$n] = ( int ) $abstueck_5 [$n];
	$aAbStueckR [$n] = ( int ) $field_new ["abstueckR"] [$n];
	
	if ($abstueck_1 [$n] != "" and $abstueck_1 [$n] > 0)
		$aStaffelVK1 [$abstueck_1 [$n]] = preis_to_sql ( $staffelpreis_1 [$n] );
	if ($abstueck_2 [$n] != "" and $abstueck_2 [$n] > 0)
		$aStaffelVK2 [$abstueck_2 [$n]] = preis_to_sql ( $staffelpreis_2 [$n] );
	if ($abstueck_3 [$n] != "" and $abstueck_3 [$n] > 0)
		$aStaffelVK3 [$abstueck_3 [$n]] = preis_to_sql ( $staffelpreis_3 [$n] );
	if ($abstueck_4 [$n] != "" and $abstueck_4 [$n] > 0)
		$aStaffelVK4 [$abstueck_4 [$n]] = preis_to_sql ( $staffelpreis_4 [$n] );
	if ($abstueck_5 [$n] != "" and $abstueck_5 [$n] > 0)
		$aStaffelVK5 [$abstueck_5 [$n]] = preis_to_sql ( $staffelpreis_5 [$n] );
	if ($aAbStueckR [$n] != "" and $aAbStueckR > 0)
		$aStaffelRabatt [$aAbStueckR [$n]] = str_replace ( "%", "", $field_new ["staffelrabatt"] [$n] );
}
$field_new ["dtStaffelVK1"] = serialize ( $aStaffelVK1 );
$field_new ["dtStaffelVK2"] = serialize ( $aStaffelVK2 );
$field_new ["dtStaffelVK3"] = serialize ( $aStaffelVK3 );
$field_new ["dtStaffelVK4"] = serialize ( $aStaffelVK4 );
$field_new ["dtStaffelVK5"] = serialize ( $aStaffelVK5 );
$field_new ["dtArtikelStaffelRabatt"] = serialize ( $aStaffelRabatt );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($id == "") {
	
	$id = insert_into_table ( $tblartikel, $field_new );
	
	if (function_exists ( "artikelAngelegt" )) {
		artikelAngelegt ( $id );
	}
	
	listeanzahl_aendern ( $tblartikel, 1 );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	update_into_table ( $tblartikel, $id, $field_new );
	
	if (function_exists ( "artikelAktualisiert" )) {
		artikelAktualisiert ( $id );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die vorige Ansicht
$typ = "show";
include ($targetsordner . "/" . $target . "/show.php");

?>