<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

$field_new ["fiArtikel"] = $id;
$field_new ["dtSeriennummer"] = "";
$field_new ["fiRechnung"] = 0;
$field_new ["fiProjekt"] = 0;
$field_new ["fiBeleg"] = 0;
$field_new ["fiBelegVerbrauch"] = 0;
$field_new ["fiArtikelStueckVerbrauch"] = 0;

/*
 * Varianten
 */
$aFehlendeVariantenGruppen = array ();

/*
 * Keine Varianten bei neu bermittelt
 * - Prfe ob Varianten zum Artikel gehren und ob diese zwangsweise sind
 */
if ($field_new ["dtVariante"] == "") {
	$sSqlArtikel = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = '" . $field_new ["fiArtikel"] . "' and $tblartikelvariantengruppen.dtGruppenZwangsauswahl = 1";
	$aListeZwangsVarianten = get_table_array ( $sSqlArtikel );
	
	if (count ( $aListeZwangsVarianten ) > 0) {
		foreach ( $aListeZwangsVarianten as $aZwangsvariantenRow ) {
			$aFehlendeVariantenGruppen [] = $aZwangsvariantenRow ["dtGruppenName"];
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Varianteninformationen liegen als Array vor: Berechne Preis und Varianten-Texte neu
if ($field_new ["dtVariante"] != "") {
	
	$varianten_array = unserialize ( $field_new ["dtVariante"] );
	
	foreach ( ( array ) $varianten_array as $key => $value_string ) {
		$key_explode = explode ( "_", $key );
		if (count ( $key_explode ) == 2 and $value_string != - 1) {
			/*
			 * Zwangsauswahl checken
			 */
			$sSqlVariantenGruppe = $sql_query ["artikelvariantengruppenliste"] . " and $tblartikelvariantengruppen.id = '" . $key_explode [1] . "'";
			;
			$aRowVariantenGruppe = get_table_row ( $sSqlVariantenGruppe );
			
			if ($aRowVariantenGruppe ["dtGruppenZwangsauswahl"] == 1 && trim ( $value_string ) == "") {
				$aFehlendeVariantenGruppen [] = $aRowVariantenGruppe ["dtGruppenName"];
			}
			
			$var_ek = 0.00;
			
			$value_array = explode ( ";", $value_string );
			foreach ( ( array ) $value_array as $valuekey => $value ) {
				if ($value != "") {
					
					$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.id ='" . $value . "'";
					$variante_row = get_table_row ( $query );
					
					$var_nr .= $variante_row ["dtGruppenArtikelNrPrefix"] . $variante_row ["dtArtikelVariantenNr"];
					$var_name .= $variante_row ["dtGruppenName"] . ": " . $variante_row ["dtArtikelVariantenName"] . "\n";
					
					$aVarLieferant = unserialize ( $variante_row ["dtArtikelVarianteLieferantenInfo"] );
					$var_ek += $aVarLieferant ["Lieferant_EK"];
					$var_mwst = $aVarLieferant ["Lieferant_MwSt"];
				}
			}
		}
	}
	
	$varianten_array = check_varianten_array ( $varianten_array );
	$varianten_array = cleanVariantenArray ( $varianten_array );
	
	// Varianten-Zusatzinfos
	if (count ( ( array ) $varianten_array ) > 0) {
		$field_new ["dtVariante"] = serialize ( $varianten_array );
		$field_new ["dtVarianteArtNr"] = $var_nr;
		$field_new ["dtVarianteArtName"] = substr ( $var_name, 0, - 1 );
	} else {
		$field_new ["dtVariante"] = "";
		$field_new ["dtVarianteArtNr"] = "";
		$field_new ["dtVarianteArtName"] = "";
	}
}

/*
 * Fehlermeldung bei Zwangsauswahl werfen, falls ntig.
 */
if (count ( $aFehlendeVariantenGruppen ) > 0) {
	$fehler = new Fehler ();
	$fehler->setCustom ( "Zwangsvarianten", "Bei den folgenden Gruppen muss eine Variante ausgewhlt werden:<br>" . join ( "<br>", array_unique ( $aFehlendeVariantenGruppen ) ) );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "list" );
	throw $fehler;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if ($field_new ["fiLieferant"] != "") {
	$query = $sql_query ["artikellieferantenliste"] . " and $tblartikel.id = " . $id . " and $tblartikellieferanten.fiLieferant = " . $field_new ["fiLieferant"];
	$lieferant_field = get_table_row ( $query );
	$field_new ["dtFremdArtikelNr"] = $lieferant_field ["dtArtikelNrFremd"];
}

$field_new ["dtMwstSatzEK"] = preis_to_sql ( $field_new ["dtMwstSatzEK"] );
$field_new ["dtPreisEK"] = preis_to_sql ( $field_new ["dtPreisEK"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge "anzahl" neue Eintrge

$anzahl = double_to_sql ( $field_new ["anzahl"] );
unset ( $field_new ["anzahl"] );

if (getArtikelTyp ( $field_new ["fiArtikel"] ) == 0) {
	for($i = 0; $i < ( int ) $anzahl; $i ++) {
		insert_into_table ( $tblartikelstueck, $field_new );
	}
} elseif (getArtikelTyp ( $field_new ["fiArtikel"] ) == 1) {
	
	setMassengutVerfuegbareMenge ( $field_new ["fiArtikel"], $anzahl, unserialize ( $field_new ["dtVariante"] ), $field_new ["dtPreisEK"] );
}

$aArtikelNeu = array ();
$aArtikelNeu ["dtLetzteAenderung"] = date ( "Y-m-d H:i:s" );
update_into_table ( $tblartikel, $id, $aArtikelNeu );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Liste
$typ = "show";
include ($targetsordner . "/" . $subtarget . "/list.php");

?>