<?php
$oListe = getListeObject ( "lagerartikelstueckliste" );
$oListe->addSpalte ( new Listenspalte ( "", "id", 0, true ) );
$oListe->addSpalte ( new Listenspalte ( "Warengruppe", "dtWarengruppe", 165 ) );
$oListe->addSpalte ( new Listenspalte ( "ArtikelNr", "dtEigeneArtikelNr", 115 ) );
$oListe->addSpalte ( new Listenspalte ( "Artikel", "dtArtikel", 165 ) );

// Nur in HTML Ausgabe anzeigen
if (get_class ( $oListe ) == "ListeHTML") {
	$oListe->addSpalte ( new Listenspalte ( "Variante", "dtArtikelStuecklisteVariante", 51 ) );
}

$oListe->addSpalte ( new Listenspalte ( "Fabrikat", "dtFabrikat", 165 ) );
$oListe->addSpalte ( new Listenspalte ( "VE", "dtEinheit", 60 ) );
$oListe->addSpalte ( new Listenspalte ( "Anzahl", "dtAnzahlStueckliste", 60 ) );
$oListe->addSpalte ( new Listenspalte ( "EK Gesamt", "dtGesamtEK", 75 ) );
$oListe->addSpalte ( new ListenspalteButton ( "ButtonAnzeigen", 30 ) );
$oListe->addSpalte ( new ListenspalteButton ( "ButtonAendern", 30 ) );
$oListe->addSpalte ( new ListenspalteButton ( "ButtonZuruecksetzen", 30 ) );
$oListe->addSpalte ( new ListenspalteButton ( "ButtonLoeschen", 30 ) );
$oListe->addSpalte ( new ListenspalteButton ( "Aenderungsanzeiger", 30 ) );

if ($field ["dtArtikelIstProduktionsartikel"]) // Nur bei Produktionsartikeln
{
	
	if (getArtikelAnzahlVarianten ( $id ) > 0) // Artikel hat Varianten
{
		$aAusgewaehlteVariante = $_SESSION [$subtarget] [$id] ["variante"];
		
		if (! is_array ( $aAusgewaehlteVariante )) {
			$aAusgewaehlteVariante = array ();
		}
		
		// hole Artikelvariantendaten
		$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.dtArtikelVarianteAktiv = 1 and $tblartikelvarianten.fiArtikel = " . $id;
		$artikelvarianten_liste = get_table_array ( $query );
		
		// baue Variantenarray auf
		foreach ( ( array ) $artikelvarianten_liste as $key => $value ) {
			$artikelvarianten_array [$value ["fiArtikelVariantenGruppe"]] [$value ["Variante_id"]] = $value;
		}
		
		include ("$elementsordner/$subtarget/lagerartikelstuecklistenvariantenauswahlformular.php");
		
		if (count ( $aAusgewaehlteVariante ) > 0) {
			include ("$elementsordner/$subtarget/lagerartikelstuecklistenformular.php");
			include ("$elementsordner/$subtarget/lagerartikelstuecklistenliste.php");
			$oListe->output ( $anzahl_ausgabe, $anzahl_gesamt );
		}
	} else {
		include ("$elementsordner/$subtarget/lagerartikelstuecklistenformular.php");
		include ("$elementsordner/$subtarget/lagerartikelstuecklistenliste.php");
		$oListe->output ( $anzahl_ausgabe, $anzahl_gesamt );
	}
}

?>