<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
// if ($id != "") {
// $query = $sql_query["kontaktliste"] . " and $tblkontakte.id = ".$id;
// $field = get_table_row($query);
// }

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ berprfung, ob gelscht werden darf

// ++++ nicht lschen, wenn es Kontakt-ASP gibt
$query = $sql_query ["kontaktaspliste"] . " and $tblkontaktasp.fiKontaktID = " . $id;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Es sind Ansprechpartner zu diesem Kontakt vorhanden", $target, "show", $id );

// ++++ nicht lschen, wenn es Projekte gibt
$query = $sql_query ["projektliste"] . " and $tblprojekte.fiKunde = " . $id;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Es sind Projekte zu diesem Kontakt vorhanden", $target, "show", $id );

// ++++ nicht lschen, wenn es Projekte gibt (Endkunde)
$query = $sql_query ["projektliste"] . " and $tblprojekte.fiEndkunde = " . $id;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Es gibt Projekte, die diesen Kontakt als Endkunden haben", $target, "show", $id );

// ++++ nicht lschen, wenn es Belege gibt
$query = $sql_query ["belegliste"] . " and $tblbelege.fiKunde = " . $id;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Es sind Belege zu diesem Kontakt vorhanden (Kunde)", $target, "show", $id );

// ++++ nicht lschen, wenn es Belege gibt
$query = $sql_query ["belegliste"] . " and $tblbelege.fiEndkunde = " . $id;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Es sind Belege zu diesem Kontakt vorhanden (Endkunde)", $target, "show", $id );

// ++++ nicht lschen, wenn es Rechnungen gibt
$query = $sql_query ["rechnungliste"] . " and $tblrechnungen.fiLieferant = " . $id;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Es sind Rechnungen zu diesem Kontakt vorhanden", $target, "show", $id );

// ++++ nicht lschen, wenn es Artikel-Lieferanten gibt
$query = $sql_query ["artikellieferantenliste"] . " and $tblartikellieferanten.fiLieferant = " . $id;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Dieser Kontakt ist Lieferant von Artikeln", $target, "show", $id );

// ++++ nicht lschen, wenn es Artikel-Stck gibt
$query = $sql_query ["artikelstueckliste"] . " and $tblartikelstueck.fiLieferant = " . $id;
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Dieser Kontakt hat Artikel geliefert", $target, "show", $id );

// ++++ nicht lschen, wenn es Content gibt, der auf diesen Kontakt zeigt
$query = $sql_query ["contentliste"] . " and $tblcontent.fiKontakt like \"%;" . $id . ";%\" ";
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Es ist Content zu diesem Kontakt vorhanden", $target, "show", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Kontakt-Sync
synchronisiereLoescheKontakt ( $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche den Datensatz
delete_from_table ( $tblkontakte, $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Personaldaten
delete_all_from_table ( $tblpersonaldaten, "fiKontaktNr", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Stundenstze
delete_all_from_table ( $tblstundensaetzekunden, "fiKunde", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Preisgruppe
delete_all_from_table ( $tblpreisgruppenkunden, "fiKunde", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Mwst-Satz
delete_all_from_table ( $tblmwstsatzkunden, "fiKunde", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Login-Daten
delete_all_from_table ( $tblsession, "fiUserNr", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Mailverteiler
delete_all_from_table ( $tblmailverteiler, "fiKontakt", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Bemerkungen
mysql_query ( "delete from $tblbemerkungen where dtZugehoerigkeit = 'tblKontakte' and fiZugehoerigkeitNr = " . $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Kontaktliste
$typ = "list";
include ($targetsordner . "/" . $target . "/list.php");

?>
