<?php
$query = $sql_query ["personaldatenliste"] . " and $tblkontakte.id = " . $id;
$field = get_table_row ( $query );

// +++++++++++ Gleitzeitkontostand berechnen und Berechnung des Urlaubsstandes
$vormonatdatum = date ( "Y-m-d", mktime ( 0, 0, 0, $aktmonat, 0, $aktjahr ) );
$aktmonatdatum = date ( "Y-m-d", mktime ( 0, 0, 0, $aktmonat, 1, $aktjahr ) );
$gesterndatum = date ( "Y-m-d", mktime ( 0, 0, 0, $aktmonat, $akttag - 1, $aktjahr ) );

$gleitzeitkontomonatmin = get_gleitzeit ( $id, $aktmonatdatum, $gesterndatum, "bericht" );
$gleitzeitkontomonat = min_to_stdmin ( $gleitzeitkontomonatmin );

$gleitzeitkontomin = get_gleitzeit ( $id, "1970-01-01", $gesterndatum, "liste" );
$gleitzeitkonto = min_to_stdmin ( $gleitzeitkontomin );

if ($field ["dtUrlaubsanspruch"] == 1) {
	$urlaubsstandvormonat = get_urlaubsstand ( $id, "1970-01-01", $vormonatdatum, "liste" );
	$urlaubsstandmonat = get_urlaubsstand ( $id, $aktmonatdatum, $gesterndatum, "liste" );
	$urlaubsstand = get_urlaubsstand ( $id, "1970-01-01", $gesterndatum, "liste" );
	
	$urlaubsstandvormonat = double_from_sql ( $urlaubsstandvormonat, 1 );
	$urlaubsstand = double_from_sql ( $urlaubsstand, 1 );
	$urlaubsstandmonat = double_from_sql ( $urlaubsstandmonat, 1 );
}

// ++++++++++ Hintergrundfarben ermitteln
if ($gleitzeitkontomin == 0)
	$gzcolor = $bgcolor_formular;
elseif ($gleitzeitkontomin < 0)
	$gzcolor = $bgcolor_formular_rot;
elseif ($gleitzeitkontomin > 0)
	$gzcolor = $bgcolor_formular_gruen;

if ($gleitzeitkontomonatmin == 0)
	$gzmonatcolor = $bgcolor_formular;
elseif ($gleitzeitkontomonatmin < 0)
	$gzmonatcolor = $bgcolor_formular_rot;
elseif ($gleitzeitkontomonatmin > 0)
	$gzmonatcolor = $bgcolor_formular_gruen;

if ($field ["dtUrlaubsanspruch"] == 1) {
	if ($urlaubsstand == 0)
		$urlaubcolor = $bgcolor_formular;
	elseif ($urlaubsstand < 0)
		$urlaubcolor = $bgcolor_formular_rot;
	elseif ($urlaubsstand > 0)
		$urlaubcolor = $bgcolor_formular_gruen;
	
	if ($urlaubsstandmonat == 0)
		$urlaubmonatcolor = $bgcolor_formular;
	elseif ($urlaubsstandmonat < 0)
		$urlaubmonatcolor = $bgcolor_formular_rot;
	elseif ($urlaubsstandmonat > 0)
		$urlaubmonatcolor = $bgcolor_formular_gruen;
	
	if ($urlaubsstandvormonat == 0)
		$urlaubvormonatcolor = $bgcolor_formular;
	elseif ($urlaubsstandvormonat < 0)
		$urlaubvormonatcolor = $bgcolor_formular_rot;
	elseif ($urlaubsstandvormonat > 0)
		$urlaubvormonatcolor = $bgcolor_formular_gruen;
}

/*
 * Checkboxen fr Zarafa Sync
 */

switch ($field ["dtKontaktsyncSyncModus"]) {
	case 1 :
		$sync_aus_erp = 1;
		break;
	
	case 2 :
		$sync_aus_erp = 1;
		$sync_in_erp = 1;
		break;
	
	default :
		$sync_aus_erp = 0;
		$sync_in_erp = 0;
		break;
}

/*
 * Ordnerstruktur aufbauen fr Dropdownbox
 */

$arrayddordner = array ();

if ($zarafa_mapi_aktiv) {
	try {
		$z = new KontaktZarafa ();
		$z->Benutzername = $field ["dtKontaktsyncBenutzername"];
		$z->Passwort = $field ["dtKontaktsyncPasswort"];
		$z->Ordner = $field ["dtKontaktsyncOrdner"];
		$z->Server = $zarafa_sync_server;
		$z->login ();
		
		$arrayddordner = $z->getOrdnerstruktur ();
	} 

	catch ( ZarafaLogonFailedException $e ) {
		$arrayddordnerfail = true;
	} 

	catch ( ZarafaStoreOrFolderNotExists $e ) {
		$arrayddordner = $z->getOrdnerstruktur ();
	}
}

if ($bOXKontaktsyncAktiv) {
	try {
		$ox = new KontaktOX6 ( $field ["dtKontaktsyncBenutzername"], $field ["dtKontaktsyncPasswort"], $sOXServerUrl );
		$arrayddordner = $ox->getOrdnerstruktur ();
	} 

	catch ( Exception $e ) {
		$arrayddordnerfail = true;
	}
	
	try {
		if (isset ( $ox )) {
			$ox->setKontaktordner ( $field ["dtKontaktsyncOrdner"] );
		}
	} 

	catch ( Exception $e ) {
	}
}

if ($zarafa_mapi_aktiv) {
	$name_syncsoftware = "Zarafa";
}

if ($bOXKontaktsyncAktiv) {
	$name_syncsoftware = "Open-Xchange";
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Personaldaten anzeigen
$neutyp = "personaldatensend";
include ("$elementsordner/$subtarget/personaldatenformular.php");

?>
