<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

$projektRow = get_table_row ( $sql_query ["projektliste"] . " and $tblprojekte.id = $id" );

$field_new ["dtMenge"] = double_to_sql ( $field_new ["dtMenge"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 * Varianten
 */
$aFehlendeVariantenGruppen = array ();

/*
 * Keine Varianten bei neu bermittelt
 * - Prfe ob Varianten zum Artikel gehren und ob diese zwangsweise sind
 */
if ($subid == "" && $field_new ["dtVariante"] == "") {
	$sSqlArtikel = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = '" . $field_new ["fiArtikel"] . "' and $tblartikelvariantengruppen.dtGruppenZwangsauswahl = 1";
	$aListeZwangsVarianten = get_table_array ( $sSqlArtikel );
	
	if (count ( $aListeZwangsVarianten ) > 0) {
		foreach ( $aListeZwangsVarianten as $aZwangsvariantenRow ) {
			$aFehlendeVariantenGruppen [] = $aZwangsvariantenRow ["dtGruppenName"];
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Varianteninformationen sind als einzelne Felder mitgekommen (Materialposten ndern)
if ($subid != "") {
	
	// hole Artikelvariantendaten
	$var_query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = " . $field_new ["fiArtikel"];
	$artikelvarianten_liste = get_table_array ( $var_query );
	
	// suche Felder/Werte je Variantengruppe
	foreach ( ( array ) $artikelvarianten_liste as $key => $value ) {
		$var_output = "";
		if ($value ["dtGruppenMehrfachauswahl"] != 1) {
			$var_output = $field_new ["variante_" . $value ["fiArtikelVariantenGruppe"]];
		} else {
			foreach ( ( array ) $field_new ["variante_" . $value ["fiArtikelVariantenGruppe"]] as $var_key => $var_value ) {
				$var_array [] = $var_value;
			}
			if (is_array ( $var_array ))
				$var_output = implode ( ";", array_unique ( $var_array ) );
		}
		
		if ($var_output != - 1 and $var_output != "") {
			$artikelvarianten_array ["variante_" . $value ["fiArtikelVariantenGruppe"]] = $var_output;
		}
		
		/*
		 * Prfe Zwangsauswahl
		 */
		if ($value ["dtGruppenZwangsauswahl"] == 1) {
			if (empty ( $artikelvarianten_array ["variante_" . $value ["fiArtikelVariantenGruppe"]] )) {
				$aFehlendeVariantenGruppen [] = $value ["dtGruppenName"];
			}
		}
	}
	
	$field_new ["dtVariante"] = serialize ( cleanVariantenArray ( $artikelvarianten_array ) );
	if ($field_new ["dtVariante"] == "N;")
		$field_new ["dtVariante"] = "";
}
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Varianteninformationen liegen als Array vor: Berechne Preis und Varianten-Texte neu
if ($field_new ["dtVariante"] != "") {
	$varianten_array = unserialize ( $field_new ["dtVariante"] );
	
	foreach ( ( array ) $varianten_array as $key => $value_string ) {
		$key_explode = explode ( "_", $key );
		if (count ( $key_explode ) == 2 && $value_string != - 1) {
			/*
			 * Zwangsauswahl checken
			 */
			$sSqlVariantenGruppe = $sql_query ["artikelvariantengruppenliste"] . " and $tblartikelvariantengruppen.id = '" . $key_explode [1] . "'";
			;
			$aRowVariantenGruppe = get_table_row ( $sSqlVariantenGruppe );
			
			if ($aRowVariantenGruppe ["dtGruppenZwangsauswahl"] == 1 && trim ( $value_string ) == "") {
				$aFehlendeVariantenGruppen [] = $aRowVariantenGruppe ["dtGruppenName"];
			}
		}
	}
	
	// Varianten-Zusatzinfos
	$field_new ["dtVariante"] = serialize ( cleanVariantenArray ( $varianten_array ) );
}

/*
 * Fehlermeldung bei Zwangsauswahl werfen, falls ntig.
 */
if (count ( $aFehlendeVariantenGruppen ) > 0) {
	$fehler = new Fehler ();
	$fehler->setCustom ( "Zwangsvarianten", "Bei den folgenden Gruppen muss eine Variante ausgewhlt werden:<br>" . join ( "<br>", array_unique ( $aFehlendeVariantenGruppen ) ) );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
	throw $fehler;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte bei Neu
if ($subid == "") {
	
	// prfe, ob mindestens Artikeltext eingegeben wurden
	check_fehlermeldung_output ( check_nozero ( $field_new ["fiArtikel"] ), 3, "Artikel", $target, $typ, $id, $subtarget, "list", $subid );
	
	unset ( $field_new ["dtPreisBrutto"] );
	unset ( $field_new ["dtGesamtNetto"] );
	unset ( $field_new ["dtGesamtBrutto"] );
	
	$field_new ["fiProjekt"] = $id;
	$field_new ["dtAnzahl"] = double_to_sql ( $field_new ["dtAnzahl"] );
	
	/*
	 * Prfe, ob Artikel in ausreichender Menge auf Lager ist
	 */
	if (($iAnzahlVerfuegbar = getArtikelAnzahlVerfuegbar ( $field_new ["fiArtikel"], 0, unserialize ( $field_new ["dtVariante"] ) )) < $field_new ["dtMenge"]) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 24, $iAnzahlVerfuegbar );
		$fehler->setNext ( $target, $typ, $id, $subtarget, "list", $subid );
		throw $fehler;
	}
}

// +++++ Artikel schon in Projektartikel vorhanden +++++ //
if (getArtikelTyp ( $field_new ["fiArtikel"] ) == 1) // +++++ Massengut +++++ //
{
	$sSQLstring = $sql_query ["artikelstueckliste"] . " AND $tblartikelstueck.fiArtikel ='" . $field_new ["fiArtikel"] . "' AND $tblartikelstueck.dtVariante ='" . $field_new ["dtVariante"] . "' AND $tblartikelstueck.fiProjekt ='" . $id . "' AND $tblartikelstueck.fiBeleg = 0";
	$rProjektArtikel = get_table_row ( $sSQLstring );
	$subid = $rProjektArtikel ["ArtikelStueck_id"];
} elseif (getArtikelTyp ( $field_new ["fiArtikel"] ) == 0 || getArtikelTyp ( $field_new ["fiArtikel"] ) == 2) // +++++ Stckgut - Virtuelles Gut +++++ //
{
	$sSQLstring = $sql_query ["artikelstueckliste"] . " AND $tblartikelstueck.fiArtikel ='" . $field_new ["fiArtikel"] . "' AND $tblartikelstueck.dtVariante ='" . $field_new ["dtVariante"] . "' AND $tblartikelstueck.fiProjekt ='" . $id . "' AND $tblartikelstueck.fiBeleg = 0";
	
	$iStueckgutProjekt = get_table_count ( $sSQLstring );
}

if ($subid == "") {
	// TODO: wieder rein??
	// $iMenge = $field_new["dtMenge"];
	
	// addArtikelStueckToProjekt($field_new["fiArtikel"], 0, $iMenge, $id, unserialize($field_new["dtVariante"]));
	// $sQueryUpdate = "UPDATE $tblartikelstueck SET fiProjektTaetigkeit = '" . $field_new["fiProjektTaetigkeit"] . "', dtProjektArtikelTextIndividuell = '" . $field_new["dtProjektArtikelTextIndividuell"] . "'";
	// $sQueryUpdate .= ", fiPreisgruppe = '" . $field_new["fiPreisgruppe"] . "'";
	
	// $sQueryUpdate .= " WHERE fiArtikel = '" . $field_new["fiArtikel"] . "' AND fiProjekt = " . $id;
	// mysql_query($sQueryUpdate);
}

/*
 * ndern
 */
if ($subid != "") {
	$field_old = get_table_row ( $sql_query ["artikelstueckliste_kurz"] . " AND $tblartikelstueck.id = " . $subid );
	
	if (getArtikelTyp ( $field_new ["fiArtikel"] ) == 1) {
		$query = $sql_query ["artikelstueckliste"];
		$query .= " and $tblartikelstueck.fiProjekt =  " . $id . " and $tblartikelstueck.fiArtikel = '" . $field_new ["fiArtikel"] . "' AND $tblartikelstueck.dtVariante = '" . $field_old ["dtVariante"] . "' AND $tblartikelstueck.fiBeleg = " . $field_old ["fiBeleg"];
		$liste = get_table_array ( $query );
		
		$aUpdate = $field_new;
		$aUpdate ["dtStueckMenge"] = $rProjektArtikel ["dtStueckMenge"] + $field_new ["dtMenge"];
		$aUpdate ["fiPreisgruppe"] = $field_new ["fiPreisgruppe"];
		
		unset ( $aUpdate ["dtVariante"] );
		
		if (count ( $liste ) > 0) {
			foreach ( $liste as $listenzeile_id => $listenzeile ) {
				update_into_table ( $tblartikelstueck, $listenzeile ['ArtikelStueck_id'], $aUpdate );
			}
		}
	} else {
		$query = $sql_query ["artikelstueckliste"];
		$query .= " and $tblartikelstueck.fiProjekt =  " . $id . " and $tblartikelstueck.fiArtikel = '" . $field_new ["fiArtikel"] . "' AND $tblartikelstueck.dtVariante = '" . $field_old ["dtVariante"] . "'  AND $tblartikelstueck.fiBeleg = " . $field_old ["fiBeleg"];
		$liste = get_table_array ( $query );
		
		$aUpdate = $field_new;
		$aUpdate ["fiPreisgruppe"] = $field_new ["fiPreisgruppe"];
		
		unset ( $aUpdate ["dtVariante"] );
		
		if (count ( $liste ) > 0) {
			foreach ( $liste as $listenzeile_id => $listenzeile ) {
				update_into_table ( $tblartikelstueck, $listenzeile ['ArtikelStueck_id'], $aUpdate );
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "list";
include ($targetsordner . "/" . $subtarget . "/list.php");

?>