<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
$query = $sql_query ["rechnungliste"] . " and $tblrechnungen.id = " . $id;
$field_old = get_table_row ( $query );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ berprfung, ob gelscht werden darf

// wenn Beleg = gebucht, dann nicht lschen
if ($field_old ["dtGebucht"] != 0) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 27, "Diese Rechnung darf nicht mehr gelscht werden, weil sie bereits gebucht ist" );
	$fehler->setNext ( $target, "show", $id );
	throw $fehler;
}

// wenn es Posten gibt, dann nicht lschen
$query = $sql_query ["rechnungpostenliste"] . " and $tblrechnungen.id = " . $id;
if (get_table_count ( $query ) != 0) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 27, "Diese Rechnung darf nicht mehr gelscht werden, weil es Rechnungsposten zu dieser Rechnung gibt" );
	$fehler->setNext ( $target, "show", $id );
	throw $fehler;
}

// wenn es Umstze gibt, dann nicht lschen
$query = $sql_query ["umsatzliste"] . " and $tblbankumsatz.fiRechnung = " . $id;
if (get_table_count ( $query ) != 0) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 27, "Diese Rechnung darf nicht mehr gelscht werden, weil es Umstze zu dieser Rechnung gibt" );
	$fehler->setNext ( $target, "show", $id );
	throw $fehler;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche den Datensatz
delete_from_table ( $tblrechnungen, $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche den Bilanz-Datensatz
delete_all_from_table ( $tblbilanzrechnungen, "fiRechnung", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Bemerkungen
mysql_query ( "delete from $tblbemerkungen where dtZugehoerigkeit = 'tblRechnungen' and fiZugehoerigkeitNr = " . $id );

listeanzahl_aendern ( $tblrechnungen, - 1 );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Liste
$typ = "list";
include ($targetsordner . "/" . $target . "/list.php");

?>
