<?php
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($subid != "") {
	$query = $sql_query ["rechnungpostenliste"] . " and $tblrechnungposten.id = " . $subid;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// hole notwendige Infos ber diese Rechnung
$rechnungs_row = mysql_fetch_row ( mysql_query ( "select id,dtRechnungNrIntern,fiLieferant,dtRechnungDatum from $tblrechnungen where id = " . $id ) );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;
$field_new = remove_id_from_post_fields ( $field_new, "__" );

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

unset ( $field_new ["warengruppe"] );
unset ( $field_new ["artikelnr"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
$umsatz_anlegen = ( int ) $field_new ["dtUmsatzAnlegen"];

$umsatz_konto = $field_new ["fiBankKonto"];
$buchungs_konto = $field_new ["fiBankKontoBuchungsKonto"];

unset ( $field_new ["dtUmsatzAnlegen"] );
unset ( $field_new ["fiBankKonto"] );
unset ( $field_new ["fiBankKontoBuchungsKonto"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte
unset ( $field_new ["dtPreisBrutto"] );
unset ( $field_new ["dtGesamtNetto"] );
unset ( $field_new ["dtGesamtBrutto"] );

$field_new ["fiRechnung"] = $id;
$field_new ["dtMenge"] = double_to_sql ( $field_new ["dtMenge"] );
$field_new ["dtMwstSatz"] = double_to_sql ( $field_new ["dtMwstSatz"] );
$field_new ["dtPreisNetto"] = preis_to_sql ( $field_new ["dtPreisNetto"] );
$field_new ["fiArtikelStueckVerbrauch"] = 0;

// eine gleichzeitige Zuordnung zu Beleg und Beleg-Verbrauch ist nicht mglich
if ($field_new ["fiBeleg"] != 0 && $field_new ["fiBelegVerbrauch"] != 0) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 31 );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
	throw $fehler;
}

// eine Zuordnung zu Projekt ohne Mat-Code ist nicht mglich
if ($field_new ["fiProjekt"] != 0 && $field_new ["fiProjektTaetigkeit"] == 0) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 34 );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
	throw $fehler;
}

if ($field_new ["neuartikel"] == "0") // Rechnungsposten zu bestehendem Artikel anlegen
{
	if ($field_new ["fiArtikelListe"] > 0) {
		$artikelid = $field_new ["fiArtikelListe"];
	} elseif ($field_old ["fiArtikelListe"] > 0) {
		$artikelid = $field_old ["fiArtikelListe"];
	} else {
		$artikelid = 0;
	}
	
	if ($artikelid > 0) {
		$query = $sql_query ["artikellieferantenliste"] . " and $tblartikel.id = " . $artikelid;
		$artikelrow = get_table_row ( $query );
		
		if (getArtikelTyp ( $artikelid ) == 0) {
			$field_new ["dtMenge"] = ( int ) $field_new ["dtMenge"];
		}
		
		if ($subid == "") // Bei neuem Posten Artikelinfos schreiben
{
			if (! empty ( $artikelrow ["dtArtikelNrFremd"] )) {
				$field_new ["dtArtikelNr"] = $artikelrow ["dtArtikelNrFremd"];
			} else {
				$field_new ["dtArtikelNr"] = $artikelrow ["dtEigeneArtikelNr"];
			}
			
			$field_new ["dtArtikelBezeichnung"] = $artikelrow ["dtArtikel"];
			$field_new ["dtArtikelFabrikat"] = $artikelrow ["dtFabrikat"];
			$field_new ["fiEinheit"] = $artikelrow ["fiEinheit"];
			
			if (double_to_sql ( $field_new ["dtPreisNetto"] ) == 0) // Bei leerem Preisfeld den EK Preis des Lieferanten nehmen
{
				$field_new ["dtPreisNetto"] = $artikelrow ["dtStueckPreisEK"];
				$field_new ["dtMwstSatz"] = $artikelrow ["dtMwstSatzEK"];
				
				if ($artikelrow ["dtLieferantRabatt"] > 0) {
					$field_new ["dtPreisNetto"] -= $field_new ["dtPreisNetto"] / 100 * $artikelrow ["dtLieferantRabatt"];
				}
			}
		}
	}
}

// prfe, ob mindestens Artikelnummer oder Artikeltext eingegeben wurden
check_fehlermeldung_output ( check_nozero ( $field_new ["dtArtikelNr"] . $field_new ["dtArtikelBezeichnung"] ), 3, "ArtikelNr oder Artikel", $target, $typ, $id, $subtarget, "show", $subid );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++ Varianten +++++++++++++++++++++++++++++++
if ($field_new ["neuartikel"] == "0" && $artikelid > 0) {
	$aFehlendeVariantenGruppen = array ();
	
	/*
	 * Keine Varianten bei neu bermittelt - Prfe ob Varianten zum Artikel gehren und ob diese zwangsweise sind
	 */
	if ($subid == "" && $field_new ["dtVariante"] == "") {
		$sSqlArtikel = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = '" . $artikelid . "' and $tblartikelvariantengruppen.dtGruppenZwangsauswahl = 1";
		$aListeZwangsVarianten = get_table_array ( $sSqlArtikel );
		
		if (count ( $aListeZwangsVarianten ) > 0) {
			foreach ( $aListeZwangsVarianten as $aZwangsvariantenRow ) {
				$aFehlendeVariantenGruppen [] = $aZwangsvariantenRow ["dtGruppenName"];
			}
		}
	}
	
	/*
	 * Varianteninformationen sind als einzelne Felder mitgekommen (Materialposten ndern)
	 */
	if ($subid != "") {
		// hole Artikelvariantendaten
		$var_query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = " . $artikelid;
		$artikelvarianten_liste = get_table_array ( $var_query );
		
		// suche Felder/Werte je Variantengruppe
		foreach ( ( array ) $artikelvarianten_liste as $key => $value ) {
			$var_output = "";
			if ($value ["dtGruppenMehrfachauswahl"] != 1) {
				$var_output = $field_new ["variante_" . $value ["fiArtikelVariantenGruppe"]];
			} else {
				foreach ( ( array ) $field_new ["variante_" . $value ["fiArtikelVariantenGruppe"]] as $var_key => $var_value ) {
					$var_array [] = $var_value;
				}
				if (is_array ( $var_array ))
					$var_output = implode ( ";", array_unique ( $var_array ) );
			}
			
			if ($var_output != - 1 and $var_output != "") {
				$artikelvarianten_array ["variante_" . $value ["fiArtikelVariantenGruppe"]] = $var_output;
			}
			
			/*
			 * Prfe Zwangsauswahl
			 */
			if ($value ["dtGruppenZwangsauswahl"] == 1) {
				if (empty ( $artikelvarianten_array ["variante_" . $value ["fiArtikelVariantenGruppe"]] )) {
					$aFehlendeVariantenGruppen [] = $value ["dtGruppenName"];
				}
			}
		}
		
		$field_new ["dtVariante"] = serialize ( cleanVariantenArray ( $artikelvarianten_array ) );
		if ($field_new ["dtVariante"] == "N;")
			$field_new ["dtVariante"] = "";
			
			// wenn sich an den Varianten nichts gendert hat, dann belasse alle Varianteninformation wie sie ist
		if ($field_new ["dtVariante"] == $field_old ["dtVariante"]) {
			unset ( $field_new ["dtVariante"] );
			$field_new ["dtVarianteArtNr"] = $field_old ["dtVarianteArtNr"];
			$field_new ["dtVarianteArtName"] = $field_old ["dtVarianteArtName"];
		}
	}
	
	/*
	 * Varianteninformationen liegen als Array vor: Berechne Preis und Varianten-Texte neu
	 */
	if ($field_new ["dtVariante"] != "") {
		$varianten_array = unserialize ( $field_new ["dtVariante"] );
		
		foreach ( ( array ) $varianten_array as $key => $value_string ) {
			$key_explode = explode ( "_", $key );
			if (count ( $key_explode ) == 2 and $value_string != - 1) {
				
				/*
				 * Zwangsauswahl checken
				 */
				$sSqlVariantenGruppe = $sql_query ["artikelvariantengruppenliste"] . " and $tblartikelvariantengruppen.id = '" . $key_explode [1] . "'";
				;
				$aRowVariantenGruppe = get_table_row ( $sSqlVariantenGruppe );
				
				if ($aRowVariantenGruppe ["dtGruppenZwangsauswahl"] == 1 && trim ( $value_string ) == "") {
					$aFehlendeVariantenGruppen [] = $aRowVariantenGruppe ["dtGruppenName"];
				}
				
				$value_array = explode ( ";", $value_string );
				foreach ( ( array ) $value_array as $valuekey => $value ) {
					if ($value != "") {
						
						$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.id ='" . $value . "'";
						$variante_row = get_table_row ( $query );
						
						$var_nr .= $variante_row ["dtGruppenArtikelNrPrefix"] . $variante_row ["dtArtikelVariantenNr"];
						$var_name .= $variante_row ["dtGruppenName"] . ": " . $variante_row ["dtArtikelVariantenName"] . "\n";
						
						$aVarLieferant = unserialize ( $variante_row ["dtArtikelVarianteLieferantenInfo"] );
						if (is_array ( $aVarLieferant )) {
							$var_preis += $aVarLieferant ["Lieferant_EK"];
						}
					}
				}
			}
		}
		
		// Varianten-Zusatzinfos
		$field_new ["dtVariante"] = serialize ( cleanVariantenArray ( $varianten_array ) );
		$field_new ["dtVarianteArtNr"] = $var_nr;
		$field_new ["dtVarianteArtName"] = substr ( $var_name, 0, - 1 );
		
		// neuer Preis wegen Varianteninfo
		$field_new ["dtPreisNetto"] += $var_preis * $field_new ["dtMenge"];
	} else {
		$field_new ["dtVariante"] = $field_old ["dtVariante"];
	}
	
	/*
	 * Fehlermeldung bei Zwangsauswahl werfen, falls ntig.
	 */
	if (count ( $aFehlendeVariantenGruppen ) > 0) {
		$fehler = new Fehler ();
		$fehler->setCustom ( "Zwangsvarianten", "Bei den folgenden Gruppen muss eine Variante ausgewhlt werden:<br>" . join ( "<br>", array_unique ( $aFehlendeVariantenGruppen ) ) );
		$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
		throw $fehler;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// prfe, auf Lager-Relevanz
$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = " . $field_new ["fiBuchungsKonto"];
$bkrow_new = get_table_row ( $query );

if ($subid != "") {
	$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = " . $field_old ["fiBuchungsKonto"];
	$bkrow_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Posten ist neu und BK ist Lager-Relevant oder Posten ist gendert und BK ist jetzt Lager-Relevant
if (($subid == "" && $bkrow_new ["dtLagerRelevant"] != 0) || ($subid != "" && $bkrow_new ["dtLagerRelevant"] != 0 && $bkrow_old ["dtLagerRelevant"] == 0)) {
	
	/*
	 * Prfen, ob Belegstatus < berechnet offen um ggf. ArtikelStueckNegativ zu machen
	 */
	if (! empty ( $field_new ["fiBeleg"] )) {
		$aRowBeleg = get_table_row ( $sql_query ["belegliste"] . " and $tblbelege.id = '" . $field_new ["fiBeleg"] . "'" );
		$iBelegId = $field_new ["fiBeleg"];
		
		if ($aRowBeleg ["fiStatus"] < 2) {
			$bZuweisenInArtikelStueckNegativ = true;
		} else {
			$bZuweisenInArtikelStueckNegativ = false;
		}
	} else {
		$bZuweisenInArtikelStueckNegativ = false;
		$iBelegId = 0;
	}
	
	if ($artikelid > 0) {
		/*
		 * Artikel existiert schon in Stammdaten - fge Artikelstck hinzu
		 */
		if (getArtikelTyp ( $artikelid ) == 0) // Stckgut
{
			// dann ArtikelStck hinzufgen
			$field_artikelstueck_new ["fiArtikel"] = $artikelid;
			$field_artikelstueck_new ["fiLieferant"] = $rechnungs_row [2];
			$field_artikelstueck_new ["fiRechnung"] = $rechnungs_row [0];
			$field_artikelstueck_new ["fiLagerOrt"] = $field_new ["fiLagerOrt"];
			$field_artikelstueck_new ["fiArtikelStueckVerbrauch"] = $field_new ["fiArtikelStueckVerbrauch"];
			$field_artikelstueck_new ["fiProjekt"] = $field_new ["fiProjekt"];
			$field_artikelstueck_new ["fiProjektTaetigkeit"] = $field_new ["fiProjektTaetigkeit"];
			$field_artikelstueck_new ["fiBeleg"] = $iBelegId;
			$field_artikelstueck_new ["fiBelegVerbrauch"] = $field_new ["fiBelegVerbrauch"];
			$field_artikelstueck_new ["dtFremdArtikelNr"] = $field_new ["dtArtikelNr"];
			$field_artikelstueck_new ["dtPreisEK"] = $field_new ["dtPreisNetto"];
			$field_artikelstueck_new ["dtMwstSatzEK"] = $field_new ["dtMwstSatz"];
			$field_artikelstueck_new ["fiPreisgruppe"] = $field_new ["fiPreisgruppe"];
			$field_artikelstueck_new ["dtVariante"] = $field_new ["dtVariante"];
			$field_artikelstueck_new ["dtVarianteArtNr"] = $field_new ["dtVarianteArtNr"];
			$field_artikelstueck_new ["dtVarianteArtName"] = $field_new ["dtVarianteArtName"];
			
			for($i = 0; $i < ( int ) $field_new ["dtMenge"]; $i ++) {
				$artikelstueckid = insert_into_table ( $tblartikelstueck, $field_artikelstueck_new );
			}
		} elseif (getArtikelTyp ( $artikelid ) == 1) // Massengut
{
			setMassengutVerfuegbareMenge ( $artikelid, $field_new ["dtMenge"], unserialize ( $field_new ["dtVariante"] ), $field_new ["dtPreisNetto"], $field_new ["fiProjekt"], $field_new ["fiBeleg"], 0, TRUE );
		}
		
		$aArtikelNeu = array ();
		$aArtikelNeu ["dtLetzteAenderung"] = date ( "Y-m-d H:i:s" );
		update_into_table ( $tblartikel, $artikelid, $aArtikelNeu );
	} else {
		/*
		 * Artikel ist neu - fge Artikel hinzu - fge ArtikelStueck hinzu
		 */
		
		// suche Warengruppe "automatisch", sonst erzeuge sie
		$wg_query = $sql_query ["warengruppenliste"] . " and $tblwarengruppen.dtWarengruppe = 'automatisch'";
		if (get_table_count ( $wg_query ) == 0) {
			$field_wg_new ["dtWarengruppe"] = "automatisch";
			$field_wg_new ["dtWarengruppenBeschreibung"] = "automatische Warengruppe fr neue Artikel bei der Rechnungseingabe";
			$field_wg_new ["dtWarengruppenSortierung"] = "0";
			
			$wg_id = insert_into_table ( $tblwarengruppen, $field_wg_new );
		} else {
			$field_wg = get_table_row ( $wg_query );
			$wg_id = $field_wg ["Warengruppe_id"];
		}
		
		// erzeuge Artikel (mit automatischer eigener Artikelnummer)
		$field_artikel_new ["dtEigeneArtikelNr"] = "auto";
		$field_artikel_new ["dtArtikel"] = $field_new ["dtArtikelBezeichnung"];
		$field_artikel_new ["dtFabrikat"] = $field_new ["dtArtikelFabrikat"];
		$field_artikel_new ["dtBeschreibung"] = "";
		$field_artikel_new ["fiEinheit"] = $field_new ["fiEinheit"];
		$field_artikel_new ["fiWarengruppe"] = $wg_id;
		
		$vk_new = vk_preisberechnung ( 0, $field_new ["dtPreisNetto"] );
		
		for($i = 0; $i < 5; $i ++) {
			if ($vk_new [$i] > 0) {
				$field_artikel_new ["dtPreisVK" . ($i + 1)] = $vk_new [$i];
			}
		}
		
		if ($field_new ["dtMwstSatz"] == 0) {
			$field_artikel_new ["dtMwstSatzVK"] = $stdmwstsatz;
		} else {
			$field_artikel_new ["dtMwstSatzVK"] = $field_new ["dtMwstSatz"];
		}
		
		$artikelid = insert_into_table ( $tblartikel, $field_artikel_new );
		
		$field_new ["fiArtikelListe"] = $artikelid;
		
		// dann Lieferant hinzufgen
		$field_artikellieferant_new ["fiArtikel"] = $artikelid;
		$field_artikellieferant_new ["fiLieferant"] = $rechnungs_row [2];
		$field_artikellieferant_new ["dtArtikelNrFremd"] = $field_new ["dtArtikelNr"];
		$field_artikellieferant_new ["dtAnzahl"] = 1;
		$field_artikellieferant_new ["dtStueckPreisEK"] = $field_new ["dtPreisNetto"];
		$field_artikellieferant_new ["dtMwstSatzEK"] = $field_new ["dtMwstSatz"];
		$field_artikellieferant_new ["dtBemerkung"] = "automatisch erzeugter Eintrag aus Rechnung Nr. " . $rechnungs_row [1];
		
		$artikellieferantid = insert_into_table ( $tblartikellieferanten, $field_artikellieferant_new );
		
		// dann ArtikelStck hinzufgen
		if (getArtikelTyp ( $artikelid ) == 0) // Stckgut
{
			$field_artikelstueck_new ["fiArtikel"] = $artikelid;
			$field_artikelstueck_new ["fiLieferant"] = $rechnungs_row [2];
			$field_artikelstueck_new ["fiRechnung"] = $rechnungs_row [0];
			$field_artikelstueck_new ["fiLagerOrt"] = $field_new ["fiLagerOrt"];
			$field_artikelstueck_new ["fiArtikelStueckVerbrauch"] = $field_new ["fiArtikelStueckVerbrauch"];
			$field_artikelstueck_new ["fiProjekt"] = $field_new ["fiProjekt"];
			$field_artikelstueck_new ["fiProjektTaetigkeit"] = $field_new ["fiProjektTaetigkeit"];
			$field_artikelstueck_new ["fiBeleg"] = $iBelegId;
			$field_artikelstueck_new ["fiBelegVerbrauch"] = $field_new ["fiBelegVerbrauch"];
			$field_artikelstueck_new ["dtFremdArtikelNr"] = $field_new ["dtArtikelNr"];
			$field_artikelstueck_new ["dtPreisEK"] = $field_new ["dtPreisNetto"];
			$field_artikelstueck_new ["dtMwstSatzEK"] = $field_new ["dtMwstSatz"];
			$field_artikelstueck_new ["fiPreisgruppe"] = $field_new ["fiPreisgruppe"];
			
			for($i = 0; $i < ( int ) $field_new ["dtMenge"]; $i ++) {
				$artikelstueckid = insert_into_table ( $tblartikelstueck, $field_artikelstueck_new );
			}
		} elseif (getArtikelTyp ( $artikelid ) == 1) // Massengut
{
			setMassengutVerfuegbareMenge ( $artikelid, $field_new ["dtMenge"], unserialize ( $field_new ["dtVariante"] ), $field_new ["dtPreisNetto"], $field_new ["fiProjekt"], $field_new ["fiBeleg"], 0, TRUE );
		}
	}
	
	// Zuweisung in ArtikelStueckNegativ
	if ($bZuweisenInArtikelStueckNegativ) {
		ArtikelStueckZuArtikelStueckNegativ ( $iBelegId );
	}
	
	if ($field_new ["fiProjekt"] > 0) {
		$aProjekt = get_table_row ( $sql_query ["projektliste"] . " and $tblprojekte.id = " . $field_new ["fiProjekt"] );
		
		if ($aProjekt ["fiStatus"] < 2) {
			ProjektArtikelStueckZuArtikelStueckNegativ ( $field_new ["fiProjekt"] );
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Posten ist gendert und ist jetzt nicht mehr Lager-Relevant
if ($subid != "" && $bkrow_new ["dtLagerRelevant"] == 0 && $bkrow_old ["dtLagerRelevant"] != 0) {
	/*
	 * Artikelstueck entfernen
	 */
	if ($artikelid > 0) {
		$iArtikelTyp = getArtikelTyp ( $artikelid );
		
		if ($iArtikelTyp != 2) // Nicht virtuell
{
			if (empty ( $field_new ["dtVariante"] )) {
				$aVariante = $field_old ["dtVariante"];
			} else {
				$aVariante = $field_new ["dtVariante"];
			}
			
			if ($field_old ["dtMenge"] != $field_new ["dtMenge"]) {
				if (getArtikelAnzahlVerfuegbar ( $artikelid, 0, unserialize ( $aVariante ), $id ) < $field_old ["dtMenge"]) {
					$fehler = new Fehler ();
					$fehler->setPredefined ( 19 );
					$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
					throw $fehler;
				} else {
					if ($iArtikelTyp == 0) // Stckgut
{
						$sSqlDelete = "DELETE FROM $tblartikelstueck WHERE fiRechnung = $id AND fiArtikel = " . $artikelid . " AND fiProjekt = 0 AND dtVariante LIKE '" . $aVariante . "' AND fiBeleg = 0 LIMIT " . ( int ) $field_old ["dtMenge"];
						mysql_query ( $sSqlDelete );
					} elseif ($iArtikelTyp == 1) // Massengut
{
						setMassengutVerfuegbareMenge ( $artikelid, $field_new ["dtMenge"], unserialize ( $field_new ["dtVariante"] ), $field_new ["dtPreisNetto"], $field_new ["fiProjekt"], $field_new ["fiBeleg"], 0, TRUE );
					}
				}
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Posten ist gendert und war immer schon Lager-Relevant
if ($subid != "" && $bkrow_new ["dtLagerRelevant"] != 0 && $bkrow_old ["dtLagerRelevant"] != 0) {
	$iArtikelTyp = getArtikelTyp ( $artikelid );
	
	if (empty ( $field_new ["dtVariante"] )) {
		$aVariante = $field_old ["dtVariante"];
	} else {
		$aVariante = $field_new ["dtVariante"];
	}
	
	if ($iArtikelTyp != 2 && $field_new ["dtMenge"] < $field_old ["dtMenge"]) // Artikelstueck entfernen, wenn nicht virtuell
{
		if ($field_old ["dtMenge"] != $field_new ["dtMenge"]) {
			if (getArtikelAnzahlVerfuegbar ( $artikelid, 0, unserialize ( $aVariante ), $id ) < ($field_old ["dtMenge"] - $field_new ["dtMenge"])) {
				$fehler = new Fehler ();
				$fehler->setPredefined ( 19 );
				$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
				throw $fehler;
			} else {
				$iMengeEntfernen = $field_old ["dtMenge"] - $field_new ["dtMenge"];
				
				if ($iArtikelTyp == 0) {
					$sSqlDelete = "DELETE FROM $tblartikelstueck WHERE fiRechnung = $id AND fiArtikel = " . $artikelid . " AND fiLieferant = " . $rechnungs_row [2] . " AND fiProjekt = 0 AND fiBeleg = 0 LIMIT " . ( int ) $iMengeEntfernen;
					mysql_query ( $sSqlDelete );
				} elseif ($iArtikelTyp == 1) {
					setMassengutVerfuegbareMenge ( $artikelid, ($iMengeEntfernen * - 1), unserialize ( $aVariante ), $field_new ["dtPreisNetto"], $field_new ["fiProjekt"], $field_new ["fiBeleg"], 0, TRUE );
				}
			}
		}
	} elseif ($iArtikelTyp != 2 && $field_new ["dtMenge"] > $field_old ["dtMenge"]) // Artikelstueck hinzufgen, wenn nicht virtuell
{
		$iMengeHinzufuegen = $field_new ["dtMenge"] - $field_old ["dtMenge"];
		
		if (getArtikelTyp ( $artikelid ) == 0) {
			$aArtikelStueckNeu = array (
					"fiArtikel" => $artikelid,
					"fiLieferant" => $rechnungs_row [2],
					"fiRechnung" => $id,
					"fiLagerOrt" => $field_new ["fiLagerOrt"],
					"fiArtikelStueckVerbrauch" => 0,
					"fiProjekt" => 0,
					"fiProjektTaetigkeit" => 0,
					"fiBeleg" => 0,
					"fiBelegVerbrauch" => 0,
					"dtFremdArtikelNr" => $field_new ["dtArtikelNr"],
					"dtPreisEK" => $field_new ["dtPreisNetto"],
					"dtMwstSatzEK" => $field_new ["dtMwstSatz"],
					"dtVariante" => $aVariante,
					"dtVarianteArtNr" => $field_new ["dtVarianteArtNr"],
					"dtVarianteArtName" => $field_new ["dtVarianteArtName"] 
			);
			
			for($i = 0; $i < ( int ) $iMengeHinzufuegen; $i ++) {
				insert_into_table ( $tblartikelstueck, $aArtikelStueckNeu );
			}
		} elseif (getArtikelTyp ( $artikelid ) == 1) {
			setMassengutVerfuegbareMenge ( $artikelid, $iMengeHinzufuegen, unserialize ( $aVariante ), $field_new ["dtPreisNetto"], $field_new ["fiProjekt"], $field_new ["fiBeleg"], 0, TRUE );
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Posten ist gendert und es hat sich der Preis oder der Mwst Satz gendert,
// dann ndere alle Lager-ArtikelStueck
if ($subid != "" && (( double ) $field_new ["dtMwstSatz"] != ( double ) $field_old ["dtMwstSatz"] || ( double ) $field_new ["dtPreisNetto"] != ( double ) $field_old ["dtPreisNetto"])) {
	if (empty ( $field_new ["dtVariante"] )) {
		$aVariante = $field_old ["dtVariante"];
	} else {
		$aVariante = $field_new ["dtVariante"];
	}
	
	$sSqlUpdate = "UPDATE $tblartikelstueck SET dtPreisEK = '" . $field_new ["dtPreisNetto"] . "', dtMwstSatzEK = '" . $field_new ["dtMwstSatz"] . "'";
	$sSqlUpdate .= " WHERE fiRechnung = $id AND dtVariante LIKE '" . $aVariante . "' AND fiArtikel = '" . $artikelid . "' AND fiLieferant = '" . $rechnungs_row [2] . "'";
	
	mysql_query ( $sSqlUpdate );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Posten ist neu und es gibt eine Materialposten-Zuordnung
if ($subid == "" and $field_new ["fiBeleg"] != 0) {
	
	// suche grte Posten-Nr.
	$max_pos = get_max_from_table ( $tblbelegmaterialposten, "dtPosNr", "where fiBeleg = " . $field_new ["fiBeleg"] );
	
	$belegfield_new ["fiBeleg"] = $field_new ["fiBeleg"];
	$belegfield_new ["dtPosNr"] = $max_pos + 1;
	$belegfield_new ["fiArtikel"] = $artikelid;
	$belegfield_new ["dtMenge"] = $field_new ["dtMenge"];
	
	// wenn es eine Preisgruppe zum Kunden gibt, dann nehme sie, ansonsten nimm Preisgruppe 1
	$query = "select * from $tblbelege where id = " . $field_new ["fiBeleg"];
	$field_beleg = get_table_row ( $query );
	
	$query = "select * from $tblpreisgruppenkunden where fiKunde = " . $field_beleg ["fiKunde"];
	
	if (get_table_count ( $query ) == 0) {
		$field_preisgruppe ["fiPreisgruppe"] = 1;
	} else {
		$field_preisgruppe = get_table_row ( $query );
	}
	
	// wenn es eine Preisgruppe zum Projekt gibt, dann hat diese Prioritt
	if ($field_beleg ["fiProjekt"] > 0) {
		$query = "select * from $tblpreisgruppenprojekte where fiProjekt = " . $field_beleg ["fiProjekt"];
		if (get_table_count ( $query ) > 0) {
			$field_preisgruppe_projekt = get_table_row ( $query );
			if ($field_preisgruppe_projekt ["fiPreisgruppe"] > 0) {
				$field_preisgruppe ["fiPreisgruppe"] = $field_preisgruppe_projekt ["fiPreisgruppe"];
			}
		}
	}
	
	// ermittle Preis und MwSt-Satz des Artikels
	$query = "select * from $tblartikel where id = " . $artikelid;
	$artikel_row = get_table_row ( $query );
	
	$belegfield_new ["dtMenge"] = double_to_sql ( $field_new ["dtMenge"] );
	$belegfield_new ["dtMwstSatz"] = $artikel_row ["dtMwstSatzVK"];
	$belegfield_new ["dtPreisNetto"] = $artikel_row ["dtPreisVK" . $field_preisgruppe ["fiPreisgruppe"]];
	$belegfield_new ["fiEinheit"] = $artikel_row ["fiEinheit"];
	
	// ermittle Buchungskonto
	$belegfield_new ["fiBuchungsKonto"] = $standardbuchhaltungskonto_belegmaterialposten;
	
	// ++++ schreibe neuen Datensatz
	$belegmaterialpostenid = insert_into_table ( $tblbelegmaterialposten, $belegfield_new );
	
	// schreibe Bilanz-Datensatz
	delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $field_new ["fiBeleg"] );
}

// lsche alle Werte, die fr die Rechnungsposten-Tabelle nicht bentigt werden
unset ( $field_new ["fiLagerOrt"] );
unset ( $field_new ["fiProjekt"] );
unset ( $field_new ["fiProjektTaetigkeit"] );
unset ( $field_new ["fiBeleg"] );
unset ( $field_new ["fiBelegVerbrauch"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Posten ist neu und er soll direkt bezahlt werden
if ($umsatz_anlegen == 1) {
	$field_umsatz ["fiBankKonto"] = $umsatz_konto;
	$field_umsatz ["dtValutaDatum"] = $rechnungs_row [3];
	$field_umsatz ["dtValutaBetrag"] = - 1 * ($field_new ["dtMenge"] * $field_new ["dtPreisNetto"] + ($field_new ["dtMwstSatz"] / 100 * $field_new ["dtMenge"] * $field_new ["dtPreisNetto"]));
	$field_umsatz ["dtUmsatzBemerkung"] = "Umsatz wurde automatisch erzeugt bei Eingabe eines Rechnungspostens";
	$field_umsatz ["fiBuchungsKonto"] = $buchungs_konto;
	$field_umsatz ["fiRechnung"] = $id;
	$field_umsatz ["fiBeleg"] = 0;
	
	insert_into_table ( $tblbankumsatz, $field_umsatz );
}

if ($subid == "") {
	$subid = insert_into_table ( $tblrechnungposten, $field_new );
} else {
	update_into_table ( $tblrechnungposten, $subid, $field_new );
}

// Bilanzinfos aktualisieren
bilanzrechnung_aktualisieren ( $id, true );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>