<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($id != "") {
	$query = $sql_query ["projektzeitenliste"] . " and $tblprojektzeiten.id = " . $id;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;
$field_new = remove_id_from_post_fields ( $field_new, "__" );

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

unset ( $field_new ["referer"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
// $field_new["dtStundennachweisGeprueft"] = (int)$field_new["dtStundennachweisGeprueft"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

check_fehlermeldung_output ( check_nozero ( $field_new ["fiMitarbeiter"] ), 3, "Mitarbeiter", $target, "list", $id );

$field_new ["dtDatum"] = concat_date ( $field_new ["datum_tag"], $field_new ["datum_monat"], $field_new ["datum_jahr"] );
unset ( $field_new ["datum_tag"] );
unset ( $field_new ["datum_monat"] );
unset ( $field_new ["datum_jahr"] );

// Verarbeite Projektauswahl
if (strpos ( $field_new ["projektauswahl"], "//" ) !== false) {
	$explode_projekt = explode ( "//", $field_new ["projektauswahl"] );
	
	$field_new ["fiProjekt"] = $explode_projekt [0]; // Projekt
	$field_new ["fiTeilprojekt"] = $explode_projekt [1]; // Teilprojekt
} else {
	$field_new ["fiProjekt"] = $field_new ["projektauswahl"];
	$field_new ["fiTeilprojekt"] = 0;
}

// Setze Kunde nach Projekt
if (! empty ( $field_new ["fiProjekt"] )) {
	$projekt_query = $sql_query ["projektliste"] . " and $tblprojekte.id = " . $field_new ["fiProjekt"];
	$projekt_field = get_table_row ( $projekt_query );
	$field_new ["fiProjektzeitenKunde"] = $projekt_field ["fiKunde"];
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ prfe gltigen auf Zeitraum
$aZeitVon = stdmin_to_min ( $field_new ["dtBeginnZeit"] );
$aZeitBis = stdmin_to_min ( $field_new ["dtEndeZeit"] );
if ($aZeitBis == 0)
	$aZeitBis = 1440;

if ($aZeitVon >= $aZeitBis) {
	$_SESSION ["dtErlaeuterungStundennachweis"] = $_POST ["dtErlaeuterungStundennachweis"];
	$fehler = new Fehler ();
	$fehler->setCustom ( "Zeitraum fehlerhaft", "Der angegebene Zeitraum ist ungltig. (Z.B. Dauer ist 0 oder die Ende Zeit liegt vor der Beginnzeit)" );
	$fehler->setNext ( $target, "list", $id );
	throw $fehler;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ prfe auf Zeitberschneidung

// suche heutige belegte Zeiten
$query = $sql_query ["projektzeitenliste"];
$query .= " and $tblprojektzeiten.fiMitarbeiter = '" . $field_new ["fiMitarbeiter"] . "' ";
$query .= " and dtDatum = '" . $field_new ["dtDatum"] . "' ";
if ($id != "") {
	$query .= " and $tblprojektzeiten.id != " . $id;
}

$aBelegteZeiten = get_table_array ( $query );
foreach ( ( array ) $aBelegteZeiten as $key => $value ) {
	$sBelegtVon = stdmin_to_min ( $value ["dtBeginnZeit"] );
	$sBelegtBis = stdmin_to_min ( $value ["dtEndeZeit"] );
	
	// prfe auf berschneidung
	if (! (($aZeitVon < $sBelegtVon and $aZeitBis <= $sBelegtVon) or ($aZeitVon >= $sBelegtBis and $aZeitBis > $sBelegtBis))) {
		$_SESSION ["dtErlaeuterungStundennachweis"] = $_POST ["dtErlaeuterungStundennachweis"];
		
		$fehler = new Fehler ();
		$fehler->setCustom ( "Zeitberschneidung", "Der angegebene Zeitraum ist bereits (teilweise) zugeordnet." );
		$fehler->setNext ( $target, "list", $id );
		throw $fehler;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($id == "") {
	
	// erzeuge neue Projektzeitenzeile mit letzter Ende-Zeit als Startzeit und neuer Ende-Zeit als Startzeit + Dauer
	$field_new ["dtBeginnZeit"] = time_to_sql ( $field_new ["dtBeginnZeit"] );
	$field_new ["dtEndeZeit"] = time_to_sql ( $field_new ["dtEndeZeit"] );
	$field_new ["dtAnwesendZeit"] = time_to_sql ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
	$field_new ["dtPauseZeit"] = time_to_sql ( "00:00" );
	$field_new ["dtArbeitsZeit"] = time_to_sql ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
	$field_new ["dtZusatzZeit"] = time_to_sql ( "00:00" );
	$field_new ["dtVergueteZeit"] = time_to_sql ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
	
	$sollzeit = get_sollzeit ( $field_new ["fiMitarbeiter"], $field_new ["fiTaetigkeit"], $field_new ["dtDatum"] );
	$field_new ["dtSollzeit"] = double_to_sql ( $sollzeit [0] );
	
	$field_new ["fiStempelungBeginn"] = 0;
	$field_new ["fiStempelungEnde"] = 0;
	
	$field_new ["dtProjektzeitAutoManuell"] = 1;
	$field_new ["dtProjektzeitDezimal"] = deztime_from_time ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
	
	$field_new ["dtStdSatzAutoManuell"] = 1;
	$field_new ["dtStdSatz"] = stundensatz_zu_projektzeit ( $field_new ["fiMitarbeiter"], $field_new ["fiProjekt"] );
	
	$field_new ["dtUeberstundenAutoManuell"] = 1;
	$field_new ["dtProjektzeitDezimalBericht"] = $field_new ["dtProjektzeitDezimal"];
	$field_new ["dtStundennachweisGeprueft"] = 1;
	$field_new ["dtAbgerechnet"] = 0;
	
	$field_new ["dtBemerkungProjektzeit"] = "";
	$field_new ["dtBemerkungArbeitszeit"] = "";
	if ($field_new ["dtBemerkungKontrolle"] == "") {
		$field_new ["dtBemerkungKontrolle"] = $field_new ["dtErlaeuterungStundennachweis"];
	}
	$field_new ["dtAutoEintragProjektzeit"] = 1;
	$field_new ["dtOrt"] = "";
	$field_new ["dtEinsatzort"] = "";
	$field_new ["dtKommentarUebernehmen"] = 0;
	$field_new ["dtFahrzeit"] = 0;
	$field_new ["dtArtDerFahrt"] = "";
	$field_new ["dtEntfernungKilometer"] = 0;
	$field_new ["dtProjektzeitDezimalBericht"] = 0;
	$field_new ["dtDatensatzDrucken"] = 1;
	$field_new ["dtVonZeitBerichtManuell"] = "";
	$field_new ["dtBisZeitBerichtManuell"] = "";
	$field_new ["dtUeberstundenAutoManuell"] = 1;
	
	if ($field_new ["dtKilometer"] > 0.00) {
		$field_new ["fiTaetigkeit"] = $standard_taetigkeit_fahrt;
	}
	
	if ($standard_taetigkeit_urlaub == $field_new ["fiTaetigkeit"])
		$field_new ["dtBemerkungProjektzeit"] = "Urlaub!";
	else if ($standard_taetigkeit_urlaubhalbertag == $field_new ["fiTaetigkeit"])
		$field_new ["dtBemerkungProjektzeit"] = "Urlaub halber Tag!";
	else if ($standard_taetigkeit_krankheit == $field_new ["fiTaetigkeit"])
		$field_new ["dtBemerkungProjektzeit"] = "Krank!";
	else if ($standard_taetigkeit_arztbesuch == $field_new ["fiTaetigkeit"])
		$field_new ["dtBemerkungProjektzeit"] = "Arztbesuch!";
	else if ($standard_taetigkeit_ueberstundenabbau == $field_new ["fiTaetigkeit"])
		$field_new ["dtBemerkungProjektzeit"] = "berstundenabbau!";
	else if ($standard_taetigkeit_sonderurlaub == $field_new ["fiTaetigkeit"])
		$field_new ["dtBemerkungProjektzeit"] = "Sonderurlaub!";
	
	$id = insert_into_table ( $tblprojektzeiten, $field_new );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	$field_new ["dtBeginnZeit"] = time_to_sql ( $field_new ["dtBeginnZeit"] );
	$field_new ["dtEndeZeit"] = time_to_sql ( $field_new ["dtEndeZeit"] );
	$field_new ["dtAnwesendZeit"] = time_to_sql ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
	$field_new ["dtPauseZeit"] = time_to_sql ( "00:00" );
	$field_new ["dtArbeitsZeit"] = time_to_sql ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
	$field_new ["dtZusatzZeit"] = time_to_sql ( "00:00" );
	$field_new ["dtVergueteZeit"] = time_to_sql ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
	
	$sollzeit = get_sollzeit ( $field_new ["fiMitarbeiter"], $field_new ["fiTaetigkeit"], $field_new ["dtDatum"] );
	$field_new ["dtSollzeit"] = double_to_sql ( $sollzeit [0] );
	
	if ($field_new ["dtKilometer"] > 0.00) {
		$field_new ["fiTaetigkeit"] = $standard_taetigkeit_fahrt;
	}
	
	if($field_new ["dtProjektzeitAutoManuell"] == 0)
	{
		$field_new ["dtProjektzeitAutoManuell"] = 1;
		$field_new ["dtProjektzeitDezimal"] = deztime_from_time ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
	}
	else if ($field_old ["dtProjektzeitAutoManuell"] == 1) {
		$field_new ["dtProjektzeitDezimal"] = deztime_from_time ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
	}
	

	if ($field_old ["dtStdSatzAutoManuell"] == 1) {
		$field_new ["dtStdSatz"] = stundensatz_zu_projektzeit ( $field_new ["fiMitarbeiter"], $field_new ["fiProjekt"] );
	}
	
	unset ( $field_new ["dtZeitDauer"] );
	

	
	if ($standard_taetigkeit_urlaub == $field_new ["fiTaetigkeit"])
		$field_new ["dtBemerkungProjektzeit"] = "Urlaub!";
	else if ($standard_taetigkeit_urlaubhalbertag == $field_new ["fiTaetigkeit"])
		$field_new ["dtBemerkungProjektzeit"] = "Urlaub halber Tag!";
	else if ($standard_taetigkeit_krankheit == $field_new ["fiTaetigkeit"])
		$field_new ["dtBemerkungProjektzeit"] = "Krank!";
	else if ($standard_taetigkeit_arztbesuch == $field_new ["fiTaetigkeit"])
		$field_new ["dtBemerkungProjektzeit"] = "Arztbesuch!";
	else if ($standard_taetigkeit_ueberstundenabbau == $field_new ["fiTaetigkeit"])
		$field_new ["dtBemerkungProjektzeit"] = "berstundenabbau!";
	else if ($standard_taetigkeit_sonderurlaub == $field_new ["fiTaetigkeit"])
		$field_new ["dtBemerkungProjektzeit"] = "Sonderurlaub!";
	
	update_into_table ( $tblprojektzeiten, $id, $field_new );
	
	// sortiere die Zeiten dieses Tages wieder neu, damit keine berschneidungen entstehen
	// $beginn_zeit = "01:00";
	// $ende_zeit = "01:00";
	//
	// $query = $sql_query["projektzeitenliste"] . " and $tblprojektzeiten.fiMitarbeiter = ".$field_new["fiMitarbeiter"]." and $tblprojektzeiten.dtDatum = '".$field_new["dtDatum"]."' ";
	// $query .= "order by $tblprojektzeiten.id";
	//
	// $liste = get_table_array($query);
	// if (count($liste) != 0) {
	// foreach ($liste as $listenzeile_id => $listenzeile) {
	//
	// $ende_zeit = min_to_stdmin(stdmin_to_min($beginn_zeit) + stdmin_to_min($listenzeile["dtAnwesendZeit"]));
	//
	// unset ($listenzeile_neu);
	// $listenzeile_neu["dtBeginnZeit"] = time_to_sql($beginn_zeit);
	// $listenzeile_neu["dtEndeZeit"] = time_to_sql($ende_zeit);
	// update_into_table ($tblprojektzeiten, $listenzeile["Projektzeiten_id"], $listenzeile_neu);
	//
	// $beginn_zeit = $ende_zeit;
	//
	// }}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Liste wieder
$typ = "list";
include ($targetsordner . "/" . $target . "/list.php");

?>
