<?php
/*
 *
 * conceptERP
 *
 * Copyright (C) 2011 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke
 * http://www.mm-concept.de
 *
 *
 */
require_once ('functions/init.php');

$sLockfile = sys_get_temp_dir () . "/conceptERP-Taskplaner-" . $me . ".lock";

// if(file_exists($sLockfile))
// {
// echo "Fehler: Lockfile existiert unter '" . $sLockfile . "'. Stellen Sie sicher dass nur eine Instanz vom Taskplaner laeuft.\n";
// exit;
// }

if (! touch ( $sLockfile )) {
	echo "Warnung: Kann Taskplaner Lockfile nicht anlegen.\n";
}

foreach ( getTaskplanerTasks ( $id ) as $sTask ) {
	echo "\n\n=============================\nTask: " . $sTask . "....\n\n";
	
	$iReturncode = 0;
	
	ob_start ();
	
	if (! is_readable ( $sFile = "taskplaner/" . $sTask . "/task.php" )) {
		echo "Datei nicht lesbar: " . $sFile;
	}
	
	include ($sFile);
	
	$sAusgabe = ob_get_contents ();
	
	storeTaskplanerTaskinformation ( $sTask, $sAusgabe, $iReturncode );
}

schreibeInKonfiguration ( "sTaskplanerLetzteAusfuehrung", date ( "Y-m-d H:i:s" ) );

if (file_exists ( $sLockfile )) {
	unlink ( $sLockfile );
}

/*
 * Datenbankverbindung schliessen
 */
mysql_close ();

?>
