<?php
/*
 *
 * conceptERP
 *
 * Copyright (C) 2011 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke
 * http://www.mm-concept.de
 *
 *
 */
class ArtikelbestandErmitteln {
	function ArtikelbestandErmitteln() {
	}
	function ermittelArtikelStand() {
		Global $sql_query, $tblartikel, $tblartikelvarianten, $tblartikeleinheiten;
		
		$iAnzahl = "";
		$aArtikelbestand;
		
		$query = $sql_query ["artikellisteexport"];
		$query .= " AND $tblartikeleinheiten.dtArtikelEinheitenArt != 2 ";
		$query .= " GROUP BY $tblartikel.id ";
		
		$liste = get_table_array ( $query );
		
		unset ( $liste_output );
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $listenzeile ) {
				$iAnzahl = "";
				
				$iArtikelTyp = getArtikelTyp ( $liste [$listenzeile_id] ["Artikel_id"] );
				$sVariante = "stammdaten";
				
				// hole Artikelvariantendaten
				$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.dtArtikelVarianteAktiv = 1";
				$artikelvarianten_liste = get_table_array ( $query );
				
				// baue Variantenarray auf
				foreach ( ( array ) $artikelvarianten_liste as $key => $value ) {
					$artikelvarianten_array [$value ["fiArtikelVariantenGruppe"]] [$value ["Variante_id"]] = $value;
				}
				
				$sVariante = getArtikelVariantenKombinationenListe ( $liste [$listenzeile_id] ["Artikel_id"] );
				
				$iAnzahl = getArtikelAnzahlVerfuegbar ( $liste [$listenzeile_id] ["Artikel_id"], 0, $sVariante );
				
				if (count ( $sVariante ) > 0) {
					
					for($i = 0; $i < count ( $sVariante ); $i ++) {
						$iAnzahl = "";
						$sVariantenNr = "";
						
						$sVarianteEigenschaften = "";
						foreach ( $sVariante [$i] as $sVarianteGruppe => $iVariante ) {
							$aVarianteInfoRow = get_table_row ( $sql_query ["artikelvariantenliste"] . " AND $tblartikelvarianten.id = " . $iVariante );
							$sVariantenNr .= $aVarianteInfoRow ["dtGruppenArtikelNrPrefix"] . "" . $aVarianteInfoRow ["dtArtikelVariantenNr"];
							$sVarianteEigenschaften .= $aVarianteInfoRow ["dtArtikelVariantenName"] . "\n";
						}
						
						$iAnzahl = getArtikelAnzahlVerfuegbar ( $liste [$listenzeile_id] ["Artikel_id"], 0, $sVariante [$i] );
						
						$aArtikelbestand [$liste [$listenzeile_id] ["dtEigeneArtikelNr"]] [$listenzeile ["dtArtikel"]] [$sVariantenNr] = $iAnzahl;
					}
				} else {
					$aArtikelbestand [$liste [$listenzeile_id] ["dtEigeneArtikelNr"]] [$listenzeile ["dtArtikel"]] [""] = $iAnzahl;
				}
			}
		}
		
		return $aArtikelbestand;
	}
}
class ArtikelbestandExportieren {
	function ArtikelbestandExportieren() {
	}
	function erstelleCSV($aArtikelbestand) {
		$exportData;
		$iCounter = 0;
		
		header ( "Content-type: text/csv" );
		header ( "Content-Disposition: attachment; filename=file.csv" );
		header ( "Pragma: no-cache" );
		header ( "Expires: 0" );
		
		foreach ( $aArtikelbestand as $cpArtikelbestandEigeneArtikel => $cpArtikelbestandEigeneArtikelValue ) {
			
			foreach ( $cpArtikelbestandEigeneArtikelValue as $cpArtikelbestandArtikel => $cpArtikelbestandArtikelValue ) {
				
				foreach ( $cpArtikelbestandArtikelValue as $cpArtikelbestandVariante => $cpArtikelbestandVarianteValue ) {
					
					$exportData [$iCounter] = array (
							$cpArtikelbestandEigeneArtikel,
							$cpArtikelbestandArtikel,
							$cpArtikelbestandVariante,
							$cpArtikelbestandVarianteValue 
					);
					$iCounter ++;
				}
			}
		}
		
		$timestamp = date ( "d.m.Y_H:i:s" );
		$filename = "artikelbestand_" . $timestamp . ".csv";
		
		if (! is_dir ( "content/artikelstand" )) {
			mkdir ( "content/artikelstand", 0777, TRUE );
		}
		
		$file = fopen ( 'content/artikelstand/' . $filename, 'w' );
		chmod ( "content/artikelstand/" . $filename . "", 0777 );
		fputcsv ( $file, array (
				'Eigene Artikel Nr. ERP',
				'Artikelname',
				'Artikelvariante',
				'Artikelstueck' 
		) );
		foreach ( $exportData as $row ) {
			fputcsv ( $file, $row );
		}
		fclose ( $file );
		return $filename;
	}
}

$ermittelArtikelstand = new ArtikelbestandErmitteln ();
$aArtikelbestand = $ermittelArtikelstand->ermittelArtikelStand ();

$artikelbestandExportieren = new ArtikelbestandExportieren ();
$filename = $artikelbestandExportieren->erstelleCSV ( $aArtikelbestand );

$aArtikelstandExport ["dtDateiname"] = $filename;
$aArtikelstandExport ["dtPfad"] = "content/artikelstand/";
$aArtikelstandExport ["dtDate"] = date ( "Y-m-d h:i:s" );
insert_into_table ( $tblartikelstandexport, $aArtikelstandExport );

?>