<?php
/*
 *
 * conceptERP
 *
 * Copyright (C) 2005 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke
 * http://www.mm-concept.de
 *
 *
 */
require_once ('functions/init.php');

if (! check_valid_session_no_output ( $benutzername )) {
	echo "Bitte einloggen!";
	exit ();
}

// Corporate Design aller Seiten
echo "$doctype\n\n";
echo "<html><head><title>$htmltitelzeile</title>\n\n$metatags\n\n";

/*
 * Stylesheets
 */
if ($_SESSION ['browsertyp'] != "") {
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle_" . $_SESSION ['browsertyp'] . ".css?ver=" . $concepterpversion . "\">\n";
} else {
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle.css?ver=" . $concepterpversion . "\">\n";
}

echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle.common.css?ver=" . $concepterpversion . "\">\n";
echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/ui-lightness/jquery-ui-1.8.14.custom.css\">\n";

/*
 * Javascripts
 */
echo "<script src=\"" . $functionsordner . "/ext/jquery/jquery-1.5.1.min.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/ext/jquery/jquery-ui-1.8.14.custom.min.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";

?>

<script>

var target = "<?php echo $target; ?>";
var typ = "<?php echo $typ; ?>";
var id = "<?php echo $id; ?>";

var subtarget = "<?php echo $subtarget; ?>";
var subtyp = "<?php echo $subtyp; ?>";
var subid = "<?php echo $subid; ?>";

var userid = "<?php echo $benutzer_row['id']; ?>";
var username = "<?php echo $benutzer_row['dtUsername']; ?>";
var submenubutton_aktiv = <?php echo json_encode(explode("-", $smbk)); ?>;

</script>

<?php

echo "<script src=\"" . $functionsordner . "/js/erpjavascript.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpjavascript_zeiten.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpjavascript_dhtml.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpjavascript_calendarpopup.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";

echo "<script src=\"" . $functionsordner . "/js/erpajax.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpajaxevents.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpajaxreturns.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";

echo "<script src=\"" . $functionsordner . "/js/listen.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";

echo "</head><body leftmargin=\"0\" topmargin=\"0\" marginwidth=\"0\" marginheight=\"0\" ";
echo "class=\"body\">";

/*
 * Startseite mit Widgets anzeigen
 */
echo "<div style=\"margin-top: 10px; margin-left: 10px\" class=\"header\">";
echo "<div style=\"background-image: url(config/pics/logo2.jpg); background-repeat: no-repeat; background-position:center; height: 600px;\">";

$aWidgetsToDisplay = getListOfWidgets ( $_SESSION ['benutzernr'], $_SESSION ['benutzergruppe'] );

/*
 * Rand oberhalb der Widgets
 */
if (count ( $aWidgetsToDisplay ) > 0) {
	echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
}

foreach ( $aWidgetsToDisplay as $aWidgetInfo ) {
	echo "<tr><td class=\"formularrahmen_oben\"></td></tr>";
	echo "<tr><td>";
	
	$sWidgetName = $aWidgetInfo ["sName"];
	$sWidgetAnzeige = $aWidgetInfo ["sAnzeige"];
	$sWidgetBeschreibung = $aWidgetInfo ["sBeschreibung"];
	$sWidgetDatei = "dashboard/" . $sWidgetName . "/show.php";
	$bShowWidget = $aWidgetInfo ["bShowWidget"];
	
	if (file_exists ( $sWidgetDatei )) {
		include_once ("dashboard/" . $sWidgetName . "/show.php");
	}
	
	echo "</td></tr><tr><td class=\"formularrahmen_unten\"></td></tr>";
}

/*
 * Rand unterhalb der Widgets
 */
if (count ( $aWidgetsToDisplay ) > 0) {
	echo "</table>";
}

echo "</div>";
echo "</div>";

echo "</td><td></td></tr></table>";

?>

<script>
$("a[href]").each(function()
{
	if(this.href.indexOf("main.php?") != -1)
	{
		this.target = "_blank";
	}
});
</script>

</body>
</html>

<?php

/*
 * Datenbankverbindung schliessen
 */
mysql_close ();

?>