<?php
/*
 * conceptERP Copyright (C) 2005 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke http://www.mm-concept.de
 */

// ************************** Javascript onLoad
$js_onload = array (
		"projektzeiten-kopieren" => "opener.location.href='main.php?target=projektzeiten&typ=list'",
		"projektzteshaes-kopieren" => "opener.location.href='main.php?target=projektzteshaes&typ=list'",
		"projektztajax-kopieren" => "opener.location.href='main.php?target=projektztajax&typ=list'" 
);

if ($subtyp != "projektzeitsend")
	unset ( $js_onload ["projektzteshaes-kopieren"], $js_onload ["projektzeiten-kopieren"], $js_onload ["projektztajax-kopieren"] );

require ('functions/init.php');

// ************************** validiere Session, sonst zeige Login oder Fehlerbox
$PHPSESSID = session_id ();
check_valid_session ( $benutzername );

// ************************** lade Benutzereinstellungen aus Datenbank
$benutzer_row = holeBenutzer ();

// **************************Corporate Design aller Seiten
echo "$doctype\n\n";
echo "<html><head><title>$htmltitel</title>\n\n$metatags\n\n";

/*
 * Stylesheets
 */
if ($_SESSION ['browsertyp'] != "") {
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle_" . $_SESSION ['browsertyp'] . ".css?ver=" . $concepterpversion . "\">\n";
} else {
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle.css?ver=" . $concepterpversion . "\">\n";
}

echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle.common.css?ver=" . $concepterpversion . "\">\n";
echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/custom-theme/jquery-ui-1.8.16.custom.css\">\n";

if (! empty ( $jsonload )) {
	$ol = base64_decode ( $jsonload );
} elseif (! empty ( $js_onload [$target . "-" . $typ] )) {
	$ol = $js_onload [$target . "-" . $typ];
} else {
	$ol = "";
}

/*
 * Javascripts
 */
echo "<script src=\"" . $functionsordner . "/ext/jquery/jquery-1.6.2.min.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/ext/jquery/jquery-ui-1.8.16.custom.min.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";

?>

<script>

var target = "<?php echo $target; ?>";
var typ = "<?php echo $typ; ?>";
var id = "<?php echo $id; ?>";

var subtarget = "<?php echo $subtarget; ?>";
var subtyp = "<?php echo $subtyp; ?>";
var subid = "<?php echo $subid; ?>";

var userid = "<?php echo $benutzer_row['id']; ?>";
var username = "<?php echo $benutzer_row['dtUsername']; ?>";
var submenubutton_aktiv = <?php echo json_encode(explode("-", $smbk)); ?>;

window.focus();
<?php echo $ol; ?>

</script>

<?php

echo "<script src=\"" . $functionsordner . "/js/erpjavascript.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpjavascript_zeiten.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpjavascript_dhtml.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpjavascript_calendarpopup.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";

// Ajax
echo "<script src=\"" . $functionsordner . "/js/erpajax.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpajaxevents.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpajaxreturns.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/erpControls.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";
echo "<script src=\"" . $functionsordner . "/js/listen.js?ver=" . $concepterpversion . "\" type=\"text/javascript\"></script>\n";

if (in_array ( $target, array (
		"stempelzeiten",
		"projektzeiten",
		"projektzteshaes",
		"arbeitszeiten",
		"stundennachweis",
		"stundenkontrolle",
		"eshaesstundennachweis",
		"eshaesstundenkontrolle",
		"ueberstundensaetze",
		"lwsprojektzeiten" 
) )) {
	echo "<script type=\"text/javascript\"> <!-- \n\n";
	include ("$functionsordner/js/erpjavascript_zeiten_dyn.js");
	echo "    //-->  </script>\n\n";
}

/*
 * BlackbirdJS Debugging Tool - Anzeigen: F2 - Position wechseln: ALT + F2
 */

if ($enableBlackbirdJs) {
	echo "<script type=\"text/javascript\" src=\"" . $functionsordner . "/ext/blackbirdjs/blackbird.js\"></script>\n";
	echo "<link type=\"text/css\" rel=\"stylesheet\" href=\"" . $functionsordner . "/ext/blackbirdjs/blackbird.css\">\n";
} else {
	echo "<script type=\"text/javascript\">var log = {
  toggle: function() {},
  move: function() {},
  resize: function() {},
  clear: function() {},
  debug: function() {},
  info: function() {},
  warn: function() {},
  error: function() {},
  profile: function() {}
};</script>";
}

echo "</head>\n\n<body leftmargin=\"0\" topmargin=\"0\" marginwidth=\"0\" marginheight=\"0\">";

// ************************** Rechteverwaltung
include ("rechteverwaltung.php");

// ************************** Filterverwaltung
include ("filterverwaltung.php");

// ************************** Sortierungsverwaltung
include ("sortierungsverwaltung.php");

// **************************Top-Men
echo "<table border=0 cellspacing=0 cellpadding=0 width=\"100%\" style=\"height: " . $appl_height . "\" class=\"header\" >";
echo "<tr><td style=\"vertical-align: top; background-color: " . $bgcolor_menu . "; height: 40px\" background=\"config/pics/bg_menu_top.jpg\">";

echo "<img src=\"config/pics/logo.png\" border=0 align=\"middle\">";
echo "<font color=\"" . $fontcolor_menu . "\" size=3> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ";
echo str_replace ( "_", " ", $titel ) . "</font>";

echo "</td></tr>";

// **************************Hauptseite
echo "<tr><td style=\"vertical-align: top; background-color: " . $bgcolor_formular . "\">";

// **************************geforderte Seite aufrufen, wenn es sie gibt und wenn der user berechtigt ist
$file = $targetsordner . "/" . $target . "/" . $typ . ".php";

if (file_exists ( $file ) and check_link_permission ( $target, $typ, $benutzerrechte ) == true) {
	
	echo "<div style=\"margin-top: 10px; margin-left: 10px\" class=\"header\">";
	include ($file);
	
	echo "</div>";
}

echo "<hr>";

// *********************** DEBUGGING

if ($_SESSION ['benutzername'] == "admin") {
	
	echo "DEBUG-Infos:<br><br>";
	// echo "\$target=".$target." <br>\$typ=".$typ."<br><br>";
	// echo "\$_SESSION: "; print_r_html($_SESSION);
	// echo "\$_POST: "; print_r_html($_POST);
	// echo "\$field: "; print_r_html($field);
	// echo "\$buttonarray: "; print_r_html($buttonarray);
	// echo "\$buttontarget: "; print_r_html($buttontarget);
	// echo "\$buttoninfo: "; print_r_html($buttoninfo);
	// echo "\$filter: "; print_r_html($filter);
	// echo "\$standardfilter: "; print_r_html($standardfilter);
	// echo "\$sortierung: "; print_r_html($sortierung);
	// echo "\$standardsortierung: "; print_r_html($standardsortierung);
	// echo "\$benutzerrechte: "; print_r_html($benutzerrechte);
	// echo "\$liste_output: "; print_r_html($liste_output);
	// echo "\$liste: "; print_r_html($liste);
	// echo "\$field_new: "; print_r_html($field_new);
	// echo "\$field_old: "; print_r_html($field_old);
	// echo "\$field_bestellungdruckinfo: "; print_r_html($field_bestellungdruckinfo);
}

echo "</td></tr></table>";

echo "<div id=\"Laden\"></div>";
echo "<div id=\"Tag\"></div>";
echo "<div id=\"Datum\"></div>";
echo "<div id=\"Uhr\"></div>";

echo "</BODY></HTML>";

/*
 * Datenbankverbindung schliessen
 */
mysql_close ();

?>
